/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the ARM target                             *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 85;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(ARMInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(ARMInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static ARMInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static ARMInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testMOPredicate_MO(unsigned PredicateID, const MachineOperand &MO, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(0),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_v2s1,
  GILLT_v2s32,
  GILLT_v2s64,
  GILLT_v4s1,
  GILLT_v4s16,
  GILLT_v4s32,
  GILLT_v4s64,
  GILLT_v8s1,
  GILLT_v8s8,
  GILLT_v8s16,
  GILLT_v8s64,
  GILLT_v16s1,
  GILLT_v16s8,
};
const static size_t NumTypeObjects = 16;
const static LLT TypeObjects[] = {
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getFixed(2), 1),
  LLT::vector(ElementCount::getFixed(2), 32),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 1),
  LLT::vector(ElementCount::getFixed(4), 16),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(4), 64),
  LLT::vector(ElementCount::getFixed(8), 1),
  LLT::vector(ElementCount::getFixed(8), 8),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(8), 64),
  LLT::vector(ElementCount::getFixed(16), 1),
  LLT::vector(ElementCount::getFixed(16), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_NoHonorSignDependentRoundingBit = 75,
  Feature_HasV4TBit = 6,
  Feature_NoV4TBit = 7,
  Feature_HasV5TBit = 13,
  Feature_NoV5TBit = 65,
  Feature_HasV5TEBit = 11,
  Feature_HasV6Bit = 0,
  Feature_NoV6Bit = 9,
  Feature_HasV6MBit = 28,
  Feature_HasV8MBaselineBit = 35,
  Feature_HasV8_1MMainlineBit = 41,
  Feature_HasMVEIntBit = 63,
  Feature_HasMVEFloatBit = 64,
  Feature_HasCDEBit = 84,
  Feature_HasFPRegsBit = 42,
  Feature_HasFPRegs16Bit = 43,
  Feature_HasFPRegs64Bit = 76,
  Feature_HasV6T2Bit = 8,
  Feature_HasV6KBit = 18,
  Feature_HasV7Bit = 3,
  Feature_HasV8Bit = 55,
  Feature_PreV8Bit = 19,
  Feature_HasV8_1aBit = 78,
  Feature_HasV8_3aBit = 79,
  Feature_NoVFPBit = 22,
  Feature_HasVFP2Bit = 21,
  Feature_HasVFP3Bit = 52,
  Feature_HasVFP4Bit = 50,
  Feature_HasDPVFPBit = 44,
  Feature_HasFPARMv8Bit = 47,
  Feature_HasNEONBit = 53,
  Feature_HasSHA2Bit = 62,
  Feature_HasAESBit = 54,
  Feature_HasDotProdBit = 56,
  Feature_HasCRCBit = 14,
  Feature_HasLOBBit = 40,
  Feature_HasFP16Bit = 61,
  Feature_HasFullFP16Bit = 46,
  Feature_HasMatMulInt8Bit = 57,
  Feature_HasDivideInThumbBit = 37,
  Feature_HasDivideInARMBit = 12,
  Feature_HasDSPBit = 36,
  Feature_HasDBBit = 15,
  Feature_HasV7ClrexBit = 17,
  Feature_HasAcquireReleaseBit = 16,
  Feature_HasMPBit = 2,
  Feature_Has8MSecExtBit = 29,
  Feature_HasZCZBit = 58,
  Feature_UseNEONForFPBit = 82,
  Feature_DontUseNEONForFPBit = 45,
  Feature_IsThumbBit = 26,
  Feature_IsThumb1OnlyBit = 27,
  Feature_IsThumb2Bit = 34,
  Feature_IsNotMClassBit = 38,
  Feature_IsARMBit = 1,
  Feature_IsWindowsBit = 30,
  Feature_IsNotWindowsBit = 31,
  Feature_IsReadTPTPIDRURWBit = 68,
  Feature_IsReadTPTPIDRUROBit = 69,
  Feature_IsReadTPTPIDRPRWBit = 70,
  Feature_IsReadTPSoftBit = 20,
  Feature_UseNaClTrapBit = 4,
  Feature_DontUseNaClTrapBit = 5,
  Feature_UseMovtBit = 39,
  Feature_DontUseMovtBit = 23,
  Feature_UseMovtInPicBit = 24,
  Feature_DontUseMovtInPicBit = 25,
  Feature_UseFPVMLxBit = 49,
  Feature_SLSBLRMitigationBit = 67,
  Feature_NoSLSBLRMitigationBit = 66,
  Feature_UseMulOpsBit = 10,
  Feature_UseFusedMACBit = 51,
  Feature_HasFastVGETLNi32Bit = 59,
  Feature_HasSlowVGETLNi32Bit = 80,
  Feature_HasFastVDUP32Bit = 60,
  Feature_HasSlowVDUP32Bit = 81,
  Feature_UseVMOVSRBit = 48,
  Feature_DontUseVMOVSRBit = 83,
  Feature_IsLEBit = 74,
  Feature_IsBEBit = 77,
  Feature_GenExecuteOnlyBit = 33,
  Feature_DontGenExecuteOnlyBit = 32,
  Feature_GenT1ExecuteOnlyBit = 73,
  Feature_SignRetAddrBit = 72,
  Feature_NoSignRetAddrBit = 71,
};

PredicateBitset ARMInstructionSelector::
computeAvailableModuleFeatures(const ARMSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (!TM.Options.HonorSignDependentRoundingFPMath())
    Features.set(Feature_NoHonorSignDependentRoundingBit);
  if (Subtarget->hasV4TOps())
    Features.set(Feature_HasV4TBit);
  if (!Subtarget->hasV4TOps())
    Features.set(Feature_NoV4TBit);
  if (Subtarget->hasV5TOps())
    Features.set(Feature_HasV5TBit);
  if (!Subtarget->hasV5TOps())
    Features.set(Feature_NoV5TBit);
  if (Subtarget->hasV5TEOps())
    Features.set(Feature_HasV5TEBit);
  if (Subtarget->hasV6Ops())
    Features.set(Feature_HasV6Bit);
  if (!Subtarget->hasV6Ops())
    Features.set(Feature_NoV6Bit);
  if (Subtarget->hasV6MOps())
    Features.set(Feature_HasV6MBit);
  if (Subtarget->hasV8MBaselineOps())
    Features.set(Feature_HasV8MBaselineBit);
  if (Subtarget->hasV8_1MMainlineOps())
    Features.set(Feature_HasV8_1MMainlineBit);
  if (Subtarget->hasMVEIntegerOps())
    Features.set(Feature_HasMVEIntBit);
  if (Subtarget->hasMVEFloatOps())
    Features.set(Feature_HasMVEFloatBit);
  if (Subtarget->hasCDEOps())
    Features.set(Feature_HasCDEBit);
  if (Subtarget->hasFPRegs())
    Features.set(Feature_HasFPRegsBit);
  if (Subtarget->hasFPRegs16())
    Features.set(Feature_HasFPRegs16Bit);
  if (Subtarget->hasFPRegs64())
    Features.set(Feature_HasFPRegs64Bit);
  if (Subtarget->hasV6T2Ops())
    Features.set(Feature_HasV6T2Bit);
  if (Subtarget->hasV6KOps())
    Features.set(Feature_HasV6KBit);
  if (Subtarget->hasV7Ops())
    Features.set(Feature_HasV7Bit);
  if (Subtarget->hasV8Ops())
    Features.set(Feature_HasV8Bit);
  if (!Subtarget->hasV8Ops())
    Features.set(Feature_PreV8Bit);
  if (Subtarget->hasV8_1aOps())
    Features.set(Feature_HasV8_1aBit);
  if (Subtarget->hasV8_3aOps())
    Features.set(Feature_HasV8_3aBit);
  if (!Subtarget->hasVFP2Base())
    Features.set(Feature_NoVFPBit);
  if (Subtarget->hasVFP2Base())
    Features.set(Feature_HasVFP2Bit);
  if (Subtarget->hasVFP3Base())
    Features.set(Feature_HasVFP3Bit);
  if (Subtarget->hasVFP4Base())
    Features.set(Feature_HasVFP4Bit);
  if (Subtarget->hasFP64())
    Features.set(Feature_HasDPVFPBit);
  if (Subtarget->hasFPARMv8Base())
    Features.set(Feature_HasFPARMv8Bit);
  if (Subtarget->hasNEON())
    Features.set(Feature_HasNEONBit);
  if (Subtarget->hasSHA2())
    Features.set(Feature_HasSHA2Bit);
  if (Subtarget->hasAES())
    Features.set(Feature_HasAESBit);
  if (Subtarget->hasDotProd())
    Features.set(Feature_HasDotProdBit);
  if (Subtarget->hasCRC())
    Features.set(Feature_HasCRCBit);
  if (Subtarget->hasLOB())
    Features.set(Feature_HasLOBBit);
  if (Subtarget->hasFP16())
    Features.set(Feature_HasFP16Bit);
  if (Subtarget->hasFullFP16())
    Features.set(Feature_HasFullFP16Bit);
  if (Subtarget->hasMatMulInt8())
    Features.set(Feature_HasMatMulInt8Bit);
  if (Subtarget->hasDivideInThumbMode())
    Features.set(Feature_HasDivideInThumbBit);
  if (Subtarget->hasDivideInARMMode())
    Features.set(Feature_HasDivideInARMBit);
  if (Subtarget->hasDSP())
    Features.set(Feature_HasDSPBit);
  if (Subtarget->hasDataBarrier())
    Features.set(Feature_HasDBBit);
  if (Subtarget->hasV7Clrex())
    Features.set(Feature_HasV7ClrexBit);
  if (Subtarget->hasAcquireRelease())
    Features.set(Feature_HasAcquireReleaseBit);
  if (Subtarget->hasMPExtension())
    Features.set(Feature_HasMPBit);
  if (Subtarget->has8MSecExt())
    Features.set(Feature_Has8MSecExtBit);
  if (Subtarget->hasZeroCycleZeroing())
    Features.set(Feature_HasZCZBit);
  if (Subtarget->useNEONForSinglePrecisionFP())
    Features.set(Feature_UseNEONForFPBit);
  if (!Subtarget->useNEONForSinglePrecisionFP())
    Features.set(Feature_DontUseNEONForFPBit);
  if (Subtarget->isThumb())
    Features.set(Feature_IsThumbBit);
  if (Subtarget->isThumb1Only())
    Features.set(Feature_IsThumb1OnlyBit);
  if (Subtarget->isThumb2())
    Features.set(Feature_IsThumb2Bit);
  if (!Subtarget->isMClass())
    Features.set(Feature_IsNotMClassBit);
  if (!Subtarget->isThumb())
    Features.set(Feature_IsARMBit);
  if (Subtarget->isTargetWindows())
    Features.set(Feature_IsWindowsBit);
  if (!Subtarget->isTargetWindows())
    Features.set(Feature_IsNotWindowsBit);
  if (Subtarget->isReadTPTPIDRURW())
    Features.set(Feature_IsReadTPTPIDRURWBit);
  if (Subtarget->isReadTPTPIDRURO())
    Features.set(Feature_IsReadTPTPIDRUROBit);
  if (Subtarget->isReadTPTPIDRPRW())
    Features.set(Feature_IsReadTPTPIDRPRWBit);
  if (Subtarget->isReadTPSoft())
    Features.set(Feature_IsReadTPSoftBit);
  if (Subtarget->useNaClTrap())
    Features.set(Feature_UseNaClTrapBit);
  if (!Subtarget->useNaClTrap())
    Features.set(Feature_DontUseNaClTrapBit);
  if (Subtarget->useMulOps())
    Features.set(Feature_UseMulOpsBit);
  if (TM.Options.AllowFPOpFusion ==  FPOpFusion::Fast && Subtarget->useFPVFMx())
    Features.set(Feature_UseFusedMACBit);
  if (!Subtarget->hasSlowVGETLNi32())
    Features.set(Feature_HasFastVGETLNi32Bit);
  if (Subtarget->hasSlowVGETLNi32())
    Features.set(Feature_HasSlowVGETLNi32Bit);
  if (!Subtarget->hasSlowVDUP32())
    Features.set(Feature_HasFastVDUP32Bit);
  if (Subtarget->hasSlowVDUP32())
    Features.set(Feature_HasSlowVDUP32Bit);
  if (Subtarget->preferVMOVSR() ||!Subtarget->useNEONForSinglePrecisionFP())
    Features.set(Feature_UseVMOVSRBit);
  if (!Subtarget->preferVMOVSR() &&Subtarget->useNEONForSinglePrecisionFP())
    Features.set(Feature_DontUseVMOVSRBit);
  if (Subtarget->genExecuteOnly())
    Features.set(Feature_GenExecuteOnlyBit);
  if (!Subtarget->genExecuteOnly())
    Features.set(Feature_DontGenExecuteOnlyBit);
  if (Subtarget->genExecuteOnly() && Subtarget->isThumb1Only() && !Subtarget->hasV8MBaselineOps())
    Features.set(Feature_GenT1ExecuteOnlyBit);
  return Features;
}

void ARMInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const ARMSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset ARMInstructionSelector::
computeAvailableFunctionFeatures(const ARMSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (Subtarget->useMovt())
    Features.set(Feature_UseMovtBit);
  if (!Subtarget->useMovt())
    Features.set(Feature_DontUseMovtBit);
  if (Subtarget->useMovt() && Subtarget->allowPositionIndependentMovt())
    Features.set(Feature_UseMovtInPicBit);
  if (!Subtarget->useMovt() || !Subtarget->allowPositionIndependentMovt())
    Features.set(Feature_DontUseMovtInPicBit);
  if (((Subtarget->useFPVMLx() &&  TM.Options.AllowFPOpFusion != FPOpFusion::Fast) ||Subtarget->hasMinSize()))
    Features.set(Feature_UseFPVMLxBit);
  if ( MF->getSubtarget<ARMSubtarget>().hardenSlsBlr() )
    Features.set(Feature_SLSBLRMitigationBit);
  if ( !MF->getSubtarget<ARMSubtarget>().hardenSlsBlr() )
    Features.set(Feature_NoSLSBLRMitigationBit);
  if (MF->getDataLayout().isLittleEndian())
    Features.set(Feature_IsLEBit);
  if (MF->getDataLayout().isBigEndian())
    Features.set(Feature_IsBEBit);
  if ( MF->getInfo<ARMFunctionInfo>()->shouldSignReturnAddress(true) )
    Features.set(Feature_SignRetAddrBit);
  if ( !MF->getInfo<ARMFunctionInfo>()->shouldSignReturnAddress(true) )
    Features.set(Feature_NoSignRetAddrBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasDotProd,
  GIFBS_HasFP16,
  GIFBS_HasFPARMv8,
  GIFBS_HasFPRegs,
  GIFBS_HasFullFP16,
  GIFBS_HasMVEFloat,
  GIFBS_HasMVEInt,
  GIFBS_HasMatMulInt8,
  GIFBS_HasNEON,
  GIFBS_HasVFP2,
  GIFBS_HasVFP3,
  GIFBS_HasVFP4,
  GIFBS_IsARM,
  GIFBS_IsThumb,
  GIFBS_IsThumb2,
  GIFBS_NoHonorSignDependentRounding,
  GIFBS_DontUseNEONForFP_HasVFP2,
  GIFBS_DontUseNaClTrap_IsARM,
  GIFBS_DontUseVMOVSR_HasNEON,
  GIFBS_Has8MSecExt_IsThumb,
  GIFBS_HasAES_HasV8,
  GIFBS_HasCRC_IsARM,
  GIFBS_HasCRC_IsThumb2,
  GIFBS_HasDB_IsARM,
  GIFBS_HasDB_IsThumb,
  GIFBS_HasDPVFP_HasFPARMv8,
  GIFBS_HasDPVFP_HasVFP2,
  GIFBS_HasDPVFP_HasVFP3,
  GIFBS_HasDPVFP_HasVFP4,
  GIFBS_HasDPVFP_NoHonorSignDependentRounding,
  GIFBS_HasDSP_IsThumb2,
  GIFBS_HasDivideInARM_IsARM,
  GIFBS_HasFP16_HasNEON,
  GIFBS_HasFPARMv8_HasNEON,
  GIFBS_HasFPRegs_HasFastVGETLNi32,
  GIFBS_HasFPRegs_UseVMOVSR,
  GIFBS_HasFullFP16_HasNEON,
  GIFBS_HasMVEInt_HasV8_1MMainline,
  GIFBS_HasMVEInt_IsBE,
  GIFBS_HasMVEInt_IsLE,
  GIFBS_HasNEON_HasV8,
  GIFBS_HasNEON_HasV8_1a,
  GIFBS_HasNEON_HasV8_3a,
  GIFBS_HasNEON_HasVFP4,
  GIFBS_HasNEON_IsBE,
  GIFBS_HasNEON_IsLE,
  GIFBS_HasNEON_UseNEONForFP,
  GIFBS_HasSHA2_HasV8,
  GIFBS_HasV5T_IsARM,
  GIFBS_HasV5T_IsThumb,
  GIFBS_HasV5TE_IsARM,
  GIFBS_HasV6_IsARM,
  GIFBS_HasV6K_IsARM,
  GIFBS_HasV6M_IsThumb,
  GIFBS_HasV6T2_IsARM,
  GIFBS_HasV7_IsARM,
  GIFBS_HasV7Clrex_IsThumb,
  GIFBS_HasV8MBaseline_IsThumb,
  GIFBS_IsARM_NoV5T,
  GIFBS_IsARM_NoV6,
  GIFBS_IsARM_PreV8,
  GIFBS_IsARM_UseNaClTrap,
  GIFBS_IsThumb_IsThumb1Only,
  GIFBS_IsThumb_IsWindows,
  GIFBS_IsThumb_NoV5T,
  GIFBS_IsThumb_UseMovt,
  GIFBS_IsThumb2_PreV8,
  GIFBS_IsThumb2_UseMulOps,
  GIFBS_DontUseMovt_GenExecuteOnly_IsThumb1Only,
  GIFBS_HasDSP_IsThumb2_UseMulOps,
  GIFBS_HasDivideInThumb_HasV8MBaseline_IsThumb,
  GIFBS_HasFPARMv8_HasFullFP16_HasNEON,
  GIFBS_HasFullFP16_HasNEON_HasV8,
  GIFBS_HasFullFP16_HasNEON_HasV8_3a,
  GIFBS_HasFullFP16_HasNEON_UseFPVMLx,
  GIFBS_HasFullFP16_HasNEON_UseFusedMAC,
  GIFBS_HasLOB_HasV8_1MMainline_IsThumb2,
  GIFBS_HasNEON_UseFPVMLx_UseNEONForFP,
  GIFBS_HasV5TE_IsARM_UseMulOps,
  GIFBS_HasV6_IsARM_UseMulOps,
  GIFBS_HasV6_IsThumb_IsThumb1Only,
  GIFBS_HasV6T2_IsARM_UseMulOps,
  GIFBS_HasVFP4_UseFusedMAC_UseNEONForFP,
  GIFBS_IsARM_NoV6_UseMulOps,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasDotProdBit, },
  {Feature_HasFP16Bit, },
  {Feature_HasFPARMv8Bit, },
  {Feature_HasFPRegsBit, },
  {Feature_HasFullFP16Bit, },
  {Feature_HasMVEFloatBit, },
  {Feature_HasMVEIntBit, },
  {Feature_HasMatMulInt8Bit, },
  {Feature_HasNEONBit, },
  {Feature_HasVFP2Bit, },
  {Feature_HasVFP3Bit, },
  {Feature_HasVFP4Bit, },
  {Feature_IsARMBit, },
  {Feature_IsThumbBit, },
  {Feature_IsThumb2Bit, },
  {Feature_NoHonorSignDependentRoundingBit, },
  {Feature_DontUseNEONForFPBit, Feature_HasVFP2Bit, },
  {Feature_DontUseNaClTrapBit, Feature_IsARMBit, },
  {Feature_DontUseVMOVSRBit, Feature_HasNEONBit, },
  {Feature_Has8MSecExtBit, Feature_IsThumbBit, },
  {Feature_HasAESBit, Feature_HasV8Bit, },
  {Feature_HasCRCBit, Feature_IsARMBit, },
  {Feature_HasCRCBit, Feature_IsThumb2Bit, },
  {Feature_HasDBBit, Feature_IsARMBit, },
  {Feature_HasDBBit, Feature_IsThumbBit, },
  {Feature_HasDPVFPBit, Feature_HasFPARMv8Bit, },
  {Feature_HasDPVFPBit, Feature_HasVFP2Bit, },
  {Feature_HasDPVFPBit, Feature_HasVFP3Bit, },
  {Feature_HasDPVFPBit, Feature_HasVFP4Bit, },
  {Feature_HasDPVFPBit, Feature_NoHonorSignDependentRoundingBit, },
  {Feature_HasDSPBit, Feature_IsThumb2Bit, },
  {Feature_HasDivideInARMBit, Feature_IsARMBit, },
  {Feature_HasFP16Bit, Feature_HasNEONBit, },
  {Feature_HasFPARMv8Bit, Feature_HasNEONBit, },
  {Feature_HasFPRegsBit, Feature_HasFastVGETLNi32Bit, },
  {Feature_HasFPRegsBit, Feature_UseVMOVSRBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasMVEIntBit, Feature_HasV8_1MMainlineBit, },
  {Feature_HasMVEIntBit, Feature_IsBEBit, },
  {Feature_HasMVEIntBit, Feature_IsLEBit, },
  {Feature_HasNEONBit, Feature_HasV8Bit, },
  {Feature_HasNEONBit, Feature_HasV8_1aBit, },
  {Feature_HasNEONBit, Feature_HasV8_3aBit, },
  {Feature_HasNEONBit, Feature_HasVFP4Bit, },
  {Feature_HasNEONBit, Feature_IsBEBit, },
  {Feature_HasNEONBit, Feature_IsLEBit, },
  {Feature_HasNEONBit, Feature_UseNEONForFPBit, },
  {Feature_HasSHA2Bit, Feature_HasV8Bit, },
  {Feature_HasV5TBit, Feature_IsARMBit, },
  {Feature_HasV5TBit, Feature_IsThumbBit, },
  {Feature_HasV5TEBit, Feature_IsARMBit, },
  {Feature_HasV6Bit, Feature_IsARMBit, },
  {Feature_HasV6KBit, Feature_IsARMBit, },
  {Feature_HasV6MBit, Feature_IsThumbBit, },
  {Feature_HasV6T2Bit, Feature_IsARMBit, },
  {Feature_HasV7Bit, Feature_IsARMBit, },
  {Feature_HasV7ClrexBit, Feature_IsThumbBit, },
  {Feature_HasV8MBaselineBit, Feature_IsThumbBit, },
  {Feature_IsARMBit, Feature_NoV5TBit, },
  {Feature_IsARMBit, Feature_NoV6Bit, },
  {Feature_IsARMBit, Feature_PreV8Bit, },
  {Feature_IsARMBit, Feature_UseNaClTrapBit, },
  {Feature_IsThumbBit, Feature_IsThumb1OnlyBit, },
  {Feature_IsThumbBit, Feature_IsWindowsBit, },
  {Feature_IsThumbBit, Feature_NoV5TBit, },
  {Feature_IsThumbBit, Feature_UseMovtBit, },
  {Feature_IsThumb2Bit, Feature_PreV8Bit, },
  {Feature_IsThumb2Bit, Feature_UseMulOpsBit, },
  {Feature_DontUseMovtBit, Feature_GenExecuteOnlyBit, Feature_IsThumb1OnlyBit, },
  {Feature_HasDSPBit, Feature_IsThumb2Bit, Feature_UseMulOpsBit, },
  {Feature_HasDivideInThumbBit, Feature_HasV8MBaselineBit, Feature_IsThumbBit, },
  {Feature_HasFPARMv8Bit, Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, Feature_HasV8Bit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, Feature_HasV8_3aBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, Feature_UseFPVMLxBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, Feature_UseFusedMACBit, },
  {Feature_HasLOBBit, Feature_HasV8_1MMainlineBit, Feature_IsThumb2Bit, },
  {Feature_HasNEONBit, Feature_UseFPVMLxBit, Feature_UseNEONForFPBit, },
  {Feature_HasV5TEBit, Feature_IsARMBit, Feature_UseMulOpsBit, },
  {Feature_HasV6Bit, Feature_IsARMBit, Feature_UseMulOpsBit, },
  {Feature_HasV6Bit, Feature_IsThumbBit, Feature_IsThumb1OnlyBit, },
  {Feature_HasV6T2Bit, Feature_IsARMBit, Feature_UseMulOpsBit, },
  {Feature_HasVFP4Bit, Feature_UseFusedMACBit, Feature_UseNEONForFPBit, },
  {Feature_IsARMBit, Feature_NoV6Bit, Feature_UseMulOpsBit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
};
// See constructor for table contents

ARMInstructionSelector::ComplexMatcherMemFn
ARMInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_bf_inv_mask_imm = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_or_disjoint,
  GICXXPred_MI_Predicate_vfp_f32imm,
  GICXXPred_MI_Predicate_vfp_f64imm,
};
bool ARMInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_bf_inv_mask_imm: {
    
        // There's better methods of implementing this check. IntImmLeaf<> would be
        // equivalent and have less boilerplate but we need a test for C++
        // predicates and this one causes new rules to be imported into GlobalISel
        // without requiring additional features first.
        const auto &MO = MI.getOperand(1);
        if (!MO.isCImm())
          return false;
        return ARM::isBitFieldInvertedMask(MO.getCImm()->getZExtValue());
      
    llvm_unreachable("bf_inv_mask_imm should have returned");
  }
  case GICXXPred_MI_Predicate_or_disjoint: {
    
        return MI.getFlag(MachineInstr::Disjoint);
      
  }
  case GICXXPred_MI_Predicate_vfp_f32imm: {
    
          const auto &MO = MI.getOperand(1);
          if (!MO.isFPImm())
            return false;
          return ARM_AM::getFP32Imm(MO.getFPImm()->getValueAPF()) != -1;
        
    llvm_unreachable("vfp_f32imm should have returned");
  }
  case GICXXPred_MI_Predicate_vfp_f64imm: {
    
          const auto &MO = MI.getOperand(1);
          if (!MO.isFPImm())
            return false;
          return ARM_AM::getFP64Imm(MO.getFPImm()->getValueAPF()) != -1;
        
    llvm_unreachable("vfp_f64imm should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool ARMInstructionSelector::testMOPredicate_MO(unsigned PredicateID, const MachineOperand & MO, const MatcherState &State) const {
  const auto &Operands = State.RecordedOperands;
  Register Reg = MO.getReg();
  (void)Operands;
  (void)Reg;
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_VectorIndex8 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_VectorIndex16,
  GICXXPred_I64_Predicate_VectorIndex32,
  GICXXPred_I64_Predicate_VectorIndex64,
  GICXXPred_I64_Predicate_asr_imm,
  GICXXPred_I64_Predicate_imm0_7,
  GICXXPred_I64_Predicate_imm0_15,
  GICXXPred_I64_Predicate_imm0_31,
  GICXXPred_I64_Predicate_imm0_32,
  GICXXPred_I64_Predicate_imm0_63,
  GICXXPred_I64_Predicate_imm0_239,
  GICXXPred_I64_Predicate_imm0_255,
  GICXXPred_I64_Predicate_imm0_255_expr,
  GICXXPred_I64_Predicate_imm0_4095,
  GICXXPred_I64_Predicate_imm0_65535,
  GICXXPred_I64_Predicate_imm0_65535_expr,
  GICXXPred_I64_Predicate_imm0_65535_neg,
  GICXXPred_I64_Predicate_imm1_7,
  GICXXPred_I64_Predicate_imm1_15,
  GICXXPred_I64_Predicate_imm1_16,
  GICXXPred_I64_Predicate_imm1_31,
  GICXXPred_I64_Predicate_imm8,
  GICXXPred_I64_Predicate_imm8_255,
  GICXXPred_I64_Predicate_imm8_or_16,
  GICXXPred_I64_Predicate_imm16,
  GICXXPred_I64_Predicate_imm16_31,
  GICXXPred_I64_Predicate_imm24b,
  GICXXPred_I64_Predicate_imm32,
  GICXXPred_I64_Predicate_imm256_510,
  GICXXPred_I64_Predicate_imm_3b,
  GICXXPred_I64_Predicate_imm_4b,
  GICXXPred_I64_Predicate_imm_6b,
  GICXXPred_I64_Predicate_imm_7b,
  GICXXPred_I64_Predicate_imm_9b,
  GICXXPred_I64_Predicate_imm_11b,
  GICXXPred_I64_Predicate_imm_12b,
  GICXXPred_I64_Predicate_imm_13b,
  GICXXPred_I64_Predicate_imm_even,
  GICXXPred_I64_Predicate_imm_odd,
  GICXXPred_I64_Predicate_imm_sr,
  GICXXPred_I64_Predicate_long_shift,
  GICXXPred_I64_Predicate_mod_imm,
  GICXXPred_I64_Predicate_mod_imm_not,
  GICXXPred_I64_Predicate_pkh_asr_amt,
  GICXXPred_I64_Predicate_pkh_lsl_amt,
  GICXXPred_I64_Predicate_shr_imm8,
  GICXXPred_I64_Predicate_shr_imm16,
  GICXXPred_I64_Predicate_shr_imm32,
  GICXXPred_I64_Predicate_shr_imm64,
  GICXXPred_I64_Predicate_t2_so_imm,
  GICXXPred_I64_Predicate_t2_so_imm_neg,
};
bool ARMInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_VectorIndex8: {
    
      return ((uint64_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_VectorIndex16: {
    
      return ((uint64_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_VectorIndex32: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_VectorIndex64: {
    
      return ((uint64_t)Imm) < 1;
    
  }
  case GICXXPred_I64_Predicate_asr_imm: {
     return Imm > 0 && Imm <= 32; 
  }
  case GICXXPred_I64_Predicate_imm0_7: {
    
      return Imm >= 0 && Imm < 8;
    
  }
  case GICXXPred_I64_Predicate_imm0_15: {
    
      return Imm >= 0 && Imm < 16;
    
  }
  case GICXXPred_I64_Predicate_imm0_31: {
    
      return Imm >= 0 && Imm < 32;
    
  }
  case GICXXPred_I64_Predicate_imm0_32: {
    
      return Imm >= 0 && Imm < 33;
    
  }
  case GICXXPred_I64_Predicate_imm0_63: {
    
      return Imm >= 0 && Imm < 64;
    
  }
  case GICXXPred_I64_Predicate_imm0_239: {
     return Imm >= 0 && Imm < 240; 
  }
  case GICXXPred_I64_Predicate_imm0_255: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_imm0_255_expr: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_imm0_4095: {
    
      return Imm >= 0 && Imm < 4096;
    
  }
  case GICXXPred_I64_Predicate_imm0_65535: {
    
      return Imm >= 0 && Imm < 65536;
    
  }
  case GICXXPred_I64_Predicate_imm0_65535_expr: {
    
      return Imm >= 0 && Imm < 65536;
    
  }
  case GICXXPred_I64_Predicate_imm0_65535_neg: {
    
      return -Imm >= 0 && -Imm < 65536;
    
  }
  case GICXXPred_I64_Predicate_imm1_7: {
     return Imm > 0 && Imm < 8; 
  }
  case GICXXPred_I64_Predicate_imm1_15: {
     return Imm > 0 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_imm1_16: {
    
        return Imm > 0 && Imm <= 16;
      
  }
  case GICXXPred_I64_Predicate_imm1_31: {
     return Imm > 0 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_imm8: {
     return Imm == 8; 
  }
  case GICXXPred_I64_Predicate_imm8_255: {
    
      return Imm >= 8 && Imm < 256;
    
  }
  case GICXXPred_I64_Predicate_imm8_or_16: {
     return Imm == 8 || Imm == 16;
  }
  case GICXXPred_I64_Predicate_imm16: {
     return Imm == 16; 
  }
  case GICXXPred_I64_Predicate_imm16_31: {
    
      return (int32_t)Imm >= 16 && (int32_t)Imm < 32;
    
  }
  case GICXXPred_I64_Predicate_imm24b: {
    
      return Imm >= 0 && Imm <= 0xffffff;
    
  }
  case GICXXPred_I64_Predicate_imm32: {
     return Imm == 32; 
  }
  case GICXXPred_I64_Predicate_imm256_510: {
    
      return Imm >= 256 && Imm < 511;
    
  }
  case GICXXPred_I64_Predicate_imm_3b: {
    { return Imm >= 0 && Imm < (1 << 3); }
    llvm_unreachable("imm_3b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_4b: {
    { return Imm >= 0 && Imm < (1 << 4); }
    llvm_unreachable("imm_4b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_6b: {
    { return Imm >= 0 && Imm < (1 << 6); }
    llvm_unreachable("imm_6b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_7b: {
    { return Imm >= 0 && Imm < (1 << 7); }
    llvm_unreachable("imm_7b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_9b: {
    { return Imm >= 0 && Imm < (1 << 9); }
    llvm_unreachable("imm_9b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_11b: {
    { return Imm >= 0 && Imm < (1 << 11); }
    llvm_unreachable("imm_11b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_12b: {
    { return Imm >= 0 && Imm < (1 << 12); }
    llvm_unreachable("imm_12b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_13b: {
    { return Imm >= 0 && Imm < (1 << 13); }
    llvm_unreachable("imm_13b should have returned");
  }
  case GICXXPred_I64_Predicate_imm_even: {
     return (Imm & 1) == 0; 
  }
  case GICXXPred_I64_Predicate_imm_odd: {
     return (Imm & 1) == 1; 
  }
  case GICXXPred_I64_Predicate_imm_sr: {
    
      return Imm > 0 && Imm <= 32;
    
  }
  case GICXXPred_I64_Predicate_long_shift: {
     return Imm > 0 && Imm <= 32; 
  }
  case GICXXPred_I64_Predicate_mod_imm: {
    
        return ARM_AM::getSOImmVal(Imm) != -1;
      
  }
  case GICXXPred_I64_Predicate_mod_imm_not: {
    
        return ARM_AM::getSOImmVal(~(uint32_t)Imm) != -1;
      
  }
  case GICXXPred_I64_Predicate_pkh_asr_amt: {
     return Imm > 0 && Imm <= 32; 
  }
  case GICXXPred_I64_Predicate_pkh_lsl_amt: {
     return Imm >= 0 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_shr_imm8: {
     return Imm > 0 && Imm <= 8; 
  }
  case GICXXPred_I64_Predicate_shr_imm16: {
     return Imm > 0 && Imm <= 16; 
  }
  case GICXXPred_I64_Predicate_shr_imm32: {
     return Imm > 0 && Imm <= 32; 
  }
  case GICXXPred_I64_Predicate_shr_imm64: {
     return Imm > 0 && Imm <= 64; 
  }
  case GICXXPred_I64_Predicate_t2_so_imm: {
    
        return ARM_AM::getT2SOImmVal(Imm) != -1;
      
  }
  case GICXXPred_I64_Predicate_t2_so_imm_neg: {
    
      return Imm && ARM_AM::getT2SOImmVal(-(uint32_t)Imm) != -1;
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool ARMInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_arm_i32imm = GICXXPred_Invalid + 1,
};
bool ARMInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_arm_i32imm: {
    
      if (Subtarget->useMovt())
        return true;
      if (ARM_AM::isSOImmTwoPartVal(Imm.getZExtValue()))
        return true;
      return ARM_AM::isSOImmTwoPartValNeg(Imm.getZExtValue());
    
    llvm_unreachable("arm_i32imm should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool ARMInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("ARMInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderInvertedImm,
  GICR_renderVFPF32Imm,
  GICR_renderVFPF64Imm,
};
ARMInstructionSelector::CustomRendererFn
ARMInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &ARMInstructionSelector::renderInvertedImm,
  &ARMInstructionSelector::renderVFPF32Imm,
  &ARMInstructionSelector::renderVFPF64Imm,
};

bool ARMInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool ARMInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("ARMInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *ARMInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(312), /*)*//*default:*//*Label 79*/ GIMT_Encode4(130769),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1046),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(10373),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(13617),
     /*     22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(15321),
     /*     26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(15417), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 5*/ GIMT_Encode4(15513),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 6*/ GIMT_Encode4(18693),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 7*/ GIMT_Encode4(24502), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    114 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 8*/ GIMT_Encode4(26197), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 9*/ GIMT_Encode4(26584), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 10*/ GIMT_Encode4(35596),
     /*    146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 11*/ GIMT_Encode4(36004), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 12*/ GIMT_Encode4(36379), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 13*/ GIMT_Encode4(36754), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    294 */ /*TargetOpcode::G_FENCE*//*Label 14*/ GIMT_Encode4(36917), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    314 */ /*TargetOpcode::G_INTRINSIC*//*Label 15*/ GIMT_Encode4(36938),
     /*    318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 16*/ GIMT_Encode4(91006), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    330 */ /*TargetOpcode::G_ANYEXT*//*Label 17*/ GIMT_Encode4(98668),
     /*    334 */ /*TargetOpcode::G_TRUNC*//*Label 18*/ GIMT_Encode4(98826), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    350 */ /*TargetOpcode::G_CONSTANT*//*Label 19*/ GIMT_Encode4(98984),
     /*    354 */ /*TargetOpcode::G_FCONSTANT*//*Label 20*/ GIMT_Encode4(99305), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    366 */ /*TargetOpcode::G_SEXT*//*Label 21*/ GIMT_Encode4(99401),
     /*    370 */ /*TargetOpcode::G_SEXT_INREG*//*Label 22*/ GIMT_Encode4(99559),
     /*    374 */ /*TargetOpcode::G_ZEXT*//*Label 23*/ GIMT_Encode4(100164),
     /*    378 */ /*TargetOpcode::G_SHL*//*Label 24*/ GIMT_Encode4(100322),
     /*    382 */ /*TargetOpcode::G_LSHR*//*Label 25*/ GIMT_Encode4(100538),
     /*    386 */ /*TargetOpcode::G_ASHR*//*Label 26*/ GIMT_Encode4(100646), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    398 */ /*TargetOpcode::G_ROTR*//*Label 27*/ GIMT_Encode4(100919), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    466 */ /*TargetOpcode::G_UMULH*//*Label 28*/ GIMT_Encode4(101251),
     /*    470 */ /*TargetOpcode::G_SMULH*//*Label 29*/ GIMT_Encode4(101499),
     /*    474 */ /*TargetOpcode::G_UADDSAT*//*Label 30*/ GIMT_Encode4(101868),
     /*    478 */ /*TargetOpcode::G_SADDSAT*//*Label 31*/ GIMT_Encode4(102513),
     /*    482 */ /*TargetOpcode::G_USUBSAT*//*Label 32*/ GIMT_Encode4(103813),
     /*    486 */ /*TargetOpcode::G_SSUBSAT*//*Label 33*/ GIMT_Encode4(104458), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    530 */ /*TargetOpcode::G_FADD*//*Label 34*/ GIMT_Encode4(105478),
     /*    534 */ /*TargetOpcode::G_FSUB*//*Label 35*/ GIMT_Encode4(107831),
     /*    538 */ /*TargetOpcode::G_FMUL*//*Label 36*/ GIMT_Encode4(109508),
     /*    542 */ /*TargetOpcode::G_FMA*//*Label 37*/ GIMT_Encode4(110489), GIMT_Encode4(0),
     /*    550 */ /*TargetOpcode::G_FDIV*//*Label 38*/ GIMT_Encode4(112580), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    598 */ /*TargetOpcode::G_FNEG*//*Label 39*/ GIMT_Encode4(112745),
     /*    602 */ /*TargetOpcode::G_FPEXT*//*Label 40*/ GIMT_Encode4(114276),
     /*    606 */ /*TargetOpcode::G_FPTRUNC*//*Label 41*/ GIMT_Encode4(114512),
     /*    610 */ /*TargetOpcode::G_FPTOSI*//*Label 42*/ GIMT_Encode4(114784),
     /*    614 */ /*TargetOpcode::G_FPTOUI*//*Label 43*/ GIMT_Encode4(116118),
     /*    618 */ /*TargetOpcode::G_SITOFP*//*Label 44*/ GIMT_Encode4(117452),
     /*    622 */ /*TargetOpcode::G_UITOFP*//*Label 45*/ GIMT_Encode4(118104), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    634 */ /*TargetOpcode::G_FABS*//*Label 46*/ GIMT_Encode4(118756), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    650 */ /*TargetOpcode::G_FMINNUM*//*Label 47*/ GIMT_Encode4(119532),
     /*    654 */ /*TargetOpcode::G_FMAXNUM*//*Label 48*/ GIMT_Encode4(120124), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    666 */ /*TargetOpcode::G_FMINIMUM*//*Label 49*/ GIMT_Encode4(120716),
     /*    670 */ /*TargetOpcode::G_FMAXIMUM*//*Label 50*/ GIMT_Encode4(121450), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    682 */ /*TargetOpcode::G_GET_FPENV*//*Label 51*/ GIMT_Encode4(122184),
     /*    686 */ /*TargetOpcode::G_SET_FPENV*//*Label 52*/ GIMT_Encode4(122217),
     /*    690 */ /*TargetOpcode::G_RESET_FPENV*//*Label 53*/ GIMT_Encode4(122253),
     /*    694 */ /*TargetOpcode::G_GET_FPMODE*//*Label 54*/ GIMT_Encode4(122382), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    718 */ /*TargetOpcode::G_SMIN*//*Label 55*/ GIMT_Encode4(122415),
     /*    722 */ /*TargetOpcode::G_SMAX*//*Label 56*/ GIMT_Encode4(122958),
     /*    726 */ /*TargetOpcode::G_UMIN*//*Label 57*/ GIMT_Encode4(123501),
     /*    730 */ /*TargetOpcode::G_UMAX*//*Label 58*/ GIMT_Encode4(124422),
     /*    734 */ /*TargetOpcode::G_ABS*//*Label 59*/ GIMT_Encode4(125343), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    746 */ /*TargetOpcode::G_BR*//*Label 60*/ GIMT_Encode4(125814), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    766 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 61*/ GIMT_Encode4(125887),
     /*    770 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 62*/ GIMT_Encode4(126187), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    798 */ /*TargetOpcode::G_CTLZ*//*Label 63*/ GIMT_Encode4(126244), GIMT_Encode4(0),
     /*    806 */ /*TargetOpcode::G_CTPOP*//*Label 64*/ GIMT_Encode4(126805),
     /*    810 */ /*TargetOpcode::G_BSWAP*//*Label 65*/ GIMT_Encode4(126913),
     /*    814 */ /*TargetOpcode::G_BITREVERSE*//*Label 66*/ GIMT_Encode4(127203),
     /*    818 */ /*TargetOpcode::G_FCEIL*//*Label 67*/ GIMT_Encode4(127635), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    866 */ /*TargetOpcode::G_FSQRT*//*Label 68*/ GIMT_Encode4(128010),
     /*    870 */ /*TargetOpcode::G_FFLOOR*//*Label 69*/ GIMT_Encode4(128148),
     /*    874 */ /*TargetOpcode::G_FRINT*//*Label 70*/ GIMT_Encode4(128523),
     /*    878 */ /*TargetOpcode::G_FNEARBYINT*//*Label 71*/ GIMT_Encode4(128931), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    966 */ /*TargetOpcode::G_TRAP*//*Label 72*/ GIMT_Encode4(129069),
     /*    970 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 73*/ GIMT_Encode4(129115), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   1010 */ /*TargetOpcode::G_VECREDUCE_ADD*//*Label 74*/ GIMT_Encode4(129202), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   1030 */ /*TargetOpcode::G_VECREDUCE_SMAX*//*Label 75*/ GIMT_Encode4(129623),
     /*   1034 */ /*TargetOpcode::G_VECREDUCE_SMIN*//*Label 76*/ GIMT_Encode4(129903),
     /*   1038 */ /*TargetOpcode::G_VECREDUCE_UMAX*//*Label 77*/ GIMT_Encode4(130192),
     /*   1042 */ /*TargetOpcode::G_VECREDUCE_UMIN*//*Label 78*/ GIMT_Encode4(130473),
     /*   1046 */ // Label 0: @1046
     /*   1046 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 89*/ GIMT_Encode4(10372),
     /*   1057 */ /*GILLT_s32*//*Label 80*/ GIMT_Encode4(1117),
     /*   1061 */ /*GILLT_s64*//*Label 81*/ GIMT_Encode4(6893), GIMT_Encode4(0),
     /*   1069 */ /*GILLT_v2s32*//*Label 82*/ GIMT_Encode4(6940),
     /*   1073 */ /*GILLT_v2s64*//*Label 83*/ GIMT_Encode4(7125), GIMT_Encode4(0),
     /*   1081 */ /*GILLT_v4s16*//*Label 84*/ GIMT_Encode4(7836),
     /*   1085 */ /*GILLT_v4s32*//*Label 85*/ GIMT_Encode4(8021), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   1097 */ /*GILLT_v8s8*//*Label 86*/ GIMT_Encode4(8977),
     /*   1101 */ /*GILLT_v8s16*//*Label 87*/ GIMT_Encode4(9162), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   1113 */ /*GILLT_v16s8*//*Label 88*/ GIMT_Encode4(10118),
     /*   1117 */ // Label 80: @1117
     /*   1117 */ GIM_Try, /*On fail goto*//*Label 90*/ GIMT_Encode4(6892),
     /*   1122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   1125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   1128 */   GIM_Try, /*On fail goto*//*Label 91*/ GIMT_Encode4(1203), // Rule ID 5667 //
     /*   1133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   1136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   1140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1161 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /*   1172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1178 */     // (add:{ *:[i32] } (and:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 255:{ *:[i32] }), GPR:{ *:[i32] }:$Rn)  =>  (UXTAB:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTAB),
     /*   1181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   1185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1201 */     GIR_RootConstrainSelectedInstOperands,
     /*   1202 */     // GIR_Coverage, 5667,
     /*   1202 */     GIR_EraseRootFromParent_Done,
     /*   1203 */   // Label 91: @1203
     /*   1203 */   GIM_Try, /*On fail goto*//*Label 92*/ GIMT_Encode4(1278), // Rule ID 5668 //
     /*   1208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   1211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   1215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1236 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   1247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1253 */     // (add:{ *:[i32] } (and:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 65535:{ *:[i32] }), GPR:{ *:[i32] }:$Rn)  =>  (UXTAH:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTAH),
     /*   1256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   1260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1276 */     GIR_RootConstrainSelectedInstOperands,
     /*   1277 */     // GIR_Coverage, 5668,
     /*   1277 */     GIR_EraseRootFromParent_Done,
     /*   1278 */   // Label 92: @1278
     /*   1278 */   GIM_Try, /*On fail goto*//*Label 93*/ GIMT_Encode4(1353), // Rule ID 5702 //
     /*   1283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   1286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1311 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /*   1322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1328 */     // (add:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 255:{ *:[i32] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2UXTAB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTAB),
     /*   1331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   1335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1351 */     GIR_RootConstrainSelectedInstOperands,
     /*   1352 */     // GIR_Coverage, 5702,
     /*   1352 */     GIR_EraseRootFromParent_Done,
     /*   1353 */   // Label 93: @1353
     /*   1353 */   GIM_Try, /*On fail goto*//*Label 94*/ GIMT_Encode4(1428), // Rule ID 5703 //
     /*   1358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   1361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1386 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   1397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1403 */     // (add:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 65535:{ *:[i32] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2UXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTAH),
     /*   1406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   1410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1426 */     GIR_RootConstrainSelectedInstOperands,
     /*   1427 */     // GIR_Coverage, 5703,
     /*   1427 */     GIR_EraseRootFromParent_Done,
     /*   1428 */   // Label 94: @1428
     /*   1428 */   GIM_Try, /*On fail goto*//*Label 95*/ GIMT_Encode4(1503), // Rule ID 1997 //
     /*   1433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   1436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   1440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1465 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /*   1476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1478 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (and:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 255:{ *:[i32] }))  =>  (UXTAB:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTAB),
     /*   1481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1483 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   1485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1501 */     GIR_RootConstrainSelectedInstOperands,
     /*   1502 */     // GIR_Coverage, 1997,
     /*   1502 */     GIR_EraseRootFromParent_Done,
     /*   1503 */   // Label 95: @1503
     /*   1503 */   GIM_Try, /*On fail goto*//*Label 96*/ GIMT_Encode4(1578), // Rule ID 1998 //
     /*   1508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   1511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   1515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   1540 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   1551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1553 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (and:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 65535:{ *:[i32] }))  =>  (UXTAH:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTAH),
     /*   1556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1558 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   1560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1576 */     GIR_RootConstrainSelectedInstOperands,
     /*   1577 */     // GIR_Coverage, 1998,
     /*   1577 */     GIR_EraseRootFromParent_Done,
     /*   1578 */   // Label 96: @1578
     /*   1578 */   GIM_Try, /*On fail goto*//*Label 97*/ GIMT_Encode4(1653), // Rule ID 2236 //
     /*   1583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   1586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1615 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /*   1626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1628 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 255:{ *:[i32] }))  =>  (t2UXTAB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTAB),
     /*   1631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1633 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   1635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1651 */     GIR_RootConstrainSelectedInstOperands,
     /*   1652 */     // GIR_Coverage, 2236,
     /*   1652 */     GIR_EraseRootFromParent_Done,
     /*   1653 */   // Label 97: @1653
     /*   1653 */   GIM_Try, /*On fail goto*//*Label 98*/ GIMT_Encode4(1728), // Rule ID 2237 //
     /*   1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   1677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   1685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1690 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   1701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1703 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 65535:{ *:[i32] }))  =>  (t2UXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   1703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTAH),
     /*   1706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1708 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   1710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   1714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   1717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1726 */     GIR_RootConstrainSelectedInstOperands,
     /*   1727 */     // GIR_Coverage, 2237,
     /*   1727 */     GIR_EraseRootFromParent_Done,
     /*   1728 */   // Label 98: @1728
     /*   1728 */   GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1856), // Rule ID 5678 //
     /*   1733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   1736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   1748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   1756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   1760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   1764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   1768 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*   1772 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   1776 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   1780 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   1784 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1789 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   1793 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /*   1797 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   1801 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   1805 */     // MIs[4] Rm
     /*   1805 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*   1810 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*   1814 */     // MIs[1] Operand 2
     /*   1814 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   1825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1829 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   1831 */     // (add:{ *:[i32] } (sext_inreg:{ *:[i32] } (or:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 8:{ *:[i32] })), i16:{ *:[Other] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 3:{ *:[i32] })
     /*   1831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   1834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   1838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   1842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   1845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1854 */     GIR_RootConstrainSelectedInstOperands,
     /*   1855 */     // GIR_Coverage, 5678,
     /*   1855 */     GIR_EraseRootFromParent_Done,
     /*   1856 */   // Label 99: @1856
     /*   1856 */   GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1984), // Rule ID 5679 //
     /*   1861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   1864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   1876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   1880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   1884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   1888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   1892 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   1896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*   1900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   1904 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   1908 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   1912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1917 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 8,
     /*   1921 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /*   1925 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   1929 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   1933 */     // MIs[4] Rm
     /*   1933 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*   1938 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   1942 */     // MIs[1] Operand 2
     /*   1942 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   1953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1957 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   1959 */     // (add:{ *:[i32] } (sext_inreg:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 8:{ *:[i32] }), (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] })), i16:{ *:[Other] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 3:{ *:[i32] })
     /*   1959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   1962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   1964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   1966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   1970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   1973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   1976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   1982 */     GIR_RootConstrainSelectedInstOperands,
     /*   1983 */     // GIR_Coverage, 5679,
     /*   1983 */     GIR_EraseRootFromParent_Done,
     /*   1984 */   // Label 100: @1984
     /*   1984 */   GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(2112), // Rule ID 2103 //
     /*   1989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   1992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   1996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   2008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   2020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2024 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2028 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*   2032 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   2036 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2040 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   2044 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2049 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   2053 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /*   2057 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   2061 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   2065 */     // MIs[4] Rm
     /*   2065 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*   2070 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*   2074 */     // MIs[1] Operand 2
     /*   2074 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   2085 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   2087 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (sext_inreg:{ *:[i32] } (or:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 8:{ *:[i32] })), i16:{ *:[Other] }))  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 3:{ *:[i32] })
     /*   2087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   2090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2092 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   2094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   2098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   2101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2110 */     GIR_RootConstrainSelectedInstOperands,
     /*   2111 */     // GIR_Coverage, 2103,
     /*   2111 */     GIR_EraseRootFromParent_Done,
     /*   2112 */   // Label 101: @2112
     /*   2112 */   GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(2240), // Rule ID 5677 //
     /*   2117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   2120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   2136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   2148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2152 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*   2160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   2164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2168 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   2172 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2177 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 8,
     /*   2181 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /*   2185 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   2189 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   2193 */     // MIs[4] Rm
     /*   2193 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*   2198 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   2202 */     // MIs[1] Operand 2
     /*   2202 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   2213 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   2215 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (sext_inreg:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 8:{ *:[i32] }), (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] })), i16:{ *:[Other] }))  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 3:{ *:[i32] })
     /*   2215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   2218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2220 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   2222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   2226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   2229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2238 */     GIR_RootConstrainSelectedInstOperands,
     /*   2239 */     // GIR_Coverage, 5677,
     /*   2239 */     GIR_EraseRootFromParent_Done,
     /*   2240 */   // Label 102: @2240
     /*   2240 */   GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(2350), // Rule ID 5446 //
     /*   2245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   2248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   2260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   2268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2289 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   2293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   2297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2301 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2305 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   2309 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2314 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   2318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   2322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   2324 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, 16:{ *:[i32] })), GPR:{ *:[i32] }:$Ra)  =>  (SMLATT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   2324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLATT),
     /*   2327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   2333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   2337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   2339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2348 */     GIR_RootConstrainSelectedInstOperands,
     /*   2349 */     // GIR_Coverage, 5446,
     /*   2349 */     GIR_EraseRootFromParent_Done,
     /*   2350 */   // Label 103: @2350
     /*   2350 */   GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(2460), // Rule ID 5483 //
     /*   2355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   2358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   2370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   2378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2399 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   2403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   2407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2411 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2415 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   2419 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2424 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   2428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   2434 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16:{ *:[i32] })), rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLATT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   2434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLATT),
     /*   2437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   2443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   2447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   2449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2458 */     GIR_RootConstrainSelectedInstOperands,
     /*   2459 */     // GIR_Coverage, 5483,
     /*   2459 */     GIR_EraseRootFromParent_Done,
     /*   2460 */   // Label 104: @2460
     /*   2460 */   GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(2570), // Rule ID 192 //
     /*   2465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   2468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   2476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   2484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   2492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2504 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2513 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   2517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   2521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2525 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2529 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   2533 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2538 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   2542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   2544 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, 16:{ *:[i32] })))  =>  (SMLATT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   2544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLATT),
     /*   2547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   2553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   2557 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   2559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2562 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2568 */     GIR_RootConstrainSelectedInstOperands,
     /*   2569 */     // GIR_Coverage, 192,
     /*   2569 */     GIR_EraseRootFromParent_Done,
     /*   2570 */   // Label 105: @2570
     /*   2570 */   GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(2680), // Rule ID 521 //
     /*   2575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   2578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   2594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   2602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2623 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   2627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   2631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2635 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2639 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   2643 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2648 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   2652 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   2654 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16:{ *:[i32] })))  =>  (t2SMLATT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   2654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLATT),
     /*   2657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   2663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   2667 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   2669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2678 */     GIR_RootConstrainSelectedInstOperands,
     /*   2679 */     // GIR_Coverage, 521,
     /*   2679 */     GIR_EraseRootFromParent_Done,
     /*   2680 */   // Label 106: @2680
     /*   2680 */   GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(2793), // Rule ID 5445 //
     /*   2685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   2688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   2700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   2708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2720 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2729 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   2733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   2737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   2741 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2745 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2750 */     // MIs[3] Operand 2
     /*   2750 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   2761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   2765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   2767 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, 16:{ *:[i32] }), (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, i16:{ *:[Other] })), GPR:{ *:[i32] }:$Ra)  =>  (SMLABT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   2767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLABT),
     /*   2770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*   2776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   2780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   2782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2791 */     GIR_RootConstrainSelectedInstOperands,
     /*   2792 */     // GIR_Coverage, 5445,
     /*   2792 */     GIR_EraseRootFromParent_Done,
     /*   2793 */   // Label 107: @2793
     /*   2793 */   GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(2906), // Rule ID 5482 //
     /*   2798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   2801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   2813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   2821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2833 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   2837 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2842 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   2846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   2850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   2854 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2858 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2863 */     // MIs[3] Operand 2
     /*   2863 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   2874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   2878 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   2880 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16:{ *:[i32] }), (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, i16:{ *:[Other] })), rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLABT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   2880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLABT),
     /*   2883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*   2889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   2893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   2895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   2898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   2904 */     GIR_RootConstrainSelectedInstOperands,
     /*   2905 */     // GIR_Coverage, 5482,
     /*   2905 */     GIR_EraseRootFromParent_Done,
     /*   2906 */   // Label 108: @2906
     /*   2906 */   GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(3019), // Rule ID 5444 //
     /*   2911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   2914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   2926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   2930 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   2934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   2938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   2942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   2946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2951 */     // MIs[2] Operand 2
     /*   2951 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   2962 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   2966 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   2970 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   2974 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   2978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   2983 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   2987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   2991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   2993 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, 16:{ *:[i32] })), GPR:{ *:[i32] }:$Ra)  =>  (SMLABT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   2993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLABT),
     /*   2996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   2998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   3008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3011 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3017 */     GIR_RootConstrainSelectedInstOperands,
     /*   3018 */     // GIR_Coverage, 5444,
     /*   3018 */     GIR_EraseRootFromParent_Done,
     /*   3019 */   // Label 109: @3019
     /*   3019 */   GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(3132), // Rule ID 5481 //
     /*   3024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   3027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   3039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   3047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3059 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3064 */     // MIs[2] Operand 2
     /*   3064 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   3075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   3079 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   3083 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   3087 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   3091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3096 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   3100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3104 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   3106 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16:{ *:[i32] })), rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLABT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   3106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLABT),
     /*   3109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   3121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3130 */     GIR_RootConstrainSelectedInstOperands,
     /*   3131 */     // GIR_Coverage, 5481,
     /*   3131 */     GIR_EraseRootFromParent_Done,
     /*   3132 */   // Label 110: @3132
     /*   3132 */   GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(3245), // Rule ID 191 //
     /*   3137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   3140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   3148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   3156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   3164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   3172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   3180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3185 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   3189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   3193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3197 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   3201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3206 */     // MIs[3] Operand 2
     /*   3206 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   3217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   3219 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, i16:{ *:[Other] })))  =>  (SMLATB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   3219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLATB),
     /*   3222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3232 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   3234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3243 */     GIR_RootConstrainSelectedInstOperands,
     /*   3244 */     // GIR_Coverage, 191,
     /*   3244 */     GIR_EraseRootFromParent_Done,
     /*   3245 */   // Label 111: @3245
     /*   3245 */   GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(3358), // Rule ID 520 //
     /*   3250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   3253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   3269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   3277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   3285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   3293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3298 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   3302 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   3306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3310 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   3314 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3319 */     // MIs[3] Operand 2
     /*   3319 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   3330 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   3332 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] })))  =>  (t2SMLATB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   3332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLATB),
     /*   3335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3345 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   3347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3356 */     GIR_RootConstrainSelectedInstOperands,
     /*   3357 */     // GIR_Coverage, 520,
     /*   3357 */     GIR_EraseRootFromParent_Done,
     /*   3358 */   // Label 112: @3358
     /*   3358 */   GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(3471), // Rule ID 190 //
     /*   3363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   3366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   3374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   3382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3386 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   3390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3407 */     // MIs[2] Operand 2
     /*   3407 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   3418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   3422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   3426 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   3430 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   3434 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3439 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   3443 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   3445 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, 16:{ *:[i32] })))  =>  (SMLABT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   3445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLABT),
     /*   3448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3458 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   3460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3469 */     GIR_RootConstrainSelectedInstOperands,
     /*   3470 */     // GIR_Coverage, 190,
     /*   3470 */     GIR_EraseRootFromParent_Done,
     /*   3471 */   // Label 113: @3471
     /*   3471 */   GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(3584), // Rule ID 519 //
     /*   3476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   3479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   3495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   3503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3520 */     // MIs[2] Operand 2
     /*   3520 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   3531 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   3535 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*   3539 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   3543 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   3547 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3552 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   3556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   3558 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16:{ *:[i32] })))  =>  (t2SMLABT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   3558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLABT),
     /*   3561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3571 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   3573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3582 */     GIR_RootConstrainSelectedInstOperands,
     /*   3583 */     // GIR_Coverage, 519,
     /*   3583 */     GIR_EraseRootFromParent_Done,
     /*   3584 */   // Label 114: @3584
     /*   3584 */   GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(3675), // Rule ID 5676 //
     /*   3589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   3592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*   3616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3620 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   3624 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3629 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   3633 */     // MIs[1] Operand 2
     /*   3633 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   3644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3650 */     // (add:{ *:[i32] } (sext_inreg:{ *:[i32] } (rotr:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), i16:{ *:[Other] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 3:{ *:[i32] })
     /*   3650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   3653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   3657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   3661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   3664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3673 */     GIR_RootConstrainSelectedInstOperands,
     /*   3674 */     // GIR_Coverage, 5676,
     /*   3674 */     GIR_EraseRootFromParent_Done,
     /*   3675 */   // Label 115: @3675
     /*   3675 */   GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(3766), // Rule ID 2102 //
     /*   3680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   3683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*   3711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3715 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   3719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3724 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   3728 */     // MIs[1] Operand 2
     /*   3728 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   3739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3741 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (sext_inreg:{ *:[i32] } (rotr:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), i16:{ *:[Other] }))  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 3:{ *:[i32] })
     /*   3741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   3744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   3748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   3752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   3755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3764 */     GIR_RootConstrainSelectedInstOperands,
     /*   3765 */     // GIR_Coverage, 2102,
     /*   3765 */     GIR_EraseRootFromParent_Done,
     /*   3766 */   // Label 116: @3766
     /*   3766 */   GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(3882), // Rule ID 5443 //
     /*   3771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   3774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   3786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   3794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3811 */     // MIs[2] Operand 2
     /*   3811 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   3822 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   3826 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3830 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   3834 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   3839 */     // MIs[3] Operand 2
     /*   3839 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   3850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   3854 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   3856 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, i16:{ *:[Other] })), GPR:{ *:[i32] }:$Ra)  =>  (SMLABB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   3856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLABB),
     /*   3859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   3871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3880 */     GIR_RootConstrainSelectedInstOperands,
     /*   3881 */     // GIR_Coverage, 5443,
     /*   3881 */     GIR_EraseRootFromParent_Done,
     /*   3882 */   // Label 117: @3882
     /*   3882 */   GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(3998), // Rule ID 5480 //
     /*   3887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   3890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   3902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   3906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   3910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   3922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3927 */     // MIs[2] Operand 2
     /*   3927 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   3938 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   3942 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   3946 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   3950 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3955 */     // MIs[3] Operand 2
     /*   3955 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   3966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   3970 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   3972 */     // (add:{ *:[i32] } (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] })), rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLABB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   3972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLABB),
     /*   3975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   3981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   3985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   3987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   3990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   3996 */     GIR_RootConstrainSelectedInstOperands,
     /*   3997 */     // GIR_Coverage, 5480,
     /*   3997 */     GIR_EraseRootFromParent_Done,
     /*   3998 */   // Label 118: @3998
     /*   3998 */   GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(4114), // Rule ID 189 //
     /*   4003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM_UseMulOps),
     /*   4006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   4010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   4014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   4026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   4030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   4038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   4042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   4047 */     // MIs[2] Operand 2
     /*   4047 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   4058 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   4062 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   4066 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   4070 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   4075 */     // MIs[3] Operand 2
     /*   4075 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   4086 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   4088 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, i16:{ *:[Other] })))  =>  (SMLABB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   4088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLABB),
     /*   4091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   4097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   4101 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   4103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   4106 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4112 */     GIR_RootConstrainSelectedInstOperands,
     /*   4113 */     // GIR_Coverage, 189,
     /*   4113 */     GIR_EraseRootFromParent_Done,
     /*   4114 */   // Label 119: @4114
     /*   4114 */   GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(4230), // Rule ID 518 //
     /*   4119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   4122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   4126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   4130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   4142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   4146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   4154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   4158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   4163 */     // MIs[2] Operand 2
     /*   4163 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*   4174 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   4178 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   4182 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   4186 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   4191 */     // MIs[3] Operand 2
     /*   4191 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*   4202 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   4204 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] })))  =>  (t2SMLABB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   4204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLABB),
     /*   4207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   4213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   4217 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   4219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   4222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4228 */     GIR_RootConstrainSelectedInstOperands,
     /*   4229 */     // GIR_Coverage, 518,
     /*   4229 */     GIR_EraseRootFromParent_Done,
     /*   4230 */   // Label 120: @4230
     /*   4230 */   GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(4318), // Rule ID 3245 //
     /*   4235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   4238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   4250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4266 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4286 */     // (add:{ *:[i32] } (vecreduce_add:{ *:[i32] } (mul:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src1, MQPR:{ *:[v4i32] }:$src2)), tGPREven:{ *:[i32] }:$src3)  =>  (MVE_VMLADAVau32:{ *:[i32] } ?:{ *:[i32] }:$src3, ?:{ *:[v4i32] }:$src1, ?:{ *:[v4i32] }:$src2)
     /*   4286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau32),
     /*   4289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*   4291 */     GIR_RootToRootCopy, /*OpIdx*/2, // src3
     /*   4293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*   4297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /*   4301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   4304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4316 */     GIR_RootConstrainSelectedInstOperands,
     /*   4317 */     // GIR_Coverage, 3245,
     /*   4317 */     GIR_EraseRootFromParent_Done,
     /*   4318 */   // Label 121: @4318
     /*   4318 */   GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(4406), // Rule ID 3246 //
     /*   4323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   4326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   4338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   4342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   4354 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   4358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4374 */     // (add:{ *:[i32] } (vecreduce_add:{ *:[i32] } (mul:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src1, MQPR:{ *:[v8i16] }:$src2)), tGPREven:{ *:[i32] }:$src3)  =>  (MVE_VMLADAVau16:{ *:[i32] } ?:{ *:[i32] }:$src3, ?:{ *:[v8i16] }:$src1, ?:{ *:[v8i16] }:$src2)
     /*   4374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau16),
     /*   4377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*   4379 */     GIR_RootToRootCopy, /*OpIdx*/2, // src3
     /*   4381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*   4385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /*   4389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   4392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4404 */     GIR_RootConstrainSelectedInstOperands,
     /*   4405 */     // GIR_Coverage, 3246,
     /*   4405 */     GIR_EraseRootFromParent_Done,
     /*   4406 */   // Label 122: @4406
     /*   4406 */   GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(4494), // Rule ID 3249 //
     /*   4411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   4414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   4426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   4430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   4442 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*   4446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4462 */     // (add:{ *:[i32] } (vecreduce_add:{ *:[i32] } (mul:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src1, MQPR:{ *:[v16i8] }:$src2)), tGPREven:{ *:[i32] }:$src3)  =>  (MVE_VMLADAVau8:{ *:[i32] } ?:{ *:[i32] }:$src3, ?:{ *:[v16i8] }:$src1, ?:{ *:[v16i8] }:$src2)
     /*   4462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau8),
     /*   4465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*   4467 */     GIR_RootToRootCopy, /*OpIdx*/2, // src3
     /*   4469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*   4473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /*   4477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   4480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4492 */     GIR_RootConstrainSelectedInstOperands,
     /*   4493 */     // GIR_Coverage, 3249,
     /*   4493 */     GIR_EraseRootFromParent_Done,
     /*   4494 */   // Label 123: @4494
     /*   4494 */   GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(4582), // Rule ID 5947 //
     /*   4499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   4502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   4518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4534 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4550 */     // (add:{ *:[i32] } tGPREven:{ *:[i32] }:$src3, (vecreduce_add:{ *:[i32] } (mul:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src1, MQPR:{ *:[v4i32] }:$src2)))  =>  (MVE_VMLADAVau32:{ *:[i32] } ?:{ *:[i32] }:$src3, ?:{ *:[v4i32] }:$src1, ?:{ *:[v4i32] }:$src2)
     /*   4550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau32),
     /*   4553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*   4555 */     GIR_RootToRootCopy, /*OpIdx*/1, // src3
     /*   4557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*   4561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /*   4565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   4568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4580 */     GIR_RootConstrainSelectedInstOperands,
     /*   4581 */     // GIR_Coverage, 5947,
     /*   4581 */     GIR_EraseRootFromParent_Done,
     /*   4582 */   // Label 124: @4582
     /*   4582 */   GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(4670), // Rule ID 5948 //
     /*   4587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   4590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   4606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   4610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   4622 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   4626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4638 */     // (add:{ *:[i32] } tGPREven:{ *:[i32] }:$src3, (vecreduce_add:{ *:[i32] } (mul:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src1, MQPR:{ *:[v8i16] }:$src2)))  =>  (MVE_VMLADAVau16:{ *:[i32] } ?:{ *:[i32] }:$src3, ?:{ *:[v8i16] }:$src1, ?:{ *:[v8i16] }:$src2)
     /*   4638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau16),
     /*   4641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*   4643 */     GIR_RootToRootCopy, /*OpIdx*/1, // src3
     /*   4645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*   4649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /*   4653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   4656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4668 */     GIR_RootConstrainSelectedInstOperands,
     /*   4669 */     // GIR_Coverage, 5948,
     /*   4669 */     GIR_EraseRootFromParent_Done,
     /*   4670 */   // Label 125: @4670
     /*   4670 */   GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(4758), // Rule ID 5951 //
     /*   4675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   4678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   4686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   4694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   4698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   4710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*   4714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   4724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4726 */     // (add:{ *:[i32] } tGPREven:{ *:[i32] }:$src3, (vecreduce_add:{ *:[i32] } (mul:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src1, MQPR:{ *:[v16i8] }:$src2)))  =>  (MVE_VMLADAVau8:{ *:[i32] } ?:{ *:[i32] }:$src3, ?:{ *:[v16i8] }:$src1, ?:{ *:[v16i8] }:$src2)
     /*   4726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau8),
     /*   4729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*   4731 */     GIR_RootToRootCopy, /*OpIdx*/1, // src3
     /*   4733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*   4737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /*   4741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   4744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4756 */     GIR_RootConstrainSelectedInstOperands,
     /*   4757 */     // GIR_Coverage, 5951,
     /*   4757 */     GIR_EraseRootFromParent_Done,
     /*   4758 */   // Label 126: @4758
     /*   4758 */   GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(4815), // Rule ID 72 //
     /*   4763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*   4766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   4770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   4774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   4782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*   4786 */     // MIs[1] Operand 1
     /*   4786 */     // No operand predicates
     /*   4786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4788 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm)  =>  (ADDri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*   4788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::ADDri),
     /*   4791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4793 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   4798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   4801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4813 */     GIR_RootConstrainSelectedInstOperands,
     /*   4814 */     // GIR_Coverage, 72,
     /*   4814 */     GIR_EraseRootFromParent_Done,
     /*   4815 */   // Label 127: @4815
     /*   4815 */   GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(4872), // Rule ID 303 //
     /*   4820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*   4823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*   4827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*   4831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   4839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /*   4843 */     // MIs[1] Operand 1
     /*   4843 */     // No operand predicates
     /*   4843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4845 */     // (add:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm3)  =>  (tADDi3:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$imm3)
     /*   4845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tADDi3),
     /*   4848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*   4856 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*   4858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm3
     /*   4861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   4864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4870 */     GIR_RootConstrainSelectedInstOperands,
     /*   4871 */     // GIR_Coverage, 303,
     /*   4871 */     GIR_EraseRootFromParent_Done,
     /*   4872 */   // Label 128: @4872
     /*   4872 */   GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(4929), // Rule ID 304 //
     /*   4877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*   4880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*   4884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*   4888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   4896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_255_expr),
     /*   4900 */     // MIs[1] Operand 1
     /*   4900 */     // No operand predicates
     /*   4900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4902 */     // (add:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_imm0_255_expr>>:$imm8)  =>  (tADDi8:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm8)
     /*   4902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tADDi8),
     /*   4905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   4907 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*   4913 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm8
     /*   4918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   4921 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4927 */     GIR_RootConstrainSelectedInstOperands,
     /*   4928 */     // GIR_Coverage, 304,
     /*   4928 */     GIR_EraseRootFromParent_Done,
     /*   4929 */   // Label 129: @4929
     /*   4929 */   GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(4986), // Rule ID 407 //
     /*   4934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*   4937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   4941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   4945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   4953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*   4957 */     // MIs[1] Operand 1
     /*   4957 */     // No operand predicates
     /*   4957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4959 */     // (add:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm)  =>  (t2ADDri:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*   4959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ADDri),
     /*   4962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4964 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   4969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   4972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   4984 */     GIR_RootConstrainSelectedInstOperands,
     /*   4985 */     // GIR_Coverage, 407,
     /*   4985 */     GIR_EraseRootFromParent_Done,
     /*   4986 */   // Label 130: @4986
     /*   4986 */   GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(5037), // Rule ID 408 //
     /*   4991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*   4994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   4998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   5002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   5010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_4095),
     /*   5014 */     // MIs[1] Operand 1
     /*   5014 */     // No operand predicates
     /*   5014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5016 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_imm0_4095>>:$imm)  =>  (t2ADDri12:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*   5016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ADDri12),
     /*   5019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5021 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   5023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   5026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5029 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5035 */     GIR_RootConstrainSelectedInstOperands,
     /*   5036 */     // GIR_Coverage, 408,
     /*   5036 */     GIR_EraseRootFromParent_Done,
     /*   5037 */   // Label 131: @5037
     /*   5037 */   GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(5113), // Rule ID 171 //
     /*   5042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM_UseMulOps),
     /*   5045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5061 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   5065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5081 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm), GPRnopc:{ *:[i32] }:$Ra)  =>  (MLA:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*   5081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MLA),
     /*   5084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   5090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   5094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5111 */     GIR_RootConstrainSelectedInstOperands,
     /*   5112 */     // GIR_Coverage, 171,
     /*   5112 */     GIR_EraseRootFromParent_Done,
     /*   5113 */   // Label 132: @5113
     /*   5113 */   GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(5189), // Rule ID 172 //
     /*   5118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_NoV6),
     /*   5121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   5141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5157 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm), GPRnopc:{ *:[i32] }:$Ra)  =>  (MLAv5:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*   5157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MLAv5),
     /*   5160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   5166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   5170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5181 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5187 */     GIR_RootConstrainSelectedInstOperands,
     /*   5188 */     // GIR_Coverage, 172,
     /*   5188 */     GIR_EraseRootFromParent_Done,
     /*   5189 */   // Label 133: @5189
     /*   5189 */   GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(5259), // Rule ID 503 //
     /*   5194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2_UseMulOps),
     /*   5197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   5217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5233 */     // (add:{ *:[i32] } (mul:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm), rGPR:{ *:[i32] }:$Ra)  =>  (t2MLA:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   5233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MLA),
     /*   5236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   5242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   5246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5251 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5257 */     GIR_RootConstrainSelectedInstOperands,
     /*   5258 */     // GIR_Coverage, 503,
     /*   5258 */     GIR_EraseRootFromParent_Done,
     /*   5259 */   // Label 134: @5259
     /*   5259 */   GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(5330), // Rule ID 5669 //
     /*   5264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   5267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   5279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5288 */     // MIs[1] Operand 2
     /*   5288 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /*   5299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   5303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5305 */     // (add:{ *:[i32] } (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, i8:{ *:[Other] }), GPR:{ *:[i32] }:$Rn)  =>  (SXTAB:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   5305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTAB),
     /*   5308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   5312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   5316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   5319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5328 */     GIR_RootConstrainSelectedInstOperands,
     /*   5329 */     // GIR_Coverage, 5669,
     /*   5329 */     GIR_EraseRootFromParent_Done,
     /*   5330 */   // Label 135: @5330
     /*   5330 */   GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(5401), // Rule ID 5670 //
     /*   5335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   5338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   5350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5359 */     // MIs[1] Operand 2
     /*   5359 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   5370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   5374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5376 */     // (add:{ *:[i32] } (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, i16:{ *:[Other] }), GPR:{ *:[i32] }:$Rn)  =>  (SXTAH:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   5376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTAH),
     /*   5379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   5383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   5387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   5390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5399 */     GIR_RootConstrainSelectedInstOperands,
     /*   5400 */     // GIR_Coverage, 5670,
     /*   5400 */     GIR_EraseRootFromParent_Done,
     /*   5401 */   // Label 136: @5401
     /*   5401 */   GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(5472), // Rule ID 5704 //
     /*   5406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   5409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   5421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5430 */     // MIs[1] Operand 2
     /*   5430 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /*   5441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5447 */     // (add:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i8:{ *:[Other] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2SXTAB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   5447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAB),
     /*   5450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   5454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   5458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   5461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5470 */     GIR_RootConstrainSelectedInstOperands,
     /*   5471 */     // GIR_Coverage, 5704,
     /*   5471 */     GIR_EraseRootFromParent_Done,
     /*   5472 */   // Label 137: @5472
     /*   5472 */   GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(5543), // Rule ID 5705 //
     /*   5477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   5480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   5492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5501 */     // MIs[1] Operand 2
     /*   5501 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   5512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5518 */     // (add:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   5518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   5521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   5525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   5529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   5532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5541 */     GIR_RootConstrainSelectedInstOperands,
     /*   5542 */     // GIR_Coverage, 5705,
     /*   5542 */     GIR_EraseRootFromParent_Done,
     /*   5543 */   // Label 138: @5543
     /*   5543 */   GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(5613), // Rule ID 180 //
     /*   5548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM_UseMulOps),
     /*   5551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   5555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMULH),
     /*   5563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   5571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   5576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   5581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   5585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5587 */     // (add:{ *:[i32] } (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm), GPR:{ *:[i32] }:$Ra)  =>  (SMMLA:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   5587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMMLA),
     /*   5590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   5596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   5600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5611 */     GIR_RootConstrainSelectedInstOperands,
     /*   5612 */     // GIR_Coverage, 180,
     /*   5612 */     GIR_EraseRootFromParent_Done,
     /*   5613 */   // Label 139: @5613
     /*   5613 */   GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(5683), // Rule ID 509 //
     /*   5618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   5621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMULH),
     /*   5633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   5641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   5655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5657 */     // (add:{ *:[i32] } (mulhs:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn), rGPR:{ *:[i32] }:$Ra)  =>  (t2SMMLA:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   5657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMMLA),
     /*   5660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*   5666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   5670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5681 */     GIR_RootConstrainSelectedInstOperands,
     /*   5682 */     // GIR_Coverage, 509,
     /*   5682 */     GIR_EraseRootFromParent_Done,
     /*   5683 */   // Label 140: @5683
     /*   5683 */   GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(5746), // Rule ID 3050 //
     /*   5688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   5691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   5695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   5703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   5707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   5712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   5716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5718 */     // (add:{ *:[i32] } (vecreduce_add:{ *:[i32] } MQPR:{ *:[v16i8] }:$vec), tGPREven:{ *:[i32] }:$acc)  =>  (MVE_VADDVu8acc:{ *:[i32] } ?:{ *:[i32] }:$acc, ?:{ *:[v16i8] }:$vec)
     /*   5718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu8acc),
     /*   5721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*   5723 */     GIR_RootToRootCopy, /*OpIdx*/2, // acc
     /*   5725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /*   5729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   5732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5744 */     GIR_RootConstrainSelectedInstOperands,
     /*   5745 */     // GIR_Coverage, 3050,
     /*   5745 */     GIR_EraseRootFromParent_Done,
     /*   5746 */   // Label 141: @5746
     /*   5746 */   GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(5809), // Rule ID 3078 //
     /*   5751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   5754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   5758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   5766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   5770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   5775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   5779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5781 */     // (add:{ *:[i32] } (vecreduce_add:{ *:[i32] } MQPR:{ *:[v8i16] }:$vec), tGPREven:{ *:[i32] }:$acc)  =>  (MVE_VADDVu16acc:{ *:[i32] } ?:{ *:[i32] }:$acc, ?:{ *:[v8i16] }:$vec)
     /*   5781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu16acc),
     /*   5784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*   5786 */     GIR_RootToRootCopy, /*OpIdx*/2, // acc
     /*   5788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /*   5792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   5795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5807 */     GIR_RootConstrainSelectedInstOperands,
     /*   5808 */     // GIR_Coverage, 3078,
     /*   5808 */     GIR_EraseRootFromParent_Done,
     /*   5809 */   // Label 142: @5809
     /*   5809 */   GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(5872), // Rule ID 3088 //
     /*   5814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   5817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   5821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   5829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   5833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   5838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   5842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5844 */     // (add:{ *:[i32] } (vecreduce_add:{ *:[i32] } MQPR:{ *:[v4i32] }:$vec), tGPREven:{ *:[i32] }:$acc)  =>  (MVE_VADDVu32acc:{ *:[i32] } ?:{ *:[i32] }:$acc, ?:{ *:[v4i32] }:$vec)
     /*   5844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu32acc),
     /*   5847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*   5849 */     GIR_RootToRootCopy, /*OpIdx*/2, // acc
     /*   5851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /*   5855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   5858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5870 */     GIR_RootConstrainSelectedInstOperands,
     /*   5871 */     // GIR_Coverage, 3088,
     /*   5871 */     GIR_EraseRootFromParent_Done,
     /*   5872 */   // Label 143: @5872
     /*   5872 */   GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(5948), // Rule ID 5440 //
     /*   5877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM_UseMulOps),
     /*   5880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   5904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5916 */     // (add:{ *:[i32] } GPRnopc:{ *:[i32] }:$Ra, (mul:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm))  =>  (MLA:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*   5916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MLA),
     /*   5919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   5925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   5929 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   5931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   5934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   5946 */     GIR_RootConstrainSelectedInstOperands,
     /*   5947 */     // GIR_Coverage, 5440,
     /*   5947 */     GIR_EraseRootFromParent_Done,
     /*   5948 */   // Label 144: @5948
     /*   5948 */   GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(6024), // Rule ID 5441 //
     /*   5953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_NoV6),
     /*   5956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   5976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   5980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   5990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5992 */     // (add:{ *:[i32] } GPRnopc:{ *:[i32] }:$Ra, (mul:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm))  =>  (MLAv5:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*   5992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MLAv5),
     /*   5995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   6001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   6005 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6022 */     GIR_RootConstrainSelectedInstOperands,
     /*   6023 */     // GIR_Coverage, 5441,
     /*   6023 */     GIR_EraseRootFromParent_Done,
     /*   6024 */   // Label 145: @6024
     /*   6024 */   GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(6094), // Rule ID 5478 //
     /*   6029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2_UseMulOps),
     /*   6032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   6052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   6056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6068 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm))  =>  (t2MLA:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   6068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MLA),
     /*   6071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   6077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   6081 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6092 */     GIR_RootConstrainSelectedInstOperands,
     /*   6093 */     // GIR_Coverage, 5478,
     /*   6093 */     GIR_EraseRootFromParent_Done,
     /*   6094 */   // Label 146: @6094
     /*   6094 */   GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(6165), // Rule ID 2001 //
     /*   6099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   6102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   6118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   6122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6127 */     // MIs[1] Operand 2
     /*   6127 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /*   6138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6140 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, i8:{ *:[Other] }))  =>  (SXTAB:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   6140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTAB),
     /*   6143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6145 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   6151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   6154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6163 */     GIR_RootConstrainSelectedInstOperands,
     /*   6164 */     // GIR_Coverage, 2001,
     /*   6164 */     GIR_EraseRootFromParent_Done,
     /*   6165 */   // Label 147: @6165
     /*   6165 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(6236), // Rule ID 2002 //
     /*   6170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*   6173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   6189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   6193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6198 */     // MIs[1] Operand 2
     /*   6198 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   6209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6211 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (sext_inreg:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, i16:{ *:[Other] }))  =>  (SXTAH:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   6211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTAH),
     /*   6214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6216 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   6222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   6225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6234 */     GIR_RootConstrainSelectedInstOperands,
     /*   6235 */     // GIR_Coverage, 2002,
     /*   6235 */     GIR_EraseRootFromParent_Done,
     /*   6236 */   // Label 148: @6236
     /*   6236 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(6307), // Rule ID 2240 //
     /*   6241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   6244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   6260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   6264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6269 */     // MIs[1] Operand 2
     /*   6269 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /*   6280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6282 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i8:{ *:[Other] }))  =>  (t2SXTAB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   6282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAB),
     /*   6285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6287 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   6293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   6296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6305 */     GIR_RootConstrainSelectedInstOperands,
     /*   6306 */     // GIR_Coverage, 2240,
     /*   6306 */     GIR_EraseRootFromParent_Done,
     /*   6307 */   // Label 149: @6307
     /*   6307 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(6378), // Rule ID 2241 //
     /*   6312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*   6315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   6331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   6335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6340 */     // MIs[1] Operand 2
     /*   6340 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*   6351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6353 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] }))  =>  (t2SXTAH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*   6353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAH),
     /*   6356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6358 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   6364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   6367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6376 */     GIR_RootConstrainSelectedInstOperands,
     /*   6377 */     // GIR_Coverage, 2241,
     /*   6377 */     GIR_EraseRootFromParent_Done,
     /*   6378 */   // Label 150: @6378
     /*   6378 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(6448), // Rule ID 5442 //
     /*   6383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM_UseMulOps),
     /*   6386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMULH),
     /*   6402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   6406 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   6410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6422 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Ra, (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm))  =>  (SMMLA:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*   6422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMMLA),
     /*   6425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   6431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*   6435 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6446 */     GIR_RootConstrainSelectedInstOperands,
     /*   6447 */     // GIR_Coverage, 5442,
     /*   6447 */     GIR_EraseRootFromParent_Done,
     /*   6448 */   // Label 151: @6448
     /*   6448 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(6518), // Rule ID 5479 //
     /*   6453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2_UseMulOps),
     /*   6456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMULH),
     /*   6472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   6476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   6480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6492 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Ra, (mulhs:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn))  =>  (t2SMMLA:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*   6492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMMLA),
     /*   6495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*   6501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*   6505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6516 */     GIR_RootConstrainSelectedInstOperands,
     /*   6517 */     // GIR_Coverage, 5479,
     /*   6517 */     GIR_EraseRootFromParent_Done,
     /*   6518 */   // Label 152: @6518
     /*   6518 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(6581), // Rule ID 5923 //
     /*   6523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   6526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   6530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   6534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   6542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   6546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   6551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6553 */     // (add:{ *:[i32] } tGPREven:{ *:[i32] }:$acc, (vecreduce_add:{ *:[i32] } MQPR:{ *:[v16i8] }:$vec))  =>  (MVE_VADDVu8acc:{ *:[i32] } ?:{ *:[i32] }:$acc, ?:{ *:[v16i8] }:$vec)
     /*   6553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu8acc),
     /*   6556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*   6558 */     GIR_RootToRootCopy, /*OpIdx*/1, // acc
     /*   6560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /*   6564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   6567 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6579 */     GIR_RootConstrainSelectedInstOperands,
     /*   6580 */     // GIR_Coverage, 5923,
     /*   6580 */     GIR_EraseRootFromParent_Done,
     /*   6581 */   // Label 153: @6581
     /*   6581 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(6644), // Rule ID 5937 //
     /*   6586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   6589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   6593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   6597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   6605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   6609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   6614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6616 */     // (add:{ *:[i32] } tGPREven:{ *:[i32] }:$acc, (vecreduce_add:{ *:[i32] } MQPR:{ *:[v8i16] }:$vec))  =>  (MVE_VADDVu16acc:{ *:[i32] } ?:{ *:[i32] }:$acc, ?:{ *:[v8i16] }:$vec)
     /*   6616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu16acc),
     /*   6619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*   6621 */     GIR_RootToRootCopy, /*OpIdx*/1, // acc
     /*   6623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /*   6627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   6630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6642 */     GIR_RootConstrainSelectedInstOperands,
     /*   6643 */     // GIR_Coverage, 5937,
     /*   6643 */     GIR_EraseRootFromParent_Done,
     /*   6644 */   // Label 154: @6644
     /*   6644 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(6707), // Rule ID 5942 //
     /*   6649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   6652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   6656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*   6660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VECREDUCE_ADD),
     /*   6668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   6672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   6677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6679 */     // (add:{ *:[i32] } tGPREven:{ *:[i32] }:$acc, (vecreduce_add:{ *:[i32] } MQPR:{ *:[v4i32] }:$vec))  =>  (MVE_VADDVu32acc:{ *:[i32] } ?:{ *:[i32] }:$acc, ?:{ *:[v4i32] }:$vec)
     /*   6679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu32acc),
     /*   6682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*   6684 */     GIR_RootToRootCopy, /*OpIdx*/1, // acc
     /*   6686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /*   6690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   6693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6705 */     GIR_RootConstrainSelectedInstOperands,
     /*   6706 */     // GIR_Coverage, 5942,
     /*   6706 */     GIR_EraseRootFromParent_Done,
     /*   6707 */   // Label 155: @6707
     /*   6707 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(6753), // Rule ID 73 //
     /*   6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*   6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*   6727 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (ADDrr:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*   6727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::ADDrr),
     /*   6730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6732 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*   6736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6751 */     GIR_RootConstrainSelectedInstOperands,
     /*   6752 */     // GIR_Coverage, 73,
     /*   6752 */     GIR_EraseRootFromParent_Done,
     /*   6753 */   // Label 156: @6753
     /*   6753 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(6799), // Rule ID 305 //
     /*   6758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*   6761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*   6765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*   6769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*   6773 */     // (add:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tADDrr:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*   6773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tADDrr),
     /*   6776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*   6784 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*   6788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6791 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6797 */     GIR_RootConstrainSelectedInstOperands,
     /*   6798 */     // GIR_Coverage, 305,
     /*   6798 */     GIR_EraseRootFromParent_Done,
     /*   6799 */   // Label 157: @6799
     /*   6799 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(6845), // Rule ID 409 //
     /*   6804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*   6807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6819 */     // (add:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2ADDrr:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*   6819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ADDrr),
     /*   6822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6824 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*   6828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6837 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6843 */     GIR_RootConstrainSelectedInstOperands,
     /*   6844 */     // GIR_Coverage, 409,
     /*   6844 */     GIR_EraseRootFromParent_Done,
     /*   6845 */   // Label 158: @6845
     /*   6845 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(6891), // Rule ID 5460 //
     /*   6850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*   6853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*   6861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*   6865 */     // (add:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)  =>  (t2ADDrr:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*   6865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ADDrr),
     /*   6868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6872 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*   6874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6889 */     GIR_RootConstrainSelectedInstOperands,
     /*   6890 */     // GIR_Coverage, 5460,
     /*   6890 */     GIR_EraseRootFromParent_Done,
     /*   6891 */   // Label 159: @6891
     /*   6891 */   GIM_Reject,
     /*   6892 */ // Label 90: @6892
     /*   6892 */ GIM_Reject,
     /*   6893 */ // Label 81: @6893
     /*   6893 */ GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(6939), // Rule ID 759 //
     /*   6898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   6901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   6904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   6907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   6911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   6915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   6919 */   // (add:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)  =>  (VADDv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)
     /*   6919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv1i64),
     /*   6922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   6924 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   6926 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*   6928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   6931 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   6937 */   GIR_RootConstrainSelectedInstOperands,
     /*   6938 */   // GIR_Coverage, 759,
     /*   6938 */   GIR_EraseRootFromParent_Done,
     /*   6939 */ // Label 160: @6939
     /*   6939 */ GIM_Reject,
     /*   6940 */ // Label 82: @6940
     /*   6940 */ GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(7124),
     /*   6945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   6951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   6955 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(7021), // Rule ID 5529 //
     /*   6960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   6963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   6979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   6984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   6989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   6993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6995 */     // (add:{ *:[v2i32] } (mul:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm), DPR:{ *:[v2i32] }:$src1)  =>  (VMLAv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   6995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv2i32),
     /*   6998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7000 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   7010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7019 */     GIR_RootConstrainSelectedInstOperands,
     /*   7020 */     // GIR_Coverage, 5529,
     /*   7020 */     GIR_EraseRootFromParent_Done,
     /*   7021 */   // Label 162: @7021
     /*   7021 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(7087), // Rule ID 886 //
     /*   7026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   7049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7061 */     // (add:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, (mul:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm))  =>  (VMLAv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv2i32),
     /*   7064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7066 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   7076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7085 */     GIR_RootConstrainSelectedInstOperands,
     /*   7086 */     // GIR_Coverage, 886,
     /*   7086 */     GIR_EraseRootFromParent_Done,
     /*   7087 */   // Label 163: @7087
     /*   7087 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(7123), // Rule ID 755 //
     /*   7092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7103 */     // (add:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VADDv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv2i32),
     /*   7106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7108 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   7110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*   7112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7121 */     GIR_RootConstrainSelectedInstOperands,
     /*   7122 */     // GIR_Coverage, 755,
     /*   7122 */     GIR_EraseRootFromParent_Done,
     /*   7123 */   // Label 164: @7123
     /*   7123 */   GIM_Reject,
     /*   7124 */ // Label 161: @7124
     /*   7124 */ GIM_Reject,
     /*   7125 */ // Label 83: @7125
     /*   7125 */ GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(7835),
     /*   7130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*   7136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7140 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(7208), // Rule ID 779 //
     /*   7145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   7156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   7173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7184 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv2i64),
     /*   7187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   7197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7206 */     GIR_RootConstrainSelectedInstOperands,
     /*   7207 */     // GIR_Coverage, 779,
     /*   7207 */     GIR_EraseRootFromParent_Done,
     /*   7208 */   // Label 166: @7208
     /*   7208 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(7276), // Rule ID 778 //
     /*   7213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   7224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7245 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7252 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv2i64),
     /*   7255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   7265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7274 */     GIR_RootConstrainSelectedInstOperands,
     /*   7275 */     // GIR_Coverage, 778,
     /*   7275 */     GIR_EraseRootFromParent_Done,
     /*   7276 */   // Label 167: @7276
     /*   7276 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(7344), // Rule ID 767 //
     /*   7281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7320 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDLsv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLsv2i64),
     /*   7323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   7333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7336 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7342 */     GIR_RootConstrainSelectedInstOperands,
     /*   7343 */     // GIR_Coverage, 767,
     /*   7343 */     GIR_EraseRootFromParent_Done,
     /*   7344 */   // Label 168: @7344
     /*   7344 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(7412), // Rule ID 777 //
     /*   7349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   7377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7388 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv2i64),
     /*   7391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   7401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7410 */     GIR_RootConstrainSelectedInstOperands,
     /*   7411 */     // GIR_Coverage, 777,
     /*   7411 */     GIR_EraseRootFromParent_Done,
     /*   7412 */   // Label 169: @7412
     /*   7412 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(7480), // Rule ID 776 //
     /*   7417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7456 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv2i64),
     /*   7459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   7469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7478 */     GIR_RootConstrainSelectedInstOperands,
     /*   7479 */     // GIR_Coverage, 776,
     /*   7479 */     GIR_EraseRootFromParent_Done,
     /*   7480 */   // Label 170: @7480
     /*   7480 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(7533), // Rule ID 5508 //
     /*   7485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   7496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7511 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm), QPR:{ *:[v2i64] }:$Vn)  =>  (VADDWuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv2i64),
     /*   7514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   7518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   7522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7531 */     GIR_RootConstrainSelectedInstOperands,
     /*   7532 */     // GIR_Coverage, 5508,
     /*   7532 */     GIR_EraseRootFromParent_Done,
     /*   7533 */   // Label 171: @7533
     /*   7533 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(7586), // Rule ID 5502 //
     /*   7538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7564 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm), QPR:{ *:[v2i64] }:$Vn)  =>  (VADDWsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWsv2i64),
     /*   7567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   7571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   7575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7584 */     GIR_RootConstrainSelectedInstOperands,
     /*   7585 */     // GIR_Coverage, 5502,
     /*   7585 */     GIR_EraseRootFromParent_Done,
     /*   7586 */   // Label 172: @7586
     /*   7586 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(7639), // Rule ID 5507 //
     /*   7591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7617 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm), QPR:{ *:[v2i64] }:$Vn)  =>  (VADDWuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv2i64),
     /*   7620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   7624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   7628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7637 */     GIR_RootConstrainSelectedInstOperands,
     /*   7638 */     // GIR_Coverage, 5507,
     /*   7638 */     GIR_EraseRootFromParent_Done,
     /*   7639 */   // Label 173: @7639
     /*   7639 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(7692), // Rule ID 788 //
     /*   7644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   7659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7670 */     // (add:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDWuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv2i64),
     /*   7673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   7677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   7681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7690 */     GIR_RootConstrainSelectedInstOperands,
     /*   7691 */     // GIR_Coverage, 788,
     /*   7691 */     GIR_EraseRootFromParent_Done,
     /*   7692 */   // Label 174: @7692
     /*   7692 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(7745), // Rule ID 782 //
     /*   7697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7723 */     // (add:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDWsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWsv2i64),
     /*   7726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7728 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   7730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   7734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7737 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7743 */     GIR_RootConstrainSelectedInstOperands,
     /*   7744 */     // GIR_Coverage, 782,
     /*   7744 */     GIR_EraseRootFromParent_Done,
     /*   7745 */   // Label 175: @7745
     /*   7745 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(7798), // Rule ID 787 //
     /*   7750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7776 */     // (add:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VADDWuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*   7776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv2i64),
     /*   7779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7781 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   7783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   7787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7796 */     GIR_RootConstrainSelectedInstOperands,
     /*   7797 */     // GIR_Coverage, 787,
     /*   7797 */     GIR_EraseRootFromParent_Done,
     /*   7798 */   // Label 176: @7798
     /*   7798 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(7834), // Rule ID 760 //
     /*   7803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   7814 */     // (add:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VADDv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /*   7814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv2i64),
     /*   7817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7819 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   7821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*   7823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7826 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7832 */     GIR_RootConstrainSelectedInstOperands,
     /*   7833 */     // GIR_Coverage, 760,
     /*   7833 */     GIR_EraseRootFromParent_Done,
     /*   7834 */   // Label 177: @7834
     /*   7834 */   GIM_Reject,
     /*   7835 */ // Label 165: @7835
     /*   7835 */ GIM_Reject,
     /*   7836 */ // Label 84: @7836
     /*   7836 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(8020),
     /*   7841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   7844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*   7847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7851 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(7917), // Rule ID 5528 //
     /*   7856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   7871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*   7875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7891 */     // (add:{ *:[v4i16] } (mul:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm), DPR:{ *:[v4i16] }:$src1)  =>  (VMLAv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   7891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv4i16),
     /*   7894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7896 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   7906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7915 */     GIR_RootConstrainSelectedInstOperands,
     /*   7916 */     // GIR_Coverage, 5528,
     /*   7916 */     GIR_EraseRootFromParent_Done,
     /*   7917 */   // Label 179: @7917
     /*   7917 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(7983), // Rule ID 885 //
     /*   7922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   7941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*   7945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7957 */     // (add:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, (mul:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm))  =>  (VMLAv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   7957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv4i16),
     /*   7960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   7962 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   7968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   7972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   7975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   7981 */     GIR_RootConstrainSelectedInstOperands,
     /*   7982 */     // GIR_Coverage, 885,
     /*   7982 */     GIR_EraseRootFromParent_Done,
     /*   7983 */   // Label 180: @7983
     /*   7983 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(8019), // Rule ID 754 //
     /*   7988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   7991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   7999 */     // (add:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VADDv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   7999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv4i16),
     /*   8002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8004 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   8006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*   8008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8011 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8017 */     GIR_RootConstrainSelectedInstOperands,
     /*   8018 */     // GIR_Coverage, 754,
     /*   8018 */     GIR_EraseRootFromParent_Done,
     /*   8019 */   // Label 181: @8019
     /*   8019 */   GIM_Reject,
     /*   8020 */ // Label 178: @8020
     /*   8020 */ GIM_Reject,
     /*   8021 */ // Label 85: @8021
     /*   8021 */ GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(8976),
     /*   8026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   8029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   8032 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(8104), // Rule ID 775 //
     /*   8037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   8065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8073 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8080 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv4i32),
     /*   8083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   8089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   8093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8096 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8102 */     GIR_RootConstrainSelectedInstOperands,
     /*   8103 */     // GIR_Coverage, 775,
     /*   8103 */     GIR_EraseRootFromParent_Done,
     /*   8104 */   // Label 183: @8104
     /*   8104 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(8176), // Rule ID 774 //
     /*   8109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   8137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8152 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv4i32),
     /*   8155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   8161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   8165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8174 */     GIR_RootConstrainSelectedInstOperands,
     /*   8175 */     // GIR_Coverage, 774,
     /*   8175 */     GIR_EraseRootFromParent_Done,
     /*   8176 */   // Label 184: @8176
     /*   8176 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(8248), // Rule ID 766 //
     /*   8181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   8209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8224 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDLsv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLsv4i32),
     /*   8227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   8233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   8237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8246 */     GIR_RootConstrainSelectedInstOperands,
     /*   8247 */     // GIR_Coverage, 766,
     /*   8247 */     GIR_EraseRootFromParent_Done,
     /*   8248 */   // Label 185: @8248
     /*   8248 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(8320), // Rule ID 773 //
     /*   8253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   8281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8296 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv4i32),
     /*   8299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   8305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   8309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8318 */     GIR_RootConstrainSelectedInstOperands,
     /*   8319 */     // GIR_Coverage, 773,
     /*   8319 */     GIR_EraseRootFromParent_Done,
     /*   8320 */   // Label 186: @8320
     /*   8320 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(8392), // Rule ID 772 //
     /*   8325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   8353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8368 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv4i32),
     /*   8371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   8377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   8381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8390 */     GIR_RootConstrainSelectedInstOperands,
     /*   8391 */     // GIR_Coverage, 772,
     /*   8391 */     GIR_EraseRootFromParent_Done,
     /*   8392 */   // Label 187: @8392
     /*   8392 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(8462), // Rule ID 5532 //
     /*   8397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   8412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   8416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   8420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8436 */     // (add:{ *:[v4i32] } (mul:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm), QPR:{ *:[v4i32] }:$src1)  =>  (VMLAv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*   8436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv4i32),
     /*   8439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8441 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   8447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   8451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8460 */     GIR_RootConstrainSelectedInstOperands,
     /*   8461 */     // GIR_Coverage, 5532,
     /*   8461 */     GIR_EraseRootFromParent_Done,
     /*   8462 */   // Label 188: @8462
     /*   8462 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(8519), // Rule ID 5506 //
     /*   8467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8497 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm), QPR:{ *:[v4i32] }:$Vn)  =>  (VADDWuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv4i32),
     /*   8500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   8504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   8508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8517 */     GIR_RootConstrainSelectedInstOperands,
     /*   8518 */     // GIR_Coverage, 5506,
     /*   8518 */     GIR_EraseRootFromParent_Done,
     /*   8519 */   // Label 189: @8519
     /*   8519 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(8576), // Rule ID 5501 //
     /*   8524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8554 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm), QPR:{ *:[v4i32] }:$Vn)  =>  (VADDWsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWsv4i32),
     /*   8557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8559 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   8561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   8565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8574 */     GIR_RootConstrainSelectedInstOperands,
     /*   8575 */     // GIR_Coverage, 5501,
     /*   8575 */     GIR_EraseRootFromParent_Done,
     /*   8576 */   // Label 190: @8576
     /*   8576 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(8633), // Rule ID 5505 //
     /*   8581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8611 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm), QPR:{ *:[v4i32] }:$Vn)  =>  (VADDWuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv4i32),
     /*   8614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   8618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   8622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8631 */     GIR_RootConstrainSelectedInstOperands,
     /*   8632 */     // GIR_Coverage, 5505,
     /*   8632 */     GIR_EraseRootFromParent_Done,
     /*   8633 */   // Label 191: @8633
     /*   8633 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(8703), // Rule ID 889 //
     /*   8638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   8657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   8661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   8665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8677 */     // (add:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, (mul:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm))  =>  (VMLAv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*   8677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv4i32),
     /*   8680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8682 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   8688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   8692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8701 */     GIR_RootConstrainSelectedInstOperands,
     /*   8702 */     // GIR_Coverage, 889,
     /*   8702 */     GIR_EraseRootFromParent_Done,
     /*   8703 */   // Label 192: @8703
     /*   8703 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(8760), // Rule ID 786 //
     /*   8708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8738 */     // (add:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDWuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv4i32),
     /*   8741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   8745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   8749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8758 */     GIR_RootConstrainSelectedInstOperands,
     /*   8759 */     // GIR_Coverage, 786,
     /*   8759 */     GIR_EraseRootFromParent_Done,
     /*   8760 */   // Label 193: @8760
     /*   8760 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(8817), // Rule ID 781 //
     /*   8765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8795 */     // (add:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDWsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWsv4i32),
     /*   8798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8800 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   8802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   8806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8815 */     GIR_RootConstrainSelectedInstOperands,
     /*   8816 */     // GIR_Coverage, 781,
     /*   8816 */     GIR_EraseRootFromParent_Done,
     /*   8817 */   // Label 194: @8817
     /*   8817 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(8874), // Rule ID 785 //
     /*   8822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*   8845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8852 */     // (add:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VADDWuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*   8852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv4i32),
     /*   8855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   8859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   8863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8866 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8872 */     GIR_RootConstrainSelectedInstOperands,
     /*   8873 */     // GIR_Coverage, 785,
     /*   8873 */     GIR_EraseRootFromParent_Done,
     /*   8874 */   // Label 195: @8874
     /*   8874 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(8914), // Rule ID 758 //
     /*   8879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   8894 */     // (add:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VADDv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*   8894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv4i32),
     /*   8897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   8899 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   8901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*   8903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   8906 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8912 */     GIR_RootConstrainSelectedInstOperands,
     /*   8913 */     // GIR_Coverage, 758,
     /*   8913 */     GIR_EraseRootFromParent_Done,
     /*   8914 */   // Label 196: @8914
     /*   8914 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(8975), // Rule ID 3493 //
     /*   8919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*   8922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   8926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   8930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*   8934 */     // (add:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VADDi32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*   8934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*   8937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDi32),
     /*   8949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*   8951 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*   8953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*   8955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   8958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   8970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   8973 */     GIR_RootConstrainSelectedInstOperands,
     /*   8974 */     // GIR_Coverage, 3493,
     /*   8974 */     GIR_EraseRootFromParent_Done,
     /*   8975 */   // Label 197: @8975
     /*   8975 */   GIM_Reject,
     /*   8976 */ // Label 182: @8976
     /*   8976 */ GIM_Reject,
     /*   8977 */ // Label 86: @8977
     /*   8977 */ GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(9161),
     /*   8982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   8985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*   8988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   8992 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(9058), // Rule ID 5527 //
     /*   8997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   9008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*   9016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9032 */     // (add:{ *:[v8i8] } (mul:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm), DPR:{ *:[v8i8] }:$src1)  =>  (VMLAv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$src1, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv8i8),
     /*   9035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9037 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   9039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   9047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9056 */     GIR_RootConstrainSelectedInstOperands,
     /*   9057 */     // GIR_Coverage, 5527,
     /*   9057 */     GIR_EraseRootFromParent_Done,
     /*   9058 */   // Label 199: @9058
     /*   9058 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(9124), // Rule ID 884 //
     /*   9063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   9078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*   9086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9098 */     // (add:{ *:[v8i8] } DPR:{ *:[v8i8] }:$src1, (mul:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm))  =>  (VMLAv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$src1, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv8i8),
     /*   9101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9103 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   9113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9122 */     GIR_RootConstrainSelectedInstOperands,
     /*   9123 */     // GIR_Coverage, 884,
     /*   9123 */     GIR_EraseRootFromParent_Done,
     /*   9124 */   // Label 200: @9124
     /*   9124 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(9160), // Rule ID 753 //
     /*   9129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9140 */     // (add:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VADDv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv8i8),
     /*   9143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9145 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   9147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*   9149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9158 */     GIR_RootConstrainSelectedInstOperands,
     /*   9159 */     // GIR_Coverage, 753,
     /*   9159 */     GIR_EraseRootFromParent_Done,
     /*   9160 */   // Label 201: @9160
     /*   9160 */   GIM_Reject,
     /*   9161 */ // Label 198: @9161
     /*   9161 */ GIM_Reject,
     /*   9162 */ // Label 87: @9162
     /*   9162 */ GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(10117),
     /*   9167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   9170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   9173 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(9245), // Rule ID 771 //
     /*   9178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   9206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9221 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv8i16),
     /*   9224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   9234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9243 */     GIR_RootConstrainSelectedInstOperands,
     /*   9244 */     // GIR_Coverage, 771,
     /*   9244 */     GIR_EraseRootFromParent_Done,
     /*   9245 */   // Label 203: @9245
     /*   9245 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(9317), // Rule ID 770 //
     /*   9250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   9278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9293 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv8i16),
     /*   9296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   9306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9315 */     GIR_RootConstrainSelectedInstOperands,
     /*   9316 */     // GIR_Coverage, 770,
     /*   9316 */     GIR_EraseRootFromParent_Done,
     /*   9317 */   // Label 204: @9317
     /*   9317 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(9389), // Rule ID 765 //
     /*   9322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   9350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9365 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDLsv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLsv8i16),
     /*   9368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   9378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9381 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9387 */     GIR_RootConstrainSelectedInstOperands,
     /*   9388 */     // GIR_Coverage, 765,
     /*   9388 */     GIR_EraseRootFromParent_Done,
     /*   9389 */   // Label 205: @9389
     /*   9389 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(9461), // Rule ID 769 //
     /*   9394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   9422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9430 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9437 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv8i16),
     /*   9440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   9450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9459 */     GIR_RootConstrainSelectedInstOperands,
     /*   9460 */     // GIR_Coverage, 769,
     /*   9460 */     GIR_EraseRootFromParent_Done,
     /*   9461 */   // Label 206: @9461
     /*   9461 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(9533), // Rule ID 768 //
     /*   9466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   9494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9498 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9502 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9509 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDLuv8i16),
     /*   9512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*   9522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9531 */     GIR_RootConstrainSelectedInstOperands,
     /*   9532 */     // GIR_Coverage, 768,
     /*   9532 */     GIR_EraseRootFromParent_Done,
     /*   9533 */   // Label 207: @9533
     /*   9533 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(9603), // Rule ID 5531 //
     /*   9538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   9553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   9557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   9561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9577 */     // (add:{ *:[v8i16] } (mul:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm), QPR:{ *:[v8i16] }:$src1)  =>  (VMLAv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*   9577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv8i16),
     /*   9580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9582 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   9584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   9592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9601 */     GIR_RootConstrainSelectedInstOperands,
     /*   9602 */     // GIR_Coverage, 5531,
     /*   9602 */     GIR_EraseRootFromParent_Done,
     /*   9603 */   // Label 208: @9603
     /*   9603 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(9660), // Rule ID 5504 //
     /*   9608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9638 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm), QPR:{ *:[v8i16] }:$Vn)  =>  (VADDWuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv8i16),
     /*   9641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9643 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   9645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   9649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9658 */     GIR_RootConstrainSelectedInstOperands,
     /*   9659 */     // GIR_Coverage, 5504,
     /*   9659 */     GIR_EraseRootFromParent_Done,
     /*   9660 */   // Label 209: @9660
     /*   9660 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(9717), // Rule ID 5500 //
     /*   9665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9695 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm), QPR:{ *:[v8i16] }:$Vn)  =>  (VADDWsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWsv8i16),
     /*   9698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   9702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   9706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9715 */     GIR_RootConstrainSelectedInstOperands,
     /*   9716 */     // GIR_Coverage, 5500,
     /*   9716 */     GIR_EraseRootFromParent_Done,
     /*   9717 */   // Label 210: @9717
     /*   9717 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(9774), // Rule ID 5503 //
     /*   9722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9752 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm), QPR:{ *:[v8i16] }:$Vn)  =>  (VADDWuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv8i16),
     /*   9755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*   9759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   9763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9772 */     GIR_RootConstrainSelectedInstOperands,
     /*   9773 */     // GIR_Coverage, 5503,
     /*   9773 */     GIR_EraseRootFromParent_Done,
     /*   9774 */   // Label 211: @9774
     /*   9774 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(9844), // Rule ID 888 //
     /*   9779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   9798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   9802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   9806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9818 */     // (add:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, (mul:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm))  =>  (VMLAv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*   9818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv8i16),
     /*   9821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9823 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*   9829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*   9833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9842 */     GIR_RootConstrainSelectedInstOperands,
     /*   9843 */     // GIR_Coverage, 888,
     /*   9843 */     GIR_EraseRootFromParent_Done,
     /*   9844 */   // Label 212: @9844
     /*   9844 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(9901), // Rule ID 784 //
     /*   9849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9879 */     // (add:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDWuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv8i16),
     /*   9882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9884 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   9886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   9890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9899 */     GIR_RootConstrainSelectedInstOperands,
     /*   9900 */     // GIR_Coverage, 784,
     /*   9900 */     GIR_EraseRootFromParent_Done,
     /*   9901 */   // Label 213: @9901
     /*   9901 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(9958), // Rule ID 780 //
     /*   9906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9936 */     // (add:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDWsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWsv8i16),
     /*   9939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9941 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*   9943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*   9947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*   9950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   9956 */     GIR_RootConstrainSelectedInstOperands,
     /*   9957 */     // GIR_Coverage, 780,
     /*   9957 */     GIR_EraseRootFromParent_Done,
     /*   9958 */   // Label 214: @9958
     /*   9958 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(10015), // Rule ID 783 //
     /*   9963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*   9974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*   9986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*   9991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9993 */     // (add:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VADDWuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*   9993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDWuv8i16),
     /*   9996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*   9998 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  10000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  10004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10013 */     GIR_RootConstrainSelectedInstOperands,
     /*  10014 */     // GIR_Coverage, 783,
     /*  10014 */     GIR_EraseRootFromParent_Done,
     /*  10015 */   // Label 215: @10015
     /*  10015 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(10055), // Rule ID 757 //
     /*  10020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10035 */     // (add:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VADDv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  10035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv8i16),
     /*  10038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  10040 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  10042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  10044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10047 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10053 */     GIR_RootConstrainSelectedInstOperands,
     /*  10054 */     // GIR_Coverage, 757,
     /*  10054 */     GIR_EraseRootFromParent_Done,
     /*  10055 */   // Label 216: @10055
     /*  10055 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(10116), // Rule ID 3489 //
     /*  10060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  10063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  10067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  10071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  10075 */     // (add:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VADDi16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  10075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  10078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  10082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDi16),
     /*  10090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  10092 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  10094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  10096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  10099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  10114 */     GIR_RootConstrainSelectedInstOperands,
     /*  10115 */     // GIR_Coverage, 3489,
     /*  10115 */     GIR_EraseRootFromParent_Done,
     /*  10116 */   // Label 217: @10116
     /*  10116 */   GIM_Reject,
     /*  10117 */ // Label 202: @10117
     /*  10117 */ GIM_Reject,
     /*  10118 */ // Label 88: @10118
     /*  10118 */ GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(10371),
     /*  10123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  10126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  10129 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(10199), // Rule ID 5530 //
     /*  10134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  10149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  10153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  10157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10173 */     // (add:{ *:[v16i8] } (mul:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm), QPR:{ *:[v16i8] }:$src1)  =>  (VMLAv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$src1, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  10173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv16i8),
     /*  10176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  10178 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  10180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  10184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  10188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10191 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10197 */     GIR_RootConstrainSelectedInstOperands,
     /*  10198 */     // GIR_Coverage, 5530,
     /*  10198 */     GIR_EraseRootFromParent_Done,
     /*  10199 */   // Label 219: @10199
     /*  10199 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(10269), // Rule ID 887 //
     /*  10204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  10223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  10227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  10231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10243 */     // (add:{ *:[v16i8] } QPR:{ *:[v16i8] }:$src1, (mul:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm))  =>  (VMLAv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$src1, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  10243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLAv16i8),
     /*  10246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  10248 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  10254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  10258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10261 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10267 */     GIR_RootConstrainSelectedInstOperands,
     /*  10268 */     // GIR_Coverage, 887,
     /*  10268 */     GIR_EraseRootFromParent_Done,
     /*  10269 */   // Label 220: @10269
     /*  10269 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(10309), // Rule ID 756 //
     /*  10274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  10289 */     // (add:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VADDv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  10289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDv16i8),
     /*  10292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  10294 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  10296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  10298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10301 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10307 */     GIR_RootConstrainSelectedInstOperands,
     /*  10308 */     // GIR_Coverage, 756,
     /*  10308 */     GIR_EraseRootFromParent_Done,
     /*  10309 */   // Label 221: @10309
     /*  10309 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(10370), // Rule ID 3485 //
     /*  10314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  10317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  10321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  10325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  10329 */     // (add:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VADDi8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  10329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  10332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  10336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDi8),
     /*  10344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  10346 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  10348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  10350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  10353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  10368 */     GIR_RootConstrainSelectedInstOperands,
     /*  10369 */     // GIR_Coverage, 3485,
     /*  10369 */     GIR_EraseRootFromParent_Done,
     /*  10370 */   // Label 222: @10370
     /*  10370 */   GIM_Reject,
     /*  10371 */ // Label 218: @10371
     /*  10371 */ GIM_Reject,
     /*  10372 */ // Label 89: @10372
     /*  10372 */ GIM_Reject,
     /*  10373 */ // Label 1: @10373
     /*  10373 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 232*/ GIMT_Encode4(13616),
     /*  10384 */ /*GILLT_s32*//*Label 223*/ GIMT_Encode4(10444),
     /*  10388 */ /*GILLT_s64*//*Label 224*/ GIMT_Encode4(11058), GIMT_Encode4(0),
     /*  10396 */ /*GILLT_v2s32*//*Label 225*/ GIMT_Encode4(11105),
     /*  10400 */ /*GILLT_v2s64*//*Label 226*/ GIMT_Encode4(11220), GIMT_Encode4(0),
     /*  10408 */ /*GILLT_v4s16*//*Label 227*/ GIMT_Encode4(11772),
     /*  10412 */ /*GILLT_v4s32*//*Label 228*/ GIMT_Encode4(11887), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10424 */ /*GILLT_v8s8*//*Label 229*/ GIMT_Encode4(12602),
     /*  10428 */ /*GILLT_v8s16*//*Label 230*/ GIMT_Encode4(12717), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10440 */ /*GILLT_v16s8*//*Label 231*/ GIMT_Encode4(13432),
     /*  10444 */ // Label 223: @10444
     /*  10444 */ GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(11057),
     /*  10449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  10452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  10455 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(10499), // Rule ID 330 //
     /*  10460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  10463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  10467 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  10471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  10475 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, tGPR:{ *:[i32] }:$Rn)  =>  (tRSB:{ *:[i32] } tGPR:{ *:[i32] }:$Rn)
     /*  10475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tRSB),
     /*  10478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  10486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10497 */     GIR_RootConstrainSelectedInstOperands,
     /*  10498 */     // GIR_Coverage, 330,
     /*  10498 */     GIR_EraseRootFromParent_Done,
     /*  10499 */   // Label 234: @10499
     /*  10499 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(10556), // Rule ID 96 //
     /*  10504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  10507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  10523 */     // MIs[1] Operand 1
     /*  10523 */     // No operand predicates
     /*  10523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10529 */     // (sub:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm, GPR:{ *:[i32] }:$Rn)  =>  (RSBri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  10529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::RSBri),
     /*  10532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  10539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10554 */     GIR_RootConstrainSelectedInstOperands,
     /*  10555 */     // GIR_Coverage, 96,
     /*  10555 */     GIR_EraseRootFromParent_Done,
     /*  10556 */   // Label 235: @10556
     /*  10556 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(10613), // Rule ID 427 //
     /*  10561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  10564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  10580 */     // MIs[1] Operand 1
     /*  10580 */     // No operand predicates
     /*  10580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10586 */     // (sub:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm, rGPR:{ *:[i32] }:$Rn)  =>  (t2RSBri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  10586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2RSBri),
     /*  10589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  10596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10599 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10611 */     GIR_RootConstrainSelectedInstOperands,
     /*  10612 */     // GIR_Coverage, 427,
     /*  10612 */     GIR_EraseRootFromParent_Done,
     /*  10613 */   // Label 236: @10613
     /*  10613 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(10670), // Rule ID 76 //
     /*  10618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  10621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  10641 */     // MIs[1] Operand 1
     /*  10641 */     // No operand predicates
     /*  10641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10643 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm)  =>  (SUBri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  10643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SUBri),
     /*  10646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10648 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  10653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10668 */     GIR_RootConstrainSelectedInstOperands,
     /*  10669 */     // GIR_Coverage, 76,
     /*  10669 */     GIR_EraseRootFromParent_Done,
     /*  10670 */   // Label 237: @10670
     /*  10670 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(10727), // Rule ID 411 //
     /*  10675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  10678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  10686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  10698 */     // MIs[1] Operand 1
     /*  10698 */     // No operand predicates
     /*  10698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10700 */     // (sub:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm)  =>  (t2SUBri:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  10700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SUBri),
     /*  10703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10705 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  10710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10713 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10725 */     GIR_RootConstrainSelectedInstOperands,
     /*  10726 */     // GIR_Coverage, 411,
     /*  10726 */     GIR_EraseRootFromParent_Done,
     /*  10727 */   // Label 238: @10727
     /*  10727 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(10778), // Rule ID 412 //
     /*  10732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  10735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_4095),
     /*  10755 */     // MIs[1] Operand 1
     /*  10755 */     // No operand predicates
     /*  10755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10757 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_imm0_4095>>:$imm)  =>  (t2SUBri12:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  10757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SUBri12),
     /*  10760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10762 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  10767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10776 */     GIR_RootConstrainSelectedInstOperands,
     /*  10777 */     // GIR_Coverage, 412,
     /*  10777 */     GIR_EraseRootFromParent_Done,
     /*  10778 */   // Label 239: @10778
     /*  10778 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(10848), // Rule ID 173 //
     /*  10783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6T2_IsARM_UseMulOps),
     /*  10786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  10802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  10806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  10810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10822 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm))  =>  (MLS:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*  10822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MLS),
     /*  10825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  10831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  10835 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  10837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10846 */     GIR_RootConstrainSelectedInstOperands,
     /*  10847 */     // GIR_Coverage, 173,
     /*  10847 */     GIR_EraseRootFromParent_Done,
     /*  10848 */   // Label 240: @10848
     /*  10848 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(10918), // Rule ID 504 //
     /*  10853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2_UseMulOps),
     /*  10856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  10872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  10876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  10880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  10890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10892 */     // (sub:{ *:[i32] } rGPR:{ *:[i32] }:$Ra, (mul:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm))  =>  (t2MLS:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*  10892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MLS),
     /*  10895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  10901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  10905 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  10907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10916 */     GIR_RootConstrainSelectedInstOperands,
     /*  10917 */     // GIR_Coverage, 504,
     /*  10917 */     GIR_EraseRootFromParent_Done,
     /*  10918 */   // Label 241: @10918
     /*  10918 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(10964), // Rule ID 77 //
     /*  10923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  10926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  10938 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (SUBrr:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  10938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SUBrr),
     /*  10941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10943 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  10947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  10950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  10962 */     GIR_RootConstrainSelectedInstOperands,
     /*  10963 */     // GIR_Coverage, 77,
     /*  10963 */     GIR_EraseRootFromParent_Done,
     /*  10964 */   // Label 242: @10964
     /*  10964 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(11010), // Rule ID 333 //
     /*  10969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  10972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  10976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  10980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  10984 */     // (sub:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tSUBrr:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*  10984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tSUBrr),
     /*  10987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  10995 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  10999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11002 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11008 */     GIR_RootConstrainSelectedInstOperands,
     /*  11009 */     // GIR_Coverage, 333,
     /*  11009 */     GIR_EraseRootFromParent_Done,
     /*  11010 */   // Label 243: @11010
     /*  11010 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(11056), // Rule ID 413 //
     /*  11015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  11018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  11022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  11026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  11030 */     // (sub:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SUBrr:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  11030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SUBrr),
     /*  11033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  11035 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  11037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  11039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11054 */     GIR_RootConstrainSelectedInstOperands,
     /*  11055 */     // GIR_Coverage, 413,
     /*  11055 */     GIR_EraseRootFromParent_Done,
     /*  11056 */   // Label 244: @11056
     /*  11056 */   GIM_Reject,
     /*  11057 */ // Label 233: @11057
     /*  11057 */ GIM_Reject,
     /*  11058 */ // Label 224: @11058
     /*  11058 */ GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(11104), // Rule ID 963 //
     /*  11063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  11069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  11072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11084 */   // (sub:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)  =>  (VSUBv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)
     /*  11084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv1i64),
     /*  11087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11089 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  11091 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  11093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11096 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11102 */   GIR_RootConstrainSelectedInstOperands,
     /*  11103 */   // GIR_Coverage, 963,
     /*  11103 */   GIR_EraseRootFromParent_Done,
     /*  11104 */ // Label 245: @11104
     /*  11104 */ GIM_Reject,
     /*  11105 */ // Label 225: @11105
     /*  11105 */ GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(11219),
     /*  11110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11124 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(11186), // Rule ID 914 //
     /*  11129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  11140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11160 */     // (sub:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, (mul:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm))  =>  (VMLSv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLSv2i32),
     /*  11163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11165 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  11175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11184 */     GIR_RootConstrainSelectedInstOperands,
     /*  11185 */     // GIR_Coverage, 914,
     /*  11185 */     GIR_EraseRootFromParent_Done,
     /*  11186 */   // Label 247: @11186
     /*  11186 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(11218), // Rule ID 959 //
     /*  11191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11198 */     // (sub:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VSUBv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv2i32),
     /*  11201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11203 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  11205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  11207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11216 */     GIR_RootConstrainSelectedInstOperands,
     /*  11217 */     // GIR_Coverage, 959,
     /*  11217 */     GIR_EraseRootFromParent_Done,
     /*  11218 */   // Label 248: @11218
     /*  11218 */   GIM_Reject,
     /*  11219 */ // Label 246: @11219
     /*  11219 */ GIM_Reject,
     /*  11220 */ // Label 226: @11220
     /*  11220 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(11771),
     /*  11225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  11228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  11231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11235 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(11303), // Rule ID 983 //
     /*  11240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11279 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv2i64),
     /*  11282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  11292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11301 */     GIR_RootConstrainSelectedInstOperands,
     /*  11302 */     // GIR_Coverage, 983,
     /*  11302 */     GIR_EraseRootFromParent_Done,
     /*  11303 */   // Label 250: @11303
     /*  11303 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(11371), // Rule ID 982 //
     /*  11308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  11336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11340 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11345 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11347 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv2i64),
     /*  11350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  11360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11369 */     GIR_RootConstrainSelectedInstOperands,
     /*  11370 */     // GIR_Coverage, 982,
     /*  11370 */     GIR_EraseRootFromParent_Done,
     /*  11371 */   // Label 251: @11371
     /*  11371 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(11439), // Rule ID 971 //
     /*  11376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  11387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  11404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11415 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBLsv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLsv2i64),
     /*  11418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  11428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11431 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11437 */     GIR_RootConstrainSelectedInstOperands,
     /*  11438 */     // GIR_Coverage, 971,
     /*  11438 */     GIR_EraseRootFromParent_Done,
     /*  11439 */   // Label 252: @11439
     /*  11439 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(11507), // Rule ID 981 //
     /*  11444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  11455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11483 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv2i64),
     /*  11486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  11496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11505 */     GIR_RootConstrainSelectedInstOperands,
     /*  11506 */     // GIR_Coverage, 981,
     /*  11506 */     GIR_EraseRootFromParent_Done,
     /*  11507 */   // Label 253: @11507
     /*  11507 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(11575), // Rule ID 980 //
     /*  11512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  11523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  11540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11551 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn), (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv2i64),
     /*  11554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  11564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11567 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11573 */     GIR_RootConstrainSelectedInstOperands,
     /*  11574 */     // GIR_Coverage, 980,
     /*  11574 */     GIR_EraseRootFromParent_Done,
     /*  11575 */   // Label 254: @11575
     /*  11575 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(11628), // Rule ID 992 //
     /*  11580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11606 */     // (sub:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBWuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWuv2i64),
     /*  11609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11611 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  11613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  11617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11626 */     GIR_RootConstrainSelectedInstOperands,
     /*  11627 */     // GIR_Coverage, 992,
     /*  11627 */     GIR_EraseRootFromParent_Done,
     /*  11628 */   // Label 255: @11628
     /*  11628 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(11681), // Rule ID 986 //
     /*  11633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  11648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11659 */     // (sub:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBWsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWsv2i64),
     /*  11662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11664 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  11666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  11670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11679 */     GIR_RootConstrainSelectedInstOperands,
     /*  11680 */     // GIR_Coverage, 986,
     /*  11680 */     GIR_EraseRootFromParent_Done,
     /*  11681 */   // Label 256: @11681
     /*  11681 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(11734), // Rule ID 991 //
     /*  11686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  11701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11712 */     // (sub:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm))  =>  (VSUBWuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  11712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWuv2i64),
     /*  11715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11717 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  11719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  11723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11732 */     GIR_RootConstrainSelectedInstOperands,
     /*  11733 */     // GIR_Coverage, 991,
     /*  11733 */     GIR_EraseRootFromParent_Done,
     /*  11734 */   // Label 257: @11734
     /*  11734 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(11770), // Rule ID 964 //
     /*  11739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11750 */     // (sub:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VSUBv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /*  11750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv2i64),
     /*  11753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11755 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  11757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  11759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11768 */     GIR_RootConstrainSelectedInstOperands,
     /*  11769 */     // GIR_Coverage, 964,
     /*  11769 */     GIR_EraseRootFromParent_Done,
     /*  11770 */   // Label 258: @11770
     /*  11770 */   GIM_Reject,
     /*  11771 */ // Label 249: @11771
     /*  11771 */ GIM_Reject,
     /*  11772 */ // Label 227: @11772
     /*  11772 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(11886),
     /*  11777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  11783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11791 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(11853), // Rule ID 913 //
     /*  11796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  11807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  11815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11827 */     // (sub:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, (mul:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm))  =>  (VMLSv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  11827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLSv4i16),
     /*  11830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11832 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  11842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11851 */     GIR_RootConstrainSelectedInstOperands,
     /*  11852 */     // GIR_Coverage, 913,
     /*  11852 */     GIR_EraseRootFromParent_Done,
     /*  11853 */   // Label 260: @11853
     /*  11853 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(11885), // Rule ID 958 //
     /*  11858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11865 */     // (sub:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VSUBv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  11865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv4i16),
     /*  11868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11870 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  11872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  11874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11883 */     GIR_RootConstrainSelectedInstOperands,
     /*  11884 */     // GIR_Coverage, 958,
     /*  11884 */     GIR_EraseRootFromParent_Done,
     /*  11885 */   // Label 261: @11885
     /*  11885 */   GIM_Reject,
     /*  11886 */ // Label 259: @11886
     /*  11886 */ GIM_Reject,
     /*  11887 */ // Label 228: @11887
     /*  11887 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(12601),
     /*  11892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  11898 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(11970), // Rule ID 979 //
     /*  11903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11946 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  11946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv4i32),
     /*  11949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  11951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  11955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  11959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  11962 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  11968 */     GIR_RootConstrainSelectedInstOperands,
     /*  11969 */     // GIR_Coverage, 979,
     /*  11969 */     GIR_EraseRootFromParent_Done,
     /*  11970 */   // Label 263: @11970
     /*  11970 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(12042), // Rule ID 978 //
     /*  11975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  11982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  11999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12018 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  12018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv4i32),
     /*  12021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  12031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12040 */     GIR_RootConstrainSelectedInstOperands,
     /*  12041 */     // GIR_Coverage, 978,
     /*  12041 */     GIR_EraseRootFromParent_Done,
     /*  12042 */   // Label 264: @12042
     /*  12042 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(12114), // Rule ID 970 //
     /*  12047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12090 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBLsv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  12090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLsv4i32),
     /*  12093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  12103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12106 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12112 */     GIR_RootConstrainSelectedInstOperands,
     /*  12113 */     // GIR_Coverage, 970,
     /*  12113 */     GIR_EraseRootFromParent_Done,
     /*  12114 */   // Label 265: @12114
     /*  12114 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(12186), // Rule ID 977 //
     /*  12119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12162 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  12162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv4i32),
     /*  12165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  12175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12184 */     GIR_RootConstrainSelectedInstOperands,
     /*  12185 */     // GIR_Coverage, 977,
     /*  12185 */     GIR_EraseRootFromParent_Done,
     /*  12186 */   // Label 266: @12186
     /*  12186 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(12258), // Rule ID 976 //
     /*  12191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12234 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn), (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  12234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv4i32),
     /*  12237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  12247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12256 */     GIR_RootConstrainSelectedInstOperands,
     /*  12257 */     // GIR_Coverage, 976,
     /*  12257 */     GIR_EraseRootFromParent_Done,
     /*  12258 */   // Label 267: @12258
     /*  12258 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(12328), // Rule ID 917 //
     /*  12263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  12282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  12290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12302 */     // (sub:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, (mul:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm))  =>  (VMLSv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  12302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLSv4i32),
     /*  12305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12307 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  12317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12326 */     GIR_RootConstrainSelectedInstOperands,
     /*  12327 */     // GIR_Coverage, 917,
     /*  12327 */     GIR_EraseRootFromParent_Done,
     /*  12328 */   // Label 268: @12328
     /*  12328 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(12385), // Rule ID 990 //
     /*  12333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12363 */     // (sub:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBWuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  12363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWuv4i32),
     /*  12366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12368 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  12370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  12374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12377 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12383 */     GIR_RootConstrainSelectedInstOperands,
     /*  12384 */     // GIR_Coverage, 990,
     /*  12384 */     GIR_EraseRootFromParent_Done,
     /*  12385 */   // Label 269: @12385
     /*  12385 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(12442), // Rule ID 985 //
     /*  12390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12420 */     // (sub:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBWsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  12420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWsv4i32),
     /*  12423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12425 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  12427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  12431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12440 */     GIR_RootConstrainSelectedInstOperands,
     /*  12441 */     // GIR_Coverage, 985,
     /*  12441 */     GIR_EraseRootFromParent_Done,
     /*  12442 */   // Label 270: @12442
     /*  12442 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(12499), // Rule ID 989 //
     /*  12447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12477 */     // (sub:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm))  =>  (VSUBWuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  12477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWuv4i32),
     /*  12480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12482 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  12484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  12488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12497 */     GIR_RootConstrainSelectedInstOperands,
     /*  12498 */     // GIR_Coverage, 989,
     /*  12498 */     GIR_EraseRootFromParent_Done,
     /*  12499 */   // Label 271: @12499
     /*  12499 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(12539), // Rule ID 962 //
     /*  12504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12519 */     // (sub:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VSUBv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  12519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv4i32),
     /*  12522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12524 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  12526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  12528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12537 */     GIR_RootConstrainSelectedInstOperands,
     /*  12538 */     // GIR_Coverage, 962,
     /*  12538 */     GIR_EraseRootFromParent_Done,
     /*  12539 */   // Label 272: @12539
     /*  12539 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(12600), // Rule ID 3505 //
     /*  12544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  12547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  12551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  12555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  12559 */     // (sub:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VSUBi32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  12559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSUBi32),
     /*  12574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  12576 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  12578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  12580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  12583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  12598 */     GIR_RootConstrainSelectedInstOperands,
     /*  12599 */     // GIR_Coverage, 3505,
     /*  12599 */     GIR_EraseRootFromParent_Done,
     /*  12600 */   // Label 273: @12600
     /*  12600 */   GIM_Reject,
     /*  12601 */ // Label 262: @12601
     /*  12601 */ GIM_Reject,
     /*  12602 */ // Label 229: @12602
     /*  12602 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(12716),
     /*  12607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  12613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12621 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(12683), // Rule ID 912 //
     /*  12626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  12637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  12645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12657 */     // (sub:{ *:[v8i8] } DPR:{ *:[v8i8] }:$src1, (mul:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm))  =>  (VMLSv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$src1, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  12657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLSv8i8),
     /*  12660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12662 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  12672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12681 */     GIR_RootConstrainSelectedInstOperands,
     /*  12682 */     // GIR_Coverage, 912,
     /*  12682 */     GIR_EraseRootFromParent_Done,
     /*  12683 */   // Label 275: @12683
     /*  12683 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(12715), // Rule ID 957 //
     /*  12688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12695 */     // (sub:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VSUBv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  12695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv8i8),
     /*  12698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12700 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  12702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  12704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12707 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12713 */     GIR_RootConstrainSelectedInstOperands,
     /*  12714 */     // GIR_Coverage, 957,
     /*  12714 */     GIR_EraseRootFromParent_Done,
     /*  12715 */   // Label 276: @12715
     /*  12715 */   GIM_Reject,
     /*  12716 */ // Label 274: @12716
     /*  12716 */ GIM_Reject,
     /*  12717 */ // Label 230: @12717
     /*  12717 */ GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(13431),
     /*  12722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  12725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  12728 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(12800), // Rule ID 975 //
     /*  12733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12776 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  12776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv8i16),
     /*  12779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  12789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12798 */     GIR_RootConstrainSelectedInstOperands,
     /*  12799 */     // GIR_Coverage, 975,
     /*  12799 */     GIR_EraseRootFromParent_Done,
     /*  12800 */   // Label 278: @12800
     /*  12800 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(12872), // Rule ID 974 //
     /*  12805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12848 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  12848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv8i16),
     /*  12851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  12861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12870 */     GIR_RootConstrainSelectedInstOperands,
     /*  12871 */     // GIR_Coverage, 974,
     /*  12871 */     GIR_EraseRootFromParent_Done,
     /*  12872 */   // Label 279: @12872
     /*  12872 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(12944), // Rule ID 969 //
     /*  12877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12920 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBLsv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  12920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLsv8i16),
     /*  12923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  12929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  12933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  12936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  12942 */     GIR_RootConstrainSelectedInstOperands,
     /*  12943 */     // GIR_Coverage, 969,
     /*  12943 */     GIR_EraseRootFromParent_Done,
     /*  12944 */   // Label 280: @12944
     /*  12944 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(13016), // Rule ID 973 //
     /*  12949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  12956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  12977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  12985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  12990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12992 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  12992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv8i16),
     /*  12995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  12997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  13001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  13005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13014 */     GIR_RootConstrainSelectedInstOperands,
     /*  13015 */     // GIR_Coverage, 973,
     /*  13015 */     GIR_EraseRootFromParent_Done,
     /*  13016 */   // Label 281: @13016
     /*  13016 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(13088), // Rule ID 972 //
     /*  13021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  13036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  13040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  13045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  13049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  13053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  13057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  13062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13064 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn), (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  13064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBLuv8i16),
     /*  13067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  13073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  13077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13086 */     GIR_RootConstrainSelectedInstOperands,
     /*  13087 */     // GIR_Coverage, 972,
     /*  13087 */     GIR_EraseRootFromParent_Done,
     /*  13088 */   // Label 282: @13088
     /*  13088 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(13158), // Rule ID 916 //
     /*  13093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  13112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  13116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  13120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13132 */     // (sub:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, (mul:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm))  =>  (VMLSv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  13132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLSv8i16),
     /*  13135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13137 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  13143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  13147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13156 */     GIR_RootConstrainSelectedInstOperands,
     /*  13157 */     // GIR_Coverage, 916,
     /*  13157 */     GIR_EraseRootFromParent_Done,
     /*  13158 */   // Label 283: @13158
     /*  13158 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(13215), // Rule ID 988 //
     /*  13163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  13182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  13186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  13191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13193 */     // (sub:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBWuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  13193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWuv8i16),
     /*  13196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  13200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  13204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13213 */     GIR_RootConstrainSelectedInstOperands,
     /*  13214 */     // GIR_Coverage, 988,
     /*  13214 */     GIR_EraseRootFromParent_Done,
     /*  13215 */   // Label 284: @13215
     /*  13215 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(13272), // Rule ID 984 //
     /*  13220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  13239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  13243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  13248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13250 */     // (sub:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBWsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  13250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWsv8i16),
     /*  13253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  13257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  13261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13270 */     GIR_RootConstrainSelectedInstOperands,
     /*  13271 */     // GIR_Coverage, 984,
     /*  13271 */     GIR_EraseRootFromParent_Done,
     /*  13272 */   // Label 285: @13272
     /*  13272 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(13329), // Rule ID 987 //
     /*  13277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  13296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  13300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  13305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13307 */     // (sub:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm))  =>  (VSUBWuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  13307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBWuv8i16),
     /*  13310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13312 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  13314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  13318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13327 */     GIR_RootConstrainSelectedInstOperands,
     /*  13328 */     // GIR_Coverage, 987,
     /*  13328 */     GIR_EraseRootFromParent_Done,
     /*  13329 */   // Label 286: @13329
     /*  13329 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(13369), // Rule ID 961 //
     /*  13334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13349 */     // (sub:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VSUBv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  13349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv8i16),
     /*  13352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13354 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  13356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  13358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13361 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13367 */     GIR_RootConstrainSelectedInstOperands,
     /*  13368 */     // GIR_Coverage, 961,
     /*  13368 */     GIR_EraseRootFromParent_Done,
     /*  13369 */   // Label 287: @13369
     /*  13369 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(13430), // Rule ID 3501 //
     /*  13374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  13377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  13381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  13385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  13389 */     // (sub:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VSUBi16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  13389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSUBi16),
     /*  13404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  13406 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  13408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  13410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  13413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  13428 */     GIR_RootConstrainSelectedInstOperands,
     /*  13429 */     // GIR_Coverage, 3501,
     /*  13429 */     GIR_EraseRootFromParent_Done,
     /*  13430 */   // Label 288: @13430
     /*  13430 */   GIM_Reject,
     /*  13431 */ // Label 277: @13431
     /*  13431 */ GIM_Reject,
     /*  13432 */ // Label 231: @13432
     /*  13432 */ GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(13615),
     /*  13437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  13440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  13443 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(13513), // Rule ID 915 //
     /*  13448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  13467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  13471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  13475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13487 */     // (sub:{ *:[v16i8] } QPR:{ *:[v16i8] }:$src1, (mul:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm))  =>  (VMLSv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$src1, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  13487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLSv16i8),
     /*  13490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13492 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  13498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  13502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13511 */     GIR_RootConstrainSelectedInstOperands,
     /*  13512 */     // GIR_Coverage, 915,
     /*  13512 */     GIR_EraseRootFromParent_Done,
     /*  13513 */   // Label 290: @13513
     /*  13513 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(13553), // Rule ID 960 //
     /*  13518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  13533 */     // (sub:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VSUBv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  13533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBv16i8),
     /*  13536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  13538 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  13540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  13542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13551 */     GIR_RootConstrainSelectedInstOperands,
     /*  13552 */     // GIR_Coverage, 960,
     /*  13552 */     GIR_EraseRootFromParent_Done,
     /*  13553 */   // Label 291: @13553
     /*  13553 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(13614), // Rule ID 3497 //
     /*  13558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  13561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  13565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  13569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  13573 */     // (sub:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VSUBi8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  13573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSUBi8),
     /*  13588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  13590 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  13592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  13594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  13597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  13612 */     GIR_RootConstrainSelectedInstOperands,
     /*  13613 */     // GIR_Coverage, 3497,
     /*  13613 */     GIR_EraseRootFromParent_Done,
     /*  13614 */   // Label 292: @13614
     /*  13614 */   GIM_Reject,
     /*  13615 */ // Label 289: @13615
     /*  13615 */ GIM_Reject,
     /*  13616 */ // Label 232: @13616
     /*  13616 */ GIM_Reject,
     /*  13617 */ // Label 2: @13617
     /*  13617 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 300*/ GIMT_Encode4(15320),
     /*  13628 */ /*GILLT_s32*//*Label 293*/ GIMT_Encode4(13688), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  13640 */ /*GILLT_v2s32*//*Label 294*/ GIMT_Encode4(14607), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  13652 */ /*GILLT_v4s16*//*Label 295*/ GIMT_Encode4(14654),
     /*  13656 */ /*GILLT_v4s32*//*Label 296*/ GIMT_Encode4(14701), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  13668 */ /*GILLT_v8s8*//*Label 297*/ GIMT_Encode4(14930),
     /*  13672 */ /*GILLT_v8s16*//*Label 298*/ GIMT_Encode4(14977), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  13684 */ /*GILLT_v16s8*//*Label 299*/ GIMT_Encode4(15206),
     /*  13688 */ // Label 293: @13688
     /*  13688 */ GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(14606),
     /*  13693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  13696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  13699 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(13787), // Rule ID 186 //
     /*  13704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  13707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  13711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  13719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  13723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  13727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  13732 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  13736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  13740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  13744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  13748 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  13752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  13757 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  13761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13763 */     // (mul:{ *:[i32] } (sra:{ *:[i32] } GPR:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sra:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 16:{ *:[i32] }))  =>  (SMULTT:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  13763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULTT),
     /*  13766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  13768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13785 */     GIR_RootConstrainSelectedInstOperands,
     /*  13786 */     // GIR_Coverage, 186,
     /*  13786 */     GIR_EraseRootFromParent_Done,
     /*  13787 */   // Label 302: @13787
     /*  13787 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(13875), // Rule ID 515 //
     /*  13792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  13795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  13799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  13807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  13811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  13815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  13820 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  13824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  13828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  13832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  13836 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  13840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  13845 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  13849 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13851 */     // (mul:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16:{ *:[i32] }))  =>  (t2SMULTT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  13851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULTT),
     /*  13854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  13856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13867 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13873 */     GIR_RootConstrainSelectedInstOperands,
     /*  13874 */     // GIR_Coverage, 515,
     /*  13874 */     GIR_EraseRootFromParent_Done,
     /*  13875 */   // Label 303: @13875
     /*  13875 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(13966), // Rule ID 185 //
     /*  13880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  13883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  13887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  13895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  13899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  13903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  13908 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  13912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  13916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  13920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  13924 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  13929 */     // MIs[2] Operand 2
     /*  13929 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  13940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13942 */     // (mul:{ *:[i32] } (sra:{ *:[i32] } GPR:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$Rm, i16:{ *:[Other] }))  =>  (SMULTB:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  13942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULTB),
     /*  13945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  13947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  13958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  13964 */     GIR_RootConstrainSelectedInstOperands,
     /*  13965 */     // GIR_Coverage, 185,
     /*  13965 */     GIR_EraseRootFromParent_Done,
     /*  13966 */   // Label 304: @13966
     /*  13966 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(14057), // Rule ID 514 //
     /*  13971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  13974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  13978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  13986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  13990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  13994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  13999 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  14003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  14007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  14015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14020 */     // MIs[2] Operand 2
     /*  14020 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  14031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14033 */     // (mul:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 16:{ *:[i32] }), (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] }))  =>  (t2SMULTB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  14033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULTB),
     /*  14036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14055 */     GIR_RootConstrainSelectedInstOperands,
     /*  14056 */     // GIR_Coverage, 514,
     /*  14056 */     GIR_EraseRootFromParent_Done,
     /*  14057 */   // Label 305: @14057
     /*  14057 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(14148), // Rule ID 184 //
     /*  14062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  14065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  14069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  14081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  14086 */     // MIs[1] Operand 2
     /*  14086 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*  14097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  14101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  14105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  14109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  14113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  14118 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  14122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14124 */     // (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sra:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 16:{ *:[i32] }))  =>  (SMULBT:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  14124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULBT),
     /*  14127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14146 */     GIR_RootConstrainSelectedInstOperands,
     /*  14147 */     // GIR_Coverage, 184,
     /*  14147 */     GIR_EraseRootFromParent_Done,
     /*  14148 */   // Label 306: @14148
     /*  14148 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(14239), // Rule ID 513 //
     /*  14153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  14156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  14172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14177 */     // MIs[1] Operand 2
     /*  14177 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*  14188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  14192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  14196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  14200 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  14204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14209 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  14213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14215 */     // (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16:{ *:[i32] }))  =>  (t2SMULBT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  14215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULBT),
     /*  14218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14237 */     GIR_RootConstrainSelectedInstOperands,
     /*  14238 */     // GIR_Coverage, 513,
     /*  14238 */     GIR_EraseRootFromParent_Done,
     /*  14239 */   // Label 307: @14239
     /*  14239 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(14333), // Rule ID 183 //
     /*  14244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  14247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  14251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  14263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  14268 */     // MIs[1] Operand 2
     /*  14268 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*  14279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  14283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  14291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  14296 */     // MIs[2] Operand 2
     /*  14296 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  14307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14309 */     // (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$Rm, i16:{ *:[Other] }))  =>  (SMULBB:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  14309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULBB),
     /*  14312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14331 */     GIR_RootConstrainSelectedInstOperands,
     /*  14332 */     // GIR_Coverage, 183,
     /*  14332 */     GIR_EraseRootFromParent_Done,
     /*  14333 */   // Label 308: @14333
     /*  14333 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(14427), // Rule ID 512 //
     /*  14338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  14341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  14357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14362 */     // MIs[1] Operand 2
     /*  14362 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*  14373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  14377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  14385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14390 */     // MIs[2] Operand 2
     /*  14390 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  14401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14403 */     // (mul:{ *:[i32] } (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] }))  =>  (t2SMULBB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  14403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULBB),
     /*  14406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14425 */     GIR_RootConstrainSelectedInstOperands,
     /*  14426 */     // GIR_Coverage, 512,
     /*  14426 */     GIR_EraseRootFromParent_Done,
     /*  14427 */   // Label 309: @14427
     /*  14427 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(14473), // Rule ID 169 //
     /*  14432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  14435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  14439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  14443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  14447 */     // (mul:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (MUL:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  14447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MUL),
     /*  14450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14452 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  14454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  14456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14471 */     GIR_RootConstrainSelectedInstOperands,
     /*  14472 */     // GIR_Coverage, 169,
     /*  14472 */     GIR_EraseRootFromParent_Done,
     /*  14473 */   // Label 310: @14473
     /*  14473 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(14519), // Rule ID 170 //
     /*  14478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_NoV6_UseMulOps),
     /*  14481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  14485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  14489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  14493 */     // (mul:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (MULv5:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  14493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MULv5),
     /*  14496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14498 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  14500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  14502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14517 */     GIR_RootConstrainSelectedInstOperands,
     /*  14518 */     // GIR_Coverage, 170,
     /*  14518 */     GIR_EraseRootFromParent_Done,
     /*  14519 */   // Label 311: @14519
     /*  14519 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(14565), // Rule ID 323 //
     /*  14524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  14527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  14531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  14535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  14539 */     // (mul:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tMUL:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*  14539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tMUL),
     /*  14542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  14550 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  14552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  14554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14557 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14563 */     GIR_RootConstrainSelectedInstOperands,
     /*  14564 */     // GIR_Coverage, 323,
     /*  14564 */     GIR_EraseRootFromParent_Done,
     /*  14565 */   // Label 312: @14565
     /*  14565 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(14605), // Rule ID 502 //
     /*  14570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  14573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  14585 */     // (mul:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2MUL:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  14585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MUL),
     /*  14588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  14590 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  14592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  14594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14603 */     GIR_RootConstrainSelectedInstOperands,
     /*  14604 */     // GIR_Coverage, 502,
     /*  14604 */     GIR_EraseRootFromParent_Done,
     /*  14605 */   // Label 313: @14605
     /*  14605 */   GIM_Reject,
     /*  14606 */ // Label 301: @14606
     /*  14606 */ GIM_Reject,
     /*  14607 */ // Label 294: @14607
     /*  14607 */ GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(14653), // Rule ID 834 //
     /*  14612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14633 */   // (mul:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VMULv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  14633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULv2i32),
     /*  14636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  14638 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  14640 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  14642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14645 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14651 */   GIR_RootConstrainSelectedInstOperands,
     /*  14652 */   // GIR_Coverage, 834,
     /*  14652 */   GIR_EraseRootFromParent_Done,
     /*  14653 */ // Label 314: @14653
     /*  14653 */ GIM_Reject,
     /*  14654 */ // Label 295: @14654
     /*  14654 */ GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(14700), // Rule ID 833 //
     /*  14659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  14665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14680 */   // (mul:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VMULv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  14680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULv4i16),
     /*  14683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  14685 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  14687 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  14689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14692 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14698 */   GIR_RootConstrainSelectedInstOperands,
     /*  14699 */   // GIR_Coverage, 833,
     /*  14699 */   GIR_EraseRootFromParent_Done,
     /*  14700 */ // Label 315: @14700
     /*  14700 */ GIM_Reject,
     /*  14701 */ // Label 296: @14701
     /*  14701 */ GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(14929),
     /*  14706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  14712 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(14827), // Rule ID 4418 //
     /*  14717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  14720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  14724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  14741 */     // MIs[1] Operand 2
     /*  14741 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /*  14752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  14756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  14760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  14769 */     // MIs[2] Operand 2
     /*  14769 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  14780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14782 */     // (mul:{ *:[v4i32] } (sext_inreg:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src1, v4i16:{ *:[Other] }), (sext_inreg:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src2, v4i16:{ *:[Other] }))  =>  (MVE_VMULLBs16:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src1, MQPR:{ *:[v4i32] }:$src2)
     /*  14782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  14785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  14789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBs16),
     /*  14797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  14799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  14803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  14807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14825 */     GIR_RootConstrainSelectedInstOperands,
     /*  14826 */     // GIR_Coverage, 4418,
     /*  14826 */     GIR_EraseRootFromParent_Done,
     /*  14827 */   // Label 317: @14827
     /*  14827 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(14867), // Rule ID 837 //
     /*  14832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  14839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  14843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  14847 */     // (mul:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VMULv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  14847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULv4i32),
     /*  14850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  14852 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  14854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  14856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14865 */     GIR_RootConstrainSelectedInstOperands,
     /*  14866 */     // GIR_Coverage, 837,
     /*  14866 */     GIR_EraseRootFromParent_Done,
     /*  14867 */   // Label 318: @14867
     /*  14867 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(14928), // Rule ID 3463 //
     /*  14872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  14875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  14879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  14883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  14887 */     // (mul:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VMULi32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  14887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  14890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  14894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULi32),
     /*  14902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  14904 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  14906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  14908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14911 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14917 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14926 */     GIR_RootConstrainSelectedInstOperands,
     /*  14927 */     // GIR_Coverage, 3463,
     /*  14927 */     GIR_EraseRootFromParent_Done,
     /*  14928 */   // Label 319: @14928
     /*  14928 */   GIM_Reject,
     /*  14929 */ // Label 316: @14929
     /*  14929 */ GIM_Reject,
     /*  14930 */ // Label 297: @14930
     /*  14930 */ GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(14976), // Rule ID 832 //
     /*  14935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  14941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  14944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  14956 */   // (mul:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VMULv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  14956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULv8i8),
     /*  14959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  14961 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  14963 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  14965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  14968 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  14974 */   GIR_RootConstrainSelectedInstOperands,
     /*  14975 */   // GIR_Coverage, 832,
     /*  14975 */   GIR_EraseRootFromParent_Done,
     /*  14976 */ // Label 320: @14976
     /*  14976 */ GIM_Reject,
     /*  14977 */ // Label 298: @14977
     /*  14977 */ GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(15205),
     /*  14982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  14985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  14988 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(15103), // Rule ID 4423 //
     /*  14993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  14996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  15008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  15012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15017 */     // MIs[1] Operand 2
     /*  15017 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /*  15028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  15032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  15036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  15040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15045 */     // MIs[2] Operand 2
     /*  15045 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  15056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  15058 */     // (mul:{ *:[v8i16] } (sext_inreg:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src1, v8i8:{ *:[Other] }), (sext_inreg:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src2, v8i8:{ *:[Other] }))  =>  (MVE_VMULLBs8:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src1, MQPR:{ *:[v8i16] }:$src2)
     /*  15058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  15061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  15065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBs8),
     /*  15073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  15075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  15079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  15083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  15101 */     GIR_RootConstrainSelectedInstOperands,
     /*  15102 */     // GIR_Coverage, 4423,
     /*  15102 */     GIR_EraseRootFromParent_Done,
     /*  15103 */   // Label 322: @15103
     /*  15103 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(15143), // Rule ID 836 //
     /*  15108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  15115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  15119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  15123 */     // (mul:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VMULv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  15123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULv8i16),
     /*  15126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  15128 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  15130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  15132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15141 */     GIR_RootConstrainSelectedInstOperands,
     /*  15142 */     // GIR_Coverage, 836,
     /*  15142 */     GIR_EraseRootFromParent_Done,
     /*  15143 */   // Label 323: @15143
     /*  15143 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(15204), // Rule ID 3459 //
     /*  15148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  15151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15163 */     // (mul:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VMULi16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  15163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  15166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  15170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULi16),
     /*  15178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  15180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  15182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  15184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15187 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  15202 */     GIR_RootConstrainSelectedInstOperands,
     /*  15203 */     // GIR_Coverage, 3459,
     /*  15203 */     GIR_EraseRootFromParent_Done,
     /*  15204 */   // Label 324: @15204
     /*  15204 */   GIM_Reject,
     /*  15205 */ // Label 321: @15205
     /*  15205 */ GIM_Reject,
     /*  15206 */ // Label 299: @15206
     /*  15206 */ GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(15319),
     /*  15211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  15214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  15217 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(15257), // Rule ID 835 //
     /*  15222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  15229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  15233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  15237 */     // (mul:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VMULv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  15237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULv16i8),
     /*  15240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  15242 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  15244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  15246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15255 */     GIR_RootConstrainSelectedInstOperands,
     /*  15256 */     // GIR_Coverage, 835,
     /*  15256 */     GIR_EraseRootFromParent_Done,
     /*  15257 */   // Label 326: @15257
     /*  15257 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(15318), // Rule ID 3455 //
     /*  15262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  15265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  15277 */     // (mul:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VMULi8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  15277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  15280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  15284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULi8),
     /*  15292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  15294 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  15296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  15298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15301 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15307 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  15316 */     GIR_RootConstrainSelectedInstOperands,
     /*  15317 */     // GIR_Coverage, 3455,
     /*  15317 */     GIR_EraseRootFromParent_Done,
     /*  15318 */   // Label 327: @15318
     /*  15318 */   GIM_Reject,
     /*  15319 */ // Label 325: @15319
     /*  15319 */ GIM_Reject,
     /*  15320 */ // Label 300: @15320
     /*  15320 */ GIM_Reject,
     /*  15321 */ // Label 3: @15321
     /*  15321 */ GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(15416),
     /*  15326 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  15329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  15332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  15335 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(15375), // Rule ID 195 //
     /*  15340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDivideInARM_IsARM),
     /*  15343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15355 */     // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (SDIV:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  15355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SDIV),
     /*  15358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15360 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  15362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  15364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15373 */     GIR_RootConstrainSelectedInstOperands,
     /*  15374 */     // GIR_Coverage, 195,
     /*  15374 */     GIR_EraseRootFromParent_Done,
     /*  15375 */   // Label 329: @15375
     /*  15375 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(15415), // Rule ID 532 //
     /*  15380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDivideInThumb_HasV8MBaseline_IsThumb),
     /*  15383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15395 */     // (sdiv:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SDIV:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  15395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SDIV),
     /*  15398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15400 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  15402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  15404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15407 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15413 */     GIR_RootConstrainSelectedInstOperands,
     /*  15414 */     // GIR_Coverage, 532,
     /*  15414 */     GIR_EraseRootFromParent_Done,
     /*  15415 */   // Label 330: @15415
     /*  15415 */   GIM_Reject,
     /*  15416 */ // Label 328: @15416
     /*  15416 */ GIM_Reject,
     /*  15417 */ // Label 4: @15417
     /*  15417 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(15512),
     /*  15422 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  15425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  15428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  15431 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(15471), // Rule ID 196 //
     /*  15436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDivideInARM_IsARM),
     /*  15439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15451 */     // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (UDIV:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  15451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UDIV),
     /*  15454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15456 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  15458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  15460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15469 */     GIR_RootConstrainSelectedInstOperands,
     /*  15470 */     // GIR_Coverage, 196,
     /*  15470 */     GIR_EraseRootFromParent_Done,
     /*  15471 */   // Label 332: @15471
     /*  15471 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(15511), // Rule ID 533 //
     /*  15476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDivideInThumb_HasV8MBaseline_IsThumb),
     /*  15479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15491 */     // (udiv:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UDIV:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  15491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UDIV),
     /*  15494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15496 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  15498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  15500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15509 */     GIR_RootConstrainSelectedInstOperands,
     /*  15510 */     // GIR_Coverage, 533,
     /*  15510 */     GIR_EraseRootFromParent_Done,
     /*  15511 */   // Label 333: @15511
     /*  15511 */   GIM_Reject,
     /*  15512 */ // Label 331: @15512
     /*  15512 */ GIM_Reject,
     /*  15513 */ // Label 5: @15513
     /*  15513 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 347*/ GIMT_Encode4(18692),
     /*  15524 */ /*GILLT_s32*//*Label 334*/ GIMT_Encode4(15584),
     /*  15528 */ /*GILLT_s64*//*Label 335*/ GIMT_Encode4(17576),
     /*  15532 */ /*GILLT_v2s1*//*Label 336*/ GIMT_Encode4(17623),
     /*  15536 */ /*GILLT_v2s32*//*Label 337*/ GIMT_Encode4(17741),
     /*  15540 */ /*GILLT_v2s64*//*Label 338*/ GIMT_Encode4(17788),
     /*  15544 */ /*GILLT_v4s1*//*Label 339*/ GIMT_Encode4(17902),
     /*  15548 */ /*GILLT_v4s16*//*Label 340*/ GIMT_Encode4(18020),
     /*  15552 */ /*GILLT_v4s32*//*Label 341*/ GIMT_Encode4(18067), GIMT_Encode4(0),
     /*  15560 */ /*GILLT_v8s1*//*Label 342*/ GIMT_Encode4(18181),
     /*  15564 */ /*GILLT_v8s8*//*Label 343*/ GIMT_Encode4(18299),
     /*  15568 */ /*GILLT_v8s16*//*Label 344*/ GIMT_Encode4(18346), GIMT_Encode4(0),
     /*  15576 */ /*GILLT_v16s1*//*Label 345*/ GIMT_Encode4(18460),
     /*  15580 */ /*GILLT_v16s8*//*Label 346*/ GIMT_Encode4(18578),
     /*  15584 */ // Label 334: @15584
     /*  15584 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(17575),
     /*  15589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  15592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  15595 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15668), // Rule ID 1852 //
     /*  15600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  15603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  15607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  15615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  15619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  15623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15628 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  15632 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16711935),
     /*  15643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15645 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$Src, 8:{ *:[i32] }), 16711935:{ *:[i32] })  =>  (UXTB16:{ *:[i32] } GPR:{ *:[i32] }:$Src, 1:{ *:[i32] })
     /*  15645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTB16),
     /*  15648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Src
     /*  15654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  15657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15666 */     GIR_RootConstrainSelectedInstOperands,
     /*  15667 */     // GIR_Coverage, 1852,
     /*  15667 */     GIR_EraseRootFromParent_Done,
     /*  15668 */   // Label 349: @15668
     /*  15668 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15741), // Rule ID 2109 //
     /*  15673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  15676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  15688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  15692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  15696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15701 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  15705 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16711935),
     /*  15716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15718 */     // (and:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Src, 8:{ *:[i32] }), 16711935:{ *:[i32] })  =>  (t2UXTB16:{ *:[i32] } rGPR:{ *:[i32] }:$Src, 1:{ *:[i32] })
     /*  15718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTB16),
     /*  15721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Src
     /*  15727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  15730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15739 */     GIR_RootConstrainSelectedInstOperands,
     /*  15740 */     // GIR_Coverage, 2109,
     /*  15740 */     GIR_EraseRootFromParent_Done,
     /*  15741 */   // Label 350: @15741
     /*  15741 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15789), // Rule ID 1994 //
     /*  15746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  15749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  15753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15757 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  15768 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Src, 255:{ *:[i32] })  =>  (UXTB:{ *:[i32] } GPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  15768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTB),
     /*  15771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15773 */     GIR_RootToRootCopy, /*OpIdx*/1, // Src
     /*  15775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15781 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15787 */     GIR_RootConstrainSelectedInstOperands,
     /*  15788 */     // GIR_Coverage, 1994,
     /*  15788 */     GIR_EraseRootFromParent_Done,
     /*  15789 */   // Label 351: @15789
     /*  15789 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15837), // Rule ID 1995 //
     /*  15794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  15797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  15801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15805 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  15816 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Src, 65535:{ *:[i32] })  =>  (UXTH:{ *:[i32] } GPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  15816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTH),
     /*  15819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15821 */     GIR_RootToRootCopy, /*OpIdx*/1, // Src
     /*  15823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15835 */     GIR_RootConstrainSelectedInstOperands,
     /*  15836 */     // GIR_Coverage, 1995,
     /*  15836 */     GIR_EraseRootFromParent_Done,
     /*  15837 */   // Label 352: @15837
     /*  15837 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(15885), // Rule ID 1996 //
     /*  15842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  15845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  15849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  15853 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16711935),
     /*  15864 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Src, 16711935:{ *:[i32] })  =>  (UXTB16:{ *:[i32] } GPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  15864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTB16),
     /*  15867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15869 */     GIR_RootToRootCopy, /*OpIdx*/1, // Src
     /*  15871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15883 */     GIR_RootConstrainSelectedInstOperands,
     /*  15884 */     // GIR_Coverage, 1996,
     /*  15884 */     GIR_EraseRootFromParent_Done,
     /*  15885 */   // Label 353: @15885
     /*  15885 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(15933), // Rule ID 2233 //
     /*  15890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  15893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15901 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  15912 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 255:{ *:[i32] })  =>  (t2UXTB:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  15912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTB),
     /*  15915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15917 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  15919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15931 */     GIR_RootConstrainSelectedInstOperands,
     /*  15932 */     // GIR_Coverage, 2233,
     /*  15932 */     GIR_EraseRootFromParent_Done,
     /*  15933 */   // Label 354: @15933
     /*  15933 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(15981), // Rule ID 2234 //
     /*  15938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  15941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15949 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  15960 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 65535:{ *:[i32] })  =>  (t2UXTH:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  15960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTH),
     /*  15963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15965 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  15967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  15973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  15979 */     GIR_RootConstrainSelectedInstOperands,
     /*  15980 */     // GIR_Coverage, 2234,
     /*  15980 */     GIR_EraseRootFromParent_Done,
     /*  15981 */   // Label 355: @15981
     /*  15981 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(16029), // Rule ID 2235 //
     /*  15986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  15989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  15997 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16711935),
     /*  16008 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 16711935:{ *:[i32] })  =>  (t2UXTB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  16008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTB16),
     /*  16011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16013 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  16015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  16018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16027 */     GIR_RootConstrainSelectedInstOperands,
     /*  16028 */     // GIR_Coverage, 2235,
     /*  16028 */     GIR_EraseRootFromParent_Done,
     /*  16029 */   // Label 356: @16029
     /*  16029 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(16106), // Rule ID 5436 //
     /*  16034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  16037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16057 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  16061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16069 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  16073 */     // MIs[2] Operand 1
     /*  16073 */     // No operand predicates
     /*  16073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16079 */     // (and:{ *:[i32] } (xor:{ *:[i32] } -1:{ *:[i32] }, (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm), GPR:{ *:[i32] }:$Rn)  =>  (BICri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BICri),
     /*  16082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  16086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16104 */     GIR_RootConstrainSelectedInstOperands,
     /*  16105 */     // GIR_Coverage, 5436,
     /*  16105 */     GIR_EraseRootFromParent_Done,
     /*  16106 */   // Label 357: @16106
     /*  16106 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(16183), // Rule ID 5469 //
     /*  16111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  16114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16134 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  16138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16146 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  16150 */     // MIs[2] Operand 1
     /*  16150 */     // No operand predicates
     /*  16150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16156 */     // (and:{ *:[i32] } (xor:{ *:[i32] } -1:{ *:[i32] }, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm), rGPR:{ *:[i32] }:$Rn)  =>  (t2BICri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2BICri),
     /*  16159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  16163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16181 */     GIR_RootConstrainSelectedInstOperands,
     /*  16182 */     // GIR_Coverage, 5469,
     /*  16182 */     GIR_EraseRootFromParent_Done,
     /*  16183 */   // Label 358: @16183
     /*  16183 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16260), // Rule ID 5435 //
     /*  16188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  16191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16219 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  16223 */     // MIs[2] Operand 1
     /*  16223 */     // No operand predicates
     /*  16223 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16231 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16233 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm, -1:{ *:[i32] }), GPR:{ *:[i32] }:$Rn)  =>  (BICri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BICri),
     /*  16236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  16240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16258 */     GIR_RootConstrainSelectedInstOperands,
     /*  16259 */     // GIR_Coverage, 5435,
     /*  16259 */     GIR_EraseRootFromParent_Done,
     /*  16260 */   // Label 359: @16260
     /*  16260 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16337), // Rule ID 5468 //
     /*  16265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  16268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16296 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  16300 */     // MIs[2] Operand 1
     /*  16300 */     // No operand predicates
     /*  16300 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16310 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm, -1:{ *:[i32] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2BICri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2BICri),
     /*  16313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  16317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16335 */     GIR_RootConstrainSelectedInstOperands,
     /*  16336 */     // GIR_Coverage, 5468,
     /*  16336 */     GIR_EraseRootFromParent_Done,
     /*  16337 */   // Label 360: @16337
     /*  16337 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16414), // Rule ID 5434 //
     /*  16342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  16345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16369 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  16373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16381 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  16385 */     // MIs[2] Operand 1
     /*  16385 */     // No operand predicates
     /*  16385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16387 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } -1:{ *:[i32] }, (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm))  =>  (BICri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BICri),
     /*  16390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  16394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16412 */     GIR_RootConstrainSelectedInstOperands,
     /*  16413 */     // GIR_Coverage, 5434,
     /*  16413 */     GIR_EraseRootFromParent_Done,
     /*  16414 */   // Label 361: @16414
     /*  16414 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16491), // Rule ID 5467 //
     /*  16419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  16422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16446 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  16450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16458 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  16462 */     // MIs[2] Operand 1
     /*  16462 */     // No operand predicates
     /*  16462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16464 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } -1:{ *:[i32] }, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm))  =>  (t2BICri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2BICri),
     /*  16467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16469 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  16471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16477 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16489 */     GIR_RootConstrainSelectedInstOperands,
     /*  16490 */     // GIR_Coverage, 5467,
     /*  16490 */     GIR_EraseRootFromParent_Done,
     /*  16491 */   // Label 362: @16491
     /*  16491 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16568), // Rule ID 159 //
     /*  16496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  16499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16531 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  16535 */     // MIs[2] Operand 1
     /*  16535 */     // No operand predicates
     /*  16535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16541 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm, -1:{ *:[i32] }))  =>  (BICri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BICri),
     /*  16544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  16548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16566 */     GIR_RootConstrainSelectedInstOperands,
     /*  16567 */     // GIR_Coverage, 159,
     /*  16567 */     GIR_EraseRootFromParent_Done,
     /*  16568 */   // Label 363: @16568
     /*  16568 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16645), // Rule ID 490 //
     /*  16573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  16576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16608 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  16612 */     // MIs[2] Operand 1
     /*  16612 */     // No operand predicates
     /*  16612 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16618 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm, -1:{ *:[i32] }))  =>  (t2BICri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  16618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2BICri),
     /*  16621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  16625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  16628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16637 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16643 */     GIR_RootConstrainSelectedInstOperands,
     /*  16644 */     // GIR_Coverage, 490,
     /*  16644 */     GIR_EraseRootFromParent_Done,
     /*  16645 */   // Label 364: @16645
     /*  16645 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16716), // Rule ID 5437 //
     /*  16650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  16653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16678 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16688 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR:{ *:[i32] }:$Rn)  =>  (BICrr:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  16688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BICrr),
     /*  16691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  16695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  16699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16714 */     GIR_RootConstrainSelectedInstOperands,
     /*  16715 */     // GIR_Coverage, 5437,
     /*  16715 */     GIR_EraseRootFromParent_Done,
     /*  16716 */   // Label 365: @16716
     /*  16716 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16787), // Rule ID 5458 //
     /*  16721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  16724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  16728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  16749 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  16757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16759 */     // (and:{ *:[i32] } (xor:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }), tGPR:{ *:[i32] }:$Rn)  =>  (tBIC:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*  16759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tBIC),
     /*  16762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  16764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  16770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  16772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  16776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16785 */     GIR_RootConstrainSelectedInstOperands,
     /*  16786 */     // GIR_Coverage, 5458,
     /*  16786 */     GIR_EraseRootFromParent_Done,
     /*  16787 */   // Label 366: @16787
     /*  16787 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16858), // Rule ID 5470 //
     /*  16792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  16795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16820 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  16828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16830 */     // (and:{ *:[i32] } (xor:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2BICrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  16830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2BICrr),
     /*  16833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  16837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  16841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16856 */     GIR_RootConstrainSelectedInstOperands,
     /*  16857 */     // GIR_Coverage, 5470,
     /*  16857 */     GIR_EraseRootFromParent_Done,
     /*  16858 */   // Label 367: @16858
     /*  16858 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16929), // Rule ID 160 //
     /*  16863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  16866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  16895 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16901 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (BICrr:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  16901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BICrr),
     /*  16904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16906 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  16908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  16912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16921 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16927 */     GIR_RootConstrainSelectedInstOperands,
     /*  16928 */     // GIR_Coverage, 160,
     /*  16928 */     GIR_EraseRootFromParent_Done,
     /*  16929 */   // Label 368: @16929
     /*  16929 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(17000), // Rule ID 313 //
     /*  16934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  16937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  16941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  16945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  16966 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16972 */     // (and:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (tBIC:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*  16972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tBIC),
     /*  16975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  16977 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  16983 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  16985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  16989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  16992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  16998 */     GIR_RootConstrainSelectedInstOperands,
     /*  16999 */     // GIR_Coverage, 313,
     /*  16999 */     GIR_EraseRootFromParent_Done,
     /*  17000 */   // Label 369: @17000
     /*  17000 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17071), // Rule ID 491 //
     /*  17005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  17008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17037 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17043 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (t2BICrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  17043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2BICrr),
     /*  17046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17048 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  17054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17057 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17069 */     GIR_RootConstrainSelectedInstOperands,
     /*  17070 */     // GIR_Coverage, 491,
     /*  17070 */     GIR_EraseRootFromParent_Done,
     /*  17071 */   // Label 370: @17071
     /*  17071 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17116), // Rule ID 345 //
     /*  17076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /*  17079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  17083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  17087 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  17098 */     // (and:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, 255:{ *:[i32] })  =>  (tUXTB:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)
     /*  17098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tUXTB),
     /*  17101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17103 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  17105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17114 */     GIR_RootConstrainSelectedInstOperands,
     /*  17115 */     // GIR_Coverage, 345,
     /*  17115 */     GIR_EraseRootFromParent_Done,
     /*  17116 */   // Label 371: @17116
     /*  17116 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17161), // Rule ID 346 //
     /*  17121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /*  17124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  17128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  17132 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  17143 */     // (and:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, 65535:{ *:[i32] })  =>  (tUXTH:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)
     /*  17143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tUXTH),
     /*  17146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17148 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  17150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17159 */     GIR_RootConstrainSelectedInstOperands,
     /*  17160 */     // GIR_Coverage, 346,
     /*  17160 */     GIR_EraseRootFromParent_Done,
     /*  17161 */   // Label 372: @17161
     /*  17161 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17220), // Rule ID 1891 //
     /*  17166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  17169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm_not),
     /*  17189 */     // MIs[1] Operand 1
     /*  17189 */     // No operand predicates
     /*  17189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17191 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_mod_imm_not>><<X:imm_not_XFORM>>:$imm)  =>  (BICri:{ *:[i32] } GPR:{ *:[i32] }:$src, (imm_not_XFORM:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_mod_imm_not>>:$imm))
     /*  17191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BICri),
     /*  17194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17196 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  17198 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderInvertedImm), // imm
     /*  17203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17218 */     GIR_RootConstrainSelectedInstOperands,
     /*  17219 */     // GIR_Coverage, 1891,
     /*  17219 */     GIR_EraseRootFromParent_Done,
     /*  17220 */   // Label 373: @17220
     /*  17220 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17277), // Rule ID 147 //
     /*  17225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  17228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  17248 */     // MIs[1] Operand 1
     /*  17248 */     // No operand predicates
     /*  17248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17250 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm)  =>  (ANDri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  17250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::ANDri),
     /*  17253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  17260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17275 */     GIR_RootConstrainSelectedInstOperands,
     /*  17276 */     // GIR_Coverage, 147,
     /*  17276 */     GIR_EraseRootFromParent_Done,
     /*  17277 */   // Label 374: @17277
     /*  17277 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17334), // Rule ID 481 //
     /*  17282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  17285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  17305 */     // MIs[1] Operand 1
     /*  17305 */     // No operand predicates
     /*  17305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17307 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm)  =>  (t2ANDri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  17307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ANDri),
     /*  17310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17312 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  17317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17332 */     GIR_RootConstrainSelectedInstOperands,
     /*  17333 */     // GIR_Coverage, 481,
     /*  17333 */     GIR_EraseRootFromParent_Done,
     /*  17334 */   // Label 375: @17334
     /*  17334 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17385), // Rule ID 163 //
     /*  17339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6T2_IsARM),
     /*  17342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17358 */     // MIs[1] Operand 1
     /*  17358 */     // No operand predicates
     /*  17358 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_bf_inv_mask_imm),
     /*  17362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17364 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_bf_inv_mask_imm>>:$imm)  =>  (BFC:{ *:[i32] } GPR:{ *:[i32] }:$src, (imm:{ *:[i32] }):$imm)
     /*  17364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BFC),
     /*  17367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17369 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  17371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  17374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17377 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17383 */     GIR_RootConstrainSelectedInstOperands,
     /*  17384 */     // GIR_Coverage, 163,
     /*  17384 */     GIR_EraseRootFromParent_Done,
     /*  17385 */   // Label 376: @17385
     /*  17385 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17436), // Rule ID 493 //
     /*  17390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  17393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17409 */     // MIs[1] Operand 1
     /*  17409 */     // No operand predicates
     /*  17409 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_bf_inv_mask_imm),
     /*  17413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17415 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_bf_inv_mask_imm>>:$imm)  =>  (t2BFC:{ *:[i32] } rGPR:{ *:[i32] }:$src, (imm:{ *:[i32] }):$imm)
     /*  17415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2BFC),
     /*  17418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17420 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  17422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  17425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17434 */     GIR_RootConstrainSelectedInstOperands,
     /*  17435 */     // GIR_Coverage, 493,
     /*  17435 */     GIR_EraseRootFromParent_Done,
     /*  17436 */   // Label 377: @17436
     /*  17436 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17482), // Rule ID 148 //
     /*  17441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  17444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  17456 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (ANDrr:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  17456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::ANDrr),
     /*  17459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  17465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17480 */     GIR_RootConstrainSelectedInstOperands,
     /*  17481 */     // GIR_Coverage, 148,
     /*  17481 */     GIR_EraseRootFromParent_Done,
     /*  17482 */   // Label 378: @17482
     /*  17482 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(17528), // Rule ID 310 //
     /*  17487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  17490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  17494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  17498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  17502 */     // (and:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tAND:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*  17502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tAND),
     /*  17505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  17507 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  17513 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  17517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17526 */     GIR_RootConstrainSelectedInstOperands,
     /*  17527 */     // GIR_Coverage, 310,
     /*  17527 */     GIR_EraseRootFromParent_Done,
     /*  17528 */   // Label 379: @17528
     /*  17528 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17574), // Rule ID 482 //
     /*  17533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  17536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17548 */     // (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2ANDrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  17548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ANDrr),
     /*  17551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17553 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  17557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17566 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17572 */     GIR_RootConstrainSelectedInstOperands,
     /*  17573 */     // GIR_Coverage, 482,
     /*  17573 */     GIR_EraseRootFromParent_Done,
     /*  17574 */   // Label 380: @17574
     /*  17574 */   GIM_Reject,
     /*  17575 */ // Label 348: @17575
     /*  17575 */ GIM_Reject,
     /*  17576 */ // Label 335: @17576
     /*  17576 */ GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17622), // Rule ID 2523 //
     /*  17581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  17587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  17590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  17594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  17598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  17602 */   // (and:{ *:[v1i64] } DPR:{ *:[v1i64] }:$LHS, DPR:{ *:[v1i64] }:$RHS)  =>  (VANDd:{ *:[v1i64] } DPR:{ *:[v1i64] }:$LHS, DPR:{ *:[v1i64] }:$RHS)
     /*  17602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDd),
     /*  17605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  17607 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  17609 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  17611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17614 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17620 */   GIR_RootConstrainSelectedInstOperands,
     /*  17621 */   // GIR_Coverage, 2523,
     /*  17621 */   GIR_EraseRootFromParent_Done,
     /*  17622 */ // Label 381: @17622
     /*  17622 */ GIM_Reject,
     /*  17623 */ // Label 336: @17623
     /*  17623 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17740), // Rule ID 1823 //
     /*  17628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  17631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  17634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  17637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  17641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  17645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  17649 */   // (and:{ *:[v2i1] } VCCR:{ *:[v2i1] }:$p1, VCCR:{ *:[v2i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (t2ANDrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v2i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v2i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  17649 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  17652 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17656 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17661 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  17665 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17670 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  17673 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17677 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17682 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  17686 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17691 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  17694 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ANDrr),
     /*  17698 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17703 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  17706 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  17709 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  17712 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17718 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  17726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17734 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  17739 */   // GIR_Coverage, 1823,
     /*  17739 */   GIR_EraseRootFromParent_Done,
     /*  17740 */ // Label 382: @17740
     /*  17740 */ GIM_Reject,
     /*  17741 */ // Label 337: @17741
     /*  17741 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17787), // Rule ID 1130 //
     /*  17746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  17759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  17763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  17767 */   // (and:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VANDd:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  17767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDd),
     /*  17770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  17772 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  17774 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  17776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17779 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17785 */   GIR_RootConstrainSelectedInstOperands,
     /*  17786 */   // GIR_Coverage, 1130,
     /*  17786 */   GIR_EraseRootFromParent_Done,
     /*  17787 */ // Label 383: @17787
     /*  17787 */ GIM_Reject,
     /*  17788 */ // Label 338: @17788
     /*  17788 */ GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17901),
     /*  17793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  17796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  17799 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(17839), // Rule ID 2526 //
     /*  17804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  17811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  17815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  17819 */     // (and:{ *:[v2i64] } QPR:{ *:[v2i64] }:$LHS, QPR:{ *:[v2i64] }:$RHS)  =>  (VANDq:{ *:[v2i64] } QPR:{ *:[v2i64] }:$LHS, QPR:{ *:[v2i64] }:$RHS)
     /*  17819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDq),
     /*  17822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  17824 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  17826 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  17828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  17831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17837 */     GIR_RootConstrainSelectedInstOperands,
     /*  17838 */     // GIR_Coverage, 2526,
     /*  17838 */     GIR_EraseRootFromParent_Done,
     /*  17839 */   // Label 385: @17839
     /*  17839 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(17900), // Rule ID 3367 //
     /*  17844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  17847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  17851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  17855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  17859 */     // (and:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$Qm, MQPR:{ *:[v2i64] }:$Qn)  =>  (MVE_VAND:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$Qm, MQPR:{ *:[v2i64] }:$Qn)
     /*  17859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  17862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  17866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VAND),
     /*  17874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  17876 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  17878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  17880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  17883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17898 */     GIR_RootConstrainSelectedInstOperands,
     /*  17899 */     // GIR_Coverage, 3367,
     /*  17899 */     GIR_EraseRootFromParent_Done,
     /*  17900 */   // Label 386: @17900
     /*  17900 */   GIM_Reject,
     /*  17901 */ // Label 384: @17901
     /*  17901 */ GIM_Reject,
     /*  17902 */ // Label 339: @17902
     /*  17902 */ GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18019), // Rule ID 1824 //
     /*  17907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  17910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  17913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  17916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  17920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  17924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  17928 */   // (and:{ *:[v4i1] } VCCR:{ *:[v4i1] }:$p1, VCCR:{ *:[v4i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (t2ANDrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v4i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v4i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  17928 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  17931 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17935 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17940 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  17944 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17949 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  17952 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17956 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17961 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  17965 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  17970 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  17973 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ANDrr),
     /*  17977 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17982 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  17985 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  17988 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  17991 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  17997 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  18005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  18008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18018 */   // GIR_Coverage, 1824,
     /*  18018 */   GIR_EraseRootFromParent_Done,
     /*  18019 */ // Label 387: @18019
     /*  18019 */ GIM_Reject,
     /*  18020 */ // Label 340: @18020
     /*  18020 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18066), // Rule ID 2522 //
     /*  18025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  18031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  18034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  18038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  18042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  18046 */   // (and:{ *:[v4i16] } DPR:{ *:[v4i16] }:$LHS, DPR:{ *:[v4i16] }:$RHS)  =>  (VANDd:{ *:[v4i16] } DPR:{ *:[v4i16] }:$LHS, DPR:{ *:[v4i16] }:$RHS)
     /*  18046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDd),
     /*  18049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  18051 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  18053 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  18055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  18058 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18064 */   GIR_RootConstrainSelectedInstOperands,
     /*  18065 */   // GIR_Coverage, 2522,
     /*  18065 */   GIR_EraseRootFromParent_Done,
     /*  18066 */ // Label 388: @18066
     /*  18066 */ GIM_Reject,
     /*  18067 */ // Label 341: @18067
     /*  18067 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18180),
     /*  18072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  18078 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18118), // Rule ID 1131 //
     /*  18083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18098 */     // (and:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VANDq:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  18098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDq),
     /*  18101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  18103 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  18105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  18107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  18110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18116 */     GIR_RootConstrainSelectedInstOperands,
     /*  18117 */     // GIR_Coverage, 1131,
     /*  18117 */     GIR_EraseRootFromParent_Done,
     /*  18118 */   // Label 390: @18118
     /*  18118 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18179), // Rule ID 3363 //
     /*  18123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  18126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18138 */     // (and:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VAND:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  18138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  18141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  18145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VAND),
     /*  18153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  18155 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  18157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  18159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18177 */     GIR_RootConstrainSelectedInstOperands,
     /*  18178 */     // GIR_Coverage, 3363,
     /*  18178 */     GIR_EraseRootFromParent_Done,
     /*  18179 */   // Label 391: @18179
     /*  18179 */   GIM_Reject,
     /*  18180 */ // Label 389: @18180
     /*  18180 */ GIM_Reject,
     /*  18181 */ // Label 342: @18181
     /*  18181 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18298), // Rule ID 1825 //
     /*  18186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  18189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  18192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  18195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18207 */   // (and:{ *:[v8i1] } VCCR:{ *:[v8i1] }:$p1, VCCR:{ *:[v8i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (t2ANDrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v8i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v8i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  18207 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  18210 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  18214 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18219 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  18223 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  18228 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  18231 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  18235 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18240 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  18244 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  18249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  18252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ANDrr),
     /*  18256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18261 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  18264 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  18267 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  18270 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18276 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18282 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  18284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  18287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18289 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18292 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18297 */   // GIR_Coverage, 1825,
     /*  18297 */   GIR_EraseRootFromParent_Done,
     /*  18298 */ // Label 392: @18298
     /*  18298 */ GIM_Reject,
     /*  18299 */ // Label 343: @18299
     /*  18299 */ GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18345), // Rule ID 2521 //
     /*  18304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  18310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  18313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  18317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  18321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  18325 */   // (and:{ *:[v8i8] } DPR:{ *:[v8i8] }:$LHS, DPR:{ *:[v8i8] }:$RHS)  =>  (VANDd:{ *:[v8i8] } DPR:{ *:[v8i8] }:$LHS, DPR:{ *:[v8i8] }:$RHS)
     /*  18325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDd),
     /*  18328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  18330 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  18332 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  18334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  18337 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18343 */   GIR_RootConstrainSelectedInstOperands,
     /*  18344 */   // GIR_Coverage, 2521,
     /*  18344 */   GIR_EraseRootFromParent_Done,
     /*  18345 */ // Label 393: @18345
     /*  18345 */ GIM_Reject,
     /*  18346 */ // Label 344: @18346
     /*  18346 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18459),
     /*  18351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  18354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  18357 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(18397), // Rule ID 2525 //
     /*  18362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18377 */     // (and:{ *:[v8i16] } QPR:{ *:[v8i16] }:$LHS, QPR:{ *:[v8i16] }:$RHS)  =>  (VANDq:{ *:[v8i16] } QPR:{ *:[v8i16] }:$LHS, QPR:{ *:[v8i16] }:$RHS)
     /*  18377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDq),
     /*  18380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  18382 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  18384 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  18386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  18389 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18395 */     GIR_RootConstrainSelectedInstOperands,
     /*  18396 */     // GIR_Coverage, 2525,
     /*  18396 */     GIR_EraseRootFromParent_Done,
     /*  18397 */   // Label 395: @18397
     /*  18397 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(18458), // Rule ID 3359 //
     /*  18402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  18405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18417 */     // (and:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VAND:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  18417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  18420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  18424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VAND),
     /*  18432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  18434 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  18436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  18438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18447 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18456 */     GIR_RootConstrainSelectedInstOperands,
     /*  18457 */     // GIR_Coverage, 3359,
     /*  18457 */     GIR_EraseRootFromParent_Done,
     /*  18458 */   // Label 396: @18458
     /*  18458 */   GIM_Reject,
     /*  18459 */ // Label 394: @18459
     /*  18459 */ GIM_Reject,
     /*  18460 */ // Label 345: @18460
     /*  18460 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(18577), // Rule ID 1826 //
     /*  18465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  18468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  18471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  18474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18486 */   // (and:{ *:[v16i1] } VCCR:{ *:[v16i1] }:$p1, VCCR:{ *:[v16i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (t2ANDrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v16i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v16i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  18486 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  18489 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  18493 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18498 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  18502 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  18507 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  18510 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  18514 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18519 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  18523 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  18528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  18531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ANDrr),
     /*  18535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18540 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  18543 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  18546 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  18549 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18555 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  18563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  18566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18571 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  18576 */   // GIR_Coverage, 1826,
     /*  18576 */   GIR_EraseRootFromParent_Done,
     /*  18577 */ // Label 397: @18577
     /*  18577 */ GIM_Reject,
     /*  18578 */ // Label 346: @18578
     /*  18578 */ GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(18691),
     /*  18583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  18586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  18589 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(18629), // Rule ID 2524 //
     /*  18594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  18609 */     // (and:{ *:[v16i8] } QPR:{ *:[v16i8] }:$LHS, QPR:{ *:[v16i8] }:$RHS)  =>  (VANDq:{ *:[v16i8] } QPR:{ *:[v16i8] }:$LHS, QPR:{ *:[v16i8] }:$RHS)
     /*  18609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VANDq),
     /*  18612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  18614 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  18616 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  18618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  18621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18627 */     GIR_RootConstrainSelectedInstOperands,
     /*  18628 */     // GIR_Coverage, 2524,
     /*  18628 */     GIR_EraseRootFromParent_Done,
     /*  18629 */   // Label 399: @18629
     /*  18629 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(18690), // Rule ID 3355 //
     /*  18634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  18637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  18649 */     // (and:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VAND:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  18649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  18652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  18656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VAND),
     /*  18664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  18666 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  18668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  18670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18688 */     GIR_RootConstrainSelectedInstOperands,
     /*  18689 */     // GIR_Coverage, 3355,
     /*  18689 */     GIR_EraseRootFromParent_Done,
     /*  18690 */   // Label 400: @18690
     /*  18690 */   GIM_Reject,
     /*  18691 */ // Label 398: @18691
     /*  18691 */ GIM_Reject,
     /*  18692 */ // Label 347: @18692
     /*  18692 */ GIM_Reject,
     /*  18693 */ // Label 6: @18693
     /*  18693 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 414*/ GIMT_Encode4(24501),
     /*  18704 */ /*GILLT_s32*//*Label 401*/ GIMT_Encode4(18764),
     /*  18708 */ /*GILLT_s64*//*Label 402*/ GIMT_Encode4(23385),
     /*  18712 */ /*GILLT_v2s1*//*Label 403*/ GIMT_Encode4(23432),
     /*  18716 */ /*GILLT_v2s32*//*Label 404*/ GIMT_Encode4(23550),
     /*  18720 */ /*GILLT_v2s64*//*Label 405*/ GIMT_Encode4(23597),
     /*  18724 */ /*GILLT_v4s1*//*Label 406*/ GIMT_Encode4(23711),
     /*  18728 */ /*GILLT_v4s16*//*Label 407*/ GIMT_Encode4(23829),
     /*  18732 */ /*GILLT_v4s32*//*Label 408*/ GIMT_Encode4(23876), GIMT_Encode4(0),
     /*  18740 */ /*GILLT_v8s1*//*Label 409*/ GIMT_Encode4(23990),
     /*  18744 */ /*GILLT_v8s8*//*Label 410*/ GIMT_Encode4(24108),
     /*  18748 */ /*GILLT_v8s16*//*Label 411*/ GIMT_Encode4(24155), GIMT_Encode4(0),
     /*  18756 */ /*GILLT_v16s1*//*Label 412*/ GIMT_Encode4(24269),
     /*  18760 */ /*GILLT_v16s8*//*Label 413*/ GIMT_Encode4(24387),
     /*  18764 */ // Label 401: @18764
     /*  18764 */ GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(23384),
     /*  18769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  18772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  18775 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(18902), // Rule ID 5652 //
     /*  18780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  18783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  18787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  18799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  18803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  18815 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  18819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  18824 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  18828 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /*  18839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  18843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  18847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  18851 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  18855 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  18859 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  18863 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  18867 */     // MIs[4] Rm
     /*  18867 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18872 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  18876 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  18880 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  18882 */     // (or:{ *:[i32] } (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 8:{ *:[i32] }), 255:{ *:[i32] }), (sra:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), 16:{ *:[i32] }))  =>  (REVSH:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /*  18882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::REVSH),
     /*  18885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  18894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  18900 */     GIR_RootConstrainSelectedInstOperands,
     /*  18901 */     // GIR_Coverage, 5652,
     /*  18901 */     GIR_EraseRootFromParent_Done,
     /*  18902 */   // Label 416: @18902
     /*  18902 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(19029), // Rule ID 5694 //
     /*  18907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  18910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  18914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  18926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  18930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  18942 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  18946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  18951 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  18955 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /*  18966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  18970 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  18974 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  18978 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  18982 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  18986 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  18990 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  18994 */     // MIs[4] Rm
     /*  18994 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18999 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  19003 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  19007 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19009 */     // (or:{ *:[i32] } (and:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 8:{ *:[i32] }), 255:{ *:[i32] }), (sra:{ *:[i32] } (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), 16:{ *:[i32] }))  =>  (t2REVSH:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /*  19009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2REVSH),
     /*  19012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19027 */     GIR_RootConstrainSelectedInstOperands,
     /*  19028 */     // GIR_Coverage, 5694,
     /*  19028 */     GIR_EraseRootFromParent_Done,
     /*  19029 */   // Label 417: @19029
     /*  19029 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(19156), // Rule ID 1911 //
     /*  19034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  19037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  19041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  19049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  19065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19069 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19073 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  19078 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  19082 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  19086 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  19090 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19094 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  19098 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  19102 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19106 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19110 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19114 */     // MIs[4] Rm
     /*  19114 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  19119 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  19123 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(255),
     /*  19134 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19136 */     // (or:{ *:[i32] } (sra:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), 16:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$Rm, 8:{ *:[i32] }), 255:{ *:[i32] }))  =>  (REVSH:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /*  19136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::REVSH),
     /*  19139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19154 */     GIR_RootConstrainSelectedInstOperands,
     /*  19155 */     // GIR_Coverage, 1911,
     /*  19155 */     GIR_EraseRootFromParent_Done,
     /*  19156 */   // Label 418: @19156
     /*  19156 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(19283), // Rule ID 2193 //
     /*  19161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  19164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  19176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  19192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19196 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19200 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19205 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  19209 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  19213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  19217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19221 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  19225 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  19229 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19233 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19237 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19241 */     // MIs[4] Rm
     /*  19241 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  19246 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  19250 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(255),
     /*  19261 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19263 */     // (or:{ *:[i32] } (sra:{ *:[i32] } (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 24:{ *:[i32] }), 16:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 8:{ *:[i32] }), 255:{ *:[i32] }))  =>  (t2REVSH:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /*  19263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2REVSH),
     /*  19266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19281 */     GIR_RootConstrainSelectedInstOperands,
     /*  19282 */     // GIR_Coverage, 2193,
     /*  19282 */     GIR_EraseRootFromParent_Done,
     /*  19283 */   // Label 419: @19283
     /*  19283 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(19416), // Rule ID 5450 //
     /*  19288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  19291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  19319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19323 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19332 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19336 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19340 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_asr_amt),
     /*  19344 */     // MIs[3] Operand 1
     /*  19344 */     // No operand predicates
     /*  19344 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  19355 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  19359 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19363 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  19367 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19371 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19376 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(4294901760),
     /*  19387 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19389 */     // (or:{ *:[i32] } (and:{ *:[i32] } (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_asr_amt>>:$sh), 65535:{ *:[i32] }), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 4294901760:{ *:[i32] }))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  19389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  19392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  19398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  19405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19414 */     GIR_RootConstrainSelectedInstOperands,
     /*  19415 */     // GIR_Coverage, 5450,
     /*  19415 */     GIR_EraseRootFromParent_Done,
     /*  19416 */   // Label 420: @19416
     /*  19416 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(19549), // Rule ID 5487 //
     /*  19421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  19424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  19452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19465 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19469 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19473 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_asr_amt),
     /*  19477 */     // MIs[3] Operand 1
     /*  19477 */     // No operand predicates
     /*  19477 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  19488 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  19492 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19496 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  19500 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19504 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19509 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(4294901760),
     /*  19520 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19522 */     // (or:{ *:[i32] } (and:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_asr_amt>>:$sh), 65535:{ *:[i32] }), (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 4294901760:{ *:[i32] }))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  19522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  19525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  19531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  19538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19541 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19547 */     GIR_RootConstrainSelectedInstOperands,
     /*  19548 */     // GIR_Coverage, 5487,
     /*  19548 */     GIR_EraseRootFromParent_Done,
     /*  19549 */   // Label 421: @19549
     /*  19549 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(19682), // Rule ID 5657 //
     /*  19554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  19557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19598 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19602 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19606 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm1_15),
     /*  19610 */     // MIs[3] Operand 1
     /*  19610 */     // No operand predicates
     /*  19610 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  19621 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  19625 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19629 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  19633 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19637 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19642 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(4294901760),
     /*  19653 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19655 */     // (or:{ *:[i32] } (and:{ *:[i32] } (srl:{ *:[i32] } GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh), 65535:{ *:[i32] }), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh)
     /*  19655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  19658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src1
     /*  19664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  19668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  19671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19680 */     GIR_RootConstrainSelectedInstOperands,
     /*  19681 */     // GIR_Coverage, 5657,
     /*  19681 */     GIR_EraseRootFromParent_Done,
     /*  19682 */   // Label 422: @19682
     /*  19682 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(19815), // Rule ID 5699 //
     /*  19687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  19690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19722 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19731 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19735 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19739 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm1_15),
     /*  19743 */     // MIs[3] Operand 1
     /*  19743 */     // No operand predicates
     /*  19743 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  19754 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  19758 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19762 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  19766 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19770 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19775 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(4294901760),
     /*  19786 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19788 */     // (or:{ *:[i32] } (and:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh), 65535:{ *:[i32] }), (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh)
     /*  19788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  19791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src1
     /*  19797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  19801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  19804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19813 */     GIR_RootConstrainSelectedInstOperands,
     /*  19814 */     // GIR_Coverage, 5699,
     /*  19814 */     GIR_EraseRootFromParent_Done,
     /*  19815 */   // Label 423: @19815
     /*  19815 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(19948), // Rule ID 5449 //
     /*  19820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  19823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  19851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19855 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19872 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_lsl_amt),
     /*  19876 */     // MIs[3] Operand 1
     /*  19876 */     // No operand predicates
     /*  19876 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  19887 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  19891 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19895 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  19899 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19903 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  19908 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(65535),
     /*  19919 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19921 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_lsl_amt>>:$sh), 4294901760:{ *:[i32] }), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 65535:{ *:[i32] }))  =>  (PKHBT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  19921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHBT),
     /*  19924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  19930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  19937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  19940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  19946 */     GIR_RootConstrainSelectedInstOperands,
     /*  19947 */     // GIR_Coverage, 5449,
     /*  19947 */     GIR_EraseRootFromParent_Done,
     /*  19948 */   // Label 424: @19948
     /*  19948 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(20081), // Rule ID 5486 //
     /*  19953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  19956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  19984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  19997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  20001 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  20005 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_lsl_amt),
     /*  20009 */     // MIs[3] Operand 1
     /*  20009 */     // No operand predicates
     /*  20009 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20020 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  20024 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20028 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  20032 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  20036 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20041 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(65535),
     /*  20052 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20054 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_lsl_amt>>:$sh), 4294901760:{ *:[i32] }), (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 65535:{ *:[i32] }))  =>  (t2PKHBT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  20054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHBT),
     /*  20057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  20063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  20070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20079 */     GIR_RootConstrainSelectedInstOperands,
     /*  20080 */     // GIR_Coverage, 5486,
     /*  20080 */     GIR_EraseRootFromParent_Done,
     /*  20081 */   // Label 425: @20081
     /*  20081 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(20214), // Rule ID 203 //
     /*  20086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  20089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20114 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  20137 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20141 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  20145 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  20149 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20153 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20157 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20162 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  20166 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  20170 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_asr_amt),
     /*  20174 */     // MIs[4] Operand 1
     /*  20174 */     // No operand predicates
     /*  20174 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  20185 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20187 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 4294901760:{ *:[i32] }), (and:{ *:[i32] } (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_asr_amt>>:$sh), 65535:{ *:[i32] }))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  20187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  20190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  20200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // sh
     /*  20203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20212 */     GIR_RootConstrainSelectedInstOperands,
     /*  20213 */     // GIR_Coverage, 203,
     /*  20213 */     GIR_EraseRootFromParent_Done,
     /*  20214 */   // Label 426: @20214
     /*  20214 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(20347), // Rule ID 540 //
     /*  20219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  20222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20247 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  20270 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20274 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  20278 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  20282 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20286 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20290 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20295 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  20299 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  20303 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_asr_amt),
     /*  20307 */     // MIs[4] Operand 1
     /*  20307 */     // No operand predicates
     /*  20307 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  20318 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20320 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 4294901760:{ *:[i32] }), (and:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_asr_amt>>:$sh), 65535:{ *:[i32] }))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  20320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  20323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  20333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // sh
     /*  20336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20345 */     GIR_RootConstrainSelectedInstOperands,
     /*  20346 */     // GIR_Coverage, 540,
     /*  20346 */     GIR_EraseRootFromParent_Done,
     /*  20347 */   // Label 427: @20347
     /*  20347 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(20480), // Rule ID 1916 //
     /*  20352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  20355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20380 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  20403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20407 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  20411 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20415 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20419 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20428 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  20432 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  20436 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm1_15),
     /*  20440 */     // MIs[4] Operand 1
     /*  20440 */     // No operand predicates
     /*  20440 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  20451 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20453 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh), 65535:{ *:[i32] }))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh)
     /*  20453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  20456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  20462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src2
     /*  20466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // sh
     /*  20469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20478 */     GIR_RootConstrainSelectedInstOperands,
     /*  20479 */     // GIR_Coverage, 1916,
     /*  20479 */     GIR_EraseRootFromParent_Done,
     /*  20480 */   // Label 428: @20480
     /*  20480 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(20613), // Rule ID 2198 //
     /*  20485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  20488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20513 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  20536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  20544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20548 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20552 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20556 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20561 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  20565 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  20569 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm1_15),
     /*  20573 */     // MIs[4] Operand 1
     /*  20573 */     // No operand predicates
     /*  20573 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  20584 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20586 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh), 65535:{ *:[i32] }))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm1_15>>:$sh)
     /*  20586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  20589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  20595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src2
     /*  20599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // sh
     /*  20602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20611 */     GIR_RootConstrainSelectedInstOperands,
     /*  20612 */     // GIR_Coverage, 2198,
     /*  20612 */     GIR_EraseRootFromParent_Done,
     /*  20613 */   // Label 429: @20613
     /*  20613 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(20746), // Rule ID 202 //
     /*  20618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  20621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20646 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  20657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  20669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20673 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  20677 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  20681 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20685 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20694 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  20698 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  20702 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_lsl_amt),
     /*  20706 */     // MIs[4] Operand 1
     /*  20706 */     // No operand predicates
     /*  20706 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20717 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20719 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (and:{ *:[i32] } (shl:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_lsl_amt>>:$sh), 4294901760:{ *:[i32] }))  =>  (PKHBT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  20719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHBT),
     /*  20722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  20732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // sh
     /*  20735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20744 */     GIR_RootConstrainSelectedInstOperands,
     /*  20745 */     // GIR_Coverage, 202,
     /*  20745 */     GIR_EraseRootFromParent_Done,
     /*  20746 */   // Label 430: @20746
     /*  20746 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(20879), // Rule ID 539 //
     /*  20751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  20754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20779 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  20790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  20802 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20806 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  20810 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  20814 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20818 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20822 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20827 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  20831 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  20835 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_pkh_lsl_amt),
     /*  20839 */     // MIs[4] Operand 1
     /*  20839 */     // No operand predicates
     /*  20839 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20850 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20852 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (and:{ *:[i32] } (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_pkh_lsl_amt>>:$sh), 4294901760:{ *:[i32] }))  =>  (t2PKHBT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$sh)
     /*  20852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHBT),
     /*  20855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  20865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // sh
     /*  20868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20871 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20877 */     GIR_RootConstrainSelectedInstOperands,
     /*  20878 */     // GIR_Coverage, 539,
     /*  20878 */     GIR_EraseRootFromParent_Done,
     /*  20879 */   // Label 431: @20879
     /*  20879 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(20984), // Rule ID 1912 //
     /*  20884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  20887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20912 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  20923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  20935 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  20944 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294901760),
     /*  20955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20957 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, 4294901760:{ *:[i32] }))  =>  (PKHBT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  20957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHBT),
     /*  20960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  20973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  20976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  20982 */     GIR_RootConstrainSelectedInstOperands,
     /*  20983 */     // GIR_Coverage, 1912,
     /*  20983 */     GIR_EraseRootFromParent_Done,
     /*  20984 */   // Label 432: @20984
     /*  20984 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21089), // Rule ID 2194 //
     /*  20989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  20992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  20996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21017 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  21028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21049 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294901760),
     /*  21060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21062 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 65535:{ *:[i32] }), (and:{ *:[i32] } rGPR:{ *:[i32] }:$src2, 4294901760:{ *:[i32] }))  =>  (t2PKHBT:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, 0:{ *:[i32] })
     /*  21062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHBT),
     /*  21065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  21075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21087 */     GIR_RootConstrainSelectedInstOperands,
     /*  21088 */     // GIR_Coverage, 2194,
     /*  21088 */     GIR_EraseRootFromParent_Done,
     /*  21089 */   // Label 433: @21089
     /*  21089 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21194), // Rule ID 5653 //
     /*  21094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  21097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21122 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  21133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21154 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  21165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21167 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, 4294901760:{ *:[i32] }), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 65535:{ *:[i32] }))  =>  (PKHBT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  21167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHBT),
     /*  21170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  21180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21192 */     GIR_RootConstrainSelectedInstOperands,
     /*  21193 */     // GIR_Coverage, 5653,
     /*  21193 */     GIR_EraseRootFromParent_Done,
     /*  21194 */   // Label 434: @21194
     /*  21194 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(21299), // Rule ID 5695 //
     /*  21199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  21202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21227 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  21238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21259 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  21270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21272 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$src2, 4294901760:{ *:[i32] }), (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 65535:{ *:[i32] }))  =>  (t2PKHBT:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, 0:{ *:[i32] })
     /*  21272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHBT),
     /*  21275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  21281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  21285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21291 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21297 */     GIR_RootConstrainSelectedInstOperands,
     /*  21298 */     // GIR_Coverage, 5695,
     /*  21298 */     GIR_EraseRootFromParent_Done,
     /*  21299 */   // Label 435: @21299
     /*  21299 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(21405), // Rule ID 1915 //
     /*  21304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  21307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21332 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  21343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  21351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21355 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  21372 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  21376 */     // MIs[3] Operand 1
     /*  21376 */     // No operand predicates
     /*  21376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  21378 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }), (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  21378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  21381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  21391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  21394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21397 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21403 */     GIR_RootConstrainSelectedInstOperands,
     /*  21404 */     // GIR_Coverage, 1915,
     /*  21404 */     GIR_EraseRootFromParent_Done,
     /*  21405 */   // Label 436: @21405
     /*  21405 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(21511), // Rule ID 2197 //
     /*  21410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  21413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21438 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  21449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  21457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21461 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  21478 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  21482 */     // MIs[3] Operand 1
     /*  21482 */     // No operand predicates
     /*  21482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  21484 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }), (sra:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  21484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  21487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  21497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  21500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21509 */     GIR_RootConstrainSelectedInstOperands,
     /*  21510 */     // GIR_Coverage, 2197,
     /*  21510 */     GIR_EraseRootFromParent_Done,
     /*  21511 */   // Label 437: @21511
     /*  21511 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(21617), // Rule ID 1914 //
     /*  21516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  21519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21544 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  21555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21567 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21576 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21580 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  21584 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16),
     /*  21588 */     // MIs[3] Operand 1
     /*  21588 */     // No operand predicates
     /*  21588 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  21590 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }), (srl:{ *:[i32] } GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh)
     /*  21590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  21593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  21603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  21606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21615 */     GIR_RootConstrainSelectedInstOperands,
     /*  21616 */     // GIR_Coverage, 1914,
     /*  21616 */     GIR_EraseRootFromParent_Done,
     /*  21617 */   // Label 438: @21617
     /*  21617 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(21723), // Rule ID 2196 //
     /*  21622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  21625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21650 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294901760),
     /*  21661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21673 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  21690 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16),
     /*  21694 */     // MIs[3] Operand 1
     /*  21694 */     // No operand predicates
     /*  21694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  21696 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }), (srl:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh)
     /*  21696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  21699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  21709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  21712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21721 */     GIR_RootConstrainSelectedInstOperands,
     /*  21722 */     // GIR_Coverage, 2196,
     /*  21722 */     GIR_EraseRootFromParent_Done,
     /*  21723 */   // Label 439: @21723
     /*  21723 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(21829), // Rule ID 1913 //
     /*  21728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  21731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21756 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  21767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  21775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21779 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21788 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21792 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  21796 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  21800 */     // MIs[3] Operand 1
     /*  21800 */     // No operand predicates
     /*  21800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  21802 */     // (or:{ *:[i32] } (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (shl:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh))  =>  (PKHBT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  21802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHBT),
     /*  21805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  21811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  21815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  21818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21821 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21827 */     GIR_RootConstrainSelectedInstOperands,
     /*  21828 */     // GIR_Coverage, 1913,
     /*  21828 */     GIR_EraseRootFromParent_Done,
     /*  21829 */   // Label 440: @21829
     /*  21829 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(21935), // Rule ID 2195 //
     /*  21834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  21837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21862 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  21873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  21877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  21881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21885 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  21894 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21898 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  21902 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  21906 */     // MIs[3] Operand 1
     /*  21906 */     // No operand predicates
     /*  21906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  21908 */     // (or:{ *:[i32] } (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 65535:{ *:[i32] }), (shl:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh))  =>  (t2PKHBT:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  21908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHBT),
     /*  21911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /*  21921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // sh
     /*  21924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  21927 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  21933 */     GIR_RootConstrainSelectedInstOperands,
     /*  21934 */     // GIR_Coverage, 2195,
     /*  21934 */     GIR_EraseRootFromParent_Done,
     /*  21935 */   // Label 441: @21935
     /*  21935 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22041), // Rule ID 5656 //
     /*  21940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  21943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  21955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21959 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  21968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  21976 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  21980 */     // MIs[2] Operand 1
     /*  21980 */     // No operand predicates
     /*  21980 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21984 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21988 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  21992 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  21996 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  22001 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(4294901760),
     /*  22012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  22014 */     // (or:{ *:[i32] } (sra:{ *:[i32] } GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  22014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  22017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  22023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  22027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sh
     /*  22030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22039 */     GIR_RootConstrainSelectedInstOperands,
     /*  22040 */     // GIR_Coverage, 5656,
     /*  22040 */     GIR_EraseRootFromParent_Done,
     /*  22041 */   // Label 442: @22041
     /*  22041 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22147), // Rule ID 5698 //
     /*  22046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  22049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  22061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22082 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  22086 */     // MIs[2] Operand 1
     /*  22086 */     // No operand predicates
     /*  22086 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  22090 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22094 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  22098 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  22102 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22107 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(4294901760),
     /*  22118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  22120 */     // (or:{ *:[i32] } (sra:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh), (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  22120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  22123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  22129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  22133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sh
     /*  22136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22145 */     GIR_RootConstrainSelectedInstOperands,
     /*  22146 */     // GIR_Coverage, 5698,
     /*  22146 */     GIR_EraseRootFromParent_Done,
     /*  22147 */   // Label 443: @22147
     /*  22147 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22253), // Rule ID 5655 //
     /*  22152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  22155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  22159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  22180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22188 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16),
     /*  22192 */     // MIs[2] Operand 1
     /*  22192 */     // No operand predicates
     /*  22192 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  22196 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22200 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  22204 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  22208 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  22213 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(4294901760),
     /*  22224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  22226 */     // (or:{ *:[i32] } (srl:{ *:[i32] } GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }))  =>  (PKHTB:{ *:[i32] } GPRnopc:{ *:[i32] }:$src1, GPRnopc:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh)
     /*  22226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHTB),
     /*  22229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  22235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  22239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sh
     /*  22242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22251 */     GIR_RootConstrainSelectedInstOperands,
     /*  22252 */     // GIR_Coverage, 5655,
     /*  22252 */     GIR_EraseRootFromParent_Done,
     /*  22253 */   // Label 444: @22253
     /*  22253 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22359), // Rule ID 5697 //
     /*  22258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  22261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22294 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16),
     /*  22298 */     // MIs[2] Operand 1
     /*  22298 */     // No operand predicates
     /*  22298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  22302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22306 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  22310 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  22314 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22319 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(4294901760),
     /*  22330 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  22332 */     // (or:{ *:[i32] } (srl:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh), (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 4294901760:{ *:[i32] }))  =>  (t2PKHTB:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16>>:$sh)
     /*  22332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHTB),
     /*  22335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  22341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  22345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sh
     /*  22348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22351 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22357 */     GIR_RootConstrainSelectedInstOperands,
     /*  22358 */     // GIR_Coverage, 5697,
     /*  22358 */     GIR_EraseRootFromParent_Done,
     /*  22359 */   // Label 445: @22359
     /*  22359 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22465), // Rule ID 5654 //
     /*  22364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  22367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  22371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  22379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  22392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22400 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  22404 */     // MIs[2] Operand 1
     /*  22404 */     // No operand predicates
     /*  22404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  22408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22412 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  22416 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  22420 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  22425 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(65535),
     /*  22436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  22438 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh), (and:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, 65535:{ *:[i32] }))  =>  (PKHBT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  22438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::PKHBT),
     /*  22441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  22447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  22451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sh
     /*  22454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22463 */     GIR_RootConstrainSelectedInstOperands,
     /*  22464 */     // GIR_Coverage, 5654,
     /*  22464 */     GIR_EraseRootFromParent_Done,
     /*  22465 */   // Label 446: @22465
     /*  22465 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22571), // Rule ID 5696 //
     /*  22470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  22473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  22485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22506 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm16_31),
     /*  22510 */     // MIs[2] Operand 1
     /*  22510 */     // No operand predicates
     /*  22510 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  22514 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22518 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  22522 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  22526 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22531 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(65535),
     /*  22542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  22544 */     // (or:{ *:[i32] } (shl:{ *:[i32] } rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh), (and:{ *:[i32] } rGPR:{ *:[i32] }:$src1, 65535:{ *:[i32] }))  =>  (t2PKHBT:{ *:[i32] } rGPR:{ *:[i32] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] })<<P:Predicate_imm16_31>>:$sh)
     /*  22544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2PKHBT),
     /*  22547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  22553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  22557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sh
     /*  22560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22569 */     GIR_RootConstrainSelectedInstOperands,
     /*  22570 */     // GIR_Coverage, 5696,
     /*  22570 */     GIR_EraseRootFromParent_Done,
     /*  22571 */   // Label 447: @22571
     /*  22571 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(22648), // Rule ID 5474 //
     /*  22576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  22579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22599 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  22603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22611 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  22615 */     // MIs[2] Operand 1
     /*  22615 */     // No operand predicates
     /*  22615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22621 */     // (or:{ *:[i32] } (xor:{ *:[i32] } -1:{ *:[i32] }, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm), rGPR:{ *:[i32] }:$Rn)  =>  (t2ORNri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORNri),
     /*  22624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  22628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22646 */     GIR_RootConstrainSelectedInstOperands,
     /*  22647 */     // GIR_Coverage, 5474,
     /*  22647 */     GIR_EraseRootFromParent_Done,
     /*  22648 */   // Label 448: @22648
     /*  22648 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(22725), // Rule ID 5473 //
     /*  22653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  22656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22684 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  22688 */     // MIs[2] Operand 1
     /*  22688 */     // No operand predicates
     /*  22688 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  22692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22698 */     // (or:{ *:[i32] } (xor:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm, -1:{ *:[i32] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2ORNri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORNri),
     /*  22701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  22705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22717 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22723 */     GIR_RootConstrainSelectedInstOperands,
     /*  22724 */     // GIR_Coverage, 5473,
     /*  22724 */     GIR_EraseRootFromParent_Done,
     /*  22725 */   // Label 449: @22725
     /*  22725 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(22802), // Rule ID 5472 //
     /*  22730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  22733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22757 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  22761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22769 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  22773 */     // MIs[2] Operand 1
     /*  22773 */     // No operand predicates
     /*  22773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22775 */     // (or:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } -1:{ *:[i32] }, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm))  =>  (t2ORNri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORNri),
     /*  22778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22780 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  22782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22800 */     GIR_RootConstrainSelectedInstOperands,
     /*  22801 */     // GIR_Coverage, 5472,
     /*  22801 */     GIR_EraseRootFromParent_Done,
     /*  22802 */   // Label 450: @22802
     /*  22802 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(22879), // Rule ID 496 //
     /*  22807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  22810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22842 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  22846 */     // MIs[2] Operand 1
     /*  22846 */     // No operand predicates
     /*  22846 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  22850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22852 */     // (or:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm, -1:{ *:[i32] }))  =>  (t2ORNri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORNri),
     /*  22855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  22859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22871 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22877 */     GIR_RootConstrainSelectedInstOperands,
     /*  22878 */     // GIR_Coverage, 496,
     /*  22878 */     GIR_EraseRootFromParent_Done,
     /*  22879 */   // Label 451: @22879
     /*  22879 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(22950), // Rule ID 5475 //
     /*  22884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  22887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22912 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  22916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22922 */     // (or:{ *:[i32] } (xor:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }), rGPR:{ *:[i32] }:$Rn)  =>  (t2ORNrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  22922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORNrr),
     /*  22925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  22929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  22933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  22936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  22948 */     GIR_RootConstrainSelectedInstOperands,
     /*  22949 */     // GIR_Coverage, 5475,
     /*  22949 */     GIR_EraseRootFromParent_Done,
     /*  22950 */   // Label 452: @22950
     /*  22950 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23021), // Rule ID 497 //
     /*  22955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  22958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  22987 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  22991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22993 */     // (or:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (xor:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (t2ORNrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  22993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORNrr),
     /*  22996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  22998 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  23000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  23004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23019 */     GIR_RootConstrainSelectedInstOperands,
     /*  23020 */     // GIR_Coverage, 497,
     /*  23020 */     GIR_EraseRootFromParent_Done,
     /*  23021 */   // Label 453: @23021
     /*  23021 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23076), // Rule ID 1845 //
     /*  23026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6T2_IsARM),
     /*  23029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  23033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  23037 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294901760),
     /*  23048 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$src, 4294901760:{ *:[i32] })  =>  (MOVTi16:{ *:[i32] } GPR:{ *:[i32] }:$src, 65535:{ *:[i32] })
     /*  23048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MOVTi16),
     /*  23051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  23053 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  23055 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(65535),
     /*  23065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23074 */     GIR_RootConstrainSelectedInstOperands,
     /*  23075 */     // GIR_Coverage, 1845,
     /*  23075 */     GIR_EraseRootFromParent_Done,
     /*  23076 */   // Label 454: @23076
     /*  23076 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23131), // Rule ID 2091 //
     /*  23081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  23084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23092 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294901760),
     /*  23103 */     // (or:{ *:[i32] } rGPR:{ *:[i32] }:$src, 4294901760:{ *:[i32] })  =>  (t2MOVTi16:{ *:[i32] } rGPR:{ *:[i32] }:$src, 65535:{ *:[i32] })
     /*  23103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MOVTi16),
     /*  23106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  23108 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  23110 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(65535),
     /*  23120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23129 */     GIR_RootConstrainSelectedInstOperands,
     /*  23130 */     // GIR_Coverage, 2091,
     /*  23130 */     GIR_EraseRootFromParent_Done,
     /*  23131 */   // Label 455: @23131
     /*  23131 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23188), // Rule ID 151 //
     /*  23136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  23139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  23143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  23147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  23159 */     // MIs[1] Operand 1
     /*  23159 */     // No operand predicates
     /*  23159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23161 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm)  =>  (ORRri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::ORRri),
     /*  23164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  23166 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  23168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  23171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23186 */     GIR_RootConstrainSelectedInstOperands,
     /*  23187 */     // GIR_Coverage, 151,
     /*  23187 */     GIR_EraseRootFromParent_Done,
     /*  23188 */   // Label 456: @23188
     /*  23188 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23245), // Rule ID 484 //
     /*  23193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  23196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  23216 */     // MIs[1] Operand 1
     /*  23216 */     // No operand predicates
     /*  23216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23218 */     // (or:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm)  =>  (t2ORRri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORRri),
     /*  23221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  23223 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  23225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  23228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23243 */     GIR_RootConstrainSelectedInstOperands,
     /*  23244 */     // GIR_Coverage, 484,
     /*  23244 */     GIR_EraseRootFromParent_Done,
     /*  23245 */   // Label 457: @23245
     /*  23245 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23291), // Rule ID 152 //
     /*  23250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  23253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  23257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  23261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  23265 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (ORRrr:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  23265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::ORRrr),
     /*  23268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  23270 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  23272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  23274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23277 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23289 */     GIR_RootConstrainSelectedInstOperands,
     /*  23290 */     // GIR_Coverage, 152,
     /*  23290 */     GIR_EraseRootFromParent_Done,
     /*  23291 */   // Label 458: @23291
     /*  23291 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23337), // Rule ID 325 //
     /*  23296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  23299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  23303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  23307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  23311 */     // (or:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tORR:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*  23311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tORR),
     /*  23314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  23316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  23322 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  23324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  23326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23335 */     GIR_RootConstrainSelectedInstOperands,
     /*  23336 */     // GIR_Coverage, 325,
     /*  23336 */     GIR_EraseRootFromParent_Done,
     /*  23337 */   // Label 459: @23337
     /*  23337 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23383), // Rule ID 485 //
     /*  23342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  23345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23357 */     // (or:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2ORRrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  23357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ORRrr),
     /*  23360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  23362 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  23364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  23366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23381 */     GIR_RootConstrainSelectedInstOperands,
     /*  23382 */     // GIR_Coverage, 485,
     /*  23382 */     GIR_EraseRootFromParent_Done,
     /*  23383 */   // Label 460: @23383
     /*  23383 */   GIM_Reject,
     /*  23384 */ // Label 415: @23384
     /*  23384 */ GIM_Reject,
     /*  23385 */ // Label 402: @23385
     /*  23385 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(23431), // Rule ID 2529 //
     /*  23390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  23396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  23399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23411 */   // (or:{ *:[v1i64] } DPR:{ *:[v1i64] }:$LHS, DPR:{ *:[v1i64] }:$RHS)  =>  (VORRd:{ *:[v1i64] } DPR:{ *:[v1i64] }:$LHS, DPR:{ *:[v1i64] }:$RHS)
     /*  23411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRd),
     /*  23414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  23416 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  23418 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  23420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23423 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23429 */   GIR_RootConstrainSelectedInstOperands,
     /*  23430 */   // GIR_Coverage, 2529,
     /*  23430 */   GIR_EraseRootFromParent_Done,
     /*  23431 */ // Label 461: @23431
     /*  23431 */ GIM_Reject,
     /*  23432 */ // Label 403: @23432
     /*  23432 */ GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23549), // Rule ID 1831 //
     /*  23437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  23440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  23443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  23446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23458 */   // (or:{ *:[v2i1] } VCCR:{ *:[v2i1] }:$p1, VCCR:{ *:[v2i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (t2ORRrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v2i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v2i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  23458 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  23461 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23465 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23470 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  23474 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23479 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  23482 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23486 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23491 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  23495 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  23503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ORRrr),
     /*  23507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23512 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23515 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  23518 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  23521 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23527 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  23543 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23548 */   // GIR_Coverage, 1831,
     /*  23548 */   GIR_EraseRootFromParent_Done,
     /*  23549 */ // Label 462: @23549
     /*  23549 */ GIM_Reject,
     /*  23550 */ // Label 404: @23550
     /*  23550 */ GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23596), // Rule ID 1134 //
     /*  23555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  23561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  23564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23576 */   // (or:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VORRd:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  23576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRd),
     /*  23579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  23581 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  23583 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  23585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23588 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23594 */   GIR_RootConstrainSelectedInstOperands,
     /*  23595 */   // GIR_Coverage, 1134,
     /*  23595 */   GIR_EraseRootFromParent_Done,
     /*  23596 */ // Label 463: @23596
     /*  23596 */ GIM_Reject,
     /*  23597 */ // Label 405: @23597
     /*  23597 */ GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(23710),
     /*  23602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  23605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  23608 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(23648), // Rule ID 2532 //
     /*  23613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  23620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  23624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  23628 */     // (or:{ *:[v2i64] } QPR:{ *:[v2i64] }:$LHS, QPR:{ *:[v2i64] }:$RHS)  =>  (VORRq:{ *:[v2i64] } QPR:{ *:[v2i64] }:$LHS, QPR:{ *:[v2i64] }:$RHS)
     /*  23628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRq),
     /*  23631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  23633 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  23635 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  23637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23646 */     GIR_RootConstrainSelectedInstOperands,
     /*  23647 */     // GIR_Coverage, 2532,
     /*  23647 */     GIR_EraseRootFromParent_Done,
     /*  23648 */   // Label 465: @23648
     /*  23648 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(23709), // Rule ID 3381 //
     /*  23653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  23656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  23660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  23664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  23668 */     // (or:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$Qm, MQPR:{ *:[v2i64] }:$Qn)  =>  (MVE_VORR:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$Qm, MQPR:{ *:[v2i64] }:$Qn)
     /*  23668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  23671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VORR),
     /*  23683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  23685 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  23687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  23689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  23707 */     GIR_RootConstrainSelectedInstOperands,
     /*  23708 */     // GIR_Coverage, 3381,
     /*  23708 */     GIR_EraseRootFromParent_Done,
     /*  23709 */   // Label 466: @23709
     /*  23709 */   GIM_Reject,
     /*  23710 */ // Label 464: @23710
     /*  23710 */ GIM_Reject,
     /*  23711 */ // Label 406: @23711
     /*  23711 */ GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(23828), // Rule ID 1832 //
     /*  23716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  23719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  23722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  23725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23737 */   // (or:{ *:[v4i1] } VCCR:{ *:[v4i1] }:$p1, VCCR:{ *:[v4i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (t2ORRrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v4i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v4i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  23737 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  23740 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23744 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23749 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  23753 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23758 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  23761 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23765 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23770 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  23774 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  23779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  23782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ORRrr),
     /*  23786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23791 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23794 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  23797 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  23800 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23806 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  23822 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  23827 */   // GIR_Coverage, 1832,
     /*  23827 */   GIR_EraseRootFromParent_Done,
     /*  23828 */ // Label 467: @23828
     /*  23828 */ GIM_Reject,
     /*  23829 */ // Label 407: @23829
     /*  23829 */ GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(23875), // Rule ID 2528 //
     /*  23834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  23855 */   // (or:{ *:[v4i16] } DPR:{ *:[v4i16] }:$LHS, DPR:{ *:[v4i16] }:$RHS)  =>  (VORRd:{ *:[v4i16] } DPR:{ *:[v4i16] }:$LHS, DPR:{ *:[v4i16] }:$RHS)
     /*  23855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRd),
     /*  23858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  23860 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  23862 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  23864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23867 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23873 */   GIR_RootConstrainSelectedInstOperands,
     /*  23874 */   // GIR_Coverage, 2528,
     /*  23874 */   GIR_EraseRootFromParent_Done,
     /*  23875 */ // Label 468: @23875
     /*  23875 */ GIM_Reject,
     /*  23876 */ // Label 408: @23876
     /*  23876 */ GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(23989),
     /*  23881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  23884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  23887 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(23927), // Rule ID 1135 //
     /*  23892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  23899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  23903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  23907 */     // (or:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VORRq:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  23907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRq),
     /*  23910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  23912 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  23914 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  23916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  23919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23925 */     GIR_RootConstrainSelectedInstOperands,
     /*  23926 */     // GIR_Coverage, 1135,
     /*  23926 */     GIR_EraseRootFromParent_Done,
     /*  23927 */   // Label 470: @23927
     /*  23927 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(23988), // Rule ID 3377 //
     /*  23932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  23935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  23939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  23943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  23947 */     // (or:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VORR:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  23947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  23950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VORR),
     /*  23962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  23964 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  23966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  23968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23971 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23977 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  23983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  23986 */     GIR_RootConstrainSelectedInstOperands,
     /*  23987 */     // GIR_Coverage, 3377,
     /*  23987 */     GIR_EraseRootFromParent_Done,
     /*  23988 */   // Label 471: @23988
     /*  23988 */   GIM_Reject,
     /*  23989 */ // Label 469: @23989
     /*  23989 */ GIM_Reject,
     /*  23990 */ // Label 409: @23990
     /*  23990 */ GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24107), // Rule ID 1833 //
     /*  23995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  23998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  24001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  24004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24016 */   // (or:{ *:[v8i1] } VCCR:{ *:[v8i1] }:$p1, VCCR:{ *:[v8i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (t2ORRrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v8i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v8i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  24016 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  24019 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  24023 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24028 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  24032 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24037 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  24040 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  24044 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24049 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  24053 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  24061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ORRrr),
     /*  24065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24070 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  24073 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  24076 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  24079 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24085 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  24093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  24096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  24101 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24106 */   // GIR_Coverage, 1833,
     /*  24106 */   GIR_EraseRootFromParent_Done,
     /*  24107 */ // Label 472: @24107
     /*  24107 */ GIM_Reject,
     /*  24108 */ // Label 410: @24108
     /*  24108 */ GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24154), // Rule ID 2527 //
     /*  24113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  24122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  24126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  24130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  24134 */   // (or:{ *:[v8i8] } DPR:{ *:[v8i8] }:$LHS, DPR:{ *:[v8i8] }:$RHS)  =>  (VORRd:{ *:[v8i8] } DPR:{ *:[v8i8] }:$LHS, DPR:{ *:[v8i8] }:$RHS)
     /*  24134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRd),
     /*  24137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  24139 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  24141 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  24143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24146 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24152 */   GIR_RootConstrainSelectedInstOperands,
     /*  24153 */   // GIR_Coverage, 2527,
     /*  24153 */   GIR_EraseRootFromParent_Done,
     /*  24154 */ // Label 473: @24154
     /*  24154 */ GIM_Reject,
     /*  24155 */ // Label 411: @24155
     /*  24155 */ GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24268),
     /*  24160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  24166 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(24206), // Rule ID 2531 //
     /*  24171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  24178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  24182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  24186 */     // (or:{ *:[v8i16] } QPR:{ *:[v8i16] }:$LHS, QPR:{ *:[v8i16] }:$RHS)  =>  (VORRq:{ *:[v8i16] } QPR:{ *:[v8i16] }:$LHS, QPR:{ *:[v8i16] }:$RHS)
     /*  24186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRq),
     /*  24189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  24191 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  24193 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  24195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24204 */     GIR_RootConstrainSelectedInstOperands,
     /*  24205 */     // GIR_Coverage, 2531,
     /*  24205 */     GIR_EraseRootFromParent_Done,
     /*  24206 */   // Label 475: @24206
     /*  24206 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(24267), // Rule ID 3373 //
     /*  24211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  24214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  24218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  24222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  24226 */     // (or:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VORR:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  24226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  24229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  24233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VORR),
     /*  24241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  24243 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  24245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  24247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  24265 */     GIR_RootConstrainSelectedInstOperands,
     /*  24266 */     // GIR_Coverage, 3373,
     /*  24266 */     GIR_EraseRootFromParent_Done,
     /*  24267 */   // Label 476: @24267
     /*  24267 */   GIM_Reject,
     /*  24268 */ // Label 474: @24268
     /*  24268 */ GIM_Reject,
     /*  24269 */ // Label 412: @24269
     /*  24269 */ GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(24386), // Rule ID 1834 //
     /*  24274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  24277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  24280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  24283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24295 */   // (or:{ *:[v16i1] } VCCR:{ *:[v16i1] }:$p1, VCCR:{ *:[v16i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (t2ORRrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v16i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v16i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  24295 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  24298 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  24302 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24307 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  24311 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24316 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  24319 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  24323 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24328 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  24332 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24337 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  24340 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2ORRrr),
     /*  24344 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24349 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  24352 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  24355 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  24358 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24364 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  24372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  24375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  24380 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  24385 */   // GIR_Coverage, 1834,
     /*  24385 */   GIR_EraseRootFromParent_Done,
     /*  24386 */ // Label 477: @24386
     /*  24386 */ GIM_Reject,
     /*  24387 */ // Label 413: @24387
     /*  24387 */ GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(24500),
     /*  24392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  24395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  24398 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(24438), // Rule ID 2530 //
     /*  24403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  24410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  24414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  24418 */     // (or:{ *:[v16i8] } QPR:{ *:[v16i8] }:$LHS, QPR:{ *:[v16i8] }:$RHS)  =>  (VORRq:{ *:[v16i8] } QPR:{ *:[v16i8] }:$LHS, QPR:{ *:[v16i8] }:$RHS)
     /*  24418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VORRq),
     /*  24421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  24423 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  24425 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  24427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24436 */     GIR_RootConstrainSelectedInstOperands,
     /*  24437 */     // GIR_Coverage, 2530,
     /*  24437 */     GIR_EraseRootFromParent_Done,
     /*  24438 */   // Label 479: @24438
     /*  24438 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(24499), // Rule ID 3369 //
     /*  24443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  24446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  24450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  24454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  24458 */     // (or:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VORR:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  24458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  24461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  24465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  24470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VORR),
     /*  24473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  24475 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  24477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  24479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  24497 */     GIR_RootConstrainSelectedInstOperands,
     /*  24498 */     // GIR_Coverage, 3369,
     /*  24498 */     GIR_EraseRootFromParent_Done,
     /*  24499 */   // Label 480: @24499
     /*  24499 */   GIM_Reject,
     /*  24500 */ // Label 478: @24500
     /*  24500 */ GIM_Reject,
     /*  24501 */ // Label 414: @24501
     /*  24501 */ GIM_Reject,
     /*  24502 */ // Label 7: @24502
     /*  24502 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 494*/ GIMT_Encode4(26196),
     /*  24513 */ /*GILLT_s32*//*Label 481*/ GIMT_Encode4(24573),
     /*  24517 */ /*GILLT_s64*//*Label 482*/ GIMT_Encode4(25080),
     /*  24521 */ /*GILLT_v2s1*//*Label 483*/ GIMT_Encode4(25127),
     /*  24525 */ /*GILLT_v2s32*//*Label 484*/ GIMT_Encode4(25245),
     /*  24529 */ /*GILLT_v2s64*//*Label 485*/ GIMT_Encode4(25292),
     /*  24533 */ /*GILLT_v4s1*//*Label 486*/ GIMT_Encode4(25406),
     /*  24537 */ /*GILLT_v4s16*//*Label 487*/ GIMT_Encode4(25524),
     /*  24541 */ /*GILLT_v4s32*//*Label 488*/ GIMT_Encode4(25571), GIMT_Encode4(0),
     /*  24549 */ /*GILLT_v8s1*//*Label 489*/ GIMT_Encode4(25685),
     /*  24553 */ /*GILLT_v8s8*//*Label 490*/ GIMT_Encode4(25803),
     /*  24557 */ /*GILLT_v8s16*//*Label 491*/ GIMT_Encode4(25850), GIMT_Encode4(0),
     /*  24565 */ /*GILLT_v16s1*//*Label 492*/ GIMT_Encode4(25964),
     /*  24569 */ /*GILLT_v16s8*//*Label 493*/ GIMT_Encode4(26082),
     /*  24573 */ // Label 481: @24573
     /*  24573 */ GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(25079),
     /*  24578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  24581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  24584 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(24639), // Rule ID 5477 //
     /*  24589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  24592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24596 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, uint8_t(-1),
     /*  24600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  24612 */     // MIs[1] Operand 1
     /*  24612 */     // No operand predicates
     /*  24612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24614 */     // (xor:{ *:[i32] } -1:{ *:[i32] }, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm)  =>  (t2MVNi:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /*  24614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MVNi),
     /*  24617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  24622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24637 */     GIR_RootConstrainSelectedInstOperands,
     /*  24638 */     // GIR_Coverage, 5477,
     /*  24638 */     GIR_EraseRootFromParent_Done,
     /*  24639 */   // Label 496: @24639
     /*  24639 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(24694), // Rule ID 499 //
     /*  24644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  24647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  24663 */     // MIs[1] Operand 1
     /*  24663 */     // No operand predicates
     /*  24663 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  24667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24669 */     // (xor:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm, -1:{ *:[i32] })  =>  (t2MVNi:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /*  24669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MVNi),
     /*  24672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  24677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24686 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24692 */     GIR_RootConstrainSelectedInstOperands,
     /*  24693 */     // GIR_Coverage, 499,
     /*  24693 */     GIR_EraseRootFromParent_Done,
     /*  24694 */   // Label 497: @24694
     /*  24694 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(24738), // Rule ID 500 //
     /*  24699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  24702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24710 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  24714 */     // (xor:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, -1:{ *:[i32] })  =>  (t2MVNr:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /*  24714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MVNr),
     /*  24717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24719 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  24721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24736 */     GIR_RootConstrainSelectedInstOperands,
     /*  24737 */     // GIR_Coverage, 500,
     /*  24737 */     GIR_EraseRootFromParent_Done,
     /*  24738 */   // Label 498: @24738
     /*  24738 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(24782), // Rule ID 165 //
     /*  24743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  24746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  24750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  24754 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  24758 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$Rm, -1:{ *:[i32] })  =>  (MVNr:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /*  24758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVNr),
     /*  24761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24763 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  24765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24780 */     GIR_RootConstrainSelectedInstOperands,
     /*  24781 */     // GIR_Coverage, 165,
     /*  24781 */     GIR_EraseRootFromParent_Done,
     /*  24782 */   // Label 499: @24782
     /*  24782 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(24826), // Rule ID 324 //
     /*  24787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  24790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  24794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  24798 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  24802 */     // (xor:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, -1:{ *:[i32] })  =>  (tMVN:{ *:[i32] } tGPR:{ *:[i32] }:$Rn)
     /*  24802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tMVN),
     /*  24805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  24813 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  24815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24824 */     GIR_RootConstrainSelectedInstOperands,
     /*  24825 */     // GIR_Coverage, 324,
     /*  24825 */     GIR_EraseRootFromParent_Done,
     /*  24826 */   // Label 500: @24826
     /*  24826 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(24883), // Rule ID 155 //
     /*  24831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  24834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  24838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  24842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  24854 */     // MIs[1] Operand 1
     /*  24854 */     // No operand predicates
     /*  24854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24856 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm)  =>  (EORri:{ *:[i32] } GPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::EORri),
     /*  24859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24861 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  24863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  24866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24869 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24881 */     GIR_RootConstrainSelectedInstOperands,
     /*  24882 */     // GIR_Coverage, 155,
     /*  24882 */     GIR_EraseRootFromParent_Done,
     /*  24883 */   // Label 501: @24883
     /*  24883 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(24940), // Rule ID 487 //
     /*  24888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  24891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  24899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  24911 */     // MIs[1] Operand 1
     /*  24911 */     // No operand predicates
     /*  24911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24913 */     // (xor:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm)  =>  (t2EORri:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2EORri),
     /*  24916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24918 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  24920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  24923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24938 */     GIR_RootConstrainSelectedInstOperands,
     /*  24939 */     // GIR_Coverage, 487,
     /*  24939 */     GIR_EraseRootFromParent_Done,
     /*  24940 */   // Label 502: @24940
     /*  24940 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(24986), // Rule ID 156 //
     /*  24945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  24948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  24952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  24956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  24960 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (EORrr:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  24960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::EORrr),
     /*  24963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24965 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  24967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  24969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  24972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  24984 */     GIR_RootConstrainSelectedInstOperands,
     /*  24985 */     // GIR_Coverage, 156,
     /*  24985 */     GIR_EraseRootFromParent_Done,
     /*  24986 */   // Label 503: @24986
     /*  24986 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(25032), // Rule ID 317 //
     /*  24991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  24994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  24998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  25002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  25006 */     // (xor:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tEOR:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /*  25006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tEOR),
     /*  25009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  25011 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  25017 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  25019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  25021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25030 */     GIR_RootConstrainSelectedInstOperands,
     /*  25031 */     // GIR_Coverage, 317,
     /*  25031 */     GIR_EraseRootFromParent_Done,
     /*  25032 */   // Label 504: @25032
     /*  25032 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(25078), // Rule ID 488 //
     /*  25037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  25040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25052 */     // (xor:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2EORrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  25052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2EORrr),
     /*  25055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  25057 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  25059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  25061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25076 */     GIR_RootConstrainSelectedInstOperands,
     /*  25077 */     // GIR_Coverage, 488,
     /*  25077 */     GIR_EraseRootFromParent_Done,
     /*  25078 */   // Label 505: @25078
     /*  25078 */   GIM_Reject,
     /*  25079 */ // Label 495: @25079
     /*  25079 */ GIM_Reject,
     /*  25080 */ // Label 482: @25080
     /*  25080 */ GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(25126), // Rule ID 2535 //
     /*  25085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  25091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  25094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25106 */   // (xor:{ *:[v1i64] } DPR:{ *:[v1i64] }:$LHS, DPR:{ *:[v1i64] }:$RHS)  =>  (VEORd:{ *:[v1i64] } DPR:{ *:[v1i64] }:$LHS, DPR:{ *:[v1i64] }:$RHS)
     /*  25106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORd),
     /*  25109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  25111 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  25113 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  25115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25118 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25124 */   GIR_RootConstrainSelectedInstOperands,
     /*  25125 */   // GIR_Coverage, 2535,
     /*  25125 */   GIR_EraseRootFromParent_Done,
     /*  25126 */ // Label 506: @25126
     /*  25126 */ GIM_Reject,
     /*  25127 */ // Label 483: @25127
     /*  25127 */ GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(25244), // Rule ID 1827 //
     /*  25132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  25135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  25138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  25141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25153 */   // (xor:{ *:[v2i1] } VCCR:{ *:[v2i1] }:$p1, VCCR:{ *:[v2i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (t2EORrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v2i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v2i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  25153 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  25156 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25160 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25165 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  25169 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25174 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  25177 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25181 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25186 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  25190 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  25198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2EORrr),
     /*  25202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25207 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  25210 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  25213 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  25216 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25222 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  25230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25238 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25243 */   // GIR_Coverage, 1827,
     /*  25243 */   GIR_EraseRootFromParent_Done,
     /*  25244 */ // Label 507: @25244
     /*  25244 */ GIM_Reject,
     /*  25245 */ // Label 484: @25245
     /*  25245 */ GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(25291), // Rule ID 1132 //
     /*  25250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  25256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  25259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25271 */   // (xor:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VEORd:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  25271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORd),
     /*  25274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  25276 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  25278 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  25280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25283 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25289 */   GIR_RootConstrainSelectedInstOperands,
     /*  25290 */   // GIR_Coverage, 1132,
     /*  25290 */   GIR_EraseRootFromParent_Done,
     /*  25291 */ // Label 508: @25291
     /*  25291 */ GIM_Reject,
     /*  25292 */ // Label 485: @25292
     /*  25292 */ GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(25405),
     /*  25297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  25300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  25303 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(25343), // Rule ID 2538 //
     /*  25308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25323 */     // (xor:{ *:[v2i64] } QPR:{ *:[v2i64] }:$LHS, QPR:{ *:[v2i64] }:$RHS)  =>  (VEORq:{ *:[v2i64] } QPR:{ *:[v2i64] }:$LHS, QPR:{ *:[v2i64] }:$RHS)
     /*  25323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORq),
     /*  25326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  25328 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  25330 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  25332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25341 */     GIR_RootConstrainSelectedInstOperands,
     /*  25342 */     // GIR_Coverage, 2538,
     /*  25342 */     GIR_EraseRootFromParent_Done,
     /*  25343 */   // Label 510: @25343
     /*  25343 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(25404), // Rule ID 3395 //
     /*  25348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  25351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25363 */     // (xor:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$Qm, MQPR:{ *:[v2i64] }:$Qn)  =>  (MVE_VEOR:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$Qm, MQPR:{ *:[v2i64] }:$Qn)
     /*  25363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  25366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  25370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VEOR),
     /*  25378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  25380 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  25382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  25384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25387 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25402 */     GIR_RootConstrainSelectedInstOperands,
     /*  25403 */     // GIR_Coverage, 3395,
     /*  25403 */     GIR_EraseRootFromParent_Done,
     /*  25404 */   // Label 511: @25404
     /*  25404 */   GIM_Reject,
     /*  25405 */ // Label 509: @25405
     /*  25405 */ GIM_Reject,
     /*  25406 */ // Label 486: @25406
     /*  25406 */ GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(25523), // Rule ID 1828 //
     /*  25411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  25414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  25417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  25420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25432 */   // (xor:{ *:[v4i1] } VCCR:{ *:[v4i1] }:$p1, VCCR:{ *:[v4i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (t2EORrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v4i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v4i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  25432 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  25435 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25439 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25444 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  25448 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25453 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  25456 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25460 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25465 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  25469 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  25477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2EORrr),
     /*  25481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25486 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  25489 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  25492 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  25495 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25501 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  25509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25517 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25522 */   // GIR_Coverage, 1828,
     /*  25522 */   GIR_EraseRootFromParent_Done,
     /*  25523 */ // Label 512: @25523
     /*  25523 */ GIM_Reject,
     /*  25524 */ // Label 487: @25524
     /*  25524 */ GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(25570), // Rule ID 2534 //
     /*  25529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25550 */   // (xor:{ *:[v4i16] } DPR:{ *:[v4i16] }:$LHS, DPR:{ *:[v4i16] }:$RHS)  =>  (VEORd:{ *:[v4i16] } DPR:{ *:[v4i16] }:$LHS, DPR:{ *:[v4i16] }:$RHS)
     /*  25550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORd),
     /*  25553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  25555 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  25557 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  25559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25562 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25568 */   GIR_RootConstrainSelectedInstOperands,
     /*  25569 */   // GIR_Coverage, 2534,
     /*  25569 */   GIR_EraseRootFromParent_Done,
     /*  25570 */ // Label 513: @25570
     /*  25570 */ GIM_Reject,
     /*  25571 */ // Label 488: @25571
     /*  25571 */ GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(25684),
     /*  25576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  25579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  25582 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(25622), // Rule ID 1133 //
     /*  25587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25602 */     // (xor:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VEORq:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  25602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORq),
     /*  25605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  25607 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  25609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  25611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25620 */     GIR_RootConstrainSelectedInstOperands,
     /*  25621 */     // GIR_Coverage, 1133,
     /*  25621 */     GIR_EraseRootFromParent_Done,
     /*  25622 */   // Label 515: @25622
     /*  25622 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(25683), // Rule ID 3391 //
     /*  25627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  25630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25642 */     // (xor:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VEOR:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  25642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  25645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  25649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VEOR),
     /*  25657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  25659 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  25661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  25663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25681 */     GIR_RootConstrainSelectedInstOperands,
     /*  25682 */     // GIR_Coverage, 3391,
     /*  25682 */     GIR_EraseRootFromParent_Done,
     /*  25683 */   // Label 516: @25683
     /*  25683 */   GIM_Reject,
     /*  25684 */ // Label 514: @25684
     /*  25684 */ GIM_Reject,
     /*  25685 */ // Label 489: @25685
     /*  25685 */ GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(25802), // Rule ID 1829 //
     /*  25690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  25693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  25696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  25699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25711 */   // (xor:{ *:[v8i1] } VCCR:{ *:[v8i1] }:$p1, VCCR:{ *:[v8i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (t2EORrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v8i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v8i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  25711 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  25714 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25718 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25723 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  25727 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25732 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  25735 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25739 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25744 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  25748 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  25753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  25756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2EORrr),
     /*  25760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25765 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  25768 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  25771 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  25774 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25780 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  25788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25796 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25801 */   // GIR_Coverage, 1829,
     /*  25801 */   GIR_EraseRootFromParent_Done,
     /*  25802 */ // Label 517: @25802
     /*  25802 */ GIM_Reject,
     /*  25803 */ // Label 490: @25803
     /*  25803 */ GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(25849), // Rule ID 2533 //
     /*  25808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  25814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  25817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  25829 */   // (xor:{ *:[v8i8] } DPR:{ *:[v8i8] }:$LHS, DPR:{ *:[v8i8] }:$RHS)  =>  (VEORd:{ *:[v8i8] } DPR:{ *:[v8i8] }:$LHS, DPR:{ *:[v8i8] }:$RHS)
     /*  25829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORd),
     /*  25832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  25834 */   GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  25836 */   GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  25838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25841 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25847 */   GIR_RootConstrainSelectedInstOperands,
     /*  25848 */   // GIR_Coverage, 2533,
     /*  25848 */   GIR_EraseRootFromParent_Done,
     /*  25849 */ // Label 518: @25849
     /*  25849 */ GIM_Reject,
     /*  25850 */ // Label 491: @25850
     /*  25850 */ GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(25963),
     /*  25855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  25861 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(25901), // Rule ID 2537 //
     /*  25866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  25881 */     // (xor:{ *:[v8i16] } QPR:{ *:[v8i16] }:$LHS, QPR:{ *:[v8i16] }:$RHS)  =>  (VEORq:{ *:[v8i16] } QPR:{ *:[v8i16] }:$LHS, QPR:{ *:[v8i16] }:$RHS)
     /*  25881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORq),
     /*  25884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  25886 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  25888 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  25890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  25893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25899 */     GIR_RootConstrainSelectedInstOperands,
     /*  25900 */     // GIR_Coverage, 2537,
     /*  25900 */     GIR_EraseRootFromParent_Done,
     /*  25901 */   // Label 520: @25901
     /*  25901 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(25962), // Rule ID 3387 //
     /*  25906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  25909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  25921 */     // (xor:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VEOR:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  25921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  25924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  25928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VEOR),
     /*  25936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  25938 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  25940 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  25942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  25957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25960 */     GIR_RootConstrainSelectedInstOperands,
     /*  25961 */     // GIR_Coverage, 3387,
     /*  25961 */     GIR_EraseRootFromParent_Done,
     /*  25962 */   // Label 521: @25962
     /*  25962 */   GIM_Reject,
     /*  25963 */ // Label 519: @25963
     /*  25963 */ GIM_Reject,
     /*  25964 */ // Label 492: @25964
     /*  25964 */ GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(26081), // Rule ID 1830 //
     /*  25969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  25972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  25975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  25978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  25990 */   // (xor:{ *:[v16i1] } VCCR:{ *:[v16i1] }:$p1, VCCR:{ *:[v16i1] }:$p2)  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (t2EORrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v16i1] }:$p1, rGPR:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i32] } VCCR:{ *:[v16i1] }:$p2, rGPR:{ *:[i32] })), VCCR:{ *:[i32] })
     /*  25990 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  25993 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25997 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26002 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // p2
     /*  26006 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  26011 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  26014 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26018 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26023 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // p1
     /*  26027 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  26032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  26035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2EORrr),
     /*  26039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26044 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  26047 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  26050 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  26053 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26059 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  26067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  26075 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::VCCRRegClassID),
     /*  26080 */   // GIR_Coverage, 1830,
     /*  26080 */   GIR_EraseRootFromParent_Done,
     /*  26081 */ // Label 522: @26081
     /*  26081 */ GIM_Reject,
     /*  26082 */ // Label 493: @26082
     /*  26082 */ GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(26195),
     /*  26087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  26090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  26093 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(26133), // Rule ID 2536 //
     /*  26098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  26105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  26109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  26113 */     // (xor:{ *:[v16i8] } QPR:{ *:[v16i8] }:$LHS, QPR:{ *:[v16i8] }:$RHS)  =>  (VEORq:{ *:[v16i8] } QPR:{ *:[v16i8] }:$LHS, QPR:{ *:[v16i8] }:$RHS)
     /*  26113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VEORq),
     /*  26116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  26118 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  26120 */     GIR_RootToRootCopy, /*OpIdx*/2, // RHS
     /*  26122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  26125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26131 */     GIR_RootConstrainSelectedInstOperands,
     /*  26132 */     // GIR_Coverage, 2536,
     /*  26132 */     GIR_EraseRootFromParent_Done,
     /*  26133 */   // Label 524: @26133
     /*  26133 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(26194), // Rule ID 3383 //
     /*  26138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  26141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  26145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  26149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  26153 */     // (xor:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VEOR:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  26153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  26156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  26160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VEOR),
     /*  26168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  26170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /*  26172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  26174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  26177 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  26192 */     GIR_RootConstrainSelectedInstOperands,
     /*  26193 */     // GIR_Coverage, 3383,
     /*  26193 */     GIR_EraseRootFromParent_Done,
     /*  26194 */   // Label 525: @26194
     /*  26194 */   GIM_Reject,
     /*  26195 */ // Label 523: @26195
     /*  26195 */ GIM_Reject,
     /*  26196 */ // Label 494: @26196
     /*  26196 */ GIM_Reject,
     /*  26197 */ // Label 8: @26197
     /*  26197 */ GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(26583),
     /*  26202 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  26205 */   GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(16), /*)*//*default:*//*Label 531*/ GIMT_Encode4(26582),
     /*  26216 */   /*GILLT_v2s64*//*Label 527*/ GIMT_Encode4(26260), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  26228 */   /*GILLT_v4s32*//*Label 528*/ GIMT_Encode4(26318), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  26244 */   /*GILLT_v8s16*//*Label 529*/ GIMT_Encode4(26421), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  26256 */   /*GILLT_v16s8*//*Label 530*/ GIMT_Encode4(26524),
     /*  26260 */   // Label 527: @26260
     /*  26260 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(26317), // Rule ID 3021 //
     /*  26265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26268 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  26271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  26274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  26278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26286 */     // (concat_vectors:{ *:[v2i64] } DPR:{ *:[v1i64] }:$Dn, DPR:{ *:[v1i64] }:$Dm)  =>  (REG_SEQUENCE:{ *:[v2i64] } QPR:{ *:[i32] }, DPR:{ *:[v1i64] }:$Dn, dsub_0:{ *:[i32] }, DPR:{ *:[v1i64] }:$Dm, dsub_1:{ *:[i32] })
     /*  26286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  26289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /*  26293 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  26296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  26298 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  26301 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  26306 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26311 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26316 */     // GIR_Coverage, 3021,
     /*  26316 */     GIR_EraseRootFromParent_Done,
     /*  26317 */   // Label 532: @26317
     /*  26317 */   GIM_Reject,
     /*  26318 */   // Label 528: @26318
     /*  26318 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(26420),
     /*  26323 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  26326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  26329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  26333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26341 */     GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(26380), // Rule ID 3022 //
     /*  26346 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26349 */       // (concat_vectors:{ *:[v4i32] } DPR:{ *:[v2i32] }:$Dn, DPR:{ *:[v2i32] }:$Dm)  =>  (REG_SEQUENCE:{ *:[v4i32] } QPR:{ *:[i32] }, DPR:{ *:[v2i32] }:$Dn, dsub_0:{ *:[i32] }, DPR:{ *:[v2i32] }:$Dm, dsub_1:{ *:[i32] })
     /*  26349 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  26352 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26354 */       GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /*  26356 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  26359 */       GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  26361 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  26364 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  26369 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26374 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26379 */       // GIR_Coverage, 3022,
     /*  26379 */       GIR_EraseRootFromParent_Done,
     /*  26380 */     // Label 534: @26380
     /*  26380 */     GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(26419), // Rule ID 3025 //
     /*  26385 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26388 */       // (concat_vectors:{ *:[v4f32] } DPR:{ *:[v2f32] }:$Dn, DPR:{ *:[v2f32] }:$Dm)  =>  (REG_SEQUENCE:{ *:[v4f32] } QPR:{ *:[i32] }, DPR:{ *:[v2f32] }:$Dn, dsub_0:{ *:[i32] }, DPR:{ *:[v2f32] }:$Dm, dsub_1:{ *:[i32] })
     /*  26388 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  26391 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26393 */       GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /*  26395 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  26398 */       GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  26400 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  26403 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  26408 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26413 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26418 */       // GIR_Coverage, 3025,
     /*  26418 */       GIR_EraseRootFromParent_Done,
     /*  26419 */     // Label 535: @26419
     /*  26419 */     GIM_Reject,
     /*  26420 */   // Label 533: @26420
     /*  26420 */   GIM_Reject,
     /*  26421 */   // Label 529: @26421
     /*  26421 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(26523),
     /*  26426 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  26436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26444 */     GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(26483), // Rule ID 3023 //
     /*  26449 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26452 */       // (concat_vectors:{ *:[v8i16] } DPR:{ *:[v4i16] }:$Dn, DPR:{ *:[v4i16] }:$Dm)  =>  (REG_SEQUENCE:{ *:[v8i16] } QPR:{ *:[i32] }, DPR:{ *:[v4i16] }:$Dn, dsub_0:{ *:[i32] }, DPR:{ *:[v4i16] }:$Dm, dsub_1:{ *:[i32] })
     /*  26452 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  26455 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26457 */       GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /*  26459 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  26462 */       GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  26464 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  26467 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  26472 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26477 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26482 */       // GIR_Coverage, 3023,
     /*  26482 */       GIR_EraseRootFromParent_Done,
     /*  26483 */     // Label 537: @26483
     /*  26483 */     GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(26522), // Rule ID 3026 //
     /*  26488 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26491 */       // (concat_vectors:{ *:[v8f16] } DPR:{ *:[v4f16] }:$Dn, DPR:{ *:[v4f16] }:$Dm)  =>  (REG_SEQUENCE:{ *:[v8f16] } QPR:{ *:[i32] }, DPR:{ *:[v4f16] }:$Dn, dsub_0:{ *:[i32] }, DPR:{ *:[v4f16] }:$Dm, dsub_1:{ *:[i32] })
     /*  26491 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  26494 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26496 */       GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /*  26498 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  26501 */       GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  26503 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  26506 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  26511 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26516 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26521 */       // GIR_Coverage, 3026,
     /*  26521 */       GIR_EraseRootFromParent_Done,
     /*  26522 */     // Label 538: @26522
     /*  26522 */     GIM_Reject,
     /*  26523 */   // Label 536: @26523
     /*  26523 */   GIM_Reject,
     /*  26524 */   // Label 530: @26524
     /*  26524 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(26581), // Rule ID 3024 //
     /*  26529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26532 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  26535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  26538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  26542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26550 */     // (concat_vectors:{ *:[v16i8] } DPR:{ *:[v8i8] }:$Dn, DPR:{ *:[v8i8] }:$Dm)  =>  (REG_SEQUENCE:{ *:[v16i8] } QPR:{ *:[i32] }, DPR:{ *:[v8i8] }:$Dn, dsub_0:{ *:[i32] }, DPR:{ *:[v8i8] }:$Dm, dsub_1:{ *:[i32] })
     /*  26550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  26553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26555 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /*  26557 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  26560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  26562 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  26565 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  26570 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26575 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26580 */     // GIR_Coverage, 3024,
     /*  26580 */     GIR_EraseRootFromParent_Done,
     /*  26581 */   // Label 539: @26581
     /*  26581 */   GIM_Reject,
     /*  26582 */   // Label 531: @26582
     /*  26582 */   GIM_Reject,
     /*  26583 */ // Label 526: @26583
     /*  26583 */ GIM_Reject,
     /*  26584 */ // Label 9: @26584
     /*  26584 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 549*/ GIMT_Encode4(35595),
     /*  26595 */ /*GILLT_s32*//*Label 540*/ GIMT_Encode4(26655),
     /*  26599 */ /*GILLT_s64*//*Label 541*/ GIMT_Encode4(26803), GIMT_Encode4(0),
     /*  26607 */ /*GILLT_v2s32*//*Label 542*/ GIMT_Encode4(27558),
     /*  26611 */ /*GILLT_v2s64*//*Label 543*/ GIMT_Encode4(28313), GIMT_Encode4(0),
     /*  26619 */ /*GILLT_v4s16*//*Label 544*/ GIMT_Encode4(30032),
     /*  26623 */ /*GILLT_v4s32*//*Label 545*/ GIMT_Encode4(30787), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  26635 */ /*GILLT_v8s8*//*Label 546*/ GIMT_Encode4(32506),
     /*  26639 */ /*GILLT_v8s16*//*Label 547*/ GIMT_Encode4(32921), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  26651 */ /*GILLT_v16s8*//*Label 548*/ GIMT_Encode4(34640),
     /*  26655 */ // Label 540: @26655
     /*  26655 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(26802),
     /*  26660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  26663 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(26697), // Rule ID 689 //
     /*  26668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRegs),
     /*  26671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  26675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  26679 */     // (bitconvert:{ *:[i32] } SPR:{ *:[f32] }:$Sn)  =>  (VMOVRS:{ *:[i32] } SPR:{ *:[f32] }:$Sn)
     /*  26679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVRS),
     /*  26682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  26684 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /*  26686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  26689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26695 */     GIR_RootConstrainSelectedInstOperands,
     /*  26696 */     // GIR_Coverage, 689,
     /*  26696 */     GIR_EraseRootFromParent_Done,
     /*  26697 */   // Label 551: @26697
     /*  26697 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(26731), // Rule ID 690 //
     /*  26702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRegs_UseVMOVSR),
     /*  26705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  26709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  26713 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$Rt)  =>  (VMOVSR:{ *:[f32] } GPR:{ *:[i32] }:$Rt)
     /*  26713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVSR),
     /*  26716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sn]
     /*  26718 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rt
     /*  26720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  26723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26729 */     GIR_RootConstrainSelectedInstOperands,
     /*  26730 */     // GIR_Coverage, 690,
     /*  26730 */     GIR_EraseRootFromParent_Done,
     /*  26731 */   // Label 552: @26731
     /*  26731 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(26801), // Rule ID 2715 //
     /*  26736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseVMOVSR_HasNEON),
     /*  26739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  26743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  26747 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$a)  =>  (EXTRACT_SUBREG:{ *:[f32] } (VMOVDRR:{ *:[f64] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$a), ssub_0:{ *:[i32] })
     /*  26747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  26750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VMOVDRR),
     /*  26754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /*  26763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /*  26767 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  26770 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  26776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  26778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26783 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /*  26790 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  26795 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /*  26800 */     // GIR_Coverage, 2715,
     /*  26800 */     GIR_EraseRootFromParent_Done,
     /*  26801 */   // Label 553: @26801
     /*  26801 */   GIM_Reject,
     /*  26802 */ // Label 550: @26802
     /*  26802 */ GIM_Reject,
     /*  26803 */ // Label 541: @26803
     /*  26803 */ GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(26835), // Rule ID 2717 //
     /*  26808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  26814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26822 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v1i64] }:$src)  =>  DPR:{ *:[f64] }:$src
     /*  26822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26825 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  26827 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  26829 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26834 */   // GIR_Coverage, 2717,
     /*  26834 */   GIR_EraseRootFromParent_Done,
     /*  26835 */ // Label 554: @26835
     /*  26835 */ GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(26867), // Rule ID 2718 //
     /*  26840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  26846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26854 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[f64] }:$src)  =>  DPR:{ *:[v1i64] }:$src
     /*  26854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26857 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  26859 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  26861 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26866 */   // GIR_Coverage, 2718,
     /*  26866 */   GIR_EraseRootFromParent_Done,
     /*  26867 */ // Label 555: @26867
     /*  26867 */ GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(26899), // Rule ID 2729 //
     /*  26872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  26875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  26878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26886 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v2f32] }:$src)  =>  DPR:{ *:[f64] }:$src
     /*  26886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26889 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  26891 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  26893 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26898 */   // GIR_Coverage, 2729,
     /*  26898 */   GIR_EraseRootFromParent_Done,
     /*  26899 */ // Label 556: @26899
     /*  26899 */ GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(26931), // Rule ID 2730 //
     /*  26904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  26907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  26910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26918 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v2i32] }:$src)  =>  DPR:{ *:[f64] }:$src
     /*  26918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26921 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  26923 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  26925 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26930 */   // GIR_Coverage, 2730,
     /*  26930 */   GIR_EraseRootFromParent_Done,
     /*  26931 */ // Label 557: @26931
     /*  26931 */ GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(26963), // Rule ID 2731 //
     /*  26936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  26939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26950 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v4f16] }:$src)  =>  DPR:{ *:[f64] }:$src
     /*  26950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26953 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  26955 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  26957 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26962 */   // GIR_Coverage, 2731,
     /*  26962 */   GIR_EraseRootFromParent_Done,
     /*  26963 */ // Label 558: @26963
     /*  26963 */ GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(26995), // Rule ID 2732 //
     /*  26968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  26971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  26982 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v4i16] }:$src)  =>  DPR:{ *:[f64] }:$src
     /*  26982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  26985 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  26987 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  26989 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  26994 */   // GIR_Coverage, 2732,
     /*  26994 */   GIR_EraseRootFromParent_Done,
     /*  26995 */ // Label 559: @26995
     /*  26995 */ GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(27027), // Rule ID 2733 //
     /*  27000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  27006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27014 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v8i8] }:$src)  =>  DPR:{ *:[f64] }:$src
     /*  27014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27017 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27019 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27021 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27026 */   // GIR_Coverage, 2733,
     /*  27026 */   GIR_EraseRootFromParent_Done,
     /*  27027 */ // Label 560: @27027
     /*  27027 */ GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(27059), // Rule ID 2734 //
     /*  27032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27046 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v2f32] }:$src)  =>  DPR:{ *:[v1i64] }:$src
     /*  27046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27049 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27051 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27053 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27058 */   // GIR_Coverage, 2734,
     /*  27058 */   GIR_EraseRootFromParent_Done,
     /*  27059 */ // Label 561: @27059
     /*  27059 */ GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(27091), // Rule ID 2735 //
     /*  27064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27078 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v2i32] }:$src)  =>  DPR:{ *:[v1i64] }:$src
     /*  27078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27081 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27083 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27085 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27090 */   // GIR_Coverage, 2735,
     /*  27090 */   GIR_EraseRootFromParent_Done,
     /*  27091 */ // Label 562: @27091
     /*  27091 */ GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(27123), // Rule ID 2736 //
     /*  27096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27110 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v4f16] }:$src)  =>  DPR:{ *:[v1i64] }:$src
     /*  27110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27113 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27115 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27117 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27122 */   // GIR_Coverage, 2736,
     /*  27122 */   GIR_EraseRootFromParent_Done,
     /*  27123 */ // Label 563: @27123
     /*  27123 */ GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(27155), // Rule ID 2737 //
     /*  27128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27142 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v4i16] }:$src)  =>  DPR:{ *:[v1i64] }:$src
     /*  27142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27145 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27147 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27149 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27154 */   // GIR_Coverage, 2737,
     /*  27154 */   GIR_EraseRootFromParent_Done,
     /*  27155 */ // Label 564: @27155
     /*  27155 */ GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(27187), // Rule ID 2738 //
     /*  27160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  27166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27174 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v8i8] }:$src)  =>  DPR:{ *:[v1i64] }:$src
     /*  27174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27177 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27179 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27181 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27186 */   // GIR_Coverage, 2738,
     /*  27186 */   GIR_EraseRootFromParent_Done,
     /*  27187 */ // Label 565: @27187
     /*  27187 */ GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(27224), // Rule ID 2801 //
     /*  27192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27206 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v2f32] }:$src)  =>  (VREV64d32:{ *:[f64] } DPR:{ *:[v2f32] }:$src)
     /*  27206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  27209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27211 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27216 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27222 */   GIR_RootConstrainSelectedInstOperands,
     /*  27223 */   // GIR_Coverage, 2801,
     /*  27223 */   GIR_EraseRootFromParent_Done,
     /*  27224 */ // Label 566: @27224
     /*  27224 */ GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(27261), // Rule ID 2802 //
     /*  27229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27243 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v2i32] }:$src)  =>  (VREV64d32:{ *:[f64] } DPR:{ *:[v2i32] }:$src)
     /*  27243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  27246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27248 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27253 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27259 */   GIR_RootConstrainSelectedInstOperands,
     /*  27260 */   // GIR_Coverage, 2802,
     /*  27260 */   GIR_EraseRootFromParent_Done,
     /*  27261 */ // Label 567: @27261
     /*  27261 */ GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(27298), // Rule ID 2803 //
     /*  27266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27280 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v4f16] }:$src)  =>  (VREV64d16:{ *:[f64] } DPR:{ *:[v4f16] }:$src)
     /*  27280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  27283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27285 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27290 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27296 */   GIR_RootConstrainSelectedInstOperands,
     /*  27297 */   // GIR_Coverage, 2803,
     /*  27297 */   GIR_EraseRootFromParent_Done,
     /*  27298 */ // Label 568: @27298
     /*  27298 */ GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(27335), // Rule ID 2804 //
     /*  27303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27317 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v4i16] }:$src)  =>  (VREV64d16:{ *:[f64] } DPR:{ *:[v4i16] }:$src)
     /*  27317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  27320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27322 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27327 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27333 */   GIR_RootConstrainSelectedInstOperands,
     /*  27334 */   // GIR_Coverage, 2804,
     /*  27334 */   GIR_EraseRootFromParent_Done,
     /*  27335 */ // Label 569: @27335
     /*  27335 */ GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(27372), // Rule ID 2805 //
     /*  27340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  27346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27354 */   // (bitconvert:{ *:[f64] } DPR:{ *:[v8i8] }:$src)  =>  (VREV64d8:{ *:[f64] } DPR:{ *:[v8i8] }:$src)
     /*  27354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d8),
     /*  27357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27359 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27364 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27370 */   GIR_RootConstrainSelectedInstOperands,
     /*  27371 */   // GIR_Coverage, 2805,
     /*  27371 */   GIR_EraseRootFromParent_Done,
     /*  27372 */ // Label 570: @27372
     /*  27372 */ GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(27409), // Rule ID 2806 //
     /*  27377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27391 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v2f32] }:$src)  =>  (VREV64d32:{ *:[v1i64] } DPR:{ *:[v2f32] }:$src)
     /*  27391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  27394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27396 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27401 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27407 */   GIR_RootConstrainSelectedInstOperands,
     /*  27408 */   // GIR_Coverage, 2806,
     /*  27408 */   GIR_EraseRootFromParent_Done,
     /*  27409 */ // Label 571: @27409
     /*  27409 */ GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(27446), // Rule ID 2807 //
     /*  27414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27428 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v2i32] }:$src)  =>  (VREV64d32:{ *:[v1i64] } DPR:{ *:[v2i32] }:$src)
     /*  27428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  27431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27433 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27438 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27444 */   GIR_RootConstrainSelectedInstOperands,
     /*  27445 */   // GIR_Coverage, 2807,
     /*  27445 */   GIR_EraseRootFromParent_Done,
     /*  27446 */ // Label 572: @27446
     /*  27446 */ GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(27483), // Rule ID 2808 //
     /*  27451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27465 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v4f16] }:$src)  =>  (VREV64d16:{ *:[v1i64] } DPR:{ *:[v4f16] }:$src)
     /*  27465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  27468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27470 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27475 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27481 */   GIR_RootConstrainSelectedInstOperands,
     /*  27482 */   // GIR_Coverage, 2808,
     /*  27482 */   GIR_EraseRootFromParent_Done,
     /*  27483 */ // Label 573: @27483
     /*  27483 */ GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(27520), // Rule ID 2809 //
     /*  27488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27502 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v4i16] }:$src)  =>  (VREV64d16:{ *:[v1i64] } DPR:{ *:[v4i16] }:$src)
     /*  27502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  27505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27507 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27512 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27518 */   GIR_RootConstrainSelectedInstOperands,
     /*  27519 */   // GIR_Coverage, 2809,
     /*  27519 */   GIR_EraseRootFromParent_Done,
     /*  27520 */ // Label 574: @27520
     /*  27520 */ GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(27557), // Rule ID 2810 //
     /*  27525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  27531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27539 */   // (bitconvert:{ *:[v1i64] } DPR:{ *:[v8i8] }:$src)  =>  (VREV64d8:{ *:[v1i64] } DPR:{ *:[v8i8] }:$src)
     /*  27539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d8),
     /*  27542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27544 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27549 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27555 */   GIR_RootConstrainSelectedInstOperands,
     /*  27556 */   // GIR_Coverage, 2810,
     /*  27556 */   GIR_EraseRootFromParent_Done,
     /*  27557 */ // Label 575: @27557
     /*  27557 */ GIM_Reject,
     /*  27558 */ // Label 542: @27558
     /*  27558 */ GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(27590), // Rule ID 2719 //
     /*  27563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27577 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v2i32] }:$src)  =>  DPR:{ *:[v2f32] }:$src
     /*  27577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27580 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27582 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27584 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27589 */   // GIR_Coverage, 2719,
     /*  27589 */   GIR_EraseRootFromParent_Done,
     /*  27590 */ // Label 576: @27590
     /*  27590 */ GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(27622), // Rule ID 2720 //
     /*  27595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  27601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27609 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v2f32] }:$src)  =>  DPR:{ *:[v2i32] }:$src
     /*  27609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27612 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27614 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27616 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27621 */   // GIR_Coverage, 2720,
     /*  27621 */   GIR_EraseRootFromParent_Done,
     /*  27622 */ // Label 577: @27622
     /*  27622 */ GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(27654), // Rule ID 2739 //
     /*  27627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27641 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[f64] }:$src)  =>  DPR:{ *:[v2f32] }:$src
     /*  27641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27644 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27646 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27648 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27653 */   // GIR_Coverage, 2739,
     /*  27653 */   GIR_EraseRootFromParent_Done,
     /*  27654 */ // Label 578: @27654
     /*  27654 */ GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(27686), // Rule ID 2740 //
     /*  27659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27673 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v1i64] }:$src)  =>  DPR:{ *:[v2f32] }:$src
     /*  27673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27676 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27678 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27680 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27685 */   // GIR_Coverage, 2740,
     /*  27685 */   GIR_EraseRootFromParent_Done,
     /*  27686 */ // Label 579: @27686
     /*  27686 */ GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(27718), // Rule ID 2741 //
     /*  27691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27705 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v4f16] }:$src)  =>  DPR:{ *:[v2f32] }:$src
     /*  27705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27708 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27710 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27712 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27717 */   // GIR_Coverage, 2741,
     /*  27717 */   GIR_EraseRootFromParent_Done,
     /*  27718 */ // Label 580: @27718
     /*  27718 */ GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(27750), // Rule ID 2742 //
     /*  27723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27737 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v4i16] }:$src)  =>  DPR:{ *:[v2f32] }:$src
     /*  27737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27740 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27742 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27744 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27749 */   // GIR_Coverage, 2742,
     /*  27749 */   GIR_EraseRootFromParent_Done,
     /*  27750 */ // Label 581: @27750
     /*  27750 */ GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(27782), // Rule ID 2743 //
     /*  27755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  27761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27769 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v8i8] }:$src)  =>  DPR:{ *:[v2f32] }:$src
     /*  27769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27772 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27774 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27776 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27781 */   // GIR_Coverage, 2743,
     /*  27781 */   GIR_EraseRootFromParent_Done,
     /*  27782 */ // Label 582: @27782
     /*  27782 */ GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(27814), // Rule ID 2744 //
     /*  27787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27801 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[f64] }:$src)  =>  DPR:{ *:[v2i32] }:$src
     /*  27801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27804 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27806 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27808 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27813 */   // GIR_Coverage, 2744,
     /*  27813 */   GIR_EraseRootFromParent_Done,
     /*  27814 */ // Label 583: @27814
     /*  27814 */ GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(27846), // Rule ID 2745 //
     /*  27819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27833 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v1i64] }:$src)  =>  DPR:{ *:[v2i32] }:$src
     /*  27833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27836 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27838 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27840 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27845 */   // GIR_Coverage, 2745,
     /*  27845 */   GIR_EraseRootFromParent_Done,
     /*  27846 */ // Label 584: @27846
     /*  27846 */ GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(27878), // Rule ID 2746 //
     /*  27851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27865 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v4f16] }:$src)  =>  DPR:{ *:[v2i32] }:$src
     /*  27865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27868 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27870 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27872 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27877 */   // GIR_Coverage, 2746,
     /*  27877 */   GIR_EraseRootFromParent_Done,
     /*  27878 */ // Label 585: @27878
     /*  27878 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(27910), // Rule ID 2747 //
     /*  27883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27897 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v4i16] }:$src)  =>  DPR:{ *:[v2i32] }:$src
     /*  27897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27900 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27902 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27904 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27909 */   // GIR_Coverage, 2747,
     /*  27909 */   GIR_EraseRootFromParent_Done,
     /*  27910 */ // Label 586: @27910
     /*  27910 */ GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(27942), // Rule ID 2748 //
     /*  27915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  27918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  27921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27929 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v8i8] }:$src)  =>  DPR:{ *:[v2i32] }:$src
     /*  27929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  27932 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  27934 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27936 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  27941 */   // GIR_Coverage, 2748,
     /*  27941 */   GIR_EraseRootFromParent_Done,
     /*  27942 */ // Label 587: @27942
     /*  27942 */ GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(27979), // Rule ID 2811 //
     /*  27947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27961 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[f64] }:$src)  =>  (VREV64d32:{ *:[v2f32] } DPR:{ *:[f64] }:$src)
     /*  27961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  27964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  27966 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  27971 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  27977 */   GIR_RootConstrainSelectedInstOperands,
     /*  27978 */   // GIR_Coverage, 2811,
     /*  27978 */   GIR_EraseRootFromParent_Done,
     /*  27979 */ // Label 588: @27979
     /*  27979 */ GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(28016), // Rule ID 2812 //
     /*  27984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  27987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  27998 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v1i64] }:$src)  =>  (VREV64d32:{ *:[v2f32] } DPR:{ *:[v1i64] }:$src)
     /*  27998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  28001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28003 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28008 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28014 */   GIR_RootConstrainSelectedInstOperands,
     /*  28015 */   // GIR_Coverage, 2812,
     /*  28015 */   GIR_EraseRootFromParent_Done,
     /*  28016 */ // Label 589: @28016
     /*  28016 */ GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(28053), // Rule ID 2813 //
     /*  28021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28035 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v4f16] }:$src)  =>  (VREV32d16:{ *:[v2f32] } DPR:{ *:[v4f16] }:$src)
     /*  28035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  28038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28040 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28045 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28051 */   GIR_RootConstrainSelectedInstOperands,
     /*  28052 */   // GIR_Coverage, 2813,
     /*  28052 */   GIR_EraseRootFromParent_Done,
     /*  28053 */ // Label 590: @28053
     /*  28053 */ GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(28090), // Rule ID 2814 //
     /*  28058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28072 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v4i16] }:$src)  =>  (VREV32d16:{ *:[v2f32] } DPR:{ *:[v4i16] }:$src)
     /*  28072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  28075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28077 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28082 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28088 */   GIR_RootConstrainSelectedInstOperands,
     /*  28089 */   // GIR_Coverage, 2814,
     /*  28089 */   GIR_EraseRootFromParent_Done,
     /*  28090 */ // Label 591: @28090
     /*  28090 */ GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(28127), // Rule ID 2815 //
     /*  28095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  28101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28109 */   // (bitconvert:{ *:[v2f32] } DPR:{ *:[v8i8] }:$src)  =>  (VREV32d8:{ *:[v2f32] } DPR:{ *:[v8i8] }:$src)
     /*  28109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d8),
     /*  28112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28114 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28119 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28125 */   GIR_RootConstrainSelectedInstOperands,
     /*  28126 */   // GIR_Coverage, 2815,
     /*  28126 */   GIR_EraseRootFromParent_Done,
     /*  28127 */ // Label 592: @28127
     /*  28127 */ GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(28164), // Rule ID 2816 //
     /*  28132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  28138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28146 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[f64] }:$src)  =>  (VREV64d32:{ *:[v2i32] } DPR:{ *:[f64] }:$src)
     /*  28146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  28149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28151 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28156 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28162 */   GIR_RootConstrainSelectedInstOperands,
     /*  28163 */   // GIR_Coverage, 2816,
     /*  28163 */   GIR_EraseRootFromParent_Done,
     /*  28164 */ // Label 593: @28164
     /*  28164 */ GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(28201), // Rule ID 2817 //
     /*  28169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  28175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28183 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v1i64] }:$src)  =>  (VREV64d32:{ *:[v2i32] } DPR:{ *:[v1i64] }:$src)
     /*  28183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d32),
     /*  28186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28188 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28193 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28199 */   GIR_RootConstrainSelectedInstOperands,
     /*  28200 */   // GIR_Coverage, 2817,
     /*  28200 */   GIR_EraseRootFromParent_Done,
     /*  28201 */ // Label 594: @28201
     /*  28201 */ GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(28238), // Rule ID 2818 //
     /*  28206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28220 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v4f16] }:$src)  =>  (VREV32d16:{ *:[v2i32] } DPR:{ *:[v4f16] }:$src)
     /*  28220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  28223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28225 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28230 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28236 */   GIR_RootConstrainSelectedInstOperands,
     /*  28237 */   // GIR_Coverage, 2818,
     /*  28237 */   GIR_EraseRootFromParent_Done,
     /*  28238 */ // Label 595: @28238
     /*  28238 */ GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(28275), // Rule ID 2819 //
     /*  28243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28257 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v4i16] }:$src)  =>  (VREV32d16:{ *:[v2i32] } DPR:{ *:[v4i16] }:$src)
     /*  28257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  28260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28262 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28267 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28273 */   GIR_RootConstrainSelectedInstOperands,
     /*  28274 */   // GIR_Coverage, 2819,
     /*  28274 */   GIR_EraseRootFromParent_Done,
     /*  28275 */ // Label 596: @28275
     /*  28275 */ GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(28312), // Rule ID 2820 //
     /*  28280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  28286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  28294 */   // (bitconvert:{ *:[v2i32] } DPR:{ *:[v8i8] }:$src)  =>  (VREV32d8:{ *:[v2i32] } DPR:{ *:[v8i8] }:$src)
     /*  28294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d8),
     /*  28297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28299 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28304 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28310 */   GIR_RootConstrainSelectedInstOperands,
     /*  28311 */   // GIR_Coverage, 2820,
     /*  28311 */   GIR_EraseRootFromParent_Done,
     /*  28312 */ // Label 597: @28312
     /*  28312 */ GIM_Reject,
     /*  28313 */ // Label 543: @28313
     /*  28313 */ GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(28345), // Rule ID 2723 //
     /*  28318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  28324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28332 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v2i64] }:$src)  =>  QPR:{ *:[v2f64] }:$src
     /*  28332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28335 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28337 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28339 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28344 */   // GIR_Coverage, 2723,
     /*  28344 */   GIR_EraseRootFromParent_Done,
     /*  28345 */ // Label 598: @28345
     /*  28345 */ GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(28377), // Rule ID 2724 //
     /*  28350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  28356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28364 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v2f64] }:$src)  =>  QPR:{ *:[v2i64] }:$src
     /*  28364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28367 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28369 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28371 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28376 */   // GIR_Coverage, 2724,
     /*  28376 */   GIR_EraseRootFromParent_Done,
     /*  28377 */ // Label 599: @28377
     /*  28377 */ GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(28409), // Rule ID 2765 //
     /*  28382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28396 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v4f32] }:$src)  =>  QPR:{ *:[v2f64] }:$src
     /*  28396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28399 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28401 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28403 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28408 */   // GIR_Coverage, 2765,
     /*  28408 */   GIR_EraseRootFromParent_Done,
     /*  28409 */ // Label 600: @28409
     /*  28409 */ GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(28441), // Rule ID 2766 //
     /*  28414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28428 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v4i32] }:$src)  =>  QPR:{ *:[v2f64] }:$src
     /*  28428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28431 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28433 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28435 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28440 */   // GIR_Coverage, 2766,
     /*  28440 */   GIR_EraseRootFromParent_Done,
     /*  28441 */ // Label 601: @28441
     /*  28441 */ GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(28473), // Rule ID 2767 //
     /*  28446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28460 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v8f16] }:$src)  =>  QPR:{ *:[v2f64] }:$src
     /*  28460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28463 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28465 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28467 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28472 */   // GIR_Coverage, 2767,
     /*  28472 */   GIR_EraseRootFromParent_Done,
     /*  28473 */ // Label 602: @28473
     /*  28473 */ GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(28505), // Rule ID 2768 //
     /*  28478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28492 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v8i16] }:$src)  =>  QPR:{ *:[v2f64] }:$src
     /*  28492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28495 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28497 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28499 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28504 */   // GIR_Coverage, 2768,
     /*  28504 */   GIR_EraseRootFromParent_Done,
     /*  28505 */ // Label 603: @28505
     /*  28505 */ GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(28537), // Rule ID 2769 //
     /*  28510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  28516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28524 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v16i8] }:$src)  =>  QPR:{ *:[v2f64] }:$src
     /*  28524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28527 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28529 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28531 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28536 */   // GIR_Coverage, 2769,
     /*  28536 */   GIR_EraseRootFromParent_Done,
     /*  28537 */ // Label 604: @28537
     /*  28537 */ GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(28569), // Rule ID 2770 //
     /*  28542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28556 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v4f32] }:$src)  =>  QPR:{ *:[v2i64] }:$src
     /*  28556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28559 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28561 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28563 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28568 */   // GIR_Coverage, 2770,
     /*  28568 */   GIR_EraseRootFromParent_Done,
     /*  28569 */ // Label 605: @28569
     /*  28569 */ GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(28601), // Rule ID 2771 //
     /*  28574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28588 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v4i32] }:$src)  =>  QPR:{ *:[v2i64] }:$src
     /*  28588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28591 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28593 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28595 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28600 */   // GIR_Coverage, 2771,
     /*  28600 */   GIR_EraseRootFromParent_Done,
     /*  28601 */ // Label 606: @28601
     /*  28601 */ GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(28633), // Rule ID 2772 //
     /*  28606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28620 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v8f16] }:$src)  =>  QPR:{ *:[v2i64] }:$src
     /*  28620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28623 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28625 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28627 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28632 */   // GIR_Coverage, 2772,
     /*  28632 */   GIR_EraseRootFromParent_Done,
     /*  28633 */ // Label 607: @28633
     /*  28633 */ GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(28665), // Rule ID 2773 //
     /*  28638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28652 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v8i16] }:$src)  =>  QPR:{ *:[v2i64] }:$src
     /*  28652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28655 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28657 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28659 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28664 */   // GIR_Coverage, 2773,
     /*  28664 */   GIR_EraseRootFromParent_Done,
     /*  28665 */ // Label 608: @28665
     /*  28665 */ GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(28697), // Rule ID 2774 //
     /*  28670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  28673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  28676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28684 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v16i8] }:$src)  =>  QPR:{ *:[v2i64] }:$src
     /*  28684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  28687 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  28689 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28691 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  28696 */   // GIR_Coverage, 2774,
     /*  28696 */   GIR_EraseRootFromParent_Done,
     /*  28697 */ // Label 609: @28697
     /*  28697 */ GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(28734), // Rule ID 2837 //
     /*  28702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28716 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v4f32] }:$src)  =>  (VREV64q32:{ *:[v2f64] } QPR:{ *:[v4f32] }:$src)
     /*  28716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  28719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28721 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28726 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28732 */   GIR_RootConstrainSelectedInstOperands,
     /*  28733 */   // GIR_Coverage, 2837,
     /*  28733 */   GIR_EraseRootFromParent_Done,
     /*  28734 */ // Label 610: @28734
     /*  28734 */ GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(28771), // Rule ID 2838 //
     /*  28739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28753 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v4i32] }:$src)  =>  (VREV64q32:{ *:[v2f64] } QPR:{ *:[v4i32] }:$src)
     /*  28753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  28756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28758 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28763 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28769 */   GIR_RootConstrainSelectedInstOperands,
     /*  28770 */   // GIR_Coverage, 2838,
     /*  28770 */   GIR_EraseRootFromParent_Done,
     /*  28771 */ // Label 611: @28771
     /*  28771 */ GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(28808), // Rule ID 2839 //
     /*  28776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28790 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v8f16] }:$src)  =>  (VREV64q16:{ *:[v2f64] } QPR:{ *:[v8f16] }:$src)
     /*  28790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  28793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28795 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28800 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28806 */   GIR_RootConstrainSelectedInstOperands,
     /*  28807 */   // GIR_Coverage, 2839,
     /*  28807 */   GIR_EraseRootFromParent_Done,
     /*  28808 */ // Label 612: @28808
     /*  28808 */ GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(28845), // Rule ID 2840 //
     /*  28813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28827 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v8i16] }:$src)  =>  (VREV64q16:{ *:[v2f64] } QPR:{ *:[v8i16] }:$src)
     /*  28827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  28830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28832 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28837 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28843 */   GIR_RootConstrainSelectedInstOperands,
     /*  28844 */   // GIR_Coverage, 2840,
     /*  28844 */   GIR_EraseRootFromParent_Done,
     /*  28845 */ // Label 613: @28845
     /*  28845 */ GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(28882), // Rule ID 2841 //
     /*  28850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  28856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28864 */   // (bitconvert:{ *:[v2f64] } QPR:{ *:[v16i8] }:$src)  =>  (VREV64q8:{ *:[v2f64] } QPR:{ *:[v16i8] }:$src)
     /*  28864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q8),
     /*  28867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28869 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28874 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28880 */   GIR_RootConstrainSelectedInstOperands,
     /*  28881 */   // GIR_Coverage, 2841,
     /*  28881 */   GIR_EraseRootFromParent_Done,
     /*  28882 */ // Label 614: @28882
     /*  28882 */ GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(28919), // Rule ID 2842 //
     /*  28887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28901 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v4f32] }:$src)  =>  (VREV64q32:{ *:[v2i64] } QPR:{ *:[v4f32] }:$src)
     /*  28901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  28904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28906 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28911 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28917 */   GIR_RootConstrainSelectedInstOperands,
     /*  28918 */   // GIR_Coverage, 2842,
     /*  28918 */   GIR_EraseRootFromParent_Done,
     /*  28919 */ // Label 615: @28919
     /*  28919 */ GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(28956), // Rule ID 2843 //
     /*  28924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  28930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28938 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v4i32] }:$src)  =>  (VREV64q32:{ *:[v2i64] } QPR:{ *:[v4i32] }:$src)
     /*  28938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  28941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28943 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28948 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28954 */   GIR_RootConstrainSelectedInstOperands,
     /*  28955 */   // GIR_Coverage, 2843,
     /*  28955 */   GIR_EraseRootFromParent_Done,
     /*  28956 */ // Label 616: @28956
     /*  28956 */ GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(28993), // Rule ID 2844 //
     /*  28961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  28964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  28975 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v8f16] }:$src)  =>  (VREV64q16:{ *:[v2i64] } QPR:{ *:[v8f16] }:$src)
     /*  28975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  28978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  28980 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  28985 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  28991 */   GIR_RootConstrainSelectedInstOperands,
     /*  28992 */   // GIR_Coverage, 2844,
     /*  28992 */   GIR_EraseRootFromParent_Done,
     /*  28993 */ // Label 617: @28993
     /*  28993 */ GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(29030), // Rule ID 2845 //
     /*  28998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  29001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  29008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  29012 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v8i16] }:$src)  =>  (VREV64q16:{ *:[v2i64] } QPR:{ *:[v8i16] }:$src)
     /*  29012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  29015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  29017 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  29022 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29028 */   GIR_RootConstrainSelectedInstOperands,
     /*  29029 */   // GIR_Coverage, 2845,
     /*  29029 */   GIR_EraseRootFromParent_Done,
     /*  29030 */ // Label 618: @29030
     /*  29030 */ GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(29067), // Rule ID 2846 //
     /*  29035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  29038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  29045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  29049 */   // (bitconvert:{ *:[v2i64] } QPR:{ *:[v16i8] }:$src)  =>  (VREV64q8:{ *:[v2i64] } QPR:{ *:[v16i8] }:$src)
     /*  29049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q8),
     /*  29052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  29054 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  29059 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29065 */   GIR_RootConstrainSelectedInstOperands,
     /*  29066 */   // GIR_Coverage, 2846,
     /*  29066 */   GIR_EraseRootFromParent_Done,
     /*  29067 */ // Label 619: @29067
     /*  29067 */ GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(29099), // Rule ID 5280 //
     /*  29072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  29075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  29078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29086 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v2i64] }:$src)  =>  MQPR:{ *:[v2f64] }:$src
     /*  29086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29089 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29091 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29093 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29098 */   // GIR_Coverage, 5280,
     /*  29098 */   GIR_EraseRootFromParent_Done,
     /*  29099 */ // Label 620: @29099
     /*  29099 */ GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(29131), // Rule ID 5281 //
     /*  29104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  29107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  29110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29118 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v2f64] }:$src)  =>  MQPR:{ *:[v2i64] }:$src
     /*  29118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29121 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29123 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29125 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29130 */   // GIR_Coverage, 5281,
     /*  29130 */   GIR_EraseRootFromParent_Done,
     /*  29131 */ // Label 621: @29131
     /*  29131 */ GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(29163), // Rule ID 5286 //
     /*  29136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29150 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v4f32] }:$src)  =>  MQPR:{ *:[v2f64] }:$src
     /*  29150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29153 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29155 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29157 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29162 */   // GIR_Coverage, 5286,
     /*  29162 */   GIR_EraseRootFromParent_Done,
     /*  29163 */ // Label 622: @29163
     /*  29163 */ GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(29195), // Rule ID 5287 //
     /*  29168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29182 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v4i32] }:$src)  =>  MQPR:{ *:[v2f64] }:$src
     /*  29182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29185 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29187 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29189 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29194 */   // GIR_Coverage, 5287,
     /*  29194 */   GIR_EraseRootFromParent_Done,
     /*  29195 */ // Label 623: @29195
     /*  29195 */ GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(29227), // Rule ID 5288 //
     /*  29200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29214 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v8f16] }:$src)  =>  MQPR:{ *:[v2f64] }:$src
     /*  29214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29217 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29219 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29221 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29226 */   // GIR_Coverage, 5288,
     /*  29226 */   GIR_EraseRootFromParent_Done,
     /*  29227 */ // Label 624: @29227
     /*  29227 */ GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(29259), // Rule ID 5289 //
     /*  29232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29246 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v8i16] }:$src)  =>  MQPR:{ *:[v2f64] }:$src
     /*  29246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29249 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29251 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29253 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29258 */   // GIR_Coverage, 5289,
     /*  29258 */   GIR_EraseRootFromParent_Done,
     /*  29259 */ // Label 625: @29259
     /*  29259 */ GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(29291), // Rule ID 5290 //
     /*  29264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29278 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v16i8] }:$src)  =>  MQPR:{ *:[v2f64] }:$src
     /*  29278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29281 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29283 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29285 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29290 */   // GIR_Coverage, 5290,
     /*  29290 */   GIR_EraseRootFromParent_Done,
     /*  29291 */ // Label 626: @29291
     /*  29291 */ GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(29323), // Rule ID 5291 //
     /*  29296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29310 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v4f32] }:$src)  =>  MQPR:{ *:[v2i64] }:$src
     /*  29310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29313 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29315 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29317 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29322 */   // GIR_Coverage, 5291,
     /*  29322 */   GIR_EraseRootFromParent_Done,
     /*  29323 */ // Label 627: @29323
     /*  29323 */ GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(29355), // Rule ID 5292 //
     /*  29328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29342 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$src)  =>  MQPR:{ *:[v2i64] }:$src
     /*  29342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29345 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29347 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29349 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29354 */   // GIR_Coverage, 5292,
     /*  29354 */   GIR_EraseRootFromParent_Done,
     /*  29355 */ // Label 628: @29355
     /*  29355 */ GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(29387), // Rule ID 5293 //
     /*  29360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29374 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v8f16] }:$src)  =>  MQPR:{ *:[v2i64] }:$src
     /*  29374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29377 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29379 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29381 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29386 */   // GIR_Coverage, 5293,
     /*  29386 */   GIR_EraseRootFromParent_Done,
     /*  29387 */ // Label 629: @29387
     /*  29387 */ GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(29419), // Rule ID 5294 //
     /*  29392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29406 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v8i16] }:$src)  =>  MQPR:{ *:[v2i64] }:$src
     /*  29406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29409 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29411 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29413 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29418 */   // GIR_Coverage, 5294,
     /*  29418 */   GIR_EraseRootFromParent_Done,
     /*  29419 */ // Label 630: @29419
     /*  29419 */ GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(29451), // Rule ID 5295 //
     /*  29424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  29427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29438 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v16i8] }:$src)  =>  MQPR:{ *:[v2i64] }:$src
     /*  29438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29441 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  29443 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29445 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29450 */   // GIR_Coverage, 5295,
     /*  29450 */   GIR_EraseRootFromParent_Done,
     /*  29451 */ // Label 631: @29451
     /*  29451 */ GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(29509), // Rule ID 5322 //
     /*  29456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29470 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v4f32] }:$src)  =>  (MVE_VREV64_32:{ *:[v2f64] } MQPR:{ *:[v4f32] }:$src)
     /*  29470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  29485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29487 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29492 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29498 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29507 */   GIR_RootConstrainSelectedInstOperands,
     /*  29508 */   // GIR_Coverage, 5322,
     /*  29508 */   GIR_EraseRootFromParent_Done,
     /*  29509 */ // Label 632: @29509
     /*  29509 */ GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(29567), // Rule ID 5323 //
     /*  29514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29528 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VREV64_32:{ *:[v2f64] } MQPR:{ *:[v4i32] }:$src)
     /*  29528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  29543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29545 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29550 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29556 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29562 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29565 */   GIR_RootConstrainSelectedInstOperands,
     /*  29566 */   // GIR_Coverage, 5323,
     /*  29566 */   GIR_EraseRootFromParent_Done,
     /*  29567 */ // Label 633: @29567
     /*  29567 */ GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(29625), // Rule ID 5324 //
     /*  29572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29586 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v8f16] }:$src)  =>  (MVE_VREV64_16:{ *:[v2f64] } MQPR:{ *:[v8f16] }:$src)
     /*  29586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  29601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29603 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29608 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29614 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29620 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29623 */   GIR_RootConstrainSelectedInstOperands,
     /*  29624 */   // GIR_Coverage, 5324,
     /*  29624 */   GIR_EraseRootFromParent_Done,
     /*  29625 */ // Label 634: @29625
     /*  29625 */ GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(29683), // Rule ID 5325 //
     /*  29630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29644 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VREV64_16:{ *:[v2f64] } MQPR:{ *:[v8i16] }:$src)
     /*  29644 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29647 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29651 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  29659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29661 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29666 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29672 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29678 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29681 */   GIR_RootConstrainSelectedInstOperands,
     /*  29682 */   // GIR_Coverage, 5325,
     /*  29682 */   GIR_EraseRootFromParent_Done,
     /*  29683 */ // Label 635: @29683
     /*  29683 */ GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(29741), // Rule ID 5326 //
     /*  29688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29702 */   // (bitconvert:{ *:[v2f64] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VREV64_8:{ *:[v2f64] } MQPR:{ *:[v16i8] }:$src)
     /*  29702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_8),
     /*  29717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29719 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29724 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29730 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29739 */   GIR_RootConstrainSelectedInstOperands,
     /*  29740 */   // GIR_Coverage, 5326,
     /*  29740 */   GIR_EraseRootFromParent_Done,
     /*  29741 */ // Label 636: @29741
     /*  29741 */ GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(29799), // Rule ID 5327 //
     /*  29746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29760 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v4f32] }:$src)  =>  (MVE_VREV64_32:{ *:[v2i64] } MQPR:{ *:[v4f32] }:$src)
     /*  29760 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29763 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29767 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  29775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29777 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29782 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29788 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29797 */   GIR_RootConstrainSelectedInstOperands,
     /*  29798 */   // GIR_Coverage, 5327,
     /*  29798 */   GIR_EraseRootFromParent_Done,
     /*  29799 */ // Label 637: @29799
     /*  29799 */ GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(29857), // Rule ID 5328 //
     /*  29804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29818 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VREV64_32:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$src)
     /*  29818 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29821 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29825 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  29833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29835 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29840 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29846 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29855 */   GIR_RootConstrainSelectedInstOperands,
     /*  29856 */   // GIR_Coverage, 5328,
     /*  29856 */   GIR_EraseRootFromParent_Done,
     /*  29857 */ // Label 638: @29857
     /*  29857 */ GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(29915), // Rule ID 5329 //
     /*  29862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29876 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v8f16] }:$src)  =>  (MVE_VREV64_16:{ *:[v2i64] } MQPR:{ *:[v8f16] }:$src)
     /*  29876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  29891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29893 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29898 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29904 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29913 */   GIR_RootConstrainSelectedInstOperands,
     /*  29914 */   // GIR_Coverage, 5329,
     /*  29914 */   GIR_EraseRootFromParent_Done,
     /*  29915 */ // Label 639: @29915
     /*  29915 */ GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(29973), // Rule ID 5330 //
     /*  29920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29934 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VREV64_16:{ *:[v2i64] } MQPR:{ *:[v8i16] }:$src)
     /*  29934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  29949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  29951 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29956 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29962 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  29968 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29971 */   GIR_RootConstrainSelectedInstOperands,
     /*  29972 */   // GIR_Coverage, 5330,
     /*  29972 */   GIR_EraseRootFromParent_Done,
     /*  29973 */ // Label 640: @29973
     /*  29973 */ GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(30031), // Rule ID 5331 //
     /*  29978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  29981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  29992 */   // (bitconvert:{ *:[v2i64] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VREV64_8:{ *:[v2i64] } MQPR:{ *:[v16i8] }:$src)
     /*  29992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  29995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  29999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_8),
     /*  30007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  30009 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  30014 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30020 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  30029 */   GIR_RootConstrainSelectedInstOperands,
     /*  30030 */   // GIR_Coverage, 5331,
     /*  30030 */   GIR_EraseRootFromParent_Done,
     /*  30031 */ // Label 641: @30031
     /*  30031 */ GIM_Reject,
     /*  30032 */ // Label 544: @30032
     /*  30032 */ GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(30064), // Rule ID 2721 //
     /*  30037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30051 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v4f16] }:$src)  =>  DPR:{ *:[v4i16] }:$src
     /*  30051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30054 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30056 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30058 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30063 */   // GIR_Coverage, 2721,
     /*  30063 */   GIR_EraseRootFromParent_Done,
     /*  30064 */ // Label 642: @30064
     /*  30064 */ GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(30096), // Rule ID 2722 //
     /*  30069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30083 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v4i16] }:$src)  =>  DPR:{ *:[v4f16] }:$src
     /*  30083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30086 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30088 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30090 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30095 */   // GIR_Coverage, 2722,
     /*  30095 */   GIR_EraseRootFromParent_Done,
     /*  30096 */ // Label 643: @30096
     /*  30096 */ GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(30128), // Rule ID 2749 //
     /*  30101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30115 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[f64] }:$src)  =>  DPR:{ *:[v4f16] }:$src
     /*  30115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30118 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30120 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30122 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30127 */   // GIR_Coverage, 2749,
     /*  30127 */   GIR_EraseRootFromParent_Done,
     /*  30128 */ // Label 644: @30128
     /*  30128 */ GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(30160), // Rule ID 2750 //
     /*  30133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30147 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v1i64] }:$src)  =>  DPR:{ *:[v4f16] }:$src
     /*  30147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30150 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30152 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30154 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30159 */   // GIR_Coverage, 2750,
     /*  30159 */   GIR_EraseRootFromParent_Done,
     /*  30160 */ // Label 645: @30160
     /*  30160 */ GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(30192), // Rule ID 2751 //
     /*  30165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30179 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v2f32] }:$src)  =>  DPR:{ *:[v4f16] }:$src
     /*  30179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30182 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30184 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30186 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30191 */   // GIR_Coverage, 2751,
     /*  30191 */   GIR_EraseRootFromParent_Done,
     /*  30192 */ // Label 646: @30192
     /*  30192 */ GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(30224), // Rule ID 2752 //
     /*  30197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30211 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v2i32] }:$src)  =>  DPR:{ *:[v4f16] }:$src
     /*  30211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30214 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30216 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30218 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30223 */   // GIR_Coverage, 2752,
     /*  30223 */   GIR_EraseRootFromParent_Done,
     /*  30224 */ // Label 647: @30224
     /*  30224 */ GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(30256), // Rule ID 2753 //
     /*  30229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30243 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v8i8] }:$src)  =>  DPR:{ *:[v4f16] }:$src
     /*  30243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30246 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30248 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30250 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30255 */   // GIR_Coverage, 2753,
     /*  30255 */   GIR_EraseRootFromParent_Done,
     /*  30256 */ // Label 648: @30256
     /*  30256 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(30288), // Rule ID 2754 //
     /*  30261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30275 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[f64] }:$src)  =>  DPR:{ *:[v4i16] }:$src
     /*  30275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30278 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30280 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30282 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30287 */   // GIR_Coverage, 2754,
     /*  30287 */   GIR_EraseRootFromParent_Done,
     /*  30288 */ // Label 649: @30288
     /*  30288 */ GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(30320), // Rule ID 2755 //
     /*  30293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30307 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v1i64] }:$src)  =>  DPR:{ *:[v4i16] }:$src
     /*  30307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30310 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30312 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30314 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30319 */   // GIR_Coverage, 2755,
     /*  30319 */   GIR_EraseRootFromParent_Done,
     /*  30320 */ // Label 650: @30320
     /*  30320 */ GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(30352), // Rule ID 2756 //
     /*  30325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30339 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v2f32] }:$src)  =>  DPR:{ *:[v4i16] }:$src
     /*  30339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30342 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30344 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30346 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30351 */   // GIR_Coverage, 2756,
     /*  30351 */   GIR_EraseRootFromParent_Done,
     /*  30352 */ // Label 651: @30352
     /*  30352 */ GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(30384), // Rule ID 2757 //
     /*  30357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30371 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v2i32] }:$src)  =>  DPR:{ *:[v4i16] }:$src
     /*  30371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30374 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30376 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30378 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30383 */   // GIR_Coverage, 2757,
     /*  30383 */   GIR_EraseRootFromParent_Done,
     /*  30384 */ // Label 652: @30384
     /*  30384 */ GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(30416), // Rule ID 2758 //
     /*  30389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30403 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v8i8] }:$src)  =>  DPR:{ *:[v4i16] }:$src
     /*  30403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30406 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30408 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30410 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  30415 */   // GIR_Coverage, 2758,
     /*  30415 */   GIR_EraseRootFromParent_Done,
     /*  30416 */ // Label 653: @30416
     /*  30416 */ GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(30453), // Rule ID 2821 //
     /*  30421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30435 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[f64] }:$src)  =>  (VREV64d16:{ *:[v4f16] } DPR:{ *:[f64] }:$src)
     /*  30435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  30438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30440 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30445 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30451 */   GIR_RootConstrainSelectedInstOperands,
     /*  30452 */   // GIR_Coverage, 2821,
     /*  30452 */   GIR_EraseRootFromParent_Done,
     /*  30453 */ // Label 654: @30453
     /*  30453 */ GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(30490), // Rule ID 2822 //
     /*  30458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30472 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v1i64] }:$src)  =>  (VREV64d16:{ *:[v4f16] } DPR:{ *:[v1i64] }:$src)
     /*  30472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  30475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30477 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30482 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30488 */   GIR_RootConstrainSelectedInstOperands,
     /*  30489 */   // GIR_Coverage, 2822,
     /*  30489 */   GIR_EraseRootFromParent_Done,
     /*  30490 */ // Label 655: @30490
     /*  30490 */ GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(30527), // Rule ID 2823 //
     /*  30495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30509 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v2f32] }:$src)  =>  (VREV32d16:{ *:[v4f16] } DPR:{ *:[v2f32] }:$src)
     /*  30509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  30512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30514 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30519 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30525 */   GIR_RootConstrainSelectedInstOperands,
     /*  30526 */   // GIR_Coverage, 2823,
     /*  30526 */   GIR_EraseRootFromParent_Done,
     /*  30527 */ // Label 656: @30527
     /*  30527 */ GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(30564), // Rule ID 2824 //
     /*  30532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30546 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v2i32] }:$src)  =>  (VREV32d16:{ *:[v4f16] } DPR:{ *:[v2i32] }:$src)
     /*  30546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  30549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30551 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30556 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30562 */   GIR_RootConstrainSelectedInstOperands,
     /*  30563 */   // GIR_Coverage, 2824,
     /*  30563 */   GIR_EraseRootFromParent_Done,
     /*  30564 */ // Label 657: @30564
     /*  30564 */ GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(30601), // Rule ID 2825 //
     /*  30569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30583 */   // (bitconvert:{ *:[v4f16] } DPR:{ *:[v8i8] }:$src)  =>  (VREV16d8:{ *:[v4f16] } DPR:{ *:[v8i8] }:$src)
     /*  30583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16d8),
     /*  30586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30588 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30593 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30599 */   GIR_RootConstrainSelectedInstOperands,
     /*  30600 */   // GIR_Coverage, 2825,
     /*  30600 */   GIR_EraseRootFromParent_Done,
     /*  30601 */ // Label 658: @30601
     /*  30601 */ GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(30638), // Rule ID 2826 //
     /*  30606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30620 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[f64] }:$src)  =>  (VREV64d16:{ *:[v4i16] } DPR:{ *:[f64] }:$src)
     /*  30620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  30623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30625 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30630 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30636 */   GIR_RootConstrainSelectedInstOperands,
     /*  30637 */   // GIR_Coverage, 2826,
     /*  30637 */   GIR_EraseRootFromParent_Done,
     /*  30638 */ // Label 659: @30638
     /*  30638 */ GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(30675), // Rule ID 2827 //
     /*  30643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  30649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30657 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v1i64] }:$src)  =>  (VREV64d16:{ *:[v4i16] } DPR:{ *:[v1i64] }:$src)
     /*  30657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d16),
     /*  30660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30662 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30667 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30673 */   GIR_RootConstrainSelectedInstOperands,
     /*  30674 */   // GIR_Coverage, 2827,
     /*  30674 */   GIR_EraseRootFromParent_Done,
     /*  30675 */ // Label 660: @30675
     /*  30675 */ GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(30712), // Rule ID 2828 //
     /*  30680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30694 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v2f32] }:$src)  =>  (VREV32d16:{ *:[v4i16] } DPR:{ *:[v2f32] }:$src)
     /*  30694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  30697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30699 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30704 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30710 */   GIR_RootConstrainSelectedInstOperands,
     /*  30711 */   // GIR_Coverage, 2828,
     /*  30711 */   GIR_EraseRootFromParent_Done,
     /*  30712 */ // Label 661: @30712
     /*  30712 */ GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(30749), // Rule ID 2829 //
     /*  30717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  30723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30731 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v2i32] }:$src)  =>  (VREV32d16:{ *:[v4i16] } DPR:{ *:[v2i32] }:$src)
     /*  30731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d16),
     /*  30734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30736 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30741 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30747 */   GIR_RootConstrainSelectedInstOperands,
     /*  30748 */   // GIR_Coverage, 2829,
     /*  30748 */   GIR_EraseRootFromParent_Done,
     /*  30749 */ // Label 662: @30749
     /*  30749 */ GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(30786), // Rule ID 2830 //
     /*  30754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  30757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  30768 */   // (bitconvert:{ *:[v4i16] } DPR:{ *:[v8i8] }:$src)  =>  (VREV16d8:{ *:[v4i16] } DPR:{ *:[v8i8] }:$src)
     /*  30768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16d8),
     /*  30771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  30773 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  30778 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  30784 */   GIR_RootConstrainSelectedInstOperands,
     /*  30785 */   // GIR_Coverage, 2830,
     /*  30785 */   GIR_EraseRootFromParent_Done,
     /*  30786 */ // Label 663: @30786
     /*  30786 */ GIM_Reject,
     /*  30787 */ // Label 545: @30787
     /*  30787 */ GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(30819), // Rule ID 2725 //
     /*  30792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  30798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30806 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v4f32] }:$src)  =>  QPR:{ *:[v4i32] }:$src
     /*  30806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30809 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30811 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30813 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  30818 */   // GIR_Coverage, 2725,
     /*  30818 */   GIR_EraseRootFromParent_Done,
     /*  30819 */ // Label 664: @30819
     /*  30819 */ GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(30851), // Rule ID 2726 //
     /*  30824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  30830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30838 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v4i32] }:$src)  =>  QPR:{ *:[v4f32] }:$src
     /*  30838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30841 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30843 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30845 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  30850 */   // GIR_Coverage, 2726,
     /*  30850 */   GIR_EraseRootFromParent_Done,
     /*  30851 */ // Label 665: @30851
     /*  30851 */ GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(30883), // Rule ID 2775 //
     /*  30856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  30862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30870 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v2f64] }:$src)  =>  QPR:{ *:[v4f32] }:$src
     /*  30870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30873 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30875 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30877 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  30882 */   // GIR_Coverage, 2775,
     /*  30882 */   GIR_EraseRootFromParent_Done,
     /*  30883 */ // Label 666: @30883
     /*  30883 */ GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(30915), // Rule ID 2776 //
     /*  30888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  30894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30902 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v2i64] }:$src)  =>  QPR:{ *:[v4f32] }:$src
     /*  30902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30905 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30907 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30909 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  30914 */   // GIR_Coverage, 2776,
     /*  30914 */   GIR_EraseRootFromParent_Done,
     /*  30915 */ // Label 667: @30915
     /*  30915 */ GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(30947), // Rule ID 2777 //
     /*  30920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30934 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v8f16] }:$src)  =>  QPR:{ *:[v4f32] }:$src
     /*  30934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30937 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30939 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30941 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  30946 */   // GIR_Coverage, 2777,
     /*  30946 */   GIR_EraseRootFromParent_Done,
     /*  30947 */ // Label 668: @30947
     /*  30947 */ GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(30979), // Rule ID 2778 //
     /*  30952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30966 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v8i16] }:$src)  =>  QPR:{ *:[v4f32] }:$src
     /*  30966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30969 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  30971 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  30973 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  30978 */   // GIR_Coverage, 2778,
     /*  30978 */   GIR_EraseRootFromParent_Done,
     /*  30979 */ // Label 669: @30979
     /*  30979 */ GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(31011), // Rule ID 2779 //
     /*  30984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  30987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  30998 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v16i8] }:$src)  =>  QPR:{ *:[v4f32] }:$src
     /*  30998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31001 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31003 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31005 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  31010 */   // GIR_Coverage, 2779,
     /*  31010 */   GIR_EraseRootFromParent_Done,
     /*  31011 */ // Label 670: @31011
     /*  31011 */ GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(31043), // Rule ID 2780 //
     /*  31016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  31019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31030 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v2f64] }:$src)  =>  QPR:{ *:[v4i32] }:$src
     /*  31030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31033 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31035 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31037 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  31042 */   // GIR_Coverage, 2780,
     /*  31042 */   GIR_EraseRootFromParent_Done,
     /*  31043 */ // Label 671: @31043
     /*  31043 */ GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(31075), // Rule ID 2781 //
     /*  31048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  31051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31062 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v2i64] }:$src)  =>  QPR:{ *:[v4i32] }:$src
     /*  31062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31065 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31067 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31069 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  31074 */   // GIR_Coverage, 2781,
     /*  31074 */   GIR_EraseRootFromParent_Done,
     /*  31075 */ // Label 672: @31075
     /*  31075 */ GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(31107), // Rule ID 2782 //
     /*  31080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  31083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31094 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v8f16] }:$src)  =>  QPR:{ *:[v4i32] }:$src
     /*  31094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31097 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31099 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31101 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  31106 */   // GIR_Coverage, 2782,
     /*  31106 */   GIR_EraseRootFromParent_Done,
     /*  31107 */ // Label 673: @31107
     /*  31107 */ GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(31139), // Rule ID 2783 //
     /*  31112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  31115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31126 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v8i16] }:$src)  =>  QPR:{ *:[v4i32] }:$src
     /*  31126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31129 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31131 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31133 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  31138 */   // GIR_Coverage, 2783,
     /*  31138 */   GIR_EraseRootFromParent_Done,
     /*  31139 */ // Label 674: @31139
     /*  31139 */ GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(31171), // Rule ID 2784 //
     /*  31144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  31147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  31150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31158 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v16i8] }:$src)  =>  QPR:{ *:[v4i32] }:$src
     /*  31158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31161 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31163 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31165 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  31170 */   // GIR_Coverage, 2784,
     /*  31170 */   GIR_EraseRootFromParent_Done,
     /*  31171 */ // Label 675: @31171
     /*  31171 */ GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(31208), // Rule ID 2847 //
     /*  31176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31190 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v2f64] }:$src)  =>  (VREV64q32:{ *:[v4f32] } QPR:{ *:[v2f64] }:$src)
     /*  31190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  31193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31195 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31200 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31206 */   GIR_RootConstrainSelectedInstOperands,
     /*  31207 */   // GIR_Coverage, 2847,
     /*  31207 */   GIR_EraseRootFromParent_Done,
     /*  31208 */ // Label 676: @31208
     /*  31208 */ GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(31245), // Rule ID 2848 //
     /*  31213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31227 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v2i64] }:$src)  =>  (VREV64q32:{ *:[v4f32] } QPR:{ *:[v2i64] }:$src)
     /*  31227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  31230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31232 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31237 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31243 */   GIR_RootConstrainSelectedInstOperands,
     /*  31244 */   // GIR_Coverage, 2848,
     /*  31244 */   GIR_EraseRootFromParent_Done,
     /*  31245 */ // Label 677: @31245
     /*  31245 */ GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(31282), // Rule ID 2849 //
     /*  31250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31264 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v8f16] }:$src)  =>  (VREV32q16:{ *:[v4f32] } QPR:{ *:[v8f16] }:$src)
     /*  31264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  31267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31269 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31274 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31280 */   GIR_RootConstrainSelectedInstOperands,
     /*  31281 */   // GIR_Coverage, 2849,
     /*  31281 */   GIR_EraseRootFromParent_Done,
     /*  31282 */ // Label 678: @31282
     /*  31282 */ GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(31319), // Rule ID 2850 //
     /*  31287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31301 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v8i16] }:$src)  =>  (VREV32q16:{ *:[v4f32] } QPR:{ *:[v8i16] }:$src)
     /*  31301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  31304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31306 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31311 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31317 */   GIR_RootConstrainSelectedInstOperands,
     /*  31318 */   // GIR_Coverage, 2850,
     /*  31318 */   GIR_EraseRootFromParent_Done,
     /*  31319 */ // Label 679: @31319
     /*  31319 */ GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(31356), // Rule ID 2851 //
     /*  31324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  31330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31338 */   // (bitconvert:{ *:[v4f32] } QPR:{ *:[v16i8] }:$src)  =>  (VREV32q8:{ *:[v4f32] } QPR:{ *:[v16i8] }:$src)
     /*  31338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q8),
     /*  31341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31343 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31348 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31354 */   GIR_RootConstrainSelectedInstOperands,
     /*  31355 */   // GIR_Coverage, 2851,
     /*  31355 */   GIR_EraseRootFromParent_Done,
     /*  31356 */ // Label 680: @31356
     /*  31356 */ GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(31393), // Rule ID 2852 //
     /*  31361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31375 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v2f64] }:$src)  =>  (VREV64q32:{ *:[v4i32] } QPR:{ *:[v2f64] }:$src)
     /*  31375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  31378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31380 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31385 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31391 */   GIR_RootConstrainSelectedInstOperands,
     /*  31392 */   // GIR_Coverage, 2852,
     /*  31392 */   GIR_EraseRootFromParent_Done,
     /*  31393 */ // Label 681: @31393
     /*  31393 */ GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(31430), // Rule ID 2853 //
     /*  31398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31412 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v2i64] }:$src)  =>  (VREV64q32:{ *:[v4i32] } QPR:{ *:[v2i64] }:$src)
     /*  31412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q32),
     /*  31415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31417 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31422 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31428 */   GIR_RootConstrainSelectedInstOperands,
     /*  31429 */   // GIR_Coverage, 2853,
     /*  31429 */   GIR_EraseRootFromParent_Done,
     /*  31430 */ // Label 682: @31430
     /*  31430 */ GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(31467), // Rule ID 2854 //
     /*  31435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31449 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v8f16] }:$src)  =>  (VREV32q16:{ *:[v4i32] } QPR:{ *:[v8f16] }:$src)
     /*  31449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  31452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31454 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31459 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31465 */   GIR_RootConstrainSelectedInstOperands,
     /*  31466 */   // GIR_Coverage, 2854,
     /*  31466 */   GIR_EraseRootFromParent_Done,
     /*  31467 */ // Label 683: @31467
     /*  31467 */ GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(31504), // Rule ID 2855 //
     /*  31472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31486 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v8i16] }:$src)  =>  (VREV32q16:{ *:[v4i32] } QPR:{ *:[v8i16] }:$src)
     /*  31486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  31489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31491 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31496 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31502 */   GIR_RootConstrainSelectedInstOperands,
     /*  31503 */   // GIR_Coverage, 2855,
     /*  31503 */   GIR_EraseRootFromParent_Done,
     /*  31504 */ // Label 684: @31504
     /*  31504 */ GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(31541), // Rule ID 2856 //
     /*  31509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  31512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  31515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  31523 */   // (bitconvert:{ *:[v4i32] } QPR:{ *:[v16i8] }:$src)  =>  (VREV32q8:{ *:[v4i32] } QPR:{ *:[v16i8] }:$src)
     /*  31523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q8),
     /*  31526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  31528 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  31533 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31539 */   GIR_RootConstrainSelectedInstOperands,
     /*  31540 */   // GIR_Coverage, 2856,
     /*  31540 */   GIR_EraseRootFromParent_Done,
     /*  31541 */ // Label 685: @31541
     /*  31541 */ GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(31573), // Rule ID 5282 //
     /*  31546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  31549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  31552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31560 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$src)  =>  MQPR:{ *:[v4i32] }:$src
     /*  31560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31563 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31565 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31567 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31572 */   // GIR_Coverage, 5282,
     /*  31572 */   GIR_EraseRootFromParent_Done,
     /*  31573 */ // Label 686: @31573
     /*  31573 */ GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(31605), // Rule ID 5283 //
     /*  31578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  31581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  31584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31592 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$src)  =>  MQPR:{ *:[v4f32] }:$src
     /*  31592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31595 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31597 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31599 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31604 */   // GIR_Coverage, 5283,
     /*  31604 */   GIR_EraseRootFromParent_Done,
     /*  31605 */ // Label 687: @31605
     /*  31605 */ GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(31637), // Rule ID 5296 //
     /*  31610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31624 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v2f64] }:$src)  =>  MQPR:{ *:[v4f32] }:$src
     /*  31624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31627 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31629 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31631 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31636 */   // GIR_Coverage, 5296,
     /*  31636 */   GIR_EraseRootFromParent_Done,
     /*  31637 */ // Label 688: @31637
     /*  31637 */ GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(31669), // Rule ID 5297 //
     /*  31642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31656 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v2i64] }:$src)  =>  MQPR:{ *:[v4f32] }:$src
     /*  31656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31659 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31661 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31663 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31668 */   // GIR_Coverage, 5297,
     /*  31668 */   GIR_EraseRootFromParent_Done,
     /*  31669 */ // Label 689: @31669
     /*  31669 */ GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(31701), // Rule ID 5298 //
     /*  31674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31688 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v8f16] }:$src)  =>  MQPR:{ *:[v4f32] }:$src
     /*  31688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31691 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31693 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31695 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31700 */   // GIR_Coverage, 5298,
     /*  31700 */   GIR_EraseRootFromParent_Done,
     /*  31701 */ // Label 690: @31701
     /*  31701 */ GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(31733), // Rule ID 5299 //
     /*  31706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31720 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v8i16] }:$src)  =>  MQPR:{ *:[v4f32] }:$src
     /*  31720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31723 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31725 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31727 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31732 */   // GIR_Coverage, 5299,
     /*  31732 */   GIR_EraseRootFromParent_Done,
     /*  31733 */ // Label 691: @31733
     /*  31733 */ GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(31765), // Rule ID 5300 //
     /*  31738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  31744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31752 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v16i8] }:$src)  =>  MQPR:{ *:[v4f32] }:$src
     /*  31752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31755 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31757 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31759 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31764 */   // GIR_Coverage, 5300,
     /*  31764 */   GIR_EraseRootFromParent_Done,
     /*  31765 */ // Label 692: @31765
     /*  31765 */ GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(31797), // Rule ID 5301 //
     /*  31770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31784 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v2f64] }:$src)  =>  MQPR:{ *:[v4i32] }:$src
     /*  31784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31787 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31789 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31791 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31796 */   // GIR_Coverage, 5301,
     /*  31796 */   GIR_EraseRootFromParent_Done,
     /*  31797 */ // Label 693: @31797
     /*  31797 */ GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(31829), // Rule ID 5302 //
     /*  31802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31816 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v2i64] }:$src)  =>  MQPR:{ *:[v4i32] }:$src
     /*  31816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31819 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31821 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31823 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31828 */   // GIR_Coverage, 5302,
     /*  31828 */   GIR_EraseRootFromParent_Done,
     /*  31829 */ // Label 694: @31829
     /*  31829 */ GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(31861), // Rule ID 5303 //
     /*  31834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31848 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v8f16] }:$src)  =>  MQPR:{ *:[v4i32] }:$src
     /*  31848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31851 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31853 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31855 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31860 */   // GIR_Coverage, 5303,
     /*  31860 */   GIR_EraseRootFromParent_Done,
     /*  31861 */ // Label 695: @31861
     /*  31861 */ GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(31893), // Rule ID 5304 //
     /*  31866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31880 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$src)  =>  MQPR:{ *:[v4i32] }:$src
     /*  31880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31883 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31885 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31887 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31892 */   // GIR_Coverage, 5304,
     /*  31892 */   GIR_EraseRootFromParent_Done,
     /*  31893 */ // Label 696: @31893
     /*  31893 */ GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(31925), // Rule ID 5305 //
     /*  31898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  31901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  31904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31912 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v16i8] }:$src)  =>  MQPR:{ *:[v4i32] }:$src
     /*  31912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31915 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  31917 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31919 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31924 */   // GIR_Coverage, 5305,
     /*  31924 */   GIR_EraseRootFromParent_Done,
     /*  31925 */ // Label 697: @31925
     /*  31925 */ GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(31983), // Rule ID 5332 //
     /*  31930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  31933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31944 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v2f64] }:$src)  =>  (MVE_VREV64_32:{ *:[v4f32] } MQPR:{ *:[v2f64] }:$src)
     /*  31944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  31947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  31951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  31956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  31959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  31961 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  31963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31966 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31972 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  31978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  31981 */   GIR_RootConstrainSelectedInstOperands,
     /*  31982 */   // GIR_Coverage, 5332,
     /*  31982 */   GIR_EraseRootFromParent_Done,
     /*  31983 */ // Label 698: @31983
     /*  31983 */ GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(32041), // Rule ID 5333 //
     /*  31988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  31991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  31994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  31998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32002 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v2i64] }:$src)  =>  (MVE_VREV64_32:{ *:[v4f32] } MQPR:{ *:[v2i64] }:$src)
     /*  32002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  32017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32019 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32024 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32030 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32039 */   GIR_RootConstrainSelectedInstOperands,
     /*  32040 */   // GIR_Coverage, 5333,
     /*  32040 */   GIR_EraseRootFromParent_Done,
     /*  32041 */ // Label 699: @32041
     /*  32041 */ GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(32099), // Rule ID 5334 //
     /*  32046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32060 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v8f16] }:$src)  =>  (MVE_VREV32_16:{ *:[v4f32] } MQPR:{ *:[v8f16] }:$src)
     /*  32060 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32063 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32067 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  32075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32077 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32082 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32088 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32094 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32097 */   GIR_RootConstrainSelectedInstOperands,
     /*  32098 */   // GIR_Coverage, 5334,
     /*  32098 */   GIR_EraseRootFromParent_Done,
     /*  32099 */ // Label 700: @32099
     /*  32099 */ GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(32157), // Rule ID 5335 //
     /*  32104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32118 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VREV32_16:{ *:[v4f32] } MQPR:{ *:[v8i16] }:$src)
     /*  32118 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32125 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  32133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32135 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32140 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32146 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32155 */   GIR_RootConstrainSelectedInstOperands,
     /*  32156 */   // GIR_Coverage, 5335,
     /*  32156 */   GIR_EraseRootFromParent_Done,
     /*  32157 */ // Label 701: @32157
     /*  32157 */ GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(32215), // Rule ID 5336 //
     /*  32162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  32168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32176 */   // (bitconvert:{ *:[v4f32] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VREV32_8:{ *:[v4f32] } MQPR:{ *:[v16i8] }:$src)
     /*  32176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_8),
     /*  32191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32193 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32198 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32204 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32213 */   GIR_RootConstrainSelectedInstOperands,
     /*  32214 */   // GIR_Coverage, 5336,
     /*  32214 */   GIR_EraseRootFromParent_Done,
     /*  32215 */ // Label 702: @32215
     /*  32215 */ GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(32273), // Rule ID 5337 //
     /*  32220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  32226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32234 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v2f64] }:$src)  =>  (MVE_VREV64_32:{ *:[v4i32] } MQPR:{ *:[v2f64] }:$src)
     /*  32234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  32249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32251 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32256 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32262 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32271 */   GIR_RootConstrainSelectedInstOperands,
     /*  32272 */   // GIR_Coverage, 5337,
     /*  32272 */   GIR_EraseRootFromParent_Done,
     /*  32273 */ // Label 703: @32273
     /*  32273 */ GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(32331), // Rule ID 5338 //
     /*  32278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  32284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32292 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v2i64] }:$src)  =>  (MVE_VREV64_32:{ *:[v4i32] } MQPR:{ *:[v2i64] }:$src)
     /*  32292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_32),
     /*  32307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32309 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32314 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32320 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32329 */   GIR_RootConstrainSelectedInstOperands,
     /*  32330 */   // GIR_Coverage, 5338,
     /*  32330 */   GIR_EraseRootFromParent_Done,
     /*  32331 */ // Label 704: @32331
     /*  32331 */ GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(32389), // Rule ID 5339 //
     /*  32336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32350 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v8f16] }:$src)  =>  (MVE_VREV32_16:{ *:[v4i32] } MQPR:{ *:[v8f16] }:$src)
     /*  32350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  32365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32367 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32372 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32378 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32387 */   GIR_RootConstrainSelectedInstOperands,
     /*  32388 */   // GIR_Coverage, 5339,
     /*  32388 */   GIR_EraseRootFromParent_Done,
     /*  32389 */ // Label 705: @32389
     /*  32389 */ GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(32447), // Rule ID 5340 //
     /*  32394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32408 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VREV32_16:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$src)
     /*  32408 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32411 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32415 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  32423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32425 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32430 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32436 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32442 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32445 */   GIR_RootConstrainSelectedInstOperands,
     /*  32446 */   // GIR_Coverage, 5340,
     /*  32446 */   GIR_EraseRootFromParent_Done,
     /*  32447 */ // Label 706: @32447
     /*  32447 */ GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(32505), // Rule ID 5341 //
     /*  32452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  32455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  32458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  32466 */   // (bitconvert:{ *:[v4i32] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VREV32_8:{ *:[v4i32] } MQPR:{ *:[v16i8] }:$src)
     /*  32466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  32469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  32473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  32478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_8),
     /*  32481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  32483 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32488 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32494 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32500 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  32503 */   GIR_RootConstrainSelectedInstOperands,
     /*  32504 */   // GIR_Coverage, 5341,
     /*  32504 */   GIR_EraseRootFromParent_Done,
     /*  32505 */ // Label 707: @32505
     /*  32505 */ GIM_Reject,
     /*  32506 */ // Label 546: @32506
     /*  32506 */ GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(32538), // Rule ID 2759 //
     /*  32511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  32514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  32517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32525 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[f64] }:$src)  =>  DPR:{ *:[v8i8] }:$src
     /*  32525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32528 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32530 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32532 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  32537 */   // GIR_Coverage, 2759,
     /*  32537 */   GIR_EraseRootFromParent_Done,
     /*  32538 */ // Label 708: @32538
     /*  32538 */ GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(32570), // Rule ID 2760 //
     /*  32543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  32546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  32549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32557 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v1i64] }:$src)  =>  DPR:{ *:[v8i8] }:$src
     /*  32557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32560 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32562 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32564 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  32569 */   // GIR_Coverage, 2760,
     /*  32569 */   GIR_EraseRootFromParent_Done,
     /*  32570 */ // Label 709: @32570
     /*  32570 */ GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(32602), // Rule ID 2761 //
     /*  32575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  32578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  32581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32589 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v2f32] }:$src)  =>  DPR:{ *:[v8i8] }:$src
     /*  32589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32592 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32594 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32596 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  32601 */   // GIR_Coverage, 2761,
     /*  32601 */   GIR_EraseRootFromParent_Done,
     /*  32602 */ // Label 710: @32602
     /*  32602 */ GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(32634), // Rule ID 2762 //
     /*  32607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  32610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  32613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32621 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v2i32] }:$src)  =>  DPR:{ *:[v8i8] }:$src
     /*  32621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32624 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32626 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32628 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  32633 */   // GIR_Coverage, 2762,
     /*  32633 */   GIR_EraseRootFromParent_Done,
     /*  32634 */ // Label 711: @32634
     /*  32634 */ GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(32666), // Rule ID 2763 //
     /*  32639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  32642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  32645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32653 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v4f16] }:$src)  =>  DPR:{ *:[v8i8] }:$src
     /*  32653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32656 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32658 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32660 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  32665 */   // GIR_Coverage, 2763,
     /*  32665 */   GIR_EraseRootFromParent_Done,
     /*  32666 */ // Label 712: @32666
     /*  32666 */ GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(32698), // Rule ID 2764 //
     /*  32671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  32674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  32677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32685 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v4i16] }:$src)  =>  DPR:{ *:[v8i8] }:$src
     /*  32685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32688 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32690 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32692 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::DPRRegClassID),
     /*  32697 */   // GIR_Coverage, 2764,
     /*  32697 */   GIR_EraseRootFromParent_Done,
     /*  32698 */ // Label 713: @32698
     /*  32698 */ GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(32735), // Rule ID 2831 //
     /*  32703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  32706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  32709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32717 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[f64] }:$src)  =>  (VREV64d8:{ *:[v8i8] } DPR:{ *:[f64] }:$src)
     /*  32717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d8),
     /*  32720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  32722 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  32727 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32733 */   GIR_RootConstrainSelectedInstOperands,
     /*  32734 */   // GIR_Coverage, 2831,
     /*  32734 */   GIR_EraseRootFromParent_Done,
     /*  32735 */ // Label 714: @32735
     /*  32735 */ GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(32772), // Rule ID 2832 //
     /*  32740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  32743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  32746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32754 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v1i64] }:$src)  =>  (VREV64d8:{ *:[v8i8] } DPR:{ *:[v1i64] }:$src)
     /*  32754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64d8),
     /*  32757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  32759 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  32764 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32770 */   GIR_RootConstrainSelectedInstOperands,
     /*  32771 */   // GIR_Coverage, 2832,
     /*  32771 */   GIR_EraseRootFromParent_Done,
     /*  32772 */ // Label 715: @32772
     /*  32772 */ GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(32809), // Rule ID 2833 //
     /*  32777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  32780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  32783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32791 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v2f32] }:$src)  =>  (VREV32d8:{ *:[v8i8] } DPR:{ *:[v2f32] }:$src)
     /*  32791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d8),
     /*  32794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  32796 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  32801 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32807 */   GIR_RootConstrainSelectedInstOperands,
     /*  32808 */   // GIR_Coverage, 2833,
     /*  32808 */   GIR_EraseRootFromParent_Done,
     /*  32809 */ // Label 716: @32809
     /*  32809 */ GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(32846), // Rule ID 2834 //
     /*  32814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  32817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  32820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32828 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v2i32] }:$src)  =>  (VREV32d8:{ *:[v8i8] } DPR:{ *:[v2i32] }:$src)
     /*  32828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32d8),
     /*  32831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  32833 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  32838 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32844 */   GIR_RootConstrainSelectedInstOperands,
     /*  32845 */   // GIR_Coverage, 2834,
     /*  32845 */   GIR_EraseRootFromParent_Done,
     /*  32846 */ // Label 717: @32846
     /*  32846 */ GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(32883), // Rule ID 2835 //
     /*  32851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  32854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  32857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32865 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v4f16] }:$src)  =>  (VREV16d8:{ *:[v8i8] } DPR:{ *:[v4f16] }:$src)
     /*  32865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16d8),
     /*  32868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  32870 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  32875 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32881 */   GIR_RootConstrainSelectedInstOperands,
     /*  32882 */   // GIR_Coverage, 2835,
     /*  32882 */   GIR_EraseRootFromParent_Done,
     /*  32883 */ // Label 718: @32883
     /*  32883 */ GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(32920), // Rule ID 2836 //
     /*  32888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  32891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  32894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  32902 */   // (bitconvert:{ *:[v8i8] } DPR:{ *:[v4i16] }:$src)  =>  (VREV16d8:{ *:[v8i8] } DPR:{ *:[v4i16] }:$src)
     /*  32902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16d8),
     /*  32905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  32907 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  32912 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  32918 */   GIR_RootConstrainSelectedInstOperands,
     /*  32919 */   // GIR_Coverage, 2836,
     /*  32919 */   GIR_EraseRootFromParent_Done,
     /*  32920 */ // Label 719: @32920
     /*  32920 */ GIM_Reject,
     /*  32921 */ // Label 547: @32921
     /*  32921 */ GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(32953), // Rule ID 2727 //
     /*  32926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  32936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  32940 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v8f16] }:$src)  =>  QPR:{ *:[v8i16] }:$src
     /*  32940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32943 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32945 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32947 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  32952 */   // GIR_Coverage, 2727,
     /*  32952 */   GIR_EraseRootFromParent_Done,
     /*  32953 */ // Label 720: @32953
     /*  32953 */ GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(32985), // Rule ID 2728 //
     /*  32958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  32968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  32972 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v8i16] }:$src)  =>  QPR:{ *:[v8f16] }:$src
     /*  32972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  32975 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  32977 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  32979 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  32984 */   // GIR_Coverage, 2728,
     /*  32984 */   GIR_EraseRootFromParent_Done,
     /*  32985 */ // Label 721: @32985
     /*  32985 */ GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(33017), // Rule ID 2785 //
     /*  32990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  32993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  32996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33004 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v2f64] }:$src)  =>  QPR:{ *:[v8f16] }:$src
     /*  33004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33007 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33009 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33011 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33016 */   // GIR_Coverage, 2785,
     /*  33016 */   GIR_EraseRootFromParent_Done,
     /*  33017 */ // Label 722: @33017
     /*  33017 */ GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(33049), // Rule ID 2786 //
     /*  33022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33036 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v2i64] }:$src)  =>  QPR:{ *:[v8f16] }:$src
     /*  33036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33039 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33041 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33043 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33048 */   // GIR_Coverage, 2786,
     /*  33048 */   GIR_EraseRootFromParent_Done,
     /*  33049 */ // Label 723: @33049
     /*  33049 */ GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(33081), // Rule ID 2787 //
     /*  33054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33068 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v4f32] }:$src)  =>  QPR:{ *:[v8f16] }:$src
     /*  33068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33071 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33073 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33075 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33080 */   // GIR_Coverage, 2787,
     /*  33080 */   GIR_EraseRootFromParent_Done,
     /*  33081 */ // Label 724: @33081
     /*  33081 */ GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(33113), // Rule ID 2788 //
     /*  33086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33100 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v4i32] }:$src)  =>  QPR:{ *:[v8f16] }:$src
     /*  33100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33103 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33105 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33107 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33112 */   // GIR_Coverage, 2788,
     /*  33112 */   GIR_EraseRootFromParent_Done,
     /*  33113 */ // Label 725: @33113
     /*  33113 */ GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(33145), // Rule ID 2789 //
     /*  33118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33132 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v16i8] }:$src)  =>  QPR:{ *:[v8f16] }:$src
     /*  33132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33135 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33137 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33139 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33144 */   // GIR_Coverage, 2789,
     /*  33144 */   GIR_EraseRootFromParent_Done,
     /*  33145 */ // Label 726: @33145
     /*  33145 */ GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(33177), // Rule ID 2790 //
     /*  33150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33164 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v2f64] }:$src)  =>  QPR:{ *:[v8i16] }:$src
     /*  33164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33167 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33169 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33171 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33176 */   // GIR_Coverage, 2790,
     /*  33176 */   GIR_EraseRootFromParent_Done,
     /*  33177 */ // Label 727: @33177
     /*  33177 */ GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(33209), // Rule ID 2791 //
     /*  33182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33196 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v2i64] }:$src)  =>  QPR:{ *:[v8i16] }:$src
     /*  33196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33199 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33201 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33203 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33208 */   // GIR_Coverage, 2791,
     /*  33208 */   GIR_EraseRootFromParent_Done,
     /*  33209 */ // Label 728: @33209
     /*  33209 */ GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(33241), // Rule ID 2792 //
     /*  33214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33228 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v4f32] }:$src)  =>  QPR:{ *:[v8i16] }:$src
     /*  33228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33231 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33233 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33235 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33240 */   // GIR_Coverage, 2792,
     /*  33240 */   GIR_EraseRootFromParent_Done,
     /*  33241 */ // Label 729: @33241
     /*  33241 */ GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(33273), // Rule ID 2793 //
     /*  33246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33260 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v4i32] }:$src)  =>  QPR:{ *:[v8i16] }:$src
     /*  33260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33263 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33265 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33267 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33272 */   // GIR_Coverage, 2793,
     /*  33272 */   GIR_EraseRootFromParent_Done,
     /*  33273 */ // Label 730: @33273
     /*  33273 */ GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(33305), // Rule ID 2794 //
     /*  33278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  33281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33292 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v16i8] }:$src)  =>  QPR:{ *:[v8i16] }:$src
     /*  33292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33295 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33297 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33299 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  33304 */   // GIR_Coverage, 2794,
     /*  33304 */   GIR_EraseRootFromParent_Done,
     /*  33305 */ // Label 731: @33305
     /*  33305 */ GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(33342), // Rule ID 2857 //
     /*  33310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33324 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v2f64] }:$src)  =>  (VREV64q16:{ *:[v8f16] } QPR:{ *:[v2f64] }:$src)
     /*  33324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  33327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33329 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33334 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33340 */   GIR_RootConstrainSelectedInstOperands,
     /*  33341 */   // GIR_Coverage, 2857,
     /*  33341 */   GIR_EraseRootFromParent_Done,
     /*  33342 */ // Label 732: @33342
     /*  33342 */ GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(33379), // Rule ID 2858 //
     /*  33347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33361 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v2i64] }:$src)  =>  (VREV64q16:{ *:[v8f16] } QPR:{ *:[v2i64] }:$src)
     /*  33361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  33364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33366 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33371 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33377 */   GIR_RootConstrainSelectedInstOperands,
     /*  33378 */   // GIR_Coverage, 2858,
     /*  33378 */   GIR_EraseRootFromParent_Done,
     /*  33379 */ // Label 733: @33379
     /*  33379 */ GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(33416), // Rule ID 2859 //
     /*  33384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33398 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v4f32] }:$src)  =>  (VREV32q16:{ *:[v8f16] } QPR:{ *:[v4f32] }:$src)
     /*  33398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  33401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33403 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33408 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33414 */   GIR_RootConstrainSelectedInstOperands,
     /*  33415 */   // GIR_Coverage, 2859,
     /*  33415 */   GIR_EraseRootFromParent_Done,
     /*  33416 */ // Label 734: @33416
     /*  33416 */ GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(33453), // Rule ID 2860 //
     /*  33421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33435 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v4i32] }:$src)  =>  (VREV32q16:{ *:[v8f16] } QPR:{ *:[v4i32] }:$src)
     /*  33435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  33438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33440 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33445 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33451 */   GIR_RootConstrainSelectedInstOperands,
     /*  33452 */   // GIR_Coverage, 2860,
     /*  33452 */   GIR_EraseRootFromParent_Done,
     /*  33453 */ // Label 735: @33453
     /*  33453 */ GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(33490), // Rule ID 2861 //
     /*  33458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33472 */   // (bitconvert:{ *:[v8f16] } QPR:{ *:[v16i8] }:$src)  =>  (VREV16q8:{ *:[v8f16] } QPR:{ *:[v16i8] }:$src)
     /*  33472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16q8),
     /*  33475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33477 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33482 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33488 */   GIR_RootConstrainSelectedInstOperands,
     /*  33489 */   // GIR_Coverage, 2861,
     /*  33489 */   GIR_EraseRootFromParent_Done,
     /*  33490 */ // Label 736: @33490
     /*  33490 */ GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(33527), // Rule ID 2862 //
     /*  33495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33509 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v2f64] }:$src)  =>  (VREV64q16:{ *:[v8i16] } QPR:{ *:[v2f64] }:$src)
     /*  33509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  33512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33514 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33519 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33525 */   GIR_RootConstrainSelectedInstOperands,
     /*  33526 */   // GIR_Coverage, 2862,
     /*  33526 */   GIR_EraseRootFromParent_Done,
     /*  33527 */ // Label 737: @33527
     /*  33527 */ GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(33564), // Rule ID 2863 //
     /*  33532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33546 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v2i64] }:$src)  =>  (VREV64q16:{ *:[v8i16] } QPR:{ *:[v2i64] }:$src)
     /*  33546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q16),
     /*  33549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33551 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33556 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33562 */   GIR_RootConstrainSelectedInstOperands,
     /*  33563 */   // GIR_Coverage, 2863,
     /*  33563 */   GIR_EraseRootFromParent_Done,
     /*  33564 */ // Label 738: @33564
     /*  33564 */ GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(33601), // Rule ID 2864 //
     /*  33569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33583 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v4f32] }:$src)  =>  (VREV32q16:{ *:[v8i16] } QPR:{ *:[v4f32] }:$src)
     /*  33583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  33586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33588 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33593 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33599 */   GIR_RootConstrainSelectedInstOperands,
     /*  33600 */   // GIR_Coverage, 2864,
     /*  33600 */   GIR_EraseRootFromParent_Done,
     /*  33601 */ // Label 739: @33601
     /*  33601 */ GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(33638), // Rule ID 2865 //
     /*  33606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33620 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v4i32] }:$src)  =>  (VREV32q16:{ *:[v8i16] } QPR:{ *:[v4i32] }:$src)
     /*  33620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q16),
     /*  33623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33625 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33630 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33636 */   GIR_RootConstrainSelectedInstOperands,
     /*  33637 */   // GIR_Coverage, 2865,
     /*  33637 */   GIR_EraseRootFromParent_Done,
     /*  33638 */ // Label 740: @33638
     /*  33638 */ GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(33675), // Rule ID 2866 //
     /*  33643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  33646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  33657 */   // (bitconvert:{ *:[v8i16] } QPR:{ *:[v16i8] }:$src)  =>  (VREV16q8:{ *:[v8i16] } QPR:{ *:[v16i8] }:$src)
     /*  33657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16q8),
     /*  33660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  33662 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  33667 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  33673 */   GIR_RootConstrainSelectedInstOperands,
     /*  33674 */   // GIR_Coverage, 2866,
     /*  33674 */   GIR_EraseRootFromParent_Done,
     /*  33675 */ // Label 741: @33675
     /*  33675 */ GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(33707), // Rule ID 5284 //
     /*  33680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  33683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33694 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$src)  =>  MQPR:{ *:[v8i16] }:$src
     /*  33694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33697 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33699 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33701 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33706 */   // GIR_Coverage, 5284,
     /*  33706 */   GIR_EraseRootFromParent_Done,
     /*  33707 */ // Label 742: @33707
     /*  33707 */ GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(33739), // Rule ID 5285 //
     /*  33712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  33715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33726 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v8i16] }:$src)  =>  MQPR:{ *:[v8f16] }:$src
     /*  33726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33729 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33731 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33733 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33738 */   // GIR_Coverage, 5285,
     /*  33738 */   GIR_EraseRootFromParent_Done,
     /*  33739 */ // Label 743: @33739
     /*  33739 */ GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(33771), // Rule ID 5306 //
     /*  33744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33758 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v2f64] }:$src)  =>  MQPR:{ *:[v8f16] }:$src
     /*  33758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33761 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33763 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33765 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33770 */   // GIR_Coverage, 5306,
     /*  33770 */   GIR_EraseRootFromParent_Done,
     /*  33771 */ // Label 744: @33771
     /*  33771 */ GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(33803), // Rule ID 5307 //
     /*  33776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33790 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v2i64] }:$src)  =>  MQPR:{ *:[v8f16] }:$src
     /*  33790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33793 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33795 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33797 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33802 */   // GIR_Coverage, 5307,
     /*  33802 */   GIR_EraseRootFromParent_Done,
     /*  33803 */ // Label 745: @33803
     /*  33803 */ GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(33835), // Rule ID 5308 //
     /*  33808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33822 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v4f32] }:$src)  =>  MQPR:{ *:[v8f16] }:$src
     /*  33822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33825 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33827 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33829 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33834 */   // GIR_Coverage, 5308,
     /*  33834 */   GIR_EraseRootFromParent_Done,
     /*  33835 */ // Label 746: @33835
     /*  33835 */ GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(33867), // Rule ID 5309 //
     /*  33840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33854 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v4i32] }:$src)  =>  MQPR:{ *:[v8f16] }:$src
     /*  33854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33857 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33859 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33861 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33866 */   // GIR_Coverage, 5309,
     /*  33866 */   GIR_EraseRootFromParent_Done,
     /*  33867 */ // Label 747: @33867
     /*  33867 */ GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(33899), // Rule ID 5310 //
     /*  33872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33886 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v16i8] }:$src)  =>  MQPR:{ *:[v8f16] }:$src
     /*  33886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33889 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33891 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33893 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33898 */   // GIR_Coverage, 5310,
     /*  33898 */   GIR_EraseRootFromParent_Done,
     /*  33899 */ // Label 748: @33899
     /*  33899 */ GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(33931), // Rule ID 5311 //
     /*  33904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33918 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v2f64] }:$src)  =>  MQPR:{ *:[v8i16] }:$src
     /*  33918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33921 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33923 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33925 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33930 */   // GIR_Coverage, 5311,
     /*  33930 */   GIR_EraseRootFromParent_Done,
     /*  33931 */ // Label 749: @33931
     /*  33931 */ GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(33963), // Rule ID 5312 //
     /*  33936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  33942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33950 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v2i64] }:$src)  =>  MQPR:{ *:[v8i16] }:$src
     /*  33950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33953 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33955 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33957 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33962 */   // GIR_Coverage, 5312,
     /*  33962 */   GIR_EraseRootFromParent_Done,
     /*  33963 */ // Label 750: @33963
     /*  33963 */ GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(33995), // Rule ID 5313 //
     /*  33968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  33971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  33974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33982 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v4f32] }:$src)  =>  MQPR:{ *:[v8i16] }:$src
     /*  33982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33985 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  33987 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  33989 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  33994 */   // GIR_Coverage, 5313,
     /*  33994 */   GIR_EraseRootFromParent_Done,
     /*  33995 */ // Label 751: @33995
     /*  33995 */ GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(34027), // Rule ID 5314 //
     /*  34000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  34003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34014 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v4i32] }:$src)  =>  MQPR:{ *:[v8i16] }:$src
     /*  34014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34017 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34019 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34021 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34026 */   // GIR_Coverage, 5314,
     /*  34026 */   GIR_EraseRootFromParent_Done,
     /*  34027 */ // Label 752: @34027
     /*  34027 */ GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(34059), // Rule ID 5315 //
     /*  34032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  34035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34046 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$src)  =>  MQPR:{ *:[v8i16] }:$src
     /*  34046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34049 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34051 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34053 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34058 */   // GIR_Coverage, 5315,
     /*  34058 */   GIR_EraseRootFromParent_Done,
     /*  34059 */ // Label 753: @34059
     /*  34059 */ GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(34117), // Rule ID 5342 //
     /*  34064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34078 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v2f64] }:$src)  =>  (MVE_VREV64_16:{ *:[v8f16] } MQPR:{ *:[v2f64] }:$src)
     /*  34078 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34081 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34085 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  34093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34095 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34100 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34106 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34115 */   GIR_RootConstrainSelectedInstOperands,
     /*  34116 */   // GIR_Coverage, 5342,
     /*  34116 */   GIR_EraseRootFromParent_Done,
     /*  34117 */ // Label 754: @34117
     /*  34117 */ GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(34175), // Rule ID 5343 //
     /*  34122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34136 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v2i64] }:$src)  =>  (MVE_VREV64_16:{ *:[v8f16] } MQPR:{ *:[v2i64] }:$src)
     /*  34136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  34151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34153 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34158 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34164 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34170 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34173 */   GIR_RootConstrainSelectedInstOperands,
     /*  34174 */   // GIR_Coverage, 5343,
     /*  34174 */   GIR_EraseRootFromParent_Done,
     /*  34175 */ // Label 755: @34175
     /*  34175 */ GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(34233), // Rule ID 5344 //
     /*  34180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34194 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v4f32] }:$src)  =>  (MVE_VREV32_16:{ *:[v8f16] } MQPR:{ *:[v4f32] }:$src)
     /*  34194 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34197 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34201 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  34209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34211 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34216 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34222 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34231 */   GIR_RootConstrainSelectedInstOperands,
     /*  34232 */   // GIR_Coverage, 5344,
     /*  34232 */   GIR_EraseRootFromParent_Done,
     /*  34233 */ // Label 756: @34233
     /*  34233 */ GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(34291), // Rule ID 5345 //
     /*  34238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34252 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VREV32_16:{ *:[v8f16] } MQPR:{ *:[v4i32] }:$src)
     /*  34252 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34255 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34259 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  34267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34269 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34274 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34280 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34286 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34289 */   GIR_RootConstrainSelectedInstOperands,
     /*  34290 */   // GIR_Coverage, 5345,
     /*  34290 */   GIR_EraseRootFromParent_Done,
     /*  34291 */ // Label 757: @34291
     /*  34291 */ GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(34349), // Rule ID 5346 //
     /*  34296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34310 */   // (bitconvert:{ *:[v8f16] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VREV16_8:{ *:[v8f16] } MQPR:{ *:[v16i8] }:$src)
     /*  34310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV16_8),
     /*  34325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34327 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34332 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34338 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34344 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34347 */   GIR_RootConstrainSelectedInstOperands,
     /*  34348 */   // GIR_Coverage, 5346,
     /*  34348 */   GIR_EraseRootFromParent_Done,
     /*  34349 */ // Label 758: @34349
     /*  34349 */ GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(34407), // Rule ID 5347 //
     /*  34354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34368 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v2f64] }:$src)  =>  (MVE_VREV64_16:{ *:[v8i16] } MQPR:{ *:[v2f64] }:$src)
     /*  34368 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34371 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34375 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  34383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34385 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34390 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34396 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34402 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34405 */   GIR_RootConstrainSelectedInstOperands,
     /*  34406 */   // GIR_Coverage, 5347,
     /*  34406 */   GIR_EraseRootFromParent_Done,
     /*  34407 */ // Label 759: @34407
     /*  34407 */ GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(34465), // Rule ID 5348 //
     /*  34412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34426 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v2i64] }:$src)  =>  (MVE_VREV64_16:{ *:[v8i16] } MQPR:{ *:[v2i64] }:$src)
     /*  34426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_16),
     /*  34441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34443 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34448 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34454 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34463 */   GIR_RootConstrainSelectedInstOperands,
     /*  34464 */   // GIR_Coverage, 5348,
     /*  34464 */   GIR_EraseRootFromParent_Done,
     /*  34465 */ // Label 760: @34465
     /*  34465 */ GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(34523), // Rule ID 5349 //
     /*  34470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34484 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v4f32] }:$src)  =>  (MVE_VREV32_16:{ *:[v8i16] } MQPR:{ *:[v4f32] }:$src)
     /*  34484 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34487 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34491 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  34499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34501 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34506 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34512 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34521 */   GIR_RootConstrainSelectedInstOperands,
     /*  34522 */   // GIR_Coverage, 5349,
     /*  34522 */   GIR_EraseRootFromParent_Done,
     /*  34523 */ // Label 761: @34523
     /*  34523 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(34581), // Rule ID 5350 //
     /*  34528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34542 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VREV32_16:{ *:[v8i16] } MQPR:{ *:[v4i32] }:$src)
     /*  34542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_16),
     /*  34557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34559 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34564 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34570 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34579 */   GIR_RootConstrainSelectedInstOperands,
     /*  34580 */   // GIR_Coverage, 5350,
     /*  34580 */   GIR_EraseRootFromParent_Done,
     /*  34581 */ // Label 762: @34581
     /*  34581 */ GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(34639), // Rule ID 5351 //
     /*  34586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  34589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  34600 */   // (bitconvert:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VREV16_8:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$src)
     /*  34600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  34603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV16_8),
     /*  34615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  34617 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34622 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34628 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34637 */   GIR_RootConstrainSelectedInstOperands,
     /*  34638 */   // GIR_Coverage, 5351,
     /*  34638 */   GIR_EraseRootFromParent_Done,
     /*  34639 */ // Label 763: @34639
     /*  34639 */ GIM_Reject,
     /*  34640 */ // Label 548: @34640
     /*  34640 */ GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(34672), // Rule ID 2795 //
     /*  34645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  34648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34659 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v2f64] }:$src)  =>  QPR:{ *:[v16i8] }:$src
     /*  34659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34662 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34664 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34666 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  34671 */   // GIR_Coverage, 2795,
     /*  34671 */   GIR_EraseRootFromParent_Done,
     /*  34672 */ // Label 764: @34672
     /*  34672 */ GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(34704), // Rule ID 2796 //
     /*  34677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  34680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34691 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v2i64] }:$src)  =>  QPR:{ *:[v16i8] }:$src
     /*  34691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34694 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34696 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34698 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  34703 */   // GIR_Coverage, 2796,
     /*  34703 */   GIR_EraseRootFromParent_Done,
     /*  34704 */ // Label 765: @34704
     /*  34704 */ GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(34736), // Rule ID 2797 //
     /*  34709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  34712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34723 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v4f32] }:$src)  =>  QPR:{ *:[v16i8] }:$src
     /*  34723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34726 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34728 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34730 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  34735 */   // GIR_Coverage, 2797,
     /*  34735 */   GIR_EraseRootFromParent_Done,
     /*  34736 */ // Label 766: @34736
     /*  34736 */ GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(34768), // Rule ID 2798 //
     /*  34741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  34744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34755 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v4i32] }:$src)  =>  QPR:{ *:[v16i8] }:$src
     /*  34755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34758 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34760 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34762 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  34767 */   // GIR_Coverage, 2798,
     /*  34767 */   GIR_EraseRootFromParent_Done,
     /*  34768 */ // Label 767: @34768
     /*  34768 */ GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(34800), // Rule ID 2799 //
     /*  34773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  34776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34787 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v8f16] }:$src)  =>  QPR:{ *:[v16i8] }:$src
     /*  34787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34790 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34792 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34794 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  34799 */   // GIR_Coverage, 2799,
     /*  34799 */   GIR_EraseRootFromParent_Done,
     /*  34800 */ // Label 768: @34800
     /*  34800 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(34832), // Rule ID 2800 //
     /*  34805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsLE),
     /*  34808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34819 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v8i16] }:$src)  =>  QPR:{ *:[v16i8] }:$src
     /*  34819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34822 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  34824 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34826 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::QPRRegClassID),
     /*  34831 */   // GIR_Coverage, 2800,
     /*  34831 */   GIR_EraseRootFromParent_Done,
     /*  34832 */ // Label 769: @34832
     /*  34832 */ GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(34869), // Rule ID 2867 //
     /*  34837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  34840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34851 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v2f64] }:$src)  =>  (VREV64q8:{ *:[v16i8] } QPR:{ *:[v2f64] }:$src)
     /*  34851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q8),
     /*  34854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  34856 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  34861 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34867 */   GIR_RootConstrainSelectedInstOperands,
     /*  34868 */   // GIR_Coverage, 2867,
     /*  34868 */   GIR_EraseRootFromParent_Done,
     /*  34869 */ // Label 770: @34869
     /*  34869 */ GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(34906), // Rule ID 2868 //
     /*  34874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  34877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  34880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34888 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v2i64] }:$src)  =>  (VREV64q8:{ *:[v16i8] } QPR:{ *:[v2i64] }:$src)
     /*  34888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV64q8),
     /*  34891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  34893 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  34898 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34904 */   GIR_RootConstrainSelectedInstOperands,
     /*  34905 */   // GIR_Coverage, 2868,
     /*  34905 */   GIR_EraseRootFromParent_Done,
     /*  34906 */ // Label 771: @34906
     /*  34906 */ GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(34943), // Rule ID 2869 //
     /*  34911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  34914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34925 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v4f32] }:$src)  =>  (VREV32q8:{ *:[v16i8] } QPR:{ *:[v4f32] }:$src)
     /*  34925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q8),
     /*  34928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  34930 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  34935 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34941 */   GIR_RootConstrainSelectedInstOperands,
     /*  34942 */   // GIR_Coverage, 2869,
     /*  34942 */   GIR_EraseRootFromParent_Done,
     /*  34943 */ // Label 772: @34943
     /*  34943 */ GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(34980), // Rule ID 2870 //
     /*  34948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  34951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  34954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34962 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v4i32] }:$src)  =>  (VREV32q8:{ *:[v16i8] } QPR:{ *:[v4i32] }:$src)
     /*  34962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV32q8),
     /*  34965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  34967 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  34969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  34972 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  34978 */   GIR_RootConstrainSelectedInstOperands,
     /*  34979 */   // GIR_Coverage, 2870,
     /*  34979 */   GIR_EraseRootFromParent_Done,
     /*  34980 */ // Label 773: @34980
     /*  34980 */ GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(35017), // Rule ID 2871 //
     /*  34985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  34988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  34999 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v8f16] }:$src)  =>  (VREV16q8:{ *:[v16i8] } QPR:{ *:[v8f16] }:$src)
     /*  34999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16q8),
     /*  35002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  35004 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  35009 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35015 */   GIR_RootConstrainSelectedInstOperands,
     /*  35016 */   // GIR_Coverage, 2871,
     /*  35016 */   GIR_EraseRootFromParent_Done,
     /*  35017 */ // Label 774: @35017
     /*  35017 */ GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(35054), // Rule ID 2872 //
     /*  35022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_IsBE),
     /*  35025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  35028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  35032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  35036 */   // (bitconvert:{ *:[v16i8] } QPR:{ *:[v8i16] }:$src)  =>  (VREV16q8:{ *:[v16i8] } QPR:{ *:[v8i16] }:$src)
     /*  35036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VREV16q8),
     /*  35039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  35041 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  35046 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35052 */   GIR_RootConstrainSelectedInstOperands,
     /*  35053 */   // GIR_Coverage, 2872,
     /*  35053 */   GIR_EraseRootFromParent_Done,
     /*  35054 */ // Label 775: @35054
     /*  35054 */ GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(35086), // Rule ID 5316 //
     /*  35059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  35062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35073 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v2f64] }:$src)  =>  MQPR:{ *:[v16i8] }:$src
     /*  35073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35076 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  35078 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35080 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35085 */   // GIR_Coverage, 5316,
     /*  35085 */   GIR_EraseRootFromParent_Done,
     /*  35086 */ // Label 776: @35086
     /*  35086 */ GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(35118), // Rule ID 5317 //
     /*  35091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  35094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35105 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v2i64] }:$src)  =>  MQPR:{ *:[v16i8] }:$src
     /*  35105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35108 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  35110 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35112 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35117 */   // GIR_Coverage, 5317,
     /*  35117 */   GIR_EraseRootFromParent_Done,
     /*  35118 */ // Label 777: @35118
     /*  35118 */ GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(35150), // Rule ID 5318 //
     /*  35123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  35126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  35129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35137 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v4f32] }:$src)  =>  MQPR:{ *:[v16i8] }:$src
     /*  35137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35140 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  35142 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35144 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35149 */   // GIR_Coverage, 5318,
     /*  35149 */   GIR_EraseRootFromParent_Done,
     /*  35150 */ // Label 778: @35150
     /*  35150 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(35182), // Rule ID 5319 //
     /*  35155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  35158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  35161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35169 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v4i32] }:$src)  =>  MQPR:{ *:[v16i8] }:$src
     /*  35169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35172 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  35174 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35176 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35181 */   // GIR_Coverage, 5319,
     /*  35181 */   GIR_EraseRootFromParent_Done,
     /*  35182 */ // Label 779: @35182
     /*  35182 */ GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(35214), // Rule ID 5320 //
     /*  35187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  35190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  35193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35201 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v8f16] }:$src)  =>  MQPR:{ *:[v16i8] }:$src
     /*  35201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35204 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  35206 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35208 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35213 */   // GIR_Coverage, 5320,
     /*  35213 */   GIR_EraseRootFromParent_Done,
     /*  35214 */ // Label 780: @35214
     /*  35214 */ GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(35246), // Rule ID 5321 //
     /*  35219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsLE),
     /*  35222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  35225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35233 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v8i16] }:$src)  =>  MQPR:{ *:[v16i8] }:$src
     /*  35233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35236 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  35238 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35240 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35245 */   // GIR_Coverage, 5321,
     /*  35245 */   GIR_EraseRootFromParent_Done,
     /*  35246 */ // Label 781: @35246
     /*  35246 */ GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(35304), // Rule ID 5352 //
     /*  35251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  35254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35265 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v2f64] }:$src)  =>  (MVE_VREV64_8:{ *:[v16i8] } MQPR:{ *:[v2f64] }:$src)
     /*  35265 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35268 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35272 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_8),
     /*  35280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35282 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35287 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35293 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35299 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35302 */   GIR_RootConstrainSelectedInstOperands,
     /*  35303 */   // GIR_Coverage, 5352,
     /*  35303 */   GIR_EraseRootFromParent_Done,
     /*  35304 */ // Label 782: @35304
     /*  35304 */ GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(35362), // Rule ID 5353 //
     /*  35309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  35312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35323 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v2i64] }:$src)  =>  (MVE_VREV64_8:{ *:[v16i8] } MQPR:{ *:[v2i64] }:$src)
     /*  35323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV64_8),
     /*  35338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35340 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35345 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35351 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35360 */   GIR_RootConstrainSelectedInstOperands,
     /*  35361 */   // GIR_Coverage, 5353,
     /*  35361 */   GIR_EraseRootFromParent_Done,
     /*  35362 */ // Label 783: @35362
     /*  35362 */ GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(35420), // Rule ID 5354 //
     /*  35367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  35370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  35373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35381 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v4f32] }:$src)  =>  (MVE_VREV32_8:{ *:[v16i8] } MQPR:{ *:[v4f32] }:$src)
     /*  35381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_8),
     /*  35396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35398 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35403 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35409 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35415 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35418 */   GIR_RootConstrainSelectedInstOperands,
     /*  35419 */   // GIR_Coverage, 5354,
     /*  35419 */   GIR_EraseRootFromParent_Done,
     /*  35420 */ // Label 784: @35420
     /*  35420 */ GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(35478), // Rule ID 5355 //
     /*  35425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  35428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  35431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35439 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VREV32_8:{ *:[v16i8] } MQPR:{ *:[v4i32] }:$src)
     /*  35439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_8),
     /*  35454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35456 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35461 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35467 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35476 */   GIR_RootConstrainSelectedInstOperands,
     /*  35477 */   // GIR_Coverage, 5355,
     /*  35477 */   GIR_EraseRootFromParent_Done,
     /*  35478 */ // Label 785: @35478
     /*  35478 */ GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(35536), // Rule ID 5356 //
     /*  35483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  35486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  35489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35497 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v8f16] }:$src)  =>  (MVE_VREV16_8:{ *:[v16i8] } MQPR:{ *:[v8f16] }:$src)
     /*  35497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV16_8),
     /*  35512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35514 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35519 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35525 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35534 */   GIR_RootConstrainSelectedInstOperands,
     /*  35535 */   // GIR_Coverage, 5356,
     /*  35535 */   GIR_EraseRootFromParent_Done,
     /*  35536 */ // Label 786: @35536
     /*  35536 */ GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(35594), // Rule ID 5357 //
     /*  35541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_IsBE),
     /*  35544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  35547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35555 */   // (bitconvert:{ *:[v16i8] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VREV16_8:{ *:[v16i8] } MQPR:{ *:[v8i16] }:$src)
     /*  35555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV16_8),
     /*  35570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35572 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  35574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35577 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35583 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35589 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35592 */   GIR_RootConstrainSelectedInstOperands,
     /*  35593 */   // GIR_Coverage, 5357,
     /*  35593 */   GIR_EraseRootFromParent_Done,
     /*  35594 */ // Label 787: @35594
     /*  35594 */ GIM_Reject,
     /*  35595 */ // Label 549: @35595
     /*  35595 */ GIM_Reject,
     /*  35596 */ // Label 10: @35596
     /*  35596 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 795*/ GIMT_Encode4(36003),
     /*  35607 */ /*GILLT_s16*//*Label 788*/ GIMT_Encode4(35659),
     /*  35611 */ /*GILLT_s32*//*Label 789*/ GIMT_Encode4(35697),
     /*  35615 */ /*GILLT_s64*//*Label 790*/ GIMT_Encode4(35735), GIMT_Encode4(0),
     /*  35623 */ /*GILLT_v2s32*//*Label 791*/ GIMT_Encode4(35773), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  35635 */ /*GILLT_v4s16*//*Label 792*/ GIMT_Encode4(35800),
     /*  35639 */ /*GILLT_v4s32*//*Label 793*/ GIMT_Encode4(35827), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  35655 */ /*GILLT_v8s16*//*Label 794*/ GIMT_Encode4(35915),
     /*  35659 */ // Label 788: @35659
     /*  35659 */ GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(35696), // Rule ID 665 //
     /*  35664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  35667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  35670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  35674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  35678 */   // (ftrunc:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VRINTZH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /*  35678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTZH),
     /*  35681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /*  35683 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /*  35685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  35688 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35694 */   GIR_RootConstrainSelectedInstOperands,
     /*  35695 */   // GIR_Coverage, 665,
     /*  35695 */   GIR_EraseRootFromParent_Done,
     /*  35696 */ // Label 796: @35696
     /*  35696 */ GIM_Reject,
     /*  35697 */ // Label 789: @35697
     /*  35697 */ GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(35734), // Rule ID 666 //
     /*  35702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  35705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  35708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  35712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  35716 */   // (ftrunc:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VRINTZS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /*  35716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTZS),
     /*  35719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /*  35721 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /*  35723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  35726 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35732 */   GIR_RootConstrainSelectedInstOperands,
     /*  35733 */   // GIR_Coverage, 666,
     /*  35733 */   GIR_EraseRootFromParent_Done,
     /*  35734 */ // Label 797: @35734
     /*  35734 */ GIM_Reject,
     /*  35735 */ // Label 790: @35735
     /*  35735 */ GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(35772), // Rule ID 667 //
     /*  35740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /*  35743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  35746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  35750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  35754 */   // (ftrunc:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VRINTZD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /*  35754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTZD),
     /*  35757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /*  35759 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /*  35761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  35764 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35770 */   GIR_RootConstrainSelectedInstOperands,
     /*  35771 */   // GIR_Coverage, 667,
     /*  35771 */   GIR_EraseRootFromParent_Done,
     /*  35772 */ // Label 798: @35772
     /*  35772 */ GIM_Reject,
     /*  35773 */ // Label 791: @35773
     /*  35773 */ GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(35799), // Rule ID 1700 //
     /*  35778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  35781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  35784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  35788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  35792 */   // (ftrunc:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VRINTZNDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /*  35792 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTZNDf),
     /*  35797 */   GIR_RootConstrainSelectedInstOperands,
     /*  35798 */   // GIR_Coverage, 1700,
     /*  35798 */   GIR_Done,
     /*  35799 */ // Label 799: @35799
     /*  35799 */ GIM_Reject,
     /*  35800 */ // Label 792: @35800
     /*  35800 */ GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(35826), // Rule ID 1702 //
     /*  35805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  35808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  35811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  35815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  35819 */   // (ftrunc:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VRINTZNDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /*  35819 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTZNDh),
     /*  35824 */   GIR_RootConstrainSelectedInstOperands,
     /*  35825 */   // GIR_Coverage, 1702,
     /*  35825 */   GIR_Done,
     /*  35826 */ // Label 800: @35826
     /*  35826 */ GIM_Reject,
     /*  35827 */ // Label 793: @35827
     /*  35827 */ GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(35914),
     /*  35832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  35835 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(35858), // Rule ID 1701 //
     /*  35840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  35843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  35847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  35851 */     // (ftrunc:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VRINTZNQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /*  35851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTZNQf),
     /*  35856 */     GIR_RootConstrainSelectedInstOperands,
     /*  35857 */     // GIR_Coverage, 1701,
     /*  35857 */     GIR_Done,
     /*  35858 */   // Label 802: @35858
     /*  35858 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(35913), // Rule ID 3979 //
     /*  35863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  35866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35874 */     // (ftrunc:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)  =>  (MVE_VRINTf32Z:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)
     /*  35874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf32Z),
     /*  35889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35891 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  35893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35911 */     GIR_RootConstrainSelectedInstOperands,
     /*  35912 */     // GIR_Coverage, 3979,
     /*  35912 */     GIR_EraseRootFromParent_Done,
     /*  35913 */   // Label 803: @35913
     /*  35913 */   GIM_Reject,
     /*  35914 */ // Label 801: @35914
     /*  35914 */ GIM_Reject,
     /*  35915 */ // Label 794: @35915
     /*  35915 */ GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(36002),
     /*  35920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  35923 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(35946), // Rule ID 1703 //
     /*  35928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  35931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  35935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  35939 */     // (ftrunc:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VRINTZNQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /*  35939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTZNQh),
     /*  35944 */     GIR_RootConstrainSelectedInstOperands,
     /*  35945 */     // GIR_Coverage, 1703,
     /*  35945 */     GIR_Done,
     /*  35946 */   // Label 805: @35946
     /*  35946 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(36001), // Rule ID 3967 //
     /*  35951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  35954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  35962 */     // (ftrunc:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)  =>  (MVE_VRINTf16Z:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)
     /*  35962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  35965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf16Z),
     /*  35977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  35979 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  35981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  35984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35999 */     GIR_RootConstrainSelectedInstOperands,
     /*  36000 */     // GIR_Coverage, 3967,
     /*  36000 */     GIR_EraseRootFromParent_Done,
     /*  36001 */   // Label 806: @36001
     /*  36001 */   GIM_Reject,
     /*  36002 */ // Label 804: @36002
     /*  36002 */ GIM_Reject,
     /*  36003 */ // Label 795: @36003
     /*  36003 */ GIM_Reject,
     /*  36004 */ // Label 11: @36004
     /*  36004 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 814*/ GIMT_Encode4(36378),
     /*  36015 */ /*GILLT_s16*//*Label 807*/ GIMT_Encode4(36067),
     /*  36019 */ /*GILLT_s32*//*Label 808*/ GIMT_Encode4(36094),
     /*  36023 */ /*GILLT_s64*//*Label 809*/ GIMT_Encode4(36121), GIMT_Encode4(0),
     /*  36031 */ /*GILLT_v2s32*//*Label 810*/ GIMT_Encode4(36148), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36043 */ /*GILLT_v4s16*//*Label 811*/ GIMT_Encode4(36175),
     /*  36047 */ /*GILLT_v4s32*//*Label 812*/ GIMT_Encode4(36202), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36063 */ /*GILLT_v8s16*//*Label 813*/ GIMT_Encode4(36290),
     /*  36067 */ // Label 807: @36067
     /*  36067 */ GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(36093), // Rule ID 674 //
     /*  36072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  36075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  36078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  36082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  36086 */   // (fround:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VRINTAH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /*  36086 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTAH),
     /*  36091 */   GIR_RootConstrainSelectedInstOperands,
     /*  36092 */   // GIR_Coverage, 674,
     /*  36092 */   GIR_Done,
     /*  36093 */ // Label 815: @36093
     /*  36093 */ GIM_Reject,
     /*  36094 */ // Label 808: @36094
     /*  36094 */ GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(36120), // Rule ID 675 //
     /*  36099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  36102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  36105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  36109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  36113 */   // (fround:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VRINTAS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /*  36113 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTAS),
     /*  36118 */   GIR_RootConstrainSelectedInstOperands,
     /*  36119 */   // GIR_Coverage, 675,
     /*  36119 */   GIR_Done,
     /*  36120 */ // Label 816: @36120
     /*  36120 */ GIM_Reject,
     /*  36121 */ // Label 809: @36121
     /*  36121 */ GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(36147), // Rule ID 676 //
     /*  36126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /*  36129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  36132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36140 */   // (fround:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VRINTAD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /*  36140 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTAD),
     /*  36145 */   GIR_RootConstrainSelectedInstOperands,
     /*  36146 */   // GIR_Coverage, 676,
     /*  36146 */   GIR_Done,
     /*  36147 */ // Label 817: @36147
     /*  36147 */ GIM_Reject,
     /*  36148 */ // Label 810: @36148
     /*  36148 */ GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(36174), // Rule ID 1696 //
     /*  36153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  36156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  36159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36167 */   // (fround:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VRINTANDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /*  36167 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTANDf),
     /*  36172 */   GIR_RootConstrainSelectedInstOperands,
     /*  36173 */   // GIR_Coverage, 1696,
     /*  36173 */   GIR_Done,
     /*  36174 */ // Label 818: @36174
     /*  36174 */ GIM_Reject,
     /*  36175 */ // Label 811: @36175
     /*  36175 */ GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(36201), // Rule ID 1698 //
     /*  36180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  36183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  36186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36194 */   // (fround:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VRINTANDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /*  36194 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTANDh),
     /*  36199 */   GIR_RootConstrainSelectedInstOperands,
     /*  36200 */   // GIR_Coverage, 1698,
     /*  36200 */   GIR_Done,
     /*  36201 */ // Label 819: @36201
     /*  36201 */ GIM_Reject,
     /*  36202 */ // Label 812: @36202
     /*  36202 */ GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(36289),
     /*  36207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  36210 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(36233), // Rule ID 1697 //
     /*  36215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  36218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36226 */     // (fround:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VRINTANQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /*  36226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTANQf),
     /*  36231 */     GIR_RootConstrainSelectedInstOperands,
     /*  36232 */     // GIR_Coverage, 1697,
     /*  36232 */     GIR_Done,
     /*  36233 */   // Label 821: @36233
     /*  36233 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(36288), // Rule ID 3977 //
     /*  36238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  36241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36249 */     // (fround:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)  =>  (MVE_VRINTf32A:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)
     /*  36249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  36252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf32A),
     /*  36264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  36266 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  36268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36271 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36277 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36286 */     GIR_RootConstrainSelectedInstOperands,
     /*  36287 */     // GIR_Coverage, 3977,
     /*  36287 */     GIR_EraseRootFromParent_Done,
     /*  36288 */   // Label 822: @36288
     /*  36288 */   GIM_Reject,
     /*  36289 */ // Label 820: @36289
     /*  36289 */ GIM_Reject,
     /*  36290 */ // Label 813: @36290
     /*  36290 */ GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(36377),
     /*  36295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  36298 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(36321), // Rule ID 1699 //
     /*  36303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  36306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36314 */     // (fround:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VRINTANQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /*  36314 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTANQh),
     /*  36319 */     GIR_RootConstrainSelectedInstOperands,
     /*  36320 */     // GIR_Coverage, 1699,
     /*  36320 */     GIR_Done,
     /*  36321 */   // Label 824: @36321
     /*  36321 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(36376), // Rule ID 3965 //
     /*  36326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  36329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36337 */     // (fround:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)  =>  (MVE_VRINTf16A:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)
     /*  36337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  36340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf16A),
     /*  36352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  36354 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  36356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36374 */     GIR_RootConstrainSelectedInstOperands,
     /*  36375 */     // GIR_Coverage, 3965,
     /*  36375 */     GIR_EraseRootFromParent_Done,
     /*  36376 */   // Label 825: @36376
     /*  36376 */   GIM_Reject,
     /*  36377 */ // Label 823: @36377
     /*  36377 */ GIM_Reject,
     /*  36378 */ // Label 814: @36378
     /*  36378 */ GIM_Reject,
     /*  36379 */ // Label 12: @36379
     /*  36379 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 833*/ GIMT_Encode4(36753),
     /*  36390 */ /*GILLT_s16*//*Label 826*/ GIMT_Encode4(36442),
     /*  36394 */ /*GILLT_s32*//*Label 827*/ GIMT_Encode4(36469),
     /*  36398 */ /*GILLT_s64*//*Label 828*/ GIMT_Encode4(36496), GIMT_Encode4(0),
     /*  36406 */ /*GILLT_v2s32*//*Label 829*/ GIMT_Encode4(36523), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36418 */ /*GILLT_v4s16*//*Label 830*/ GIMT_Encode4(36550),
     /*  36422 */ /*GILLT_v4s32*//*Label 831*/ GIMT_Encode4(36577), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36438 */ /*GILLT_v8s16*//*Label 832*/ GIMT_Encode4(36665),
     /*  36442 */ // Label 826: @36442
     /*  36442 */ GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(36468), // Rule ID 677 //
     /*  36447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  36450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  36453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  36457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  36461 */   // (froundeven:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VRINTNH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /*  36461 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTNH),
     /*  36466 */   GIR_RootConstrainSelectedInstOperands,
     /*  36467 */   // GIR_Coverage, 677,
     /*  36467 */   GIR_Done,
     /*  36468 */ // Label 834: @36468
     /*  36468 */ GIM_Reject,
     /*  36469 */ // Label 827: @36469
     /*  36469 */ GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(36495), // Rule ID 678 //
     /*  36474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  36477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  36480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  36484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  36488 */   // (froundeven:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VRINTNS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /*  36488 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTNS),
     /*  36493 */   GIR_RootConstrainSelectedInstOperands,
     /*  36494 */   // GIR_Coverage, 678,
     /*  36494 */   GIR_Done,
     /*  36495 */ // Label 835: @36495
     /*  36495 */ GIM_Reject,
     /*  36496 */ // Label 828: @36496
     /*  36496 */ GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(36522), // Rule ID 679 //
     /*  36501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /*  36504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  36507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36515 */   // (froundeven:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VRINTND:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /*  36515 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTND),
     /*  36520 */   GIR_RootConstrainSelectedInstOperands,
     /*  36521 */   // GIR_Coverage, 679,
     /*  36521 */   GIR_Done,
     /*  36522 */ // Label 836: @36522
     /*  36522 */ GIM_Reject,
     /*  36523 */ // Label 829: @36523
     /*  36523 */ GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(36549), // Rule ID 1688 //
     /*  36528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  36531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  36534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36542 */   // (froundeven:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VRINTNNDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /*  36542 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTNNDf),
     /*  36547 */   GIR_RootConstrainSelectedInstOperands,
     /*  36548 */   // GIR_Coverage, 1688,
     /*  36548 */   GIR_Done,
     /*  36549 */ // Label 837: @36549
     /*  36549 */ GIM_Reject,
     /*  36550 */ // Label 830: @36550
     /*  36550 */ GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(36576), // Rule ID 1690 //
     /*  36555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  36558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  36561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  36569 */   // (froundeven:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VRINTNNDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /*  36569 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTNNDh),
     /*  36574 */   GIR_RootConstrainSelectedInstOperands,
     /*  36575 */   // GIR_Coverage, 1690,
     /*  36575 */   GIR_Done,
     /*  36576 */ // Label 838: @36576
     /*  36576 */ GIM_Reject,
     /*  36577 */ // Label 831: @36577
     /*  36577 */ GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(36664),
     /*  36582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  36585 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(36608), // Rule ID 1689 //
     /*  36590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  36593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36601 */     // (froundeven:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VRINTNNQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /*  36601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTNNQf),
     /*  36606 */     GIR_RootConstrainSelectedInstOperands,
     /*  36607 */     // GIR_Coverage, 1689,
     /*  36607 */     GIR_Done,
     /*  36608 */   // Label 840: @36608
     /*  36608 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(36663), // Rule ID 3973 //
     /*  36613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  36616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36624 */     // (froundeven:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)  =>  (MVE_VRINTf32N:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)
     /*  36624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  36627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf32N),
     /*  36639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  36641 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  36643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36661 */     GIR_RootConstrainSelectedInstOperands,
     /*  36662 */     // GIR_Coverage, 3973,
     /*  36662 */     GIR_EraseRootFromParent_Done,
     /*  36663 */   // Label 841: @36663
     /*  36663 */   GIM_Reject,
     /*  36664 */ // Label 839: @36664
     /*  36664 */ GIM_Reject,
     /*  36665 */ // Label 832: @36665
     /*  36665 */ GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(36752),
     /*  36670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  36673 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(36696), // Rule ID 1691 //
     /*  36678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  36681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  36689 */     // (froundeven:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VRINTNNQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /*  36689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTNNQh),
     /*  36694 */     GIR_RootConstrainSelectedInstOperands,
     /*  36695 */     // GIR_Coverage, 1691,
     /*  36695 */     GIR_Done,
     /*  36696 */   // Label 843: @36696
     /*  36696 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(36751), // Rule ID 3961 //
     /*  36701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  36704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  36712 */     // (froundeven:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)  =>  (MVE_VRINTf16N:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)
     /*  36712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  36715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf16N),
     /*  36727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  36729 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  36731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36749 */     GIR_RootConstrainSelectedInstOperands,
     /*  36750 */     // GIR_Coverage, 3961,
     /*  36750 */     GIR_EraseRootFromParent_Done,
     /*  36751 */   // Label 844: @36751
     /*  36751 */   GIM_Reject,
     /*  36752 */ // Label 842: @36752
     /*  36752 */ GIM_Reject,
     /*  36753 */ // Label 833: @36753
     /*  36753 */ GIM_Reject,
     /*  36754 */ // Label 13: @36754
     /*  36754 */ GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(36916),
     /*  36759 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  36762 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36765 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(36840), // Rule ID 2050 //
     /*  36770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /*  36773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  36780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  36784 */     // MIs[0] Rn
     /*  36784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  36788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  36792 */     // (ld:{ *:[i32] } tGPR:{ *:[i32] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (tLDRSB:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, (tMOVi8:{ *:[i32] } 0:{ *:[i32] }))
     /*  36792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::tMOVi8),
     /*  36799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  36810 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  36813 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  36816 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tLDRSB),
     /*  36827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  36829 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  36831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  36838 */     GIR_RootConstrainSelectedInstOperands,
     /*  36839 */     // GIR_Coverage, 2050,
     /*  36839 */     GIR_EraseRootFromParent_Done,
     /*  36840 */   // Label 846: @36840
     /*  36840 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(36915), // Rule ID 2051 //
     /*  36845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /*  36848 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  36855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  36859 */     // MIs[0] Rn
     /*  36859 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  36863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  36867 */     // (ld:{ *:[i32] } tGPR:{ *:[i32] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (tLDRSH:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, (tMOVi8:{ *:[i32] } 0:{ *:[i32] }))
     /*  36867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::tMOVi8),
     /*  36874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  36885 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  36888 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /*  36891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tLDRSH),
     /*  36902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  36904 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  36906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  36913 */     GIR_RootConstrainSelectedInstOperands,
     /*  36914 */     // GIR_Coverage, 2051,
     /*  36914 */     GIR_EraseRootFromParent_Done,
     /*  36915 */   // Label 847: @36915
     /*  36915 */   GIM_Reject,
     /*  36916 */ // Label 845: @36916
     /*  36916 */ GIM_Reject,
     /*  36917 */ // Label 14: @36917
     /*  36917 */ GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(36937), // Rule ID 5418 //
     /*  36922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  36925 */   // MIs[0] Operand 0
     /*  36925 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /*  36928 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  36932 */   // (atomic_fence (timm:{ *:[i32] }), 0:{ *:[i32] })  =>  (MEMBARRIER)
     /*  36932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::MEMBARRIER),
     /*  36935 */   GIR_RootConstrainSelectedInstOperands,
     /*  36936 */   // GIR_Coverage, 5418,
     /*  36936 */   GIR_EraseRootFromParent_Done,
     /*  36937 */ // Label 848: @36937
     /*  36937 */ GIM_Reject,
     /*  36938 */ // Label 15: @36938
     /*  36938 */ GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(41649),
     /*  36943 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  36946 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(36994), // Rule ID 1853 //
     /*  36951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  36954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uxtb16),
     /*  36959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  36962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  36969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  36973 */     // (intrinsic_wo_chain:{ *:[i32] } 3950:{ *:[iPTR] }, GPR:{ *:[i32] }:$Src)  =>  (UXTB16:{ *:[i32] } GPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  36973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTB16),
     /*  36976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  36978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Src
     /*  36980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  36986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36992 */     GIR_RootConstrainSelectedInstOperands,
     /*  36993 */     // GIR_Coverage, 1853,
     /*  36993 */     GIR_EraseRootFromParent_Done,
     /*  36994 */   // Label 850: @36994
     /*  36994 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(37042), // Rule ID 2107 //
     /*  36999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  37002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uxtb16),
     /*  37007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  37010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  37013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  37017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  37021 */     // (intrinsic_wo_chain:{ *:[i32] } 3950:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rm)  =>  (t2UXTB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  37021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTB16),
     /*  37024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  37028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37040 */     GIR_RootConstrainSelectedInstOperands,
     /*  37041 */     // GIR_Coverage, 2107,
     /*  37041 */     GIR_EraseRootFromParent_Done,
     /*  37042 */   // Label 851: @37042
     /*  37042 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(37087), // Rule ID 693 //
     /*  37047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /*  37050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_vcvtr),
     /*  37055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  37058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  37065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37069 */     // (intrinsic_wo_chain:{ *:[f32] } 3951:{ *:[iPTR] }, DPR:{ *:[f64] }:$Dm)  =>  (VTOSIRD:{ *:[f32] } DPR:{ *:[f64] }:$Dm)
     /*  37069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTOSIRD),
     /*  37072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /*  37074 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  37076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37085 */     GIR_RootConstrainSelectedInstOperands,
     /*  37086 */     // GIR_Coverage, 693,
     /*  37086 */     GIR_EraseRootFromParent_Done,
     /*  37087 */   // Label 852: @37087
     /*  37087 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(37132), // Rule ID 694 //
     /*  37092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /*  37095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_vcvtr),
     /*  37100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  37103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  37106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  37110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  37114 */     // (intrinsic_wo_chain:{ *:[f32] } 3951:{ *:[iPTR] }, SPR:{ *:[f32] }:$Sm)  =>  (VTOSIRS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /*  37114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTOSIRS),
     /*  37117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /*  37119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /*  37121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37130 */     GIR_RootConstrainSelectedInstOperands,
     /*  37131 */     // GIR_Coverage, 694,
     /*  37131 */     GIR_EraseRootFromParent_Done,
     /*  37132 */   // Label 853: @37132
     /*  37132 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(37177), // Rule ID 695 //
     /*  37137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /*  37140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_vcvtru),
     /*  37145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  37148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  37155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37159 */     // (intrinsic_wo_chain:{ *:[f32] } 3952:{ *:[iPTR] }, DPR:{ *:[f64] }:$Dm)  =>  (VTOUIRD:{ *:[f32] } DPR:{ *:[f64] }:$Dm)
     /*  37159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTOUIRD),
     /*  37162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /*  37164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /*  37166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37175 */     GIR_RootConstrainSelectedInstOperands,
     /*  37176 */     // GIR_Coverage, 695,
     /*  37176 */     GIR_EraseRootFromParent_Done,
     /*  37177 */   // Label 854: @37177
     /*  37177 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(37222), // Rule ID 696 //
     /*  37182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /*  37185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_vcvtru),
     /*  37190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  37193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  37196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  37200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  37204 */     // (intrinsic_wo_chain:{ *:[f32] } 3952:{ *:[iPTR] }, SPR:{ *:[f32] }:$Sm)  =>  (VTOUIRS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /*  37204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTOUIRS),
     /*  37207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /*  37209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /*  37211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37220 */     GIR_RootConstrainSelectedInstOperands,
     /*  37221 */     // GIR_Coverage, 696,
     /*  37221 */     GIR_EraseRootFromParent_Done,
     /*  37222 */   // Label 855: @37222
     /*  37222 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(37267), // Rule ID 1239 //
     /*  37227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddls),
     /*  37235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  37238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  37241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37249 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3808:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm)  =>  (VPADDLsv8i8:{ *:[v4i16] } DPR:{ *:[v8i8] }:$Vm)
     /*  37249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLsv8i8),
     /*  37252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37265 */     GIR_RootConstrainSelectedInstOperands,
     /*  37266 */     // GIR_Coverage, 1239,
     /*  37266 */     GIR_EraseRootFromParent_Done,
     /*  37267 */   // Label 856: @37267
     /*  37267 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(37312), // Rule ID 1240 //
     /*  37272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddls),
     /*  37280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  37283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  37286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37294 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3808:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm)  =>  (VPADDLsv4i16:{ *:[v2i32] } DPR:{ *:[v4i16] }:$Vm)
     /*  37294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLsv4i16),
     /*  37297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37310 */     GIR_RootConstrainSelectedInstOperands,
     /*  37311 */     // GIR_Coverage, 1240,
     /*  37311 */     GIR_EraseRootFromParent_Done,
     /*  37312 */   // Label 857: @37312
     /*  37312 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(37357), // Rule ID 1241 //
     /*  37317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddls),
     /*  37325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  37328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  37331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37339 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3808:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm)  =>  (VPADDLsv2i32:{ *:[v1i64] } DPR:{ *:[v2i32] }:$Vm)
     /*  37339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLsv2i32),
     /*  37342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37355 */     GIR_RootConstrainSelectedInstOperands,
     /*  37356 */     // GIR_Coverage, 1241,
     /*  37356 */     GIR_EraseRootFromParent_Done,
     /*  37357 */   // Label 858: @37357
     /*  37357 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(37402), // Rule ID 1242 //
     /*  37362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddls),
     /*  37370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  37373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  37376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37384 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3808:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm)  =>  (VPADDLsv16i8:{ *:[v8i16] } QPR:{ *:[v16i8] }:$Vm)
     /*  37384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLsv16i8),
     /*  37387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37400 */     GIR_RootConstrainSelectedInstOperands,
     /*  37401 */     // GIR_Coverage, 1242,
     /*  37401 */     GIR_EraseRootFromParent_Done,
     /*  37402 */   // Label 859: @37402
     /*  37402 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(37447), // Rule ID 1243 //
     /*  37407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddls),
     /*  37415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  37418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  37421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37429 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3808:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VPADDLsv8i16:{ *:[v4i32] } QPR:{ *:[v8i16] }:$Vm)
     /*  37429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLsv8i16),
     /*  37432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37445 */     GIR_RootConstrainSelectedInstOperands,
     /*  37446 */     // GIR_Coverage, 1243,
     /*  37446 */     GIR_EraseRootFromParent_Done,
     /*  37447 */   // Label 860: @37447
     /*  37447 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(37492), // Rule ID 1244 //
     /*  37452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddls),
     /*  37460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  37463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  37466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37474 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3808:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VPADDLsv4i32:{ *:[v2i64] } QPR:{ *:[v4i32] }:$Vm)
     /*  37474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLsv4i32),
     /*  37477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37490 */     GIR_RootConstrainSelectedInstOperands,
     /*  37491 */     // GIR_Coverage, 1244,
     /*  37491 */     GIR_EraseRootFromParent_Done,
     /*  37492 */   // Label 861: @37492
     /*  37492 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(37537), // Rule ID 1245 //
     /*  37497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddlu),
     /*  37505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  37508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  37511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37519 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3809:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm)  =>  (VPADDLuv8i8:{ *:[v4i16] } DPR:{ *:[v8i8] }:$Vm)
     /*  37519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLuv8i8),
     /*  37522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37529 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37535 */     GIR_RootConstrainSelectedInstOperands,
     /*  37536 */     // GIR_Coverage, 1245,
     /*  37536 */     GIR_EraseRootFromParent_Done,
     /*  37537 */   // Label 862: @37537
     /*  37537 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(37582), // Rule ID 1246 //
     /*  37542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddlu),
     /*  37550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  37553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  37556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37564 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3809:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm)  =>  (VPADDLuv4i16:{ *:[v2i32] } DPR:{ *:[v4i16] }:$Vm)
     /*  37564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLuv4i16),
     /*  37567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37580 */     GIR_RootConstrainSelectedInstOperands,
     /*  37581 */     // GIR_Coverage, 1246,
     /*  37581 */     GIR_EraseRootFromParent_Done,
     /*  37582 */   // Label 863: @37582
     /*  37582 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(37627), // Rule ID 1247 //
     /*  37587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddlu),
     /*  37595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  37598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  37601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37609 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3809:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm)  =>  (VPADDLuv2i32:{ *:[v1i64] } DPR:{ *:[v2i32] }:$Vm)
     /*  37609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLuv2i32),
     /*  37612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37625 */     GIR_RootConstrainSelectedInstOperands,
     /*  37626 */     // GIR_Coverage, 1247,
     /*  37626 */     GIR_EraseRootFromParent_Done,
     /*  37627 */   // Label 864: @37627
     /*  37627 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(37672), // Rule ID 1248 //
     /*  37632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddlu),
     /*  37640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  37643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  37646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37654 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3809:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm)  =>  (VPADDLuv16i8:{ *:[v8i16] } QPR:{ *:[v16i8] }:$Vm)
     /*  37654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLuv16i8),
     /*  37657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37670 */     GIR_RootConstrainSelectedInstOperands,
     /*  37671 */     // GIR_Coverage, 1248,
     /*  37671 */     GIR_EraseRootFromParent_Done,
     /*  37672 */   // Label 865: @37672
     /*  37672 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(37717), // Rule ID 1249 //
     /*  37677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddlu),
     /*  37685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  37688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  37691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37699 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3809:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VPADDLuv8i16:{ *:[v4i32] } QPR:{ *:[v8i16] }:$Vm)
     /*  37699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLuv8i16),
     /*  37702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37715 */     GIR_RootConstrainSelectedInstOperands,
     /*  37716 */     // GIR_Coverage, 1249,
     /*  37716 */     GIR_EraseRootFromParent_Done,
     /*  37717 */   // Label 866: @37717
     /*  37717 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(37762), // Rule ID 1250 //
     /*  37722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpaddlu),
     /*  37730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  37733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  37736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37744 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3809:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VPADDLuv4i32:{ *:[v2i64] } QPR:{ *:[v4i32] }:$Vm)
     /*  37744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDLuv4i32),
     /*  37747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37760 */     GIR_RootConstrainSelectedInstOperands,
     /*  37761 */     // GIR_Coverage, 1250,
     /*  37761 */     GIR_EraseRootFromParent_Done,
     /*  37762 */   // Label 867: @37762
     /*  37762 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(37807), // Rule ID 1279 //
     /*  37767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecpe),
     /*  37775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  37778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  37781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37789 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3836:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm)  =>  (VRECPEd:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)
     /*  37789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPEd),
     /*  37792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37805 */     GIR_RootConstrainSelectedInstOperands,
     /*  37806 */     // GIR_Coverage, 1279,
     /*  37806 */     GIR_EraseRootFromParent_Done,
     /*  37807 */   // Label 868: @37807
     /*  37807 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(37852), // Rule ID 1280 //
     /*  37812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecpe),
     /*  37820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  37823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  37826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37834 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3836:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VRECPEq:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)
     /*  37834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPEq),
     /*  37837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37850 */     GIR_RootConstrainSelectedInstOperands,
     /*  37851 */     // GIR_Coverage, 1280,
     /*  37851 */     GIR_EraseRootFromParent_Done,
     /*  37852 */   // Label 869: @37852
     /*  37852 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(37897), // Rule ID 1281 //
     /*  37857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecpe),
     /*  37865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  37868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  37871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37879 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3836:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VRECPEfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /*  37879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPEfd),
     /*  37882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37895 */     GIR_RootConstrainSelectedInstOperands,
     /*  37896 */     // GIR_Coverage, 1281,
     /*  37896 */     GIR_EraseRootFromParent_Done,
     /*  37897 */   // Label 870: @37897
     /*  37897 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(37942), // Rule ID 1282 //
     /*  37902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  37905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecpe),
     /*  37910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  37913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  37916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  37924 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3836:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VRECPEfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /*  37924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPEfq),
     /*  37927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37940 */     GIR_RootConstrainSelectedInstOperands,
     /*  37941 */     // GIR_Coverage, 1282,
     /*  37941 */     GIR_EraseRootFromParent_Done,
     /*  37942 */   // Label 871: @37942
     /*  37942 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(37987), // Rule ID 1283 //
     /*  37947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  37950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecpe),
     /*  37955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  37958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  37961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  37969 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3836:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VRECPEhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /*  37969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPEhd),
     /*  37972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  37974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  37976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  37979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37985 */     GIR_RootConstrainSelectedInstOperands,
     /*  37986 */     // GIR_Coverage, 1283,
     /*  37986 */     GIR_EraseRootFromParent_Done,
     /*  37987 */   // Label 872: @37987
     /*  37987 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(38032), // Rule ID 1284 //
     /*  37992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  37995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecpe),
     /*  38000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  38003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  38006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38014 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3836:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VRECPEhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /*  38014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPEhq),
     /*  38017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38030 */     GIR_RootConstrainSelectedInstOperands,
     /*  38031 */     // GIR_Coverage, 1284,
     /*  38031 */     GIR_EraseRootFromParent_Done,
     /*  38032 */   // Label 873: @38032
     /*  38032 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(38077), // Rule ID 1289 //
     /*  38037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrte),
     /*  38045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  38048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  38051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38059 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3843:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm)  =>  (VRSQRTEd:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)
     /*  38059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTEd),
     /*  38062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38075 */     GIR_RootConstrainSelectedInstOperands,
     /*  38076 */     // GIR_Coverage, 1289,
     /*  38076 */     GIR_EraseRootFromParent_Done,
     /*  38077 */   // Label 874: @38077
     /*  38077 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(38122), // Rule ID 1290 //
     /*  38082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrte),
     /*  38090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  38093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  38096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38104 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3843:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VRSQRTEq:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)
     /*  38104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTEq),
     /*  38107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38120 */     GIR_RootConstrainSelectedInstOperands,
     /*  38121 */     // GIR_Coverage, 1290,
     /*  38121 */     GIR_EraseRootFromParent_Done,
     /*  38122 */   // Label 875: @38122
     /*  38122 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(38167), // Rule ID 1291 //
     /*  38127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrte),
     /*  38135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  38138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  38141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38149 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3843:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VRSQRTEfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /*  38149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTEfd),
     /*  38152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38165 */     GIR_RootConstrainSelectedInstOperands,
     /*  38166 */     // GIR_Coverage, 1291,
     /*  38166 */     GIR_EraseRootFromParent_Done,
     /*  38167 */   // Label 876: @38167
     /*  38167 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(38212), // Rule ID 1292 //
     /*  38172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrte),
     /*  38180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  38183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  38186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38194 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3843:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VRSQRTEfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /*  38194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTEfq),
     /*  38197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38210 */     GIR_RootConstrainSelectedInstOperands,
     /*  38211 */     // GIR_Coverage, 1292,
     /*  38211 */     GIR_EraseRootFromParent_Done,
     /*  38212 */   // Label 877: @38212
     /*  38212 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(38257), // Rule ID 1293 //
     /*  38217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  38220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrte),
     /*  38225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  38228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  38231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38239 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3843:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VRSQRTEhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /*  38239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTEhd),
     /*  38242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38255 */     GIR_RootConstrainSelectedInstOperands,
     /*  38256 */     // GIR_Coverage, 1293,
     /*  38256 */     GIR_EraseRootFromParent_Done,
     /*  38257 */   // Label 878: @38257
     /*  38257 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(38302), // Rule ID 1294 //
     /*  38262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  38265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrte),
     /*  38270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  38273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  38276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38284 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3843:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VRSQRTEhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /*  38284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTEhq),
     /*  38287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38300 */     GIR_RootConstrainSelectedInstOperands,
     /*  38301 */     // GIR_Coverage, 1294,
     /*  38301 */     GIR_EraseRootFromParent_Done,
     /*  38302 */   // Label 879: @38302
     /*  38302 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(38347), // Rule ID 1515 //
     /*  38307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqabs),
     /*  38315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  38318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  38321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38329 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3814:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm)  =>  (VQABSv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)
     /*  38329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQABSv8i8),
     /*  38332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38345 */     GIR_RootConstrainSelectedInstOperands,
     /*  38346 */     // GIR_Coverage, 1515,
     /*  38346 */     GIR_EraseRootFromParent_Done,
     /*  38347 */   // Label 880: @38347
     /*  38347 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(38392), // Rule ID 1516 //
     /*  38352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqabs),
     /*  38360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  38363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  38366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38374 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3814:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm)  =>  (VQABSv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm)
     /*  38374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQABSv4i16),
     /*  38377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38390 */     GIR_RootConstrainSelectedInstOperands,
     /*  38391 */     // GIR_Coverage, 1516,
     /*  38391 */     GIR_EraseRootFromParent_Done,
     /*  38392 */   // Label 881: @38392
     /*  38392 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(38437), // Rule ID 1517 //
     /*  38397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqabs),
     /*  38405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  38408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  38411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38419 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3814:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm)  =>  (VQABSv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)
     /*  38419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQABSv2i32),
     /*  38422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38435 */     GIR_RootConstrainSelectedInstOperands,
     /*  38436 */     // GIR_Coverage, 1517,
     /*  38436 */     GIR_EraseRootFromParent_Done,
     /*  38437 */   // Label 882: @38437
     /*  38437 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(38482), // Rule ID 1518 //
     /*  38442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqabs),
     /*  38450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  38453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  38456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38464 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3814:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm)  =>  (VQABSv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /*  38464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQABSv16i8),
     /*  38467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38480 */     GIR_RootConstrainSelectedInstOperands,
     /*  38481 */     // GIR_Coverage, 1518,
     /*  38481 */     GIR_EraseRootFromParent_Done,
     /*  38482 */   // Label 883: @38482
     /*  38482 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(38527), // Rule ID 1519 //
     /*  38487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqabs),
     /*  38495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  38498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  38501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38509 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3814:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VQABSv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm)
     /*  38509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQABSv8i16),
     /*  38512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38525 */     GIR_RootConstrainSelectedInstOperands,
     /*  38526 */     // GIR_Coverage, 1519,
     /*  38526 */     GIR_EraseRootFromParent_Done,
     /*  38527 */   // Label 884: @38527
     /*  38527 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(38572), // Rule ID 1520 //
     /*  38532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqabs),
     /*  38540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  38543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  38546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38554 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3814:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VQABSv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)
     /*  38554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQABSv4i32),
     /*  38557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38559 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38570 */     GIR_RootConstrainSelectedInstOperands,
     /*  38571 */     // GIR_Coverage, 1520,
     /*  38571 */     GIR_EraseRootFromParent_Done,
     /*  38572 */   // Label 885: @38572
     /*  38572 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(38617), // Rule ID 1531 //
     /*  38577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqneg),
     /*  38585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  38588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  38591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38599 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3820:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm)  =>  (VQNEGv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)
     /*  38599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQNEGv8i8),
     /*  38602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38615 */     GIR_RootConstrainSelectedInstOperands,
     /*  38616 */     // GIR_Coverage, 1531,
     /*  38616 */     GIR_EraseRootFromParent_Done,
     /*  38617 */   // Label 886: @38617
     /*  38617 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(38662), // Rule ID 1532 //
     /*  38622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqneg),
     /*  38630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  38633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  38636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38644 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3820:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm)  =>  (VQNEGv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm)
     /*  38644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQNEGv4i16),
     /*  38647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38660 */     GIR_RootConstrainSelectedInstOperands,
     /*  38661 */     // GIR_Coverage, 1532,
     /*  38661 */     GIR_EraseRootFromParent_Done,
     /*  38662 */   // Label 887: @38662
     /*  38662 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(38707), // Rule ID 1533 //
     /*  38667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqneg),
     /*  38675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  38678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  38681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38689 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3820:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm)  =>  (VQNEGv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)
     /*  38689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQNEGv2i32),
     /*  38692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38705 */     GIR_RootConstrainSelectedInstOperands,
     /*  38706 */     // GIR_Coverage, 1533,
     /*  38706 */     GIR_EraseRootFromParent_Done,
     /*  38707 */   // Label 888: @38707
     /*  38707 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(38752), // Rule ID 1534 //
     /*  38712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqneg),
     /*  38720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  38723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  38726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38734 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3820:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm)  =>  (VQNEGv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /*  38734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQNEGv16i8),
     /*  38737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38739 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38750 */     GIR_RootConstrainSelectedInstOperands,
     /*  38751 */     // GIR_Coverage, 1534,
     /*  38751 */     GIR_EraseRootFromParent_Done,
     /*  38752 */   // Label 889: @38752
     /*  38752 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(38797), // Rule ID 1535 //
     /*  38757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqneg),
     /*  38765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  38768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  38771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38779 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3820:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VQNEGv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm)
     /*  38779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQNEGv8i16),
     /*  38782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38789 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38795 */     GIR_RootConstrainSelectedInstOperands,
     /*  38796 */     // GIR_Coverage, 1535,
     /*  38796 */     GIR_EraseRootFromParent_Done,
     /*  38797 */   // Label 890: @38797
     /*  38797 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(38842), // Rule ID 1536 //
     /*  38802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqneg),
     /*  38810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  38813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  38816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  38824 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3820:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VQNEGv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)
     /*  38824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQNEGv4i32),
     /*  38827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38840 */     GIR_RootConstrainSelectedInstOperands,
     /*  38841 */     // GIR_Coverage, 1536,
     /*  38841 */     GIR_EraseRootFromParent_Done,
     /*  38842 */   // Label 891: @38842
     /*  38842 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(38887), // Rule ID 1537 //
     /*  38847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcls),
     /*  38855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  38858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  38861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38869 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3761:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm)  =>  (VCLSv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)
     /*  38869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLSv8i8),
     /*  38872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38879 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38885 */     GIR_RootConstrainSelectedInstOperands,
     /*  38886 */     // GIR_Coverage, 1537,
     /*  38886 */     GIR_EraseRootFromParent_Done,
     /*  38887 */   // Label 892: @38887
     /*  38887 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(38932), // Rule ID 1538 //
     /*  38892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcls),
     /*  38900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  38903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  38906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38914 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3761:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm)  =>  (VCLSv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm)
     /*  38914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLSv4i16),
     /*  38917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38930 */     GIR_RootConstrainSelectedInstOperands,
     /*  38931 */     // GIR_Coverage, 1538,
     /*  38931 */     GIR_EraseRootFromParent_Done,
     /*  38932 */   // Label 893: @38932
     /*  38932 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(38977), // Rule ID 1539 //
     /*  38937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcls),
     /*  38945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  38948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  38951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  38959 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3761:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm)  =>  (VCLSv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)
     /*  38959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLSv2i32),
     /*  38962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  38964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  38966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  38969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38975 */     GIR_RootConstrainSelectedInstOperands,
     /*  38976 */     // GIR_Coverage, 1539,
     /*  38976 */     GIR_EraseRootFromParent_Done,
     /*  38977 */   // Label 894: @38977
     /*  38977 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(39022), // Rule ID 1540 //
     /*  38982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcls),
     /*  38990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  38993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  38996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39004 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3761:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm)  =>  (VCLSv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /*  39004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLSv16i8),
     /*  39007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39020 */     GIR_RootConstrainSelectedInstOperands,
     /*  39021 */     // GIR_Coverage, 1540,
     /*  39021 */     GIR_EraseRootFromParent_Done,
     /*  39022 */   // Label 895: @39022
     /*  39022 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(39067), // Rule ID 1541 //
     /*  39027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcls),
     /*  39035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  39038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  39041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39049 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3761:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VCLSv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm)
     /*  39049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLSv8i16),
     /*  39052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39065 */     GIR_RootConstrainSelectedInstOperands,
     /*  39066 */     // GIR_Coverage, 1541,
     /*  39066 */     GIR_EraseRootFromParent_Done,
     /*  39067 */   // Label 896: @39067
     /*  39067 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(39112), // Rule ID 1542 //
     /*  39072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcls),
     /*  39080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  39083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39094 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3761:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VCLSv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)
     /*  39094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLSv4i32),
     /*  39097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39099 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39110 */     GIR_RootConstrainSelectedInstOperands,
     /*  39111 */     // GIR_Coverage, 1542,
     /*  39111 */     GIR_EraseRootFromParent_Done,
     /*  39112 */   // Label 897: @39112
     /*  39112 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(39157), // Rule ID 1586 //
     /*  39117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovns),
     /*  39125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  39128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  39131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39139 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3817:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VQMOVNsv8i8:{ *:[v8i8] } QPR:{ *:[v8i16] }:$Vm)
     /*  39139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNsv8i8),
     /*  39142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39155 */     GIR_RootConstrainSelectedInstOperands,
     /*  39156 */     // GIR_Coverage, 1586,
     /*  39156 */     GIR_EraseRootFromParent_Done,
     /*  39157 */   // Label 898: @39157
     /*  39157 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(39202), // Rule ID 1587 //
     /*  39162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovns),
     /*  39170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  39173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39184 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3817:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VQMOVNsv4i16:{ *:[v4i16] } QPR:{ *:[v4i32] }:$Vm)
     /*  39184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNsv4i16),
     /*  39187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39200 */     GIR_RootConstrainSelectedInstOperands,
     /*  39201 */     // GIR_Coverage, 1587,
     /*  39201 */     GIR_EraseRootFromParent_Done,
     /*  39202 */   // Label 899: @39202
     /*  39202 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(39247), // Rule ID 1588 //
     /*  39207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovns),
     /*  39215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  39218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  39221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39229 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3817:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm)  =>  (VQMOVNsv2i32:{ *:[v2i32] } QPR:{ *:[v2i64] }:$Vm)
     /*  39229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNsv2i32),
     /*  39232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39245 */     GIR_RootConstrainSelectedInstOperands,
     /*  39246 */     // GIR_Coverage, 1588,
     /*  39246 */     GIR_EraseRootFromParent_Done,
     /*  39247 */   // Label 900: @39247
     /*  39247 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(39292), // Rule ID 1589 //
     /*  39252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovnu),
     /*  39260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  39263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  39266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39274 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3819:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VQMOVNuv8i8:{ *:[v8i8] } QPR:{ *:[v8i16] }:$Vm)
     /*  39274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNuv8i8),
     /*  39277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39279 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39290 */     GIR_RootConstrainSelectedInstOperands,
     /*  39291 */     // GIR_Coverage, 1589,
     /*  39291 */     GIR_EraseRootFromParent_Done,
     /*  39292 */   // Label 901: @39292
     /*  39292 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(39337), // Rule ID 1590 //
     /*  39297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovnu),
     /*  39305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  39308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39319 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3819:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VQMOVNuv4i16:{ *:[v4i16] } QPR:{ *:[v4i32] }:$Vm)
     /*  39319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNuv4i16),
     /*  39322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39335 */     GIR_RootConstrainSelectedInstOperands,
     /*  39336 */     // GIR_Coverage, 1590,
     /*  39336 */     GIR_EraseRootFromParent_Done,
     /*  39337 */   // Label 902: @39337
     /*  39337 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(39382), // Rule ID 1591 //
     /*  39342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovnu),
     /*  39350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  39353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  39356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39364 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3819:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm)  =>  (VQMOVNuv2i32:{ *:[v2i32] } QPR:{ *:[v2i64] }:$Vm)
     /*  39364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNuv2i32),
     /*  39367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39380 */     GIR_RootConstrainSelectedInstOperands,
     /*  39381 */     // GIR_Coverage, 1591,
     /*  39381 */     GIR_EraseRootFromParent_Done,
     /*  39382 */   // Label 903: @39382
     /*  39382 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(39427), // Rule ID 1592 //
     /*  39387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovnsu),
     /*  39395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  39398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  39401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39409 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3818:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm)  =>  (VQMOVNsuv8i8:{ *:[v8i8] } QPR:{ *:[v8i16] }:$Vm)
     /*  39409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNsuv8i8),
     /*  39412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39425 */     GIR_RootConstrainSelectedInstOperands,
     /*  39426 */     // GIR_Coverage, 1592,
     /*  39426 */     GIR_EraseRootFromParent_Done,
     /*  39427 */   // Label 904: @39427
     /*  39427 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(39472), // Rule ID 1593 //
     /*  39432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovnsu),
     /*  39440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  39443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39454 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3818:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm)  =>  (VQMOVNsuv4i16:{ *:[v4i16] } QPR:{ *:[v4i32] }:$Vm)
     /*  39454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNsuv4i16),
     /*  39457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39470 */     GIR_RootConstrainSelectedInstOperands,
     /*  39471 */     // GIR_Coverage, 1593,
     /*  39471 */     GIR_EraseRootFromParent_Done,
     /*  39472 */   // Label 905: @39472
     /*  39472 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(39517), // Rule ID 1594 //
     /*  39477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  39480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqmovnsu),
     /*  39485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  39488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  39491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39499 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3818:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm)  =>  (VQMOVNsuv2i32:{ *:[v2i32] } QPR:{ *:[v2i64] }:$Vm)
     /*  39499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQMOVNsuv2i32),
     /*  39502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  39509 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39515 */     GIR_RootConstrainSelectedInstOperands,
     /*  39516 */     // GIR_Coverage, 1594,
     /*  39516 */     GIR_EraseRootFromParent_Done,
     /*  39517 */   // Label 906: @39517
     /*  39517 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(39553), // Rule ID 1617 //
     /*  39522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtas),
     /*  39530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  39533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39544 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3762:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTANSDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  39544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANSDf),
     /*  39547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39549 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39551 */     GIR_RootConstrainSelectedInstOperands,
     /*  39552 */     // GIR_Coverage, 1617,
     /*  39552 */     GIR_EraseRootFromParent_Done,
     /*  39553 */   // Label 907: @39553
     /*  39553 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(39589), // Rule ID 1618 //
     /*  39558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtas),
     /*  39566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  39569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39580 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3762:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTANSQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  39580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANSQf),
     /*  39583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39587 */     GIR_RootConstrainSelectedInstOperands,
     /*  39588 */     // GIR_Coverage, 1618,
     /*  39588 */     GIR_EraseRootFromParent_Done,
     /*  39589 */   // Label 908: @39589
     /*  39589 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(39625), // Rule ID 1619 //
     /*  39594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtau),
     /*  39602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  39605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39616 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3763:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTANUDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  39616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANUDf),
     /*  39619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39623 */     GIR_RootConstrainSelectedInstOperands,
     /*  39624 */     // GIR_Coverage, 1619,
     /*  39624 */     GIR_EraseRootFromParent_Done,
     /*  39625 */   // Label 909: @39625
     /*  39625 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(39661), // Rule ID 1620 //
     /*  39630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtau),
     /*  39638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  39641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39652 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3763:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTANUQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  39652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANUQf),
     /*  39655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39659 */     GIR_RootConstrainSelectedInstOperands,
     /*  39660 */     // GIR_Coverage, 1620,
     /*  39660 */     GIR_EraseRootFromParent_Done,
     /*  39661 */   // Label 910: @39661
     /*  39661 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(39697), // Rule ID 1621 //
     /*  39666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  39669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtas),
     /*  39674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  39677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  39680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39688 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3762:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTANSDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  39688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANSDh),
     /*  39691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39695 */     GIR_RootConstrainSelectedInstOperands,
     /*  39696 */     // GIR_Coverage, 1621,
     /*  39696 */     GIR_EraseRootFromParent_Done,
     /*  39697 */   // Label 911: @39697
     /*  39697 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(39733), // Rule ID 1622 //
     /*  39702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  39705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtas),
     /*  39710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  39713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  39716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39724 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3762:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTANSQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  39724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANSQh),
     /*  39727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39731 */     GIR_RootConstrainSelectedInstOperands,
     /*  39732 */     // GIR_Coverage, 1622,
     /*  39732 */     GIR_EraseRootFromParent_Done,
     /*  39733 */   // Label 912: @39733
     /*  39733 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(39769), // Rule ID 1623 //
     /*  39738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  39741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtau),
     /*  39746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  39749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  39752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39760 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3763:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTANUDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  39760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANUDh),
     /*  39763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39767 */     GIR_RootConstrainSelectedInstOperands,
     /*  39768 */     // GIR_Coverage, 1623,
     /*  39768 */     GIR_EraseRootFromParent_Done,
     /*  39769 */   // Label 913: @39769
     /*  39769 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(39805), // Rule ID 1624 //
     /*  39774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  39777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtau),
     /*  39782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  39785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  39788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39796 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3763:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTANUQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  39796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTANUQh),
     /*  39799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39803 */     GIR_RootConstrainSelectedInstOperands,
     /*  39804 */     // GIR_Coverage, 1624,
     /*  39804 */     GIR_EraseRootFromParent_Done,
     /*  39805 */   // Label 914: @39805
     /*  39805 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(39841), // Rule ID 1625 //
     /*  39810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtns),
     /*  39818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  39821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39832 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3774:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTNNSDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  39832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNSDf),
     /*  39835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39839 */     GIR_RootConstrainSelectedInstOperands,
     /*  39840 */     // GIR_Coverage, 1625,
     /*  39840 */     GIR_EraseRootFromParent_Done,
     /*  39841 */   // Label 915: @39841
     /*  39841 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(39877), // Rule ID 1626 //
     /*  39846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtns),
     /*  39854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  39857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39868 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3774:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTNNSQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  39868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNSQf),
     /*  39871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39875 */     GIR_RootConstrainSelectedInstOperands,
     /*  39876 */     // GIR_Coverage, 1626,
     /*  39876 */     GIR_EraseRootFromParent_Done,
     /*  39877 */   // Label 916: @39877
     /*  39877 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(39913), // Rule ID 1627 //
     /*  39882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtnu),
     /*  39890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  39893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39904 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3775:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTNNUDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  39904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNUDf),
     /*  39907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39911 */     GIR_RootConstrainSelectedInstOperands,
     /*  39912 */     // GIR_Coverage, 1627,
     /*  39912 */     GIR_EraseRootFromParent_Done,
     /*  39913 */   // Label 917: @39913
     /*  39913 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(39949), // Rule ID 1628 //
     /*  39918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  39921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtnu),
     /*  39926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  39929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  39940 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3775:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTNNUQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  39940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNUQf),
     /*  39943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39947 */     GIR_RootConstrainSelectedInstOperands,
     /*  39948 */     // GIR_Coverage, 1628,
     /*  39948 */     GIR_EraseRootFromParent_Done,
     /*  39949 */   // Label 918: @39949
     /*  39949 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(39985), // Rule ID 1629 //
     /*  39954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  39957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtns),
     /*  39962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  39965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  39968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  39976 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3774:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTNNSDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  39976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNSDh),
     /*  39979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  39981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  39983 */     GIR_RootConstrainSelectedInstOperands,
     /*  39984 */     // GIR_Coverage, 1629,
     /*  39984 */     GIR_EraseRootFromParent_Done,
     /*  39985 */   // Label 919: @39985
     /*  39985 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(40021), // Rule ID 1630 //
     /*  39990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  39993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtns),
     /*  39998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  40001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  40004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40012 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3774:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTNNSQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  40012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNSQh),
     /*  40015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40019 */     GIR_RootConstrainSelectedInstOperands,
     /*  40020 */     // GIR_Coverage, 1630,
     /*  40020 */     GIR_EraseRootFromParent_Done,
     /*  40021 */   // Label 920: @40021
     /*  40021 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(40057), // Rule ID 1631 //
     /*  40026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtnu),
     /*  40034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  40037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40048 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3775:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTNNUDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  40048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNUDh),
     /*  40051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40055 */     GIR_RootConstrainSelectedInstOperands,
     /*  40056 */     // GIR_Coverage, 1631,
     /*  40056 */     GIR_EraseRootFromParent_Done,
     /*  40057 */   // Label 921: @40057
     /*  40057 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(40093), // Rule ID 1632 //
     /*  40062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtnu),
     /*  40070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  40073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  40076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40084 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3775:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTNNUQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  40084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTNNUQh),
     /*  40087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40091 */     GIR_RootConstrainSelectedInstOperands,
     /*  40092 */     // GIR_Coverage, 1632,
     /*  40092 */     GIR_EraseRootFromParent_Done,
     /*  40093 */   // Label 922: @40093
     /*  40093 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(40129), // Rule ID 1633 //
     /*  40098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtps),
     /*  40106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  40109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40120 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3776:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTPNSDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  40120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNSDf),
     /*  40123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40127 */     GIR_RootConstrainSelectedInstOperands,
     /*  40128 */     // GIR_Coverage, 1633,
     /*  40128 */     GIR_EraseRootFromParent_Done,
     /*  40129 */   // Label 923: @40129
     /*  40129 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(40165), // Rule ID 1634 //
     /*  40134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtps),
     /*  40142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  40145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  40148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40156 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3776:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTPNSQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  40156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNSQf),
     /*  40159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40163 */     GIR_RootConstrainSelectedInstOperands,
     /*  40164 */     // GIR_Coverage, 1634,
     /*  40164 */     GIR_EraseRootFromParent_Done,
     /*  40165 */   // Label 924: @40165
     /*  40165 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(40201), // Rule ID 1635 //
     /*  40170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtpu),
     /*  40178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  40181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40192 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3777:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTPNUDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  40192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNUDf),
     /*  40195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40199 */     GIR_RootConstrainSelectedInstOperands,
     /*  40200 */     // GIR_Coverage, 1635,
     /*  40200 */     GIR_EraseRootFromParent_Done,
     /*  40201 */   // Label 925: @40201
     /*  40201 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(40237), // Rule ID 1636 //
     /*  40206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtpu),
     /*  40214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  40217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  40220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40228 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3777:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTPNUQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  40228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNUQf),
     /*  40231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40235 */     GIR_RootConstrainSelectedInstOperands,
     /*  40236 */     // GIR_Coverage, 1636,
     /*  40236 */     GIR_EraseRootFromParent_Done,
     /*  40237 */   // Label 926: @40237
     /*  40237 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(40273), // Rule ID 1637 //
     /*  40242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtps),
     /*  40250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  40253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40264 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3776:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTPNSDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  40264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNSDh),
     /*  40267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40271 */     GIR_RootConstrainSelectedInstOperands,
     /*  40272 */     // GIR_Coverage, 1637,
     /*  40272 */     GIR_EraseRootFromParent_Done,
     /*  40273 */   // Label 927: @40273
     /*  40273 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(40309), // Rule ID 1638 //
     /*  40278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtps),
     /*  40286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  40289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  40292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40300 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3776:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTPNSQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  40300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNSQh),
     /*  40303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40307 */     GIR_RootConstrainSelectedInstOperands,
     /*  40308 */     // GIR_Coverage, 1638,
     /*  40308 */     GIR_EraseRootFromParent_Done,
     /*  40309 */   // Label 928: @40309
     /*  40309 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(40345), // Rule ID 1639 //
     /*  40314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtpu),
     /*  40322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  40325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40336 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3777:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTPNUDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  40336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNUDh),
     /*  40339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40343 */     GIR_RootConstrainSelectedInstOperands,
     /*  40344 */     // GIR_Coverage, 1639,
     /*  40344 */     GIR_EraseRootFromParent_Done,
     /*  40345 */   // Label 929: @40345
     /*  40345 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(40381), // Rule ID 1640 //
     /*  40350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtpu),
     /*  40358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  40361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  40364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40372 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3777:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTPNUQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  40372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTPNUQh),
     /*  40375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40379 */     GIR_RootConstrainSelectedInstOperands,
     /*  40380 */     // GIR_Coverage, 1640,
     /*  40380 */     GIR_EraseRootFromParent_Done,
     /*  40381 */   // Label 930: @40381
     /*  40381 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(40417), // Rule ID 1641 //
     /*  40386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtms),
     /*  40394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  40397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40408 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3772:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTMNSDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  40408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNSDf),
     /*  40411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40415 */     GIR_RootConstrainSelectedInstOperands,
     /*  40416 */     // GIR_Coverage, 1641,
     /*  40416 */     GIR_EraseRootFromParent_Done,
     /*  40417 */   // Label 931: @40417
     /*  40417 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(40453), // Rule ID 1642 //
     /*  40422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtms),
     /*  40430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  40433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  40436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40444 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3772:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTMNSQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  40444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNSQf),
     /*  40447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40451 */     GIR_RootConstrainSelectedInstOperands,
     /*  40452 */     // GIR_Coverage, 1642,
     /*  40452 */     GIR_EraseRootFromParent_Done,
     /*  40453 */   // Label 932: @40453
     /*  40453 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(40489), // Rule ID 1643 //
     /*  40458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtmu),
     /*  40466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  40469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40480 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3773:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTMNUDf:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /*  40480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNUDf),
     /*  40483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40487 */     GIR_RootConstrainSelectedInstOperands,
     /*  40488 */     // GIR_Coverage, 1643,
     /*  40488 */     GIR_EraseRootFromParent_Done,
     /*  40489 */   // Label 933: @40489
     /*  40489 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(40525), // Rule ID 1644 //
     /*  40494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /*  40497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtmu),
     /*  40502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  40505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  40508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40516 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3773:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTMNUQf:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /*  40516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNUQf),
     /*  40519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40523 */     GIR_RootConstrainSelectedInstOperands,
     /*  40524 */     // GIR_Coverage, 1644,
     /*  40524 */     GIR_EraseRootFromParent_Done,
     /*  40525 */   // Label 934: @40525
     /*  40525 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(40561), // Rule ID 1645 //
     /*  40530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtms),
     /*  40538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  40541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40552 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3772:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTMNSDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  40552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNSDh),
     /*  40555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40559 */     GIR_RootConstrainSelectedInstOperands,
     /*  40560 */     // GIR_Coverage, 1645,
     /*  40560 */     GIR_EraseRootFromParent_Done,
     /*  40561 */   // Label 935: @40561
     /*  40561 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(40597), // Rule ID 1646 //
     /*  40566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtms),
     /*  40574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  40577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  40580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40588 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3772:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTMNSQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  40588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNSQh),
     /*  40591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40595 */     GIR_RootConstrainSelectedInstOperands,
     /*  40596 */     // GIR_Coverage, 1646,
     /*  40596 */     GIR_EraseRootFromParent_Done,
     /*  40597 */   // Label 936: @40597
     /*  40597 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(40633), // Rule ID 1647 //
     /*  40602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtmu),
     /*  40610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  40613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40624 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3773:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTMNUDh:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /*  40624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNUDh),
     /*  40627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40631 */     GIR_RootConstrainSelectedInstOperands,
     /*  40632 */     // GIR_Coverage, 1647,
     /*  40632 */     GIR_EraseRootFromParent_Done,
     /*  40633 */   // Label 937: @40633
     /*  40633 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(40669), // Rule ID 1648 //
     /*  40638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /*  40641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtmu),
     /*  40646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  40649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  40652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40660 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3773:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTMNUQh:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /*  40660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTMNUQh),
     /*  40663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40667 */     GIR_RootConstrainSelectedInstOperands,
     /*  40668 */     // GIR_Coverage, 1648,
     /*  40668 */     GIR_EraseRootFromParent_Done,
     /*  40669 */   // Label 938: @40669
     /*  40669 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(40714), // Rule ID 1665 //
     /*  40674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasNEON),
     /*  40677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2hf),
     /*  40682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  40685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  40688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40696 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3768:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTf2h:{ *:[v4i16] } QPR:{ *:[v4f32] }:$Vm)
     /*  40696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2h),
     /*  40699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  40706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  40712 */     GIR_RootConstrainSelectedInstOperands,
     /*  40713 */     // GIR_Coverage, 1665,
     /*  40713 */     GIR_EraseRootFromParent_Done,
     /*  40714 */   // Label 939: @40714
     /*  40714 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(40759), // Rule ID 1666 //
     /*  40719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasNEON),
     /*  40722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvthf2fp),
     /*  40727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  40730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  40741 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3771:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm)  =>  (VCVTh2f:{ *:[v4f32] } DPR:{ *:[v4i16] }:$Vm)
     /*  40741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2f),
     /*  40744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  40751 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  40757 */     GIR_RootConstrainSelectedInstOperands,
     /*  40758 */     // GIR_Coverage, 1666,
     /*  40758 */     GIR_EraseRootFromParent_Done,
     /*  40759 */   // Label 940: @40759
     /*  40759 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(40795), // Rule ID 1714 //
     /*  40764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasV8),
     /*  40767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_aesimc),
     /*  40772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  40775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  40778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40786 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3731:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm)  =>  (AESIMC:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /*  40786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::AESIMC),
     /*  40789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40793 */     GIR_RootConstrainSelectedInstOperands,
     /*  40794 */     // GIR_Coverage, 1714,
     /*  40794 */     GIR_EraseRootFromParent_Done,
     /*  40795 */   // Label 941: @40795
     /*  40795 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(40831), // Rule ID 1715 //
     /*  40800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasV8),
     /*  40803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_aesmc),
     /*  40808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  40811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  40814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  40822 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3732:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm)  =>  (AESMC:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /*  40822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::AESMC),
     /*  40825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  40827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  40829 */     GIR_RootConstrainSelectedInstOperands,
     /*  40830 */     // GIR_Coverage, 1715,
     /*  40830 */     GIR_EraseRootFromParent_Done,
     /*  40831 */   // Label 942: @40831
     /*  40831 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(40879), // Rule ID 1848 //
     /*  40836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  40839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sxtb16),
     /*  40844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  40847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  40850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  40854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  40858 */     // (intrinsic_wo_chain:{ *:[i32] } 3925:{ *:[iPTR] }, GPR:{ *:[i32] }:$Src)  =>  (SXTB16:{ *:[i32] } GPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  40858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTB16),
     /*  40861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Src
     /*  40865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  40871 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  40877 */     GIR_RootConstrainSelectedInstOperands,
     /*  40878 */     // GIR_Coverage, 1848,
     /*  40878 */     GIR_EraseRootFromParent_Done,
     /*  40879 */   // Label 943: @40879
     /*  40879 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(40927), // Rule ID 2096 //
     /*  40884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  40887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sxtb16),
     /*  40892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  40895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  40898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  40902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  40906 */     // (intrinsic_wo_chain:{ *:[i32] } 3925:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn)  =>  (t2SXTB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, 0:{ *:[i32] })
     /*  40906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTB16),
     /*  40909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  40913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  40919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  40925 */     GIR_RootConstrainSelectedInstOperands,
     /*  40926 */     // GIR_Coverage, 2096,
     /*  40926 */     GIR_EraseRootFromParent_Done,
     /*  40927 */   // Label 944: @40927
     /*  40927 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(40993), // Rule ID 3645 //
     /*  40932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  40935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcls),
     /*  40940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  40943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  40946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  40950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  40954 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3614:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$val)  =>  (MVE_VCLSs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$val)
     /*  40954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  40957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCLSs8),
     /*  40969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  40971 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  40973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  40982 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  40988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  40991 */     GIR_RootConstrainSelectedInstOperands,
     /*  40992 */     // GIR_Coverage, 3645,
     /*  40992 */     GIR_EraseRootFromParent_Done,
     /*  40993 */   // Label 945: @40993
     /*  40993 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(41059), // Rule ID 3647 //
     /*  40998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  41001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcls),
     /*  41006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  41009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  41012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  41016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  41020 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3614:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$val)  =>  (MVE_VCLSs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$val)
     /*  41020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCLSs16),
     /*  41035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  41037 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  41039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41057 */     GIR_RootConstrainSelectedInstOperands,
     /*  41058 */     // GIR_Coverage, 3647,
     /*  41058 */     GIR_EraseRootFromParent_Done,
     /*  41059 */   // Label 946: @41059
     /*  41059 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(41125), // Rule ID 3649 //
     /*  41064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  41067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcls),
     /*  41072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  41075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  41078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  41082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  41086 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3614:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$val)  =>  (MVE_VCLSs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$val)
     /*  41086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCLSs32),
     /*  41101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  41103 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  41105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41123 */     GIR_RootConstrainSelectedInstOperands,
     /*  41124 */     // GIR_Coverage, 3649,
     /*  41124 */     GIR_EraseRootFromParent_Done,
     /*  41125 */   // Label 947: @41125
     /*  41125 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(41176), // Rule ID 4861 //
     /*  41130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  41133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vctp8),
     /*  41138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s1,
     /*  41141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  41148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41152 */     // (intrinsic_wo_chain:{ *:[v16i1] } 3622:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn)  =>  (MVE_VCTP8:{ *:[v16i1] } rGPR:{ *:[i32] }:$Rn)
     /*  41152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCTP8),
     /*  41155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /*  41157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41174 */     GIR_RootConstrainSelectedInstOperands,
     /*  41175 */     // GIR_Coverage, 4861,
     /*  41175 */     GIR_EraseRootFromParent_Done,
     /*  41176 */   // Label 948: @41176
     /*  41176 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(41227), // Rule ID 4863 //
     /*  41181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  41184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vctp16),
     /*  41189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s1,
     /*  41192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  41199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41203 */     // (intrinsic_wo_chain:{ *:[v8i1] } 3619:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn)  =>  (MVE_VCTP16:{ *:[v8i1] } rGPR:{ *:[i32] }:$Rn)
     /*  41203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCTP16),
     /*  41206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /*  41208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41225 */     GIR_RootConstrainSelectedInstOperands,
     /*  41226 */     // GIR_Coverage, 4863,
     /*  41226 */     GIR_EraseRootFromParent_Done,
     /*  41227 */   // Label 949: @41227
     /*  41227 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(41278), // Rule ID 4865 //
     /*  41232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  41235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vctp32),
     /*  41240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s1,
     /*  41243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  41250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41254 */     // (intrinsic_wo_chain:{ *:[v4i1] } 3620:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn)  =>  (MVE_VCTP32:{ *:[v4i1] } rGPR:{ *:[i32] }:$Rn)
     /*  41254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCTP32),
     /*  41257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /*  41259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41276 */     GIR_RootConstrainSelectedInstOperands,
     /*  41277 */     // GIR_Coverage, 4865,
     /*  41277 */     GIR_EraseRootFromParent_Done,
     /*  41278 */   // Label 950: @41278
     /*  41278 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(41329), // Rule ID 4867 //
     /*  41283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  41286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vctp64),
     /*  41291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s1,
     /*  41294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /*  41301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41305 */     // (intrinsic_wo_chain:{ *:[v2i1] } 3621:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn)  =>  (MVE_VCTP64:{ *:[v2i1] } rGPR:{ *:[i32] }:$Rn)
     /*  41305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCTP64),
     /*  41308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /*  41310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41327 */     GIR_RootConstrainSelectedInstOperands,
     /*  41328 */     // GIR_Coverage, 4867,
     /*  41328 */     GIR_EraseRootFromParent_Done,
     /*  41329 */   // Label 951: @41329
     /*  41329 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(41375), // Rule ID 600 //
     /*  41334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has8MSecExt_IsThumb),
     /*  41337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_cmse_tt),
     /*  41342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41349 */     // MIs[0] Rn
     /*  41349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  41353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41357 */     // (intrinsic_wo_chain:{ *:[i32] } 3504:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn)  =>  (t2TT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn)
     /*  41357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2TT),
     /*  41360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  41362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41373 */     GIR_RootConstrainSelectedInstOperands,
     /*  41374 */     // GIR_Coverage, 600,
     /*  41374 */     GIR_EraseRootFromParent_Done,
     /*  41375 */   // Label 952: @41375
     /*  41375 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(41421), // Rule ID 601 //
     /*  41380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has8MSecExt_IsThumb),
     /*  41383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_cmse_ttt),
     /*  41388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41395 */     // MIs[0] Rn
     /*  41395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  41399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41403 */     // (intrinsic_wo_chain:{ *:[i32] } 3507:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn)  =>  (t2TTT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn)
     /*  41403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2TTT),
     /*  41406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  41408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41419 */     GIR_RootConstrainSelectedInstOperands,
     /*  41420 */     // GIR_Coverage, 601,
     /*  41420 */     GIR_EraseRootFromParent_Done,
     /*  41421 */   // Label 953: @41421
     /*  41421 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(41467), // Rule ID 602 //
     /*  41426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has8MSecExt_IsThumb),
     /*  41429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_cmse_tta),
     /*  41434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41441 */     // MIs[0] Rn
     /*  41441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  41445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41449 */     // (intrinsic_wo_chain:{ *:[i32] } 3505:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn)  =>  (t2TTA:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn)
     /*  41449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2TTA),
     /*  41452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  41454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41465 */     GIR_RootConstrainSelectedInstOperands,
     /*  41466 */     // GIR_Coverage, 602,
     /*  41466 */     GIR_EraseRootFromParent_Done,
     /*  41467 */   // Label 954: @41467
     /*  41467 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(41513), // Rule ID 603 //
     /*  41472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has8MSecExt_IsThumb),
     /*  41475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_cmse_ttat),
     /*  41480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41487 */     // MIs[0] Rn
     /*  41487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  41491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41495 */     // (intrinsic_wo_chain:{ *:[i32] } 3506:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn)  =>  (t2TTAT:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn)
     /*  41495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2TTAT),
     /*  41498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  41500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41511 */     GIR_RootConstrainSelectedInstOperands,
     /*  41512 */     // GIR_Coverage, 603,
     /*  41512 */     GIR_EraseRootFromParent_Done,
     /*  41513 */   // Label 955: @41513
     /*  41513 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(41648), // Rule ID 2690 //
     /*  41518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha1h),
     /*  41526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  41536 */     // (intrinsic_wo_chain:{ *:[i32] } 3739:{ *:[iPTR] }, i32:{ *:[i32] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[f32] } (SHA1H:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (COPY_TO_REGCLASS:{ *:[f32] } i32:{ *:[i32] }:$Rn, SPR:{ *:[i32] }), ssub_0:{ *:[i32] })), ssub_0:{ *:[i32] }), GPR:{ *:[i32] })
     /*  41536 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  41539 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41543 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41548 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  41552 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  41557 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /*  41560 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  41564 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41569 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  41572 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  41575 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /*  41578 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPair_with_ssub_0RegClassID),
     /*  41583 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /*  41588 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /*  41591 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::SHA1H),
     /*  41595 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41600 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  41603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  41605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  41608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41617 */     GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /*  41624 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  41629 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(ARM::MQPRRegClassID),
     /*  41634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41642 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /*  41647 */     // GIR_Coverage, 2690,
     /*  41647 */     GIR_EraseRootFromParent_Done,
     /*  41648 */   // Label 956: @41648
     /*  41648 */   GIM_Reject,
     /*  41649 */ // Label 849: @41649
     /*  41649 */ GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(62203),
     /*  41654 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  41657 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(41714), // Rule ID 2114 //
     /*  41662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  41665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uxtab16),
     /*  41670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  41679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41691 */     // (intrinsic_wo_chain:{ *:[i32] } 3949:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UXTAB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  41691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UXTAB16),
     /*  41694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  41700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41712 */     GIR_RootConstrainSelectedInstOperands,
     /*  41713 */     // GIR_Coverage, 2114,
     /*  41713 */     GIR_EraseRootFromParent_Done,
     /*  41714 */   // Label 958: @41714
     /*  41714 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(41813), // Rule ID 1885 //
     /*  41719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  41722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usat),
     /*  41727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  41736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  41748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41769 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  41773 */     // MIs[2] Operand 1
     /*  41773 */     // No operand predicates
     /*  41773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /*  41777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41781 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  41785 */     // MIs[3] Operand 1
     /*  41785 */     // No operand predicates
     /*  41785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41787 */     // (intrinsic_wo_chain:{ *:[i32] } 3944:{ *:[iPTR] }, (shl:{ *:[i32] } GPRnopc:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$shft), (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos)  =>  (USAT:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos, GPRnopc:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$shft)
     /*  41787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USAT),
     /*  41790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // pos
     /*  41795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /*  41799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shft
     /*  41802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41811 */     GIR_RootConstrainSelectedInstOperands,
     /*  41812 */     // GIR_Coverage, 1885,
     /*  41812 */     GIR_EraseRootFromParent_Done,
     /*  41813 */   // Label 959: @41813
     /*  41813 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(41912), // Rule ID 2151 //
     /*  41818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  41821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usat),
     /*  41826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  41835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  41839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  41847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41868 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  41872 */     // MIs[2] Operand 1
     /*  41872 */     // No operand predicates
     /*  41872 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /*  41876 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41880 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  41884 */     // MIs[3] Operand 1
     /*  41884 */     // No operand predicates
     /*  41884 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41886 */     // (intrinsic_wo_chain:{ *:[i32] } 3944:{ *:[iPTR] }, (shl:{ *:[i32] } GPRnopc:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$shft), (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos)  =>  (t2USAT:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos, GPRnopc:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$shft)
     /*  41886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USAT),
     /*  41889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // pos
     /*  41894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /*  41898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shft
     /*  41901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41910 */     GIR_RootConstrainSelectedInstOperands,
     /*  41911 */     // GIR_Coverage, 2151,
     /*  41911 */     GIR_EraseRootFromParent_Done,
     /*  41912 */   // Label 960: @41912
     /*  41912 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(41996), // Rule ID 5427 //
     /*  41917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  41920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  41925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  41928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  41931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  41934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  41946 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  41949 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  41954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41963 */     // MIs[1] Rn
     /*  41963 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  41972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41974 */     // (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rn), GPRnopc:{ *:[i32] }:$Rm)  =>  (QDADD:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)
     /*  41974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QDADD),
     /*  41977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41979 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  41981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  41985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  41988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  41994 */     GIR_RootConstrainSelectedInstOperands,
     /*  41995 */     // GIR_Coverage, 5427,
     /*  41995 */     GIR_EraseRootFromParent_Done,
     /*  41996 */   // Label 961: @41996
     /*  41996 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(42080), // Rule ID 5684 //
     /*  42001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  42004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  42012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  42018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  42030 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  42033 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42047 */     // MIs[1] Rn
     /*  42047 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  42052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42058 */     // (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn), rGPR:{ *:[i32] }:$Rm)  =>  (t2QDADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /*  42058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QDADD),
     /*  42061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  42065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  42069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  42072 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42078 */     GIR_RootConstrainSelectedInstOperands,
     /*  42079 */     // GIR_Coverage, 5684,
     /*  42079 */     GIR_EraseRootFromParent_Done,
     /*  42080 */   // Label 962: @42080
     /*  42080 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(42164), // Rule ID 109 //
     /*  42085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  42088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  42096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  42102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  42106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  42110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  42114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  42118 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  42121 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  42135 */     // MIs[1] Rn
     /*  42135 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  42140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42142 */     // (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rm, (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rn))  =>  (QDADD:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)
     /*  42142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QDADD),
     /*  42145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  42149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  42153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  42156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42162 */     GIR_RootConstrainSelectedInstOperands,
     /*  42163 */     // GIR_Coverage, 109,
     /*  42163 */     GIR_EraseRootFromParent_Done,
     /*  42164 */   // Label 963: @42164
     /*  42164 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(42248), // Rule ID 110 //
     /*  42169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  42172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub),
     /*  42177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  42180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  42186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  42190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  42194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  42198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  42202 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  42205 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  42219 */     // MIs[1] Rn
     /*  42219 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  42224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42226 */     // (intrinsic_wo_chain:{ *:[i32] } 3872:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rm, (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rn))  =>  (QDSUB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)
     /*  42226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QDSUB),
     /*  42229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  42233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  42237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  42240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42246 */     GIR_RootConstrainSelectedInstOperands,
     /*  42247 */     // GIR_Coverage, 110,
     /*  42247 */     GIR_EraseRootFromParent_Done,
     /*  42248 */   // Label 964: @42248
     /*  42248 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(42332), // Rule ID 2129 //
     /*  42253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  42256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  42264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  42270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  42282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  42286 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  42289 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42303 */     // MIs[1] Rn
     /*  42303 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  42308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42310 */     // (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rm, (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn))  =>  (t2QDADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /*  42310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QDADD),
     /*  42313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  42317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  42321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  42324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42330 */     GIR_RootConstrainSelectedInstOperands,
     /*  42331 */     // GIR_Coverage, 2129,
     /*  42331 */     GIR_EraseRootFromParent_Done,
     /*  42332 */   // Label 965: @42332
     /*  42332 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(42416), // Rule ID 2130 //
     /*  42337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  42340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub),
     /*  42345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  42348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  42354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  42366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  42370 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  42373 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  42378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  42387 */     // MIs[1] Rn
     /*  42387 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  42392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42394 */     // (intrinsic_wo_chain:{ *:[i32] } 3872:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rm, (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn))  =>  (t2QDSUB:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /*  42394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QDSUB),
     /*  42397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  42401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  42405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  42408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42414 */     GIR_RootConstrainSelectedInstOperands,
     /*  42415 */     // GIR_Coverage, 2130,
     /*  42415 */     GIR_EraseRootFromParent_Done,
     /*  42416 */   // Label 966: @42416
     /*  42416 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(42489), // Rule ID 4055 //
     /*  42421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvta),
     /*  42429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42442 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  42446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42450 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3630:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTs16f16a:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs16f16a),
     /*  42465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42467 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42487 */     GIR_RootConstrainSelectedInstOperands,
     /*  42488 */     // GIR_Coverage, 4055,
     /*  42488 */     GIR_EraseRootFromParent_Done,
     /*  42489 */   // Label 967: @42489
     /*  42489 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(42562), // Rule ID 4057 //
     /*  42494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtn),
     /*  42502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42515 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  42519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42523 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3634:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTs16f16n:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs16f16n),
     /*  42538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42540 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42551 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42560 */     GIR_RootConstrainSelectedInstOperands,
     /*  42561 */     // GIR_Coverage, 4057,
     /*  42561 */     GIR_EraseRootFromParent_Done,
     /*  42562 */   // Label 968: @42562
     /*  42562 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(42635), // Rule ID 4059 //
     /*  42567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtp),
     /*  42575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42588 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  42592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42596 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3636:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTs16f16p:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs16f16p),
     /*  42611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42613 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42633 */     GIR_RootConstrainSelectedInstOperands,
     /*  42634 */     // GIR_Coverage, 4059,
     /*  42634 */     GIR_EraseRootFromParent_Done,
     /*  42635 */   // Label 969: @42635
     /*  42635 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(42708), // Rule ID 4061 //
     /*  42640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtm),
     /*  42648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42661 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  42665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42669 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3632:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTs16f16m:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs16f16m),
     /*  42684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42686 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42706 */     GIR_RootConstrainSelectedInstOperands,
     /*  42707 */     // GIR_Coverage, 4061,
     /*  42707 */     GIR_EraseRootFromParent_Done,
     /*  42708 */   // Label 970: @42708
     /*  42708 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(42781), // Rule ID 4063 //
     /*  42713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvta),
     /*  42721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42734 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  42738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42742 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3630:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTu16f16a:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu16f16a),
     /*  42757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42759 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42779 */     GIR_RootConstrainSelectedInstOperands,
     /*  42780 */     // GIR_Coverage, 4063,
     /*  42780 */     GIR_EraseRootFromParent_Done,
     /*  42781 */   // Label 971: @42781
     /*  42781 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(42854), // Rule ID 4065 //
     /*  42786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtn),
     /*  42794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  42811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42815 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3634:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTu16f16n:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu16f16n),
     /*  42830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42832 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42837 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42843 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42852 */     GIR_RootConstrainSelectedInstOperands,
     /*  42853 */     // GIR_Coverage, 4065,
     /*  42853 */     GIR_EraseRootFromParent_Done,
     /*  42854 */   // Label 972: @42854
     /*  42854 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(42927), // Rule ID 4067 //
     /*  42859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtp),
     /*  42867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42880 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  42884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42888 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3636:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTu16f16p:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu16f16p),
     /*  42903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42905 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42925 */     GIR_RootConstrainSelectedInstOperands,
     /*  42926 */     // GIR_Coverage, 4067,
     /*  42926 */     GIR_EraseRootFromParent_Done,
     /*  42927 */   // Label 973: @42927
     /*  42927 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(43000), // Rule ID 4069 //
     /*  42932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  42935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtm),
     /*  42940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  42943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  42946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  42949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42953 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  42957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  42961 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3632:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v8f16] }:$in)  =>  (MVE_VCVTu16f16m:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$in)
     /*  42961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu16f16m),
     /*  42976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  42978 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  42980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  42983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  42995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42998 */     GIR_RootConstrainSelectedInstOperands,
     /*  42999 */     // GIR_Coverage, 4069,
     /*  42999 */     GIR_EraseRootFromParent_Done,
     /*  43000 */   // Label 974: @43000
     /*  43000 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(43073), // Rule ID 4071 //
     /*  43005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvta),
     /*  43013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43026 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  43030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43034 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3630:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTs32f32a:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs32f32a),
     /*  43049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43051 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43071 */     GIR_RootConstrainSelectedInstOperands,
     /*  43072 */     // GIR_Coverage, 4071,
     /*  43072 */     GIR_EraseRootFromParent_Done,
     /*  43073 */   // Label 975: @43073
     /*  43073 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(43146), // Rule ID 4073 //
     /*  43078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtn),
     /*  43086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43099 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  43103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43107 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3634:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTs32f32n:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs32f32n),
     /*  43122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43124 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43144 */     GIR_RootConstrainSelectedInstOperands,
     /*  43145 */     // GIR_Coverage, 4073,
     /*  43145 */     GIR_EraseRootFromParent_Done,
     /*  43146 */   // Label 976: @43146
     /*  43146 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(43219), // Rule ID 4075 //
     /*  43151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtp),
     /*  43159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  43176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43180 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3636:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTs32f32p:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs32f32p),
     /*  43195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43197 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43217 */     GIR_RootConstrainSelectedInstOperands,
     /*  43218 */     // GIR_Coverage, 4075,
     /*  43218 */     GIR_EraseRootFromParent_Done,
     /*  43219 */   // Label 977: @43219
     /*  43219 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(43292), // Rule ID 4077 //
     /*  43224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtm),
     /*  43232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43245 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  43249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43253 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3632:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTs32f32m:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs32f32m),
     /*  43268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43270 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43281 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43290 */     GIR_RootConstrainSelectedInstOperands,
     /*  43291 */     // GIR_Coverage, 4077,
     /*  43291 */     GIR_EraseRootFromParent_Done,
     /*  43292 */   // Label 978: @43292
     /*  43292 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(43365), // Rule ID 4079 //
     /*  43297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvta),
     /*  43305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  43322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43326 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3630:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTu32f32a:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu32f32a),
     /*  43341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43343 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43363 */     GIR_RootConstrainSelectedInstOperands,
     /*  43364 */     // GIR_Coverage, 4079,
     /*  43364 */     GIR_EraseRootFromParent_Done,
     /*  43365 */   // Label 979: @43365
     /*  43365 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(43438), // Rule ID 4081 //
     /*  43370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtn),
     /*  43378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  43395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43399 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3634:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTu32f32n:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu32f32n),
     /*  43414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43416 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43427 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43436 */     GIR_RootConstrainSelectedInstOperands,
     /*  43437 */     // GIR_Coverage, 4081,
     /*  43437 */     GIR_EraseRootFromParent_Done,
     /*  43438 */   // Label 980: @43438
     /*  43438 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(43511), // Rule ID 4083 //
     /*  43443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtp),
     /*  43451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43464 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  43468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43472 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3636:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTu32f32p:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu32f32p),
     /*  43487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43489 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43509 */     GIR_RootConstrainSelectedInstOperands,
     /*  43510 */     // GIR_Coverage, 4083,
     /*  43510 */     GIR_EraseRootFromParent_Done,
     /*  43511 */   // Label 981: @43511
     /*  43511 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(43584), // Rule ID 4085 //
     /*  43516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvtm),
     /*  43524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  43533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43537 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  43541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43545 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3632:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v4f32] }:$in)  =>  (MVE_VCVTu32f32m:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$in)
     /*  43545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu32f32m),
     /*  43560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43562 */     GIR_RootToRootCopy, /*OpIdx*/3, // in
     /*  43564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43567 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43582 */     GIR_RootConstrainSelectedInstOperands,
     /*  43583 */     // GIR_Coverage, 4085,
     /*  43583 */     GIR_EraseRootFromParent_Done,
     /*  43584 */   // Label 982: @43584
     /*  43584 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(43657), // Rule ID 4529 //
     /*  43589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_widen),
     /*  43597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  43603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  43606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43614 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  43618 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3628:{ *:[iPTR] }, MQPR:{ *:[v8f16] }:$Qm, 0:{ *:[i32] })  =>  (MVE_VCVTf32f16bh:{ *:[v4f32] } MQPR:{ *:[v8f16] }:$Qm)
     /*  43618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf32f16bh),
     /*  43633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  43637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43655 */     GIR_RootConstrainSelectedInstOperands,
     /*  43656 */     // GIR_Coverage, 4529,
     /*  43656 */     GIR_EraseRootFromParent_Done,
     /*  43657 */   // Label 983: @43657
     /*  43657 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(43730), // Rule ID 4535 //
     /*  43662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  43665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_widen),
     /*  43670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  43673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  43676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  43679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  43687 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  43691 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3628:{ *:[iPTR] }, MQPR:{ *:[v8f16] }:$Qm, 1:{ *:[i32] })  =>  (MVE_VCVTf32f16th:{ *:[v4f32] } MQPR:{ *:[v8f16] }:$Qm)
     /*  43691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  43694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf32f16th),
     /*  43706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  43708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  43710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43713 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43728 */     GIR_RootConstrainSelectedInstOperands,
     /*  43729 */     // GIR_Coverage, 4535,
     /*  43729 */     GIR_EraseRootFromParent_Done,
     /*  43730 */   // Label 984: @43730
     /*  43730 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(43798), // Rule ID 1878 //
     /*  43735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  43738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usat),
     /*  43743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  43746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  43752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  43756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  43760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  43764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  43772 */     // MIs[1] Operand 1
     /*  43772 */     // No operand predicates
     /*  43772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43774 */     // (intrinsic_wo_chain:{ *:[i32] } 3944:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos)  =>  (USAT:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos, GPRnopc:{ *:[i32] }:$a, 0:{ *:[i32] })
     /*  43774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USAT),
     /*  43777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // pos
     /*  43782 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  43784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  43790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43796 */     GIR_RootConstrainSelectedInstOperands,
     /*  43797 */     // GIR_Coverage, 1878,
     /*  43797 */     GIR_EraseRootFromParent_Done,
     /*  43798 */   // Label 985: @43798
     /*  43798 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(43863), // Rule ID 1882 //
     /*  43803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  43806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usat16),
     /*  43811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  43814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  43820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  43824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  43828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  43832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  43840 */     // MIs[1] Operand 1
     /*  43840 */     // No operand predicates
     /*  43840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43842 */     // (intrinsic_wo_chain:{ *:[i32] } 3945:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$pos)  =>  (USAT16:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$pos, GPRnopc:{ *:[i32] }:$a)
     /*  43842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USAT16),
     /*  43845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // pos
     /*  43850 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  43852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  43855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43861 */     GIR_RootConstrainSelectedInstOperands,
     /*  43862 */     // GIR_Coverage, 1882,
     /*  43862 */     GIR_EraseRootFromParent_Done,
     /*  43863 */   // Label 986: @43863
     /*  43863 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(43931), // Rule ID 2146 //
     /*  43868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  43871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usat),
     /*  43876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  43879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  43885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  43889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  43893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  43897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  43905 */     // MIs[1] Operand 1
     /*  43905 */     // No operand predicates
     /*  43905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43907 */     // (intrinsic_wo_chain:{ *:[i32] } 3944:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos)  =>  (t2USAT:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$pos, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })
     /*  43907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USAT),
     /*  43910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // pos
     /*  43915 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  43917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  43920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  43923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43929 */     GIR_RootConstrainSelectedInstOperands,
     /*  43930 */     // GIR_Coverage, 2146,
     /*  43930 */     GIR_EraseRootFromParent_Done,
     /*  43931 */   // Label 987: @43931
     /*  43931 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(43996), // Rule ID 2148 //
     /*  43936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  43939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usat16),
     /*  43944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  43947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  43950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  43953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  43957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  43961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  43965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  43973 */     // MIs[1] Operand 1
     /*  43973 */     // No operand predicates
     /*  43973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43975 */     // (intrinsic_wo_chain:{ *:[i32] } 3945:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$pos)  =>  (t2USAT16:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$pos, GPR:{ *:[i32] }:$a)
     /*  43975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USAT16),
     /*  43978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // pos
     /*  43983 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  43985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  43988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  43994 */     GIR_RootConstrainSelectedInstOperands,
     /*  43995 */     // GIR_Coverage, 2148,
     /*  43995 */     GIR_EraseRootFromParent_Done,
     /*  43996 */   // Label 988: @43996
     /*  43996 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(44079), // Rule ID 3925 //
     /*  44001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshlu_imm),
     /*  44006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  44009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  44012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  44019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  44023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /*  44035 */     // MIs[1] Operand 1
     /*  44035 */     // No operand predicates
     /*  44035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44037 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3689:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm)  =>  (MVE_VQSHLU_imms8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm)
     /*  44037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  44040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLU_imms8),
     /*  44052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  44054 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  44056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  44059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  44062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44077 */     GIR_RootConstrainSelectedInstOperands,
     /*  44078 */     // GIR_Coverage, 3925,
     /*  44078 */     GIR_EraseRootFromParent_Done,
     /*  44079 */   // Label 989: @44079
     /*  44079 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(44162), // Rule ID 3927 //
     /*  44084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshlu_imm),
     /*  44089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  44092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  44095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  44102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  44106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  44118 */     // MIs[1] Operand 1
     /*  44118 */     // No operand predicates
     /*  44118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44120 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3689:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm)  =>  (MVE_VQSHLU_imms16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm)
     /*  44120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  44123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLU_imms16),
     /*  44135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  44137 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  44139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  44142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  44145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44151 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44160 */     GIR_RootConstrainSelectedInstOperands,
     /*  44161 */     // GIR_Coverage, 3927,
     /*  44161 */     GIR_EraseRootFromParent_Done,
     /*  44162 */   // Label 990: @44162
     /*  44162 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(44245), // Rule ID 3929 //
     /*  44167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshlu_imm),
     /*  44172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  44175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  44178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  44185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  44189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  44201 */     // MIs[1] Operand 1
     /*  44201 */     // No operand predicates
     /*  44201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44203 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3689:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm)  =>  (MVE_VQSHLU_imms32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm)
     /*  44203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  44206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLU_imms32),
     /*  44218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  44220 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  44222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  44225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  44228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44243 */     GIR_RootConstrainSelectedInstOperands,
     /*  44244 */     // GIR_Coverage, 3929,
     /*  44244 */     GIR_EraseRootFromParent_Done,
     /*  44245 */   // Label 991: @44245
     /*  44245 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(44306), // Rule ID 1649 //
     /*  44250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxs),
     /*  44258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  44261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44283 */     // MIs[1] Operand 1
     /*  44283 */     // No operand predicates
     /*  44283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44285 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3766:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTf2xsd:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2xsd),
     /*  44288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44304 */     GIR_RootConstrainSelectedInstOperands,
     /*  44305 */     // GIR_Coverage, 1649,
     /*  44305 */     GIR_EraseRootFromParent_Done,
     /*  44306 */   // Label 992: @44306
     /*  44306 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(44367), // Rule ID 1650 //
     /*  44311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxu),
     /*  44319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  44322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44344 */     // MIs[1] Operand 1
     /*  44344 */     // No operand predicates
     /*  44344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44346 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3767:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTf2xud:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2xud),
     /*  44349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44365 */     GIR_RootConstrainSelectedInstOperands,
     /*  44366 */     // GIR_Coverage, 1650,
     /*  44366 */     GIR_EraseRootFromParent_Done,
     /*  44367 */   // Label 993: @44367
     /*  44367 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(44428), // Rule ID 1651 //
     /*  44372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxs2fp),
     /*  44380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  44383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44405 */     // MIs[1] Operand 1
     /*  44405 */     // No operand predicates
     /*  44405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44407 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3769:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxs2fd:{ *:[v2f32] } DPR:{ *:[v2i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxs2fd),
     /*  44410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44426 */     GIR_RootConstrainSelectedInstOperands,
     /*  44427 */     // GIR_Coverage, 1651,
     /*  44427 */     GIR_EraseRootFromParent_Done,
     /*  44428 */   // Label 994: @44428
     /*  44428 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(44489), // Rule ID 1652 //
     /*  44433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxu2fp),
     /*  44441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  44444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44466 */     // MIs[1] Operand 1
     /*  44466 */     // No operand predicates
     /*  44466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44468 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3770:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxu2fd:{ *:[v2f32] } DPR:{ *:[v2i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxu2fd),
     /*  44471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44487 */     GIR_RootConstrainSelectedInstOperands,
     /*  44488 */     // GIR_Coverage, 1652,
     /*  44488 */     GIR_EraseRootFromParent_Done,
     /*  44489 */   // Label 995: @44489
     /*  44489 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(44550), // Rule ID 1653 //
     /*  44494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  44497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxs),
     /*  44502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  44505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44527 */     // MIs[1] Operand 1
     /*  44527 */     // No operand predicates
     /*  44527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44529 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3766:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTh2xsd:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2xsd),
     /*  44532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44548 */     GIR_RootConstrainSelectedInstOperands,
     /*  44549 */     // GIR_Coverage, 1653,
     /*  44549 */     GIR_EraseRootFromParent_Done,
     /*  44550 */   // Label 996: @44550
     /*  44550 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(44611), // Rule ID 1654 //
     /*  44555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  44558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxu),
     /*  44563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  44566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44588 */     // MIs[1] Operand 1
     /*  44588 */     // No operand predicates
     /*  44588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44590 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3767:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTh2xud:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2xud),
     /*  44593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44609 */     GIR_RootConstrainSelectedInstOperands,
     /*  44610 */     // GIR_Coverage, 1654,
     /*  44610 */     GIR_EraseRootFromParent_Done,
     /*  44611 */   // Label 997: @44611
     /*  44611 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(44672), // Rule ID 1655 //
     /*  44616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  44619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxs2fp),
     /*  44624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  44627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44649 */     // MIs[1] Operand 1
     /*  44649 */     // No operand predicates
     /*  44649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44651 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3769:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxs2hd:{ *:[v4f16] } DPR:{ *:[v4i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxs2hd),
     /*  44654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44670 */     GIR_RootConstrainSelectedInstOperands,
     /*  44671 */     // GIR_Coverage, 1655,
     /*  44671 */     GIR_EraseRootFromParent_Done,
     /*  44672 */   // Label 998: @44672
     /*  44672 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(44733), // Rule ID 1656 //
     /*  44677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  44680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxu2fp),
     /*  44685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  44688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  44702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44710 */     // MIs[1] Operand 1
     /*  44710 */     // No operand predicates
     /*  44710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44712 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3770:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxu2hd:{ *:[v4f16] } DPR:{ *:[v4i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxu2hd),
     /*  44715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44731 */     GIR_RootConstrainSelectedInstOperands,
     /*  44732 */     // GIR_Coverage, 1656,
     /*  44732 */     GIR_EraseRootFromParent_Done,
     /*  44733 */   // Label 999: @44733
     /*  44733 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(44794), // Rule ID 1657 //
     /*  44738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxs),
     /*  44746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  44749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  44752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44771 */     // MIs[1] Operand 1
     /*  44771 */     // No operand predicates
     /*  44771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44773 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3766:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTf2xsq:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2xsq),
     /*  44776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44792 */     GIR_RootConstrainSelectedInstOperands,
     /*  44793 */     // GIR_Coverage, 1657,
     /*  44793 */     GIR_EraseRootFromParent_Done,
     /*  44794 */   // Label 1000: @44794
     /*  44794 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(44855), // Rule ID 1658 //
     /*  44799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxu),
     /*  44807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  44810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  44813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44832 */     // MIs[1] Operand 1
     /*  44832 */     // No operand predicates
     /*  44832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44834 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3767:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTf2xuq:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2xuq),
     /*  44837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44853 */     GIR_RootConstrainSelectedInstOperands,
     /*  44854 */     // GIR_Coverage, 1658,
     /*  44854 */     GIR_EraseRootFromParent_Done,
     /*  44855 */   // Label 1001: @44855
     /*  44855 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(44916), // Rule ID 1659 //
     /*  44860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxs2fp),
     /*  44868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  44871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  44874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44893 */     // MIs[1] Operand 1
     /*  44893 */     // No operand predicates
     /*  44893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44895 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3769:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxs2fq:{ *:[v4f32] } QPR:{ *:[v4i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxs2fq),
     /*  44898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44914 */     GIR_RootConstrainSelectedInstOperands,
     /*  44915 */     // GIR_Coverage, 1659,
     /*  44915 */     GIR_EraseRootFromParent_Done,
     /*  44916 */   // Label 1002: @44916
     /*  44916 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(44977), // Rule ID 1660 //
     /*  44921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxu2fp),
     /*  44929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  44932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  44935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  44946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  44950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44954 */     // MIs[1] Operand 1
     /*  44954 */     // No operand predicates
     /*  44954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44956 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3770:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxu2fq:{ *:[v4f32] } QPR:{ *:[v4i32] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  44956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxu2fq),
     /*  44959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  44961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  44963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  44966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  44969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  44975 */     GIR_RootConstrainSelectedInstOperands,
     /*  44976 */     // GIR_Coverage, 1660,
     /*  44976 */     GIR_EraseRootFromParent_Done,
     /*  44977 */   // Label 1003: @44977
     /*  44977 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(45038), // Rule ID 1661 //
     /*  44982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  44985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxs),
     /*  44990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  44993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  44996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  44999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45015 */     // MIs[1] Operand 1
     /*  45015 */     // No operand predicates
     /*  45015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45017 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3766:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTh2xsq:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  45017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2xsq),
     /*  45020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  45022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  45024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  45027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45036 */     GIR_RootConstrainSelectedInstOperands,
     /*  45037 */     // GIR_Coverage, 1661,
     /*  45037 */     GIR_EraseRootFromParent_Done,
     /*  45038 */   // Label 1004: @45038
     /*  45038 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(45099), // Rule ID 1662 //
     /*  45043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  45046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfp2fxu),
     /*  45051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  45054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  45057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45076 */     // MIs[1] Operand 1
     /*  45076 */     // No operand predicates
     /*  45076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45078 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3767:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTh2xuq:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  45078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2xuq),
     /*  45081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  45083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  45085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  45088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45097 */     GIR_RootConstrainSelectedInstOperands,
     /*  45098 */     // GIR_Coverage, 1662,
     /*  45098 */     GIR_EraseRootFromParent_Done,
     /*  45099 */   // Label 1005: @45099
     /*  45099 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(45160), // Rule ID 1663 //
     /*  45104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  45107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxs2fp),
     /*  45112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  45115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  45118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45137 */     // MIs[1] Operand 1
     /*  45137 */     // No operand predicates
     /*  45137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45139 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3769:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxs2hq:{ *:[v8f16] } QPR:{ *:[v8i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  45139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxs2hq),
     /*  45142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  45144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  45146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  45149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45158 */     GIR_RootConstrainSelectedInstOperands,
     /*  45159 */     // GIR_Coverage, 1663,
     /*  45159 */     GIR_EraseRootFromParent_Done,
     /*  45160 */   // Label 1006: @45160
     /*  45160 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(45221), // Rule ID 1664 //
     /*  45165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  45168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcvtfxu2fp),
     /*  45173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  45176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  45179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  45190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45198 */     // MIs[1] Operand 1
     /*  45198 */     // No operand predicates
     /*  45198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45200 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3770:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)  =>  (VCVTxu2hq:{ *:[v8f16] } QPR:{ *:[v8i16] }:$Vm, (imm:{ *:[i32] }):$SIMM)
     /*  45200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTxu2hq),
     /*  45203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  45205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  45207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // SIMM
     /*  45210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45219 */     GIR_RootConstrainSelectedInstOperands,
     /*  45220 */     // GIR_Coverage, 1664,
     /*  45220 */     GIR_EraseRootFromParent_Done,
     /*  45221 */   // Label 1007: @45221
     /*  45221 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(45282), // Rule ID 1722 //
     /*  45226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_HasV8_1MMainline),
     /*  45229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_sqshl),
     /*  45234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45259 */     // MIs[1] Operand 1
     /*  45259 */     // No operand predicates
     /*  45259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45261 */     // (intrinsic_wo_chain:{ *:[i32] } 3594:{ *:[iPTR] }, rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)  =>  (MVE_SQSHL:{ *:[i32] } rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)
     /*  45261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_SQSHL),
     /*  45264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  45266 */     GIR_RootToRootCopy, /*OpIdx*/2, // RdaSrc
     /*  45268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  45271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45280 */     GIR_RootConstrainSelectedInstOperands,
     /*  45281 */     // GIR_Coverage, 1722,
     /*  45281 */     GIR_EraseRootFromParent_Done,
     /*  45282 */   // Label 1008: @45282
     /*  45282 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(45343), // Rule ID 1723 //
     /*  45287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_HasV8_1MMainline),
     /*  45290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_srshr),
     /*  45295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45320 */     // MIs[1] Operand 1
     /*  45320 */     // No operand predicates
     /*  45320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45322 */     // (intrinsic_wo_chain:{ *:[i32] } 3596:{ *:[iPTR] }, rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)  =>  (MVE_SRSHR:{ *:[i32] } rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)
     /*  45322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_SRSHR),
     /*  45325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  45327 */     GIR_RootToRootCopy, /*OpIdx*/2, // RdaSrc
     /*  45329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  45332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45341 */     GIR_RootConstrainSelectedInstOperands,
     /*  45342 */     // GIR_Coverage, 1723,
     /*  45342 */     GIR_EraseRootFromParent_Done,
     /*  45343 */   // Label 1009: @45343
     /*  45343 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(45404), // Rule ID 1724 //
     /*  45348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_HasV8_1MMainline),
     /*  45351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_uqshl),
     /*  45356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45381 */     // MIs[1] Operand 1
     /*  45381 */     // No operand predicates
     /*  45381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45383 */     // (intrinsic_wo_chain:{ *:[i32] } 3601:{ *:[iPTR] }, rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)  =>  (MVE_UQSHL:{ *:[i32] } rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)
     /*  45383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_UQSHL),
     /*  45386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  45388 */     GIR_RootToRootCopy, /*OpIdx*/2, // RdaSrc
     /*  45390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  45393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45402 */     GIR_RootConstrainSelectedInstOperands,
     /*  45403 */     // GIR_Coverage, 1724,
     /*  45403 */     GIR_EraseRootFromParent_Done,
     /*  45404 */   // Label 1010: @45404
     /*  45404 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(45465), // Rule ID 1725 //
     /*  45409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_HasV8_1MMainline),
     /*  45412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_urshr),
     /*  45417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  45434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  45438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45442 */     // MIs[1] Operand 1
     /*  45442 */     // No operand predicates
     /*  45442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45444 */     // (intrinsic_wo_chain:{ *:[i32] } 3603:{ *:[iPTR] }, rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)  =>  (MVE_URSHR:{ *:[i32] } rGPR:{ *:[i32] }:$RdaSrc, (imm:{ *:[i32] }):$imm)
     /*  45444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_URSHR),
     /*  45447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  45449 */     GIR_RootToRootCopy, /*OpIdx*/2, // RdaSrc
     /*  45451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  45454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45463 */     GIR_RootConstrainSelectedInstOperands,
     /*  45464 */     // GIR_Coverage, 1725,
     /*  45464 */     GIR_EraseRootFromParent_Done,
     /*  45465 */   // Label 1011: @45465
     /*  45465 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(45519), // Rule ID 105 //
     /*  45470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd8),
     /*  45478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45499 */     // (intrinsic_wo_chain:{ *:[i32] } 3869:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (QADD8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QADD8),
     /*  45502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45517 */     GIR_RootConstrainSelectedInstOperands,
     /*  45518 */     // GIR_Coverage, 105,
     /*  45518 */     GIR_EraseRootFromParent_Done,
     /*  45519 */   // Label 1012: @45519
     /*  45519 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(45573), // Rule ID 106 //
     /*  45524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd16),
     /*  45532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45553 */     // (intrinsic_wo_chain:{ *:[i32] } 3868:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (QADD16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QADD16),
     /*  45556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45571 */     GIR_RootConstrainSelectedInstOperands,
     /*  45572 */     // GIR_Coverage, 106,
     /*  45572 */     GIR_EraseRootFromParent_Done,
     /*  45573 */   // Label 1013: @45573
     /*  45573 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(45627), // Rule ID 107 //
     /*  45578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub16),
     /*  45586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45607 */     // (intrinsic_wo_chain:{ *:[i32] } 3873:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (QSUB16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QSUB16),
     /*  45610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45614 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45625 */     GIR_RootConstrainSelectedInstOperands,
     /*  45626 */     // GIR_Coverage, 107,
     /*  45626 */     GIR_EraseRootFromParent_Done,
     /*  45627 */   // Label 1014: @45627
     /*  45627 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(45681), // Rule ID 108 //
     /*  45632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub8),
     /*  45640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45661 */     // (intrinsic_wo_chain:{ *:[i32] } 3874:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (QSUB8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QSUB8),
     /*  45664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45679 */     GIR_RootConstrainSelectedInstOperands,
     /*  45680 */     // GIR_Coverage, 108,
     /*  45680 */     GIR_EraseRootFromParent_Done,
     /*  45681 */   // Label 1015: @45681
     /*  45681 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(45735), // Rule ID 111 //
     /*  45686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub),
     /*  45694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45715 */     // (intrinsic_wo_chain:{ *:[i32] } 3872:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)  =>  (QSUB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)
     /*  45715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QSUB),
     /*  45718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  45722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /*  45724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45727 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45733 */     GIR_RootConstrainSelectedInstOperands,
     /*  45734 */     // GIR_Coverage, 111,
     /*  45734 */     GIR_EraseRootFromParent_Done,
     /*  45735 */   // Label 1016: @45735
     /*  45735 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(45789), // Rule ID 112 //
     /*  45740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  45748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45769 */     // (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)  =>  (QADD:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Rn)
     /*  45769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QADD),
     /*  45772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  45776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /*  45778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45781 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45787 */     GIR_RootConstrainSelectedInstOperands,
     /*  45788 */     // GIR_Coverage, 112,
     /*  45788 */     GIR_EraseRootFromParent_Done,
     /*  45789 */   // Label 1017: @45789
     /*  45789 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(45843), // Rule ID 113 //
     /*  45794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqadd16),
     /*  45802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45823 */     // (intrinsic_wo_chain:{ *:[i32] } 3936:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UQADD16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UQADD16),
     /*  45826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45841 */     GIR_RootConstrainSelectedInstOperands,
     /*  45842 */     // GIR_Coverage, 113,
     /*  45842 */     GIR_EraseRootFromParent_Done,
     /*  45843 */   // Label 1018: @45843
     /*  45843 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(45897), // Rule ID 114 //
     /*  45848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqadd8),
     /*  45856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45877 */     // (intrinsic_wo_chain:{ *:[i32] } 3937:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UQADD8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UQADD8),
     /*  45880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45895 */     GIR_RootConstrainSelectedInstOperands,
     /*  45896 */     // GIR_Coverage, 114,
     /*  45896 */     GIR_EraseRootFromParent_Done,
     /*  45897 */   // Label 1019: @45897
     /*  45897 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(45951), // Rule ID 115 //
     /*  45902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqsub16),
     /*  45910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45931 */     // (intrinsic_wo_chain:{ *:[i32] } 3940:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UQSUB16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UQSUB16),
     /*  45934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  45949 */     GIR_RootConstrainSelectedInstOperands,
     /*  45950 */     // GIR_Coverage, 115,
     /*  45950 */     GIR_EraseRootFromParent_Done,
     /*  45951 */   // Label 1020: @45951
     /*  45951 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(46005), // Rule ID 116 //
     /*  45956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  45959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqsub8),
     /*  45964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  45967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  45970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  45973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  45985 */     // (intrinsic_wo_chain:{ *:[i32] } 3941:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UQSUB8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  45985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UQSUB8),
     /*  45988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  45992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  45994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  45997 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46003 */     GIR_RootConstrainSelectedInstOperands,
     /*  46004 */     // GIR_Coverage, 116,
     /*  46004 */     GIR_EraseRootFromParent_Done,
     /*  46005 */   // Label 1021: @46005
     /*  46005 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(46059), // Rule ID 117 //
     /*  46010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qasx),
     /*  46018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46039 */     // (intrinsic_wo_chain:{ *:[i32] } 3870:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (QASX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QASX),
     /*  46042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46057 */     GIR_RootConstrainSelectedInstOperands,
     /*  46058 */     // GIR_Coverage, 117,
     /*  46058 */     GIR_EraseRootFromParent_Done,
     /*  46059 */   // Label 1022: @46059
     /*  46059 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(46113), // Rule ID 118 //
     /*  46064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsax),
     /*  46072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46093 */     // (intrinsic_wo_chain:{ *:[i32] } 3871:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (QSAX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QSAX),
     /*  46096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46111 */     GIR_RootConstrainSelectedInstOperands,
     /*  46112 */     // GIR_Coverage, 118,
     /*  46112 */     GIR_EraseRootFromParent_Done,
     /*  46113 */   // Label 1023: @46113
     /*  46113 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(46167), // Rule ID 119 //
     /*  46118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqasx),
     /*  46126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46147 */     // (intrinsic_wo_chain:{ *:[i32] } 3938:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UQASX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UQASX),
     /*  46150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46165 */     GIR_RootConstrainSelectedInstOperands,
     /*  46166 */     // GIR_Coverage, 119,
     /*  46166 */     GIR_EraseRootFromParent_Done,
     /*  46167 */   // Label 1024: @46167
     /*  46167 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(46221), // Rule ID 120 //
     /*  46172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqsax),
     /*  46180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46201 */     // (intrinsic_wo_chain:{ *:[i32] } 3939:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UQSAX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UQSAX),
     /*  46204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46219 */     GIR_RootConstrainSelectedInstOperands,
     /*  46220 */     // GIR_Coverage, 120,
     /*  46220 */     GIR_EraseRootFromParent_Done,
     /*  46221 */   // Label 1025: @46221
     /*  46221 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(46275), // Rule ID 133 //
     /*  46226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shasx),
     /*  46234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46255 */     // (intrinsic_wo_chain:{ *:[i32] } 3882:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SHASX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHASX),
     /*  46258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46267 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46273 */     GIR_RootConstrainSelectedInstOperands,
     /*  46274 */     // GIR_Coverage, 133,
     /*  46274 */     GIR_EraseRootFromParent_Done,
     /*  46275 */   // Label 1026: @46275
     /*  46275 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(46329), // Rule ID 134 //
     /*  46280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shadd16),
     /*  46288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46309 */     // (intrinsic_wo_chain:{ *:[i32] } 3880:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SHADD16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHADD16),
     /*  46312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46327 */     GIR_RootConstrainSelectedInstOperands,
     /*  46328 */     // GIR_Coverage, 134,
     /*  46328 */     GIR_EraseRootFromParent_Done,
     /*  46329 */   // Label 1027: @46329
     /*  46329 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(46383), // Rule ID 135 //
     /*  46334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shadd8),
     /*  46342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46363 */     // (intrinsic_wo_chain:{ *:[i32] } 3881:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SHADD8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHADD8),
     /*  46366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46381 */     GIR_RootConstrainSelectedInstOperands,
     /*  46382 */     // GIR_Coverage, 135,
     /*  46382 */     GIR_EraseRootFromParent_Done,
     /*  46383 */   // Label 1028: @46383
     /*  46383 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(46437), // Rule ID 136 //
     /*  46388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shsax),
     /*  46396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46417 */     // (intrinsic_wo_chain:{ *:[i32] } 3883:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SHSAX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHSAX),
     /*  46420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46435 */     GIR_RootConstrainSelectedInstOperands,
     /*  46436 */     // GIR_Coverage, 136,
     /*  46436 */     GIR_EraseRootFromParent_Done,
     /*  46437 */   // Label 1029: @46437
     /*  46437 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(46491), // Rule ID 137 //
     /*  46442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shsub16),
     /*  46450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46471 */     // (intrinsic_wo_chain:{ *:[i32] } 3884:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SHSUB16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHSUB16),
     /*  46474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46489 */     GIR_RootConstrainSelectedInstOperands,
     /*  46490 */     // GIR_Coverage, 137,
     /*  46490 */     GIR_EraseRootFromParent_Done,
     /*  46491 */   // Label 1030: @46491
     /*  46491 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(46545), // Rule ID 138 //
     /*  46496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shsub8),
     /*  46504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46525 */     // (intrinsic_wo_chain:{ *:[i32] } 3885:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SHSUB8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHSUB8),
     /*  46528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46537 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46543 */     GIR_RootConstrainSelectedInstOperands,
     /*  46544 */     // GIR_Coverage, 138,
     /*  46544 */     GIR_EraseRootFromParent_Done,
     /*  46545 */   // Label 1031: @46545
     /*  46545 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(46599), // Rule ID 139 //
     /*  46550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhasx),
     /*  46558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46579 */     // (intrinsic_wo_chain:{ *:[i32] } 3931:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UHASX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UHASX),
     /*  46582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46597 */     GIR_RootConstrainSelectedInstOperands,
     /*  46598 */     // GIR_Coverage, 139,
     /*  46598 */     GIR_EraseRootFromParent_Done,
     /*  46599 */   // Label 1032: @46599
     /*  46599 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(46653), // Rule ID 140 //
     /*  46604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhadd16),
     /*  46612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46633 */     // (intrinsic_wo_chain:{ *:[i32] } 3929:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UHADD16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UHADD16),
     /*  46636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46651 */     GIR_RootConstrainSelectedInstOperands,
     /*  46652 */     // GIR_Coverage, 140,
     /*  46652 */     GIR_EraseRootFromParent_Done,
     /*  46653 */   // Label 1033: @46653
     /*  46653 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(46707), // Rule ID 141 //
     /*  46658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhadd8),
     /*  46666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46687 */     // (intrinsic_wo_chain:{ *:[i32] } 3930:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UHADD8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UHADD8),
     /*  46690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46705 */     GIR_RootConstrainSelectedInstOperands,
     /*  46706 */     // GIR_Coverage, 141,
     /*  46706 */     GIR_EraseRootFromParent_Done,
     /*  46707 */   // Label 1034: @46707
     /*  46707 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(46761), // Rule ID 142 //
     /*  46712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhsax),
     /*  46720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46741 */     // (intrinsic_wo_chain:{ *:[i32] } 3932:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UHSAX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UHSAX),
     /*  46744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46748 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46759 */     GIR_RootConstrainSelectedInstOperands,
     /*  46760 */     // GIR_Coverage, 142,
     /*  46760 */     GIR_EraseRootFromParent_Done,
     /*  46761 */   // Label 1035: @46761
     /*  46761 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(46815), // Rule ID 143 //
     /*  46766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhsub16),
     /*  46774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46795 */     // (intrinsic_wo_chain:{ *:[i32] } 3933:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UHSUB16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UHSUB16),
     /*  46798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46813 */     GIR_RootConstrainSelectedInstOperands,
     /*  46814 */     // GIR_Coverage, 143,
     /*  46814 */     GIR_EraseRootFromParent_Done,
     /*  46815 */   // Label 1036: @46815
     /*  46815 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(46869), // Rule ID 144 //
     /*  46820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  46823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhsub8),
     /*  46828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46849 */     // (intrinsic_wo_chain:{ *:[i32] } 3934:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UHSUB8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UHSUB8),
     /*  46852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46861 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46867 */     GIR_RootConstrainSelectedInstOperands,
     /*  46868 */     // GIR_Coverage, 144,
     /*  46868 */     GIR_EraseRootFromParent_Done,
     /*  46869 */   // Label 1037: @46869
     /*  46869 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(46923), // Rule ID 145 //
     /*  46874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  46877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usad8),
     /*  46882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  46895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  46899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  46903 */     // (intrinsic_wo_chain:{ *:[i32] } 3942:{ *:[iPTR] }, GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (USAD8:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  46903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USAD8),
     /*  46906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  46915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  46921 */     GIR_RootConstrainSelectedInstOperands,
     /*  46922 */     // GIR_Coverage, 145,
     /*  46922 */     GIR_EraseRootFromParent_Done,
     /*  46923 */   // Label 1038: @46923
     /*  46923 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(46968), // Rule ID 204 //
     /*  46928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsARM),
     /*  46931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32b),
     /*  46936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46957 */     // (intrinsic_wo_chain:{ *:[i32] } 3508:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (CRC32B:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  46957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CRC32B),
     /*  46960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  46966 */     GIR_RootConstrainSelectedInstOperands,
     /*  46967 */     // GIR_Coverage, 204,
     /*  46967 */     GIR_EraseRootFromParent_Done,
     /*  46968 */   // Label 1039: @46968
     /*  46968 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(47013), // Rule ID 205 //
     /*  46973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsARM),
     /*  46976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32cb),
     /*  46981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  46984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  46987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  46990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  46998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47002 */     // (intrinsic_wo_chain:{ *:[i32] } 3509:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (CRC32CB:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  47002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CRC32CB),
     /*  47005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47011 */     GIR_RootConstrainSelectedInstOperands,
     /*  47012 */     // GIR_Coverage, 205,
     /*  47012 */     GIR_EraseRootFromParent_Done,
     /*  47013 */   // Label 1040: @47013
     /*  47013 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(47058), // Rule ID 206 //
     /*  47018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsARM),
     /*  47021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32h),
     /*  47026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47047 */     // (intrinsic_wo_chain:{ *:[i32] } 3512:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (CRC32H:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  47047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CRC32H),
     /*  47050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47056 */     GIR_RootConstrainSelectedInstOperands,
     /*  47057 */     // GIR_Coverage, 206,
     /*  47057 */     GIR_EraseRootFromParent_Done,
     /*  47058 */   // Label 1041: @47058
     /*  47058 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(47103), // Rule ID 207 //
     /*  47063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsARM),
     /*  47066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32ch),
     /*  47071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47092 */     // (intrinsic_wo_chain:{ *:[i32] } 3510:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (CRC32CH:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  47092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CRC32CH),
     /*  47095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47101 */     GIR_RootConstrainSelectedInstOperands,
     /*  47102 */     // GIR_Coverage, 207,
     /*  47102 */     GIR_EraseRootFromParent_Done,
     /*  47103 */   // Label 1042: @47103
     /*  47103 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(47148), // Rule ID 208 //
     /*  47108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsARM),
     /*  47111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32w),
     /*  47116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47137 */     // (intrinsic_wo_chain:{ *:[i32] } 3513:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (CRC32W:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  47137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CRC32W),
     /*  47140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47146 */     GIR_RootConstrainSelectedInstOperands,
     /*  47147 */     // GIR_Coverage, 208,
     /*  47147 */     GIR_EraseRootFromParent_Done,
     /*  47148 */   // Label 1043: @47148
     /*  47148 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(47193), // Rule ID 209 //
     /*  47153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsARM),
     /*  47156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32cw),
     /*  47161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  47182 */     // (intrinsic_wo_chain:{ *:[i32] } 3511:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (CRC32CW:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  47182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CRC32CW),
     /*  47185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47191 */     GIR_RootConstrainSelectedInstOperands,
     /*  47192 */     // GIR_Coverage, 209,
     /*  47192 */     GIR_EraseRootFromParent_Done,
     /*  47193 */   // Label 1044: @47193
     /*  47193 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(47247), // Rule ID 432 //
     /*  47198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd16),
     /*  47206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47227 */     // (intrinsic_wo_chain:{ *:[i32] } 3868:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2QADD16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QADD16),
     /*  47230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47245 */     GIR_RootConstrainSelectedInstOperands,
     /*  47246 */     // GIR_Coverage, 432,
     /*  47246 */     GIR_EraseRootFromParent_Done,
     /*  47247 */   // Label 1045: @47247
     /*  47247 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(47301), // Rule ID 433 //
     /*  47252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd8),
     /*  47260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47281 */     // (intrinsic_wo_chain:{ *:[i32] } 3869:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2QADD8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QADD8),
     /*  47284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47299 */     GIR_RootConstrainSelectedInstOperands,
     /*  47300 */     // GIR_Coverage, 433,
     /*  47300 */     GIR_EraseRootFromParent_Done,
     /*  47301 */   // Label 1046: @47301
     /*  47301 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(47355), // Rule ID 434 //
     /*  47306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qasx),
     /*  47314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47335 */     // (intrinsic_wo_chain:{ *:[i32] } 3870:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2QASX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QASX),
     /*  47338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47347 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47353 */     GIR_RootConstrainSelectedInstOperands,
     /*  47354 */     // GIR_Coverage, 434,
     /*  47354 */     GIR_EraseRootFromParent_Done,
     /*  47355 */   // Label 1047: @47355
     /*  47355 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(47409), // Rule ID 435 //
     /*  47360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqsub8),
     /*  47368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47389 */     // (intrinsic_wo_chain:{ *:[i32] } 3941:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UQSUB8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UQSUB8),
     /*  47392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47396 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47401 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47407 */     GIR_RootConstrainSelectedInstOperands,
     /*  47408 */     // GIR_Coverage, 435,
     /*  47408 */     GIR_EraseRootFromParent_Done,
     /*  47409 */   // Label 1048: @47409
     /*  47409 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(47463), // Rule ID 436 //
     /*  47414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsax),
     /*  47422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47443 */     // (intrinsic_wo_chain:{ *:[i32] } 3871:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2QSAX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QSAX),
     /*  47446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47461 */     GIR_RootConstrainSelectedInstOperands,
     /*  47462 */     // GIR_Coverage, 436,
     /*  47462 */     GIR_EraseRootFromParent_Done,
     /*  47463 */   // Label 1049: @47463
     /*  47463 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(47517), // Rule ID 437 //
     /*  47468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub16),
     /*  47476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47497 */     // (intrinsic_wo_chain:{ *:[i32] } 3873:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2QSUB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QSUB16),
     /*  47500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47509 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47515 */     GIR_RootConstrainSelectedInstOperands,
     /*  47516 */     // GIR_Coverage, 437,
     /*  47516 */     GIR_EraseRootFromParent_Done,
     /*  47517 */   // Label 1050: @47517
     /*  47517 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(47571), // Rule ID 438 //
     /*  47522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub8),
     /*  47530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47551 */     // (intrinsic_wo_chain:{ *:[i32] } 3874:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2QSUB8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QSUB8),
     /*  47554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47569 */     GIR_RootConstrainSelectedInstOperands,
     /*  47570 */     // GIR_Coverage, 438,
     /*  47570 */     GIR_EraseRootFromParent_Done,
     /*  47571 */   // Label 1051: @47571
     /*  47571 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(47625), // Rule ID 439 //
     /*  47576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqadd16),
     /*  47584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47605 */     // (intrinsic_wo_chain:{ *:[i32] } 3936:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UQADD16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UQADD16),
     /*  47608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47617 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47623 */     GIR_RootConstrainSelectedInstOperands,
     /*  47624 */     // GIR_Coverage, 439,
     /*  47624 */     GIR_EraseRootFromParent_Done,
     /*  47625 */   // Label 1052: @47625
     /*  47625 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(47679), // Rule ID 440 //
     /*  47630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqadd8),
     /*  47638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47659 */     // (intrinsic_wo_chain:{ *:[i32] } 3937:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UQADD8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UQADD8),
     /*  47662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47677 */     GIR_RootConstrainSelectedInstOperands,
     /*  47678 */     // GIR_Coverage, 440,
     /*  47678 */     GIR_EraseRootFromParent_Done,
     /*  47679 */   // Label 1053: @47679
     /*  47679 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(47733), // Rule ID 441 //
     /*  47684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqasx),
     /*  47692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47713 */     // (intrinsic_wo_chain:{ *:[i32] } 3938:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UQASX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UQASX),
     /*  47716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47731 */     GIR_RootConstrainSelectedInstOperands,
     /*  47732 */     // GIR_Coverage, 441,
     /*  47732 */     GIR_EraseRootFromParent_Done,
     /*  47733 */   // Label 1054: @47733
     /*  47733 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(47787), // Rule ID 442 //
     /*  47738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqsax),
     /*  47746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47767 */     // (intrinsic_wo_chain:{ *:[i32] } 3939:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UQSAX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UQSAX),
     /*  47770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47785 */     GIR_RootConstrainSelectedInstOperands,
     /*  47786 */     // GIR_Coverage, 442,
     /*  47786 */     GIR_EraseRootFromParent_Done,
     /*  47787 */   // Label 1055: @47787
     /*  47787 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(47841), // Rule ID 443 //
     /*  47792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uqsub16),
     /*  47800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47821 */     // (intrinsic_wo_chain:{ *:[i32] } 3940:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UQSUB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UQSUB16),
     /*  47824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47839 */     GIR_RootConstrainSelectedInstOperands,
     /*  47840 */     // GIR_Coverage, 443,
     /*  47840 */     GIR_EraseRootFromParent_Done,
     /*  47841 */   // Label 1056: @47841
     /*  47841 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(47895), // Rule ID 456 //
     /*  47846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shasx),
     /*  47854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47875 */     // (intrinsic_wo_chain:{ *:[i32] } 3882:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SHASX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SHASX),
     /*  47878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47887 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47893 */     GIR_RootConstrainSelectedInstOperands,
     /*  47894 */     // GIR_Coverage, 456,
     /*  47894 */     GIR_EraseRootFromParent_Done,
     /*  47895 */   // Label 1057: @47895
     /*  47895 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(47949), // Rule ID 457 //
     /*  47900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shadd16),
     /*  47908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47929 */     // (intrinsic_wo_chain:{ *:[i32] } 3880:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SHADD16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SHADD16),
     /*  47932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47941 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  47947 */     GIR_RootConstrainSelectedInstOperands,
     /*  47948 */     // GIR_Coverage, 457,
     /*  47948 */     GIR_EraseRootFromParent_Done,
     /*  47949 */   // Label 1058: @47949
     /*  47949 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(48003), // Rule ID 458 //
     /*  47954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  47957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shadd8),
     /*  47962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  47965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  47968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  47971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  47983 */     // (intrinsic_wo_chain:{ *:[i32] } 3881:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SHADD8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  47983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SHADD8),
     /*  47986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  47992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  47995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48001 */     GIR_RootConstrainSelectedInstOperands,
     /*  48002 */     // GIR_Coverage, 458,
     /*  48002 */     GIR_EraseRootFromParent_Done,
     /*  48003 */   // Label 1059: @48003
     /*  48003 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(48057), // Rule ID 459 //
     /*  48008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shsax),
     /*  48016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48037 */     // (intrinsic_wo_chain:{ *:[i32] } 3883:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SHSAX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SHSAX),
     /*  48040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48055 */     GIR_RootConstrainSelectedInstOperands,
     /*  48056 */     // GIR_Coverage, 459,
     /*  48056 */     GIR_EraseRootFromParent_Done,
     /*  48057 */   // Label 1060: @48057
     /*  48057 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(48111), // Rule ID 460 //
     /*  48062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shsub16),
     /*  48070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48091 */     // (intrinsic_wo_chain:{ *:[i32] } 3884:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SHSUB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SHSUB16),
     /*  48094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48109 */     GIR_RootConstrainSelectedInstOperands,
     /*  48110 */     // GIR_Coverage, 460,
     /*  48110 */     GIR_EraseRootFromParent_Done,
     /*  48111 */   // Label 1061: @48111
     /*  48111 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(48165), // Rule ID 461 //
     /*  48116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_shsub8),
     /*  48124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48145 */     // (intrinsic_wo_chain:{ *:[i32] } 3885:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SHSUB8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SHSUB8),
     /*  48148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48163 */     GIR_RootConstrainSelectedInstOperands,
     /*  48164 */     // GIR_Coverage, 461,
     /*  48164 */     GIR_EraseRootFromParent_Done,
     /*  48165 */   // Label 1062: @48165
     /*  48165 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(48219), // Rule ID 462 //
     /*  48170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhasx),
     /*  48178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48199 */     // (intrinsic_wo_chain:{ *:[i32] } 3931:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UHASX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UHASX),
     /*  48202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48217 */     GIR_RootConstrainSelectedInstOperands,
     /*  48218 */     // GIR_Coverage, 462,
     /*  48218 */     GIR_EraseRootFromParent_Done,
     /*  48219 */   // Label 1063: @48219
     /*  48219 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(48273), // Rule ID 463 //
     /*  48224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhadd16),
     /*  48232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48253 */     // (intrinsic_wo_chain:{ *:[i32] } 3929:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UHADD16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UHADD16),
     /*  48256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48271 */     GIR_RootConstrainSelectedInstOperands,
     /*  48272 */     // GIR_Coverage, 463,
     /*  48272 */     GIR_EraseRootFromParent_Done,
     /*  48273 */   // Label 1064: @48273
     /*  48273 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(48327), // Rule ID 464 //
     /*  48278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhadd8),
     /*  48286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48307 */     // (intrinsic_wo_chain:{ *:[i32] } 3930:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UHADD8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UHADD8),
     /*  48310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48319 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48325 */     GIR_RootConstrainSelectedInstOperands,
     /*  48326 */     // GIR_Coverage, 464,
     /*  48326 */     GIR_EraseRootFromParent_Done,
     /*  48327 */   // Label 1065: @48327
     /*  48327 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(48381), // Rule ID 465 //
     /*  48332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhsax),
     /*  48340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48361 */     // (intrinsic_wo_chain:{ *:[i32] } 3932:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UHSAX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UHSAX),
     /*  48364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48379 */     GIR_RootConstrainSelectedInstOperands,
     /*  48380 */     // GIR_Coverage, 465,
     /*  48380 */     GIR_EraseRootFromParent_Done,
     /*  48381 */   // Label 1066: @48381
     /*  48381 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(48435), // Rule ID 466 //
     /*  48386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhsub16),
     /*  48394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48415 */     // (intrinsic_wo_chain:{ *:[i32] } 3933:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UHSUB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UHSUB16),
     /*  48418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48427 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48433 */     GIR_RootConstrainSelectedInstOperands,
     /*  48434 */     // GIR_Coverage, 466,
     /*  48434 */     GIR_EraseRootFromParent_Done,
     /*  48435 */   // Label 1067: @48435
     /*  48435 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(48489), // Rule ID 467 //
     /*  48440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uhsub8),
     /*  48448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48469 */     // (intrinsic_wo_chain:{ *:[i32] } 3934:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UHSUB8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UHSUB8),
     /*  48472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48487 */     GIR_RootConstrainSelectedInstOperands,
     /*  48488 */     // GIR_Coverage, 467,
     /*  48488 */     GIR_EraseRootFromParent_Done,
     /*  48489 */   // Label 1068: @48489
     /*  48489 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(48543), // Rule ID 468 //
     /*  48494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usad8),
     /*  48502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48523 */     // (intrinsic_wo_chain:{ *:[i32] } 3942:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2USAD8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USAD8),
     /*  48526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48530 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48541 */     GIR_RootConstrainSelectedInstOperands,
     /*  48542 */     // GIR_Coverage, 468,
     /*  48542 */     GIR_EraseRootFromParent_Done,
     /*  48543 */   // Label 1069: @48543
     /*  48543 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(48597), // Rule ID 524 //
     /*  48548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smuad),
     /*  48556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48577 */     // (intrinsic_wo_chain:{ *:[i32] } 3900:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMUAD:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMUAD),
     /*  48580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48595 */     GIR_RootConstrainSelectedInstOperands,
     /*  48596 */     // GIR_Coverage, 524,
     /*  48596 */     GIR_EraseRootFromParent_Done,
     /*  48597 */   // Label 1070: @48597
     /*  48597 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(48651), // Rule ID 525 //
     /*  48602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smuadx),
     /*  48610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48631 */     // (intrinsic_wo_chain:{ *:[i32] } 3901:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMUADX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMUADX),
     /*  48634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48649 */     GIR_RootConstrainSelectedInstOperands,
     /*  48650 */     // GIR_Coverage, 525,
     /*  48650 */     GIR_EraseRootFromParent_Done,
     /*  48651 */   // Label 1071: @48651
     /*  48651 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(48705), // Rule ID 526 //
     /*  48656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smusd),
     /*  48664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48685 */     // (intrinsic_wo_chain:{ *:[i32] } 3908:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMUSD:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMUSD),
     /*  48688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48703 */     GIR_RootConstrainSelectedInstOperands,
     /*  48704 */     // GIR_Coverage, 526,
     /*  48704 */     GIR_EraseRootFromParent_Done,
     /*  48705 */   // Label 1072: @48705
     /*  48705 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(48759), // Rule ID 527 //
     /*  48710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  48713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smusdx),
     /*  48718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48739 */     // (intrinsic_wo_chain:{ *:[i32] } 3909:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMUSDX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMUSDX),
     /*  48742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  48751 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48757 */     GIR_RootConstrainSelectedInstOperands,
     /*  48758 */     // GIR_Coverage, 527,
     /*  48758 */     GIR_EraseRootFromParent_Done,
     /*  48759 */   // Label 1073: @48759
     /*  48759 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(48804), // Rule ID 541 //
     /*  48764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsThumb2),
     /*  48767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32b),
     /*  48772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48793 */     // (intrinsic_wo_chain:{ *:[i32] } 3508:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2CRC32B:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CRC32B),
     /*  48796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48802 */     GIR_RootConstrainSelectedInstOperands,
     /*  48803 */     // GIR_Coverage, 541,
     /*  48803 */     GIR_EraseRootFromParent_Done,
     /*  48804 */   // Label 1074: @48804
     /*  48804 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(48849), // Rule ID 542 //
     /*  48809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsThumb2),
     /*  48812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32cb),
     /*  48817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48838 */     // (intrinsic_wo_chain:{ *:[i32] } 3509:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2CRC32CB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CRC32CB),
     /*  48841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48847 */     GIR_RootConstrainSelectedInstOperands,
     /*  48848 */     // GIR_Coverage, 542,
     /*  48848 */     GIR_EraseRootFromParent_Done,
     /*  48849 */   // Label 1075: @48849
     /*  48849 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(48894), // Rule ID 543 //
     /*  48854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsThumb2),
     /*  48857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32h),
     /*  48862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48883 */     // (intrinsic_wo_chain:{ *:[i32] } 3512:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2CRC32H:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CRC32H),
     /*  48886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48892 */     GIR_RootConstrainSelectedInstOperands,
     /*  48893 */     // GIR_Coverage, 543,
     /*  48893 */     GIR_EraseRootFromParent_Done,
     /*  48894 */   // Label 1076: @48894
     /*  48894 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(48939), // Rule ID 544 //
     /*  48899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsThumb2),
     /*  48902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32ch),
     /*  48907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48928 */     // (intrinsic_wo_chain:{ *:[i32] } 3510:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2CRC32CH:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CRC32CH),
     /*  48931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48937 */     GIR_RootConstrainSelectedInstOperands,
     /*  48938 */     // GIR_Coverage, 544,
     /*  48938 */     GIR_EraseRootFromParent_Done,
     /*  48939 */   // Label 1077: @48939
     /*  48939 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(48984), // Rule ID 545 //
     /*  48944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsThumb2),
     /*  48947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32w),
     /*  48952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  48955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  48961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  48973 */     // (intrinsic_wo_chain:{ *:[i32] } 3513:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2CRC32W:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  48973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CRC32W),
     /*  48976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  48982 */     GIR_RootConstrainSelectedInstOperands,
     /*  48983 */     // GIR_Coverage, 545,
     /*  48983 */     GIR_EraseRootFromParent_Done,
     /*  48984 */   // Label 1078: @48984
     /*  48984 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(49029), // Rule ID 546 //
     /*  48989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC_IsThumb2),
     /*  48992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_crc32cw),
     /*  48997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  49000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  49003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  49006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  49010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  49014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  49018 */     // (intrinsic_wo_chain:{ *:[i32] } 3511:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2CRC32CW:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  49018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CRC32CW),
     /*  49021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49025 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  49027 */     GIR_RootConstrainSelectedInstOperands,
     /*  49028 */     // GIR_Coverage, 546,
     /*  49028 */     GIR_EraseRootFromParent_Done,
     /*  49029 */   // Label 1079: @49029
     /*  49029 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(49083), // Rule ID 789 //
     /*  49034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhadds),
     /*  49042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  49045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  49048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  49051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49063 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3778:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VHADDsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  49063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDsv4i16),
     /*  49066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49081 */     GIR_RootConstrainSelectedInstOperands,
     /*  49082 */     // GIR_Coverage, 789,
     /*  49082 */     GIR_EraseRootFromParent_Done,
     /*  49083 */   // Label 1080: @49083
     /*  49083 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(49137), // Rule ID 790 //
     /*  49088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhadds),
     /*  49096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  49099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  49102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  49105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49117 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3778:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VHADDsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  49117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDsv2i32),
     /*  49120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49135 */     GIR_RootConstrainSelectedInstOperands,
     /*  49136 */     // GIR_Coverage, 790,
     /*  49136 */     GIR_EraseRootFromParent_Done,
     /*  49137 */   // Label 1081: @49137
     /*  49137 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(49191), // Rule ID 791 //
     /*  49142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhadds),
     /*  49150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  49153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  49156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  49159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49171 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3778:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VHADDsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  49171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDsv8i16),
     /*  49174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49189 */     GIR_RootConstrainSelectedInstOperands,
     /*  49190 */     // GIR_Coverage, 791,
     /*  49190 */     GIR_EraseRootFromParent_Done,
     /*  49191 */   // Label 1082: @49191
     /*  49191 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(49245), // Rule ID 792 //
     /*  49196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhadds),
     /*  49204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  49207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  49210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  49213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49225 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3778:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VHADDsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  49225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDsv4i32),
     /*  49228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49243 */     GIR_RootConstrainSelectedInstOperands,
     /*  49244 */     // GIR_Coverage, 792,
     /*  49244 */     GIR_EraseRootFromParent_Done,
     /*  49245 */   // Label 1083: @49245
     /*  49245 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(49299), // Rule ID 793 //
     /*  49250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhadds),
     /*  49258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  49261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  49267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49279 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3778:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VHADDsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  49279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDsv8i8),
     /*  49282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49286 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49291 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49297 */     GIR_RootConstrainSelectedInstOperands,
     /*  49298 */     // GIR_Coverage, 793,
     /*  49298 */     GIR_EraseRootFromParent_Done,
     /*  49299 */   // Label 1084: @49299
     /*  49299 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(49353), // Rule ID 794 //
     /*  49304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhadds),
     /*  49312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  49315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  49318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  49321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49333 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3778:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VHADDsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  49333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDsv16i8),
     /*  49336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49351 */     GIR_RootConstrainSelectedInstOperands,
     /*  49352 */     // GIR_Coverage, 794,
     /*  49352 */     GIR_EraseRootFromParent_Done,
     /*  49353 */   // Label 1085: @49353
     /*  49353 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(49407), // Rule ID 795 //
     /*  49358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhaddu),
     /*  49366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  49369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  49372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  49375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49387 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3779:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VHADDuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  49387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDuv4i16),
     /*  49390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49399 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49405 */     GIR_RootConstrainSelectedInstOperands,
     /*  49406 */     // GIR_Coverage, 795,
     /*  49406 */     GIR_EraseRootFromParent_Done,
     /*  49407 */   // Label 1086: @49407
     /*  49407 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(49461), // Rule ID 796 //
     /*  49412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhaddu),
     /*  49420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  49423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  49426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  49429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49441 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3779:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VHADDuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  49441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDuv2i32),
     /*  49444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49459 */     GIR_RootConstrainSelectedInstOperands,
     /*  49460 */     // GIR_Coverage, 796,
     /*  49460 */     GIR_EraseRootFromParent_Done,
     /*  49461 */   // Label 1087: @49461
     /*  49461 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(49515), // Rule ID 797 //
     /*  49466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhaddu),
     /*  49474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  49477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  49480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  49483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49495 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3779:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VHADDuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  49495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDuv8i16),
     /*  49498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49507 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49513 */     GIR_RootConstrainSelectedInstOperands,
     /*  49514 */     // GIR_Coverage, 797,
     /*  49514 */     GIR_EraseRootFromParent_Done,
     /*  49515 */   // Label 1088: @49515
     /*  49515 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(49569), // Rule ID 798 //
     /*  49520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhaddu),
     /*  49528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  49531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  49534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  49537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49549 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3779:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VHADDuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  49549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDuv4i32),
     /*  49552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49561 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49567 */     GIR_RootConstrainSelectedInstOperands,
     /*  49568 */     // GIR_Coverage, 798,
     /*  49568 */     GIR_EraseRootFromParent_Done,
     /*  49569 */   // Label 1089: @49569
     /*  49569 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(49623), // Rule ID 799 //
     /*  49574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhaddu),
     /*  49582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  49585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  49591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49603 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3779:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VHADDuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  49603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDuv8i8),
     /*  49606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49621 */     GIR_RootConstrainSelectedInstOperands,
     /*  49622 */     // GIR_Coverage, 799,
     /*  49622 */     GIR_EraseRootFromParent_Done,
     /*  49623 */   // Label 1090: @49623
     /*  49623 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(49677), // Rule ID 800 //
     /*  49628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhaddu),
     /*  49636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  49639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  49642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  49645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49657 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3779:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VHADDuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  49657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHADDuv16i8),
     /*  49660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49675 */     GIR_RootConstrainSelectedInstOperands,
     /*  49676 */     // GIR_Coverage, 800,
     /*  49676 */     GIR_EraseRootFromParent_Done,
     /*  49677 */   // Label 1091: @49677
     /*  49677 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(49731), // Rule ID 801 //
     /*  49682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhadds),
     /*  49690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  49693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  49696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  49699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49711 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3838:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VRHADDsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  49711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDsv4i16),
     /*  49714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49729 */     GIR_RootConstrainSelectedInstOperands,
     /*  49730 */     // GIR_Coverage, 801,
     /*  49730 */     GIR_EraseRootFromParent_Done,
     /*  49731 */   // Label 1092: @49731
     /*  49731 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(49785), // Rule ID 802 //
     /*  49736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhadds),
     /*  49744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  49747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  49750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  49753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49765 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3838:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VRHADDsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  49765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDsv2i32),
     /*  49768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49777 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49783 */     GIR_RootConstrainSelectedInstOperands,
     /*  49784 */     // GIR_Coverage, 802,
     /*  49784 */     GIR_EraseRootFromParent_Done,
     /*  49785 */   // Label 1093: @49785
     /*  49785 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(49839), // Rule ID 803 //
     /*  49790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhadds),
     /*  49798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  49801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  49804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  49807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49819 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3838:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VRHADDsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  49819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDsv8i16),
     /*  49822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49837 */     GIR_RootConstrainSelectedInstOperands,
     /*  49838 */     // GIR_Coverage, 803,
     /*  49838 */     GIR_EraseRootFromParent_Done,
     /*  49839 */   // Label 1094: @49839
     /*  49839 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(49893), // Rule ID 804 //
     /*  49844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhadds),
     /*  49852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  49855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  49858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  49861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49873 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3838:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VRHADDsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  49873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDsv4i32),
     /*  49876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49891 */     GIR_RootConstrainSelectedInstOperands,
     /*  49892 */     // GIR_Coverage, 804,
     /*  49892 */     GIR_EraseRootFromParent_Done,
     /*  49893 */   // Label 1095: @49893
     /*  49893 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(49947), // Rule ID 805 //
     /*  49898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhadds),
     /*  49906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  49909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  49915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  49927 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3838:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VRHADDsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  49927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDsv8i8),
     /*  49930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49945 */     GIR_RootConstrainSelectedInstOperands,
     /*  49946 */     // GIR_Coverage, 805,
     /*  49946 */     GIR_EraseRootFromParent_Done,
     /*  49947 */   // Label 1096: @49947
     /*  49947 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(50001), // Rule ID 806 //
     /*  49952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhadds),
     /*  49960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  49963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  49966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  49969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  49981 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3838:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VRHADDsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  49981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDsv16i8),
     /*  49984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  49986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  49988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  49990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  49993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  49999 */     GIR_RootConstrainSelectedInstOperands,
     /*  50000 */     // GIR_Coverage, 806,
     /*  50000 */     GIR_EraseRootFromParent_Done,
     /*  50001 */   // Label 1097: @50001
     /*  50001 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(50055), // Rule ID 807 //
     /*  50006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhaddu),
     /*  50014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  50017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  50020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  50023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50035 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3839:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VRHADDuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  50035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDuv4i16),
     /*  50038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50047 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50053 */     GIR_RootConstrainSelectedInstOperands,
     /*  50054 */     // GIR_Coverage, 807,
     /*  50054 */     GIR_EraseRootFromParent_Done,
     /*  50055 */   // Label 1098: @50055
     /*  50055 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(50109), // Rule ID 808 //
     /*  50060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhaddu),
     /*  50068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  50071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  50074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  50077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50089 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3839:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VRHADDuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  50089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDuv2i32),
     /*  50092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50101 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50107 */     GIR_RootConstrainSelectedInstOperands,
     /*  50108 */     // GIR_Coverage, 808,
     /*  50108 */     GIR_EraseRootFromParent_Done,
     /*  50109 */   // Label 1099: @50109
     /*  50109 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(50163), // Rule ID 809 //
     /*  50114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhaddu),
     /*  50122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  50125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  50128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  50131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50143 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3839:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VRHADDuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  50143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDuv8i16),
     /*  50146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50161 */     GIR_RootConstrainSelectedInstOperands,
     /*  50162 */     // GIR_Coverage, 809,
     /*  50162 */     GIR_EraseRootFromParent_Done,
     /*  50163 */   // Label 1100: @50163
     /*  50163 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(50217), // Rule ID 810 //
     /*  50168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhaddu),
     /*  50176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  50179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  50182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  50185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50197 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3839:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VRHADDuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  50197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDuv4i32),
     /*  50200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50209 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50215 */     GIR_RootConstrainSelectedInstOperands,
     /*  50216 */     // GIR_Coverage, 810,
     /*  50216 */     GIR_EraseRootFromParent_Done,
     /*  50217 */   // Label 1101: @50217
     /*  50217 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(50271), // Rule ID 811 //
     /*  50222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhaddu),
     /*  50230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  50233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  50239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50251 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3839:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VRHADDuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  50251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDuv8i8),
     /*  50254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50269 */     GIR_RootConstrainSelectedInstOperands,
     /*  50270 */     // GIR_Coverage, 811,
     /*  50270 */     GIR_EraseRootFromParent_Done,
     /*  50271 */   // Label 1102: @50271
     /*  50271 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(50325), // Rule ID 812 //
     /*  50276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrhaddu),
     /*  50284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  50287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  50290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  50293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50305 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3839:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VRHADDuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  50305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRHADDuv16i8),
     /*  50308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50317 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50323 */     GIR_RootConstrainSelectedInstOperands,
     /*  50324 */     // GIR_Coverage, 812,
     /*  50324 */     GIR_EraseRootFromParent_Done,
     /*  50325 */   // Label 1103: @50325
     /*  50325 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(50379), // Rule ID 829 //
     /*  50330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vraddhn),
     /*  50338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  50341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  50344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  50347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50359 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3835:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VRADDHNv8i8:{ *:[v8i8] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  50359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRADDHNv8i8),
     /*  50362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50371 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50377 */     GIR_RootConstrainSelectedInstOperands,
     /*  50378 */     // GIR_Coverage, 829,
     /*  50378 */     GIR_EraseRootFromParent_Done,
     /*  50379 */   // Label 1104: @50379
     /*  50379 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(50433), // Rule ID 830 //
     /*  50384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vraddhn),
     /*  50392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  50395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  50398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  50401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50413 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3835:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VRADDHNv4i16:{ *:[v4i16] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  50413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRADDHNv4i16),
     /*  50416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50431 */     GIR_RootConstrainSelectedInstOperands,
     /*  50432 */     // GIR_Coverage, 830,
     /*  50432 */     GIR_EraseRootFromParent_Done,
     /*  50433 */   // Label 1105: @50433
     /*  50433 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(50487), // Rule ID 831 //
     /*  50438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vraddhn),
     /*  50446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  50449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  50452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  50455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50467 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3835:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VRADDHNv2i32:{ *:[v2i32] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /*  50467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRADDHNv2i32),
     /*  50470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50479 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50485 */     GIR_RootConstrainSelectedInstOperands,
     /*  50486 */     // GIR_Coverage, 831,
     /*  50486 */     GIR_EraseRootFromParent_Done,
     /*  50487 */   // Label 1106: @50487
     /*  50487 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(50541), // Rule ID 838 //
     /*  50492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vmulp),
     /*  50500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  50503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  50509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50521 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3804:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VMULpd:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  50521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULpd),
     /*  50524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50539 */     GIR_RootConstrainSelectedInstOperands,
     /*  50540 */     // GIR_Coverage, 838,
     /*  50540 */     GIR_EraseRootFromParent_Done,
     /*  50541 */   // Label 1107: @50541
     /*  50541 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(50595), // Rule ID 839 //
     /*  50546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vmulp),
     /*  50554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  50557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  50560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  50563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50575 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3804:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VMULpq:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  50575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULpq),
     /*  50578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50587 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50593 */     GIR_RootConstrainSelectedInstOperands,
     /*  50594 */     // GIR_Coverage, 839,
     /*  50594 */     GIR_EraseRootFromParent_Done,
     /*  50595 */   // Label 1108: @50595
     /*  50595 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(50649), // Rule ID 852 //
     /*  50600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmulh),
     /*  50608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  50611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  50614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  50617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50629 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3815:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQDMULHv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  50629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMULHv4i16),
     /*  50632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50641 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50647 */     GIR_RootConstrainSelectedInstOperands,
     /*  50648 */     // GIR_Coverage, 852,
     /*  50648 */     GIR_EraseRootFromParent_Done,
     /*  50649 */   // Label 1109: @50649
     /*  50649 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(50703), // Rule ID 853 //
     /*  50654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmulh),
     /*  50662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  50665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  50668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  50671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50683 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3815:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQDMULHv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  50683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMULHv2i32),
     /*  50686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50701 */     GIR_RootConstrainSelectedInstOperands,
     /*  50702 */     // GIR_Coverage, 853,
     /*  50702 */     GIR_EraseRootFromParent_Done,
     /*  50703 */   // Label 1110: @50703
     /*  50703 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(50757), // Rule ID 854 //
     /*  50708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmulh),
     /*  50716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  50719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  50722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  50725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50737 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3815:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQDMULHv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  50737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMULHv8i16),
     /*  50740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50755 */     GIR_RootConstrainSelectedInstOperands,
     /*  50756 */     // GIR_Coverage, 854,
     /*  50756 */     GIR_EraseRootFromParent_Done,
     /*  50757 */   // Label 1111: @50757
     /*  50757 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(50811), // Rule ID 855 //
     /*  50762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmulh),
     /*  50770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  50773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  50776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  50779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50791 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3815:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQDMULHv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  50791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMULHv4i32),
     /*  50794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50803 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50809 */     GIR_RootConstrainSelectedInstOperands,
     /*  50810 */     // GIR_Coverage, 855,
     /*  50810 */     GIR_EraseRootFromParent_Done,
     /*  50811 */   // Label 1112: @50811
     /*  50811 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(50865), // Rule ID 860 //
     /*  50816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmulh),
     /*  50824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  50827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  50830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  50833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50845 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3823:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQRDMULHv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  50845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMULHv4i16),
     /*  50848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50857 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50863 */     GIR_RootConstrainSelectedInstOperands,
     /*  50864 */     // GIR_Coverage, 860,
     /*  50864 */     GIR_EraseRootFromParent_Done,
     /*  50865 */   // Label 1113: @50865
     /*  50865 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(50919), // Rule ID 861 //
     /*  50870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmulh),
     /*  50878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  50881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  50884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  50887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  50899 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3823:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQRDMULHv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  50899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMULHv2i32),
     /*  50902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50911 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50917 */     GIR_RootConstrainSelectedInstOperands,
     /*  50918 */     // GIR_Coverage, 861,
     /*  50918 */     GIR_EraseRootFromParent_Done,
     /*  50919 */   // Label 1114: @50919
     /*  50919 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(50973), // Rule ID 862 //
     /*  50924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmulh),
     /*  50932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  50935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  50938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  50941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50953 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3823:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQRDMULHv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  50953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMULHv8i16),
     /*  50956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  50958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  50960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  50962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  50965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50971 */     GIR_RootConstrainSelectedInstOperands,
     /*  50972 */     // GIR_Coverage, 862,
     /*  50972 */     GIR_EraseRootFromParent_Done,
     /*  50973 */   // Label 1115: @50973
     /*  50973 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(51027), // Rule ID 863 //
     /*  50978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmulh),
     /*  50986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  50989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  50992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  50995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  50999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51007 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3823:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQRDMULHv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  51007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMULHv4i32),
     /*  51010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51025 */     GIR_RootConstrainSelectedInstOperands,
     /*  51026 */     // GIR_Coverage, 863,
     /*  51026 */     GIR_EraseRootFromParent_Done,
     /*  51027 */   // Label 1116: @51027
     /*  51027 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(51081), // Rule ID 874 //
     /*  51032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vmullp),
     /*  51040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  51043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  51046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  51049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51061 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3801:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VMULLp8:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  51061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULLp8),
     /*  51064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51079 */     GIR_RootConstrainSelectedInstOperands,
     /*  51080 */     // GIR_Coverage, 874,
     /*  51080 */     GIR_EraseRootFromParent_Done,
     /*  51081 */   // Label 1117: @51081
     /*  51081 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(51126), // Rule ID 875 //
     /*  51086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasV8),
     /*  51089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vmullp),
     /*  51094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  51097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  51100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  51103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51115 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3801:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)  =>  (VMULLp64:{ *:[v2i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)
     /*  51115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULLp64),
     /*  51118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51124 */     GIR_RootConstrainSelectedInstOperands,
     /*  51125 */     // GIR_Coverage, 875,
     /*  51125 */     GIR_EraseRootFromParent_Done,
     /*  51126 */   // Label 1118: @51126
     /*  51126 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(51180), // Rule ID 880 //
     /*  51131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /*  51139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  51142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  51145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  51148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51160 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3816:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQDMULLv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  51160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMULLv4i32),
     /*  51163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51178 */     GIR_RootConstrainSelectedInstOperands,
     /*  51179 */     // GIR_Coverage, 880,
     /*  51179 */     GIR_EraseRootFromParent_Done,
     /*  51180 */   // Label 1119: @51180
     /*  51180 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(51234), // Rule ID 881 //
     /*  51185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /*  51193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  51196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  51199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  51202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51214 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3816:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQDMULLv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  51214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMULLv2i64),
     /*  51217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51219 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51221 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51232 */     GIR_RootConstrainSelectedInstOperands,
     /*  51233 */     // GIR_Coverage, 881,
     /*  51233 */     GIR_EraseRootFromParent_Done,
     /*  51234 */   // Label 1120: @51234
     /*  51234 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(51288), // Rule ID 993 //
     /*  51239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubs),
     /*  51247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  51250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  51253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  51256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51268 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3780:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VHSUBsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  51268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBsv4i16),
     /*  51271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51286 */     GIR_RootConstrainSelectedInstOperands,
     /*  51287 */     // GIR_Coverage, 993,
     /*  51287 */     GIR_EraseRootFromParent_Done,
     /*  51288 */   // Label 1121: @51288
     /*  51288 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(51342), // Rule ID 994 //
     /*  51293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubs),
     /*  51301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  51304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  51307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  51310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51322 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3780:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VHSUBsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  51322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBsv2i32),
     /*  51325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51329 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51340 */     GIR_RootConstrainSelectedInstOperands,
     /*  51341 */     // GIR_Coverage, 994,
     /*  51341 */     GIR_EraseRootFromParent_Done,
     /*  51342 */   // Label 1122: @51342
     /*  51342 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(51396), // Rule ID 995 //
     /*  51347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubs),
     /*  51355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  51358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  51361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  51364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51376 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3780:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VHSUBsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  51376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBsv8i16),
     /*  51379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51394 */     GIR_RootConstrainSelectedInstOperands,
     /*  51395 */     // GIR_Coverage, 995,
     /*  51395 */     GIR_EraseRootFromParent_Done,
     /*  51396 */   // Label 1123: @51396
     /*  51396 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(51450), // Rule ID 996 //
     /*  51401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubs),
     /*  51409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  51412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  51415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  51418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51430 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3780:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VHSUBsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  51430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBsv4i32),
     /*  51433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51442 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51448 */     GIR_RootConstrainSelectedInstOperands,
     /*  51449 */     // GIR_Coverage, 996,
     /*  51449 */     GIR_EraseRootFromParent_Done,
     /*  51450 */   // Label 1124: @51450
     /*  51450 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(51504), // Rule ID 997 //
     /*  51455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubs),
     /*  51463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  51466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  51469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  51472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51484 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3780:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VHSUBsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  51484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBsv8i8),
     /*  51487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51502 */     GIR_RootConstrainSelectedInstOperands,
     /*  51503 */     // GIR_Coverage, 997,
     /*  51503 */     GIR_EraseRootFromParent_Done,
     /*  51504 */   // Label 1125: @51504
     /*  51504 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(51558), // Rule ID 998 //
     /*  51509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubs),
     /*  51517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  51520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  51523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  51526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51538 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3780:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VHSUBsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  51538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBsv16i8),
     /*  51541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51556 */     GIR_RootConstrainSelectedInstOperands,
     /*  51557 */     // GIR_Coverage, 998,
     /*  51557 */     GIR_EraseRootFromParent_Done,
     /*  51558 */   // Label 1126: @51558
     /*  51558 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(51612), // Rule ID 999 //
     /*  51563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubu),
     /*  51571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  51574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  51577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  51580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51592 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3781:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VHSUBuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  51592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBuv4i16),
     /*  51595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51599 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51610 */     GIR_RootConstrainSelectedInstOperands,
     /*  51611 */     // GIR_Coverage, 999,
     /*  51611 */     GIR_EraseRootFromParent_Done,
     /*  51612 */   // Label 1127: @51612
     /*  51612 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(51666), // Rule ID 1000 //
     /*  51617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubu),
     /*  51625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  51628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  51631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  51634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51646 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3781:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VHSUBuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  51646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBuv2i32),
     /*  51649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51664 */     GIR_RootConstrainSelectedInstOperands,
     /*  51665 */     // GIR_Coverage, 1000,
     /*  51665 */     GIR_EraseRootFromParent_Done,
     /*  51666 */   // Label 1128: @51666
     /*  51666 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(51720), // Rule ID 1001 //
     /*  51671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubu),
     /*  51679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  51682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  51685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  51688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51700 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3781:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VHSUBuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  51700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBuv8i16),
     /*  51703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51718 */     GIR_RootConstrainSelectedInstOperands,
     /*  51719 */     // GIR_Coverage, 1001,
     /*  51719 */     GIR_EraseRootFromParent_Done,
     /*  51720 */   // Label 1129: @51720
     /*  51720 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(51774), // Rule ID 1002 //
     /*  51725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubu),
     /*  51733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  51736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  51739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  51742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51754 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3781:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VHSUBuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  51754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBuv4i32),
     /*  51757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51761 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51772 */     GIR_RootConstrainSelectedInstOperands,
     /*  51773 */     // GIR_Coverage, 1002,
     /*  51773 */     GIR_EraseRootFromParent_Done,
     /*  51774 */   // Label 1130: @51774
     /*  51774 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(51828), // Rule ID 1003 //
     /*  51779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubu),
     /*  51787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  51790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  51793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  51796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51808 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3781:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VHSUBuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  51808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBuv8i8),
     /*  51811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51826 */     GIR_RootConstrainSelectedInstOperands,
     /*  51827 */     // GIR_Coverage, 1003,
     /*  51827 */     GIR_EraseRootFromParent_Done,
     /*  51828 */   // Label 1131: @51828
     /*  51828 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(51882), // Rule ID 1004 //
     /*  51833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vhsubu),
     /*  51841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  51844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  51847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  51850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51862 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3781:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VHSUBuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  51862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VHSUBuv16i8),
     /*  51865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51869 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51880 */     GIR_RootConstrainSelectedInstOperands,
     /*  51881 */     // GIR_Coverage, 1004,
     /*  51881 */     GIR_EraseRootFromParent_Done,
     /*  51882 */   // Label 1132: @51882
     /*  51882 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(51936), // Rule ID 1021 //
     /*  51887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsubhn),
     /*  51895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  51898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  51901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  51904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51916 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3845:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VRSUBHNv8i8:{ *:[v8i8] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  51916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSUBHNv8i8),
     /*  51919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51923 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51934 */     GIR_RootConstrainSelectedInstOperands,
     /*  51935 */     // GIR_Coverage, 1021,
     /*  51935 */     GIR_EraseRootFromParent_Done,
     /*  51936 */   // Label 1133: @51936
     /*  51936 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(51990), // Rule ID 1022 //
     /*  51941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsubhn),
     /*  51949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  51952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  51955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  51958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  51962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  51970 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3845:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VRSUBHNv4i16:{ *:[v4i16] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  51970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSUBHNv4i16),
     /*  51973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  51975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  51977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  51979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  51982 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51988 */     GIR_RootConstrainSelectedInstOperands,
     /*  51989 */     // GIR_Coverage, 1022,
     /*  51989 */     GIR_EraseRootFromParent_Done,
     /*  51990 */   // Label 1134: @51990
     /*  51990 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(52044), // Rule ID 1023 //
     /*  51995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsubhn),
     /*  52003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  52006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  52009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  52012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52024 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3845:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VRSUBHNv2i32:{ *:[v2i32] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /*  52024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSUBHNv2i32),
     /*  52027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52042 */     GIR_RootConstrainSelectedInstOperands,
     /*  52043 */     // GIR_Coverage, 1023,
     /*  52043 */     GIR_EraseRootFromParent_Done,
     /*  52044 */   // Label 1135: @52044
     /*  52044 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(52098), // Rule ID 1116 //
     /*  52049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacge),
     /*  52057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  52060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  52066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52078 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3756:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VACGEfd:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  52078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGEfd),
     /*  52081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52096 */     GIR_RootConstrainSelectedInstOperands,
     /*  52097 */     // GIR_Coverage, 1116,
     /*  52097 */     GIR_EraseRootFromParent_Done,
     /*  52098 */   // Label 1136: @52098
     /*  52098 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(52152), // Rule ID 1117 //
     /*  52103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacge),
     /*  52111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  52114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  52120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52132 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3756:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VACGEfq:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /*  52132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGEfq),
     /*  52135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52139 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52150 */     GIR_RootConstrainSelectedInstOperands,
     /*  52151 */     // GIR_Coverage, 1117,
     /*  52151 */     GIR_EraseRootFromParent_Done,
     /*  52152 */   // Label 1137: @52152
     /*  52152 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(52206), // Rule ID 1118 //
     /*  52157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  52160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacge),
     /*  52165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  52168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  52174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52186 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3756:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VACGEhd:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  52186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGEhd),
     /*  52189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52193 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52204 */     GIR_RootConstrainSelectedInstOperands,
     /*  52205 */     // GIR_Coverage, 1118,
     /*  52205 */     GIR_EraseRootFromParent_Done,
     /*  52206 */   // Label 1138: @52206
     /*  52206 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(52260), // Rule ID 1119 //
     /*  52211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  52214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacge),
     /*  52219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  52222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  52228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52240 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3756:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VACGEhq:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /*  52240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGEhq),
     /*  52243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52258 */     GIR_RootConstrainSelectedInstOperands,
     /*  52259 */     // GIR_Coverage, 1119,
     /*  52259 */     GIR_EraseRootFromParent_Done,
     /*  52260 */   // Label 1139: @52260
     /*  52260 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(52314), // Rule ID 1120 //
     /*  52265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacgt),
     /*  52273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  52276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  52282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52294 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3757:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VACGTfd:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  52294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGTfd),
     /*  52297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52301 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52312 */     GIR_RootConstrainSelectedInstOperands,
     /*  52313 */     // GIR_Coverage, 1120,
     /*  52313 */     GIR_EraseRootFromParent_Done,
     /*  52314 */   // Label 1140: @52314
     /*  52314 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(52368), // Rule ID 1121 //
     /*  52319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacgt),
     /*  52327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  52330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  52336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52348 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3757:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VACGTfq:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /*  52348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGTfq),
     /*  52351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52366 */     GIR_RootConstrainSelectedInstOperands,
     /*  52367 */     // GIR_Coverage, 1121,
     /*  52367 */     GIR_EraseRootFromParent_Done,
     /*  52368 */   // Label 1141: @52368
     /*  52368 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(52422), // Rule ID 1122 //
     /*  52373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  52376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacgt),
     /*  52381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  52384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  52390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52402 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3757:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VACGThd:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  52402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGThd),
     /*  52405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52420 */     GIR_RootConstrainSelectedInstOperands,
     /*  52421 */     // GIR_Coverage, 1122,
     /*  52421 */     GIR_EraseRootFromParent_Done,
     /*  52422 */   // Label 1142: @52422
     /*  52422 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(52476), // Rule ID 1123 //
     /*  52427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  52430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vacgt),
     /*  52435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  52438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  52444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52456 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3757:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VACGThq:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /*  52456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VACGThq),
     /*  52459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52474 */     GIR_RootConstrainSelectedInstOperands,
     /*  52475 */     // GIR_Coverage, 1123,
     /*  52475 */     GIR_EraseRootFromParent_Done,
     /*  52476 */   // Label 1143: @52476
     /*  52476 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(52530), // Rule ID 1166 //
     /*  52481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vabds),
     /*  52489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  52492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  52498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52510 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3753:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VABDfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  52510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABDfd),
     /*  52513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52528 */     GIR_RootConstrainSelectedInstOperands,
     /*  52529 */     // GIR_Coverage, 1166,
     /*  52529 */     GIR_EraseRootFromParent_Done,
     /*  52530 */   // Label 1144: @52530
     /*  52530 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(52584), // Rule ID 1167 //
     /*  52535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vabds),
     /*  52543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  52546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  52552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52564 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3753:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VABDfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /*  52564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABDfq),
     /*  52567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52582 */     GIR_RootConstrainSelectedInstOperands,
     /*  52583 */     // GIR_Coverage, 1167,
     /*  52583 */     GIR_EraseRootFromParent_Done,
     /*  52584 */   // Label 1145: @52584
     /*  52584 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(52638), // Rule ID 1168 //
     /*  52589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  52592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vabds),
     /*  52597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  52600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  52606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52618 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3753:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VABDhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  52618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABDhd),
     /*  52621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52625 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52636 */     GIR_RootConstrainSelectedInstOperands,
     /*  52637 */     // GIR_Coverage, 1168,
     /*  52637 */     GIR_EraseRootFromParent_Done,
     /*  52638 */   // Label 1146: @52638
     /*  52638 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(52692), // Rule ID 1169 //
     /*  52643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  52646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vabds),
     /*  52651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  52654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  52660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  52672 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3753:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VABDhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /*  52672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABDhq),
     /*  52675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52679 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52690 */     GIR_RootConstrainSelectedInstOperands,
     /*  52691 */     // GIR_Coverage, 1169,
     /*  52691 */     GIR_EraseRootFromParent_Done,
     /*  52692 */   // Label 1147: @52692
     /*  52692 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(52746), // Rule ID 1234 //
     /*  52697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadd),
     /*  52705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  52708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  52711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  52714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52726 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3807:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VPADDi8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  52726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDi8),
     /*  52729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52744 */     GIR_RootConstrainSelectedInstOperands,
     /*  52745 */     // GIR_Coverage, 1234,
     /*  52745 */     GIR_EraseRootFromParent_Done,
     /*  52746 */   // Label 1148: @52746
     /*  52746 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(52800), // Rule ID 1235 //
     /*  52751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadd),
     /*  52759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  52762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  52768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52780 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3807:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VPADDi16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  52780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDi16),
     /*  52783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52798 */     GIR_RootConstrainSelectedInstOperands,
     /*  52799 */     // GIR_Coverage, 1235,
     /*  52799 */     GIR_EraseRootFromParent_Done,
     /*  52800 */   // Label 1149: @52800
     /*  52800 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(52854), // Rule ID 1236 //
     /*  52805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadd),
     /*  52813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  52816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  52822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52834 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3807:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VPADDi32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  52834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDi32),
     /*  52837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52841 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52852 */     GIR_RootConstrainSelectedInstOperands,
     /*  52853 */     // GIR_Coverage, 1236,
     /*  52853 */     GIR_EraseRootFromParent_Done,
     /*  52854 */   // Label 1150: @52854
     /*  52854 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(52908), // Rule ID 1237 //
     /*  52859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadd),
     /*  52867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  52870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  52876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52888 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3807:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VPADDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  52888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDf),
     /*  52891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52906 */     GIR_RootConstrainSelectedInstOperands,
     /*  52907 */     // GIR_Coverage, 1237,
     /*  52907 */     GIR_EraseRootFromParent_Done,
     /*  52908 */   // Label 1151: @52908
     /*  52908 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(52962), // Rule ID 1238 //
     /*  52913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  52916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadd),
     /*  52921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  52924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  52930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52942 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3807:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VPADDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  52942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADDh),
     /*  52945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  52947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  52949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  52951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  52954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52960 */     GIR_RootConstrainSelectedInstOperands,
     /*  52961 */     // GIR_Coverage, 1238,
     /*  52961 */     GIR_EraseRootFromParent_Done,
     /*  52962 */   // Label 1152: @52962
     /*  52962 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(53016), // Rule ID 1251 //
     /*  52967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadals),
     /*  52975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  52978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  52984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  52996 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3805:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v8i8] }:$Vm)  =>  (VPADALsv8i8:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v8i8] }:$Vm)
     /*  52996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALsv8i8),
     /*  52999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53001 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53003 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53014 */     GIR_RootConstrainSelectedInstOperands,
     /*  53015 */     // GIR_Coverage, 1251,
     /*  53015 */     GIR_EraseRootFromParent_Done,
     /*  53016 */   // Label 1153: @53016
     /*  53016 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(53070), // Rule ID 1252 //
     /*  53021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadals),
     /*  53029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  53032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  53035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  53038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53050 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3805:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v4i16] }:$Vm)  =>  (VPADALsv4i16:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v4i16] }:$Vm)
     /*  53050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALsv4i16),
     /*  53053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53055 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53068 */     GIR_RootConstrainSelectedInstOperands,
     /*  53069 */     // GIR_Coverage, 1252,
     /*  53069 */     GIR_EraseRootFromParent_Done,
     /*  53070 */   // Label 1154: @53070
     /*  53070 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(53124), // Rule ID 1253 //
     /*  53075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadals),
     /*  53083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  53086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  53092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53104 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3805:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$src1, DPR:{ *:[v2i32] }:$Vm)  =>  (VPADALsv2i32:{ *:[v1i64] } DPR:{ *:[v1i64] }:$src1, DPR:{ *:[v2i32] }:$Vm)
     /*  53104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALsv2i32),
     /*  53107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53109 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53122 */     GIR_RootConstrainSelectedInstOperands,
     /*  53123 */     // GIR_Coverage, 1253,
     /*  53123 */     GIR_EraseRootFromParent_Done,
     /*  53124 */   // Label 1155: @53124
     /*  53124 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(53178), // Rule ID 1254 //
     /*  53129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadals),
     /*  53137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  53140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  53143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  53146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53158 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3805:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v16i8] }:$Vm)  =>  (VPADALsv16i8:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v16i8] }:$Vm)
     /*  53158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALsv16i8),
     /*  53161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53163 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53165 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53176 */     GIR_RootConstrainSelectedInstOperands,
     /*  53177 */     // GIR_Coverage, 1254,
     /*  53177 */     GIR_EraseRootFromParent_Done,
     /*  53178 */   // Label 1156: @53178
     /*  53178 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(53232), // Rule ID 1255 //
     /*  53183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadals),
     /*  53191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  53194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  53197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  53200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53212 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3805:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v8i16] }:$Vm)  =>  (VPADALsv8i16:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v8i16] }:$Vm)
     /*  53212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALsv8i16),
     /*  53215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53217 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53219 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53230 */     GIR_RootConstrainSelectedInstOperands,
     /*  53231 */     // GIR_Coverage, 1255,
     /*  53231 */     GIR_EraseRootFromParent_Done,
     /*  53232 */   // Label 1157: @53232
     /*  53232 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(53286), // Rule ID 1256 //
     /*  53237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadals),
     /*  53245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  53248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  53251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  53254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53266 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3805:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$src1, QPR:{ *:[v4i32] }:$Vm)  =>  (VPADALsv4i32:{ *:[v2i64] } QPR:{ *:[v2i64] }:$src1, QPR:{ *:[v4i32] }:$Vm)
     /*  53266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALsv4i32),
     /*  53269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53271 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53284 */     GIR_RootConstrainSelectedInstOperands,
     /*  53285 */     // GIR_Coverage, 1256,
     /*  53285 */     GIR_EraseRootFromParent_Done,
     /*  53286 */   // Label 1158: @53286
     /*  53286 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(53340), // Rule ID 1257 //
     /*  53291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadalu),
     /*  53299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  53302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  53305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  53308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53320 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3806:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v8i8] }:$Vm)  =>  (VPADALuv8i8:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v8i8] }:$Vm)
     /*  53320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALuv8i8),
     /*  53323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53325 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53338 */     GIR_RootConstrainSelectedInstOperands,
     /*  53339 */     // GIR_Coverage, 1257,
     /*  53339 */     GIR_EraseRootFromParent_Done,
     /*  53340 */   // Label 1159: @53340
     /*  53340 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(53394), // Rule ID 1258 //
     /*  53345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadalu),
     /*  53353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  53356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  53359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  53362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53374 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3806:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v4i16] }:$Vm)  =>  (VPADALuv4i16:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v4i16] }:$Vm)
     /*  53374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALuv4i16),
     /*  53377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53379 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53392 */     GIR_RootConstrainSelectedInstOperands,
     /*  53393 */     // GIR_Coverage, 1258,
     /*  53393 */     GIR_EraseRootFromParent_Done,
     /*  53394 */   // Label 1160: @53394
     /*  53394 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(53448), // Rule ID 1259 //
     /*  53399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadalu),
     /*  53407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  53410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  53416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53428 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3806:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$src1, DPR:{ *:[v2i32] }:$Vm)  =>  (VPADALuv2i32:{ *:[v1i64] } DPR:{ *:[v1i64] }:$src1, DPR:{ *:[v2i32] }:$Vm)
     /*  53428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALuv2i32),
     /*  53431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53446 */     GIR_RootConstrainSelectedInstOperands,
     /*  53447 */     // GIR_Coverage, 1259,
     /*  53447 */     GIR_EraseRootFromParent_Done,
     /*  53448 */   // Label 1161: @53448
     /*  53448 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(53502), // Rule ID 1260 //
     /*  53453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadalu),
     /*  53461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  53464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  53467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  53470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53482 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3806:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v16i8] }:$Vm)  =>  (VPADALuv16i8:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v16i8] }:$Vm)
     /*  53482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALuv16i8),
     /*  53485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53487 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53489 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53500 */     GIR_RootConstrainSelectedInstOperands,
     /*  53501 */     // GIR_Coverage, 1260,
     /*  53501 */     GIR_EraseRootFromParent_Done,
     /*  53502 */   // Label 1162: @53502
     /*  53502 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(53556), // Rule ID 1261 //
     /*  53507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadalu),
     /*  53515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  53518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  53521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  53524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53536 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3806:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v8i16] }:$Vm)  =>  (VPADALuv8i16:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v8i16] }:$Vm)
     /*  53536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALuv8i16),
     /*  53539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53541 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53543 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53554 */     GIR_RootConstrainSelectedInstOperands,
     /*  53555 */     // GIR_Coverage, 1261,
     /*  53555 */     GIR_EraseRootFromParent_Done,
     /*  53556 */   // Label 1163: @53556
     /*  53556 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(53610), // Rule ID 1262 //
     /*  53561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpadalu),
     /*  53569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  53572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  53575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  53578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  53590 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3806:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$src1, QPR:{ *:[v4i32] }:$Vm)  =>  (VPADALuv4i32:{ *:[v2i64] } QPR:{ *:[v2i64] }:$src1, QPR:{ *:[v4i32] }:$Vm)
     /*  53590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPADALuv4i32),
     /*  53593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53595 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  53597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53608 */     GIR_RootConstrainSelectedInstOperands,
     /*  53609 */     // GIR_Coverage, 1262,
     /*  53609 */     GIR_EraseRootFromParent_Done,
     /*  53610 */   // Label 1164: @53610
     /*  53610 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(53664), // Rule ID 1263 //
     /*  53615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxs),
     /*  53623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  53626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  53629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  53632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53644 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3810:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VPMAXs8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  53644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXs8),
     /*  53647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  53651 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53662 */     GIR_RootConstrainSelectedInstOperands,
     /*  53663 */     // GIR_Coverage, 1263,
     /*  53663 */     GIR_EraseRootFromParent_Done,
     /*  53664 */   // Label 1165: @53664
     /*  53664 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(53718), // Rule ID 1264 //
     /*  53669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxs),
     /*  53677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  53680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  53683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  53686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53698 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3810:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VPMAXs16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  53698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXs16),
     /*  53701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  53705 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53716 */     GIR_RootConstrainSelectedInstOperands,
     /*  53717 */     // GIR_Coverage, 1264,
     /*  53717 */     GIR_EraseRootFromParent_Done,
     /*  53718 */   // Label 1166: @53718
     /*  53718 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(53772), // Rule ID 1265 //
     /*  53723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxs),
     /*  53731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  53734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  53737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  53740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53752 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3810:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VPMAXs32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  53752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXs32),
     /*  53755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  53759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53770 */     GIR_RootConstrainSelectedInstOperands,
     /*  53771 */     // GIR_Coverage, 1265,
     /*  53771 */     GIR_EraseRootFromParent_Done,
     /*  53772 */   // Label 1167: @53772
     /*  53772 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(53826), // Rule ID 1266 //
     /*  53777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxu),
     /*  53785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  53788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  53791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  53794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53806 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3811:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VPMAXu8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  53806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXu8),
     /*  53809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  53813 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53824 */     GIR_RootConstrainSelectedInstOperands,
     /*  53825 */     // GIR_Coverage, 1266,
     /*  53825 */     GIR_EraseRootFromParent_Done,
     /*  53826 */   // Label 1168: @53826
     /*  53826 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(53880), // Rule ID 1267 //
     /*  53831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxu),
     /*  53839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  53842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  53845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  53848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53860 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3811:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VPMAXu16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  53860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXu16),
     /*  53863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  53867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53878 */     GIR_RootConstrainSelectedInstOperands,
     /*  53879 */     // GIR_Coverage, 1267,
     /*  53879 */     GIR_EraseRootFromParent_Done,
     /*  53880 */   // Label 1169: @53880
     /*  53880 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(53934), // Rule ID 1268 //
     /*  53885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxu),
     /*  53893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  53896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  53899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  53902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53914 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3811:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VPMAXu32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  53914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXu32),
     /*  53917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  53921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53932 */     GIR_RootConstrainSelectedInstOperands,
     /*  53933 */     // GIR_Coverage, 1268,
     /*  53933 */     GIR_EraseRootFromParent_Done,
     /*  53934 */   // Label 1170: @53934
     /*  53934 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(53988), // Rule ID 1269 //
     /*  53939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxs),
     /*  53947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  53950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  53953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  53956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  53968 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3810:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VPMAXf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  53968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXf),
     /*  53971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  53973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  53975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  53977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  53980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  53986 */     GIR_RootConstrainSelectedInstOperands,
     /*  53987 */     // GIR_Coverage, 1269,
     /*  53987 */     GIR_EraseRootFromParent_Done,
     /*  53988 */   // Label 1171: @53988
     /*  53988 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(54042), // Rule ID 1270 //
     /*  53993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  53996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmaxs),
     /*  54001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  54004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  54010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54022 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3810:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VPMAXh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  54022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMAXh),
     /*  54025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54029 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54040 */     GIR_RootConstrainSelectedInstOperands,
     /*  54041 */     // GIR_Coverage, 1270,
     /*  54041 */     GIR_EraseRootFromParent_Done,
     /*  54042 */   // Label 1172: @54042
     /*  54042 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(54096), // Rule ID 1271 //
     /*  54047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmins),
     /*  54055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  54058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  54061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  54064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54076 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3812:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VPMINs8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  54076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINs8),
     /*  54079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54094 */     GIR_RootConstrainSelectedInstOperands,
     /*  54095 */     // GIR_Coverage, 1271,
     /*  54095 */     GIR_EraseRootFromParent_Done,
     /*  54096 */   // Label 1173: @54096
     /*  54096 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(54150), // Rule ID 1272 //
     /*  54101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmins),
     /*  54109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  54112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  54118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54130 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3812:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VPMINs16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  54130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINs16),
     /*  54133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54135 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54137 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54148 */     GIR_RootConstrainSelectedInstOperands,
     /*  54149 */     // GIR_Coverage, 1272,
     /*  54149 */     GIR_EraseRootFromParent_Done,
     /*  54150 */   // Label 1174: @54150
     /*  54150 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(54204), // Rule ID 1273 //
     /*  54155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmins),
     /*  54163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  54166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  54172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54184 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3812:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VPMINs32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  54184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINs32),
     /*  54187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54202 */     GIR_RootConstrainSelectedInstOperands,
     /*  54203 */     // GIR_Coverage, 1273,
     /*  54203 */     GIR_EraseRootFromParent_Done,
     /*  54204 */   // Label 1175: @54204
     /*  54204 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(54258), // Rule ID 1274 //
     /*  54209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpminu),
     /*  54217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  54220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  54223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  54226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54238 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3813:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VPMINu8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  54238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINu8),
     /*  54241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54245 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54256 */     GIR_RootConstrainSelectedInstOperands,
     /*  54257 */     // GIR_Coverage, 1274,
     /*  54257 */     GIR_EraseRootFromParent_Done,
     /*  54258 */   // Label 1176: @54258
     /*  54258 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(54312), // Rule ID 1275 //
     /*  54263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpminu),
     /*  54271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  54274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  54280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54292 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3813:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VPMINu16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  54292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINu16),
     /*  54295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54299 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54310 */     GIR_RootConstrainSelectedInstOperands,
     /*  54311 */     // GIR_Coverage, 1275,
     /*  54311 */     GIR_EraseRootFromParent_Done,
     /*  54312 */   // Label 1177: @54312
     /*  54312 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(54366), // Rule ID 1276 //
     /*  54317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpminu),
     /*  54325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  54328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  54334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54346 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3813:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VPMINu32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  54346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINu32),
     /*  54349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54364 */     GIR_RootConstrainSelectedInstOperands,
     /*  54365 */     // GIR_Coverage, 1276,
     /*  54365 */     GIR_EraseRootFromParent_Done,
     /*  54366 */   // Label 1178: @54366
     /*  54366 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(54420), // Rule ID 1277 //
     /*  54371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmins),
     /*  54379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  54382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  54388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54400 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3812:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VPMINf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  54400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINf),
     /*  54403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54418 */     GIR_RootConstrainSelectedInstOperands,
     /*  54419 */     // GIR_Coverage, 1277,
     /*  54419 */     GIR_EraseRootFromParent_Done,
     /*  54420 */   // Label 1179: @54420
     /*  54420 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(54474), // Rule ID 1278 //
     /*  54425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  54428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vpmins),
     /*  54433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  54436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  54442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54454 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3812:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VPMINh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  54454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VPMINh),
     /*  54457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54461 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54466 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54472 */     GIR_RootConstrainSelectedInstOperands,
     /*  54473 */     // GIR_Coverage, 1278,
     /*  54473 */     GIR_EraseRootFromParent_Done,
     /*  54474 */   // Label 1180: @54474
     /*  54474 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(54528), // Rule ID 1285 //
     /*  54479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecps),
     /*  54487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  54490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  54496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54508 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3837:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VRECPSfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  54508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPSfd),
     /*  54511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54526 */     GIR_RootConstrainSelectedInstOperands,
     /*  54527 */     // GIR_Coverage, 1285,
     /*  54527 */     GIR_EraseRootFromParent_Done,
     /*  54528 */   // Label 1181: @54528
     /*  54528 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(54582), // Rule ID 1286 //
     /*  54533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecps),
     /*  54541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  54544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  54547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  54550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54562 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3837:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VRECPSfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /*  54562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPSfq),
     /*  54565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54580 */     GIR_RootConstrainSelectedInstOperands,
     /*  54581 */     // GIR_Coverage, 1286,
     /*  54581 */     GIR_EraseRootFromParent_Done,
     /*  54582 */   // Label 1182: @54582
     /*  54582 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(54636), // Rule ID 1287 //
     /*  54587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  54590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecps),
     /*  54595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  54598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  54604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54616 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3837:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VRECPShd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  54616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPShd),
     /*  54619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54623 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54634 */     GIR_RootConstrainSelectedInstOperands,
     /*  54635 */     // GIR_Coverage, 1287,
     /*  54635 */     GIR_EraseRootFromParent_Done,
     /*  54636 */   // Label 1183: @54636
     /*  54636 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(54690), // Rule ID 1288 //
     /*  54641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  54644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrecps),
     /*  54649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  54652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  54655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  54658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54670 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3837:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VRECPShq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /*  54670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRECPShq),
     /*  54673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54688 */     GIR_RootConstrainSelectedInstOperands,
     /*  54689 */     // GIR_Coverage, 1288,
     /*  54689 */     GIR_EraseRootFromParent_Done,
     /*  54690 */   // Label 1184: @54690
     /*  54690 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(54744), // Rule ID 1295 //
     /*  54695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrts),
     /*  54703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  54706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  54712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54724 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3844:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VRSQRTSfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /*  54724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTSfd),
     /*  54727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54731 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54736 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54742 */     GIR_RootConstrainSelectedInstOperands,
     /*  54743 */     // GIR_Coverage, 1295,
     /*  54743 */     GIR_EraseRootFromParent_Done,
     /*  54744 */   // Label 1185: @54744
     /*  54744 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(54798), // Rule ID 1296 //
     /*  54749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrts),
     /*  54757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  54760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  54763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  54766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54778 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3844:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VRSQRTSfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /*  54778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTSfq),
     /*  54781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54796 */     GIR_RootConstrainSelectedInstOperands,
     /*  54797 */     // GIR_Coverage, 1296,
     /*  54797 */     GIR_EraseRootFromParent_Done,
     /*  54798 */   // Label 1186: @54798
     /*  54798 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(54852), // Rule ID 1297 //
     /*  54803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  54806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrts),
     /*  54811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  54814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  54820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54832 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3844:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VRSQRTShd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /*  54832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTShd),
     /*  54835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54839 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54850 */     GIR_RootConstrainSelectedInstOperands,
     /*  54851 */     // GIR_Coverage, 1297,
     /*  54851 */     GIR_EraseRootFromParent_Done,
     /*  54852 */   // Label 1187: @54852
     /*  54852 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(54906), // Rule ID 1298 //
     /*  54857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  54860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrsqrts),
     /*  54865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  54868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  54871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  54874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  54886 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3844:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VRSQRTShq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /*  54886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSQRTShq),
     /*  54889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54891 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  54893 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  54895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54904 */     GIR_RootConstrainSelectedInstOperands,
     /*  54905 */     // GIR_Coverage, 1298,
     /*  54905 */     GIR_EraseRootFromParent_Done,
     /*  54906 */   // Label 1188: @54906
     /*  54906 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(54960), // Rule ID 1299 //
     /*  54911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  54919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  54922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  54928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54940 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3847:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VSHLsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  54940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv4i16),
     /*  54943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  54947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  54949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  54952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54958 */     GIR_RootConstrainSelectedInstOperands,
     /*  54959 */     // GIR_Coverage, 1299,
     /*  54959 */     GIR_EraseRootFromParent_Done,
     /*  54960 */   // Label 1189: @54960
     /*  54960 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(55014), // Rule ID 1300 //
     /*  54965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  54973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  54976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  54982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  54994 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3847:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VSHLsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  54994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv2i32),
     /*  54997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  54999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55012 */     GIR_RootConstrainSelectedInstOperands,
     /*  55013 */     // GIR_Coverage, 1300,
     /*  55013 */     GIR_EraseRootFromParent_Done,
     /*  55014 */   // Label 1190: @55014
     /*  55014 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(55068), // Rule ID 1301 //
     /*  55019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  55027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  55030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  55033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  55036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55048 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3847:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VSHLsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  55048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv8i16),
     /*  55051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55066 */     GIR_RootConstrainSelectedInstOperands,
     /*  55067 */     // GIR_Coverage, 1301,
     /*  55067 */     GIR_EraseRootFromParent_Done,
     /*  55068 */   // Label 1191: @55068
     /*  55068 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(55122), // Rule ID 1302 //
     /*  55073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  55081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  55084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  55090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55102 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3847:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VSHLsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  55102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv4i32),
     /*  55105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55107 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55120 */     GIR_RootConstrainSelectedInstOperands,
     /*  55121 */     // GIR_Coverage, 1302,
     /*  55121 */     GIR_EraseRootFromParent_Done,
     /*  55122 */   // Label 1192: @55122
     /*  55122 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(55176), // Rule ID 1303 //
     /*  55127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  55135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  55138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  55141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  55144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55156 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3847:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VSHLsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  55156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv8i8),
     /*  55159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55174 */     GIR_RootConstrainSelectedInstOperands,
     /*  55175 */     // GIR_Coverage, 1303,
     /*  55175 */     GIR_EraseRootFromParent_Done,
     /*  55176 */   // Label 1193: @55176
     /*  55176 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(55230), // Rule ID 1304 //
     /*  55181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  55189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  55192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  55195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  55198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55210 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3847:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VSHLsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  55210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv16i8),
     /*  55213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55228 */     GIR_RootConstrainSelectedInstOperands,
     /*  55229 */     // GIR_Coverage, 1304,
     /*  55229 */     GIR_EraseRootFromParent_Done,
     /*  55230 */   // Label 1194: @55230
     /*  55230 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(55284), // Rule ID 1305 //
     /*  55235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  55243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  55246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  55249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  55252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55264 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3847:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VSHLsv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  55264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv1i64),
     /*  55267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55271 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55282 */     GIR_RootConstrainSelectedInstOperands,
     /*  55283 */     // GIR_Coverage, 1305,
     /*  55283 */     GIR_EraseRootFromParent_Done,
     /*  55284 */   // Label 1195: @55284
     /*  55284 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(55338), // Rule ID 1306 //
     /*  55289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshifts),
     /*  55297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  55300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  55306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55318 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3847:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VSHLsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  55318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLsv2i64),
     /*  55321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55336 */     GIR_RootConstrainSelectedInstOperands,
     /*  55337 */     // GIR_Coverage, 1306,
     /*  55337 */     GIR_EraseRootFromParent_Done,
     /*  55338 */   // Label 1196: @55338
     /*  55338 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(55392), // Rule ID 1307 //
     /*  55343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  55354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  55360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55372 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3848:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VSHLuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  55372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv4i16),
     /*  55375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55379 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55390 */     GIR_RootConstrainSelectedInstOperands,
     /*  55391 */     // GIR_Coverage, 1307,
     /*  55391 */     GIR_EraseRootFromParent_Done,
     /*  55392 */   // Label 1197: @55392
     /*  55392 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(55446), // Rule ID 1308 //
     /*  55397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  55408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  55414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55426 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3848:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VSHLuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  55426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv2i32),
     /*  55429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55444 */     GIR_RootConstrainSelectedInstOperands,
     /*  55445 */     // GIR_Coverage, 1308,
     /*  55445 */     GIR_EraseRootFromParent_Done,
     /*  55446 */   // Label 1198: @55446
     /*  55446 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(55500), // Rule ID 1309 //
     /*  55451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  55462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  55465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  55468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55480 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3848:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VSHLuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  55480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv8i16),
     /*  55483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55498 */     GIR_RootConstrainSelectedInstOperands,
     /*  55499 */     // GIR_Coverage, 1309,
     /*  55499 */     GIR_EraseRootFromParent_Done,
     /*  55500 */   // Label 1199: @55500
     /*  55500 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(55554), // Rule ID 1310 //
     /*  55505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  55516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  55522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55534 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3848:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VSHLuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  55534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv4i32),
     /*  55537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55539 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55541 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55546 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55552 */     GIR_RootConstrainSelectedInstOperands,
     /*  55553 */     // GIR_Coverage, 1310,
     /*  55553 */     GIR_EraseRootFromParent_Done,
     /*  55554 */   // Label 1200: @55554
     /*  55554 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(55608), // Rule ID 1311 //
     /*  55559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  55570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  55573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  55576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55588 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3848:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VSHLuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  55588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv8i8),
     /*  55591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55595 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55606 */     GIR_RootConstrainSelectedInstOperands,
     /*  55607 */     // GIR_Coverage, 1311,
     /*  55607 */     GIR_EraseRootFromParent_Done,
     /*  55608 */   // Label 1201: @55608
     /*  55608 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(55662), // Rule ID 1312 //
     /*  55613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  55624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  55627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  55630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55642 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3848:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VSHLuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  55642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv16i8),
     /*  55645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55660 */     GIR_RootConstrainSelectedInstOperands,
     /*  55661 */     // GIR_Coverage, 1312,
     /*  55661 */     GIR_EraseRootFromParent_Done,
     /*  55662 */   // Label 1202: @55662
     /*  55662 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(55716), // Rule ID 1313 //
     /*  55667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  55678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  55681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  55684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55696 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3848:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VSHLuv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  55696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv1i64),
     /*  55699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55714 */     GIR_RootConstrainSelectedInstOperands,
     /*  55715 */     // GIR_Coverage, 1313,
     /*  55715 */     GIR_EraseRootFromParent_Done,
     /*  55716 */   // Label 1203: @55716
     /*  55716 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(55770), // Rule ID 1314 //
     /*  55721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vshiftu),
     /*  55729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  55732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  55738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55750 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3848:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VSHLuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  55750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSHLuv2i64),
     /*  55753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55768 */     GIR_RootConstrainSelectedInstOperands,
     /*  55769 */     // GIR_Coverage, 1314,
     /*  55769 */     GIR_EraseRootFromParent_Done,
     /*  55770 */   // Label 1204: @55770
     /*  55770 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(55824), // Rule ID 1348 //
     /*  55775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  55783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  55786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  55792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55804 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3841:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VRSHLsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  55804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv4i16),
     /*  55807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55811 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55822 */     GIR_RootConstrainSelectedInstOperands,
     /*  55823 */     // GIR_Coverage, 1348,
     /*  55823 */     GIR_EraseRootFromParent_Done,
     /*  55824 */   // Label 1205: @55824
     /*  55824 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(55878), // Rule ID 1349 //
     /*  55829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  55837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  55840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  55846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  55858 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3841:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VRSHLsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  55858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv2i32),
     /*  55861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55865 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55876 */     GIR_RootConstrainSelectedInstOperands,
     /*  55877 */     // GIR_Coverage, 1349,
     /*  55877 */     GIR_EraseRootFromParent_Done,
     /*  55878 */   // Label 1206: @55878
     /*  55878 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(55932), // Rule ID 1350 //
     /*  55883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  55891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  55894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  55897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  55900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55912 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3841:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VRSHLsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  55912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv8i16),
     /*  55915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55930 */     GIR_RootConstrainSelectedInstOperands,
     /*  55931 */     // GIR_Coverage, 1350,
     /*  55931 */     GIR_EraseRootFromParent_Done,
     /*  55932 */   // Label 1207: @55932
     /*  55932 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(55986), // Rule ID 1351 //
     /*  55937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  55945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  55948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  55954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  55966 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3841:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VRSHLsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  55966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv4i32),
     /*  55969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  55971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  55973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  55975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  55978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55984 */     GIR_RootConstrainSelectedInstOperands,
     /*  55985 */     // GIR_Coverage, 1351,
     /*  55985 */     GIR_EraseRootFromParent_Done,
     /*  55986 */   // Label 1208: @55986
     /*  55986 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(56040), // Rule ID 1352 //
     /*  55991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  55999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  56002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  56005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  56008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56020 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3841:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VRSHLsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  56020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv8i8),
     /*  56023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56038 */     GIR_RootConstrainSelectedInstOperands,
     /*  56039 */     // GIR_Coverage, 1352,
     /*  56039 */     GIR_EraseRootFromParent_Done,
     /*  56040 */   // Label 1209: @56040
     /*  56040 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(56094), // Rule ID 1353 //
     /*  56045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  56053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  56056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  56062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56074 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3841:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VRSHLsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  56074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv16i8),
     /*  56077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56079 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56081 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56092 */     GIR_RootConstrainSelectedInstOperands,
     /*  56093 */     // GIR_Coverage, 1353,
     /*  56093 */     GIR_EraseRootFromParent_Done,
     /*  56094 */   // Label 1210: @56094
     /*  56094 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(56148), // Rule ID 1354 //
     /*  56099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  56107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  56110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  56113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  56116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56128 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3841:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VRSHLsv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  56128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv1i64),
     /*  56131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56146 */     GIR_RootConstrainSelectedInstOperands,
     /*  56147 */     // GIR_Coverage, 1354,
     /*  56147 */     GIR_EraseRootFromParent_Done,
     /*  56148 */   // Label 1211: @56148
     /*  56148 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(56202), // Rule ID 1355 //
     /*  56153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshifts),
     /*  56161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  56164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  56167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  56170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56182 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3841:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VRSHLsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  56182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLsv2i64),
     /*  56185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56200 */     GIR_RootConstrainSelectedInstOperands,
     /*  56201 */     // GIR_Coverage, 1355,
     /*  56201 */     GIR_EraseRootFromParent_Done,
     /*  56202 */   // Label 1212: @56202
     /*  56202 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(56256), // Rule ID 1356 //
     /*  56207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  56218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  56221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  56224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56236 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3842:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VRSHLuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  56236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv4i16),
     /*  56239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56254 */     GIR_RootConstrainSelectedInstOperands,
     /*  56255 */     // GIR_Coverage, 1356,
     /*  56255 */     GIR_EraseRootFromParent_Done,
     /*  56256 */   // Label 1213: @56256
     /*  56256 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(56310), // Rule ID 1357 //
     /*  56261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  56272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  56275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  56278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56290 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3842:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VRSHLuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  56290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv2i32),
     /*  56293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56308 */     GIR_RootConstrainSelectedInstOperands,
     /*  56309 */     // GIR_Coverage, 1357,
     /*  56309 */     GIR_EraseRootFromParent_Done,
     /*  56310 */   // Label 1214: @56310
     /*  56310 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(56364), // Rule ID 1358 //
     /*  56315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  56326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  56332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56344 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3842:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VRSHLuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  56344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv8i16),
     /*  56347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56351 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56362 */     GIR_RootConstrainSelectedInstOperands,
     /*  56363 */     // GIR_Coverage, 1358,
     /*  56363 */     GIR_EraseRootFromParent_Done,
     /*  56364 */   // Label 1215: @56364
     /*  56364 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(56418), // Rule ID 1359 //
     /*  56369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  56380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  56383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  56386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56398 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3842:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VRSHLuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  56398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv4i32),
     /*  56401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56405 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56416 */     GIR_RootConstrainSelectedInstOperands,
     /*  56417 */     // GIR_Coverage, 1359,
     /*  56417 */     GIR_EraseRootFromParent_Done,
     /*  56418 */   // Label 1216: @56418
     /*  56418 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(56472), // Rule ID 1360 //
     /*  56423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  56434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  56437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  56440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56452 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3842:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VRSHLuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  56452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv8i8),
     /*  56455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56459 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56470 */     GIR_RootConstrainSelectedInstOperands,
     /*  56471 */     // GIR_Coverage, 1360,
     /*  56471 */     GIR_EraseRootFromParent_Done,
     /*  56472 */   // Label 1217: @56472
     /*  56472 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(56526), // Rule ID 1361 //
     /*  56477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  56488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  56494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56506 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3842:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VRSHLuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  56506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv16i8),
     /*  56509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56524 */     GIR_RootConstrainSelectedInstOperands,
     /*  56525 */     // GIR_Coverage, 1361,
     /*  56525 */     GIR_EraseRootFromParent_Done,
     /*  56526 */   // Label 1218: @56526
     /*  56526 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(56580), // Rule ID 1362 //
     /*  56531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  56542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  56545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  56548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56560 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3842:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VRSHLuv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  56560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv1i64),
     /*  56563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56578 */     GIR_RootConstrainSelectedInstOperands,
     /*  56579 */     // GIR_Coverage, 1362,
     /*  56579 */     GIR_EraseRootFromParent_Done,
     /*  56580 */   // Label 1219: @56580
     /*  56580 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(56634), // Rule ID 1363 //
     /*  56585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vrshiftu),
     /*  56593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  56596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  56599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  56602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56614 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3842:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VRSHLuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  56614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRSHLuv2i64),
     /*  56617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56619 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56621 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56632 */     GIR_RootConstrainSelectedInstOperands,
     /*  56633 */     // GIR_Coverage, 1363,
     /*  56633 */     GIR_EraseRootFromParent_Done,
     /*  56634 */   // Label 1220: @56634
     /*  56634 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(56688), // Rule ID 1383 //
     /*  56639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  56647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  56650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  56653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  56656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56668 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3832:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VQSHLsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  56668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv4i16),
     /*  56671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56686 */     GIR_RootConstrainSelectedInstOperands,
     /*  56687 */     // GIR_Coverage, 1383,
     /*  56687 */     GIR_EraseRootFromParent_Done,
     /*  56688 */   // Label 1221: @56688
     /*  56688 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(56742), // Rule ID 1384 //
     /*  56693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  56701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  56704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  56707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  56710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56722 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3832:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VQSHLsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  56722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv2i32),
     /*  56725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56740 */     GIR_RootConstrainSelectedInstOperands,
     /*  56741 */     // GIR_Coverage, 1384,
     /*  56741 */     GIR_EraseRootFromParent_Done,
     /*  56742 */   // Label 1222: @56742
     /*  56742 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(56796), // Rule ID 1385 //
     /*  56747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  56755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  56758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  56764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56776 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3832:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VQSHLsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  56776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv8i16),
     /*  56779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56783 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56794 */     GIR_RootConstrainSelectedInstOperands,
     /*  56795 */     // GIR_Coverage, 1385,
     /*  56795 */     GIR_EraseRootFromParent_Done,
     /*  56796 */   // Label 1223: @56796
     /*  56796 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(56850), // Rule ID 1386 //
     /*  56801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  56809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  56812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  56815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  56818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56830 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3832:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VQSHLsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  56830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv4i32),
     /*  56833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56842 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56848 */     GIR_RootConstrainSelectedInstOperands,
     /*  56849 */     // GIR_Coverage, 1386,
     /*  56849 */     GIR_EraseRootFromParent_Done,
     /*  56850 */   // Label 1224: @56850
     /*  56850 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(56904), // Rule ID 1387 //
     /*  56855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  56863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  56866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  56869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  56872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56884 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3832:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VQSHLsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  56884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv8i8),
     /*  56887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56902 */     GIR_RootConstrainSelectedInstOperands,
     /*  56903 */     // GIR_Coverage, 1387,
     /*  56903 */     GIR_EraseRootFromParent_Done,
     /*  56904 */   // Label 1225: @56904
     /*  56904 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(56958), // Rule ID 1388 //
     /*  56909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  56917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  56920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  56926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  56938 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3832:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VQSHLsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  56938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv16i8),
     /*  56941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  56947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  56950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  56956 */     GIR_RootConstrainSelectedInstOperands,
     /*  56957 */     // GIR_Coverage, 1388,
     /*  56957 */     GIR_EraseRootFromParent_Done,
     /*  56958 */   // Label 1226: @56958
     /*  56958 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(57012), // Rule ID 1389 //
     /*  56963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  56971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  56974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  56977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  56980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  56992 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3832:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VQSHLsv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  56992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv1i64),
     /*  56995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  56997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  56999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57010 */     GIR_RootConstrainSelectedInstOperands,
     /*  57011 */     // GIR_Coverage, 1389,
     /*  57011 */     GIR_EraseRootFromParent_Done,
     /*  57012 */   // Label 1227: @57012
     /*  57012 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(57066), // Rule ID 1390 //
     /*  57017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshifts),
     /*  57025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  57028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  57031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  57034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57046 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3832:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VQSHLsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  57046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLsv2i64),
     /*  57049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57064 */     GIR_RootConstrainSelectedInstOperands,
     /*  57065 */     // GIR_Coverage, 1390,
     /*  57065 */     GIR_EraseRootFromParent_Done,
     /*  57066 */   // Label 1228: @57066
     /*  57066 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(57120), // Rule ID 1391 //
     /*  57071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  57082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  57085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  57088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57100 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3834:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VQSHLuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  57100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv4i16),
     /*  57103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57118 */     GIR_RootConstrainSelectedInstOperands,
     /*  57119 */     // GIR_Coverage, 1391,
     /*  57119 */     GIR_EraseRootFromParent_Done,
     /*  57120 */   // Label 1229: @57120
     /*  57120 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(57174), // Rule ID 1392 //
     /*  57125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  57136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  57139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  57142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57154 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3834:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VQSHLuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  57154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv2i32),
     /*  57157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57166 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57172 */     GIR_RootConstrainSelectedInstOperands,
     /*  57173 */     // GIR_Coverage, 1392,
     /*  57173 */     GIR_EraseRootFromParent_Done,
     /*  57174 */   // Label 1230: @57174
     /*  57174 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(57228), // Rule ID 1393 //
     /*  57179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  57190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  57193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  57196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57208 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3834:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VQSHLuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  57208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv8i16),
     /*  57211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57226 */     GIR_RootConstrainSelectedInstOperands,
     /*  57227 */     // GIR_Coverage, 1393,
     /*  57227 */     GIR_EraseRootFromParent_Done,
     /*  57228 */   // Label 1231: @57228
     /*  57228 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(57282), // Rule ID 1394 //
     /*  57233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  57244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  57247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  57250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57262 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3834:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VQSHLuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  57262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv4i32),
     /*  57265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57280 */     GIR_RootConstrainSelectedInstOperands,
     /*  57281 */     // GIR_Coverage, 1394,
     /*  57281 */     GIR_EraseRootFromParent_Done,
     /*  57282 */   // Label 1232: @57282
     /*  57282 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(57336), // Rule ID 1395 //
     /*  57287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  57298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  57301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  57304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57316 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3834:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VQSHLuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  57316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv8i8),
     /*  57319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57334 */     GIR_RootConstrainSelectedInstOperands,
     /*  57335 */     // GIR_Coverage, 1395,
     /*  57335 */     GIR_EraseRootFromParent_Done,
     /*  57336 */   // Label 1233: @57336
     /*  57336 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(57390), // Rule ID 1396 //
     /*  57341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  57352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  57355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  57358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57370 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3834:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VQSHLuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  57370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv16i8),
     /*  57373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57382 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57388 */     GIR_RootConstrainSelectedInstOperands,
     /*  57389 */     // GIR_Coverage, 1396,
     /*  57389 */     GIR_EraseRootFromParent_Done,
     /*  57390 */   // Label 1234: @57390
     /*  57390 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(57444), // Rule ID 1397 //
     /*  57395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  57406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  57409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  57412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57424 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3834:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VQSHLuv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  57424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv1i64),
     /*  57427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57431 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57442 */     GIR_RootConstrainSelectedInstOperands,
     /*  57443 */     // GIR_Coverage, 1397,
     /*  57443 */     GIR_EraseRootFromParent_Done,
     /*  57444 */   // Label 1235: @57444
     /*  57444 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(57498), // Rule ID 1398 //
     /*  57449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqshiftu),
     /*  57457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  57460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  57463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  57466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57478 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3834:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VQSHLuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  57478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSHLuv2i64),
     /*  57481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57496 */     GIR_RootConstrainSelectedInstOperands,
     /*  57497 */     // GIR_Coverage, 1398,
     /*  57497 */     GIR_EraseRootFromParent_Done,
     /*  57498 */   // Label 1236: @57498
     /*  57498 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(57552), // Rule ID 1432 //
     /*  57503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  57514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  57517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  57520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57532 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3827:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VQRSHLsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  57532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv4i16),
     /*  57535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57550 */     GIR_RootConstrainSelectedInstOperands,
     /*  57551 */     // GIR_Coverage, 1432,
     /*  57551 */     GIR_EraseRootFromParent_Done,
     /*  57552 */   // Label 1237: @57552
     /*  57552 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(57606), // Rule ID 1433 //
     /*  57557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  57568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  57571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  57574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57586 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3827:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VQRSHLsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  57586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv2i32),
     /*  57589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57604 */     GIR_RootConstrainSelectedInstOperands,
     /*  57605 */     // GIR_Coverage, 1433,
     /*  57605 */     GIR_EraseRootFromParent_Done,
     /*  57606 */   // Label 1238: @57606
     /*  57606 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(57660), // Rule ID 1434 //
     /*  57611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  57622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  57625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  57628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57640 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3827:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VQRSHLsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  57640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv8i16),
     /*  57643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57658 */     GIR_RootConstrainSelectedInstOperands,
     /*  57659 */     // GIR_Coverage, 1434,
     /*  57659 */     GIR_EraseRootFromParent_Done,
     /*  57660 */   // Label 1239: @57660
     /*  57660 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(57714), // Rule ID 1435 //
     /*  57665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  57676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  57679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  57682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57694 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3827:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VQRSHLsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  57694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv4i32),
     /*  57697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57701 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57712 */     GIR_RootConstrainSelectedInstOperands,
     /*  57713 */     // GIR_Coverage, 1435,
     /*  57713 */     GIR_EraseRootFromParent_Done,
     /*  57714 */   // Label 1240: @57714
     /*  57714 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(57768), // Rule ID 1436 //
     /*  57719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  57730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  57733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  57736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57748 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3827:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VQRSHLsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  57748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv8i8),
     /*  57751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57755 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57766 */     GIR_RootConstrainSelectedInstOperands,
     /*  57767 */     // GIR_Coverage, 1436,
     /*  57767 */     GIR_EraseRootFromParent_Done,
     /*  57768 */   // Label 1241: @57768
     /*  57768 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(57822), // Rule ID 1437 //
     /*  57773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  57784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  57787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  57790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57802 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3827:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VQRSHLsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  57802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv16i8),
     /*  57805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57820 */     GIR_RootConstrainSelectedInstOperands,
     /*  57821 */     // GIR_Coverage, 1437,
     /*  57821 */     GIR_EraseRootFromParent_Done,
     /*  57822 */   // Label 1242: @57822
     /*  57822 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(57876), // Rule ID 1438 //
     /*  57827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  57838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  57841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  57844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57856 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3827:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VQRSHLsv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  57856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv1i64),
     /*  57859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57874 */     GIR_RootConstrainSelectedInstOperands,
     /*  57875 */     // GIR_Coverage, 1438,
     /*  57875 */     GIR_EraseRootFromParent_Done,
     /*  57876 */   // Label 1243: @57876
     /*  57876 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(57930), // Rule ID 1439 //
     /*  57881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshifts),
     /*  57889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  57892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  57895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  57898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  57910 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3827:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VQRSHLsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  57910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLsv2i64),
     /*  57913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57928 */     GIR_RootConstrainSelectedInstOperands,
     /*  57929 */     // GIR_Coverage, 1439,
     /*  57929 */     GIR_EraseRootFromParent_Done,
     /*  57930 */   // Label 1244: @57930
     /*  57930 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(57984), // Rule ID 1440 //
     /*  57935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  57943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  57946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  57949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  57952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  57964 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3828:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)  =>  (VQRSHLuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm, DPR:{ *:[v4i16] }:$Vn)
     /*  57964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv4i16),
     /*  57967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  57969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  57971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  57973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  57976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  57982 */     GIR_RootConstrainSelectedInstOperands,
     /*  57983 */     // GIR_Coverage, 1440,
     /*  57983 */     GIR_EraseRootFromParent_Done,
     /*  57984 */   // Label 1245: @57984
     /*  57984 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(58038), // Rule ID 1441 //
     /*  57989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  57992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  57997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  58000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  58003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  58006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58018 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3828:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)  =>  (VQRSHLuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm, DPR:{ *:[v2i32] }:$Vn)
     /*  58018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv2i32),
     /*  58021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  58025 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  58027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58036 */     GIR_RootConstrainSelectedInstOperands,
     /*  58037 */     // GIR_Coverage, 1441,
     /*  58037 */     GIR_EraseRootFromParent_Done,
     /*  58038 */   // Label 1246: @58038
     /*  58038 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(58092), // Rule ID 1442 //
     /*  58043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  58051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  58054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  58057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  58060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58072 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3828:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)  =>  (VQRSHLuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm, QPR:{ *:[v8i16] }:$Vn)
     /*  58072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv8i16),
     /*  58075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  58079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  58081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58090 */     GIR_RootConstrainSelectedInstOperands,
     /*  58091 */     // GIR_Coverage, 1442,
     /*  58091 */     GIR_EraseRootFromParent_Done,
     /*  58092 */   // Label 1247: @58092
     /*  58092 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(58146), // Rule ID 1443 //
     /*  58097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  58105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  58108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  58111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  58114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58126 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3828:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)  =>  (VQRSHLuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm, QPR:{ *:[v4i32] }:$Vn)
     /*  58126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv4i32),
     /*  58129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58131 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  58133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  58135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58144 */     GIR_RootConstrainSelectedInstOperands,
     /*  58145 */     // GIR_Coverage, 1443,
     /*  58145 */     GIR_EraseRootFromParent_Done,
     /*  58146 */   // Label 1248: @58146
     /*  58146 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(58200), // Rule ID 1444 //
     /*  58151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  58159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  58162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  58165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  58168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58180 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3828:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)  =>  (VQRSHLuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm, DPR:{ *:[v8i8] }:$Vn)
     /*  58180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv8i8),
     /*  58183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  58187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  58189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58192 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58198 */     GIR_RootConstrainSelectedInstOperands,
     /*  58199 */     // GIR_Coverage, 1444,
     /*  58199 */     GIR_EraseRootFromParent_Done,
     /*  58200 */   // Label 1249: @58200
     /*  58200 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(58254), // Rule ID 1445 //
     /*  58205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  58213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  58216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  58219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  58222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58234 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3828:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)  =>  (VQRSHLuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm, QPR:{ *:[v16i8] }:$Vn)
     /*  58234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv16i8),
     /*  58237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  58241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  58243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58252 */     GIR_RootConstrainSelectedInstOperands,
     /*  58253 */     // GIR_Coverage, 1445,
     /*  58253 */     GIR_EraseRootFromParent_Done,
     /*  58254 */   // Label 1250: @58254
     /*  58254 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(58308), // Rule ID 1446 //
     /*  58259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  58267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  58270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  58273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  58276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  58288 */     // (intrinsic_wo_chain:{ *:[v1i64] } 3828:{ *:[iPTR] }, DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)  =>  (VQRSHLuv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vm, DPR:{ *:[v1i64] }:$Vn)
     /*  58288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv1i64),
     /*  58291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  58295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  58297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58306 */     GIR_RootConstrainSelectedInstOperands,
     /*  58307 */     // GIR_Coverage, 1446,
     /*  58307 */     GIR_EraseRootFromParent_Done,
     /*  58308 */   // Label 1251: @58308
     /*  58308 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(58362), // Rule ID 1447 //
     /*  58313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrshiftu),
     /*  58321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  58324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  58327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  58330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58342 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3828:{ *:[iPTR] }, QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)  =>  (VQRSHLuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vm, QPR:{ *:[v2i64] }:$Vn)
     /*  58342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRSHLuv2i64),
     /*  58345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /*  58349 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  58351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58360 */     GIR_RootConstrainSelectedInstOperands,
     /*  58361 */     // GIR_Coverage, 1447,
     /*  58361 */     GIR_EraseRootFromParent_Done,
     /*  58362 */   // Label 1252: @58362
     /*  58362 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(58407), // Rule ID 1712 //
     /*  58367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasV8),
     /*  58370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_aesd),
     /*  58375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  58378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  58381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  58384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58396 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3729:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$src, QPR:{ *:[v16i8] }:$Vm)  =>  (AESD:{ *:[v16i8] } QPR:{ *:[v16i8] }:$src, QPR:{ *:[v16i8] }:$Vm)
     /*  58396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::AESD),
     /*  58399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58401 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  58403 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  58405 */     GIR_RootConstrainSelectedInstOperands,
     /*  58406 */     // GIR_Coverage, 1712,
     /*  58406 */     GIR_EraseRootFromParent_Done,
     /*  58407 */   // Label 1253: @58407
     /*  58407 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(58452), // Rule ID 1713 //
     /*  58412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasV8),
     /*  58415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_aese),
     /*  58420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  58423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  58426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  58429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58441 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3730:{ *:[iPTR] }, QPR:{ *:[v16i8] }:$src, QPR:{ *:[v16i8] }:$Vm)  =>  (AESE:{ *:[v16i8] } QPR:{ *:[v16i8] }:$src, QPR:{ *:[v16i8] }:$Vm)
     /*  58441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::AESE),
     /*  58444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58446 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  58448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  58450 */     GIR_RootConstrainSelectedInstOperands,
     /*  58451 */     // GIR_Coverage, 1713,
     /*  58451 */     GIR_EraseRootFromParent_Done,
     /*  58452 */   // Label 1254: @58452
     /*  58452 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(58497), // Rule ID 1716 //
     /*  58457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2_HasV8),
     /*  58460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha1su1),
     /*  58465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  58468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  58471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  58474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58486 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3743:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vm)  =>  (SHA1SU1:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vm)
     /*  58486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA1SU1),
     /*  58489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58491 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  58493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  58495 */     GIR_RootConstrainSelectedInstOperands,
     /*  58496 */     // GIR_Coverage, 1716,
     /*  58496 */     GIR_EraseRootFromParent_Done,
     /*  58497 */   // Label 1255: @58497
     /*  58497 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(58542), // Rule ID 1717 //
     /*  58502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2_HasV8),
     /*  58505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha256su0),
     /*  58510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  58513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  58516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  58519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  58531 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3746:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vm)  =>  (SHA256SU0:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vm)
     /*  58531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA256SU0),
     /*  58534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  58536 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  58538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /*  58540 */     GIR_RootConstrainSelectedInstOperands,
     /*  58541 */     // GIR_Coverage, 1717,
     /*  58541 */     GIR_EraseRootFromParent_Done,
     /*  58542 */   // Label 1256: @58542
     /*  58542 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(58596), // Rule ID 1726 //
     /*  58547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_HasV8_1MMainline),
     /*  58550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_sqrshr),
     /*  58555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  58568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  58572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  58576 */     // (intrinsic_wo_chain:{ *:[i32] } 3592:{ *:[iPTR] }, rGPR:{ *:[i32] }:$RdaSrc, rGPR:{ *:[i32] }:$Rm)  =>  (MVE_SQRSHR:{ *:[i32] } rGPR:{ *:[i32] }:$RdaSrc, rGPR:{ *:[i32] }:$Rm)
     /*  58576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_SQRSHR),
     /*  58579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  58581 */     GIR_RootToRootCopy, /*OpIdx*/2, // RdaSrc
     /*  58583 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  58585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58594 */     GIR_RootConstrainSelectedInstOperands,
     /*  58595 */     // GIR_Coverage, 1726,
     /*  58595 */     GIR_EraseRootFromParent_Done,
     /*  58596 */   // Label 1257: @58596
     /*  58596 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(58650), // Rule ID 1727 //
     /*  58601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt_HasV8_1MMainline),
     /*  58604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_uqrshl),
     /*  58609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  58622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  58626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  58630 */     // (intrinsic_wo_chain:{ *:[i32] } 3599:{ *:[iPTR] }, rGPR:{ *:[i32] }:$RdaSrc, rGPR:{ *:[i32] }:$Rm)  =>  (MVE_UQRSHL:{ *:[i32] } rGPR:{ *:[i32] }:$RdaSrc, rGPR:{ *:[i32] }:$Rm)
     /*  58630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_UQRSHL),
     /*  58633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  58635 */     GIR_RootToRootCopy, /*OpIdx*/2, // RdaSrc
     /*  58637 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  58639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58648 */     GIR_RootConstrainSelectedInstOperands,
     /*  58649 */     // GIR_Coverage, 1727,
     /*  58649 */     GIR_EraseRootFromParent_Done,
     /*  58650 */   // Label 1258: @58650
     /*  58650 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(58707), // Rule ID 1850 //
     /*  58655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  58658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sxtab16),
     /*  58663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  58680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  58684 */     // (intrinsic_wo_chain:{ *:[i32] } 3924:{ *:[iPTR] }, GPR:{ *:[i32] }:$LHS, GPR:{ *:[i32] }:$RHS)  =>  (SXTAB16:{ *:[i32] } GPR:{ *:[i32] }:$LHS, GPR:{ *:[i32] }:$RHS, 0:{ *:[i32] })
     /*  58684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTAB16),
     /*  58687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58689 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  58691 */     GIR_RootToRootCopy, /*OpIdx*/3, // RHS
     /*  58693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  58696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58705 */     GIR_RootConstrainSelectedInstOperands,
     /*  58706 */     // GIR_Coverage, 1850,
     /*  58706 */     GIR_EraseRootFromParent_Done,
     /*  58707 */   // Label 1259: @58707
     /*  58707 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(58764), // Rule ID 1857 //
     /*  58712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  58715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uxtab16),
     /*  58720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  58737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  58741 */     // (intrinsic_wo_chain:{ *:[i32] } 3949:{ *:[iPTR] }, GPR:{ *:[i32] }:$LHS, GPR:{ *:[i32] }:$RHS)  =>  (UXTAB16:{ *:[i32] } GPR:{ *:[i32] }:$LHS, GPR:{ *:[i32] }:$RHS, 0:{ *:[i32] })
     /*  58741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UXTAB16),
     /*  58744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58746 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  58748 */     GIR_RootToRootCopy, /*OpIdx*/3, // RHS
     /*  58750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  58753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58762 */     GIR_RootConstrainSelectedInstOperands,
     /*  58763 */     // GIR_Coverage, 1857,
     /*  58763 */     GIR_EraseRootFromParent_Done,
     /*  58764 */   // Label 1260: @58764
     /*  58764 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(58818), // Rule ID 1904 //
     /*  58769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  58772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smuad),
     /*  58777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58798 */     // (intrinsic_wo_chain:{ *:[i32] } 3900:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SMUAD:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  58798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMUAD),
     /*  58801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  58805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  58807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58816 */     GIR_RootConstrainSelectedInstOperands,
     /*  58817 */     // GIR_Coverage, 1904,
     /*  58817 */     GIR_EraseRootFromParent_Done,
     /*  58818 */   // Label 1261: @58818
     /*  58818 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(58872), // Rule ID 1905 //
     /*  58823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  58826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smuadx),
     /*  58831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58852 */     // (intrinsic_wo_chain:{ *:[i32] } 3901:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SMUADX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  58852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMUADX),
     /*  58855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  58859 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  58861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58870 */     GIR_RootConstrainSelectedInstOperands,
     /*  58871 */     // GIR_Coverage, 1905,
     /*  58871 */     GIR_EraseRootFromParent_Done,
     /*  58872 */   // Label 1262: @58872
     /*  58872 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(58926), // Rule ID 1906 //
     /*  58877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  58880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smusd),
     /*  58885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58906 */     // (intrinsic_wo_chain:{ *:[i32] } 3908:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SMUSD:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  58906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMUSD),
     /*  58909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  58913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  58915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58924 */     GIR_RootConstrainSelectedInstOperands,
     /*  58925 */     // GIR_Coverage, 1906,
     /*  58925 */     GIR_EraseRootFromParent_Done,
     /*  58926 */   // Label 1263: @58926
     /*  58926 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(58980), // Rule ID 1907 //
     /*  58931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  58934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smusdx),
     /*  58939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  58948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  58960 */     // (intrinsic_wo_chain:{ *:[i32] } 3909:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SMUSDX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  58960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMUSDX),
     /*  58963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  58967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  58969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  58972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  58978 */     GIR_RootConstrainSelectedInstOperands,
     /*  58979 */     // GIR_Coverage, 1907,
     /*  58979 */     GIR_EraseRootFromParent_Done,
     /*  58980 */   // Label 1264: @58980
     /*  58980 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(59034), // Rule ID 1981 //
     /*  58985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  58988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulbb),
     /*  58993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  58996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  58999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59014 */     // (intrinsic_wo_chain:{ *:[i32] } 3902:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (SMULBB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /*  59014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULBB),
     /*  59017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59019 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  59021 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  59023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59026 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59032 */     GIR_RootConstrainSelectedInstOperands,
     /*  59033 */     // GIR_Coverage, 1981,
     /*  59033 */     GIR_EraseRootFromParent_Done,
     /*  59034 */   // Label 1265: @59034
     /*  59034 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(59088), // Rule ID 1982 //
     /*  59039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  59042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulbt),
     /*  59047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59068 */     // (intrinsic_wo_chain:{ *:[i32] } 3903:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (SMULBT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /*  59068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULBT),
     /*  59071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59073 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  59075 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  59077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59086 */     GIR_RootConstrainSelectedInstOperands,
     /*  59087 */     // GIR_Coverage, 1982,
     /*  59087 */     GIR_EraseRootFromParent_Done,
     /*  59088 */   // Label 1266: @59088
     /*  59088 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(59142), // Rule ID 1983 //
     /*  59093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  59096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smultb),
     /*  59101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59122 */     // (intrinsic_wo_chain:{ *:[i32] } 3904:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (SMULTB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /*  59122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULTB),
     /*  59125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59127 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  59129 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  59131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59140 */     GIR_RootConstrainSelectedInstOperands,
     /*  59141 */     // GIR_Coverage, 1983,
     /*  59141 */     GIR_EraseRootFromParent_Done,
     /*  59142 */   // Label 1267: @59142
     /*  59142 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(59196), // Rule ID 1984 //
     /*  59147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  59150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smultt),
     /*  59155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59176 */     // (intrinsic_wo_chain:{ *:[i32] } 3905:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (SMULTT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /*  59176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULTT),
     /*  59179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59181 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  59183 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  59185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59194 */     GIR_RootConstrainSelectedInstOperands,
     /*  59195 */     // GIR_Coverage, 1984,
     /*  59195 */     GIR_EraseRootFromParent_Done,
     /*  59196 */   // Label 1268: @59196
     /*  59196 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(59250), // Rule ID 1985 //
     /*  59201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  59204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulwb),
     /*  59209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59230 */     // (intrinsic_wo_chain:{ *:[i32] } 3906:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (SMULWB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /*  59230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULWB),
     /*  59233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59235 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  59237 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  59239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59242 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59248 */     GIR_RootConstrainSelectedInstOperands,
     /*  59249 */     // GIR_Coverage, 1985,
     /*  59249 */     GIR_EraseRootFromParent_Done,
     /*  59250 */   // Label 1269: @59250
     /*  59250 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(59304), // Rule ID 1986 //
     /*  59255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  59258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulwt),
     /*  59263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  59284 */     // (intrinsic_wo_chain:{ *:[i32] } 3907:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (SMULWT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /*  59284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMULWT),
     /*  59287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59289 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  59291 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  59293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59302 */     GIR_RootConstrainSelectedInstOperands,
     /*  59303 */     // GIR_Coverage, 1986,
     /*  59303 */     GIR_EraseRootFromParent_Done,
     /*  59304 */   // Label 1270: @59304
     /*  59304 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(59361), // Rule ID 2097 //
     /*  59309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sxtab16),
     /*  59317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59338 */     // (intrinsic_wo_chain:{ *:[i32] } 3924:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SXTAB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, 0:{ *:[i32] })
     /*  59338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTAB16),
     /*  59341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  59350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59359 */     GIR_RootConstrainSelectedInstOperands,
     /*  59360 */     // GIR_Coverage, 2097,
     /*  59360 */     GIR_EraseRootFromParent_Done,
     /*  59361 */   // Label 1271: @59361
     /*  59361 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(59415), // Rule ID 2127 //
     /*  59366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qadd),
     /*  59374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59395 */     // (intrinsic_wo_chain:{ *:[i32] } 3867:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)  =>  (t2QADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /*  59395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QADD),
     /*  59398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  59402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /*  59404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59407 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59413 */     GIR_RootConstrainSelectedInstOperands,
     /*  59414 */     // GIR_Coverage, 2127,
     /*  59414 */     GIR_EraseRootFromParent_Done,
     /*  59415 */   // Label 1272: @59415
     /*  59415 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(59469), // Rule ID 2128 //
     /*  59420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_qsub),
     /*  59428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59449 */     // (intrinsic_wo_chain:{ *:[i32] } 3872:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)  =>  (t2QSUB:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /*  59449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QSUB),
     /*  59452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  59456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /*  59458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59461 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59467 */     GIR_RootConstrainSelectedInstOperands,
     /*  59468 */     // GIR_Coverage, 2128,
     /*  59468 */     GIR_EraseRootFromParent_Done,
     /*  59469 */   // Label 1273: @59469
     /*  59469 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(59523), // Rule ID 2168 //
     /*  59474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulbb),
     /*  59482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59503 */     // (intrinsic_wo_chain:{ *:[i32] } 3902:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMULBB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  59503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULBB),
     /*  59506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59521 */     GIR_RootConstrainSelectedInstOperands,
     /*  59522 */     // GIR_Coverage, 2168,
     /*  59522 */     GIR_EraseRootFromParent_Done,
     /*  59523 */   // Label 1274: @59523
     /*  59523 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(59577), // Rule ID 2169 //
     /*  59528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulbt),
     /*  59536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59557 */     // (intrinsic_wo_chain:{ *:[i32] } 3903:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMULBT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  59557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULBT),
     /*  59560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59575 */     GIR_RootConstrainSelectedInstOperands,
     /*  59576 */     // GIR_Coverage, 2169,
     /*  59576 */     GIR_EraseRootFromParent_Done,
     /*  59577 */   // Label 1275: @59577
     /*  59577 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(59631), // Rule ID 2170 //
     /*  59582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smultb),
     /*  59590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59611 */     // (intrinsic_wo_chain:{ *:[i32] } 3904:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMULTB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  59611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULTB),
     /*  59614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59629 */     GIR_RootConstrainSelectedInstOperands,
     /*  59630 */     // GIR_Coverage, 2170,
     /*  59630 */     GIR_EraseRootFromParent_Done,
     /*  59631 */   // Label 1276: @59631
     /*  59631 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(59685), // Rule ID 2171 //
     /*  59636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smultt),
     /*  59644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59665 */     // (intrinsic_wo_chain:{ *:[i32] } 3905:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMULTT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  59665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULTT),
     /*  59668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59677 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59683 */     GIR_RootConstrainSelectedInstOperands,
     /*  59684 */     // GIR_Coverage, 2171,
     /*  59684 */     GIR_EraseRootFromParent_Done,
     /*  59685 */   // Label 1277: @59685
     /*  59685 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(59739), // Rule ID 2172 //
     /*  59690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulwb),
     /*  59698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59719 */     // (intrinsic_wo_chain:{ *:[i32] } 3906:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMULWB:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  59719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULWB),
     /*  59722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59726 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59731 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59737 */     GIR_RootConstrainSelectedInstOperands,
     /*  59738 */     // GIR_Coverage, 2172,
     /*  59738 */     GIR_EraseRootFromParent_Done,
     /*  59739 */   // Label 1278: @59739
     /*  59739 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(59793), // Rule ID 2173 //
     /*  59744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  59747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smulwt),
     /*  59752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  59755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  59758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  59761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  59773 */     // (intrinsic_wo_chain:{ *:[i32] } 3907:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMULWT:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  59773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMULWT),
     /*  59776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  59785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  59791 */     GIR_RootConstrainSelectedInstOperands,
     /*  59792 */     // GIR_Coverage, 2173,
     /*  59792 */     GIR_EraseRootFromParent_Done,
     /*  59793 */   // Label 1279: @59793
     /*  59793 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(59841), // Rule ID 2510 //
     /*  59798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8_3a),
     /*  59801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot90),
     /*  59806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  59809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  59812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  59815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  59819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  59823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  59827 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3760:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Rn, DPR:{ *:[v4f16] }:$Rm)  =>  (VCADDv4f16:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Rn, DPR:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /*  59827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv4f16),
     /*  59830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  59832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  59839 */     GIR_RootConstrainSelectedInstOperands,
     /*  59840 */     // GIR_Coverage, 2510,
     /*  59840 */     GIR_EraseRootFromParent_Done,
     /*  59841 */   // Label 1280: @59841
     /*  59841 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(59889), // Rule ID 2511 //
     /*  59846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8_3a),
     /*  59849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot270),
     /*  59854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  59857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  59860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  59863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  59867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  59871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  59875 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3759:{ *:[iPTR] }, DPR:{ *:[v4f16] }:$Rn, DPR:{ *:[v4f16] }:$Rm)  =>  (VCADDv4f16:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Rn, DPR:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /*  59875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv4f16),
     /*  59878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  59880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  59887 */     GIR_RootConstrainSelectedInstOperands,
     /*  59888 */     // GIR_Coverage, 2511,
     /*  59888 */     GIR_EraseRootFromParent_Done,
     /*  59889 */   // Label 1281: @59889
     /*  59889 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(59937), // Rule ID 2512 //
     /*  59894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8_3a),
     /*  59897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot90),
     /*  59902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  59905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  59908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  59911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  59915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  59919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  59923 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3760:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Rn, QPR:{ *:[v8f16] }:$Rm)  =>  (VCADDv8f16:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Rn, QPR:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /*  59923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv8f16),
     /*  59926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  59928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  59935 */     GIR_RootConstrainSelectedInstOperands,
     /*  59936 */     // GIR_Coverage, 2512,
     /*  59936 */     GIR_EraseRootFromParent_Done,
     /*  59937 */   // Label 1282: @59937
     /*  59937 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(59985), // Rule ID 2513 //
     /*  59942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8_3a),
     /*  59945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot270),
     /*  59950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  59953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  59956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  59959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  59963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  59967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  59971 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3759:{ *:[iPTR] }, QPR:{ *:[v8f16] }:$Rn, QPR:{ *:[v8f16] }:$Rm)  =>  (VCADDv8f16:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Rn, QPR:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /*  59971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv8f16),
     /*  59974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  59976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  59983 */     GIR_RootConstrainSelectedInstOperands,
     /*  59984 */     // GIR_Coverage, 2513,
     /*  59984 */     GIR_EraseRootFromParent_Done,
     /*  59985 */   // Label 1283: @59985
     /*  59985 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(60033), // Rule ID 2514 //
     /*  59990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_3a),
     /*  59993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot90),
     /*  59998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  60001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  60007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  60011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  60015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  60019 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3760:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Rn, DPR:{ *:[v2f32] }:$Rm)  =>  (VCADDv2f32:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Rn, DPR:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /*  60019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv2f32),
     /*  60022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  60024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  60026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  60028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60031 */     GIR_RootConstrainSelectedInstOperands,
     /*  60032 */     // GIR_Coverage, 2514,
     /*  60032 */     GIR_EraseRootFromParent_Done,
     /*  60033 */   // Label 1284: @60033
     /*  60033 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(60081), // Rule ID 2515 //
     /*  60038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_3a),
     /*  60041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot270),
     /*  60046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  60049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  60055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  60059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  60063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  60067 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3759:{ *:[iPTR] }, DPR:{ *:[v2f32] }:$Rn, DPR:{ *:[v2f32] }:$Rm)  =>  (VCADDv2f32:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Rn, DPR:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /*  60067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv2f32),
     /*  60070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  60072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  60074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  60076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  60079 */     GIR_RootConstrainSelectedInstOperands,
     /*  60080 */     // GIR_Coverage, 2515,
     /*  60080 */     GIR_EraseRootFromParent_Done,
     /*  60081 */   // Label 1285: @60081
     /*  60081 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(60129), // Rule ID 2516 //
     /*  60086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_3a),
     /*  60089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot90),
     /*  60094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  60097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  60100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  60103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  60107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  60111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  60115 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3760:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Rn, QPR:{ *:[v4f32] }:$Rm)  =>  (VCADDv4f32:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Rn, QPR:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /*  60115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv4f32),
     /*  60118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  60120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  60122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  60124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60127 */     GIR_RootConstrainSelectedInstOperands,
     /*  60128 */     // GIR_Coverage, 2516,
     /*  60128 */     GIR_EraseRootFromParent_Done,
     /*  60129 */   // Label 1286: @60129
     /*  60129 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(60177), // Rule ID 2517 //
     /*  60134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_3a),
     /*  60137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vcadd_rot270),
     /*  60142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  60145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  60148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  60151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  60155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  60159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  60163 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3759:{ *:[iPTR] }, QPR:{ *:[v4f32] }:$Rn, QPR:{ *:[v4f32] }:$Rm)  =>  (VCADDv4f32:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Rn, QPR:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /*  60163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCADDv4f32),
     /*  60166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  60168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  60170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  60172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  60175 */     GIR_RootConstrainSelectedInstOperands,
     /*  60176 */     // GIR_Coverage, 2517,
     /*  60176 */     GIR_EraseRootFromParent_Done,
     /*  60177 */   // Label 1287: @60177
     /*  60177 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(60282), // Rule ID 3102 //
     /*  60182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minnmv),
     /*  60190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  60193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  60196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  60199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60211 */     // (intrinsic_wo_chain:{ *:[f32] } 3568:{ *:[iPTR] }, SPR:{ *:[f32] }:$prev, MQPR:{ *:[v4f32] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f32] } (MVE_VMINNMVf32:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } SPR:{ *:[f32] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v4f32] }:$vec), SPR:{ *:[i32] })
     /*  60211 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60214 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60218 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60223 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60227 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMVf32),
     /*  60239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60244 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60247 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60251 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60260 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  60281 */     // GIR_Coverage, 3102,
     /*  60281 */     GIR_EraseRootFromParent_Done,
     /*  60282 */   // Label 1288: @60282
     /*  60282 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(60387), // Rule ID 3104 //
     /*  60287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minnmv),
     /*  60295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /*  60298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  60301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  60304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60316 */     // (intrinsic_wo_chain:{ *:[f16] } 3568:{ *:[iPTR] }, HPR:{ *:[f16] }:$prev, MQPR:{ *:[v8f16] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (MVE_VMINNMVf16:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } HPR:{ *:[f16] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v8f16] }:$vec), HPR:{ *:[i32] })
     /*  60316 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60319 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60323 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60328 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMVf16),
     /*  60344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60349 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60356 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60381 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::HPRRegClassID),
     /*  60386 */     // GIR_Coverage, 3104,
     /*  60386 */     GIR_EraseRootFromParent_Done,
     /*  60387 */   // Label 1289: @60387
     /*  60387 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(60492), // Rule ID 3106 //
     /*  60392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxnmv),
     /*  60400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  60403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  60406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  60409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60421 */     // (intrinsic_wo_chain:{ *:[f32] } 3559:{ *:[iPTR] }, SPR:{ *:[f32] }:$prev, MQPR:{ *:[v4f32] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f32] } (MVE_VMAXNMVf32:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } SPR:{ *:[f32] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v4f32] }:$vec), SPR:{ *:[i32] })
     /*  60421 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60424 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60428 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60433 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60437 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMVf32),
     /*  60449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60454 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60457 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60461 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60470 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60486 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  60491 */     // GIR_Coverage, 3106,
     /*  60491 */     GIR_EraseRootFromParent_Done,
     /*  60492 */   // Label 1290: @60492
     /*  60492 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(60597), // Rule ID 3108 //
     /*  60497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxnmv),
     /*  60505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /*  60508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  60511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  60514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60526 */     // (intrinsic_wo_chain:{ *:[f16] } 3559:{ *:[iPTR] }, HPR:{ *:[f16] }:$prev, MQPR:{ *:[v8f16] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (MVE_VMAXNMVf16:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } HPR:{ *:[f16] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v8f16] }:$vec), HPR:{ *:[i32] })
     /*  60526 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60529 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60533 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60538 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60542 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMVf16),
     /*  60554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60559 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60566 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60591 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::HPRRegClassID),
     /*  60596 */     // GIR_Coverage, 3108,
     /*  60596 */     GIR_EraseRootFromParent_Done,
     /*  60597 */   // Label 1291: @60597
     /*  60597 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(60702), // Rule ID 3110 //
     /*  60602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minnmav),
     /*  60610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  60613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  60616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  60619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60631 */     // (intrinsic_wo_chain:{ *:[f32] } 3566:{ *:[iPTR] }, SPR:{ *:[f32] }:$prev, MQPR:{ *:[v4f32] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f32] } (MVE_VMINNMAVf32:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } SPR:{ *:[f32] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v4f32] }:$vec), SPR:{ *:[i32] })
     /*  60631 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60634 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60638 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60643 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60647 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMAVf32),
     /*  60659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60664 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60671 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60680 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60696 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  60701 */     // GIR_Coverage, 3110,
     /*  60701 */     GIR_EraseRootFromParent_Done,
     /*  60702 */   // Label 1292: @60702
     /*  60702 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(60807), // Rule ID 3112 //
     /*  60707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minnmav),
     /*  60715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /*  60718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  60721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  60724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60736 */     // (intrinsic_wo_chain:{ *:[f16] } 3566:{ *:[iPTR] }, HPR:{ *:[f16] }:$prev, MQPR:{ *:[v8f16] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (MVE_VMINNMAVf16:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } HPR:{ *:[f16] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v8f16] }:$vec), HPR:{ *:[i32] })
     /*  60736 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60739 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60743 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60748 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60752 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMAVf16),
     /*  60764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60769 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60776 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::HPRRegClassID),
     /*  60806 */     // GIR_Coverage, 3112,
     /*  60806 */     GIR_EraseRootFromParent_Done,
     /*  60807 */   // Label 1293: @60807
     /*  60807 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(60912), // Rule ID 3114 //
     /*  60812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxnmav),
     /*  60820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  60823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  60826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  60829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  60837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60841 */     // (intrinsic_wo_chain:{ *:[f32] } 3557:{ *:[iPTR] }, SPR:{ *:[f32] }:$prev, MQPR:{ *:[v4f32] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f32] } (MVE_VMAXNMAVf32:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } SPR:{ *:[f32] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v4f32] }:$vec), SPR:{ *:[i32] })
     /*  60841 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60844 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60848 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60853 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60857 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMAVf32),
     /*  60869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60874 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60881 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60890 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60906 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  60911 */     // GIR_Coverage, 3114,
     /*  60911 */     GIR_EraseRootFromParent_Done,
     /*  60912 */   // Label 1294: @60912
     /*  60912 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(61017), // Rule ID 3116 //
     /*  60917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  60920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxnmav),
     /*  60925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /*  60928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  60931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  60934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /*  60942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  60946 */     // (intrinsic_wo_chain:{ *:[f16] } 3557:{ *:[iPTR] }, HPR:{ *:[f16] }:$prev, MQPR:{ *:[v8f16] }:$vec)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (MVE_VMAXNMAVf16:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } HPR:{ *:[f16] }:$prev, rGPR:{ *:[i32] }), MQPR:{ *:[v8f16] }:$vec), HPR:{ *:[i32] })
     /*  60946 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60949 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60953 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60958 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // prev
     /*  60962 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::rGPRRegClassID),
     /*  60967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMAVf16),
     /*  60974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60979 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60982 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vec
     /*  60986 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  60989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  60995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  61003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  61006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61011 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::HPRRegClassID),
     /*  61016 */     // GIR_Coverage, 3116,
     /*  61016 */     GIR_EraseRootFromParent_Done,
     /*  61017 */   // Label 1295: @61017
     /*  61017 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(61077), // Rule ID 3166 //
     /*  61022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minav),
     /*  61030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  61033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  61039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61051 */     // (intrinsic_wo_chain:{ *:[i32] } 3564:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)  =>  (MVE_VMINAVs8:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)
     /*  61051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAVs8),
     /*  61054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  61056 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  61058 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  61060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61075 */     GIR_RootConstrainSelectedInstOperands,
     /*  61076 */     // GIR_Coverage, 3166,
     /*  61076 */     GIR_EraseRootFromParent_Done,
     /*  61077 */   // Label 1296: @61077
     /*  61077 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(61137), // Rule ID 3168 //
     /*  61082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minav),
     /*  61090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  61093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  61099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61111 */     // (intrinsic_wo_chain:{ *:[i32] } 3564:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)  =>  (MVE_VMINAVs16:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)
     /*  61111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAVs16),
     /*  61114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  61116 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  61118 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  61120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61135 */     GIR_RootConstrainSelectedInstOperands,
     /*  61136 */     // GIR_Coverage, 3168,
     /*  61136 */     GIR_EraseRootFromParent_Done,
     /*  61137 */   // Label 1297: @61137
     /*  61137 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(61197), // Rule ID 3170 //
     /*  61142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minav),
     /*  61150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  61153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  61159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61171 */     // (intrinsic_wo_chain:{ *:[i32] } 3564:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)  =>  (MVE_VMINAVs32:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)
     /*  61171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAVs32),
     /*  61174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  61176 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  61178 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  61180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61189 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61195 */     GIR_RootConstrainSelectedInstOperands,
     /*  61196 */     // GIR_Coverage, 3170,
     /*  61196 */     GIR_EraseRootFromParent_Done,
     /*  61197 */   // Label 1298: @61197
     /*  61197 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(61257), // Rule ID 3172 //
     /*  61202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxav),
     /*  61210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  61213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  61219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61231 */     // (intrinsic_wo_chain:{ *:[i32] } 3555:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)  =>  (MVE_VMAXAVs8:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)
     /*  61231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAVs8),
     /*  61234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  61236 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  61238 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  61240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61255 */     GIR_RootConstrainSelectedInstOperands,
     /*  61256 */     // GIR_Coverage, 3172,
     /*  61256 */     GIR_EraseRootFromParent_Done,
     /*  61257 */   // Label 1299: @61257
     /*  61257 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(61317), // Rule ID 3174 //
     /*  61262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxav),
     /*  61270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  61273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  61279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61291 */     // (intrinsic_wo_chain:{ *:[i32] } 3555:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)  =>  (MVE_VMAXAVs16:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)
     /*  61291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAVs16),
     /*  61294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  61296 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  61298 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  61300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61315 */     GIR_RootConstrainSelectedInstOperands,
     /*  61316 */     // GIR_Coverage, 3174,
     /*  61316 */     GIR_EraseRootFromParent_Done,
     /*  61317 */   // Label 1300: @61317
     /*  61317 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(61377), // Rule ID 3176 //
     /*  61322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxav),
     /*  61330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  61333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  61339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61351 */     // (intrinsic_wo_chain:{ *:[i32] } 3555:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)  =>  (MVE_VMAXAVs32:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)
     /*  61351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAVs32),
     /*  61354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  61356 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  61358 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  61360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61375 */     GIR_RootConstrainSelectedInstOperands,
     /*  61376 */     // GIR_Coverage, 3176,
     /*  61376 */     GIR_EraseRootFromParent_Done,
     /*  61377 */   // Label 1301: @61377
     /*  61377 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(61452), // Rule ID 3467 //
     /*  61382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmulh),
     /*  61390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  61393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  61396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  61399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61411 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3677:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VQDMULHi8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  61411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMULHi8),
     /*  61426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  61430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  61432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61450 */     GIR_RootConstrainSelectedInstOperands,
     /*  61451 */     // GIR_Coverage, 3467,
     /*  61451 */     GIR_EraseRootFromParent_Done,
     /*  61452 */   // Label 1302: @61452
     /*  61452 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(61527), // Rule ID 3474 //
     /*  61457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmulh),
     /*  61465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  61468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  61471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  61474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61486 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3677:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VQDMULHi16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  61486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMULHi16),
     /*  61501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  61505 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  61507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61525 */     GIR_RootConstrainSelectedInstOperands,
     /*  61526 */     // GIR_Coverage, 3474,
     /*  61526 */     GIR_EraseRootFromParent_Done,
     /*  61527 */   // Label 1303: @61527
     /*  61527 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(61602), // Rule ID 3478 //
     /*  61532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmulh),
     /*  61540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  61543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  61546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  61549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61561 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3677:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VQDMULHi32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  61561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMULHi32),
     /*  61576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  61580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  61582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61600 */     GIR_RootConstrainSelectedInstOperands,
     /*  61601 */     // GIR_Coverage, 3478,
     /*  61601 */     GIR_EraseRootFromParent_Done,
     /*  61602 */   // Label 1304: @61602
     /*  61602 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(61677), // Rule ID 3480 //
     /*  61607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmulh),
     /*  61615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  61618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  61621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  61624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61636 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3686:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VQRDMULHi8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  61636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMULHi8),
     /*  61651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  61655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  61657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61675 */     GIR_RootConstrainSelectedInstOperands,
     /*  61676 */     // GIR_Coverage, 3480,
     /*  61676 */     GIR_EraseRootFromParent_Done,
     /*  61677 */   // Label 1305: @61677
     /*  61677 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(61752), // Rule ID 3482 //
     /*  61682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmulh),
     /*  61690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  61693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  61696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  61699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61711 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3686:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VQRDMULHi16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  61711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMULHi16),
     /*  61726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  61730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  61732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61750 */     GIR_RootConstrainSelectedInstOperands,
     /*  61751 */     // GIR_Coverage, 3482,
     /*  61751 */     GIR_EraseRootFromParent_Done,
     /*  61752 */   // Label 1306: @61752
     /*  61752 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(61827), // Rule ID 3484 //
     /*  61757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmulh),
     /*  61765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  61768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  61771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  61774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61786 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3686:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VQRDMULHi32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  61786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMULHi32),
     /*  61801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  61805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  61807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61825 */     GIR_RootConstrainSelectedInstOperands,
     /*  61826 */     // GIR_Coverage, 3484,
     /*  61826 */     GIR_EraseRootFromParent_Done,
     /*  61827 */   // Label 1307: @61827
     /*  61827 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(61902), // Rule ID 4752 //
     /*  61832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vbrsr),
     /*  61840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  61843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  61846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  61849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61861 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3610:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qn, rGPR:{ *:[i32] }:$Rm)  =>  (MVE_VBRSR8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qn, rGPR:{ *:[i32] }:$Rm)
     /*  61861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR8),
     /*  61876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  61880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  61882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61891 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61900 */     GIR_RootConstrainSelectedInstOperands,
     /*  61901 */     // GIR_Coverage, 4752,
     /*  61901 */     GIR_EraseRootFromParent_Done,
     /*  61902 */   // Label 1308: @61902
     /*  61902 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(61977), // Rule ID 4757 //
     /*  61907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vbrsr),
     /*  61915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  61918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  61921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  61924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  61932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  61936 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3610:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qn, rGPR:{ *:[i32] }:$Rm)  =>  (MVE_VBRSR16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qn, rGPR:{ *:[i32] }:$Rm)
     /*  61936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  61939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR16),
     /*  61951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  61953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  61955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  61957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61966 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  61972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61975 */     GIR_RootConstrainSelectedInstOperands,
     /*  61976 */     // GIR_Coverage, 4757,
     /*  61976 */     GIR_EraseRootFromParent_Done,
     /*  61977 */   // Label 1309: @61977
     /*  61977 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(62052), // Rule ID 4759 //
     /*  61982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  61985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vbrsr),
     /*  61990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  61993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  61996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  61999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  62011 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3610:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qn, rGPR:{ *:[i32] }:$Rm)  =>  (MVE_VBRSR32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qn, rGPR:{ *:[i32] }:$Rm)
     /*  62011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR32),
     /*  62026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  62030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  62032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62041 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62050 */     GIR_RootConstrainSelectedInstOperands,
     /*  62051 */     // GIR_Coverage, 4759,
     /*  62051 */     GIR_EraseRootFromParent_Done,
     /*  62052 */   // Label 1310: @62052
     /*  62052 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(62127), // Rule ID 4761 //
     /*  62057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  62060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vbrsr),
     /*  62065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  62068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  62071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  62086 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3610:{ *:[iPTR] }, MQPR:{ *:[v8f16] }:$Qn, rGPR:{ *:[i32] }:$Rm)  =>  (MVE_VBRSR16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qn, rGPR:{ *:[i32] }:$Rm)
     /*  62086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR16),
     /*  62101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  62105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  62107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62125 */     GIR_RootConstrainSelectedInstOperands,
     /*  62126 */     // GIR_Coverage, 4761,
     /*  62126 */     GIR_EraseRootFromParent_Done,
     /*  62127 */   // Label 1311: @62127
     /*  62127 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(62202), // Rule ID 4763 //
     /*  62132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  62135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vbrsr),
     /*  62140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  62143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  62146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  62161 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3610:{ *:[iPTR] }, MQPR:{ *:[v4f32] }:$Qn, rGPR:{ *:[i32] }:$Rm)  =>  (MVE_VBRSR32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qn, rGPR:{ *:[i32] }:$Rm)
     /*  62161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR32),
     /*  62176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /*  62180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  62182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62191 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62200 */     GIR_RootConstrainSelectedInstOperands,
     /*  62201 */     // GIR_Coverage, 4763,
     /*  62201 */     GIR_EraseRootFromParent_Done,
     /*  62202 */   // Label 1312: @62202
     /*  62202 */   GIM_Reject,
     /*  62203 */ // Label 957: @62203
     /*  62203 */ GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(73126),
     /*  62208 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  62211 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(62301), // Rule ID 3913 //
     /*  62216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshl_imm),
     /*  62221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  62224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  62227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /*  62253 */     // MIs[1] Operand 1
     /*  62253 */     // No operand predicates
     /*  62253 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  62257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62259 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3687:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm, 0:{ *:[i32] })  =>  (MVE_VQSHLimms8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm)
     /*  62259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLimms8),
     /*  62274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62276 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62290 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62299 */     GIR_RootConstrainSelectedInstOperands,
     /*  62300 */     // GIR_Coverage, 3913,
     /*  62300 */     GIR_EraseRootFromParent_Done,
     /*  62301 */   // Label 1314: @62301
     /*  62301 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(62391), // Rule ID 3915 //
     /*  62306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshl_imm),
     /*  62311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  62314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  62317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /*  62343 */     // MIs[1] Operand 1
     /*  62343 */     // No operand predicates
     /*  62343 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  62347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62349 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3687:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm, 1:{ *:[i32] })  =>  (MVE_VQSHLimmu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm)
     /*  62349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLimmu8),
     /*  62364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62366 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62389 */     GIR_RootConstrainSelectedInstOperands,
     /*  62390 */     // GIR_Coverage, 3915,
     /*  62390 */     GIR_EraseRootFromParent_Done,
     /*  62391 */   // Label 1315: @62391
     /*  62391 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(62481), // Rule ID 3917 //
     /*  62396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshl_imm),
     /*  62401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  62404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  62407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  62433 */     // MIs[1] Operand 1
     /*  62433 */     // No operand predicates
     /*  62433 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  62437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62439 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3687:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm, 0:{ *:[i32] })  =>  (MVE_VQSHLimms16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm)
     /*  62439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLimms16),
     /*  62454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62456 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62479 */     GIR_RootConstrainSelectedInstOperands,
     /*  62480 */     // GIR_Coverage, 3917,
     /*  62480 */     GIR_EraseRootFromParent_Done,
     /*  62481 */   // Label 1316: @62481
     /*  62481 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(62571), // Rule ID 3919 //
     /*  62486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshl_imm),
     /*  62491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  62494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  62497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  62523 */     // MIs[1] Operand 1
     /*  62523 */     // No operand predicates
     /*  62523 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  62527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62529 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3687:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm, 1:{ *:[i32] })  =>  (MVE_VQSHLimmu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm)
     /*  62529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLimmu16),
     /*  62544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62546 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62569 */     GIR_RootConstrainSelectedInstOperands,
     /*  62570 */     // GIR_Coverage, 3919,
     /*  62570 */     GIR_EraseRootFromParent_Done,
     /*  62571 */   // Label 1317: @62571
     /*  62571 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(62661), // Rule ID 3921 //
     /*  62576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshl_imm),
     /*  62581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  62584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  62587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  62613 */     // MIs[1] Operand 1
     /*  62613 */     // No operand predicates
     /*  62613 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  62617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62619 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3687:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm, 0:{ *:[i32] })  =>  (MVE_VQSHLimms32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm)
     /*  62619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLimms32),
     /*  62634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62636 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62659 */     GIR_RootConstrainSelectedInstOperands,
     /*  62660 */     // GIR_Coverage, 3921,
     /*  62660 */     GIR_EraseRootFromParent_Done,
     /*  62661 */   // Label 1318: @62661
     /*  62661 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(62751), // Rule ID 3923 //
     /*  62666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqshl_imm),
     /*  62671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  62674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  62677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  62703 */     // MIs[1] Operand 1
     /*  62703 */     // No operand predicates
     /*  62703 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  62707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62709 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3687:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm, 1:{ *:[i32] })  =>  (MVE_VQSHLimmu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm)
     /*  62709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHLimmu32),
     /*  62724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62726 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62749 */     GIR_RootConstrainSelectedInstOperands,
     /*  62750 */     // GIR_Coverage, 3923,
     /*  62750 */     GIR_EraseRootFromParent_Done,
     /*  62751 */   // Label 1319: @62751
     /*  62751 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(62841), // Rule ID 3931 //
     /*  62756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrshr_imm),
     /*  62761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  62764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  62767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  62793 */     // MIs[1] Operand 1
     /*  62793 */     // No operand predicates
     /*  62793 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  62797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62799 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3703:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] })  =>  (MVE_VRSHR_imms8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm)
     /*  62799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHR_imms8),
     /*  62814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62816 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62839 */     GIR_RootConstrainSelectedInstOperands,
     /*  62840 */     // GIR_Coverage, 3931,
     /*  62840 */     GIR_EraseRootFromParent_Done,
     /*  62841 */   // Label 1320: @62841
     /*  62841 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(62931), // Rule ID 3933 //
     /*  62846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrshr_imm),
     /*  62851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  62854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  62857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  62883 */     // MIs[1] Operand 1
     /*  62883 */     // No operand predicates
     /*  62883 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  62887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62889 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3703:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] })  =>  (MVE_VRSHR_immu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm)
     /*  62889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHR_immu8),
     /*  62904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62906 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  62911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  62926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62929 */     GIR_RootConstrainSelectedInstOperands,
     /*  62930 */     // GIR_Coverage, 3933,
     /*  62930 */     GIR_EraseRootFromParent_Done,
     /*  62931 */   // Label 1321: @62931
     /*  62931 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(63021), // Rule ID 3935 //
     /*  62936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrshr_imm),
     /*  62941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  62944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  62947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  62950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  62953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  62961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  62965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  62973 */     // MIs[1] Operand 1
     /*  62973 */     // No operand predicates
     /*  62973 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  62977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62979 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3703:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] })  =>  (MVE_VRSHR_imms16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm)
     /*  62979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  62982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHR_imms16),
     /*  62994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  62996 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  62998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  63001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63019 */     GIR_RootConstrainSelectedInstOperands,
     /*  63020 */     // GIR_Coverage, 3935,
     /*  63020 */     GIR_EraseRootFromParent_Done,
     /*  63021 */   // Label 1322: @63021
     /*  63021 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(63111), // Rule ID 3937 //
     /*  63026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrshr_imm),
     /*  63031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  63034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  63037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  63040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  63055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  63063 */     // MIs[1] Operand 1
     /*  63063 */     // No operand predicates
     /*  63063 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  63067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63069 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3703:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] })  =>  (MVE_VRSHR_immu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm)
     /*  63069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHR_immu16),
     /*  63084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63086 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  63088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  63091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63109 */     GIR_RootConstrainSelectedInstOperands,
     /*  63110 */     // GIR_Coverage, 3937,
     /*  63110 */     GIR_EraseRootFromParent_Done,
     /*  63111 */   // Label 1323: @63111
     /*  63111 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(63201), // Rule ID 3939 //
     /*  63116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrshr_imm),
     /*  63121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  63124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  63127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  63130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  63145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm32),
     /*  63153 */     // MIs[1] Operand 1
     /*  63153 */     // No operand predicates
     /*  63153 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  63157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63159 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3703:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm32>>:$imm, 0:{ *:[i32] })  =>  (MVE_VRSHR_imms32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm32>>:$imm)
     /*  63159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHR_imms32),
     /*  63174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63176 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  63178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  63181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63199 */     GIR_RootConstrainSelectedInstOperands,
     /*  63200 */     // GIR_Coverage, 3939,
     /*  63200 */     GIR_EraseRootFromParent_Done,
     /*  63201 */   // Label 1324: @63201
     /*  63201 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(63291), // Rule ID 3941 //
     /*  63206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrshr_imm),
     /*  63211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  63214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  63217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  63220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  63235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm32),
     /*  63243 */     // MIs[1] Operand 1
     /*  63243 */     // No operand predicates
     /*  63243 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  63247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63249 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3703:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm32>>:$imm, 1:{ *:[i32] })  =>  (MVE_VRSHR_immu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_shr_imm32>>:$imm)
     /*  63249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHR_immu32),
     /*  63264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63266 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  63268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  63271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63289 */     GIR_RootConstrainSelectedInstOperands,
     /*  63290 */     // GIR_Coverage, 3941,
     /*  63290 */     GIR_EraseRootFromParent_Done,
     /*  63291 */   // Label 1325: @63291
     /*  63291 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(63380), // Rule ID 4039 //
     /*  63296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  63307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  63313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63320 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  63324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63336 */     // MIs[1] Operand 1
     /*  63336 */     // No operand predicates
     /*  63336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63338 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3623:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTf16s16_fix:{ *:[v8f16] } MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf16s16_fix),
     /*  63353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63378 */     GIR_RootConstrainSelectedInstOperands,
     /*  63379 */     // GIR_Coverage, 4039,
     /*  63379 */     GIR_EraseRootFromParent_Done,
     /*  63380 */   // Label 1326: @63380
     /*  63380 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(63469), // Rule ID 4041 //
     /*  63385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  63396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  63402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  63413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63425 */     // MIs[1] Operand 1
     /*  63425 */     // No operand predicates
     /*  63425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63427 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3623:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v8f16] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTs16f16_fix:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs16f16_fix),
     /*  63442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63467 */     GIR_RootConstrainSelectedInstOperands,
     /*  63468 */     // GIR_Coverage, 4041,
     /*  63468 */     GIR_EraseRootFromParent_Done,
     /*  63469 */   // Label 1327: @63469
     /*  63469 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(63558), // Rule ID 4043 //
     /*  63474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  63485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  63491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  63502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63514 */     // MIs[1] Operand 1
     /*  63514 */     // No operand predicates
     /*  63514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63516 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3623:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTf16u16_fix:{ *:[v8f16] } MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf16u16_fix),
     /*  63531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63533 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63541 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63547 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63556 */     GIR_RootConstrainSelectedInstOperands,
     /*  63557 */     // GIR_Coverage, 4043,
     /*  63557 */     GIR_EraseRootFromParent_Done,
     /*  63558 */   // Label 1328: @63558
     /*  63558 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(63647), // Rule ID 4045 //
     /*  63563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  63574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  63580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  63591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63603 */     // MIs[1] Operand 1
     /*  63603 */     // No operand predicates
     /*  63603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63605 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3623:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v8f16] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTu16f16_fix:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu16f16_fix),
     /*  63620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63645 */     GIR_RootConstrainSelectedInstOperands,
     /*  63646 */     // GIR_Coverage, 4045,
     /*  63646 */     GIR_EraseRootFromParent_Done,
     /*  63647 */   // Label 1329: @63647
     /*  63647 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(63736), // Rule ID 4047 //
     /*  63652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  63663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  63669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63676 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  63680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63692 */     // MIs[1] Operand 1
     /*  63692 */     // No operand predicates
     /*  63692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63694 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3623:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTf32s32_fix:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf32s32_fix),
     /*  63709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63711 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63734 */     GIR_RootConstrainSelectedInstOperands,
     /*  63735 */     // GIR_Coverage, 4047,
     /*  63735 */     GIR_EraseRootFromParent_Done,
     /*  63736 */   // Label 1330: @63736
     /*  63736 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(63825), // Rule ID 4049 //
     /*  63741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  63752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  63758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63765 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  63769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63781 */     // MIs[1] Operand 1
     /*  63781 */     // No operand predicates
     /*  63781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63783 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3623:{ *:[iPTR] }, 0:{ *:[i32] }, MQPR:{ *:[v4f32] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTs32f32_fix:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs32f32_fix),
     /*  63798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63823 */     GIR_RootConstrainSelectedInstOperands,
     /*  63824 */     // GIR_Coverage, 4049,
     /*  63824 */     GIR_EraseRootFromParent_Done,
     /*  63825 */   // Label 1331: @63825
     /*  63825 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(63914), // Rule ID 4051 //
     /*  63830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  63841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  63847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  63858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63870 */     // MIs[1] Operand 1
     /*  63870 */     // No operand predicates
     /*  63870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63872 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3623:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTf32u32_fix:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf32u32_fix),
     /*  63887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63912 */     GIR_RootConstrainSelectedInstOperands,
     /*  63913 */     // GIR_Coverage, 4051,
     /*  63913 */     GIR_EraseRootFromParent_Done,
     /*  63914 */   // Label 1332: @63914
     /*  63914 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(64003), // Rule ID 4053 //
     /*  63919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  63922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_fix),
     /*  63927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  63930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  63933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  63936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  63939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63943 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  63947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  63951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  63955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63959 */     // MIs[1] Operand 1
     /*  63959 */     // No operand predicates
     /*  63959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63961 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3623:{ *:[iPTR] }, 1:{ *:[i32] }, MQPR:{ *:[v4f32] }:$Qm, (imm:{ *:[i32] }):$scale)  =>  (MVE_VCVTu32f32_fix:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$Qm, (imm:{ *:[i32] }):$scale)
     /*  63961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  63964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  63968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu32f32_fix),
     /*  63976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  63978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  63980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // scale
     /*  63983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  63998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  64001 */     GIR_RootConstrainSelectedInstOperands,
     /*  64002 */     // GIR_Coverage, 4053,
     /*  64002 */     GIR_EraseRootFromParent_Done,
     /*  64003 */   // Label 1333: @64003
     /*  64003 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(64070), // Rule ID 3118 //
     /*  64008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minv),
     /*  64016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  64025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64044 */     // (intrinsic_wo_chain:{ *:[i32] } 3570:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec, 0:{ *:[i32] })  =>  (MVE_VMINVs8:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)
     /*  64044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVs8),
     /*  64047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64049 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64051 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64068 */     GIR_RootConstrainSelectedInstOperands,
     /*  64069 */     // GIR_Coverage, 3118,
     /*  64069 */     GIR_EraseRootFromParent_Done,
     /*  64070 */   // Label 1334: @64070
     /*  64070 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(64137), // Rule ID 3120 //
     /*  64075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minv),
     /*  64083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  64092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64107 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64111 */     // (intrinsic_wo_chain:{ *:[i32] } 3570:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec, 0:{ *:[i32] })  =>  (MVE_VMINVs16:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)
     /*  64111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVs16),
     /*  64114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64116 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64118 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64135 */     GIR_RootConstrainSelectedInstOperands,
     /*  64136 */     // GIR_Coverage, 3120,
     /*  64136 */     GIR_EraseRootFromParent_Done,
     /*  64137 */   // Label 1335: @64137
     /*  64137 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(64204), // Rule ID 3122 //
     /*  64142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minv),
     /*  64150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  64159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64174 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64178 */     // (intrinsic_wo_chain:{ *:[i32] } 3570:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec, 0:{ *:[i32] })  =>  (MVE_VMINVs32:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)
     /*  64178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVs32),
     /*  64181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64183 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64185 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64202 */     GIR_RootConstrainSelectedInstOperands,
     /*  64203 */     // GIR_Coverage, 3122,
     /*  64203 */     GIR_EraseRootFromParent_Done,
     /*  64204 */   // Label 1336: @64204
     /*  64204 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(64271), // Rule ID 3124 //
     /*  64209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minv),
     /*  64217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  64226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  64245 */     // (intrinsic_wo_chain:{ *:[i32] } 3570:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec, 1:{ *:[i32] })  =>  (MVE_VMINVu8:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)
     /*  64245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVu8),
     /*  64248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64250 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64252 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64257 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64269 */     GIR_RootConstrainSelectedInstOperands,
     /*  64270 */     // GIR_Coverage, 3124,
     /*  64270 */     GIR_EraseRootFromParent_Done,
     /*  64271 */   // Label 1337: @64271
     /*  64271 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(64338), // Rule ID 3126 //
     /*  64276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minv),
     /*  64284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  64293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64308 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  64312 */     // (intrinsic_wo_chain:{ *:[i32] } 3570:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec, 1:{ *:[i32] })  =>  (MVE_VMINVu16:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)
     /*  64312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVu16),
     /*  64315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64317 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64319 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64336 */     GIR_RootConstrainSelectedInstOperands,
     /*  64337 */     // GIR_Coverage, 3126,
     /*  64337 */     GIR_EraseRootFromParent_Done,
     /*  64338 */   // Label 1338: @64338
     /*  64338 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(64405), // Rule ID 3128 //
     /*  64343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_minv),
     /*  64351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  64360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64375 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  64379 */     // (intrinsic_wo_chain:{ *:[i32] } 3570:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec, 1:{ *:[i32] })  =>  (MVE_VMINVu32:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)
     /*  64379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVu32),
     /*  64382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64384 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64386 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64391 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64397 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64403 */     GIR_RootConstrainSelectedInstOperands,
     /*  64404 */     // GIR_Coverage, 3128,
     /*  64404 */     GIR_EraseRootFromParent_Done,
     /*  64405 */   // Label 1339: @64405
     /*  64405 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(64472), // Rule ID 3130 //
     /*  64410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxv),
     /*  64418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  64427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64442 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64446 */     // (intrinsic_wo_chain:{ *:[i32] } 3561:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec, 0:{ *:[i32] })  =>  (MVE_VMAXVs8:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)
     /*  64446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVs8),
     /*  64449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64451 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64453 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64470 */     GIR_RootConstrainSelectedInstOperands,
     /*  64471 */     // GIR_Coverage, 3130,
     /*  64471 */     GIR_EraseRootFromParent_Done,
     /*  64472 */   // Label 1340: @64472
     /*  64472 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(64539), // Rule ID 3132 //
     /*  64477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxv),
     /*  64485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  64494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64509 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64513 */     // (intrinsic_wo_chain:{ *:[i32] } 3561:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec, 0:{ *:[i32] })  =>  (MVE_VMAXVs16:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)
     /*  64513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVs16),
     /*  64516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64518 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64520 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64537 */     GIR_RootConstrainSelectedInstOperands,
     /*  64538 */     // GIR_Coverage, 3132,
     /*  64538 */     GIR_EraseRootFromParent_Done,
     /*  64539 */   // Label 1341: @64539
     /*  64539 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(64606), // Rule ID 3134 //
     /*  64544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxv),
     /*  64552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  64561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64576 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64580 */     // (intrinsic_wo_chain:{ *:[i32] } 3561:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec, 0:{ *:[i32] })  =>  (MVE_VMAXVs32:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)
     /*  64580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVs32),
     /*  64583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64585 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64587 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64592 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64604 */     GIR_RootConstrainSelectedInstOperands,
     /*  64605 */     // GIR_Coverage, 3134,
     /*  64605 */     GIR_EraseRootFromParent_Done,
     /*  64606 */   // Label 1342: @64606
     /*  64606 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(64673), // Rule ID 3136 //
     /*  64611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxv),
     /*  64619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  64628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64643 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  64647 */     // (intrinsic_wo_chain:{ *:[i32] } 3561:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec, 1:{ *:[i32] })  =>  (MVE_VMAXVu8:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v16i8] }:$vec)
     /*  64647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVu8),
     /*  64650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64652 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64654 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64671 */     GIR_RootConstrainSelectedInstOperands,
     /*  64672 */     // GIR_Coverage, 3136,
     /*  64672 */     GIR_EraseRootFromParent_Done,
     /*  64673 */   // Label 1343: @64673
     /*  64673 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(64740), // Rule ID 3138 //
     /*  64678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxv),
     /*  64686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  64695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64710 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  64714 */     // (intrinsic_wo_chain:{ *:[i32] } 3561:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec, 1:{ *:[i32] })  =>  (MVE_VMAXVu16:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v8i16] }:$vec)
     /*  64714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVu16),
     /*  64717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64719 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64721 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64738 */     GIR_RootConstrainSelectedInstOperands,
     /*  64739 */     // GIR_Coverage, 3138,
     /*  64739 */     GIR_EraseRootFromParent_Done,
     /*  64740 */   // Label 1344: @64740
     /*  64740 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(64807), // Rule ID 3140 //
     /*  64745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_maxv),
     /*  64753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  64756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  64759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  64762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  64773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  64781 */     // (intrinsic_wo_chain:{ *:[i32] } 3561:{ *:[iPTR] }, rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec, 1:{ *:[i32] })  =>  (MVE_VMAXVu32:{ *:[i32] } rGPR:{ *:[i32] }:$prev, MQPR:{ *:[v4i32] }:$vec)
     /*  64781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVu32),
     /*  64784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  64786 */     GIR_RootToRootCopy, /*OpIdx*/2, // prev
     /*  64788 */     GIR_RootToRootCopy, /*OpIdx*/3, // vec
     /*  64790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64805 */     GIR_RootConstrainSelectedInstOperands,
     /*  64806 */     // GIR_Coverage, 3140,
     /*  64806 */     GIR_EraseRootFromParent_Done,
     /*  64807 */   // Label 1345: @64807
     /*  64807 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(64889), // Rule ID 3545 //
     /*  64812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  64820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  64823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  64826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  64829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64848 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3607:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VABDs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  64848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  64851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  64855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDs8),
     /*  64863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  64865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  64867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  64869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  64887 */     GIR_RootConstrainSelectedInstOperands,
     /*  64888 */     // GIR_Coverage, 3545,
     /*  64888 */     GIR_EraseRootFromParent_Done,
     /*  64889 */   // Label 1346: @64889
     /*  64889 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(64971), // Rule ID 3552 //
     /*  64894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  64902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  64905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  64908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  64911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  64926 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  64930 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3607:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VABDs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  64930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  64933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  64937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDs16),
     /*  64945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  64947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  64949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  64951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  64966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  64969 */     GIR_RootConstrainSelectedInstOperands,
     /*  64970 */     // GIR_Coverage, 3552,
     /*  64970 */     GIR_EraseRootFromParent_Done,
     /*  64971 */   // Label 1347: @64971
     /*  64971 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(65053), // Rule ID 3556 //
     /*  64976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  64979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  64984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  64987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  64993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  64996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65008 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  65012 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3607:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VABDs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  65012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDs32),
     /*  65027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65051 */     GIR_RootConstrainSelectedInstOperands,
     /*  65052 */     // GIR_Coverage, 3556,
     /*  65052 */     GIR_EraseRootFromParent_Done,
     /*  65053 */   // Label 1348: @65053
     /*  65053 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(65135), // Rule ID 3560 //
     /*  65058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  65066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  65069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  65072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  65075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65090 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  65094 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3607:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VABDu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  65094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDu8),
     /*  65109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65133 */     GIR_RootConstrainSelectedInstOperands,
     /*  65134 */     // GIR_Coverage, 3560,
     /*  65134 */     GIR_EraseRootFromParent_Done,
     /*  65135 */   // Label 1349: @65135
     /*  65135 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(65217), // Rule ID 3564 //
     /*  65140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  65148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  65151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  65154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  65157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  65176 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3607:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VABDu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  65176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDu16),
     /*  65191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65215 */     GIR_RootConstrainSelectedInstOperands,
     /*  65216 */     // GIR_Coverage, 3564,
     /*  65216 */     GIR_EraseRootFromParent_Done,
     /*  65217 */   // Label 1350: @65217
     /*  65217 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(65299), // Rule ID 3568 //
     /*  65222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  65230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  65233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  65239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65254 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  65258 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3607:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VABDu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  65258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDu32),
     /*  65273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65282 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65297 */     GIR_RootConstrainSelectedInstOperands,
     /*  65298 */     // GIR_Coverage, 3568,
     /*  65298 */     GIR_EraseRootFromParent_Done,
     /*  65299 */   // Label 1351: @65299
     /*  65299 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(65381), // Rule ID 3569 //
     /*  65304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrhadd),
     /*  65312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  65315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  65318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  65321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65336 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  65340 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3693:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VRHADDs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  65340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRHADDs8),
     /*  65355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65379 */     GIR_RootConstrainSelectedInstOperands,
     /*  65380 */     // GIR_Coverage, 3569,
     /*  65380 */     GIR_EraseRootFromParent_Done,
     /*  65381 */   // Label 1352: @65381
     /*  65381 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(65463), // Rule ID 3576 //
     /*  65386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrhadd),
     /*  65394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  65397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  65400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  65403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65418 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  65422 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3693:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VRHADDs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  65422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRHADDs16),
     /*  65437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65446 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65461 */     GIR_RootConstrainSelectedInstOperands,
     /*  65462 */     // GIR_Coverage, 3576,
     /*  65462 */     GIR_EraseRootFromParent_Done,
     /*  65463 */   // Label 1353: @65463
     /*  65463 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(65545), // Rule ID 3580 //
     /*  65468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrhadd),
     /*  65476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  65479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  65485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  65504 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3693:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VRHADDs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  65504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRHADDs32),
     /*  65519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65523 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65543 */     GIR_RootConstrainSelectedInstOperands,
     /*  65544 */     // GIR_Coverage, 3580,
     /*  65544 */     GIR_EraseRootFromParent_Done,
     /*  65545 */   // Label 1354: @65545
     /*  65545 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(65627), // Rule ID 3584 //
     /*  65550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrhadd),
     /*  65558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  65561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  65564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  65567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65582 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  65586 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3693:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VRHADDu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  65586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRHADDu8),
     /*  65601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65616 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65625 */     GIR_RootConstrainSelectedInstOperands,
     /*  65626 */     // GIR_Coverage, 3584,
     /*  65626 */     GIR_EraseRootFromParent_Done,
     /*  65627 */   // Label 1355: @65627
     /*  65627 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(65709), // Rule ID 3588 //
     /*  65632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrhadd),
     /*  65640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  65643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  65646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  65649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  65668 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3693:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VRHADDu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  65668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRHADDu16),
     /*  65683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65707 */     GIR_RootConstrainSelectedInstOperands,
     /*  65708 */     // GIR_Coverage, 3588,
     /*  65708 */     GIR_EraseRootFromParent_Done,
     /*  65709 */   // Label 1356: @65709
     /*  65709 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(65791), // Rule ID 3592 //
     /*  65714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrhadd),
     /*  65722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  65725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  65731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  65750 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3693:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VRHADDu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  65750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRHADDu32),
     /*  65765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65789 */     GIR_RootConstrainSelectedInstOperands,
     /*  65790 */     // GIR_Coverage, 3592,
     /*  65790 */     GIR_EraseRootFromParent_Done,
     /*  65791 */   // Label 1357: @65791
     /*  65791 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(65873), // Rule ID 3593 //
     /*  65796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhadd),
     /*  65804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  65807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  65810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  65813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  65832 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3642:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VHADDs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  65832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHADDs8),
     /*  65847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65856 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65862 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65871 */     GIR_RootConstrainSelectedInstOperands,
     /*  65872 */     // GIR_Coverage, 3593,
     /*  65872 */     GIR_EraseRootFromParent_Done,
     /*  65873 */   // Label 1358: @65873
     /*  65873 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(65955), // Rule ID 3600 //
     /*  65878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhadd),
     /*  65886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  65889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  65892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  65895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65910 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  65914 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3642:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VHADDs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  65914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  65921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHADDs16),
     /*  65929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  65931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  65933 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  65935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  65938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  65950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65953 */     GIR_RootConstrainSelectedInstOperands,
     /*  65954 */     // GIR_Coverage, 3600,
     /*  65954 */     GIR_EraseRootFromParent_Done,
     /*  65955 */   // Label 1359: @65955
     /*  65955 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(66037), // Rule ID 3604 //
     /*  65960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  65963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhadd),
     /*  65968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  65971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  65977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  65980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  65992 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  65996 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3642:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VHADDs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  65996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  65999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHADDs32),
     /*  66011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66026 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66035 */     GIR_RootConstrainSelectedInstOperands,
     /*  66036 */     // GIR_Coverage, 3604,
     /*  66036 */     GIR_EraseRootFromParent_Done,
     /*  66037 */   // Label 1360: @66037
     /*  66037 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(66119), // Rule ID 3608 //
     /*  66042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhadd),
     /*  66050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  66053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  66056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  66059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66074 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  66078 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3642:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VHADDu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  66078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHADDu8),
     /*  66093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66102 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66117 */     GIR_RootConstrainSelectedInstOperands,
     /*  66118 */     // GIR_Coverage, 3608,
     /*  66118 */     GIR_EraseRootFromParent_Done,
     /*  66119 */   // Label 1361: @66119
     /*  66119 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(66201), // Rule ID 3612 //
     /*  66124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhadd),
     /*  66132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  66135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  66138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  66141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66156 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  66160 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3642:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VHADDu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  66160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHADDu16),
     /*  66175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66199 */     GIR_RootConstrainSelectedInstOperands,
     /*  66200 */     // GIR_Coverage, 3612,
     /*  66200 */     GIR_EraseRootFromParent_Done,
     /*  66201 */   // Label 1362: @66201
     /*  66201 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(66283), // Rule ID 3616 //
     /*  66206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhadd),
     /*  66214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  66217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  66223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66238 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  66242 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3642:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VHADDu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  66242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHADDu32),
     /*  66257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66266 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66272 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66281 */     GIR_RootConstrainSelectedInstOperands,
     /*  66282 */     // GIR_Coverage, 3616,
     /*  66282 */     GIR_EraseRootFromParent_Done,
     /*  66283 */   // Label 1363: @66283
     /*  66283 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(66365), // Rule ID 3617 //
     /*  66288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhsub),
     /*  66296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  66299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  66302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  66305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66320 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  66324 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3643:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VHSUBs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  66324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHSUBs8),
     /*  66339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66363 */     GIR_RootConstrainSelectedInstOperands,
     /*  66364 */     // GIR_Coverage, 3617,
     /*  66364 */     GIR_EraseRootFromParent_Done,
     /*  66365 */   // Label 1364: @66365
     /*  66365 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(66447), // Rule ID 3620 //
     /*  66370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhsub),
     /*  66378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  66381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  66384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  66387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66402 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  66406 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3643:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VHSUBs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  66406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHSUBs16),
     /*  66421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66425 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66445 */     GIR_RootConstrainSelectedInstOperands,
     /*  66446 */     // GIR_Coverage, 3620,
     /*  66446 */     GIR_EraseRootFromParent_Done,
     /*  66447 */   // Label 1365: @66447
     /*  66447 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(66529), // Rule ID 3623 //
     /*  66452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhsub),
     /*  66460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  66463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  66469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  66488 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3643:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VHSUBs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  66488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHSUBs32),
     /*  66503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66527 */     GIR_RootConstrainSelectedInstOperands,
     /*  66528 */     // GIR_Coverage, 3623,
     /*  66528 */     GIR_EraseRootFromParent_Done,
     /*  66529 */   // Label 1366: @66529
     /*  66529 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(66611), // Rule ID 3626 //
     /*  66534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhsub),
     /*  66542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  66545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  66548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  66551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  66570 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3643:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VHSUBu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  66570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHSUBu8),
     /*  66585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66589 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66609 */     GIR_RootConstrainSelectedInstOperands,
     /*  66610 */     // GIR_Coverage, 3626,
     /*  66610 */     GIR_EraseRootFromParent_Done,
     /*  66611 */   // Label 1367: @66611
     /*  66611 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(66693), // Rule ID 3629 //
     /*  66616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhsub),
     /*  66624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  66627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  66630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  66633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  66652 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3643:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VHSUBu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  66652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHSUBu16),
     /*  66667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66691 */     GIR_RootConstrainSelectedInstOperands,
     /*  66692 */     // GIR_Coverage, 3629,
     /*  66692 */     GIR_EraseRootFromParent_Done,
     /*  66693 */   // Label 1368: @66693
     /*  66693 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(66775), // Rule ID 3632 //
     /*  66698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vhsub),
     /*  66706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  66709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  66715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66730 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  66734 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3643:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VHSUBu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  66734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHSUBu32),
     /*  66749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66773 */     GIR_RootConstrainSelectedInstOperands,
     /*  66774 */     // GIR_Coverage, 3632,
     /*  66774 */     GIR_EraseRootFromParent_Done,
     /*  66775 */   // Label 1369: @66775
     /*  66775 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(66857), // Rule ID 4033 //
     /*  66780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  66783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  66788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  66791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  66797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66812 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  66816 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3607:{ *:[iPTR] }, MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VABDf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)
     /*  66816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDf32),
     /*  66831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66855 */     GIR_RootConstrainSelectedInstOperands,
     /*  66856 */     // GIR_Coverage, 4033,
     /*  66856 */     GIR_EraseRootFromParent_Done,
     /*  66857 */   // Label 1370: @66857
     /*  66857 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(66939), // Rule ID 4035 //
     /*  66862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  66865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabd),
     /*  66870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  66873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  66876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  66879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66894 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  66898 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3607:{ *:[iPTR] }, MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VABDf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)
     /*  66898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDf16),
     /*  66913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  66919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  66922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  66934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  66937 */     GIR_RootConstrainSelectedInstOperands,
     /*  66938 */     // GIR_Coverage, 4035,
     /*  66938 */     GIR_EraseRootFromParent_Done,
     /*  66939 */   // Label 1371: @66939
     /*  66939 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(67021), // Rule ID 4408 //
     /*  66944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  66947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull_poly),
     /*  66952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  66955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  66958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  66961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  66964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  66976 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  66980 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3670:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VMULLBp8:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  66980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  66983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  66987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  66992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBp8),
     /*  66995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  66997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  66999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67019 */     GIR_RootConstrainSelectedInstOperands,
     /*  67020 */     // GIR_Coverage, 4408,
     /*  67020 */     GIR_EraseRootFromParent_Done,
     /*  67021 */   // Label 1372: @67021
     /*  67021 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(67103), // Rule ID 4410 //
     /*  67026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull_poly),
     /*  67034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  67037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  67040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  67043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  67062 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3670:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VMULLTp8:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  67062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTp8),
     /*  67077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67079 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67081 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67101 */     GIR_RootConstrainSelectedInstOperands,
     /*  67102 */     // GIR_Coverage, 4410,
     /*  67102 */     GIR_EraseRootFromParent_Done,
     /*  67103 */   // Label 1373: @67103
     /*  67103 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(67185), // Rule ID 4412 //
     /*  67108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull_poly),
     /*  67116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  67119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  67125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  67144 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3670:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VMULLBp16:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  67144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBp16),
     /*  67159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67183 */     GIR_RootConstrainSelectedInstOperands,
     /*  67184 */     // GIR_Coverage, 4412,
     /*  67184 */     GIR_EraseRootFromParent_Done,
     /*  67185 */   // Label 1374: @67185
     /*  67185 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(67267), // Rule ID 4414 //
     /*  67190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull_poly),
     /*  67198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  67201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  67207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  67226 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3670:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VMULLTp16:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  67226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTp16),
     /*  67241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67245 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67265 */     GIR_RootConstrainSelectedInstOperands,
     /*  67266 */     // GIR_Coverage, 4414,
     /*  67266 */     GIR_EraseRootFromParent_Done,
     /*  67267 */   // Label 1375: @67267
     /*  67267 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(67349), // Rule ID 4441 //
     /*  67272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmulh),
     /*  67280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  67283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  67286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  67289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  67308 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3668:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VMULHs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  67308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHs8),
     /*  67323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67347 */     GIR_RootConstrainSelectedInstOperands,
     /*  67348 */     // GIR_Coverage, 4441,
     /*  67348 */     GIR_EraseRootFromParent_Done,
     /*  67349 */   // Label 1376: @67349
     /*  67349 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(67431), // Rule ID 4448 //
     /*  67354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmulh),
     /*  67362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  67365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  67371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67386 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  67390 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3668:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VMULHs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  67390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHs16),
     /*  67405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67429 */     GIR_RootConstrainSelectedInstOperands,
     /*  67430 */     // GIR_Coverage, 4448,
     /*  67430 */     GIR_EraseRootFromParent_Done,
     /*  67431 */   // Label 1377: @67431
     /*  67431 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(67513), // Rule ID 4452 //
     /*  67436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmulh),
     /*  67444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  67447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  67453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  67472 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3668:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VMULHs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  67472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHs32),
     /*  67487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67511 */     GIR_RootConstrainSelectedInstOperands,
     /*  67512 */     // GIR_Coverage, 4452,
     /*  67512 */     GIR_EraseRootFromParent_Done,
     /*  67513 */   // Label 1378: @67513
     /*  67513 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(67595), // Rule ID 4456 //
     /*  67518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmulh),
     /*  67526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  67529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  67532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  67535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67550 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  67554 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3668:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VMULHu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  67554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHu8),
     /*  67569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67593 */     GIR_RootConstrainSelectedInstOperands,
     /*  67594 */     // GIR_Coverage, 4456,
     /*  67594 */     GIR_EraseRootFromParent_Done,
     /*  67595 */   // Label 1379: @67595
     /*  67595 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(67677), // Rule ID 4460 //
     /*  67600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmulh),
     /*  67608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  67611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  67617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  67636 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3668:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VMULHu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  67636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHu16),
     /*  67651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67675 */     GIR_RootConstrainSelectedInstOperands,
     /*  67676 */     // GIR_Coverage, 4460,
     /*  67676 */     GIR_EraseRootFromParent_Done,
     /*  67677 */   // Label 1380: @67677
     /*  67677 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(67759), // Rule ID 4464 //
     /*  67682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmulh),
     /*  67690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  67693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  67699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67714 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  67718 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3668:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VMULHu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  67718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHu32),
     /*  67733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67757 */     GIR_RootConstrainSelectedInstOperands,
     /*  67758 */     // GIR_Coverage, 4464,
     /*  67758 */     GIR_EraseRootFromParent_Done,
     /*  67759 */   // Label 1381: @67759
     /*  67759 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(67841), // Rule ID 4465 //
     /*  67764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrmulh),
     /*  67772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  67775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  67778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  67781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  67800 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3702:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VRMULHs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  67800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRMULHs8),
     /*  67815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67839 */     GIR_RootConstrainSelectedInstOperands,
     /*  67840 */     // GIR_Coverage, 4465,
     /*  67840 */     GIR_EraseRootFromParent_Done,
     /*  67841 */   // Label 1382: @67841
     /*  67841 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(67923), // Rule ID 4467 //
     /*  67846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrmulh),
     /*  67854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  67857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  67863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67878 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  67882 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3702:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VRMULHs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  67882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRMULHs16),
     /*  67897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67899 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67906 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  67921 */     GIR_RootConstrainSelectedInstOperands,
     /*  67922 */     // GIR_Coverage, 4467,
     /*  67922 */     GIR_EraseRootFromParent_Done,
     /*  67923 */   // Label 1383: @67923
     /*  67923 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(68005), // Rule ID 4469 //
     /*  67928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  67931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrmulh),
     /*  67936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  67939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  67945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  67948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  67960 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  67964 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3702:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VRMULHs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  67964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  67967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  67971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  67976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRMULHs32),
     /*  67979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  67981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  67983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  67985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  67988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  67994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68003 */     GIR_RootConstrainSelectedInstOperands,
     /*  68004 */     // GIR_Coverage, 4469,
     /*  68004 */     GIR_EraseRootFromParent_Done,
     /*  68005 */   // Label 1384: @68005
     /*  68005 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(68087), // Rule ID 4471 //
     /*  68010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  68013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrmulh),
     /*  68018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  68021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  68027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68042 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  68046 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3702:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VRMULHu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  68046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  68049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  68053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRMULHu8),
     /*  68061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  68065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  68067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68085 */     GIR_RootConstrainSelectedInstOperands,
     /*  68086 */     // GIR_Coverage, 4471,
     /*  68086 */     GIR_EraseRootFromParent_Done,
     /*  68087 */   // Label 1385: @68087
     /*  68087 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(68169), // Rule ID 4473 //
     /*  68092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  68095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrmulh),
     /*  68100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  68103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  68109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68124 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  68128 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3702:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VRMULHu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  68128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  68131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  68135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRMULHu16),
     /*  68143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  68147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  68149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68167 */     GIR_RootConstrainSelectedInstOperands,
     /*  68168 */     // GIR_Coverage, 4473,
     /*  68168 */     GIR_EraseRootFromParent_Done,
     /*  68169 */   // Label 1386: @68169
     /*  68169 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(68251), // Rule ID 4475 //
     /*  68174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  68177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vrmulh),
     /*  68182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  68185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  68191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  68210 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3702:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VRMULHu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  68210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  68213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  68217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRMULHu32),
     /*  68225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  68229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  68231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68249 */     GIR_RootConstrainSelectedInstOperands,
     /*  68250 */     // GIR_Coverage, 4475,
     /*  68250 */     GIR_EraseRootFromParent_Done,
     /*  68251 */   // Label 1387: @68251
     /*  68251 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(68318), // Rule ID 4526 //
     /*  68256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  68259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_narrow),
     /*  68264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  68267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  68273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  68292 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3626:{ *:[iPTR] }, MQPR:{ *:[v8f16] }:$Qd_src, MQPR:{ *:[v4f32] }:$Qm, 0:{ *:[i32] })  =>  (MVE_VCVTf16f32bh:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qd_src, MQPR:{ *:[v4f32] }:$Qm)
     /*  68292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf16f32bh),
     /*  68295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  68299 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  68301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68316 */     GIR_RootConstrainSelectedInstOperands,
     /*  68317 */     // GIR_Coverage, 4526,
     /*  68317 */     GIR_EraseRootFromParent_Done,
     /*  68318 */   // Label 1388: @68318
     /*  68318 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(68385), // Rule ID 4532 //
     /*  68323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  68326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcvt_narrow),
     /*  68331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  68334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  68340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68355 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  68359 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3626:{ *:[iPTR] }, MQPR:{ *:[v8f16] }:$Qd_src, MQPR:{ *:[v4f32] }:$Qm, 1:{ *:[i32] })  =>  (MVE_VCVTf16f32th:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qd_src, MQPR:{ *:[v4f32] }:$Qm)
     /*  68359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf16f32th),
     /*  68362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  68366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  68368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68371 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68377 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68383 */     GIR_RootConstrainSelectedInstOperands,
     /*  68384 */     // GIR_Coverage, 4532,
     /*  68384 */     GIR_EraseRootFromParent_Done,
     /*  68385 */   // Label 1389: @68385
     /*  68385 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(68467), // Rule ID 4550 //
     /*  68390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  68393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmull),
     /*  68398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  68401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  68407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  68426 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3678:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VQDMULLs16bh:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  68426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  68429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  68433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMULLs16bh),
     /*  68441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  68445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  68447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68456 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68465 */     GIR_RootConstrainSelectedInstOperands,
     /*  68466 */     // GIR_Coverage, 4550,
     /*  68466 */     GIR_EraseRootFromParent_Done,
     /*  68467 */   // Label 1390: @68467
     /*  68467 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(68549), // Rule ID 4552 //
     /*  68472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  68475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmull),
     /*  68480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  68483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  68489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  68508 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3678:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VQDMULLs16th:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  68508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  68511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  68515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMULLs16th),
     /*  68523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  68527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  68529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68547 */     GIR_RootConstrainSelectedInstOperands,
     /*  68548 */     // GIR_Coverage, 4552,
     /*  68548 */     GIR_EraseRootFromParent_Done,
     /*  68549 */   // Label 1391: @68549
     /*  68549 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(68631), // Rule ID 4554 //
     /*  68554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  68557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmull),
     /*  68562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  68565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  68571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68586 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  68590 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3678:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] })  =>  (MVE_VQDMULLs32bh:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  68590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  68593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  68597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMULLs32bh),
     /*  68605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68607 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  68609 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  68611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68629 */     GIR_RootConstrainSelectedInstOperands,
     /*  68630 */     // GIR_Coverage, 4554,
     /*  68630 */     GIR_EraseRootFromParent_Done,
     /*  68631 */   // Label 1392: @68631
     /*  68631 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(68713), // Rule ID 4556 //
     /*  68636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  68639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmull),
     /*  68644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  68647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  68653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68668 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  68672 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3678:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] })  =>  (MVE_VQDMULLs32th:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  68672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  68675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  68679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMULLs32th),
     /*  68687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  68691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  68693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  68711 */     GIR_RootConstrainSelectedInstOperands,
     /*  68712 */     // GIR_Coverage, 4556,
     /*  68712 */     GIR_EraseRootFromParent_Done,
     /*  68713 */   // Label 1393: @68713
     /*  68713 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(68790), // Rule ID 3901 //
     /*  68718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vsli),
     /*  68723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  68726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  68732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  68751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /*  68759 */     // MIs[1] Operand 1
     /*  68759 */     // No operand predicates
     /*  68759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  68761 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3717:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v16i8] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm)  =>  (MVE_VSLIimm8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v16i8] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_imm0_7>>:$imm)
     /*  68761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSLIimm8),
     /*  68764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68766 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  68768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  68770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  68773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68788 */     GIR_RootConstrainSelectedInstOperands,
     /*  68789 */     // GIR_Coverage, 3901,
     /*  68789 */     GIR_EraseRootFromParent_Done,
     /*  68790 */   // Label 1394: @68790
     /*  68790 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(68867), // Rule ID 3903 //
     /*  68795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vsli),
     /*  68800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  68803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  68809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  68828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  68836 */     // MIs[1] Operand 1
     /*  68836 */     // No operand predicates
     /*  68836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  68838 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3717:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm)  =>  (MVE_VSLIimm16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm)
     /*  68838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSLIimm16),
     /*  68841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68843 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  68845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  68847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  68850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68865 */     GIR_RootConstrainSelectedInstOperands,
     /*  68866 */     // GIR_Coverage, 3903,
     /*  68866 */     GIR_EraseRootFromParent_Done,
     /*  68867 */   // Label 1395: @68867
     /*  68867 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(68944), // Rule ID 3905 //
     /*  68872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vsli),
     /*  68877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  68880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  68886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  68905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /*  68913 */     // MIs[1] Operand 1
     /*  68913 */     // No operand predicates
     /*  68913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  68915 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3717:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm)  =>  (MVE_VSLIimm32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_imm0_31>>:$imm)
     /*  68915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSLIimm32),
     /*  68918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68920 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  68922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  68924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  68927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  68930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  68942 */     GIR_RootConstrainSelectedInstOperands,
     /*  68943 */     // GIR_Coverage, 3905,
     /*  68943 */     GIR_EraseRootFromParent_Done,
     /*  68944 */   // Label 1396: @68944
     /*  68944 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(69021), // Rule ID 3907 //
     /*  68949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vsri),
     /*  68954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  68957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  68963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  68966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  68978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  68982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  68990 */     // MIs[1] Operand 1
     /*  68990 */     // No operand predicates
     /*  68990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  68992 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3719:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v16i8] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm)  =>  (MVE_VSRIimm8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v16i8] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm)
     /*  68992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSRIimm8),
     /*  68995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  68997 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  68999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  69001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  69004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  69007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69019 */     GIR_RootConstrainSelectedInstOperands,
     /*  69020 */     // GIR_Coverage, 3907,
     /*  69020 */     GIR_EraseRootFromParent_Done,
     /*  69021 */   // Label 1397: @69021
     /*  69021 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(69098), // Rule ID 3909 //
     /*  69026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vsri),
     /*  69031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  69034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  69040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  69059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  69067 */     // MIs[1] Operand 1
     /*  69067 */     // No operand predicates
     /*  69067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69069 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3719:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm)  =>  (MVE_VSRIimm16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm)
     /*  69069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSRIimm16),
     /*  69072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  69074 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  69076 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  69078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  69081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  69084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69096 */     GIR_RootConstrainSelectedInstOperands,
     /*  69097 */     // GIR_Coverage, 3909,
     /*  69097 */     GIR_EraseRootFromParent_Done,
     /*  69098 */   // Label 1398: @69098
     /*  69098 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(69175), // Rule ID 3911 //
     /*  69103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vsri),
     /*  69108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  69111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  69114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  69117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  69136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm32),
     /*  69144 */     // MIs[1] Operand 1
     /*  69144 */     // No operand predicates
     /*  69144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69146 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3719:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm32>>:$imm)  =>  (MVE_VSRIimm32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm32>>:$imm)
     /*  69146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSRIimm32),
     /*  69149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  69151 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  69153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  69155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  69158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  69161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69167 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69173 */     GIR_RootConstrainSelectedInstOperands,
     /*  69174 */     // GIR_Coverage, 3911,
     /*  69174 */     GIR_EraseRootFromParent_Done,
     /*  69175 */   // Label 1399: @69175
     /*  69175 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(69266), // Rule ID 4380 //
     /*  69180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  69183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcmulq),
     /*  69188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  69191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  69197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  69200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69212 */     // MIs[1] Operand 1
     /*  69212 */     // No operand predicates
     /*  69212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69222 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3617:{ *:[iPTR] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v8f16] }:$Qn, MQPR:{ *:[v8f16] }:$Qm)  =>  (MVE_VCMULf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qn, MQPR:{ *:[v8f16] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  69222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  69225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  69229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMULf16),
     /*  69237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  69239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  69241 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qm
     /*  69243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  69246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  69249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  69264 */     GIR_RootConstrainSelectedInstOperands,
     /*  69265 */     // GIR_Coverage, 4380,
     /*  69265 */     GIR_EraseRootFromParent_Done,
     /*  69266 */   // Label 1400: @69266
     /*  69266 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(69357), // Rule ID 4382 //
     /*  69271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  69274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcmulq),
     /*  69279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  69282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  69288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  69291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69303 */     // MIs[1] Operand 1
     /*  69303 */     // No operand predicates
     /*  69303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  69311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69313 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3617:{ *:[iPTR] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v4f32] }:$Qn, MQPR:{ *:[v4f32] }:$Qm)  =>  (MVE_VCMULf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qn, MQPR:{ *:[v4f32] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  69313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  69316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  69320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMULf32),
     /*  69328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  69330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  69332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qm
     /*  69334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  69337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  69340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  69355 */     GIR_RootConstrainSelectedInstOperands,
     /*  69356 */     // GIR_Coverage, 4382,
     /*  69356 */     GIR_EraseRootFromParent_Done,
     /*  69357 */   // Label 1401: @69357
     /*  69357 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(69420), // Rule ID 146 //
     /*  69362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  69365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usada8),
     /*  69370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  69373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  69379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  69386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  69390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  69394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  69398 */     // (intrinsic_wo_chain:{ *:[i32] } 3943:{ *:[iPTR] }, GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)  =>  (USADA8:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)
     /*  69398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USADA8),
     /*  69401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69405 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  69407 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  69409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  69412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69418 */     GIR_RootConstrainSelectedInstOperands,
     /*  69419 */     // GIR_Coverage, 146,
     /*  69419 */     GIR_EraseRootFromParent_Done,
     /*  69420 */   // Label 1402: @69420
     /*  69420 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(69483), // Rule ID 469 //
     /*  69425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  69428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usada8),
     /*  69433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  69436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  69442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69461 */     // (intrinsic_wo_chain:{ *:[i32] } 3943:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)  =>  (t2USADA8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*  69461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USADA8),
     /*  69464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  69470 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  69472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  69475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69481 */     GIR_RootConstrainSelectedInstOperands,
     /*  69482 */     // GIR_Coverage, 469,
     /*  69482 */     GIR_EraseRootFromParent_Done,
     /*  69483 */   // Label 1403: @69483
     /*  69483 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(69546), // Rule ID 528 //
     /*  69488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  69491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlad),
     /*  69496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  69499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  69505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69524 */     // (intrinsic_wo_chain:{ *:[i32] } 3888:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLAD:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*  69524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLAD),
     /*  69527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  69533 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  69535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  69538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69544 */     GIR_RootConstrainSelectedInstOperands,
     /*  69545 */     // GIR_Coverage, 528,
     /*  69545 */     GIR_EraseRootFromParent_Done,
     /*  69546 */   // Label 1404: @69546
     /*  69546 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(69609), // Rule ID 529 //
     /*  69551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  69554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smladx),
     /*  69559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  69562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  69568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69587 */     // (intrinsic_wo_chain:{ *:[i32] } 3889:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLADX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*  69587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLADX),
     /*  69590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  69596 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  69598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  69601 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69607 */     GIR_RootConstrainSelectedInstOperands,
     /*  69608 */     // GIR_Coverage, 529,
     /*  69608 */     GIR_EraseRootFromParent_Done,
     /*  69609 */   // Label 1405: @69609
     /*  69609 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(69672), // Rule ID 530 //
     /*  69614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  69617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlsd),
     /*  69622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  69625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  69631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69650 */     // (intrinsic_wo_chain:{ *:[i32] } 3896:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLSD:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*  69650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLSD),
     /*  69653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  69659 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  69661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  69664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69670 */     GIR_RootConstrainSelectedInstOperands,
     /*  69671 */     // GIR_Coverage, 530,
     /*  69671 */     GIR_EraseRootFromParent_Done,
     /*  69672 */   // Label 1406: @69672
     /*  69672 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(69735), // Rule ID 531 //
     /*  69677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  69680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlsdx),
     /*  69685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  69688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  69694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  69697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  69713 */     // (intrinsic_wo_chain:{ *:[i32] } 3897:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)  =>  (t2SMLSDX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Ra)
     /*  69713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLSDX),
     /*  69716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  69722 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  69724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  69727 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  69733 */     GIR_RootConstrainSelectedInstOperands,
     /*  69734 */     // GIR_Coverage, 531,
     /*  69734 */     GIR_EraseRootFromParent_Done,
     /*  69735 */   // Label 1407: @69735
     /*  69735 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(69789), // Rule ID 948 //
     /*  69740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /*  69743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_udot),
     /*  69748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  69751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  69754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  69757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  69760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69776 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3749:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vd, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VUDOTD:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vd, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  69776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUDOTD),
     /*  69779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  69783 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  69785 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  69787 */     GIR_RootConstrainSelectedInstOperands,
     /*  69788 */     // GIR_Coverage, 948,
     /*  69788 */     GIR_EraseRootFromParent_Done,
     /*  69789 */   // Label 1408: @69789
     /*  69789 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(69843), // Rule ID 949 //
     /*  69794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /*  69797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sdot),
     /*  69802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  69805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  69808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  69811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  69814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  69830 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3737:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vd, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VSDOTD:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vd, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  69830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSDOTD),
     /*  69833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  69837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  69839 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  69841 */     GIR_RootConstrainSelectedInstOperands,
     /*  69842 */     // GIR_Coverage, 949,
     /*  69842 */     GIR_EraseRootFromParent_Done,
     /*  69843 */   // Label 1409: @69843
     /*  69843 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(69897), // Rule ID 950 //
     /*  69848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /*  69851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_udot),
     /*  69856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  69859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  69862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  69865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  69868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69884 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3749:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VUDOTQ:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  69884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUDOTQ),
     /*  69887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  69891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  69893 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  69895 */     GIR_RootConstrainSelectedInstOperands,
     /*  69896 */     // GIR_Coverage, 950,
     /*  69896 */     GIR_EraseRootFromParent_Done,
     /*  69897 */   // Label 1410: @69897
     /*  69897 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(69951), // Rule ID 951 //
     /*  69902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /*  69905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sdot),
     /*  69910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  69913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  69916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  69919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  69922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69938 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3737:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VSDOTQ:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  69938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSDOTQ),
     /*  69941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  69945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  69947 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  69949 */     GIR_RootConstrainSelectedInstOperands,
     /*  69950 */     // GIR_Coverage, 951,
     /*  69950 */     GIR_EraseRootFromParent_Done,
     /*  69951 */   // Label 1411: @69951
     /*  69951 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(70005), // Rule ID 952 //
     /*  69956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /*  69959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_smmla),
     /*  69964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  69967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  69970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  69973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  69976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  69992 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3748:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VSMMLA:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  69992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSMMLA),
     /*  69995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  69999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70001 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70003 */     GIR_RootConstrainSelectedInstOperands,
     /*  70004 */     // GIR_Coverage, 952,
     /*  70004 */     GIR_EraseRootFromParent_Done,
     /*  70005 */   // Label 1412: @70005
     /*  70005 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(70059), // Rule ID 953 //
     /*  70010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /*  70013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_ummla),
     /*  70018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  70021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  70024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  70027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  70030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70046 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3750:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VUMMLA:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  70046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUMMLA),
     /*  70049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  70053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70055 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70057 */     GIR_RootConstrainSelectedInstOperands,
     /*  70058 */     // GIR_Coverage, 953,
     /*  70058 */     GIR_EraseRootFromParent_Done,
     /*  70059 */   // Label 1413: @70059
     /*  70059 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(70113), // Rule ID 954 //
     /*  70064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /*  70067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_usmmla),
     /*  70072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  70075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  70078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  70081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  70084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70100 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3752:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VUSMMLA:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  70100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUSMMLA),
     /*  70103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  70107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70109 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70111 */     GIR_RootConstrainSelectedInstOperands,
     /*  70112 */     // GIR_Coverage, 954,
     /*  70112 */     GIR_EraseRootFromParent_Done,
     /*  70113 */   // Label 1414: @70113
     /*  70113 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(70167), // Rule ID 955 //
     /*  70118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /*  70121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_usdot),
     /*  70126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  70129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  70132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  70135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  70138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70154 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3751:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vd, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VUSDOTD:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vd, DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  70154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUSDOTD),
     /*  70157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  70161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70163 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70165 */     GIR_RootConstrainSelectedInstOperands,
     /*  70166 */     // GIR_Coverage, 955,
     /*  70166 */     GIR_EraseRootFromParent_Done,
     /*  70167 */   // Label 1415: @70167
     /*  70167 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(70221), // Rule ID 956 //
     /*  70172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /*  70175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_usdot),
     /*  70180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  70183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  70186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  70189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  70192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70208 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3751:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VUSDOTQ:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vd, QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /*  70208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUSDOTQ),
     /*  70211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /*  70215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70217 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70219 */     GIR_RootConstrainSelectedInstOperands,
     /*  70220 */     // GIR_Coverage, 956,
     /*  70220 */     GIR_EraseRootFromParent_Done,
     /*  70221 */   // Label 1416: @70221
     /*  70221 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(70284), // Rule ID 1687 //
     /*  70226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vtbx1),
     /*  70234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  70237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  70240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  70243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  70246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  70262 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3863:{ *:[iPTR] }, DPR:{ *:[v8i8] }:$orig, VecListOneD:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VTBX1:{ *:[v8i8] } DPR:{ *:[v8i8] }:$orig, VecListOneD:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /*  70262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTBX1),
     /*  70265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  70267 */     GIR_RootToRootCopy, /*OpIdx*/2, // orig
     /*  70269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70271 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70282 */     GIR_RootConstrainSelectedInstOperands,
     /*  70283 */     // GIR_Coverage, 1687,
     /*  70283 */     GIR_EraseRootFromParent_Done,
     /*  70284 */   // Label 1417: @70284
     /*  70284 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(70338), // Rule ID 1718 //
     /*  70289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2_HasV8),
     /*  70292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha1su0),
     /*  70297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  70300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  70303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  70306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  70309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70325 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3742:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (SHA1SU0:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  70325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA1SU0),
     /*  70328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  70330 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  70332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70334 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70336 */     GIR_RootConstrainSelectedInstOperands,
     /*  70337 */     // GIR_Coverage, 1718,
     /*  70337 */     GIR_EraseRootFromParent_Done,
     /*  70338 */   // Label 1418: @70338
     /*  70338 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(70392), // Rule ID 1719 //
     /*  70343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2_HasV8),
     /*  70346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha256h),
     /*  70351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  70354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  70357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  70360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  70363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70379 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3744:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (SHA256H:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  70379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA256H),
     /*  70382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  70384 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  70386 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70388 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70390 */     GIR_RootConstrainSelectedInstOperands,
     /*  70391 */     // GIR_Coverage, 1719,
     /*  70391 */     GIR_EraseRootFromParent_Done,
     /*  70392 */   // Label 1419: @70392
     /*  70392 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(70446), // Rule ID 1720 //
     /*  70397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2_HasV8),
     /*  70400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha256h2),
     /*  70405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  70408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  70411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  70414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  70417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70433 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3745:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (SHA256H2:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  70433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA256H2),
     /*  70436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  70438 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  70440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70442 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70444 */     GIR_RootConstrainSelectedInstOperands,
     /*  70445 */     // GIR_Coverage, 1720,
     /*  70445 */     GIR_EraseRootFromParent_Done,
     /*  70446 */   // Label 1420: @70446
     /*  70446 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(70500), // Rule ID 1721 //
     /*  70451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2_HasV8),
     /*  70454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha256su1),
     /*  70459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  70462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  70465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  70468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  70471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  70487 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3747:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (SHA256SU1:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  70487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA256SU1),
     /*  70490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  70492 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  70494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  70496 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  70498 */     GIR_RootConstrainSelectedInstOperands,
     /*  70499 */     // GIR_Coverage, 1721,
     /*  70499 */     GIR_EraseRootFromParent_Done,
     /*  70500 */   // Label 1421: @70500
     /*  70500 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(70563), // Rule ID 1896 //
     /*  70505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  70508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlad),
     /*  70513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70541 */     // (intrinsic_wo_chain:{ *:[i32] } 3888:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)  =>  (SMLAD:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*  70541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLAD),
     /*  70544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  70550 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  70552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70561 */     GIR_RootConstrainSelectedInstOperands,
     /*  70562 */     // GIR_Coverage, 1896,
     /*  70562 */     GIR_EraseRootFromParent_Done,
     /*  70563 */   // Label 1422: @70563
     /*  70563 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(70626), // Rule ID 1897 //
     /*  70568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  70571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smladx),
     /*  70576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70604 */     // (intrinsic_wo_chain:{ *:[i32] } 3889:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)  =>  (SMLADX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*  70604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLADX),
     /*  70607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  70613 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  70615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70624 */     GIR_RootConstrainSelectedInstOperands,
     /*  70625 */     // GIR_Coverage, 1897,
     /*  70625 */     GIR_EraseRootFromParent_Done,
     /*  70626 */   // Label 1423: @70626
     /*  70626 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(70689), // Rule ID 1898 //
     /*  70631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  70634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlsd),
     /*  70639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70667 */     // (intrinsic_wo_chain:{ *:[i32] } 3896:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)  =>  (SMLSD:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*  70667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLSD),
     /*  70670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  70676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  70678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70681 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70687 */     GIR_RootConstrainSelectedInstOperands,
     /*  70688 */     // GIR_Coverage, 1898,
     /*  70688 */     GIR_EraseRootFromParent_Done,
     /*  70689 */   // Label 1424: @70689
     /*  70689 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(70752), // Rule ID 1899 //
     /*  70694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  70697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlsdx),
     /*  70702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70730 */     // (intrinsic_wo_chain:{ *:[i32] } 3897:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPR:{ *:[i32] }:$Ra)  =>  (SMLSDX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm, GPRnopc:{ *:[i32] }:$Ra)
     /*  70730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLSDX),
     /*  70733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  70739 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ra
     /*  70741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70750 */     GIR_RootConstrainSelectedInstOperands,
     /*  70751 */     // GIR_Coverage, 1899,
     /*  70751 */     GIR_EraseRootFromParent_Done,
     /*  70752 */   // Label 1425: @70752
     /*  70752 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(70815), // Rule ID 1987 //
     /*  70757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  70760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlabb),
     /*  70765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70793 */     // (intrinsic_wo_chain:{ *:[i32] } 3886:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (SMLABB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  70793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLABB),
     /*  70796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70798 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  70800 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  70802 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  70804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70813 */     GIR_RootConstrainSelectedInstOperands,
     /*  70814 */     // GIR_Coverage, 1987,
     /*  70814 */     GIR_EraseRootFromParent_Done,
     /*  70815 */   // Label 1426: @70815
     /*  70815 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(70878), // Rule ID 1988 //
     /*  70820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  70823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlabt),
     /*  70828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70856 */     // (intrinsic_wo_chain:{ *:[i32] } 3887:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (SMLABT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  70856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLABT),
     /*  70859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70861 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  70863 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  70865 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  70867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70876 */     GIR_RootConstrainSelectedInstOperands,
     /*  70877 */     // GIR_Coverage, 1988,
     /*  70877 */     GIR_EraseRootFromParent_Done,
     /*  70878 */   // Label 1427: @70878
     /*  70878 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(70941), // Rule ID 1989 //
     /*  70883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  70886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlatb),
     /*  70891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70919 */     // (intrinsic_wo_chain:{ *:[i32] } 3892:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (SMLATB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  70919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLATB),
     /*  70922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70924 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  70926 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  70928 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  70930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70939 */     GIR_RootConstrainSelectedInstOperands,
     /*  70940 */     // GIR_Coverage, 1989,
     /*  70940 */     GIR_EraseRootFromParent_Done,
     /*  70941 */   // Label 1428: @70941
     /*  70941 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(71004), // Rule ID 1990 //
     /*  70946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  70949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlatt),
     /*  70954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  70957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  70960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  70963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  70966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  70970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  70982 */     // (intrinsic_wo_chain:{ *:[i32] } 3893:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (SMLATT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  70982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLATT),
     /*  70985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70987 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  70989 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  70991 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  70993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  70996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71002 */     GIR_RootConstrainSelectedInstOperands,
     /*  71003 */     // GIR_Coverage, 1990,
     /*  71003 */     GIR_EraseRootFromParent_Done,
     /*  71004 */   // Label 1429: @71004
     /*  71004 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(71067), // Rule ID 1991 //
     /*  71009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  71012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlawb),
     /*  71017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  71033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71045 */     // (intrinsic_wo_chain:{ *:[i32] } 3894:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (SMLAWB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLAWB),
     /*  71048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71050 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71052 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71054 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71065 */     GIR_RootConstrainSelectedInstOperands,
     /*  71066 */     // GIR_Coverage, 1991,
     /*  71066 */     GIR_EraseRootFromParent_Done,
     /*  71067 */   // Label 1430: @71067
     /*  71067 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(71130), // Rule ID 1992 //
     /*  71072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /*  71075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlawt),
     /*  71080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  71096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71108 */     // (intrinsic_wo_chain:{ *:[i32] } 3895:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (SMLAWT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMLAWT),
     /*  71111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71113 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71115 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71117 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71128 */     GIR_RootConstrainSelectedInstOperands,
     /*  71129 */     // GIR_Coverage, 1992,
     /*  71129 */     GIR_EraseRootFromParent_Done,
     /*  71130 */   // Label 1431: @71130
     /*  71130 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(71193), // Rule ID 2178 //
     /*  71135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  71138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlabb),
     /*  71143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  71159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71171 */     // (intrinsic_wo_chain:{ *:[i32] } 3886:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (t2SMLABB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLABB),
     /*  71174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71176 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71178 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71180 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71191 */     GIR_RootConstrainSelectedInstOperands,
     /*  71192 */     // GIR_Coverage, 2178,
     /*  71192 */     GIR_EraseRootFromParent_Done,
     /*  71193 */   // Label 1432: @71193
     /*  71193 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(71256), // Rule ID 2179 //
     /*  71198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  71201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlabt),
     /*  71206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  71222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71234 */     // (intrinsic_wo_chain:{ *:[i32] } 3887:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (t2SMLABT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLABT),
     /*  71237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71239 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71241 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71243 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71254 */     GIR_RootConstrainSelectedInstOperands,
     /*  71255 */     // GIR_Coverage, 2179,
     /*  71255 */     GIR_EraseRootFromParent_Done,
     /*  71256 */   // Label 1433: @71256
     /*  71256 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(71319), // Rule ID 2180 //
     /*  71261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  71264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlatb),
     /*  71269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  71285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71297 */     // (intrinsic_wo_chain:{ *:[i32] } 3892:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (t2SMLATB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLATB),
     /*  71300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71302 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71304 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71306 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71311 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71317 */     GIR_RootConstrainSelectedInstOperands,
     /*  71318 */     // GIR_Coverage, 2180,
     /*  71318 */     GIR_EraseRootFromParent_Done,
     /*  71319 */   // Label 1434: @71319
     /*  71319 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(71382), // Rule ID 2181 //
     /*  71324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  71327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlatt),
     /*  71332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  71348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71360 */     // (intrinsic_wo_chain:{ *:[i32] } 3893:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (t2SMLATT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLATT),
     /*  71363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71365 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71367 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71369 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71380 */     GIR_RootConstrainSelectedInstOperands,
     /*  71381 */     // GIR_Coverage, 2181,
     /*  71381 */     GIR_EraseRootFromParent_Done,
     /*  71382 */   // Label 1435: @71382
     /*  71382 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(71445), // Rule ID 2182 //
     /*  71387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  71390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlawb),
     /*  71395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  71411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71423 */     // (intrinsic_wo_chain:{ *:[i32] } 3894:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (t2SMLAWB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLAWB),
     /*  71426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71428 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71430 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71432 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71437 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71443 */     GIR_RootConstrainSelectedInstOperands,
     /*  71444 */     // GIR_Coverage, 2182,
     /*  71444 */     GIR_EraseRootFromParent_Done,
     /*  71445 */   // Label 1436: @71445
     /*  71445 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(71508), // Rule ID 2183 //
     /*  71450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  71453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_smlawt),
     /*  71458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  71461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  71464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  71467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  71470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  71474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  71486 */     // (intrinsic_wo_chain:{ *:[i32] } 3895:{ *:[iPTR] }, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)  =>  (t2SMLAWT:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$acc)
     /*  71486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMLAWT),
     /*  71489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71491 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  71493 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  71495 */     GIR_RootToRootCopy, /*OpIdx*/4, // acc
     /*  71497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71506 */     GIR_RootConstrainSelectedInstOperands,
     /*  71507 */     // GIR_Coverage, 2183,
     /*  71507 */     GIR_EraseRootFromParent_Done,
     /*  71508 */   // Label 1437: @71508
     /*  71508 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(71571), // Rule ID 2469 //
     /*  71513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlah),
     /*  71521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  71524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  71527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  71530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /*  71533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71549 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3821:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQRDMLAHv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  71549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLAHv4i16),
     /*  71552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71554 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71558 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  71560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71569 */     GIR_RootConstrainSelectedInstOperands,
     /*  71570 */     // GIR_Coverage, 2469,
     /*  71570 */     GIR_EraseRootFromParent_Done,
     /*  71571 */   // Label 1438: @71571
     /*  71571 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(71634), // Rule ID 2470 //
     /*  71576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlah),
     /*  71584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  71587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  71590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  71593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /*  71596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71612 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3821:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQRDMLAHv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  71612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLAHv2i32),
     /*  71615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71617 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71619 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71621 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  71623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71632 */     GIR_RootConstrainSelectedInstOperands,
     /*  71633 */     // GIR_Coverage, 2470,
     /*  71633 */     GIR_EraseRootFromParent_Done,
     /*  71634 */   // Label 1439: @71634
     /*  71634 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(71697), // Rule ID 2471 //
     /*  71639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlah),
     /*  71647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  71650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  71653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  71656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  71659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71675 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3821:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQRDMLAHv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  71675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLAHv8i16),
     /*  71678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71680 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71684 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  71686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71695 */     GIR_RootConstrainSelectedInstOperands,
     /*  71696 */     // GIR_Coverage, 2471,
     /*  71696 */     GIR_EraseRootFromParent_Done,
     /*  71697 */   // Label 1440: @71697
     /*  71697 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(71760), // Rule ID 2472 //
     /*  71702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlah),
     /*  71710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  71713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  71716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  71719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  71722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71738 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3821:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQRDMLAHv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  71738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLAHv4i32),
     /*  71741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71743 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71747 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  71749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71758 */     GIR_RootConstrainSelectedInstOperands,
     /*  71759 */     // GIR_Coverage, 2472,
     /*  71759 */     GIR_EraseRootFromParent_Done,
     /*  71760 */   // Label 1441: @71760
     /*  71760 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(71823), // Rule ID 2477 //
     /*  71765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlsh),
     /*  71773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /*  71776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  71779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  71782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /*  71785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71801 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3822:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQRDMLSHv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /*  71801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLSHv4i16),
     /*  71804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71806 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71810 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  71812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71821 */     GIR_RootConstrainSelectedInstOperands,
     /*  71822 */     // GIR_Coverage, 2477,
     /*  71822 */     GIR_EraseRootFromParent_Done,
     /*  71823 */   // Label 1442: @71823
     /*  71823 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(71886), // Rule ID 2478 //
     /*  71828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlsh),
     /*  71836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /*  71839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  71842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  71845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /*  71848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  71864 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3822:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQRDMLSHv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /*  71864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLSHv2i32),
     /*  71867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71869 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71871 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71873 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  71875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71884 */     GIR_RootConstrainSelectedInstOperands,
     /*  71885 */     // GIR_Coverage, 2478,
     /*  71885 */     GIR_EraseRootFromParent_Done,
     /*  71886 */   // Label 1443: @71886
     /*  71886 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(71949), // Rule ID 2479 //
     /*  71891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlsh),
     /*  71899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  71902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  71905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  71908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  71911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71927 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3822:{ *:[iPTR] }, QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQRDMLSHv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$src1, QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /*  71927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLSHv8i16),
     /*  71930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71932 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  71938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  71941 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71947 */     GIR_RootConstrainSelectedInstOperands,
     /*  71948 */     // GIR_Coverage, 2479,
     /*  71948 */     GIR_EraseRootFromParent_Done,
     /*  71949 */   // Label 1444: @71949
     /*  71949 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(72012), // Rule ID 2480 //
     /*  71954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8_1a),
     /*  71957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqrdmlsh),
     /*  71962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  71965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  71968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  71971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  71974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  71990 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3822:{ *:[iPTR] }, QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQRDMLSHv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /*  71990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQRDMLSHv4i32),
     /*  71993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71995 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  71997 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /*  71999 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /*  72001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  72004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72010 */     GIR_RootConstrainSelectedInstOperands,
     /*  72011 */     // GIR_Coverage, 2480,
     /*  72011 */     GIR_EraseRootFromParent_Done,
     /*  72012 */   // Label 1445: @72012
     /*  72012 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(72081), // Rule ID 4837 //
     /*  72017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlah),
     /*  72025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  72028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  72034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72053 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3673:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQDMLAH_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLAH_qrs8),
     /*  72056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72058 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72060 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72062 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72067 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72079 */     GIR_RootConstrainSelectedInstOperands,
     /*  72080 */     // GIR_Coverage, 4837,
     /*  72080 */     GIR_EraseRootFromParent_Done,
     /*  72081 */   // Label 1446: @72081
     /*  72081 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(72150), // Rule ID 4839 //
     /*  72086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlah),
     /*  72094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  72097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  72103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72122 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3673:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQDMLAH_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLAH_qrs16),
     /*  72125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72127 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72129 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72131 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72148 */     GIR_RootConstrainSelectedInstOperands,
     /*  72149 */     // GIR_Coverage, 4839,
     /*  72149 */     GIR_EraseRootFromParent_Done,
     /*  72150 */   // Label 1447: @72150
     /*  72150 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(72219), // Rule ID 4841 //
     /*  72155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlah),
     /*  72163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  72166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  72172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72191 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3673:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQDMLAH_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLAH_qrs32),
     /*  72194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72196 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72198 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72200 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72217 */     GIR_RootConstrainSelectedInstOperands,
     /*  72218 */     // GIR_Coverage, 4841,
     /*  72218 */     GIR_EraseRootFromParent_Done,
     /*  72219 */   // Label 1448: @72219
     /*  72219 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(72288), // Rule ID 4843 //
     /*  72224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmlah),
     /*  72232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  72235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  72241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72260 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3682:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQRDMLAH_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLAH_qrs8),
     /*  72263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72265 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72267 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72269 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72286 */     GIR_RootConstrainSelectedInstOperands,
     /*  72287 */     // GIR_Coverage, 4843,
     /*  72287 */     GIR_EraseRootFromParent_Done,
     /*  72288 */   // Label 1449: @72288
     /*  72288 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(72357), // Rule ID 4845 //
     /*  72293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmlah),
     /*  72301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  72304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  72310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72329 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3682:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQRDMLAH_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLAH_qrs16),
     /*  72332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72334 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72336 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72338 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72355 */     GIR_RootConstrainSelectedInstOperands,
     /*  72356 */     // GIR_Coverage, 4845,
     /*  72356 */     GIR_EraseRootFromParent_Done,
     /*  72357 */   // Label 1450: @72357
     /*  72357 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(72426), // Rule ID 4847 //
     /*  72362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmlah),
     /*  72370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  72373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  72379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72398 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3682:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQRDMLAH_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLAH_qrs32),
     /*  72401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72403 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72405 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72407 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72418 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72424 */     GIR_RootConstrainSelectedInstOperands,
     /*  72425 */     // GIR_Coverage, 4847,
     /*  72425 */     GIR_EraseRootFromParent_Done,
     /*  72426 */   // Label 1451: @72426
     /*  72426 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(72495), // Rule ID 4849 //
     /*  72431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlash),
     /*  72439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  72442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  72448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72467 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3675:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQDMLASH_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLASH_qrs8),
     /*  72470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72472 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72474 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72476 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72493 */     GIR_RootConstrainSelectedInstOperands,
     /*  72494 */     // GIR_Coverage, 4849,
     /*  72494 */     GIR_EraseRootFromParent_Done,
     /*  72495 */   // Label 1452: @72495
     /*  72495 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(72564), // Rule ID 4851 //
     /*  72500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlash),
     /*  72508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  72511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  72517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72536 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3675:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQDMLASH_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLASH_qrs16),
     /*  72539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72541 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72543 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72545 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72562 */     GIR_RootConstrainSelectedInstOperands,
     /*  72563 */     // GIR_Coverage, 4851,
     /*  72563 */     GIR_EraseRootFromParent_Done,
     /*  72564 */   // Label 1453: @72564
     /*  72564 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(72633), // Rule ID 4853 //
     /*  72569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlash),
     /*  72577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  72580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  72586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72605 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3675:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQDMLASH_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLASH_qrs32),
     /*  72608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72610 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72612 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72614 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72631 */     GIR_RootConstrainSelectedInstOperands,
     /*  72632 */     // GIR_Coverage, 4853,
     /*  72632 */     GIR_EraseRootFromParent_Done,
     /*  72633 */   // Label 1454: @72633
     /*  72633 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(72702), // Rule ID 4855 //
     /*  72638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmlash),
     /*  72646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  72649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  72655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72674 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3684:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQRDMLASH_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$v1, MQPR:{ *:[v16i8] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLASH_qrs8),
     /*  72677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72679 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72681 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72683 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72700 */     GIR_RootConstrainSelectedInstOperands,
     /*  72701 */     // GIR_Coverage, 4855,
     /*  72701 */     GIR_EraseRootFromParent_Done,
     /*  72702 */   // Label 1455: @72702
     /*  72702 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(72771), // Rule ID 4857 //
     /*  72707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmlash),
     /*  72715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  72718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  72724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72743 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3684:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQRDMLASH_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$v1, MQPR:{ *:[v8i16] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLASH_qrs16),
     /*  72746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72748 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72750 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72752 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72757 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72769 */     GIR_RootConstrainSelectedInstOperands,
     /*  72770 */     // GIR_Coverage, 4857,
     /*  72770 */     GIR_EraseRootFromParent_Done,
     /*  72771 */   // Label 1456: @72771
     /*  72771 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(72840), // Rule ID 4859 //
     /*  72776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  72779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqrdmlash),
     /*  72784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  72787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  72793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  72796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  72808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  72812 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3684:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)  =>  (MVE_VQRDMLASH_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$v1, MQPR:{ *:[v4i32] }:$v2, rGPR:{ *:[i32] }:$s)
     /*  72812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLASH_qrs32),
     /*  72815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  72817 */     GIR_RootToRootCopy, /*OpIdx*/2, // v1
     /*  72819 */     GIR_RootToRootCopy, /*OpIdx*/3, // v2
     /*  72821 */     GIR_RootToRootCopy, /*OpIdx*/4, // s
     /*  72823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  72826 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72832 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72838 */     GIR_RootConstrainSelectedInstOperands,
     /*  72839 */     // GIR_Coverage, 4859,
     /*  72839 */     GIR_EraseRootFromParent_Done,
     /*  72840 */   // Label 1457: @72840
     /*  72840 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(72935), // Rule ID 2691 //
     /*  72845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha1c),
     /*  72853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  72856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  72862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  72865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  72869 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3738:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$hash_abcd, i32:{ *:[i32] }:$hash_e, v4i32:{ *:[v4i32] }:$wk)  =>  (SHA1C:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$hash_abcd, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (COPY_TO_REGCLASS:{ *:[f32] } i32:{ *:[i32] }:$hash_e, SPR:{ *:[i32] }), ssub_0:{ *:[i32] }), v4i32:{ *:[v4i32] }:$wk)
     /*  72869 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  72872 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72876 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  72881 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // hash_e
     /*  72885 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  72890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  72893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  72897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  72902 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  72905 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  72908 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/17,
     /*  72911 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPair_with_ssub_0RegClassID),
     /*  72916 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /*  72921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA1C),
     /*  72924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72926 */     GIR_RootToRootCopy, /*OpIdx*/2, // hash_abcd
     /*  72928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  72931 */     GIR_RootToRootCopy, /*OpIdx*/4, // wk
     /*  72933 */     GIR_RootConstrainSelectedInstOperands,
     /*  72934 */     // GIR_Coverage, 2691,
     /*  72934 */     GIR_EraseRootFromParent_Done,
     /*  72935 */   // Label 1458: @72935
     /*  72935 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(73030), // Rule ID 2692 //
     /*  72940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha1m),
     /*  72948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  72951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  72957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  72960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  72964 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3740:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$hash_abcd, i32:{ *:[i32] }:$hash_e, v4i32:{ *:[v4i32] }:$wk)  =>  (SHA1M:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$hash_abcd, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (COPY_TO_REGCLASS:{ *:[f32] } i32:{ *:[i32] }:$hash_e, SPR:{ *:[i32] }), ssub_0:{ *:[i32] }), v4i32:{ *:[v4i32] }:$wk)
     /*  72964 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  72967 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72971 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  72976 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // hash_e
     /*  72980 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  72985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  72988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  72992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  72997 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  73000 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  73003 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/17,
     /*  73006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPair_with_ssub_0RegClassID),
     /*  73011 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /*  73016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA1M),
     /*  73019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73021 */     GIR_RootToRootCopy, /*OpIdx*/2, // hash_abcd
     /*  73023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73026 */     GIR_RootToRootCopy, /*OpIdx*/4, // wk
     /*  73028 */     GIR_RootConstrainSelectedInstOperands,
     /*  73029 */     // GIR_Coverage, 2692,
     /*  73029 */     GIR_EraseRootFromParent_Done,
     /*  73030 */   // Label 1459: @73030
     /*  73030 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(73125), // Rule ID 2693 //
     /*  73035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_sha1p),
     /*  73043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  73046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  73049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  73055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  73059 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3741:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$hash_abcd, i32:{ *:[i32] }:$hash_e, v4i32:{ *:[v4i32] }:$wk)  =>  (SHA1P:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$hash_abcd, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (COPY_TO_REGCLASS:{ *:[f32] } i32:{ *:[i32] }:$hash_e, SPR:{ *:[i32] }), ssub_0:{ *:[i32] }), v4i32:{ *:[v4i32] }:$wk)
     /*  73059 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  73062 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73066 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73071 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // hash_e
     /*  73075 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /*  73080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  73083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  73087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73092 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  73095 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  73098 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/17,
     /*  73101 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPair_with_ssub_0RegClassID),
     /*  73106 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /*  73111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SHA1P),
     /*  73114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73116 */     GIR_RootToRootCopy, /*OpIdx*/2, // hash_abcd
     /*  73118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73121 */     GIR_RootToRootCopy, /*OpIdx*/4, // wk
     /*  73123 */     GIR_RootConstrainSelectedInstOperands,
     /*  73124 */     // GIR_Coverage, 2693,
     /*  73124 */     GIR_EraseRootFromParent_Done,
     /*  73125 */   // Label 1460: @73125
     /*  73125 */   GIM_Reject,
     /*  73126 */ // Label 1313: @73126
     /*  73126 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(76512),
     /*  73131 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  73134 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(73218), // Rule ID 3724 //
     /*  73139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  73147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73167 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /*  73171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  73175 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  73179 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3713:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, 8:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHLL_lws8bh:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$src)
     /*  73179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lws8bh),
     /*  73194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73196 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73201 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73216 */     GIR_RootConstrainSelectedInstOperands,
     /*  73217 */     // GIR_Coverage, 3724,
     /*  73217 */     GIR_EraseRootFromParent_Done,
     /*  73218 */   // Label 1462: @73218
     /*  73218 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(73302), // Rule ID 3728 //
     /*  73223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  73231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73251 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /*  73255 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  73259 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  73263 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3713:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, 8:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHLL_lws8th:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$src)
     /*  73263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lws8th),
     /*  73278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73280 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73291 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73300 */     GIR_RootConstrainSelectedInstOperands,
     /*  73301 */     // GIR_Coverage, 3728,
     /*  73301 */     GIR_EraseRootFromParent_Done,
     /*  73302 */   // Label 1463: @73302
     /*  73302 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(73386), // Rule ID 3732 //
     /*  73307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  73315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  73318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73335 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /*  73339 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  73343 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  73347 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3713:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, 16:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHLL_lws16bh:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$src)
     /*  73347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lws16bh),
     /*  73362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73364 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73384 */     GIR_RootConstrainSelectedInstOperands,
     /*  73385 */     // GIR_Coverage, 3732,
     /*  73385 */     GIR_EraseRootFromParent_Done,
     /*  73386 */   // Label 1464: @73386
     /*  73386 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(73470), // Rule ID 3736 //
     /*  73391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  73399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  73402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73419 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /*  73423 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  73427 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  73431 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3713:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, 16:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHLL_lws16th:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$src)
     /*  73431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lws16th),
     /*  73446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73448 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73468 */     GIR_RootConstrainSelectedInstOperands,
     /*  73469 */     // GIR_Coverage, 3736,
     /*  73469 */     GIR_EraseRootFromParent_Done,
     /*  73470 */   // Label 1465: @73470
     /*  73470 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(73554), // Rule ID 3740 //
     /*  73475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  73483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73503 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /*  73507 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  73511 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  73515 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3713:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, 8:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHLL_lwu8bh:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$src)
     /*  73515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lwu8bh),
     /*  73530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73532 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73537 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73552 */     GIR_RootConstrainSelectedInstOperands,
     /*  73553 */     // GIR_Coverage, 3740,
     /*  73553 */     GIR_EraseRootFromParent_Done,
     /*  73554 */   // Label 1466: @73554
     /*  73554 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(73638), // Rule ID 3744 //
     /*  73559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  73567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /*  73591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  73595 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  73599 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3713:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$src, 8:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHLL_lwu8th:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$src)
     /*  73599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lwu8th),
     /*  73614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73616 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73627 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73636 */     GIR_RootConstrainSelectedInstOperands,
     /*  73637 */     // GIR_Coverage, 3744,
     /*  73637 */     GIR_EraseRootFromParent_Done,
     /*  73638 */   // Label 1467: @73638
     /*  73638 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(73722), // Rule ID 3748 //
     /*  73643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  73651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  73654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /*  73675 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  73679 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  73683 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3713:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, 16:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHLL_lwu16bh:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$src)
     /*  73683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lwu16bh),
     /*  73698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73700 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73720 */     GIR_RootConstrainSelectedInstOperands,
     /*  73721 */     // GIR_Coverage, 3748,
     /*  73721 */     GIR_EraseRootFromParent_Done,
     /*  73722 */   // Label 1468: @73722
     /*  73722 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(73806), // Rule ID 3752 //
     /*  73727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshll_imm),
     /*  73732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  73735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  73738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  73741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /*  73759 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  73763 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  73767 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3713:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$src, 16:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHLL_lwu16th:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$src)
     /*  73767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHLL_lwu16th),
     /*  73782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73784 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  73786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73789 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73804 */     GIR_RootConstrainSelectedInstOperands,
     /*  73805 */     // GIR_Coverage, 3752,
     /*  73805 */     GIR_EraseRootFromParent_Done,
     /*  73806 */   // Label 1469: @73806
     /*  73806 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(73895), // Rule ID 4384 //
     /*  73811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  73814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  73819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  73822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  73828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  73850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  73854 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3669:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VMULLBs8:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  73854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBs8),
     /*  73869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  73873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  73875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73893 */     GIR_RootConstrainSelectedInstOperands,
     /*  73894 */     // GIR_Coverage, 4384,
     /*  73894 */     GIR_EraseRootFromParent_Done,
     /*  73895 */   // Label 1470: @73895
     /*  73895 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(73984), // Rule ID 4386 //
     /*  73900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  73903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  73908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  73911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  73917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  73920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  73923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  73935 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  73939 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  73943 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3669:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VMULLTs8:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  73943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  73946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  73950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTs8),
     /*  73958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  73960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  73962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  73964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  73967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73982 */     GIR_RootConstrainSelectedInstOperands,
     /*  73983 */     // GIR_Coverage, 4386,
     /*  73983 */     GIR_EraseRootFromParent_Done,
     /*  73984 */   // Label 1471: @73984
     /*  73984 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(74073), // Rule ID 4388 //
     /*  73989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  73992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  73997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  74000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  74003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  74006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74024 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  74028 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  74032 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3669:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VMULLBs16:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  74032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBs16),
     /*  74047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74051 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74071 */     GIR_RootConstrainSelectedInstOperands,
     /*  74072 */     // GIR_Coverage, 4388,
     /*  74072 */     GIR_EraseRootFromParent_Done,
     /*  74073 */   // Label 1472: @74073
     /*  74073 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(74162), // Rule ID 4390 //
     /*  74078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  74089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  74092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  74095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74113 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  74117 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  74121 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3669:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VMULLTs16:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  74121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTs16),
     /*  74136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74151 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74160 */     GIR_RootConstrainSelectedInstOperands,
     /*  74161 */     // GIR_Coverage, 4390,
     /*  74161 */     GIR_EraseRootFromParent_Done,
     /*  74162 */   // Label 1473: @74162
     /*  74162 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(74251), // Rule ID 4392 //
     /*  74167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  74178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  74181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  74184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74202 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  74206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  74210 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3669:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VMULLBs32:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  74210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBs32),
     /*  74225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74249 */     GIR_RootConstrainSelectedInstOperands,
     /*  74250 */     // GIR_Coverage, 4392,
     /*  74250 */     GIR_EraseRootFromParent_Done,
     /*  74251 */   // Label 1474: @74251
     /*  74251 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(74340), // Rule ID 4394 //
     /*  74256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  74267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  74270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  74273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74291 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  74295 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  74299 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3669:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VMULLTs32:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  74299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTs32),
     /*  74314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74338 */     GIR_RootConstrainSelectedInstOperands,
     /*  74339 */     // GIR_Coverage, 4394,
     /*  74339 */     GIR_EraseRootFromParent_Done,
     /*  74340 */   // Label 1475: @74340
     /*  74340 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(74429), // Rule ID 4396 //
     /*  74345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  74356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  74359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  74362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74380 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  74384 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  74388 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3669:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VMULLBu8:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  74388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBu8),
     /*  74403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74418 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74427 */     GIR_RootConstrainSelectedInstOperands,
     /*  74428 */     // GIR_Coverage, 4396,
     /*  74428 */     GIR_EraseRootFromParent_Done,
     /*  74429 */   // Label 1476: @74429
     /*  74429 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(74518), // Rule ID 4398 //
     /*  74434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  74445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  74448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  74451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  74473 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  74477 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3669:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VMULLTu8:{ *:[v8i16] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /*  74477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTu8),
     /*  74492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74501 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74507 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74516 */     GIR_RootConstrainSelectedInstOperands,
     /*  74517 */     // GIR_Coverage, 4398,
     /*  74517 */     GIR_EraseRootFromParent_Done,
     /*  74518 */   // Label 1477: @74518
     /*  74518 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(74607), // Rule ID 4400 //
     /*  74523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  74534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  74537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  74540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74558 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  74562 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  74566 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3669:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VMULLBu16:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  74566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBu16),
     /*  74581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74585 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74605 */     GIR_RootConstrainSelectedInstOperands,
     /*  74606 */     // GIR_Coverage, 4400,
     /*  74606 */     GIR_EraseRootFromParent_Done,
     /*  74607 */   // Label 1478: @74607
     /*  74607 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(74696), // Rule ID 4402 //
     /*  74612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  74623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  74626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  74629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74647 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  74651 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  74655 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3669:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VMULLTu16:{ *:[v4i32] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /*  74655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTu16),
     /*  74670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74694 */     GIR_RootConstrainSelectedInstOperands,
     /*  74695 */     // GIR_Coverage, 4402,
     /*  74695 */     GIR_EraseRootFromParent_Done,
     /*  74696 */   // Label 1479: @74696
     /*  74696 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(74785), // Rule ID 4404 //
     /*  74701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  74712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  74715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  74718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74736 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  74740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  74744 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3669:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VMULLBu32:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  74744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLBu32),
     /*  74759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74783 */     GIR_RootConstrainSelectedInstOperands,
     /*  74784 */     // GIR_Coverage, 4404,
     /*  74784 */     GIR_EraseRootFromParent_Done,
     /*  74785 */   // Label 1480: @74785
     /*  74785 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(74874), // Rule ID 4406 //
     /*  74790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  74793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmull),
     /*  74798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  74801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  74804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  74807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  74810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  74813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74825 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  74829 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  74833 */     // (intrinsic_wo_chain:{ *:[v2i64] } 3669:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VMULLTu32:{ *:[v2i64] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /*  74833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULLTu32),
     /*  74848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qm
     /*  74852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qn
     /*  74854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74857 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74872 */     GIR_RootConstrainSelectedInstOperands,
     /*  74873 */     // GIR_Coverage, 4406,
     /*  74873 */     GIR_EraseRootFromParent_Done,
     /*  74874 */   // Label 1481: @74874
     /*  74874 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(74972), // Rule ID 4029 //
     /*  74879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  74882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  74887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  74890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  74893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  74896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  74899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s16,
     /*  74902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  74910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  74914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  74918 */     // MIs[1] Operand 1
     /*  74918 */     // No operand predicates
     /*  74918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  74926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74928 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3612:{ *:[iPTR] }, 1:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v8f16] }:$Qn, MQPR:{ *:[v8f16] }:$Qm)  =>  (MVE_VCADDf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qn, MQPR:{ *:[v8f16] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  74928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  74931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  74935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCADDf16),
     /*  74943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  74945 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  74947 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  74949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  74952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74970 */     GIR_RootConstrainSelectedInstOperands,
     /*  74971 */     // GIR_Coverage, 4029,
     /*  74971 */     GIR_EraseRootFromParent_Done,
     /*  74972 */   // Label 1482: @74972
     /*  74972 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(75070), // Rule ID 4031 //
     /*  74977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  74980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  74985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  74988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  74991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  74994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  74997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /*  75000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75004 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  75008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  75012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75016 */     // MIs[1] Operand 1
     /*  75016 */     // No operand predicates
     /*  75016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75026 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3612:{ *:[iPTR] }, 1:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v4f32] }:$Qn, MQPR:{ *:[v4f32] }:$Qm)  =>  (MVE_VCADDf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qn, MQPR:{ *:[v4f32] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  75026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  75029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCADDf32),
     /*  75041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  75043 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75045 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  75050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75068 */     GIR_RootConstrainSelectedInstOperands,
     /*  75069 */     // GIR_Coverage, 4031,
     /*  75069 */     GIR_EraseRootFromParent_Done,
     /*  75070 */   // Label 1483: @75070
     /*  75070 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(75168), // Rule ID 4538 //
     /*  75075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  75083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  75086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  75095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v16s8,
     /*  75098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75102 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  75106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  75110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75114 */     // MIs[1] Operand 1
     /*  75114 */     // No operand predicates
     /*  75114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75124 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3612:{ *:[iPTR] }, 1:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VCADDi8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  75124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  75127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCADDi8),
     /*  75139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  75141 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75143 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  75148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75151 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75166 */     GIR_RootConstrainSelectedInstOperands,
     /*  75167 */     // GIR_Coverage, 4538,
     /*  75167 */     GIR_EraseRootFromParent_Done,
     /*  75168 */   // Label 1484: @75168
     /*  75168 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(75266), // Rule ID 4540 //
     /*  75173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  75181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  75184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  75193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s16,
     /*  75196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  75204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  75208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75212 */     // MIs[1] Operand 1
     /*  75212 */     // No operand predicates
     /*  75212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75222 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3612:{ *:[iPTR] }, 1:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VCADDi16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  75222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  75225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCADDi16),
     /*  75237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  75239 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75241 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  75246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75264 */     GIR_RootConstrainSelectedInstOperands,
     /*  75265 */     // GIR_Coverage, 4540,
     /*  75265 */     GIR_EraseRootFromParent_Done,
     /*  75266 */   // Label 1485: @75266
     /*  75266 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(75364), // Rule ID 4542 //
     /*  75271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  75279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  75282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  75291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /*  75294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75298 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  75302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  75306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75310 */     // MIs[1] Operand 1
     /*  75310 */     // No operand predicates
     /*  75310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75320 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3612:{ *:[iPTR] }, 1:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VCADDi32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  75320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  75323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCADDi32),
     /*  75335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  75337 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75339 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  75344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75347 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75362 */     GIR_RootConstrainSelectedInstOperands,
     /*  75363 */     // GIR_Coverage, 4542,
     /*  75363 */     GIR_EraseRootFromParent_Done,
     /*  75364 */   // Label 1486: @75364
     /*  75364 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(75462), // Rule ID 4544 //
     /*  75369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  75377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  75380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  75389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v16s8,
     /*  75392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  75400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  75404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75408 */     // MIs[1] Operand 1
     /*  75408 */     // No operand predicates
     /*  75408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75418 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3612:{ *:[iPTR] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VHCADDs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  75418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  75421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHCADDs8),
     /*  75433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  75435 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75437 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  75442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75451 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75460 */     GIR_RootConstrainSelectedInstOperands,
     /*  75461 */     // GIR_Coverage, 4544,
     /*  75461 */     GIR_EraseRootFromParent_Done,
     /*  75462 */   // Label 1487: @75462
     /*  75462 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(75560), // Rule ID 4546 //
     /*  75467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  75475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  75478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  75487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s16,
     /*  75490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75494 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  75498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  75502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75506 */     // MIs[1] Operand 1
     /*  75506 */     // No operand predicates
     /*  75506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75516 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3612:{ *:[iPTR] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VHCADDs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  75516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  75519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHCADDs16),
     /*  75531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  75533 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75535 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  75540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75558 */     GIR_RootConstrainSelectedInstOperands,
     /*  75559 */     // GIR_Coverage, 4546,
     /*  75559 */     GIR_EraseRootFromParent_Done,
     /*  75560 */   // Label 1488: @75560
     /*  75560 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(75658), // Rule ID 4548 //
     /*  75565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcaddq),
     /*  75573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  75576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  75585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /*  75588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  75596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  75600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75604 */     // MIs[1] Operand 1
     /*  75604 */     // No operand predicates
     /*  75604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75614 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3612:{ *:[iPTR] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VHCADDs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  75614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  75617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VHCADDs32),
     /*  75629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  75631 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75633 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  75638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75641 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75647 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75656 */     GIR_RootConstrainSelectedInstOperands,
     /*  75657 */     // GIR_Coverage, 4548,
     /*  75657 */     GIR_EraseRootFromParent_Done,
     /*  75658 */   // Label 1489: @75658
     /*  75658 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(75734), // Rule ID 3034 //
     /*  75663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabav),
     /*  75671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  75674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  75683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v16s8,
     /*  75686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75690 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  75694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75706 */     // (intrinsic_wo_chain:{ *:[i32] } 3605:{ *:[iPTR] }, 0:{ *:[i32] }, rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VABAVs8:{ *:[i32] } rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  75706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABAVs8),
     /*  75709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*  75711 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rda_src
     /*  75713 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75715 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75732 */     GIR_RootConstrainSelectedInstOperands,
     /*  75733 */     // GIR_Coverage, 3034,
     /*  75733 */     GIR_EraseRootFromParent_Done,
     /*  75734 */   // Label 1490: @75734
     /*  75734 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(75810), // Rule ID 3036 //
     /*  75739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabav),
     /*  75747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  75750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  75759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s16,
     /*  75762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75766 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  75770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75782 */     // (intrinsic_wo_chain:{ *:[i32] } 3605:{ *:[iPTR] }, 0:{ *:[i32] }, rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VABAVs16:{ *:[i32] } rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  75782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABAVs16),
     /*  75785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*  75787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rda_src
     /*  75789 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75791 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75802 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75808 */     GIR_RootConstrainSelectedInstOperands,
     /*  75809 */     // GIR_Coverage, 3036,
     /*  75809 */     GIR_EraseRootFromParent_Done,
     /*  75810 */   // Label 1491: @75810
     /*  75810 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(75886), // Rule ID 3038 //
     /*  75815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabav),
     /*  75823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  75826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  75835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /*  75838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75842 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  75846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75858 */     // (intrinsic_wo_chain:{ *:[i32] } 3605:{ *:[iPTR] }, 0:{ *:[i32] }, rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VABAVs32:{ *:[i32] } rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  75858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABAVs32),
     /*  75861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*  75863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rda_src
     /*  75865 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75867 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75884 */     GIR_RootConstrainSelectedInstOperands,
     /*  75885 */     // GIR_Coverage, 3038,
     /*  75885 */     GIR_EraseRootFromParent_Done,
     /*  75886 */   // Label 1492: @75886
     /*  75886 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(75962), // Rule ID 3040 //
     /*  75891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabav),
     /*  75899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  75902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  75911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v16s8,
     /*  75914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  75922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  75934 */     // (intrinsic_wo_chain:{ *:[i32] } 3605:{ *:[iPTR] }, 1:{ *:[i32] }, rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VABAVu8:{ *:[i32] } rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  75934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABAVu8),
     /*  75937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*  75939 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rda_src
     /*  75941 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  75943 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  75945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  75960 */     GIR_RootConstrainSelectedInstOperands,
     /*  75961 */     // GIR_Coverage, 3040,
     /*  75961 */     GIR_EraseRootFromParent_Done,
     /*  75962 */   // Label 1493: @75962
     /*  75962 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(76038), // Rule ID 3042 //
     /*  75967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  75970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabav),
     /*  75975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  75978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  75981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  75984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  75987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s16,
     /*  75990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  75994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  75998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  76002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76010 */     // (intrinsic_wo_chain:{ *:[i32] } 3605:{ *:[iPTR] }, 1:{ *:[i32] }, rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VABAVu16:{ *:[i32] } rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  76010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABAVu16),
     /*  76013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*  76015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rda_src
     /*  76017 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  76019 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  76021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76036 */     GIR_RootConstrainSelectedInstOperands,
     /*  76037 */     // GIR_Coverage, 3042,
     /*  76037 */     GIR_EraseRootFromParent_Done,
     /*  76038 */   // Label 1494: @76038
     /*  76038 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(76114), // Rule ID 3044 //
     /*  76043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  76046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vabav),
     /*  76051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  76054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  76057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  76060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  76063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /*  76066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  76070 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  76074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  76078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76086 */     // (intrinsic_wo_chain:{ *:[i32] } 3605:{ *:[iPTR] }, 1:{ *:[i32] }, rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VABAVu32:{ *:[i32] } rGPR:{ *:[i32] }:$Rda_src, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  76086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABAVu32),
     /*  76089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /*  76091 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rda_src
     /*  76093 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  76095 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  76097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76106 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76112 */     GIR_RootConstrainSelectedInstOperands,
     /*  76113 */     // GIR_Coverage, 3044,
     /*  76113 */     GIR_EraseRootFromParent_Done,
     /*  76114 */   // Label 1495: @76114
     /*  76114 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(76199), // Rule ID 3993 //
     /*  76119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  76122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcmlaq),
     /*  76127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  76130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  76133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  76136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  76139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s16,
     /*  76142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  76154 */     // MIs[1] Operand 1
     /*  76154 */     // No operand predicates
     /*  76154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76168 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3615:{ *:[iPTR] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v8f16] }:$Qd_src, MQPR:{ *:[v8f16] }:$Qn, MQPR:{ *:[v8f16] }:$Qm)  =>  (MVE_VCMLAf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qd_src, MQPR:{ *:[v8f16] }:$Qn, MQPR:{ *:[v8f16] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  76168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMLAf16),
     /*  76171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  76173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qd_src
     /*  76175 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  76177 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  76179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  76182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76191 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76197 */     GIR_RootConstrainSelectedInstOperands,
     /*  76198 */     // GIR_Coverage, 3993,
     /*  76198 */     GIR_EraseRootFromParent_Done,
     /*  76199 */   // Label 1496: @76199
     /*  76199 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(76284), // Rule ID 3996 //
     /*  76204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /*  76207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vcmlaq),
     /*  76212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  76215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  76218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  76221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  76224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /*  76227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  76239 */     // MIs[1] Operand 1
     /*  76239 */     // No operand predicates
     /*  76239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76253 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3615:{ *:[iPTR] }, (imm:{ *:[i32] }):$rot, MQPR:{ *:[v4f32] }:$Qd_src, MQPR:{ *:[v4f32] }:$Qn, MQPR:{ *:[v4f32] }:$Qm)  =>  (MVE_VCMLAf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qd_src, MQPR:{ *:[v4f32] }:$Qn, MQPR:{ *:[v4f32] }:$Qm, (imm:{ *:[i32] }):$rot)
     /*  76253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMLAf32),
     /*  76256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  76258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qd_src
     /*  76260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Qn
     /*  76262 */     GIR_RootToRootCopy, /*OpIdx*/5, // Qm
     /*  76264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rot
     /*  76267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76282 */     GIR_RootConstrainSelectedInstOperands,
     /*  76283 */     // GIR_Coverage, 3996,
     /*  76283 */     GIR_EraseRootFromParent_Done,
     /*  76284 */   // Label 1497: @76284
     /*  76284 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(76380), // Rule ID 2685 //
     /*  76289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vtbx2),
     /*  76297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  76300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  76306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  76309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s8,
     /*  76312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  76316 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3864:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$orig, v8i8:{ *:[v8i8] }:$Vn0, v8i8:{ *:[v8i8] }:$Vn1, v8i8:{ *:[v8i8] }:$Vm)  =>  (VTBX2:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$orig, (REG_SEQUENCE:{ *:[v16i8] } DPair:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn0, dsub_0:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn1, dsub_1:{ *:[i32] }), v8i8:{ *:[v8i8] }:$Vm)
     /*  76316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  76319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  76323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Vn0
     /*  76332 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  76335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // Vn1
     /*  76339 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  76342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPairRegClassID),
     /*  76347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  76352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  76357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTBX2),
     /*  76360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76362 */     GIR_RootToRootCopy, /*OpIdx*/2, // orig
     /*  76364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76367 */     GIR_RootToRootCopy, /*OpIdx*/5, // Vm
     /*  76369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  76372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76378 */     GIR_RootConstrainSelectedInstOperands,
     /*  76379 */     // GIR_Coverage, 2685,
     /*  76379 */     GIR_EraseRootFromParent_Done,
     /*  76380 */   // Label 1498: @76380
     /*  76380 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(76511), // Rule ID 2686 //
     /*  76385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vtbl3),
     /*  76393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  76396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  76402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  76405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s8,
     /*  76408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  76412 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3861:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Vn0, v8i8:{ *:[v8i8] }:$Vn1, v8i8:{ *:[v8i8] }:$Vn2, v8i8:{ *:[v8i8] }:$Vm)  =>  (VTBL3Pseudo:{ *:[v8i8] } (REG_SEQUENCE:{ *:[v4i64] } QQPR:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn0, dsub_0:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn1, dsub_1:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn2, dsub_2:{ *:[i32] }, (IMPLICIT_DEF:{ *:[v8i8] }), dsub_3:{ *:[i32] }), v8i8:{ *:[v8i8] }:$Vm)
     /*  76412 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s8,
     /*  76415 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76419 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  76426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /*  76429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  76433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Vn0
     /*  76442 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  76445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Vn1
     /*  76449 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  76452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // Vn2
     /*  76456 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /*  76459 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  76462 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /*  76465 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::QQPRRegClassID),
     /*  76470 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  76475 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  76480 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/5, GIMT_Encode2(ARM::DPRRegClassID),
     /*  76485 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/7, GIMT_Encode2(ARM::DPRRegClassID),
     /*  76490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTBL3Pseudo),
     /*  76493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76498 */     GIR_RootToRootCopy, /*OpIdx*/5, // Vm
     /*  76500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  76503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76509 */     GIR_RootConstrainSelectedInstOperands,
     /*  76510 */     // GIR_Coverage, 2686,
     /*  76510 */     GIR_EraseRootFromParent_Done,
     /*  76511 */   // Label 1499: @76511
     /*  76511 */   GIM_Reject,
     /*  76512 */ // Label 1461: @76512
     /*  76512 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(81818),
     /*  76517 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  76520 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(76613), // Rule ID 3835 //
     /*  76525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  76530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  76533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  76539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  76542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  76545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  76548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76560 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  76564 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  76568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  76572 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHL_by_vecs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  76572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  76575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_by_vecs8),
     /*  76587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  76589 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  76591 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  76593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76611 */     GIR_RootConstrainSelectedInstOperands,
     /*  76612 */     // GIR_Coverage, 3835,
     /*  76612 */     GIR_EraseRootFromParent_Done,
     /*  76613 */   // Label 1501: @76613
     /*  76613 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(76706), // Rule ID 3837 //
     /*  76618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  76623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  76626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  76632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  76635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  76638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  76641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76653 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  76657 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  76661 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  76665 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHL_by_vecs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  76665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  76668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_by_vecs16),
     /*  76680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  76682 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  76684 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  76686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76704 */     GIR_RootConstrainSelectedInstOperands,
     /*  76705 */     // GIR_Coverage, 3837,
     /*  76705 */     GIR_EraseRootFromParent_Done,
     /*  76706 */   // Label 1502: @76706
     /*  76706 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(76799), // Rule ID 3839 //
     /*  76711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  76716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  76719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  76725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  76728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  76731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  76734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  76750 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  76754 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  76758 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHL_by_vecs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  76758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  76761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_by_vecs32),
     /*  76773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  76775 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  76777 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  76779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76797 */     GIR_RootConstrainSelectedInstOperands,
     /*  76798 */     // GIR_Coverage, 3839,
     /*  76798 */     GIR_EraseRootFromParent_Done,
     /*  76799 */   // Label 1503: @76799
     /*  76799 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(76892), // Rule ID 3841 //
     /*  76804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  76809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  76812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  76818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  76821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  76824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  76827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76839 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  76843 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  76847 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  76851 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHL_by_vecu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  76851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  76854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_by_vecu8),
     /*  76866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  76868 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  76870 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  76872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76890 */     GIR_RootConstrainSelectedInstOperands,
     /*  76891 */     // GIR_Coverage, 3841,
     /*  76891 */     GIR_EraseRootFromParent_Done,
     /*  76892 */   // Label 1504: @76892
     /*  76892 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(76985), // Rule ID 3843 //
     /*  76897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  76902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  76905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  76911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  76914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  76917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  76920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  76932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  76936 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  76940 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  76944 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHL_by_vecu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  76944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  76947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_by_vecu16),
     /*  76959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  76961 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  76963 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  76965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  76980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76983 */     GIR_RootConstrainSelectedInstOperands,
     /*  76984 */     // GIR_Coverage, 3843,
     /*  76984 */     GIR_EraseRootFromParent_Done,
     /*  76985 */   // Label 1505: @76985
     /*  76985 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(77078), // Rule ID 3845 //
     /*  76990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  76995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  76998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  77001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  77004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77025 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  77029 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  77033 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  77037 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHL_by_vecu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  77037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_by_vecu32),
     /*  77052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77054 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77056 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77061 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77067 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77076 */     GIR_RootConstrainSelectedInstOperands,
     /*  77077 */     // GIR_Coverage, 3845,
     /*  77077 */     GIR_EraseRootFromParent_Done,
     /*  77078 */   // Label 1506: @77078
     /*  77078 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(77171), // Rule ID 3847 //
     /*  77083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  77091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77122 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  77126 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  77130 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHL_by_vecs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  77130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_by_vecs8),
     /*  77145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77147 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77149 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77169 */     GIR_RootConstrainSelectedInstOperands,
     /*  77170 */     // GIR_Coverage, 3847,
     /*  77170 */     GIR_EraseRootFromParent_Done,
     /*  77171 */   // Label 1507: @77171
     /*  77171 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(77264), // Rule ID 3849 //
     /*  77176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  77184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  77190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77211 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77215 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  77219 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  77223 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHL_by_vecs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  77223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_by_vecs16),
     /*  77238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77240 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77242 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77262 */     GIR_RootConstrainSelectedInstOperands,
     /*  77263 */     // GIR_Coverage, 3849,
     /*  77263 */     GIR_EraseRootFromParent_Done,
     /*  77264 */   // Label 1508: @77264
     /*  77264 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(77357), // Rule ID 3851 //
     /*  77269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  77277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  77280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  77283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77308 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  77312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  77316 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHL_by_vecs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  77316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_by_vecs32),
     /*  77331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77333 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77335 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77355 */     GIR_RootConstrainSelectedInstOperands,
     /*  77356 */     // GIR_Coverage, 3851,
     /*  77356 */     GIR_EraseRootFromParent_Done,
     /*  77357 */   // Label 1509: @77357
     /*  77357 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(77450), // Rule ID 3853 //
     /*  77362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  77370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77397 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77401 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  77405 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  77409 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHL_by_vecu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  77409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_by_vecu8),
     /*  77424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77426 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77428 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77448 */     GIR_RootConstrainSelectedInstOperands,
     /*  77449 */     // GIR_Coverage, 3853,
     /*  77449 */     GIR_EraseRootFromParent_Done,
     /*  77450 */   // Label 1510: @77450
     /*  77450 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(77543), // Rule ID 3855 //
     /*  77455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  77463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  77469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77490 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77494 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  77498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  77502 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHL_by_vecu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  77502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_by_vecu16),
     /*  77517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77519 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77521 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77541 */     GIR_RootConstrainSelectedInstOperands,
     /*  77542 */     // GIR_Coverage, 3855,
     /*  77542 */     GIR_EraseRootFromParent_Done,
     /*  77543 */   // Label 1511: @77543
     /*  77543 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(77636), // Rule ID 3857 //
     /*  77548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  77556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  77559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  77562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77583 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  77591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  77595 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHL_by_vecu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  77595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_by_vecu32),
     /*  77610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77612 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77614 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77634 */     GIR_RootConstrainSelectedInstOperands,
     /*  77635 */     // GIR_Coverage, 3857,
     /*  77635 */     GIR_EraseRootFromParent_Done,
     /*  77636 */   // Label 1512: @77636
     /*  77636 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(77729), // Rule ID 3859 //
     /*  77641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  77649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77676 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77680 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  77684 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  77688 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHL_by_vecs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  77688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_by_vecs8),
     /*  77703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77705 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77707 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77727 */     GIR_RootConstrainSelectedInstOperands,
     /*  77728 */     // GIR_Coverage, 3859,
     /*  77728 */     GIR_EraseRootFromParent_Done,
     /*  77729 */   // Label 1513: @77729
     /*  77729 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(77822), // Rule ID 3861 //
     /*  77734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  77742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  77748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77769 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77773 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  77777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  77781 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHL_by_vecs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  77781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_by_vecs16),
     /*  77796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77798 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77800 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77820 */     GIR_RootConstrainSelectedInstOperands,
     /*  77821 */     // GIR_Coverage, 3861,
     /*  77821 */     GIR_EraseRootFromParent_Done,
     /*  77822 */   // Label 1514: @77822
     /*  77822 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(77915), // Rule ID 3863 //
     /*  77827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  77835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  77838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  77841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77862 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  77870 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  77874 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHL_by_vecs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  77874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_by_vecs32),
     /*  77889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77891 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77893 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77913 */     GIR_RootConstrainSelectedInstOperands,
     /*  77914 */     // GIR_Coverage, 3863,
     /*  77914 */     GIR_EraseRootFromParent_Done,
     /*  77915 */   // Label 1515: @77915
     /*  77915 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(78008), // Rule ID 3865 //
     /*  77920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  77925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  77928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  77937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  77940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  77943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  77955 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  77959 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  77963 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  77967 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHL_by_vecu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  77967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  77970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_by_vecu8),
     /*  77982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  77984 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  77986 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  77988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  77997 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78006 */     GIR_RootConstrainSelectedInstOperands,
     /*  78007 */     // GIR_Coverage, 3865,
     /*  78007 */     GIR_EraseRootFromParent_Done,
     /*  78008 */   // Label 1516: @78008
     /*  78008 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(78101), // Rule ID 3867 //
     /*  78013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  78021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  78024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  78027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  78052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78056 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  78060 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHL_by_vecu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  78060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_by_vecu16),
     /*  78075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78077 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78079 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78099 */     GIR_RootConstrainSelectedInstOperands,
     /*  78100 */     // GIR_Coverage, 3867,
     /*  78100 */     GIR_EraseRootFromParent_Done,
     /*  78101 */   // Label 1517: @78101
     /*  78101 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(78194), // Rule ID 3869 //
     /*  78106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  78114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  78117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  78120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78141 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  78145 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78149 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  78153 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHL_by_vecu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  78153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_by_vecu32),
     /*  78168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78170 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78172 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78177 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78192 */     GIR_RootConstrainSelectedInstOperands,
     /*  78193 */     // GIR_Coverage, 3869,
     /*  78193 */     GIR_EraseRootFromParent_Done,
     /*  78194 */   // Label 1518: @78194
     /*  78194 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(78287), // Rule ID 3871 //
     /*  78199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  78207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  78210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  78213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78234 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78238 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78242 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  78246 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHL_by_vecs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  78246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_by_vecs8),
     /*  78261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78263 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78265 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78285 */     GIR_RootConstrainSelectedInstOperands,
     /*  78286 */     // GIR_Coverage, 3871,
     /*  78286 */     GIR_EraseRootFromParent_Done,
     /*  78287 */   // Label 1519: @78287
     /*  78287 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(78380), // Rule ID 3873 //
     /*  78292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  78300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  78303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  78306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78335 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  78339 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHL_by_vecs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  78339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_by_vecs16),
     /*  78354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78356 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78358 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78378 */     GIR_RootConstrainSelectedInstOperands,
     /*  78379 */     // GIR_Coverage, 3873,
     /*  78379 */     GIR_EraseRootFromParent_Done,
     /*  78380 */   // Label 1520: @78380
     /*  78380 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(78473), // Rule ID 3875 //
     /*  78385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  78393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  78396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  78399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78420 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78424 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78428 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  78432 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHL_by_vecs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  78432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_by_vecs32),
     /*  78447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78449 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78451 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78456 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78471 */     GIR_RootConstrainSelectedInstOperands,
     /*  78472 */     // GIR_Coverage, 3875,
     /*  78472 */     GIR_EraseRootFromParent_Done,
     /*  78473 */   // Label 1521: @78473
     /*  78473 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(78566), // Rule ID 3877 //
     /*  78478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  78486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  78489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  78492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78513 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78517 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78521 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  78525 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3709:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHL_by_vecu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, MQPR:{ *:[v16i8] }:$sh)
     /*  78525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_by_vecu8),
     /*  78540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78542 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78544 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78564 */     GIR_RootConstrainSelectedInstOperands,
     /*  78565 */     // GIR_Coverage, 3877,
     /*  78565 */     GIR_EraseRootFromParent_Done,
     /*  78566 */   // Label 1522: @78566
     /*  78566 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(78659), // Rule ID 3879 //
     /*  78571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  78579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  78582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  78585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78610 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78614 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  78618 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3709:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHL_by_vecu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, MQPR:{ *:[v8i16] }:$sh)
     /*  78618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_by_vecu16),
     /*  78633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78635 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78637 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78657 */     GIR_RootConstrainSelectedInstOperands,
     /*  78658 */     // GIR_Coverage, 3879,
     /*  78658 */     GIR_EraseRootFromParent_Done,
     /*  78659 */   // Label 1523: @78659
     /*  78659 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(78752), // Rule ID 3881 //
     /*  78664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_vector),
     /*  78669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  78672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  78675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  78678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78699 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78703 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  78707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  78711 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3709:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHL_by_vecu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, MQPR:{ *:[v4i32] }:$sh)
     /*  78711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_by_vecu32),
     /*  78726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78728 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  78730 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  78732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78750 */     GIR_RootConstrainSelectedInstOperands,
     /*  78751 */     // GIR_Coverage, 3881,
     /*  78751 */     GIR_EraseRootFromParent_Done,
     /*  78752 */   // Label 1524: @78752
     /*  78752 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(78830), // Rule ID 4486 //
     /*  78757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  78762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  78765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  78768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  78771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78792 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  78800 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  78804 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3680:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQMOVNs32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm)
     /*  78804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNs32bh),
     /*  78807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  78811 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  78813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78822 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78828 */     GIR_RootConstrainSelectedInstOperands,
     /*  78829 */     // GIR_Coverage, 4486,
     /*  78829 */     GIR_EraseRootFromParent_Done,
     /*  78830 */   // Label 1525: @78830
     /*  78830 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(78908), // Rule ID 4488 //
     /*  78835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  78840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  78843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  78846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  78849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78870 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78874 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  78878 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  78882 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3680:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQMOVNs32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm)
     /*  78882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNs32th),
     /*  78885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  78889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  78891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78906 */     GIR_RootConstrainSelectedInstOperands,
     /*  78907 */     // GIR_Coverage, 4488,
     /*  78907 */     GIR_EraseRootFromParent_Done,
     /*  78908 */   // Label 1526: @78908
     /*  78908 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(78986), // Rule ID 4490 //
     /*  78913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  78918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  78921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  78924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  78927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  78930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  78933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  78936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  78948 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  78952 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  78956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  78960 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3680:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQMOVNs16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm)
     /*  78960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNs16bh),
     /*  78963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  78965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  78967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  78969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  78984 */     GIR_RootConstrainSelectedInstOperands,
     /*  78985 */     // GIR_Coverage, 4490,
     /*  78985 */     GIR_EraseRootFromParent_Done,
     /*  78986 */   // Label 1527: @78986
     /*  78986 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(79064), // Rule ID 4492 //
     /*  78991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  78996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  78999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  79002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  79005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79026 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  79030 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79034 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  79038 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3680:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQMOVNs16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm)
     /*  79038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNs16th),
     /*  79041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79062 */     GIR_RootConstrainSelectedInstOperands,
     /*  79063 */     // GIR_Coverage, 4492,
     /*  79063 */     GIR_EraseRootFromParent_Done,
     /*  79064 */   // Label 1528: @79064
     /*  79064 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(79142), // Rule ID 4494 //
     /*  79069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  79077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  79080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79104 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  79112 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  79116 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3680:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQMOVNu32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm)
     /*  79116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNu32bh),
     /*  79119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79140 */     GIR_RootConstrainSelectedInstOperands,
     /*  79141 */     // GIR_Coverage, 4494,
     /*  79141 */     GIR_EraseRootFromParent_Done,
     /*  79142 */   // Label 1529: @79142
     /*  79142 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(79220), // Rule ID 4496 //
     /*  79147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  79155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  79158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79186 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  79190 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  79194 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3680:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQMOVNu32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm)
     /*  79194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNu32th),
     /*  79197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79201 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79218 */     GIR_RootConstrainSelectedInstOperands,
     /*  79219 */     // GIR_Coverage, 4496,
     /*  79219 */     GIR_EraseRootFromParent_Done,
     /*  79220 */   // Label 1530: @79220
     /*  79220 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(79298), // Rule ID 4498 //
     /*  79225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  79233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  79236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  79239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79260 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  79268 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  79272 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3680:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQMOVNu16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm)
     /*  79272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNu16bh),
     /*  79275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79290 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79296 */     GIR_RootConstrainSelectedInstOperands,
     /*  79297 */     // GIR_Coverage, 4498,
     /*  79297 */     GIR_EraseRootFromParent_Done,
     /*  79298 */   // Label 1531: @79298
     /*  79298 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(79376), // Rule ID 4500 //
     /*  79303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  79311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  79314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  79317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79338 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79342 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  79346 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  79350 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3680:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQMOVNu16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm)
     /*  79350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVNu16th),
     /*  79353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79374 */     GIR_RootConstrainSelectedInstOperands,
     /*  79375 */     // GIR_Coverage, 4500,
     /*  79375 */     GIR_EraseRootFromParent_Done,
     /*  79376 */   // Label 1532: @79376
     /*  79376 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(79454), // Rule ID 4502 //
     /*  79381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  79389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  79392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79420 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79424 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  79428 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3680:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQMOVUNs32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm)
     /*  79428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVUNs32bh),
     /*  79431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79446 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79452 */     GIR_RootConstrainSelectedInstOperands,
     /*  79453 */     // GIR_Coverage, 4502,
     /*  79453 */     GIR_EraseRootFromParent_Done,
     /*  79454 */   // Label 1533: @79454
     /*  79454 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(79532), // Rule ID 4504 //
     /*  79459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  79467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  79470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79494 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79502 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  79506 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3680:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQMOVUNs32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd_src, MQPR:{ *:[v4i32] }:$Qm)
     /*  79506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVUNs32th),
     /*  79509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79530 */     GIR_RootConstrainSelectedInstOperands,
     /*  79531 */     // GIR_Coverage, 4504,
     /*  79531 */     GIR_EraseRootFromParent_Done,
     /*  79532 */   // Label 1534: @79532
     /*  79532 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(79610), // Rule ID 4506 //
     /*  79537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  79545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  79548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  79551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79576 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79580 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  79584 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3680:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQMOVUNs16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm)
     /*  79584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVUNs16bh),
     /*  79587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79608 */     GIR_RootConstrainSelectedInstOperands,
     /*  79609 */     // GIR_Coverage, 4506,
     /*  79609 */     GIR_EraseRootFromParent_Done,
     /*  79610 */   // Label 1535: @79610
     /*  79610 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(79688), // Rule ID 4508 //
     /*  79615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqmovn),
     /*  79620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  79623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  79626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  79629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79650 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  79654 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79658 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  79662 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3680:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQMOVUNs16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd_src, MQPR:{ *:[v8i16] }:$Qm)
     /*  79662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQMOVUNs16th),
     /*  79665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd_src
     /*  79669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  79671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79686 */     GIR_RootConstrainSelectedInstOperands,
     /*  79687 */     // GIR_Coverage, 4508,
     /*  79687 */     GIR_EraseRootFromParent_Done,
     /*  79688 */   // Label 1536: @79688
     /*  79688 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(79766), // Rule ID 4698 //
     /*  79693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  79698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  79701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  79704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  79707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  79728 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  79732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79736 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  79740 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHL_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  79740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_qrs8),
     /*  79743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79745 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  79747 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  79749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79764 */     GIR_RootConstrainSelectedInstOperands,
     /*  79765 */     // GIR_Coverage, 4698,
     /*  79765 */     GIR_EraseRootFromParent_Done,
     /*  79766 */   // Label 1537: @79766
     /*  79766 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(79844), // Rule ID 4700 //
     /*  79771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  79776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  79779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  79782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  79785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  79806 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  79810 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79814 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  79818 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHL_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  79818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_qrs16),
     /*  79821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79823 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  79825 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  79827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79842 */     GIR_RootConstrainSelectedInstOperands,
     /*  79843 */     // GIR_Coverage, 4700,
     /*  79843 */     GIR_EraseRootFromParent_Done,
     /*  79844 */   // Label 1538: @79844
     /*  79844 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(79922), // Rule ID 4702 //
     /*  79849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  79854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  79857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  79860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  79863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  79884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  79888 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79892 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  79896 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHL_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  79896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_qrs32),
     /*  79899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79901 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  79903 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  79905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79920 */     GIR_RootConstrainSelectedInstOperands,
     /*  79921 */     // GIR_Coverage, 4702,
     /*  79921 */     GIR_EraseRootFromParent_Done,
     /*  79922 */   // Label 1539: @79922
     /*  79922 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(80000), // Rule ID 4704 //
     /*  79927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  79932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  79935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  79938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  79941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  79944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  79947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  79950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  79958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  79962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  79966 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  79970 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  79974 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHL_qru8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  79974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_qru8),
     /*  79977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  79979 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  79981 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  79983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  79998 */     GIR_RootConstrainSelectedInstOperands,
     /*  79999 */     // GIR_Coverage, 4704,
     /*  79999 */     GIR_EraseRootFromParent_Done,
     /*  80000 */   // Label 1540: @80000
     /*  80000 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(80078), // Rule ID 4706 //
     /*  80005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  80013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  80016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  80048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  80052 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHL_qru16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_qru16),
     /*  80055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80057 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80059 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80076 */     GIR_RootConstrainSelectedInstOperands,
     /*  80077 */     // GIR_Coverage, 4706,
     /*  80077 */     GIR_EraseRootFromParent_Done,
     /*  80078 */   // Label 1541: @80078
     /*  80078 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(80156), // Rule ID 4708 //
     /*  80083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  80091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  80094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80122 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  80126 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  80130 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHL_qru32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHL_qru32),
     /*  80133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80135 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80137 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80154 */     GIR_RootConstrainSelectedInstOperands,
     /*  80155 */     // GIR_Coverage, 4708,
     /*  80155 */     GIR_EraseRootFromParent_Done,
     /*  80156 */   // Label 1542: @80156
     /*  80156 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(80234), // Rule ID 4710 //
     /*  80161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  80169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  80172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  80204 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  80208 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHL_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_qrs8),
     /*  80211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80213 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80215 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80232 */     GIR_RootConstrainSelectedInstOperands,
     /*  80233 */     // GIR_Coverage, 4710,
     /*  80233 */     GIR_EraseRootFromParent_Done,
     /*  80234 */   // Label 1543: @80234
     /*  80234 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(80312), // Rule ID 4712 //
     /*  80239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  80247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  80250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80274 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80278 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  80282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  80286 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHL_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_qrs16),
     /*  80289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80291 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80293 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80310 */     GIR_RootConstrainSelectedInstOperands,
     /*  80311 */     // GIR_Coverage, 4712,
     /*  80311 */     GIR_EraseRootFromParent_Done,
     /*  80312 */   // Label 1544: @80312
     /*  80312 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(80390), // Rule ID 4714 //
     /*  80317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  80325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  80328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80356 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  80360 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  80364 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHL_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_qrs32),
     /*  80367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80369 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80371 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80376 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80382 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80388 */     GIR_RootConstrainSelectedInstOperands,
     /*  80389 */     // GIR_Coverage, 4714,
     /*  80389 */     GIR_EraseRootFromParent_Done,
     /*  80390 */   // Label 1545: @80390
     /*  80390 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(80468), // Rule ID 4716 //
     /*  80395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  80403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  80406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80430 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80434 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  80438 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  80442 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHL_qru8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_qru8),
     /*  80445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80447 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80449 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80466 */     GIR_RootConstrainSelectedInstOperands,
     /*  80467 */     // GIR_Coverage, 4716,
     /*  80467 */     GIR_EraseRootFromParent_Done,
     /*  80468 */   // Label 1546: @80468
     /*  80468 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(80546), // Rule ID 4718 //
     /*  80473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  80481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  80484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80512 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  80516 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  80520 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHL_qru16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_qru16),
     /*  80523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80525 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80527 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80544 */     GIR_RootConstrainSelectedInstOperands,
     /*  80545 */     // GIR_Coverage, 4718,
     /*  80545 */     GIR_EraseRootFromParent_Done,
     /*  80546 */   // Label 1547: @80546
     /*  80546 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(80624), // Rule ID 4720 //
     /*  80551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  80559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  80562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80586 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  80590 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  80594 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  80598 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHL_qru32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHL_qru32),
     /*  80601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80603 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80605 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80616 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80622 */     GIR_RootConstrainSelectedInstOperands,
     /*  80623 */     // GIR_Coverage, 4720,
     /*  80623 */     GIR_EraseRootFromParent_Done,
     /*  80624 */   // Label 1548: @80624
     /*  80624 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(80702), // Rule ID 4722 //
     /*  80629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  80637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  80640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  80668 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  80672 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  80676 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHL_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_qrs8),
     /*  80679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80681 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80683 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80700 */     GIR_RootConstrainSelectedInstOperands,
     /*  80701 */     // GIR_Coverage, 4722,
     /*  80701 */     GIR_EraseRootFromParent_Done,
     /*  80702 */   // Label 1549: @80702
     /*  80702 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(80780), // Rule ID 4724 //
     /*  80707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  80715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  80718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  80746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  80750 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  80754 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHL_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_qrs16),
     /*  80757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80759 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80761 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80778 */     GIR_RootConstrainSelectedInstOperands,
     /*  80779 */     // GIR_Coverage, 4724,
     /*  80779 */     GIR_EraseRootFromParent_Done,
     /*  80780 */   // Label 1550: @80780
     /*  80780 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(80858), // Rule ID 4726 //
     /*  80785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  80793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  80796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80820 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  80824 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  80828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  80832 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHL_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_qrs32),
     /*  80835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80837 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80839 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80856 */     GIR_RootConstrainSelectedInstOperands,
     /*  80857 */     // GIR_Coverage, 4726,
     /*  80857 */     GIR_EraseRootFromParent_Done,
     /*  80858 */   // Label 1551: @80858
     /*  80858 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(80936), // Rule ID 4728 //
     /*  80863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  80871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  80874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80898 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  80902 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  80906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  80910 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHL_qru8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_qru8),
     /*  80913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80915 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80917 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  80934 */     GIR_RootConstrainSelectedInstOperands,
     /*  80935 */     // GIR_Coverage, 4728,
     /*  80935 */     GIR_EraseRootFromParent_Done,
     /*  80936 */   // Label 1552: @80936
     /*  80936 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(81014), // Rule ID 4730 //
     /*  80941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  80946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  80949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  80952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  80955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  80958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  80961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  80964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  80972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  80976 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  80980 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  80984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  80988 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHL_qru16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  80988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_qru16),
     /*  80991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  80993 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  80995 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  80997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81012 */     GIR_RootConstrainSelectedInstOperands,
     /*  81013 */     // GIR_Coverage, 4730,
     /*  81013 */     GIR_EraseRootFromParent_Done,
     /*  81014 */   // Label 1553: @81014
     /*  81014 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(81092), // Rule ID 4732 //
     /*  81019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  81024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  81027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  81030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  81042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  81054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  81062 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  81066 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHL_qru32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  81066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHL_qru32),
     /*  81069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  81071 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  81073 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  81075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81090 */     GIR_RootConstrainSelectedInstOperands,
     /*  81091 */     // GIR_Coverage, 4732,
     /*  81091 */     GIR_EraseRootFromParent_Done,
     /*  81092 */   // Label 1554: @81092
     /*  81092 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(81170), // Rule ID 4734 //
     /*  81097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  81102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  81105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  81108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  81120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  81132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81136 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  81140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  81144 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHL_qrs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  81144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_qrs8),
     /*  81147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  81149 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  81151 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  81153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81168 */     GIR_RootConstrainSelectedInstOperands,
     /*  81169 */     // GIR_Coverage, 4734,
     /*  81169 */     GIR_EraseRootFromParent_Done,
     /*  81170 */   // Label 1555: @81170
     /*  81170 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(81248), // Rule ID 4736 //
     /*  81175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  81180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  81183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  81186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  81198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  81210 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81214 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  81218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  81222 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHL_qrs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  81222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_qrs16),
     /*  81225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  81227 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  81229 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  81231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81246 */     GIR_RootConstrainSelectedInstOperands,
     /*  81247 */     // GIR_Coverage, 4736,
     /*  81247 */     GIR_EraseRootFromParent_Done,
     /*  81248 */   // Label 1556: @81248
     /*  81248 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(81326), // Rule ID 4738 //
     /*  81253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  81258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  81261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  81264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  81276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  81288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81292 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  81296 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  81300 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHL_qrs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  81300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_qrs32),
     /*  81303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  81305 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  81307 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  81309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81324 */     GIR_RootConstrainSelectedInstOperands,
     /*  81325 */     // GIR_Coverage, 4738,
     /*  81325 */     GIR_EraseRootFromParent_Done,
     /*  81326 */   // Label 1557: @81326
     /*  81326 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(81404), // Rule ID 4740 //
     /*  81331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  81336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  81339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  81342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  81354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  81366 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  81374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  81378 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3707:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHL_qru8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  81378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_qru8),
     /*  81381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  81383 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  81385 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  81387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81390 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81402 */     GIR_RootConstrainSelectedInstOperands,
     /*  81403 */     // GIR_Coverage, 4740,
     /*  81403 */     GIR_EraseRootFromParent_Done,
     /*  81404 */   // Label 1558: @81404
     /*  81404 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(81482), // Rule ID 4742 //
     /*  81409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  81414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  81417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  81420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  81432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  81444 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81448 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  81452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  81456 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3707:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHL_qru16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  81456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_qru16),
     /*  81459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  81461 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  81463 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  81465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81480 */     GIR_RootConstrainSelectedInstOperands,
     /*  81481 */     // GIR_Coverage, 4742,
     /*  81481 */     GIR_EraseRootFromParent_Done,
     /*  81482 */   // Label 1559: @81482
     /*  81482 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(81560), // Rule ID 4744 //
     /*  81487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshl_scalar),
     /*  81492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  81495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  81498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  81510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  81522 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81526 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  81530 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  81534 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3707:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHL_qru32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$in, rGPR:{ *:[i32] }:$sh)
     /*  81534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHL_qru32),
     /*  81537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  81539 */     GIR_RootToRootCopy, /*OpIdx*/2, // in
     /*  81541 */     GIR_RootToRootCopy, /*OpIdx*/3, // sh
     /*  81543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81546 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81558 */     GIR_RootConstrainSelectedInstOperands,
     /*  81559 */     // GIR_Coverage, 4744,
     /*  81559 */     GIR_EraseRootFromParent_Done,
     /*  81560 */   // Label 1560: @81560
     /*  81560 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(81696), // Rule ID 2687 //
     /*  81565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vtbx3),
     /*  81573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  81576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  81579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  81582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  81585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s8,
     /*  81588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s8,
     /*  81591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  81595 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3865:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$orig, v8i8:{ *:[v8i8] }:$Vn0, v8i8:{ *:[v8i8] }:$Vn1, v8i8:{ *:[v8i8] }:$Vn2, v8i8:{ *:[v8i8] }:$Vm)  =>  (VTBX3Pseudo:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$orig, (REG_SEQUENCE:{ *:[v4i64] } QQPR:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn0, dsub_0:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn1, dsub_1:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn2, dsub_2:{ *:[i32] }, (IMPLICIT_DEF:{ *:[v8i8] }), dsub_3:{ *:[i32] }), v8i8:{ *:[v8i8] }:$Vm)
     /*  81595 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s8,
     /*  81598 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81602 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /*  81612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  81616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Vn0
     /*  81625 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  81628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // Vn1
     /*  81632 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  81635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // Vn2
     /*  81639 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /*  81642 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81645 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /*  81648 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::QQPRRegClassID),
     /*  81653 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81658 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81663 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/5, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/7, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTBX3Pseudo),
     /*  81676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81678 */     GIR_RootToRootCopy, /*OpIdx*/2, // orig
     /*  81680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81683 */     GIR_RootToRootCopy, /*OpIdx*/6, // Vm
     /*  81685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  81688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81694 */     GIR_RootConstrainSelectedInstOperands,
     /*  81695 */     // GIR_Coverage, 2687,
     /*  81695 */     GIR_EraseRootFromParent_Done,
     /*  81696 */   // Label 1561: @81696
     /*  81696 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(81817), // Rule ID 2688 //
     /*  81701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vtbl4),
     /*  81709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  81712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  81715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  81718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  81721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s8,
     /*  81724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s8,
     /*  81727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  81731 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3862:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Vn0, v8i8:{ *:[v8i8] }:$Vn1, v8i8:{ *:[v8i8] }:$Vn2, v8i8:{ *:[v8i8] }:$Vn3, v8i8:{ *:[v8i8] }:$Vm)  =>  (VTBL4Pseudo:{ *:[v8i8] } (REG_SEQUENCE:{ *:[v4i64] } QQPR:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn0, dsub_0:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn1, dsub_1:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn2, dsub_2:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn3, dsub_3:{ *:[i32] }), v8i8:{ *:[v8i8] }:$Vm)
     /*  81731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /*  81734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  81738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Vn0
     /*  81747 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  81750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Vn1
     /*  81754 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  81757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // Vn2
     /*  81761 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /*  81764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // Vn3
     /*  81768 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /*  81771 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::QQPRRegClassID),
     /*  81776 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/5, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/7, GIMT_Encode2(ARM::DPRRegClassID),
     /*  81796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTBL4Pseudo),
     /*  81799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81804 */     GIR_RootToRootCopy, /*OpIdx*/6, // Vm
     /*  81806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  81809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81815 */     GIR_RootConstrainSelectedInstOperands,
     /*  81816 */     // GIR_Coverage, 2688,
     /*  81816 */     GIR_EraseRootFromParent_Done,
     /*  81817 */   // Label 1562: @81817
     /*  81817 */   GIM_Reject,
     /*  81818 */ // Label 1500: @81818
     /*  81818 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(86711),
     /*  81823 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /*  81826 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(81914), // Rule ID 3178 //
     /*  81831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  81834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  81839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  81842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  81845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  81857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  81860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  81864 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  81868 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  81872 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  81876 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  81880 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81884 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81888 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLADAVs8:{ *:[i32] } MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  81888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVs8),
     /*  81891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  81893 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  81895 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  81897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81906 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81912 */     GIR_RootConstrainSelectedInstOperands,
     /*  81913 */     // GIR_Coverage, 3178,
     /*  81913 */     GIR_EraseRootFromParent_Done,
     /*  81914 */   // Label 1564: @81914
     /*  81914 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(82002), // Rule ID 3182 //
     /*  81919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  81922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  81927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  81930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  81933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  81936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  81939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  81942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  81945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  81948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  81952 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  81956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  81960 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  81964 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  81968 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81972 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  81976 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLADAVxs8:{ *:[i32] } MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  81976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVxs8),
     /*  81979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  81981 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  81983 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  81985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  81994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82000 */     GIR_RootConstrainSelectedInstOperands,
     /*  82001 */     // GIR_Coverage, 3182,
     /*  82001 */     GIR_EraseRootFromParent_Done,
     /*  82002 */   // Label 1565: @82002
     /*  82002 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(82090), // Rule ID 3186 //
     /*  82007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  82033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  82036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  82044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  82048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  82052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82056 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82060 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82064 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLADAVu8:{ *:[i32] } MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  82064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVu8),
     /*  82067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82069 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82071 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82082 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82088 */     GIR_RootConstrainSelectedInstOperands,
     /*  82089 */     // GIR_Coverage, 3186,
     /*  82089 */     GIR_EraseRootFromParent_Done,
     /*  82090 */   // Label 1566: @82090
     /*  82090 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(82178), // Rule ID 3190 //
     /*  82095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  82121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  82124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82128 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  82136 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  82140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82144 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82148 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82152 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLADAVs16:{ *:[i32] } MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  82152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVs16),
     /*  82155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82157 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82159 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82176 */     GIR_RootConstrainSelectedInstOperands,
     /*  82177 */     // GIR_Coverage, 3190,
     /*  82177 */     GIR_EraseRootFromParent_Done,
     /*  82178 */   // Label 1567: @82178
     /*  82178 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(82266), // Rule ID 3194 //
     /*  82183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  82209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  82212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82216 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82220 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  82224 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  82228 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82232 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82236 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82240 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLADAVxs16:{ *:[i32] } MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  82240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVxs16),
     /*  82243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82245 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82247 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82264 */     GIR_RootConstrainSelectedInstOperands,
     /*  82265 */     // GIR_Coverage, 3194,
     /*  82265 */     GIR_EraseRootFromParent_Done,
     /*  82266 */   // Label 1568: @82266
     /*  82266 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(82354), // Rule ID 3198 //
     /*  82271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  82297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  82300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  82308 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  82312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  82316 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82320 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82324 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82328 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLADAVu16:{ *:[i32] } MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  82328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVu16),
     /*  82331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82333 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82335 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82352 */     GIR_RootConstrainSelectedInstOperands,
     /*  82353 */     // GIR_Coverage, 3198,
     /*  82353 */     GIR_EraseRootFromParent_Done,
     /*  82354 */   // Label 1569: @82354
     /*  82354 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(82442), // Rule ID 3202 //
     /*  82359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  82385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  82388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  82400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  82404 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82408 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82412 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82416 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLADAVs32:{ *:[i32] } MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  82416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVs32),
     /*  82419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82421 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82423 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82440 */     GIR_RootConstrainSelectedInstOperands,
     /*  82441 */     // GIR_Coverage, 3202,
     /*  82441 */     GIR_EraseRootFromParent_Done,
     /*  82442 */   // Label 1570: @82442
     /*  82442 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(82530), // Rule ID 3206 //
     /*  82447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  82473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  82476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82480 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  82488 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  82492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82496 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82500 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82504 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLADAVxs32:{ *:[i32] } MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  82504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVxs32),
     /*  82507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82509 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82511 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82528 */     GIR_RootConstrainSelectedInstOperands,
     /*  82529 */     // GIR_Coverage, 3206,
     /*  82529 */     GIR_EraseRootFromParent_Done,
     /*  82530 */   // Label 1571: @82530
     /*  82530 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(82618), // Rule ID 3210 //
     /*  82535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  82561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  82564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  82572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  82576 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  82580 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82584 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82588 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82592 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLADAVu32:{ *:[i32] } MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  82592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVu32),
     /*  82595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82597 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82599 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82616 */     GIR_RootConstrainSelectedInstOperands,
     /*  82617 */     // GIR_Coverage, 3210,
     /*  82617 */     GIR_EraseRootFromParent_Done,
     /*  82618 */   // Label 1572: @82618
     /*  82618 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(82706), // Rule ID 3214 //
     /*  82623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  82649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  82652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82656 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82660 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  82664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  82668 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82672 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82676 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82680 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLSDAVs8:{ *:[i32] } MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  82680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVs8),
     /*  82683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82685 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82687 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82704 */     GIR_RootConstrainSelectedInstOperands,
     /*  82705 */     // GIR_Coverage, 3214,
     /*  82705 */     GIR_EraseRootFromParent_Done,
     /*  82706 */   // Label 1573: @82706
     /*  82706 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(82794), // Rule ID 3218 //
     /*  82711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  82737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  82740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82744 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82748 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  82752 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  82756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82760 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82764 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82768 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLSDAVxs8:{ *:[i32] } MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  82768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVxs8),
     /*  82771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82773 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82775 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82792 */     GIR_RootConstrainSelectedInstOperands,
     /*  82793 */     // GIR_Coverage, 3218,
     /*  82793 */     GIR_EraseRootFromParent_Done,
     /*  82794 */   // Label 1574: @82794
     /*  82794 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(82882), // Rule ID 3222 //
     /*  82799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  82825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  82828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82832 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82836 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  82840 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  82844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82848 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82852 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82856 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLSDAVs16:{ *:[i32] } MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  82856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVs16),
     /*  82859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82861 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82863 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82880 */     GIR_RootConstrainSelectedInstOperands,
     /*  82881 */     // GIR_Coverage, 3222,
     /*  82881 */     GIR_EraseRootFromParent_Done,
     /*  82882 */   // Label 1575: @82882
     /*  82882 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(82970), // Rule ID 3226 //
     /*  82887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  82913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  82916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  82920 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  82924 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  82928 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  82932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  82936 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82940 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  82944 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLSDAVxs16:{ *:[i32] } MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  82944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVxs16),
     /*  82947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  82949 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  82951 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  82953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82962 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  82968 */     GIR_RootConstrainSelectedInstOperands,
     /*  82969 */     // GIR_Coverage, 3226,
     /*  82969 */     GIR_EraseRootFromParent_Done,
     /*  82970 */   // Label 1576: @82970
     /*  82970 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(83058), // Rule ID 3230 //
     /*  82975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  82978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  82983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  82986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  82989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  82992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  82995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  82998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  83001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  83004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83008 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  83016 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  83020 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  83024 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83028 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83032 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLSDAVs32:{ *:[i32] } MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  83032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVs32),
     /*  83035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83037 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83039 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83056 */     GIR_RootConstrainSelectedInstOperands,
     /*  83057 */     // GIR_Coverage, 3230,
     /*  83057 */     GIR_EraseRootFromParent_Done,
     /*  83058 */   // Label 1577: @83058
     /*  83058 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(83146), // Rule ID 3234 //
     /*  83063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  83089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  83092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83096 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83100 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  83104 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  83108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  83112 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83116 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83120 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLSDAVxs32:{ *:[i32] } MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  83120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVxs32),
     /*  83123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83125 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83127 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83144 */     GIR_RootConstrainSelectedInstOperands,
     /*  83145 */     // GIR_Coverage, 3234,
     /*  83145 */     GIR_EraseRootFromParent_Done,
     /*  83146 */   // Label 1578: @83146
     /*  83146 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(83236), // Rule ID 3180 //
     /*  83151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  83177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  83180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83184 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83188 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  83196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83200 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83204 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83208 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLADAVas8:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  83208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVas8),
     /*  83211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83213 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83215 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83217 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83234 */     GIR_RootConstrainSelectedInstOperands,
     /*  83235 */     // GIR_Coverage, 3180,
     /*  83235 */     GIR_EraseRootFromParent_Done,
     /*  83236 */   // Label 1579: @83236
     /*  83236 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(83326), // Rule ID 3184 //
     /*  83241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  83267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  83270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83274 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83278 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  83286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83290 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83294 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83298 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLADAVaxs8:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  83298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVaxs8),
     /*  83301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83303 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83305 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83307 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83324 */     GIR_RootConstrainSelectedInstOperands,
     /*  83325 */     // GIR_Coverage, 3184,
     /*  83325 */     GIR_EraseRootFromParent_Done,
     /*  83326 */   // Label 1580: @83326
     /*  83326 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(83416), // Rule ID 3188 //
     /*  83331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  83357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  83360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83364 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  83368 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83372 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  83376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83380 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83384 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83388 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLADAVau8:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  83388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau8),
     /*  83391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83393 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83395 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83397 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83414 */     GIR_RootConstrainSelectedInstOperands,
     /*  83415 */     // GIR_Coverage, 3188,
     /*  83415 */     GIR_EraseRootFromParent_Done,
     /*  83416 */   // Label 1581: @83416
     /*  83416 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(83506), // Rule ID 3192 //
     /*  83421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  83447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  83450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83454 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83458 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83462 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  83466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83470 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83474 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83478 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLADAVas16:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  83478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVas16),
     /*  83481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83483 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83485 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83487 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83504 */     GIR_RootConstrainSelectedInstOperands,
     /*  83505 */     // GIR_Coverage, 3192,
     /*  83505 */     GIR_EraseRootFromParent_Done,
     /*  83506 */   // Label 1582: @83506
     /*  83506 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(83596), // Rule ID 3196 //
     /*  83511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  83537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  83540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83544 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83548 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  83556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83560 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83564 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83568 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLADAVaxs16:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  83568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVaxs16),
     /*  83571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83573 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83575 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83577 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83594 */     GIR_RootConstrainSelectedInstOperands,
     /*  83595 */     // GIR_Coverage, 3196,
     /*  83595 */     GIR_EraseRootFromParent_Done,
     /*  83596 */   // Label 1583: @83596
     /*  83596 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(83686), // Rule ID 3200 //
     /*  83601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  83627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  83630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83634 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  83638 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83642 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  83646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83650 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83654 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83658 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLADAVau16:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  83658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau16),
     /*  83661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83663 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83665 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83667 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83684 */     GIR_RootConstrainSelectedInstOperands,
     /*  83685 */     // GIR_Coverage, 3200,
     /*  83685 */     GIR_EraseRootFromParent_Done,
     /*  83686 */   // Label 1584: @83686
     /*  83686 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(83776), // Rule ID 3204 //
     /*  83691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  83717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  83720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83724 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83728 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  83736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83740 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83744 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83748 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLADAVas32:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  83748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVas32),
     /*  83751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83753 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83755 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83757 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83774 */     GIR_RootConstrainSelectedInstOperands,
     /*  83775 */     // GIR_Coverage, 3204,
     /*  83775 */     GIR_EraseRootFromParent_Done,
     /*  83776 */   // Label 1585: @83776
     /*  83776 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(83866), // Rule ID 3208 //
     /*  83781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  83807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  83810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83814 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83818 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83822 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  83826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83830 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83834 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83838 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLADAVaxs32:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  83838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVaxs32),
     /*  83841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83843 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83845 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83847 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83864 */     GIR_RootConstrainSelectedInstOperands,
     /*  83865 */     // GIR_Coverage, 3208,
     /*  83865 */     GIR_EraseRootFromParent_Done,
     /*  83866 */   // Label 1586: @83866
     /*  83866 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(83956), // Rule ID 3212 //
     /*  83871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  83897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  83900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83904 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  83908 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  83912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  83916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83920 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83924 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  83928 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLADAVau32:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  83928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVau32),
     /*  83931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  83933 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  83935 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  83937 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  83939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  83954 */     GIR_RootConstrainSelectedInstOperands,
     /*  83955 */     // GIR_Coverage, 3212,
     /*  83955 */     GIR_EraseRootFromParent_Done,
     /*  83956 */   // Label 1587: @83956
     /*  83956 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(84046), // Rule ID 3216 //
     /*  83961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  83964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  83969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  83972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  83975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  83978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  83981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  83984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  83987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  83990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  83994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  83998 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  84002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  84006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84010 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84014 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84018 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLSDAVas8:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  84018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVas8),
     /*  84021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  84023 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  84025 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  84027 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  84029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84044 */     GIR_RootConstrainSelectedInstOperands,
     /*  84045 */     // GIR_Coverage, 3216,
     /*  84045 */     GIR_EraseRootFromParent_Done,
     /*  84046 */   // Label 1588: @84046
     /*  84046 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(84136), // Rule ID 3220 //
     /*  84051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  84054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  84059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  84062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  84065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  84068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  84071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v16s8,
     /*  84077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v16s8,
     /*  84080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84084 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  84088 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  84092 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  84096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84100 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84104 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84108 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)  =>  (MVE_VMLSDAVaxs8:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v16i8] }:$Qn, MQPR:{ *:[v16i8] }:$Qm)
     /*  84108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVaxs8),
     /*  84111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  84113 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  84115 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  84117 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  84119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84134 */     GIR_RootConstrainSelectedInstOperands,
     /*  84135 */     // GIR_Coverage, 3220,
     /*  84135 */     GIR_EraseRootFromParent_Done,
     /*  84136 */   // Label 1589: @84136
     /*  84136 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(84226), // Rule ID 3224 //
     /*  84141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  84144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  84149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  84152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  84155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  84158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  84161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  84167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  84170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84174 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  84178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  84182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  84186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84190 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84194 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84198 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLSDAVas16:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  84198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVas16),
     /*  84201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  84203 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  84205 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  84207 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  84209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84224 */     GIR_RootConstrainSelectedInstOperands,
     /*  84225 */     // GIR_Coverage, 3224,
     /*  84225 */     GIR_EraseRootFromParent_Done,
     /*  84226 */   // Label 1590: @84226
     /*  84226 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(84316), // Rule ID 3228 //
     /*  84231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  84234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  84239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  84242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  84245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  84248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  84251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s16,
     /*  84257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s16,
     /*  84260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  84268 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  84272 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  84276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84280 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84284 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84288 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)  =>  (MVE_VMLSDAVaxs16:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v8i16] }:$Qn, MQPR:{ *:[v8i16] }:$Qm)
     /*  84288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVaxs16),
     /*  84291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  84293 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  84295 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  84297 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  84299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84314 */     GIR_RootConstrainSelectedInstOperands,
     /*  84315 */     // GIR_Coverage, 3228,
     /*  84315 */     GIR_EraseRootFromParent_Done,
     /*  84316 */   // Label 1591: @84316
     /*  84316 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(84406), // Rule ID 3232 //
     /*  84321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  84324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  84329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  84332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  84335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  84338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  84341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  84347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  84350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84354 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  84358 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  84362 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /*  84366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84370 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84374 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84378 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLSDAVas32:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  84378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVas32),
     /*  84381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  84383 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  84385 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  84387 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  84389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84404 */     GIR_RootConstrainSelectedInstOperands,
     /*  84405 */     // GIR_Coverage, 3232,
     /*  84405 */     GIR_EraseRootFromParent_Done,
     /*  84406 */   // Label 1592: @84406
     /*  84406 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(84496), // Rule ID 3236 //
     /*  84411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  84414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vmldava),
     /*  84419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  84422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  84425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  84428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  84431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /*  84437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v4s32,
     /*  84440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84444 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  84448 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  84452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  84456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /*  84460 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84464 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84468 */     // (intrinsic_wo_chain:{ *:[i32] } 3662:{ *:[iPTR] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)  =>  (MVE_VMLSDAVaxs32:{ *:[i32] } tGPREven:{ *:[i32] }:$RdaSrc, MQPR:{ *:[v4i32] }:$Qn, MQPR:{ *:[v4i32] }:$Qm)
     /*  84468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLSDAVaxs32),
     /*  84471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /*  84473 */     GIR_RootToRootCopy, /*OpIdx*/5, // RdaSrc
     /*  84475 */     GIR_RootToRootCopy, /*OpIdx*/6, // Qn
     /*  84477 */     GIR_RootToRootCopy, /*OpIdx*/7, // Qm
     /*  84479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84494 */     GIR_RootConstrainSelectedInstOperands,
     /*  84495 */     // GIR_Coverage, 3236,
     /*  84495 */     GIR_EraseRootFromParent_Done,
     /*  84496 */   // Label 1593: @84496
     /*  84496 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(84583), // Rule ID 4332 //
     /*  84501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  84506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  84509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  84512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  84515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  84518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  84524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  84527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  84547 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  84551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  84555 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQDMLADHs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  84555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLADHs8),
     /*  84558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  84560 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  84562 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  84564 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  84566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84581 */     GIR_RootConstrainSelectedInstOperands,
     /*  84582 */     // GIR_Coverage, 4332,
     /*  84582 */     GIR_EraseRootFromParent_Done,
     /*  84583 */   // Label 1594: @84583
     /*  84583 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(84670), // Rule ID 4334 //
     /*  84588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  84593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  84596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  84599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  84602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  84605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  84611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  84614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84630 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  84634 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  84638 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  84642 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQDMLADHs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  84642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLADHs16),
     /*  84645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  84647 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  84649 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  84651 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  84653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84668 */     GIR_RootConstrainSelectedInstOperands,
     /*  84669 */     // GIR_Coverage, 4334,
     /*  84669 */     GIR_EraseRootFromParent_Done,
     /*  84670 */   // Label 1595: @84670
     /*  84670 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(84757), // Rule ID 4336 //
     /*  84675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  84680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  84683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  84692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  84698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  84701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84717 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  84721 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  84725 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  84729 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQDMLADHs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  84729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLADHs32),
     /*  84732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  84734 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  84736 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  84738 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  84740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84755 */     GIR_RootConstrainSelectedInstOperands,
     /*  84756 */     // GIR_Coverage, 4336,
     /*  84756 */     GIR_EraseRootFromParent_Done,
     /*  84757 */   // Label 1596: @84757
     /*  84757 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(84844), // Rule ID 4338 //
     /*  84762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  84767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  84770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  84773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  84776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  84779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  84785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  84788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84804 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  84808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  84812 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  84816 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQDMLADHXs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  84816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLADHXs8),
     /*  84819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  84821 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  84823 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  84825 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  84827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84842 */     GIR_RootConstrainSelectedInstOperands,
     /*  84843 */     // GIR_Coverage, 4338,
     /*  84843 */     GIR_EraseRootFromParent_Done,
     /*  84844 */   // Label 1597: @84844
     /*  84844 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(84931), // Rule ID 4340 //
     /*  84849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  84854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  84857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  84860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  84863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  84866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  84872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  84875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84891 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  84895 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  84899 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  84903 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQDMLADHXs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  84903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLADHXs16),
     /*  84906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  84908 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  84910 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  84912 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  84914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84917 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  84929 */     GIR_RootConstrainSelectedInstOperands,
     /*  84930 */     // GIR_Coverage, 4340,
     /*  84930 */     GIR_EraseRootFromParent_Done,
     /*  84931 */   // Label 1598: @84931
     /*  84931 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(85018), // Rule ID 4342 //
     /*  84936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  84941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  84944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  84953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  84956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  84959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  84962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  84978 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  84982 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  84986 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  84990 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQDMLADHXs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  84990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLADHXs32),
     /*  84993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  84995 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  84997 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  84999 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85016 */     GIR_RootConstrainSelectedInstOperands,
     /*  85017 */     // GIR_Coverage, 4342,
     /*  85017 */     GIR_EraseRootFromParent_Done,
     /*  85018 */   // Label 1599: @85018
     /*  85018 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(85105), // Rule ID 4344 //
     /*  85023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  85031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  85034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  85037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  85040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85065 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  85069 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  85073 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  85077 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRDMLADHs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  85077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLADHs8),
     /*  85080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85082 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85084 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85086 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85097 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85103 */     GIR_RootConstrainSelectedInstOperands,
     /*  85104 */     // GIR_Coverage, 4344,
     /*  85104 */     GIR_EraseRootFromParent_Done,
     /*  85105 */   // Label 1600: @85105
     /*  85105 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(85192), // Rule ID 4346 //
     /*  85110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  85118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  85124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  85127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85152 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  85156 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  85160 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  85164 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRDMLADHs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  85164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLADHs16),
     /*  85167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85169 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85171 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85173 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85190 */     GIR_RootConstrainSelectedInstOperands,
     /*  85191 */     // GIR_Coverage, 4346,
     /*  85191 */     GIR_EraseRootFromParent_Done,
     /*  85192 */   // Label 1601: @85192
     /*  85192 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(85279), // Rule ID 4348 //
     /*  85197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  85205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  85208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  85211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  85214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85239 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  85243 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  85247 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  85251 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRDMLADHs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  85251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLADHs32),
     /*  85254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85256 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85258 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85260 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85271 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85277 */     GIR_RootConstrainSelectedInstOperands,
     /*  85278 */     // GIR_Coverage, 4348,
     /*  85278 */     GIR_EraseRootFromParent_Done,
     /*  85279 */   // Label 1602: @85279
     /*  85279 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(85366), // Rule ID 4350 //
     /*  85284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  85292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  85295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  85298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  85301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85326 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  85330 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  85334 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  85338 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRDMLADHXs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  85338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLADHXs8),
     /*  85341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85343 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85345 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85347 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85352 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85364 */     GIR_RootConstrainSelectedInstOperands,
     /*  85365 */     // GIR_Coverage, 4350,
     /*  85365 */     GIR_EraseRootFromParent_Done,
     /*  85366 */   // Label 1603: @85366
     /*  85366 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(85453), // Rule ID 4352 //
     /*  85371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  85379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  85385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  85388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85413 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  85417 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  85421 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  85425 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRDMLADHXs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  85425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLADHXs16),
     /*  85428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85430 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85432 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85434 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85451 */     GIR_RootConstrainSelectedInstOperands,
     /*  85452 */     // GIR_Coverage, 4352,
     /*  85452 */     GIR_EraseRootFromParent_Done,
     /*  85453 */   // Label 1604: @85453
     /*  85453 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(85540), // Rule ID 4354 //
     /*  85458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  85466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  85469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  85472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  85475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  85504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  85508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  85512 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRDMLADHXs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  85512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLADHXs32),
     /*  85515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85517 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85519 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85521 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85538 */     GIR_RootConstrainSelectedInstOperands,
     /*  85539 */     // GIR_Coverage, 4354,
     /*  85539 */     GIR_EraseRootFromParent_Done,
     /*  85540 */   // Label 1605: @85540
     /*  85540 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(85627), // Rule ID 4356 //
     /*  85545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  85553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  85556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  85559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  85562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  85591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  85595 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  85599 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQDMLSDHs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  85599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLSDHs8),
     /*  85602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85604 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85606 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85608 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85625 */     GIR_RootConstrainSelectedInstOperands,
     /*  85626 */     // GIR_Coverage, 4356,
     /*  85626 */     GIR_EraseRootFromParent_Done,
     /*  85627 */   // Label 1606: @85627
     /*  85627 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(85714), // Rule ID 4358 //
     /*  85632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  85640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  85646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  85649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85674 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  85678 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  85682 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  85686 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQDMLSDHs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  85686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLSDHs16),
     /*  85689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85691 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85693 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85695 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85712 */     GIR_RootConstrainSelectedInstOperands,
     /*  85713 */     // GIR_Coverage, 4358,
     /*  85713 */     GIR_EraseRootFromParent_Done,
     /*  85714 */   // Label 1607: @85714
     /*  85714 */   GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(85801), // Rule ID 4360 //
     /*  85719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  85727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  85730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  85733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  85736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85761 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  85765 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  85769 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  85773 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQDMLSDHs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  85773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLSDHs32),
     /*  85776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85778 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85780 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85782 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85787 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85799 */     GIR_RootConstrainSelectedInstOperands,
     /*  85800 */     // GIR_Coverage, 4360,
     /*  85800 */     GIR_EraseRootFromParent_Done,
     /*  85801 */   // Label 1608: @85801
     /*  85801 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(85888), // Rule ID 4362 //
     /*  85806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  85814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  85817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  85820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  85823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85848 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  85852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  85856 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  85860 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQDMLSDHXs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  85860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLSDHXs8),
     /*  85863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85865 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85867 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85869 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85886 */     GIR_RootConstrainSelectedInstOperands,
     /*  85887 */     // GIR_Coverage, 4362,
     /*  85887 */     GIR_EraseRootFromParent_Done,
     /*  85888 */   // Label 1609: @85888
     /*  85888 */   GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(85975), // Rule ID 4364 //
     /*  85893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  85901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  85907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  85910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  85913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  85916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  85919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  85935 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  85939 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  85943 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  85947 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQDMLSDHXs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  85947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLSDHXs16),
     /*  85950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  85952 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  85954 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  85956 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  85958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  85973 */     GIR_RootConstrainSelectedInstOperands,
     /*  85974 */     // GIR_Coverage, 4364,
     /*  85974 */     GIR_EraseRootFromParent_Done,
     /*  85975 */   // Label 1610: @85975
     /*  85975 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(86062), // Rule ID 4366 //
     /*  85980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  85985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  85988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  85991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  85994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  85997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86022 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  86026 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  86030 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  86034 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQDMLSDHXs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  86034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQDMLSDHXs32),
     /*  86037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86039 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  86041 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  86043 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  86045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86060 */     GIR_RootConstrainSelectedInstOperands,
     /*  86061 */     // GIR_Coverage, 4366,
     /*  86061 */     GIR_EraseRootFromParent_Done,
     /*  86062 */   // Label 1611: @86062
     /*  86062 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(86149), // Rule ID 4368 //
     /*  86067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  86072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  86075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  86081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  86084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86109 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  86113 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  86117 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  86121 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRDMLSDHs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  86121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLSDHs8),
     /*  86124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86126 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  86128 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  86130 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  86132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86141 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86147 */     GIR_RootConstrainSelectedInstOperands,
     /*  86148 */     // GIR_Coverage, 4368,
     /*  86148 */     GIR_EraseRootFromParent_Done,
     /*  86149 */   // Label 1612: @86149
     /*  86149 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(86236), // Rule ID 4370 //
     /*  86154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  86159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  86162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  86171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  86200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  86204 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  86208 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRDMLSDHs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  86208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLSDHs16),
     /*  86211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86213 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  86215 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  86217 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  86219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86234 */     GIR_RootConstrainSelectedInstOperands,
     /*  86235 */     // GIR_Coverage, 4370,
     /*  86235 */     GIR_EraseRootFromParent_Done,
     /*  86236 */   // Label 1613: @86236
     /*  86236 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(86323), // Rule ID 4372 //
     /*  86241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  86246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  86252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  86255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  86258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86283 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  86287 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  86291 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  86295 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRDMLSDHs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  86295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLSDHs32),
     /*  86298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86300 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  86302 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  86304 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  86306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86321 */     GIR_RootConstrainSelectedInstOperands,
     /*  86322 */     // GIR_Coverage, 4372,
     /*  86322 */     GIR_EraseRootFromParent_Done,
     /*  86323 */   // Label 1614: @86323
     /*  86323 */   GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(86410), // Rule ID 4374 //
     /*  86328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  86333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  86336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  86342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /*  86345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  86374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  86378 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  86382 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3671:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRDMLSDHXs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$a, MQPR:{ *:[v16i8] }:$b, MQPR:{ *:[v16i8] }:$c)
     /*  86382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLSDHXs8),
     /*  86385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86387 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  86389 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  86391 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  86393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86408 */     GIR_RootConstrainSelectedInstOperands,
     /*  86409 */     // GIR_Coverage, 4374,
     /*  86409 */     GIR_EraseRootFromParent_Done,
     /*  86410 */   // Label 1615: @86410
     /*  86410 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(86497), // Rule ID 4376 //
     /*  86415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  86420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  86423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  86432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86457 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  86461 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  86465 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  86469 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3671:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRDMLSDHXs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$a, MQPR:{ *:[v8i16] }:$b, MQPR:{ *:[v8i16] }:$c)
     /*  86469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLSDHXs16),
     /*  86472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86474 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  86476 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  86478 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  86480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86489 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86495 */     GIR_RootConstrainSelectedInstOperands,
     /*  86496 */     // GIR_Coverage, 4376,
     /*  86496 */     GIR_EraseRootFromParent_Done,
     /*  86497 */   // Label 1616: @86497
     /*  86497 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(86584), // Rule ID 4378 //
     /*  86502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vqdmlad),
     /*  86507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  86513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  86516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  86519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86544 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  86548 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  86552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  86556 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3671:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRDMLSDHXs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$a, MQPR:{ *:[v4i32] }:$b, MQPR:{ *:[v4i32] }:$c)
     /*  86556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRDMLSDHXs32),
     /*  86559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86561 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /*  86563 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /*  86565 */     GIR_RootToRootCopy, /*OpIdx*/4, // c
     /*  86567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86582 */     GIR_RootConstrainSelectedInstOperands,
     /*  86583 */     // GIR_Coverage, 4378,
     /*  86583 */     GIR_EraseRootFromParent_Done,
     /*  86584 */   // Label 1617: @86584
     /*  86584 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(86710), // Rule ID 2689 //
     /*  86589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vtbx4),
     /*  86597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /*  86600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  86603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  86606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /*  86609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v8s8,
     /*  86612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s8,
     /*  86615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_v8s8,
     /*  86618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  86622 */     // (intrinsic_wo_chain:{ *:[v8i8] } 3866:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$orig, v8i8:{ *:[v8i8] }:$Vn0, v8i8:{ *:[v8i8] }:$Vn1, v8i8:{ *:[v8i8] }:$Vn2, v8i8:{ *:[v8i8] }:$Vn3, v8i8:{ *:[v8i8] }:$Vm)  =>  (VTBX4Pseudo:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$orig, (REG_SEQUENCE:{ *:[v4i64] } QQPR:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn0, dsub_0:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn1, dsub_1:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn2, dsub_2:{ *:[i32] }, v8i8:{ *:[v8i8] }:$Vn3, dsub_3:{ *:[i32] }), v8i8:{ *:[v8i8] }:$Vm)
     /*  86622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /*  86625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  86629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Vn0
     /*  86638 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  86641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // Vn1
     /*  86645 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  86648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // Vn2
     /*  86652 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /*  86655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/6, // Vn3
     /*  86659 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /*  86662 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::QQPRRegClassID),
     /*  86667 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(ARM::DPRRegClassID),
     /*  86672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(ARM::DPRRegClassID),
     /*  86677 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/5, GIMT_Encode2(ARM::DPRRegClassID),
     /*  86682 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/7, GIMT_Encode2(ARM::DPRRegClassID),
     /*  86687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VTBX4Pseudo),
     /*  86690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86692 */     GIR_RootToRootCopy, /*OpIdx*/2, // orig
     /*  86694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86697 */     GIR_RootToRootCopy, /*OpIdx*/7, // Vm
     /*  86699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  86702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86708 */     GIR_RootConstrainSelectedInstOperands,
     /*  86709 */     // GIR_Coverage, 2689,
     /*  86709 */     GIR_EraseRootFromParent_Done,
     /*  86710 */   // Label 1618: @86710
     /*  86710 */   GIM_Reject,
     /*  86711 */ // Label 1563: @86711
     /*  86711 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(91005),
     /*  86716 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/10,
     /*  86719 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vshrn),
     /*  86724 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(86831), // Rule ID 3755 //
     /*  86729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  86732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  86741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86750 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  86753 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  86756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  86772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  86780 */     // MIs[1] Operand 1
     /*  86780 */     // No operand predicates
     /*  86780 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  86784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  86788 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  86792 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  86796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  86800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86802 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHRNi16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  86802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi16bh),
     /*  86805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86807 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  86809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  86811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  86814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86817 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86829 */     GIR_RootConstrainSelectedInstOperands,
     /*  86830 */     // GIR_Coverage, 3755,
     /*  86830 */     GIR_EraseRootFromParent_Done,
     /*  86831 */   // Label 1620: @86831
     /*  86831 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(86938), // Rule ID 3757 //
     /*  86836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  86839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  86848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86857 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  86860 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  86863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  86879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  86887 */     // MIs[1] Operand 1
     /*  86887 */     // No operand predicates
     /*  86887 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  86891 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  86895 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  86899 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  86903 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  86907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86909 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHRNi16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  86909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi16th),
     /*  86912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  86914 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  86916 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  86918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  86921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  86936 */     GIR_RootConstrainSelectedInstOperands,
     /*  86937 */     // GIR_Coverage, 3757,
     /*  86937 */     GIR_EraseRootFromParent_Done,
     /*  86938 */   // Label 1621: @86938
     /*  86938 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(87045), // Rule ID 3759 //
     /*  86943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  86946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  86952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  86955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  86958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  86961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  86964 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  86967 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  86970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  86982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  86986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  86994 */     // MIs[1] Operand 1
     /*  86994 */     // No operand predicates
     /*  86994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  86998 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  87002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  87006 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  87010 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  87014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87016 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHRNi32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi32bh),
     /*  87019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87021 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87031 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87037 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87043 */     GIR_RootConstrainSelectedInstOperands,
     /*  87044 */     // GIR_Coverage, 3759,
     /*  87044 */     GIR_EraseRootFromParent_Done,
     /*  87045 */   // Label 1622: @87045
     /*  87045 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(87152), // Rule ID 3761 //
     /*  87050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  87059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87071 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87074 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  87101 */     // MIs[1] Operand 1
     /*  87101 */     // No operand predicates
     /*  87101 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  87109 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  87113 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  87117 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  87121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87123 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHRNi32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi32th),
     /*  87126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87128 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87150 */     GIR_RootConstrainSelectedInstOperands,
     /*  87151 */     // GIR_Coverage, 3761,
     /*  87151 */     GIR_EraseRootFromParent_Done,
     /*  87152 */   // Label 1623: @87152
     /*  87152 */   GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(87259), // Rule ID 3763 //
     /*  87157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  87160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  87166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87178 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87181 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  87208 */     // MIs[1] Operand 1
     /*  87208 */     // No operand predicates
     /*  87208 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87212 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  87216 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  87220 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  87224 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  87228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87230 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHRNi16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi16bh),
     /*  87233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87235 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87251 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87257 */     GIR_RootConstrainSelectedInstOperands,
     /*  87258 */     // GIR_Coverage, 3763,
     /*  87258 */     GIR_EraseRootFromParent_Done,
     /*  87259 */   // Label 1624: @87259
     /*  87259 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(87366), // Rule ID 3765 //
     /*  87264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  87267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  87273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87285 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87288 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  87315 */     // MIs[1] Operand 1
     /*  87315 */     // No operand predicates
     /*  87315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87319 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  87323 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  87327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  87331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  87335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87337 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHRNi16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi16th),
     /*  87340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87342 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87352 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87364 */     GIR_RootConstrainSelectedInstOperands,
     /*  87365 */     // GIR_Coverage, 3765,
     /*  87365 */     GIR_EraseRootFromParent_Done,
     /*  87366 */   // Label 1625: @87366
     /*  87366 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(87473), // Rule ID 3767 //
     /*  87371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  87380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87392 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87395 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  87422 */     // MIs[1] Operand 1
     /*  87422 */     // No operand predicates
     /*  87422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87426 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  87430 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  87434 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  87438 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  87442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87444 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSHRNi32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi32bh),
     /*  87447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87449 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87451 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87471 */     GIR_RootConstrainSelectedInstOperands,
     /*  87472 */     // GIR_Coverage, 3767,
     /*  87472 */     GIR_EraseRootFromParent_Done,
     /*  87473 */   // Label 1626: @87473
     /*  87473 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(87580), // Rule ID 3769 //
     /*  87478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  87487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87499 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87502 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  87529 */     // MIs[1] Operand 1
     /*  87529 */     // No operand predicates
     /*  87529 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87533 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  87537 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  87541 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  87545 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  87549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87551 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSHRNi32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSHRNi32th),
     /*  87554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87556 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87566 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87578 */     GIR_RootConstrainSelectedInstOperands,
     /*  87579 */     // GIR_Coverage, 3769,
     /*  87579 */     GIR_EraseRootFromParent_Done,
     /*  87580 */   // Label 1627: @87580
     /*  87580 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(87687), // Rule ID 3771 //
     /*  87585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  87588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  87594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87606 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87609 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  87636 */     // MIs[1] Operand 1
     /*  87636 */     // No operand predicates
     /*  87636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  87644 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  87648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  87652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  87656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87658 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHRNi16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi16bh),
     /*  87661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87663 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87685 */     GIR_RootConstrainSelectedInstOperands,
     /*  87686 */     // GIR_Coverage, 3771,
     /*  87686 */     GIR_EraseRootFromParent_Done,
     /*  87687 */   // Label 1628: @87687
     /*  87687 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(87794), // Rule ID 3773 //
     /*  87692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  87695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  87701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87713 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87716 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  87743 */     // MIs[1] Operand 1
     /*  87743 */     // No operand predicates
     /*  87743 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  87751 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  87755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  87759 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  87763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87765 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHRNi16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi16th),
     /*  87768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87770 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87792 */     GIR_RootConstrainSelectedInstOperands,
     /*  87793 */     // GIR_Coverage, 3773,
     /*  87793 */     GIR_EraseRootFromParent_Done,
     /*  87794 */   // Label 1629: @87794
     /*  87794 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(87901), // Rule ID 3775 //
     /*  87799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  87808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87820 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87823 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  87850 */     // MIs[1] Operand 1
     /*  87850 */     // No operand predicates
     /*  87850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  87858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  87862 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  87866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  87870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87872 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHRNi32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi32bh),
     /*  87875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87877 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87887 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  87899 */     GIR_RootConstrainSelectedInstOperands,
     /*  87900 */     // GIR_Coverage, 3775,
     /*  87900 */     GIR_EraseRootFromParent_Done,
     /*  87901 */   // Label 1630: @87901
     /*  87901 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(88008), // Rule ID 3777 //
     /*  87906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  87915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  87918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  87921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  87924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  87927 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  87930 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  87933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  87945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  87949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  87953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  87957 */     // MIs[1] Operand 1
     /*  87957 */     // No operand predicates
     /*  87957 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  87961 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  87965 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  87969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  87973 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  87977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87979 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHRNi32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  87979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi32th),
     /*  87982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  87984 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  87986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  87988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  87991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88006 */     GIR_RootConstrainSelectedInstOperands,
     /*  88007 */     // GIR_Coverage, 3777,
     /*  88007 */     GIR_EraseRootFromParent_Done,
     /*  88008 */   // Label 1631: @88008
     /*  88008 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(88115), // Rule ID 3779 //
     /*  88013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  88016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  88022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88034 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88037 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  88064 */     // MIs[1] Operand 1
     /*  88064 */     // No operand predicates
     /*  88064 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  88068 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  88072 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  88076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  88080 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  88084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88086 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHRNi16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi16bh),
     /*  88089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88091 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88093 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88101 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88107 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88113 */     GIR_RootConstrainSelectedInstOperands,
     /*  88114 */     // GIR_Coverage, 3779,
     /*  88114 */     GIR_EraseRootFromParent_Done,
     /*  88115 */   // Label 1632: @88115
     /*  88115 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(88222), // Rule ID 3781 //
     /*  88120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  88123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  88129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88141 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88144 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  88171 */     // MIs[1] Operand 1
     /*  88171 */     // No operand predicates
     /*  88171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  88175 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  88179 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  88183 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  88187 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  88191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88193 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHRNi16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi16th),
     /*  88196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88198 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88220 */     GIR_RootConstrainSelectedInstOperands,
     /*  88221 */     // GIR_Coverage, 3781,
     /*  88221 */     GIR_EraseRootFromParent_Done,
     /*  88222 */   // Label 1633: @88222
     /*  88222 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(88329), // Rule ID 3783 //
     /*  88227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  88230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  88236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88248 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88251 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  88278 */     // MIs[1] Operand 1
     /*  88278 */     // No operand predicates
     /*  88278 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  88282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  88286 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  88290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  88294 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  88298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88300 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VRSHRNi32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi32bh),
     /*  88303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88305 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88327 */     GIR_RootConstrainSelectedInstOperands,
     /*  88328 */     // GIR_Coverage, 3783,
     /*  88328 */     GIR_EraseRootFromParent_Done,
     /*  88329 */   // Label 1634: @88329
     /*  88329 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(88436), // Rule ID 3785 //
     /*  88334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  88337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  88343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88355 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88358 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  88385 */     // MIs[1] Operand 1
     /*  88385 */     // No operand predicates
     /*  88385 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  88389 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  88393 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  88397 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  88401 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  88405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88407 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VRSHRNi32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRSHRNi32th),
     /*  88410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88412 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88434 */     GIR_RootConstrainSelectedInstOperands,
     /*  88435 */     // GIR_Coverage, 3785,
     /*  88435 */     GIR_EraseRootFromParent_Done,
     /*  88436 */   // Label 1635: @88436
     /*  88436 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(88543), // Rule ID 3787 //
     /*  88441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  88444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  88450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88462 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88465 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  88492 */     // MIs[1] Operand 1
     /*  88492 */     // No operand predicates
     /*  88492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  88496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  88500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  88504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  88508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  88512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88514 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHRNbhs16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNbhs16),
     /*  88517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88519 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88521 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88529 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88541 */     GIR_RootConstrainSelectedInstOperands,
     /*  88542 */     // GIR_Coverage, 3787,
     /*  88542 */     GIR_EraseRootFromParent_Done,
     /*  88543 */   // Label 1636: @88543
     /*  88543 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(88650), // Rule ID 3789 //
     /*  88548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  88551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  88557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88569 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88572 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  88599 */     // MIs[1] Operand 1
     /*  88599 */     // No operand predicates
     /*  88599 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  88603 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  88607 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  88611 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  88615 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  88619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88621 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHRNths16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNths16),
     /*  88624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88626 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88648 */     GIR_RootConstrainSelectedInstOperands,
     /*  88649 */     // GIR_Coverage, 3789,
     /*  88649 */     GIR_EraseRootFromParent_Done,
     /*  88650 */   // Label 1637: @88650
     /*  88650 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(88757), // Rule ID 3791 //
     /*  88655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  88658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  88664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88676 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88679 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  88706 */     // MIs[1] Operand 1
     /*  88706 */     // No operand predicates
     /*  88706 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  88710 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  88714 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  88718 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  88722 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  88726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88728 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHRNbhs32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNbhs32),
     /*  88731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88733 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88735 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88755 */     GIR_RootConstrainSelectedInstOperands,
     /*  88756 */     // GIR_Coverage, 3791,
     /*  88756 */     GIR_EraseRootFromParent_Done,
     /*  88757 */   // Label 1638: @88757
     /*  88757 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(88864), // Rule ID 3793 //
     /*  88762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  88765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  88771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88783 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88786 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  88813 */     // MIs[1] Operand 1
     /*  88813 */     // No operand predicates
     /*  88813 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  88817 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  88821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  88825 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  88829 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  88833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88835 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHRNths32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNths32),
     /*  88838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88840 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88856 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88862 */     GIR_RootConstrainSelectedInstOperands,
     /*  88863 */     // GIR_Coverage, 3793,
     /*  88863 */     GIR_EraseRootFromParent_Done,
     /*  88864 */   // Label 1639: @88864
     /*  88864 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(88971), // Rule ID 3795 //
     /*  88869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  88872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  88878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88890 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  88893 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  88896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  88908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  88912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  88916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  88920 */     // MIs[1] Operand 1
     /*  88920 */     // No operand predicates
     /*  88920 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  88924 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  88928 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  88932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  88936 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  88940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88942 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHRNbhu16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  88942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNbhu16),
     /*  88945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  88947 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  88949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  88951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  88954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88957 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  88969 */     GIR_RootConstrainSelectedInstOperands,
     /*  88970 */     // GIR_Coverage, 3795,
     /*  88970 */     GIR_EraseRootFromParent_Done,
     /*  88971 */   // Label 1640: @88971
     /*  88971 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(89078), // Rule ID 3797 //
     /*  88976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  88979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  88985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  88988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  88991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  88994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  88997 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89000 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  89027 */     // MIs[1] Operand 1
     /*  89027 */     // No operand predicates
     /*  89027 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89031 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  89035 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  89039 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  89043 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  89047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89049 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHRNthu16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNthu16),
     /*  89052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89054 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89076 */     GIR_RootConstrainSelectedInstOperands,
     /*  89077 */     // GIR_Coverage, 3797,
     /*  89077 */     GIR_EraseRootFromParent_Done,
     /*  89078 */   // Label 1641: @89078
     /*  89078 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(89185), // Rule ID 3799 //
     /*  89083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89104 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89107 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  89134 */     // MIs[1] Operand 1
     /*  89134 */     // No operand predicates
     /*  89134 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89138 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  89142 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  89146 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  89150 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  89154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89156 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHRNbhu32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNbhu32),
     /*  89159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89161 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89171 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89177 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89183 */     GIR_RootConstrainSelectedInstOperands,
     /*  89184 */     // GIR_Coverage, 3799,
     /*  89184 */     GIR_EraseRootFromParent_Done,
     /*  89185 */   // Label 1642: @89185
     /*  89185 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(89292), // Rule ID 3801 //
     /*  89190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89211 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89214 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  89241 */     // MIs[1] Operand 1
     /*  89241 */     // No operand predicates
     /*  89241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89245 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  89249 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  89253 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  89257 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  89261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89263 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHRNthu32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRNthu32),
     /*  89266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89268 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89290 */     GIR_RootConstrainSelectedInstOperands,
     /*  89291 */     // GIR_Coverage, 3801,
     /*  89291 */     GIR_EraseRootFromParent_Done,
     /*  89292 */   // Label 1643: @89292
     /*  89292 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(89399), // Rule ID 3803 //
     /*  89297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  89300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  89303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89318 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89321 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  89348 */     // MIs[1] Operand 1
     /*  89348 */     // No operand predicates
     /*  89348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  89356 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  89360 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  89364 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  89368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89370 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHRNbhs16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNbhs16),
     /*  89373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89375 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89391 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89397 */     GIR_RootConstrainSelectedInstOperands,
     /*  89398 */     // GIR_Coverage, 3803,
     /*  89398 */     GIR_EraseRootFromParent_Done,
     /*  89399 */   // Label 1644: @89399
     /*  89399 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(89506), // Rule ID 3805 //
     /*  89404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  89407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  89410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89425 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89428 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  89455 */     // MIs[1] Operand 1
     /*  89455 */     // No operand predicates
     /*  89455 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  89463 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  89467 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  89471 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  89475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89477 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHRNths16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNths16),
     /*  89480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89482 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89504 */     GIR_RootConstrainSelectedInstOperands,
     /*  89505 */     // GIR_Coverage, 3805,
     /*  89505 */     GIR_EraseRootFromParent_Done,
     /*  89506 */   // Label 1645: @89506
     /*  89506 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(89613), // Rule ID 3807 //
     /*  89511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89532 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89535 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  89562 */     // MIs[1] Operand 1
     /*  89562 */     // No operand predicates
     /*  89562 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  89570 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  89574 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  89578 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  89582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89584 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHRNbhs32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNbhs32),
     /*  89587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89589 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89599 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89611 */     GIR_RootConstrainSelectedInstOperands,
     /*  89612 */     // GIR_Coverage, 3807,
     /*  89612 */     GIR_EraseRootFromParent_Done,
     /*  89613 */   // Label 1646: @89613
     /*  89613 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(89720), // Rule ID 3809 //
     /*  89618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89639 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89642 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  89669 */     // MIs[1] Operand 1
     /*  89669 */     // No operand predicates
     /*  89669 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89673 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  89677 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 0,
     /*  89681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  89685 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  89689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89691 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHRNths32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNths32),
     /*  89694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89696 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89718 */     GIR_RootConstrainSelectedInstOperands,
     /*  89719 */     // GIR_Coverage, 3809,
     /*  89719 */     GIR_EraseRootFromParent_Done,
     /*  89720 */   // Label 1647: @89720
     /*  89720 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(89827), // Rule ID 3811 //
     /*  89725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  89728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  89731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89746 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89749 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  89776 */     // MIs[1] Operand 1
     /*  89776 */     // No operand predicates
     /*  89776 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89780 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  89784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  89788 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  89792 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  89796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89798 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHRNbhu16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNbhu16),
     /*  89801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89803 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89825 */     GIR_RootConstrainSelectedInstOperands,
     /*  89826 */     // GIR_Coverage, 3811,
     /*  89826 */     GIR_EraseRootFromParent_Done,
     /*  89827 */   // Label 1648: @89827
     /*  89827 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(89934), // Rule ID 3813 //
     /*  89832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  89835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  89838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89853 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89856 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  89883 */     // MIs[1] Operand 1
     /*  89883 */     // No operand predicates
     /*  89883 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89887 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  89891 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  89895 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  89899 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  89903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89905 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHRNthu16:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  89905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNthu16),
     /*  89908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  89910 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  89912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  89914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  89917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  89932 */     GIR_RootConstrainSelectedInstOperands,
     /*  89933 */     // GIR_Coverage, 3813,
     /*  89933 */     GIR_EraseRootFromParent_Done,
     /*  89934 */   // Label 1649: @89934
     /*  89934 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(90041), // Rule ID 3815 //
     /*  89939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  89951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  89954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  89957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  89960 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  89963 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  89966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  89978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  89982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  89986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  89990 */     // MIs[1] Operand 1
     /*  89990 */     // No operand predicates
     /*  89990 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  89994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  89998 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  90006 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  90010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90012 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHRNbhu32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNbhu32),
     /*  90015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90017 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90019 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90027 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90039 */     GIR_RootConstrainSelectedInstOperands,
     /*  90040 */     // GIR_Coverage, 3815,
     /*  90040 */     GIR_EraseRootFromParent_Done,
     /*  90041 */   // Label 1650: @90041
     /*  90041 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(90148), // Rule ID 3817 //
     /*  90046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  90049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  90052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  90055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90067 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90070 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  90097 */     // MIs[1] Operand 1
     /*  90097 */     // No operand predicates
     /*  90097 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90101 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  90105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90109 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 1,
     /*  90113 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  90117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90119 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHRNthu32:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRNthu32),
     /*  90122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90124 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90126 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90146 */     GIR_RootConstrainSelectedInstOperands,
     /*  90147 */     // GIR_Coverage, 3817,
     /*  90147 */     GIR_EraseRootFromParent_Done,
     /*  90148 */   // Label 1651: @90148
     /*  90148 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(90255), // Rule ID 3819 //
     /*  90153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  90156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  90159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  90162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90174 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90177 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  90204 */     // MIs[1] Operand 1
     /*  90204 */     // No operand predicates
     /*  90204 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90208 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  90212 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90216 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90220 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  90224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90226 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHRUNs16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRUNs16bh),
     /*  90229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90231 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90253 */     GIR_RootConstrainSelectedInstOperands,
     /*  90254 */     // GIR_Coverage, 3819,
     /*  90254 */     GIR_EraseRootFromParent_Done,
     /*  90255 */   // Label 1652: @90255
     /*  90255 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(90362), // Rule ID 3821 //
     /*  90260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  90263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  90266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  90269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90281 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90284 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  90311 */     // MIs[1] Operand 1
     /*  90311 */     // No operand predicates
     /*  90311 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  90319 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90323 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  90331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90333 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHRUNs16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRUNs16th),
     /*  90336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90338 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90360 */     GIR_RootConstrainSelectedInstOperands,
     /*  90361 */     // GIR_Coverage, 3821,
     /*  90361 */     GIR_EraseRootFromParent_Done,
     /*  90362 */   // Label 1653: @90362
     /*  90362 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(90469), // Rule ID 3823 //
     /*  90367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  90370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  90373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  90376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90388 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90391 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  90418 */     // MIs[1] Operand 1
     /*  90418 */     // No operand predicates
     /*  90418 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  90426 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90430 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90434 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  90438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90440 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQSHRUNs32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRUNs32bh),
     /*  90443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90445 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90461 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90467 */     GIR_RootConstrainSelectedInstOperands,
     /*  90468 */     // GIR_Coverage, 3823,
     /*  90468 */     GIR_EraseRootFromParent_Done,
     /*  90469 */   // Label 1654: @90469
     /*  90469 */   GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(90576), // Rule ID 3825 //
     /*  90474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  90477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  90480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  90483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90495 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90498 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  90525 */     // MIs[1] Operand 1
     /*  90525 */     // No operand predicates
     /*  90525 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90529 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  90533 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90537 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90541 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  90545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90547 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQSHRUNs32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSHRUNs32th),
     /*  90550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90552 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90562 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90574 */     GIR_RootConstrainSelectedInstOperands,
     /*  90575 */     // GIR_Coverage, 3825,
     /*  90575 */     GIR_EraseRootFromParent_Done,
     /*  90576 */   // Label 1655: @90576
     /*  90576 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(90683), // Rule ID 3827 //
     /*  90581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  90584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  90587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  90590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90602 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90605 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  90632 */     // MIs[1] Operand 1
     /*  90632 */     // No operand predicates
     /*  90632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  90640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90644 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  90652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90654 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHRUNs16bh:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRUNs16bh),
     /*  90657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90659 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90661 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90681 */     GIR_RootConstrainSelectedInstOperands,
     /*  90682 */     // GIR_Coverage, 3827,
     /*  90682 */     GIR_EraseRootFromParent_Done,
     /*  90683 */   // Label 1656: @90683
     /*  90683 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(90790), // Rule ID 3829 //
     /*  90688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  90691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  90694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  90697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90709 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90712 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm8),
     /*  90739 */     // MIs[1] Operand 1
     /*  90739 */     // No operand predicates
     /*  90739 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90743 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  90747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90751 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  90759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90761 */     // (intrinsic_wo_chain:{ *:[v16i8] } 3715:{ *:[iPTR] }, MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm8>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHRUNs16th:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$QdSrc, MQPR:{ *:[v8i16] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRUNs16th),
     /*  90764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90766 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90788 */     GIR_RootConstrainSelectedInstOperands,
     /*  90789 */     // GIR_Coverage, 3829,
     /*  90789 */     GIR_EraseRootFromParent_Done,
     /*  90790 */   // Label 1657: @90790
     /*  90790 */   GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(90897), // Rule ID 3831 //
     /*  90795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  90798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  90801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  90804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90816 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90819 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  90846 */     // MIs[1] Operand 1
     /*  90846 */     // No operand predicates
     /*  90846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  90854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90862 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 0,
     /*  90866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90868 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VQRSHRUNs32bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRUNs32bh),
     /*  90871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90873 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90895 */     GIR_RootConstrainSelectedInstOperands,
     /*  90896 */     // GIR_Coverage, 3831,
     /*  90896 */     GIR_EraseRootFromParent_Done,
     /*  90897 */   // Label 1658: @90897
     /*  90897 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(91004), // Rule ID 3833 //
     /*  90902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  90905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  90908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  90911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  90914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  90917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  90920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /*  90923 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /*  90926 */     GIM_RootCheckType, /*Op*/9, /*Type*/GILLT_s32,
     /*  90929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  90941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  90945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  90949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_shr_imm16),
     /*  90953 */     // MIs[1] Operand 1
     /*  90953 */     // No operand predicates
     /*  90953 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  90957 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  90961 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/7, 1,
     /*  90965 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /*  90969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/9, 1,
     /*  90973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90975 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3715:{ *:[iPTR] }, MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] })<<P:Predicate_shr_imm16>>:$imm, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VQRSHRUNs32th:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$QdSrc, MQPR:{ *:[v4i32] }:$Qm, (imm:{ *:[i32] }):$imm)
     /*  90975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQRSHRUNs32th),
     /*  90978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  90980 */     GIR_RootToRootCopy, /*OpIdx*/2, // QdSrc
     /*  90982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Qm
     /*  90984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  90987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  90996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91002 */     GIR_RootConstrainSelectedInstOperands,
     /*  91003 */     // GIR_Coverage, 3833,
     /*  91003 */     GIR_EraseRootFromParent_Done,
     /*  91004 */   // Label 1659: @91004
     /*  91004 */   GIM_Reject,
     /*  91005 */ // Label 1619: @91005
     /*  91005 */ GIM_Reject,
     /*  91006 */ // Label 16: @91006
     /*  91006 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(91063),
     /*  91011 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /*  91014 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_clrex),
     /*  91019 */   GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(91036), // Rule ID 245 //
     /*  91024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6K_IsARM),
     /*  91027 */     // (intrinsic_void 3501:{ *:[iPTR] })  =>  (CLREX)
     /*  91027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CLREX),
     /*  91030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91034 */     GIR_RootConstrainSelectedInstOperands,
     /*  91035 */     // GIR_Coverage, 245,
     /*  91035 */     GIR_EraseRootFromParent_Done,
     /*  91036 */   // Label 1661: @91036
     /*  91036 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(91062), // Rule ID 574 //
     /*  91041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV7Clrex_IsThumb),
     /*  91044 */     // (intrinsic_void 3501:{ *:[iPTR] })  =>  (t2CLREX)
     /*  91044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CLREX),
     /*  91047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91060 */     GIR_RootConstrainSelectedInstOperands,
     /*  91061 */     // GIR_Coverage, 574,
     /*  91061 */     GIR_EraseRootFromParent_Done,
     /*  91062 */   // Label 1662: @91062
     /*  91062 */   GIM_Reject,
     /*  91063 */ // Label 1660: @91063
     /*  91063 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(91865),
     /*  91068 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /*  91071 */   GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(91107), // Rule ID 344 //
     /*  91076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsWindows),
     /*  91079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_undefined),
     /*  91084 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91087 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/1, GIMT_Encode8(249),
     /*  91098 */     // (intrinsic_void 3935:{ *:[iPTR] }, 249:{ *:[i32] })  =>  (t__brkdiv0)
     /*  91098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t__brkdiv0),
     /*  91101 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91105 */     GIR_RootConstrainSelectedInstOperands,
     /*  91106 */     // GIR_Coverage, 344,
     /*  91106 */     GIR_EraseRootFromParent_Done,
     /*  91107 */   // Label 1664: @91107
     /*  91107 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(91159), // Rule ID 2 //
     /*  91112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  91115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_hint),
     /*  91120 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_239),
     /*  91135 */     // MIs[1] Operand 1
     /*  91135 */     // No operand predicates
     /*  91135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91137 */     // (intrinsic_void 3519:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_239>>:$imm)  =>  (HINT (imm:{ *:[i32] }):$imm)
     /*  91137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::HINT),
     /*  91140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  91143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91146 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91157 */     GIR_RootConstrainSelectedInstOperands,
     /*  91158 */     // GIR_Coverage, 2,
     /*  91158 */     GIR_EraseRootFromParent_Done,
     /*  91159 */   // Label 1665: @91159
     /*  91159 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(91211), // Rule ID 10 //
     /*  91164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV7_IsARM),
     /*  91167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_dbg),
     /*  91172 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91187 */     // MIs[1] Operand 1
     /*  91187 */     // No operand predicates
     /*  91187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91189 */     // (intrinsic_void 3514:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (DBG (imm:{ *:[i32] }):$opt)
     /*  91189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::DBG),
     /*  91192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91209 */     GIR_RootConstrainSelectedInstOperands,
     /*  91210 */     // GIR_Coverage, 10,
     /*  91210 */     GIR_EraseRootFromParent_Done,
     /*  91211 */   // Label 1666: @91211
     /*  91211 */   GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(91254), // Rule ID 11 //
     /*  91216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  91219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_undefined),
     /*  91224 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_65535),
     /*  91239 */     // MIs[1] Operand 1
     /*  91239 */     // No operand predicates
     /*  91239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91241 */     // (intrinsic_void 3935:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_65535>>:$imm16)  =>  (UDF (imm:{ *:[i32] }):$imm16)
     /*  91241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UDF),
     /*  91244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm16
     /*  91247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91252 */     GIR_RootConstrainSelectedInstOperands,
     /*  91253 */     // GIR_Coverage, 11,
     /*  91253 */     GIR_EraseRootFromParent_Done,
     /*  91254 */   // Label 1667: @91254
     /*  91254 */   GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(91297), // Rule ID 228 //
     /*  91259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDB_IsARM),
     /*  91262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_dmb),
     /*  91267 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91282 */     // MIs[1] Operand 1
     /*  91282 */     // No operand predicates
     /*  91282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91284 */     // (intrinsic_void 3515:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (DMB (imm:{ *:[i32] }):$opt)
     /*  91284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::DMB),
     /*  91287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91295 */     GIR_RootConstrainSelectedInstOperands,
     /*  91296 */     // GIR_Coverage, 228,
     /*  91296 */     GIR_EraseRootFromParent_Done,
     /*  91297 */   // Label 1668: @91297
     /*  91297 */   GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(91340), // Rule ID 229 //
     /*  91302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDB_IsARM),
     /*  91305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_dsb),
     /*  91310 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91325 */     // MIs[1] Operand 1
     /*  91325 */     // No operand predicates
     /*  91325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91327 */     // (intrinsic_void 3516:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (DSB (imm:{ *:[i32] }):$opt)
     /*  91327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::DSB),
     /*  91330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91338 */     GIR_RootConstrainSelectedInstOperands,
     /*  91339 */     // GIR_Coverage, 229,
     /*  91339 */     GIR_EraseRootFromParent_Done,
     /*  91340 */   // Label 1669: @91340
     /*  91340 */   GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(91383), // Rule ID 230 //
     /*  91345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDB_IsARM),
     /*  91348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_isb),
     /*  91353 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91368 */     // MIs[1] Operand 1
     /*  91368 */     // No operand predicates
     /*  91368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91370 */     // (intrinsic_void 3520:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (ISB (imm:{ *:[i32] }):$opt)
     /*  91370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::ISB),
     /*  91373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91381 */     GIR_RootConstrainSelectedInstOperands,
     /*  91382 */     // GIR_Coverage, 230,
     /*  91382 */     GIR_EraseRootFromParent_Done,
     /*  91383 */   // Label 1670: @91383
     /*  91383 */   GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(91435), // Rule ID 276 //
     /*  91388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6M_IsThumb),
     /*  91391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_hint),
     /*  91396 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91411 */     // MIs[1] Operand 1
     /*  91411 */     // No operand predicates
     /*  91411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91413 */     // (intrinsic_void 3519:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$imm)  =>  (tHINT (imm:{ *:[i32] }):$imm)
     /*  91413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tHINT),
     /*  91416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  91419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91433 */     GIR_RootConstrainSelectedInstOperands,
     /*  91434 */     // GIR_Coverage, 276,
     /*  91434 */     GIR_EraseRootFromParent_Done,
     /*  91435 */   // Label 1671: @91435
     /*  91435 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(91478), // Rule ID 343 //
     /*  91440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb),
     /*  91443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_undefined),
     /*  91448 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_255),
     /*  91463 */     // MIs[1] Operand 1
     /*  91463 */     // No operand predicates
     /*  91463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91465 */     // (intrinsic_void 3935:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$imm8)  =>  (tUDF (imm:{ *:[i32] }):$imm8)
     /*  91465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tUDF),
     /*  91468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm8
     /*  91471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91476 */     GIR_RootConstrainSelectedInstOperands,
     /*  91477 */     // GIR_Coverage, 343,
     /*  91477 */     GIR_EraseRootFromParent_Done,
     /*  91478 */   // Label 1672: @91478
     /*  91478 */   GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(91521), // Rule ID 494 //
     /*  91483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  91486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_undefined),
     /*  91491 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_65535),
     /*  91506 */     // MIs[1] Operand 1
     /*  91506 */     // No operand predicates
     /*  91506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91508 */     // (intrinsic_void 3935:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_65535>>:$imm16)  =>  (t2UDF (imm:{ *:[i32] }):$imm16)
     /*  91508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UDF),
     /*  91511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm16
     /*  91514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91519 */     GIR_RootConstrainSelectedInstOperands,
     /*  91520 */     // GIR_Coverage, 494,
     /*  91520 */     GIR_EraseRootFromParent_Done,
     /*  91521 */   // Label 1673: @91521
     /*  91521 */   GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(91573), // Rule ID 559 //
     /*  91526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDB_IsThumb),
     /*  91529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_dmb),
     /*  91534 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91549 */     // MIs[1] Operand 1
     /*  91549 */     // No operand predicates
     /*  91549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91551 */     // (intrinsic_void 3515:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (t2DMB (imm:{ *:[i32] }):$opt)
     /*  91551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2DMB),
     /*  91554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91571 */     GIR_RootConstrainSelectedInstOperands,
     /*  91572 */     // GIR_Coverage, 559,
     /*  91572 */     GIR_EraseRootFromParent_Done,
     /*  91573 */   // Label 1674: @91573
     /*  91573 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(91625), // Rule ID 560 //
     /*  91578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDB_IsThumb),
     /*  91581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_dsb),
     /*  91586 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91601 */     // MIs[1] Operand 1
     /*  91601 */     // No operand predicates
     /*  91601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91603 */     // (intrinsic_void 3516:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (t2DSB (imm:{ *:[i32] }):$opt)
     /*  91603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2DSB),
     /*  91606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91623 */     GIR_RootConstrainSelectedInstOperands,
     /*  91624 */     // GIR_Coverage, 560,
     /*  91624 */     GIR_EraseRootFromParent_Done,
     /*  91625 */   // Label 1675: @91625
     /*  91625 */   GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(91677), // Rule ID 561 //
     /*  91630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDB_IsThumb),
     /*  91633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_isb),
     /*  91638 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91653 */     // MIs[1] Operand 1
     /*  91653 */     // No operand predicates
     /*  91653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91655 */     // (intrinsic_void 3520:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (t2ISB (imm:{ *:[i32] }):$opt)
     /*  91655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ISB),
     /*  91658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91675 */     GIR_RootConstrainSelectedInstOperands,
     /*  91676 */     // GIR_Coverage, 561,
     /*  91676 */     GIR_EraseRootFromParent_Done,
     /*  91677 */   // Label 1676: @91677
     /*  91677 */   GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(91729), // Rule ID 579 //
     /*  91682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  91685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_hint),
     /*  91690 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_239),
     /*  91705 */     // MIs[1] Operand 1
     /*  91705 */     // No operand predicates
     /*  91705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91707 */     // (intrinsic_void 3519:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_239>>:$imm)  =>  (t2HINT (imm:{ *:[i32] }):$imm)
     /*  91707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2HINT),
     /*  91710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  91713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91727 */     GIR_RootConstrainSelectedInstOperands,
     /*  91728 */     // GIR_Coverage, 579,
     /*  91728 */     GIR_EraseRootFromParent_Done,
     /*  91729 */   // Label 1677: @91729
     /*  91729 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(91781), // Rule ID 580 //
     /*  91734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  91737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_dbg),
     /*  91742 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  91749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /*  91757 */     // MIs[1] Operand 1
     /*  91757 */     // No operand predicates
     /*  91757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91759 */     // (intrinsic_void 3514:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_15>>:$opt)  =>  (t2DBG (imm:{ *:[i32] }):$opt)
     /*  91759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2DBG),
     /*  91762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // opt
     /*  91765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91779 */     GIR_RootConstrainSelectedInstOperands,
     /*  91780 */     // GIR_Coverage, 580,
     /*  91780 */     GIR_EraseRootFromParent_Done,
     /*  91781 */   // Label 1678: @91781
     /*  91781 */   GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(91821), // Rule ID 722 //
     /*  91786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRegs),
     /*  91789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_get_fpscr),
     /*  91794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  91797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  91801 */     // (intrinsic_w_chain:{ *:[i32] } 3517:{ *:[iPTR] })  =>  (VMRS:{ *:[i32] })
     /*  91801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMRS),
     /*  91804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  91806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91819 */     GIR_RootConstrainSelectedInstOperands,
     /*  91820 */     // GIR_Coverage, 722,
     /*  91820 */     GIR_EraseRootFromParent_Done,
     /*  91821 */   // Label 1679: @91821
     /*  91821 */   GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(91864), // Rule ID 723 //
     /*  91826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRegs),
     /*  91829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_set_fpscr),
     /*  91834 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  91837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  91841 */     // (intrinsic_void 3879:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rt)  =>  (VMSR:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rt)
     /*  91841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMSR),
     /*  91844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rt
     /*  91846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  91849 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  91855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for ARM::FPSCR*/0,
     /*  91858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91862 */     GIR_RootConstrainSelectedInstOperands,
     /*  91863 */     // GIR_Coverage, 723,
     /*  91863 */     GIR_EraseRootFromParent_Done,
     /*  91864 */   // Label 1680: @91864
     /*  91864 */   GIM_Reject,
     /*  91865 */ // Label 1663: @91865
     /*  91865 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(91908), // Rule ID 604 //
     /*  91870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLOB_HasV8_1MMainline_IsThumb2),
     /*  91873 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  91876 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::start_loop_iterations),
     /*  91881 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  91884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  91887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRlrRegClassID),
     /*  91891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  91895 */   // (intrinsic_w_chain:{ *:[i32] } 348:{ *:[iPTR] }, rGPR:{ *:[i32] }:$tc)  =>  (t2DoLoopStart:{ *:[i32] } rGPR:{ *:[i32] }:$tc)
     /*  91895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2DoLoopStart),
     /*  91898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[X]
     /*  91900 */   GIR_RootToRootCopy, /*OpIdx*/2, // tc
     /*  91902 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91906 */   GIR_RootConstrainSelectedInstOperands,
     /*  91907 */   // GIR_Coverage, 604,
     /*  91907 */   GIR_EraseRootFromParent_Done,
     /*  91908 */ // Label 1681: @91908
     /*  91908 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(93899),
     /*  91913 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  91916 */   GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(91970), // Rule ID 5048 //
     /*  91921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_base),
     /*  91926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  91929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  91932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  91935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  91939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  91943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  91951 */     // MIs[1] Operand 1
     /*  91951 */     // No operand predicates
     /*  91951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91953 */     // (intrinsic_w_chain:{ *:[v4i32] } 3650:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)  =>  (MVE_VLDRWU32_qi:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  91953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_qi),
     /*  91956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  91958 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  91960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  91963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91968 */     GIR_RootConstrainSelectedInstOperands,
     /*  91969 */     // GIR_Coverage, 5048,
     /*  91969 */     GIR_EraseRootFromParent_Done,
     /*  91970 */   // Label 1683: @91970
     /*  91970 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(92024), // Rule ID 5054 //
     /*  91975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_base),
     /*  91980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  91983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  91986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  91989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  91993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  91997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  92005 */     // MIs[1] Operand 1
     /*  92005 */     // No operand predicates
     /*  92005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92007 */     // (intrinsic_w_chain:{ *:[v4f32] } 3650:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)  =>  (MVE_VLDRWU32_qi:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  92007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_qi),
     /*  92010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  92012 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  92014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  92017 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92022 */     GIR_RootConstrainSelectedInstOperands,
     /*  92023 */     // GIR_Coverage, 5054,
     /*  92023 */     GIR_EraseRootFromParent_Done,
     /*  92024 */   // Label 1684: @92024
     /*  92024 */   GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(92078), // Rule ID 5056 //
     /*  92029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_base),
     /*  92034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  92037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  92040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  92059 */     // MIs[1] Operand 1
     /*  92059 */     // No operand predicates
     /*  92059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92061 */     // (intrinsic_w_chain:{ *:[v2i64] } 3650:{ *:[iPTR] }, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)  =>  (MVE_VLDRDU64_qi:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  92061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_qi),
     /*  92064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  92066 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  92068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  92071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92076 */     GIR_RootConstrainSelectedInstOperands,
     /*  92077 */     // GIR_Coverage, 5056,
     /*  92077 */     GIR_EraseRootFromParent_Done,
     /*  92078 */   // Label 1685: @92078
     /*  92078 */   GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(92132), // Rule ID 5058 //
     /*  92083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_base),
     /*  92088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  92091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  92094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  92113 */     // MIs[1] Operand 1
     /*  92113 */     // No operand predicates
     /*  92113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92115 */     // (intrinsic_w_chain:{ *:[v2f64] } 3650:{ *:[iPTR] }, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)  =>  (MVE_VLDRDU64_qi:{ *:[v2f64] } MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  92115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_qi),
     /*  92118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  92120 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  92122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  92125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92130 */     GIR_RootConstrainSelectedInstOperands,
     /*  92131 */     // GIR_Coverage, 5058,
     /*  92131 */     GIR_EraseRootFromParent_Done,
     /*  92132 */   // Label 1686: @92132
     /*  92132 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(92174), // Rule ID 1738 //
     /*  92137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_space),
     /*  92142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  92152 */     // MIs[0] size
     /*  92152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  92155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  92159 */     // (intrinsic_w_chain:{ *:[i32] } 3910:{ *:[iPTR] }, (timm:{ *:[i32] }):$size, GPR:{ *:[i32] }:$Rn)  =>  (SPACE:{ *:[i32] } (timm:{ *:[i32] }):$size, GPR:{ *:[i32] }:$Rn)
     /*  92159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SPACE),
     /*  92162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92164 */     GIR_RootToRootCopy, /*OpIdx*/2, // size
     /*  92166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /*  92168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92172 */     GIR_RootConstrainSelectedInstOperands,
     /*  92173 */     // GIR_Coverage, 1738,
     /*  92173 */     GIR_EraseRootFromParent_Done,
     /*  92174 */   // Label 1687: @92174
     /*  92174 */   GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(92228), // Rule ID 5050 //
     /*  92179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_base),
     /*  92184 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  92201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  92205 */     // MIs[1] Operand 1
     /*  92205 */     // No operand predicates
     /*  92205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92211 */     // (intrinsic_void 3723:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v4i32] }:$data)  =>  (MVE_VSTRW32_qi MQPR:{ *:[v4i32] }:$data, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  92211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_qi),
     /*  92214 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  92216 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  92218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  92221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92226 */     GIR_RootConstrainSelectedInstOperands,
     /*  92227 */     // GIR_Coverage, 5050,
     /*  92227 */     GIR_EraseRootFromParent_Done,
     /*  92228 */   // Label 1688: @92228
     /*  92228 */   GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(92282), // Rule ID 5060 //
     /*  92233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_base),
     /*  92238 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  92255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  92259 */     // MIs[1] Operand 1
     /*  92259 */     // No operand predicates
     /*  92259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92265 */     // (intrinsic_void 3723:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v4f32] }:$data)  =>  (MVE_VSTRW32_qi MQPR:{ *:[v4f32] }:$data, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  92265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_qi),
     /*  92268 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  92270 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  92272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  92275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92280 */     GIR_RootConstrainSelectedInstOperands,
     /*  92281 */     // GIR_Coverage, 5060,
     /*  92281 */     GIR_EraseRootFromParent_Done,
     /*  92282 */   // Label 1689: @92282
     /*  92282 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(92336), // Rule ID 5064 //
     /*  92287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_base),
     /*  92292 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  92301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  92309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  92313 */     // MIs[1] Operand 1
     /*  92313 */     // No operand predicates
     /*  92313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92319 */     // (intrinsic_void 3723:{ *:[iPTR] }, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v2i64] }:$data)  =>  (MVE_VSTRD64_qi MQPR:{ *:[v2i64] }:$data, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  92319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRD64_qi),
     /*  92322 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  92324 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  92326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  92329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92334 */     GIR_RootConstrainSelectedInstOperands,
     /*  92335 */     // GIR_Coverage, 5064,
     /*  92335 */     GIR_EraseRootFromParent_Done,
     /*  92336 */   // Label 1690: @92336
     /*  92336 */   GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(92390), // Rule ID 5068 //
     /*  92341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_base),
     /*  92346 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  92355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  92363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  92367 */     // MIs[1] Operand 1
     /*  92367 */     // No operand predicates
     /*  92367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  92371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92373 */     // (intrinsic_void 3723:{ *:[iPTR] }, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v2f64] }:$data)  =>  (MVE_VSTRD64_qi MQPR:{ *:[v2f64] }:$data, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  92373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRD64_qi),
     /*  92376 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  92378 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  92380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  92383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92388 */     GIR_RootConstrainSelectedInstOperands,
     /*  92389 */     // GIR_Coverage, 5068,
     /*  92389 */     GIR_EraseRootFromParent_Done,
     /*  92390 */   // Label 1691: @92390
     /*  92390 */   GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(92448), // Rule ID 3 //
     /*  92395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  92398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sel),
     /*  92403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  92416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  92420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  92424 */     // (intrinsic_w_chain:{ *:[i32] } 3878:{ *:[iPTR] }, GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (SEL:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  92424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SEL),
     /*  92427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92431 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92446 */     GIR_RootConstrainSelectedInstOperands,
     /*  92447 */     // GIR_Coverage, 3,
     /*  92447 */     GIR_EraseRootFromParent_Done,
     /*  92448 */   // Label 1692: @92448
     /*  92448 */   GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(92506), // Rule ID 121 //
     /*  92453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sasx),
     /*  92461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92482 */     // (intrinsic_w_chain:{ *:[i32] } 3877:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SASX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SASX),
     /*  92485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92487 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92489 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92504 */     GIR_RootConstrainSelectedInstOperands,
     /*  92505 */     // GIR_Coverage, 121,
     /*  92505 */     GIR_EraseRootFromParent_Done,
     /*  92506 */   // Label 1693: @92506
     /*  92506 */   GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(92564), // Rule ID 122 //
     /*  92511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sadd16),
     /*  92519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92540 */     // (intrinsic_w_chain:{ *:[i32] } 3875:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SADD16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SADD16),
     /*  92543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92562 */     GIR_RootConstrainSelectedInstOperands,
     /*  92563 */     // GIR_Coverage, 122,
     /*  92563 */     GIR_EraseRootFromParent_Done,
     /*  92564 */   // Label 1694: @92564
     /*  92564 */   GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(92622), // Rule ID 123 //
     /*  92569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sadd8),
     /*  92577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92598 */     // (intrinsic_w_chain:{ *:[i32] } 3876:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SADD8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SADD8),
     /*  92601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92620 */     GIR_RootConstrainSelectedInstOperands,
     /*  92621 */     // GIR_Coverage, 123,
     /*  92621 */     GIR_EraseRootFromParent_Done,
     /*  92622 */   // Label 1695: @92622
     /*  92622 */   GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(92680), // Rule ID 124 //
     /*  92627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_ssax),
     /*  92635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92656 */     // (intrinsic_w_chain:{ *:[i32] } 3913:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SSAX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SSAX),
     /*  92659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92678 */     GIR_RootConstrainSelectedInstOperands,
     /*  92679 */     // GIR_Coverage, 124,
     /*  92679 */     GIR_EraseRootFromParent_Done,
     /*  92680 */   // Label 1696: @92680
     /*  92680 */   GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(92738), // Rule ID 125 //
     /*  92685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_ssub16),
     /*  92693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92714 */     // (intrinsic_w_chain:{ *:[i32] } 3914:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SSUB16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SSUB16),
     /*  92717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92721 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92736 */     GIR_RootConstrainSelectedInstOperands,
     /*  92737 */     // GIR_Coverage, 125,
     /*  92737 */     GIR_EraseRootFromParent_Done,
     /*  92738 */   // Label 1697: @92738
     /*  92738 */   GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(92796), // Rule ID 126 //
     /*  92743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_ssub8),
     /*  92751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92772 */     // (intrinsic_w_chain:{ *:[i32] } 3915:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (SSUB8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SSUB8),
     /*  92775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92794 */     GIR_RootConstrainSelectedInstOperands,
     /*  92795 */     // GIR_Coverage, 126,
     /*  92795 */     GIR_EraseRootFromParent_Done,
     /*  92796 */   // Label 1698: @92796
     /*  92796 */   GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(92854), // Rule ID 127 //
     /*  92801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uasx),
     /*  92809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92830 */     // (intrinsic_w_chain:{ *:[i32] } 3928:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UASX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UASX),
     /*  92833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92842 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92852 */     GIR_RootConstrainSelectedInstOperands,
     /*  92853 */     // GIR_Coverage, 127,
     /*  92853 */     GIR_EraseRootFromParent_Done,
     /*  92854 */   // Label 1699: @92854
     /*  92854 */   GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(92912), // Rule ID 128 //
     /*  92859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uadd16),
     /*  92867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92888 */     // (intrinsic_w_chain:{ *:[i32] } 3926:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UADD16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UADD16),
     /*  92891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92910 */     GIR_RootConstrainSelectedInstOperands,
     /*  92911 */     // GIR_Coverage, 128,
     /*  92911 */     GIR_EraseRootFromParent_Done,
     /*  92912 */   // Label 1700: @92912
     /*  92912 */   GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(92970), // Rule ID 129 //
     /*  92917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uadd8),
     /*  92925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92946 */     // (intrinsic_w_chain:{ *:[i32] } 3927:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (UADD8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  92946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UADD8),
     /*  92949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92951 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  92953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  92955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  92958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  92964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92968 */     GIR_RootConstrainSelectedInstOperands,
     /*  92969 */     // GIR_Coverage, 129,
     /*  92969 */     GIR_EraseRootFromParent_Done,
     /*  92970 */   // Label 1701: @92970
     /*  92970 */   GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(93028), // Rule ID 130 //
     /*  92975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  92978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usax),
     /*  92983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  92986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  92989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  92992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  92996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93004 */     // (intrinsic_w_chain:{ *:[i32] } 3946:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (USAX:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  93004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USAX),
     /*  93007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93011 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93026 */     GIR_RootConstrainSelectedInstOperands,
     /*  93027 */     // GIR_Coverage, 130,
     /*  93027 */     GIR_EraseRootFromParent_Done,
     /*  93028 */   // Label 1702: @93028
     /*  93028 */   GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(93086), // Rule ID 131 //
     /*  93033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  93036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usub16),
     /*  93041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93062 */     // (intrinsic_w_chain:{ *:[i32] } 3947:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (USUB16:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  93062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USUB16),
     /*  93065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93084 */     GIR_RootConstrainSelectedInstOperands,
     /*  93085 */     // GIR_Coverage, 131,
     /*  93085 */     GIR_EraseRootFromParent_Done,
     /*  93086 */   // Label 1703: @93086
     /*  93086 */   GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(93144), // Rule ID 132 //
     /*  93091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  93094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usub8),
     /*  93099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  93120 */     // (intrinsic_w_chain:{ *:[i32] } 3948:{ *:[iPTR] }, GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)  =>  (USUB8:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rn, GPRnopc:{ *:[i32] }:$Rm)
     /*  93120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::USUB8),
     /*  93123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93142 */     GIR_RootConstrainSelectedInstOperands,
     /*  93143 */     // GIR_Coverage, 132,
     /*  93143 */     GIR_EraseRootFromParent_Done,
     /*  93144 */   // Label 1704: @93144
     /*  93144 */   GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(93202), // Rule ID 431 //
     /*  93149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sel),
     /*  93157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  93170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  93174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  93178 */     // (intrinsic_w_chain:{ *:[i32] } 3878:{ *:[iPTR] }, GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (t2SEL:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /*  93178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SEL),
     /*  93181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93200 */     GIR_RootConstrainSelectedInstOperands,
     /*  93201 */     // GIR_Coverage, 431,
     /*  93201 */     GIR_EraseRootFromParent_Done,
     /*  93202 */   // Label 1705: @93202
     /*  93202 */   GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(93260), // Rule ID 444 //
     /*  93207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sasx),
     /*  93215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93236 */     // (intrinsic_w_chain:{ *:[i32] } 3877:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SASX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SASX),
     /*  93239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93258 */     GIR_RootConstrainSelectedInstOperands,
     /*  93259 */     // GIR_Coverage, 444,
     /*  93259 */     GIR_EraseRootFromParent_Done,
     /*  93260 */   // Label 1706: @93260
     /*  93260 */   GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(93318), // Rule ID 445 //
     /*  93265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sadd16),
     /*  93273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93294 */     // (intrinsic_w_chain:{ *:[i32] } 3875:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SADD16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SADD16),
     /*  93297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93301 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93316 */     GIR_RootConstrainSelectedInstOperands,
     /*  93317 */     // GIR_Coverage, 445,
     /*  93317 */     GIR_EraseRootFromParent_Done,
     /*  93318 */   // Label 1707: @93318
     /*  93318 */   GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(93376), // Rule ID 446 //
     /*  93323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_sadd8),
     /*  93331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93352 */     // (intrinsic_w_chain:{ *:[i32] } 3876:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SADD8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SADD8),
     /*  93355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93374 */     GIR_RootConstrainSelectedInstOperands,
     /*  93375 */     // GIR_Coverage, 446,
     /*  93375 */     GIR_EraseRootFromParent_Done,
     /*  93376 */   // Label 1708: @93376
     /*  93376 */   GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(93434), // Rule ID 447 //
     /*  93381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_ssax),
     /*  93389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93410 */     // (intrinsic_w_chain:{ *:[i32] } 3913:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SSAX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SSAX),
     /*  93413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93432 */     GIR_RootConstrainSelectedInstOperands,
     /*  93433 */     // GIR_Coverage, 447,
     /*  93433 */     GIR_EraseRootFromParent_Done,
     /*  93434 */   // Label 1709: @93434
     /*  93434 */   GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(93492), // Rule ID 448 //
     /*  93439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_ssub16),
     /*  93447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93468 */     // (intrinsic_w_chain:{ *:[i32] } 3914:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SSUB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SSUB16),
     /*  93471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93490 */     GIR_RootConstrainSelectedInstOperands,
     /*  93491 */     // GIR_Coverage, 448,
     /*  93491 */     GIR_EraseRootFromParent_Done,
     /*  93492 */   // Label 1710: @93492
     /*  93492 */   GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(93550), // Rule ID 449 //
     /*  93497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_ssub8),
     /*  93505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93526 */     // (intrinsic_w_chain:{ *:[i32] } 3915:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SSUB8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SSUB8),
     /*  93529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93533 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93544 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93548 */     GIR_RootConstrainSelectedInstOperands,
     /*  93549 */     // GIR_Coverage, 449,
     /*  93549 */     GIR_EraseRootFromParent_Done,
     /*  93550 */   // Label 1711: @93550
     /*  93550 */   GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(93608), // Rule ID 450 //
     /*  93555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uasx),
     /*  93563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93584 */     // (intrinsic_w_chain:{ *:[i32] } 3928:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UASX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UASX),
     /*  93587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93606 */     GIR_RootConstrainSelectedInstOperands,
     /*  93607 */     // GIR_Coverage, 450,
     /*  93607 */     GIR_EraseRootFromParent_Done,
     /*  93608 */   // Label 1712: @93608
     /*  93608 */   GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(93666), // Rule ID 451 //
     /*  93613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uadd16),
     /*  93621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93642 */     // (intrinsic_w_chain:{ *:[i32] } 3926:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UADD16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UADD16),
     /*  93645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93664 */     GIR_RootConstrainSelectedInstOperands,
     /*  93665 */     // GIR_Coverage, 451,
     /*  93665 */     GIR_EraseRootFromParent_Done,
     /*  93666 */   // Label 1713: @93666
     /*  93666 */   GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(93724), // Rule ID 452 //
     /*  93671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_uadd8),
     /*  93679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93700 */     // (intrinsic_w_chain:{ *:[i32] } 3927:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2UADD8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2UADD8),
     /*  93703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93722 */     GIR_RootConstrainSelectedInstOperands,
     /*  93723 */     // GIR_Coverage, 452,
     /*  93723 */     GIR_EraseRootFromParent_Done,
     /*  93724 */   // Label 1714: @93724
     /*  93724 */   GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(93782), // Rule ID 453 //
     /*  93729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usax),
     /*  93737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93758 */     // (intrinsic_w_chain:{ *:[i32] } 3946:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2USAX:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USAX),
     /*  93761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93765 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93780 */     GIR_RootConstrainSelectedInstOperands,
     /*  93781 */     // GIR_Coverage, 453,
     /*  93781 */     GIR_EraseRootFromParent_Done,
     /*  93782 */   // Label 1715: @93782
     /*  93782 */   GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(93840), // Rule ID 454 //
     /*  93787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usub16),
     /*  93795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93816 */     // (intrinsic_w_chain:{ *:[i32] } 3947:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2USUB16:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USUB16),
     /*  93819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93838 */     GIR_RootConstrainSelectedInstOperands,
     /*  93839 */     // GIR_Coverage, 454,
     /*  93839 */     GIR_EraseRootFromParent_Done,
     /*  93840 */   // Label 1716: @93840
     /*  93840 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(93898), // Rule ID 455 //
     /*  93845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /*  93848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_usub8),
     /*  93853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  93874 */     // (intrinsic_w_chain:{ *:[i32] } 3948:{ *:[iPTR] }, rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2USUB8:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /*  93874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2USUB8),
     /*  93877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  93881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /*  93883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  93886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  93892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93896 */     GIR_RootConstrainSelectedInstOperands,
     /*  93897 */     // GIR_Coverage, 455,
     /*  93897 */     GIR_EraseRootFromParent_Done,
     /*  93898 */   // Label 1717: @93898
     /*  93898 */   GIM_Reject,
     /*  93899 */ // Label 1682: @93899
     /*  93899 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(94145),
     /*  93904 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  93907 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_base_wb),
     /*  93912 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(93970), // Rule ID 5052 //
     /*  93917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  93929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  93933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  93937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  93941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  93945 */     // MIs[1] Operand 1
     /*  93945 */     // No operand predicates
     /*  93945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  93949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  93951 */     // (intrinsic_w_chain:{ *:[v4i32] } 3725:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v4i32] }:$data)  =>  (MVE_VSTRW32_qi_pre:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$data, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  93951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_qi_pre),
     /*  93954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wb]
     /*  93956 */     GIR_RootToRootCopy, /*OpIdx*/4, // data
     /*  93958 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  93960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  93963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  93968 */     GIR_RootConstrainSelectedInstOperands,
     /*  93969 */     // GIR_Coverage, 5052,
     /*  93969 */     GIR_EraseRootFromParent_Done,
     /*  93970 */   // Label 1719: @93970
     /*  93970 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(94028), // Rule ID 5062 //
     /*  93975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  93987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  93991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  93995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  93999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  94003 */     // MIs[1] Operand 1
     /*  94003 */     // No operand predicates
     /*  94003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  94009 */     // (intrinsic_w_chain:{ *:[v4i32] } 3725:{ *:[iPTR] }, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v4f32] }:$data)  =>  (MVE_VSTRW32_qi_pre:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$data, MQPR:{ *:[v4i32] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  94009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_qi_pre),
     /*  94012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wb]
     /*  94014 */     GIR_RootToRootCopy, /*OpIdx*/4, // data
     /*  94016 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  94018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  94021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  94026 */     GIR_RootConstrainSelectedInstOperands,
     /*  94027 */     // GIR_Coverage, 5062,
     /*  94027 */     GIR_EraseRootFromParent_Done,
     /*  94028 */   // Label 1720: @94028
     /*  94028 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(94086), // Rule ID 5066 //
     /*  94033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  94042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  94045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  94057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  94061 */     // MIs[1] Operand 1
     /*  94061 */     // No operand predicates
     /*  94061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  94067 */     // (intrinsic_w_chain:{ *:[v2i64] } 3725:{ *:[iPTR] }, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v2i64] }:$data)  =>  (MVE_VSTRD64_qi_pre:{ *:[v2i64] } MQPR:{ *:[v2i64] }:$data, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  94067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRD64_qi_pre),
     /*  94070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wb]
     /*  94072 */     GIR_RootToRootCopy, /*OpIdx*/4, // data
     /*  94074 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  94076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  94079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  94084 */     GIR_RootConstrainSelectedInstOperands,
     /*  94085 */     // GIR_Coverage, 5066,
     /*  94085 */     GIR_EraseRootFromParent_Done,
     /*  94086 */   // Label 1721: @94086
     /*  94086 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(94144), // Rule ID 5070 //
     /*  94091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  94100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  94103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  94115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  94119 */     // MIs[1] Operand 1
     /*  94119 */     // No operand predicates
     /*  94119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  94125 */     // (intrinsic_w_chain:{ *:[v2i64] } 3725:{ *:[iPTR] }, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset, MQPR:{ *:[v2f64] }:$data)  =>  (MVE_VSTRD64_qi_pre:{ *:[v2i64] } MQPR:{ *:[v2f64] }:$data, MQPR:{ *:[v2i64] }:$addr, (imm:{ *:[i32] }):$offset)
     /*  94125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRD64_qi_pre),
     /*  94128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wb]
     /*  94130 */     GIR_RootToRootCopy, /*OpIdx*/4, // data
     /*  94132 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /*  94134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // offset
     /*  94137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  94142 */     GIR_RootConstrainSelectedInstOperands,
     /*  94143 */     // GIR_Coverage, 5070,
     /*  94143 */     GIR_EraseRootFromParent_Done,
     /*  94144 */   // Label 1722: @94144
     /*  94144 */   GIM_Reject,
     /*  94145 */ // Label 1718: @94145
     /*  94145 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(95316),
     /*  94150 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  94153 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(94214), // Rule ID 4940 //
     /*  94158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  94166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  94169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94175 */     // MIs[0] base
     /*  94175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94191 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  94195 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94199 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, MQPR:{ *:[v8i16] }:$data, 16:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRH16_rq_u MQPR:{ *:[v8i16] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  94199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRH16_rq_u),
     /*  94202 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94204 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94206 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94212 */     GIR_RootConstrainSelectedInstOperands,
     /*  94213 */     // GIR_Coverage, 4940,
     /*  94213 */     GIR_EraseRootFromParent_Done,
     /*  94214 */   // Label 1724: @94214
     /*  94214 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(94275), // Rule ID 4941 //
     /*  94219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  94227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  94230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94236 */     // MIs[0] base
     /*  94236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94252 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  94256 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  94260 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, MQPR:{ *:[v8i16] }:$data, 16:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSTRH16_rq MQPR:{ *:[v8i16] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  94260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRH16_rq),
     /*  94263 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94265 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94267 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94273 */     GIR_RootConstrainSelectedInstOperands,
     /*  94274 */     // GIR_Coverage, 4941,
     /*  94274 */     GIR_EraseRootFromParent_Done,
     /*  94275 */   // Label 1725: @94275
     /*  94275 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(94336), // Rule ID 4944 //
     /*  94280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  94288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  94291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94297 */     // MIs[0] base
     /*  94297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94313 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  94317 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94321 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v16i8] }:$offsets, MQPR:{ *:[v16i8] }:$data, 8:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRB8_rq MQPR:{ *:[v16i8] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v16i8] }:$offsets)
     /*  94321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRB8_rq),
     /*  94324 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94326 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94328 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94334 */     GIR_RootConstrainSelectedInstOperands,
     /*  94335 */     // GIR_Coverage, 4944,
     /*  94335 */     GIR_EraseRootFromParent_Done,
     /*  94336 */   // Label 1726: @94336
     /*  94336 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(94397), // Rule ID 5024 //
     /*  94341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  94349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  94352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94358 */     // MIs[0] base
     /*  94358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  94378 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94382 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, MQPR:{ *:[v8i16] }:$data, 8:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRB16_rq MQPR:{ *:[v8i16] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  94382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRB16_rq),
     /*  94385 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94387 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94389 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94395 */     GIR_RootConstrainSelectedInstOperands,
     /*  94396 */     // GIR_Coverage, 5024,
     /*  94396 */     GIR_EraseRootFromParent_Done,
     /*  94397 */   // Label 1727: @94397
     /*  94397 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(94458), // Rule ID 5026 //
     /*  94402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94419 */     // MIs[0] base
     /*  94419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94435 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  94439 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94443 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, MQPR:{ *:[v4i32] }:$data, 8:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRB32_rq MQPR:{ *:[v4i32] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  94443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRB32_rq),
     /*  94446 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94448 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94450 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94456 */     GIR_RootConstrainSelectedInstOperands,
     /*  94457 */     // GIR_Coverage, 5026,
     /*  94457 */     GIR_EraseRootFromParent_Done,
     /*  94458 */   // Label 1728: @94458
     /*  94458 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(94519), // Rule ID 5028 //
     /*  94463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  94471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  94474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94480 */     // MIs[0] base
     /*  94480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  94500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94504 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, MQPR:{ *:[v8f16] }:$data, 16:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRH16_rq_u MQPR:{ *:[v8f16] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  94504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRH16_rq_u),
     /*  94507 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94509 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94511 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94517 */     GIR_RootConstrainSelectedInstOperands,
     /*  94518 */     // GIR_Coverage, 5028,
     /*  94518 */     GIR_EraseRootFromParent_Done,
     /*  94519 */   // Label 1729: @94519
     /*  94519 */   GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(94580), // Rule ID 5029 //
     /*  94524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  94532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  94535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94541 */     // MIs[0] base
     /*  94541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94557 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  94561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  94565 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, MQPR:{ *:[v8f16] }:$data, 16:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSTRH16_rq MQPR:{ *:[v8f16] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  94565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRH16_rq),
     /*  94568 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94570 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94572 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94578 */     GIR_RootConstrainSelectedInstOperands,
     /*  94579 */     // GIR_Coverage, 5029,
     /*  94579 */     GIR_EraseRootFromParent_Done,
     /*  94580 */   // Label 1730: @94580
     /*  94580 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(94641), // Rule ID 5032 //
     /*  94585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94602 */     // MIs[0] base
     /*  94602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94618 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  94622 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94626 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, MQPR:{ *:[v4i32] }:$data, 16:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRH32_rq_u MQPR:{ *:[v4i32] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  94626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRH32_rq_u),
     /*  94629 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94631 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94633 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94639 */     GIR_RootConstrainSelectedInstOperands,
     /*  94640 */     // GIR_Coverage, 5032,
     /*  94640 */     GIR_EraseRootFromParent_Done,
     /*  94641 */   // Label 1731: @94641
     /*  94641 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(94702), // Rule ID 5033 //
     /*  94646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94663 */     // MIs[0] base
     /*  94663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94679 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  94683 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  94687 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, MQPR:{ *:[v4i32] }:$data, 16:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VSTRH32_rq MQPR:{ *:[v4i32] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  94687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRH32_rq),
     /*  94690 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94692 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94694 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94700 */     GIR_RootConstrainSelectedInstOperands,
     /*  94701 */     // GIR_Coverage, 5033,
     /*  94701 */     GIR_EraseRootFromParent_Done,
     /*  94702 */   // Label 1732: @94702
     /*  94702 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(94763), // Rule ID 5036 //
     /*  94707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94724 */     // MIs[0] base
     /*  94724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  94744 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94748 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, MQPR:{ *:[v4i32] }:$data, 32:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRW32_rq_u MQPR:{ *:[v4i32] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  94748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_rq_u),
     /*  94751 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94753 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94755 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94761 */     GIR_RootConstrainSelectedInstOperands,
     /*  94762 */     // GIR_Coverage, 5036,
     /*  94762 */     GIR_EraseRootFromParent_Done,
     /*  94763 */   // Label 1733: @94763
     /*  94763 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(94824), // Rule ID 5037 //
     /*  94768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94785 */     // MIs[0] base
     /*  94785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94801 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  94805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  94809 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, MQPR:{ *:[v4i32] }:$data, 32:{ *:[i32] }, 2:{ *:[i32] })  =>  (MVE_VSTRW32_rq MQPR:{ *:[v4i32] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  94809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_rq),
     /*  94812 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94814 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94816 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94822 */     GIR_RootConstrainSelectedInstOperands,
     /*  94823 */     // GIR_Coverage, 5037,
     /*  94823 */     GIR_EraseRootFromParent_Done,
     /*  94824 */   // Label 1734: @94824
     /*  94824 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(94885), // Rule ID 5040 //
     /*  94829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94846 */     // MIs[0] base
     /*  94846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94862 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  94866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94870 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, MQPR:{ *:[v4f32] }:$data, 32:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRW32_rq_u MQPR:{ *:[v4f32] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  94870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_rq_u),
     /*  94873 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94875 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94877 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94883 */     GIR_RootConstrainSelectedInstOperands,
     /*  94884 */     // GIR_Coverage, 5040,
     /*  94884 */     GIR_EraseRootFromParent_Done,
     /*  94885 */   // Label 1735: @94885
     /*  94885 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(94946), // Rule ID 5041 //
     /*  94890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94907 */     // MIs[0] base
     /*  94907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94923 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  94927 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  94931 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, MQPR:{ *:[v4f32] }:$data, 32:{ *:[i32] }, 2:{ *:[i32] })  =>  (MVE_VSTRW32_rq MQPR:{ *:[v4f32] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  94931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRW32_rq),
     /*  94934 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94936 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94938 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  94940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94944 */     GIR_RootConstrainSelectedInstOperands,
     /*  94945 */     // GIR_Coverage, 5041,
     /*  94945 */     GIR_EraseRootFromParent_Done,
     /*  94946 */   // Label 1736: @94946
     /*  94946 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(95007), // Rule ID 5044 //
     /*  94951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  94956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  94965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  94968 */     // MIs[0] base
     /*  94968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  94972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  94976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  94984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  94988 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  94992 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, MQPR:{ *:[v2i64] }:$data, 64:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VSTRD64_rq_u MQPR:{ *:[v2i64] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  94992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRD64_rq_u),
     /*  94995 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  94997 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  94999 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  95001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95005 */     GIR_RootConstrainSelectedInstOperands,
     /*  95006 */     // GIR_Coverage, 5044,
     /*  95006 */     GIR_EraseRootFromParent_Done,
     /*  95007 */   // Label 1737: @95007
     /*  95007 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(95068), // Rule ID 5045 //
     /*  95012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mve_vstr_scatter_offset),
     /*  95017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95029 */     // MIs[0] base
     /*  95029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  95033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95045 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  95049 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 3,
     /*  95053 */     // (intrinsic_void 3727:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, MQPR:{ *:[v2i64] }:$data, 64:{ *:[i32] }, 3:{ *:[i32] })  =>  (MVE_VSTRD64_rq MQPR:{ *:[v2i64] }:$data, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  95053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSTRD64_rq),
     /*  95056 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /*  95058 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /*  95060 */     GIR_RootToRootCopy, /*OpIdx*/2, // offsets
     /*  95062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95066 */     GIR_RootConstrainSelectedInstOperands,
     /*  95067 */     // GIR_Coverage, 5045,
     /*  95067 */     GIR_EraseRootFromParent_Done,
     /*  95068 */   // Label 1738: @95068
     /*  95068 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(95132), // Rule ID 258 //
     /*  95073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  95076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcrr),
     /*  95081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  95084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95087 */     // MIs[0] cop
     /*  95087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95090 */     // MIs[0] opc1
     /*  95090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  95097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  95101 */     // MIs[0] CRm
     /*  95101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95104 */     // (intrinsic_void 3531:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPRnopc:{ *:[i32] }:$Rt, GPRnopc:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)  =>  (MCRR (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPRnopc:{ *:[i32] }:$Rt, GPRnopc:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)
     /*  95104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MCRR),
     /*  95107 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95109 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  95113 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rt2
     /*  95115 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  95120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  95126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95130 */     GIR_RootConstrainSelectedInstOperands,
     /*  95131 */     // GIR_Coverage, 258,
     /*  95131 */     GIR_EraseRootFromParent_Done,
     /*  95132 */   // Label 1739: @95132
     /*  95132 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(95187), // Rule ID 259 //
     /*  95137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_PreV8),
     /*  95140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcrr2),
     /*  95145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  95148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95151 */     // MIs[0] cop
     /*  95151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95154 */     // MIs[0] opc1
     /*  95154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  95161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  95165 */     // MIs[0] CRm
     /*  95165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95168 */     // (intrinsic_void 3532:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPRnopc:{ *:[i32] }:$Rt, GPRnopc:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)  =>  (MCRR2 (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPRnopc:{ *:[i32] }:$Rt, GPRnopc:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)
     /*  95168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MCRR2),
     /*  95171 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95173 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  95177 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rt2
     /*  95179 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95185 */     GIR_RootConstrainSelectedInstOperands,
     /*  95186 */     // GIR_Coverage, 259,
     /*  95186 */     GIR_EraseRootFromParent_Done,
     /*  95187 */   // Label 1740: @95187
     /*  95187 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(95251), // Rule ID 596 //
     /*  95192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  95195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcrr),
     /*  95200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  95203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95206 */     // MIs[0] cop
     /*  95206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95209 */     // MIs[0] opc1
     /*  95209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95220 */     // MIs[0] CRm
     /*  95220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95223 */     // (intrinsic_void 3531:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, GPR:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)  =>  (t2MCRR (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, GPR:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)
     /*  95223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MCRR),
     /*  95226 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95228 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  95232 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rt2
     /*  95234 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  95239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  95245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95249 */     GIR_RootConstrainSelectedInstOperands,
     /*  95250 */     // GIR_Coverage, 596,
     /*  95250 */     GIR_EraseRootFromParent_Done,
     /*  95251 */   // Label 1741: @95251
     /*  95251 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(95315), // Rule ID 597 //
     /*  95256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2_PreV8),
     /*  95259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcrr2),
     /*  95264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  95267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95270 */     // MIs[0] cop
     /*  95270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95273 */     // MIs[0] opc1
     /*  95273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95284 */     // MIs[0] CRm
     /*  95284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95287 */     // (intrinsic_void 3532:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, GPR:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)  =>  (t2MCRR2 (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, GPR:{ *:[i32] }:$Rt2, (timm:{ *:[i32] }):$CRm)
     /*  95287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MCRR2),
     /*  95290 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95292 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95294 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  95296 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rt2
     /*  95298 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  95303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  95309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95313 */     GIR_RootConstrainSelectedInstOperands,
     /*  95314 */     // GIR_Coverage, 597,
     /*  95314 */     GIR_EraseRootFromParent_Done,
     /*  95315 */   // Label 1742: @95315
     /*  95315 */   GIM_Reject,
     /*  95316 */ // Label 1723: @95316
     /*  95316 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(98667),
     /*  95321 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  95324 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(95385), // Rule ID 246 //
     /*  95329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_PreV8),
     /*  95332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_cdp),
     /*  95337 */     // MIs[0] cop
     /*  95337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95340 */     // MIs[0] opc1
     /*  95340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95343 */     // MIs[0] CRd
     /*  95343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  95346 */     // MIs[0] CRn
     /*  95346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95349 */     // MIs[0] CRm
     /*  95349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95352 */     // MIs[0] opc2
     /*  95352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  95355 */     // (intrinsic_void 3499:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (CDP (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  95355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CDP),
     /*  95358 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95360 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95362 */     GIR_RootToRootCopy, /*OpIdx*/3, // CRd
     /*  95364 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  95366 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95368 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  95370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  95373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  95379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95383 */     GIR_RootConstrainSelectedInstOperands,
     /*  95384 */     // GIR_Coverage, 246,
     /*  95384 */     GIR_EraseRootFromParent_Done,
     /*  95385 */   // Label 1744: @95385
     /*  95385 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(95437), // Rule ID 247 //
     /*  95390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_PreV8),
     /*  95393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_cdp2),
     /*  95398 */     // MIs[0] cop
     /*  95398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95401 */     // MIs[0] opc1
     /*  95401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95404 */     // MIs[0] CRd
     /*  95404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  95407 */     // MIs[0] CRn
     /*  95407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95410 */     // MIs[0] CRm
     /*  95410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95413 */     // MIs[0] opc2
     /*  95413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  95416 */     // (intrinsic_void 3500:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (CDP2 (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  95416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CDP2),
     /*  95419 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95421 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95423 */     GIR_RootToRootCopy, /*OpIdx*/3, // CRd
     /*  95425 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  95427 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95429 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  95431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95435 */     GIR_RootConstrainSelectedInstOperands,
     /*  95436 */     // GIR_Coverage, 247,
     /*  95436 */     GIR_EraseRootFromParent_Done,
     /*  95437 */   // Label 1745: @95437
     /*  95437 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(95498), // Rule ID 598 //
     /*  95442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2_PreV8),
     /*  95445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_cdp),
     /*  95450 */     // MIs[0] cop
     /*  95450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95453 */     // MIs[0] opc1
     /*  95453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95456 */     // MIs[0] CRd
     /*  95456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  95459 */     // MIs[0] CRn
     /*  95459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95462 */     // MIs[0] CRm
     /*  95462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95465 */     // MIs[0] opc2
     /*  95465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  95468 */     // (intrinsic_void 3499:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (t2CDP (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  95468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CDP),
     /*  95471 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95473 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95475 */     GIR_RootToRootCopy, /*OpIdx*/3, // CRd
     /*  95477 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  95479 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95481 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  95483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  95486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  95492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95496 */     GIR_RootConstrainSelectedInstOperands,
     /*  95497 */     // GIR_Coverage, 598,
     /*  95497 */     GIR_EraseRootFromParent_Done,
     /*  95498 */   // Label 1746: @95498
     /*  95498 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(95559), // Rule ID 599 //
     /*  95503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2_PreV8),
     /*  95506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_cdp2),
     /*  95511 */     // MIs[0] cop
     /*  95511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  95514 */     // MIs[0] opc1
     /*  95514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  95517 */     // MIs[0] CRd
     /*  95517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  95520 */     // MIs[0] CRn
     /*  95520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95523 */     // MIs[0] CRm
     /*  95523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  95526 */     // MIs[0] opc2
     /*  95526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  95529 */     // (intrinsic_void 3500:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (t2CDP2 (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, (timm:{ *:[i32] }):$CRd, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  95529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CDP2),
     /*  95532 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  95534 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  95536 */     GIR_RootToRootCopy, /*OpIdx*/3, // CRd
     /*  95538 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  95540 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  95542 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  95544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  95547 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  95553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95557 */     GIR_RootConstrainSelectedInstOperands,
     /*  95558 */     // GIR_Coverage, 599,
     /*  95558 */     GIR_EraseRootFromParent_Done,
     /*  95559 */   // Label 1747: @95559
     /*  95559 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(95627), // Rule ID 4934 //
     /*  95564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  95569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  95572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  95575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  95584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95588 */     // MIs[0] base
     /*  95588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  95592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95600 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  95604 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  95608 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  95612 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHU16_rq_u:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  95612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq_u),
     /*  95615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  95617 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  95619 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  95621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95625 */     GIR_RootConstrainSelectedInstOperands,
     /*  95626 */     // GIR_Coverage, 4934,
     /*  95626 */     GIR_EraseRootFromParent_Done,
     /*  95627 */   // Label 1748: @95627
     /*  95627 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(95695), // Rule ID 4935 //
     /*  95632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  95637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  95640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  95643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  95652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95656 */     // MIs[0] base
     /*  95656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  95660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95668 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  95672 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  95676 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  95680 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHU16_rq:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  95680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq),
     /*  95683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  95685 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  95687 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  95689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95693 */     GIR_RootConstrainSelectedInstOperands,
     /*  95694 */     // GIR_Coverage, 4935,
     /*  95694 */     GIR_EraseRootFromParent_Done,
     /*  95695 */   // Label 1749: @95695
     /*  95695 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(95763), // Rule ID 4938 //
     /*  95700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  95705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  95708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  95711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  95720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95724 */     // MIs[0] base
     /*  95724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  95728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95736 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  95740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  95744 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  95748 */     // (intrinsic_w_chain:{ *:[v16i8] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v16i8] }:$offsets, 8:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRBU8_rq:{ *:[v16i8] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v16i8] }:$offsets)
     /*  95748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRBU8_rq),
     /*  95751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  95753 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  95755 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  95757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95761 */     GIR_RootConstrainSelectedInstOperands,
     /*  95762 */     // GIR_Coverage, 4938,
     /*  95762 */     GIR_EraseRootFromParent_Done,
     /*  95763 */   // Label 1750: @95763
     /*  95763 */   GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(95831), // Rule ID 4946 //
     /*  95768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  95773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  95776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  95779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  95788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95792 */     // MIs[0] base
     /*  95792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  95796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95804 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  95808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  95812 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  95816 */     // (intrinsic_w_chain:{ *:[v16i8] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v16i8] }:$offsets, 8:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRBU8_rq:{ *:[v16i8] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v16i8] }:$offsets)
     /*  95816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRBU8_rq),
     /*  95819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  95821 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  95823 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  95825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95829 */     GIR_RootConstrainSelectedInstOperands,
     /*  95830 */     // GIR_Coverage, 4946,
     /*  95830 */     GIR_EraseRootFromParent_Done,
     /*  95831 */   // Label 1751: @95831
     /*  95831 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(95899), // Rule ID 4948 //
     /*  95836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  95841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  95844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  95847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  95856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95860 */     // MIs[0] base
     /*  95860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  95864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95872 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  95876 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  95880 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  95884 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 8:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRBU16_rq:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  95884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRBU16_rq),
     /*  95887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  95889 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  95891 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  95893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95897 */     GIR_RootConstrainSelectedInstOperands,
     /*  95898 */     // GIR_Coverage, 4948,
     /*  95898 */     GIR_EraseRootFromParent_Done,
     /*  95899 */   // Label 1752: @95899
     /*  95899 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(95967), // Rule ID 4950 //
     /*  95904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  95909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  95912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  95915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  95924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95928 */     // MIs[0] base
     /*  95928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  95932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  95936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95940 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  95944 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  95948 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  95952 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 8:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRBS16_rq:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  95952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRBS16_rq),
     /*  95955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  95957 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  95959 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  95961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95965 */     GIR_RootConstrainSelectedInstOperands,
     /*  95966 */     // GIR_Coverage, 4950,
     /*  95966 */     GIR_EraseRootFromParent_Done,
     /*  95967 */   // Label 1753: @95967
     /*  95967 */   GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(96035), // Rule ID 4952 //
     /*  95972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  95977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  95980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  95983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  95986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  95989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  95992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  95996 */     // MIs[0] base
     /*  95996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96008 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  96012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96016 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96020 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 8:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRBU32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  96020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRBU32_rq),
     /*  96023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96025 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96027 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96033 */     GIR_RootConstrainSelectedInstOperands,
     /*  96034 */     // GIR_Coverage, 4952,
     /*  96034 */     GIR_EraseRootFromParent_Done,
     /*  96035 */   // Label 1754: @96035
     /*  96035 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(96103), // Rule ID 4954 //
     /*  96040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96064 */     // MIs[0] base
     /*  96064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 8,
     /*  96080 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96084 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  96088 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 8:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRBS32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  96088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRBS32_rq),
     /*  96091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96093 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96095 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96101 */     GIR_RootConstrainSelectedInstOperands,
     /*  96102 */     // GIR_Coverage, 4954,
     /*  96102 */     GIR_EraseRootFromParent_Done,
     /*  96103 */   // Label 1755: @96103
     /*  96103 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(96171), // Rule ID 4956 //
     /*  96108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96132 */     // MIs[0] base
     /*  96132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96144 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96148 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96152 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96156 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU16_rq_u:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq_u),
     /*  96159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96161 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96163 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96169 */     GIR_RootConstrainSelectedInstOperands,
     /*  96170 */     // GIR_Coverage, 4956,
     /*  96170 */     GIR_EraseRootFromParent_Done,
     /*  96171 */   // Label 1756: @96171
     /*  96171 */   GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(96239), // Rule ID 4957 //
     /*  96176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96200 */     // MIs[0] base
     /*  96200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96212 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96216 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  96220 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96224 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU16_rq:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq),
     /*  96227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96229 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96231 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96237 */     GIR_RootConstrainSelectedInstOperands,
     /*  96238 */     // GIR_Coverage, 4957,
     /*  96238 */     GIR_EraseRootFromParent_Done,
     /*  96239 */   // Label 1757: @96239
     /*  96239 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(96307), // Rule ID 4960 //
     /*  96244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96268 */     // MIs[0] base
     /*  96268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96280 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96284 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  96292 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHU16_rq_u:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq_u),
     /*  96295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96297 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96299 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96305 */     GIR_RootConstrainSelectedInstOperands,
     /*  96306 */     // GIR_Coverage, 4960,
     /*  96306 */     GIR_EraseRootFromParent_Done,
     /*  96307 */   // Label 1758: @96307
     /*  96307 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(96375), // Rule ID 4961 //
     /*  96312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96336 */     // MIs[0] base
     /*  96336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  96356 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  96360 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHU16_rq:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq),
     /*  96363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96365 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96367 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96373 */     GIR_RootConstrainSelectedInstOperands,
     /*  96374 */     // GIR_Coverage, 4961,
     /*  96374 */     GIR_EraseRootFromParent_Done,
     /*  96375 */   // Label 1759: @96375
     /*  96375 */   GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(96443), // Rule ID 4964 //
     /*  96380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96404 */     // MIs[0] base
     /*  96404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96420 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96424 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96428 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU16_rq_u:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq_u),
     /*  96431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96433 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96435 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96441 */     GIR_RootConstrainSelectedInstOperands,
     /*  96442 */     // GIR_Coverage, 4964,
     /*  96442 */     GIR_EraseRootFromParent_Done,
     /*  96443 */   // Label 1760: @96443
     /*  96443 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(96511), // Rule ID 4965 //
     /*  96448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96472 */     // MIs[0] base
     /*  96472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96488 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  96492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96496 */     // (intrinsic_w_chain:{ *:[v8i16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU16_rq:{ *:[v8i16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq),
     /*  96499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96501 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96503 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96509 */     GIR_RootConstrainSelectedInstOperands,
     /*  96510 */     // GIR_Coverage, 4965,
     /*  96510 */     GIR_EraseRootFromParent_Done,
     /*  96511 */   // Label 1761: @96511
     /*  96511 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(96579), // Rule ID 4968 //
     /*  96516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96540 */     // MIs[0] base
     /*  96540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96556 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96560 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  96564 */     // (intrinsic_w_chain:{ *:[v8f16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHU16_rq_u:{ *:[v8f16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq_u),
     /*  96567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96569 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96571 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96577 */     GIR_RootConstrainSelectedInstOperands,
     /*  96578 */     // GIR_Coverage, 4968,
     /*  96578 */     GIR_EraseRootFromParent_Done,
     /*  96579 */   // Label 1762: @96579
     /*  96579 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(96647), // Rule ID 4969 //
     /*  96584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96608 */     // MIs[0] base
     /*  96608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96620 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  96628 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  96632 */     // (intrinsic_w_chain:{ *:[v8f16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHU16_rq:{ *:[v8f16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq),
     /*  96635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96637 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96639 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96645 */     GIR_RootConstrainSelectedInstOperands,
     /*  96646 */     // GIR_Coverage, 4969,
     /*  96646 */     GIR_EraseRootFromParent_Done,
     /*  96647 */   // Label 1763: @96647
     /*  96647 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(96715), // Rule ID 4972 //
     /*  96652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96676 */     // MIs[0] base
     /*  96676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96692 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96696 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96700 */     // (intrinsic_w_chain:{ *:[v8f16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU16_rq_u:{ *:[v8f16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq_u),
     /*  96703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96705 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96707 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96713 */     GIR_RootConstrainSelectedInstOperands,
     /*  96714 */     // GIR_Coverage, 4972,
     /*  96714 */     GIR_EraseRootFromParent_Done,
     /*  96715 */   // Label 1764: @96715
     /*  96715 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(96783), // Rule ID 4973 //
     /*  96720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96744 */     // MIs[0] base
     /*  96744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96760 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  96764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96768 */     // (intrinsic_w_chain:{ *:[v8f16] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU16_rq:{ *:[v8f16] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v8i16] }:$offsets)
     /*  96768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU16_rq),
     /*  96771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96773 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96775 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96781 */     GIR_RootConstrainSelectedInstOperands,
     /*  96782 */     // GIR_Coverage, 4973,
     /*  96782 */     GIR_EraseRootFromParent_Done,
     /*  96783 */   // Label 1765: @96783
     /*  96783 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(96851), // Rule ID 4976 //
     /*  96788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96812 */     // MIs[0] base
     /*  96812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96824 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96832 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96836 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU32_rq_u:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  96836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU32_rq_u),
     /*  96839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96841 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96843 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96849 */     GIR_RootConstrainSelectedInstOperands,
     /*  96850 */     // GIR_Coverage, 4976,
     /*  96850 */     GIR_EraseRootFromParent_Done,
     /*  96851 */   // Label 1766: @96851
     /*  96851 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(96919), // Rule ID 4977 //
     /*  96856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96880 */     // MIs[0] base
     /*  96880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96892 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96896 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  96900 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  96904 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRHU32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  96904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHU32_rq),
     /*  96907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96909 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96911 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96917 */     GIR_RootConstrainSelectedInstOperands,
     /*  96918 */     // GIR_Coverage, 4977,
     /*  96918 */     GIR_EraseRootFromParent_Done,
     /*  96919 */   // Label 1767: @96919
     /*  96919 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(96987), // Rule ID 4980 //
     /*  96924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  96938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  96941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  96944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96948 */     // MIs[0] base
     /*  96948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  96952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  96956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  96960 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  96964 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  96968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  96972 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 16:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHS32_rq_u:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  96972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHS32_rq_u),
     /*  96975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  96977 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  96979 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  96981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96985 */     GIR_RootConstrainSelectedInstOperands,
     /*  96986 */     // GIR_Coverage, 4980,
     /*  96986 */     GIR_EraseRootFromParent_Done,
     /*  96987 */   // Label 1768: @96987
     /*  96987 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(97055), // Rule ID 4981 //
     /*  96992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  96997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97016 */     // MIs[0] base
     /*  97016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97028 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 16,
     /*  97032 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 1,
     /*  97036 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97040 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 16:{ *:[i32] }, 1:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRHS32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRHS32_rq),
     /*  97043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97045 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97047 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97053 */     GIR_RootConstrainSelectedInstOperands,
     /*  97054 */     // GIR_Coverage, 4981,
     /*  97054 */     GIR_EraseRootFromParent_Done,
     /*  97055 */   // Label 1769: @97055
     /*  97055 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(97123), // Rule ID 4984 //
     /*  97060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97084 */     // MIs[0] base
     /*  97084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97096 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97100 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  97104 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97108 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRWU32_rq_u:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq_u),
     /*  97111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97113 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97115 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97121 */     GIR_RootConstrainSelectedInstOperands,
     /*  97122 */     // GIR_Coverage, 4984,
     /*  97122 */     GIR_EraseRootFromParent_Done,
     /*  97123 */   // Label 1770: @97123
     /*  97123 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(97191), // Rule ID 4985 //
     /*  97128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97152 */     // MIs[0] base
     /*  97152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97164 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97168 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  97172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97176 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 2:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRWU32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq),
     /*  97179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97181 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97183 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97189 */     GIR_RootConstrainSelectedInstOperands,
     /*  97190 */     // GIR_Coverage, 4985,
     /*  97190 */     GIR_EraseRootFromParent_Done,
     /*  97191 */   // Label 1771: @97191
     /*  97191 */   GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(97259), // Rule ID 4988 //
     /*  97196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97220 */     // MIs[0] base
     /*  97220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97232 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97236 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  97240 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  97244 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRWU32_rq_u:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq_u),
     /*  97247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97249 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97251 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97257 */     GIR_RootConstrainSelectedInstOperands,
     /*  97258 */     // GIR_Coverage, 4988,
     /*  97258 */     GIR_EraseRootFromParent_Done,
     /*  97259 */   // Label 1772: @97259
     /*  97259 */   GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(97327), // Rule ID 4989 //
     /*  97264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97288 */     // MIs[0] base
     /*  97288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97300 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  97308 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  97312 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 2:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRWU32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq),
     /*  97315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97317 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97319 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97325 */     GIR_RootConstrainSelectedInstOperands,
     /*  97326 */     // GIR_Coverage, 4989,
     /*  97326 */     GIR_EraseRootFromParent_Done,
     /*  97327 */   // Label 1773: @97327
     /*  97327 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(97395), // Rule ID 4992 //
     /*  97332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97356 */     // MIs[0] base
     /*  97356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97368 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97372 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  97376 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97380 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRWU32_rq_u:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq_u),
     /*  97383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97385 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97387 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97393 */     GIR_RootConstrainSelectedInstOperands,
     /*  97394 */     // GIR_Coverage, 4992,
     /*  97394 */     GIR_EraseRootFromParent_Done,
     /*  97395 */   // Label 1774: @97395
     /*  97395 */   GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(97463), // Rule ID 4993 //
     /*  97400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97424 */     // MIs[0] base
     /*  97424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97436 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97440 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  97444 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97448 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 2:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRWU32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq),
     /*  97451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97453 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97455 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97461 */     GIR_RootConstrainSelectedInstOperands,
     /*  97462 */     // GIR_Coverage, 4993,
     /*  97462 */     GIR_EraseRootFromParent_Done,
     /*  97463 */   // Label 1775: @97463
     /*  97463 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(97531), // Rule ID 4996 //
     /*  97468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97492 */     // MIs[0] base
     /*  97492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  97512 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  97516 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRWU32_rq_u:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq_u),
     /*  97519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97521 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97523 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97529 */     GIR_RootConstrainSelectedInstOperands,
     /*  97530 */     // GIR_Coverage, 4996,
     /*  97530 */     GIR_EraseRootFromParent_Done,
     /*  97531 */   // Label 1776: @97531
     /*  97531 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(97599), // Rule ID 4997 //
     /*  97536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97560 */     // MIs[0] base
     /*  97560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97576 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  97580 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  97584 */     // (intrinsic_w_chain:{ *:[v4i32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 2:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRWU32_rq:{ *:[v4i32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq),
     /*  97587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97589 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97591 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97597 */     GIR_RootConstrainSelectedInstOperands,
     /*  97598 */     // GIR_Coverage, 4997,
     /*  97598 */     GIR_EraseRootFromParent_Done,
     /*  97599 */   // Label 1777: @97599
     /*  97599 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(97667), // Rule ID 5000 //
     /*  97604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97628 */     // MIs[0] base
     /*  97628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97644 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  97648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97652 */     // (intrinsic_w_chain:{ *:[v4f32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRWU32_rq_u:{ *:[v4f32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq_u),
     /*  97655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97657 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97659 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97665 */     GIR_RootConstrainSelectedInstOperands,
     /*  97666 */     // GIR_Coverage, 5000,
     /*  97666 */     GIR_EraseRootFromParent_Done,
     /*  97667 */   // Label 1778: @97667
     /*  97667 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(97735), // Rule ID 5001 //
     /*  97672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97696 */     // MIs[0] base
     /*  97696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97708 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  97716 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97720 */     // (intrinsic_w_chain:{ *:[v4f32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 2:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRWU32_rq:{ *:[v4f32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq),
     /*  97723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97725 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97727 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97733 */     GIR_RootConstrainSelectedInstOperands,
     /*  97734 */     // GIR_Coverage, 5001,
     /*  97734 */     GIR_EraseRootFromParent_Done,
     /*  97735 */   // Label 1779: @97735
     /*  97735 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(97803), // Rule ID 5004 //
     /*  97740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97764 */     // MIs[0] base
     /*  97764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97776 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97780 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  97784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  97788 */     // (intrinsic_w_chain:{ *:[v4f32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRWU32_rq_u:{ *:[v4f32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq_u),
     /*  97791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97793 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97795 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97801 */     GIR_RootConstrainSelectedInstOperands,
     /*  97802 */     // GIR_Coverage, 5004,
     /*  97802 */     GIR_EraseRootFromParent_Done,
     /*  97803 */   // Label 1780: @97803
     /*  97803 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(97871), // Rule ID 5005 //
     /*  97808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97832 */     // MIs[0] base
     /*  97832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 32,
     /*  97848 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 2,
     /*  97852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  97856 */     // (intrinsic_w_chain:{ *:[v4f32] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets, 32:{ *:[i32] }, 2:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRWU32_rq:{ *:[v4f32] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v4i32] }:$offsets)
     /*  97856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRWU32_rq),
     /*  97859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97861 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97863 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97869 */     GIR_RootConstrainSelectedInstOperands,
     /*  97870 */     // GIR_Coverage, 5005,
     /*  97870 */     GIR_EraseRootFromParent_Done,
     /*  97871 */   // Label 1781: @97871
     /*  97871 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(97939), // Rule ID 5008 //
     /*  97876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  97887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97900 */     // MIs[0] base
     /*  97900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  97916 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  97920 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97924 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRDU64_rq_u:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  97924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq_u),
     /*  97927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97929 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97931 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  97933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97937 */     GIR_RootConstrainSelectedInstOperands,
     /*  97938 */     // GIR_Coverage, 5008,
     /*  97938 */     GIR_EraseRootFromParent_Done,
     /*  97939 */   // Label 1782: @97939
     /*  97939 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(98007), // Rule ID 5009 //
     /*  97944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  97949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  97955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  97958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  97961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  97964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97968 */     // MIs[0] base
     /*  97968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  97972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  97976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  97980 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  97984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 3,
     /*  97988 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  97992 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 3:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRDU64_rq:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  97992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq),
     /*  97995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  97997 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  97999 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  98001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98005 */     GIR_RootConstrainSelectedInstOperands,
     /*  98006 */     // GIR_Coverage, 5009,
     /*  98006 */     GIR_EraseRootFromParent_Done,
     /*  98007 */   // Label 1783: @98007
     /*  98007 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(98075), // Rule ID 5012 //
     /*  98012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  98017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  98026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  98029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  98032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98036 */     // MIs[0] base
     /*  98036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  98040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  98052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  98056 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  98060 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRDU64_rq_u:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  98060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq_u),
     /*  98063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  98065 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  98067 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  98069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98073 */     GIR_RootConstrainSelectedInstOperands,
     /*  98074 */     // GIR_Coverage, 5012,
     /*  98074 */     GIR_EraseRootFromParent_Done,
     /*  98075 */   // Label 1784: @98075
     /*  98075 */   GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(98143), // Rule ID 5013 //
     /*  98080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  98085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  98094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  98097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  98100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98104 */     // MIs[0] base
     /*  98104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  98108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98116 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  98120 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 3,
     /*  98124 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  98128 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRDU64_rq:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  98128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq),
     /*  98131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  98133 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  98135 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  98137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98141 */     GIR_RootConstrainSelectedInstOperands,
     /*  98142 */     // GIR_Coverage, 5013,
     /*  98142 */     GIR_EraseRootFromParent_Done,
     /*  98143 */   // Label 1785: @98143
     /*  98143 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(98211), // Rule ID 5016 //
     /*  98148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  98153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  98162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  98165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  98168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98172 */     // MIs[0] base
     /*  98172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  98176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98184 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  98188 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  98192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  98196 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRDU64_rq_u:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  98196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq_u),
     /*  98199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  98201 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  98203 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  98205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98209 */     GIR_RootConstrainSelectedInstOperands,
     /*  98210 */     // GIR_Coverage, 5016,
     /*  98210 */     GIR_EraseRootFromParent_Done,
     /*  98211 */   // Label 1786: @98211
     /*  98211 */   GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(98279), // Rule ID 5017 //
     /*  98216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  98221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  98230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  98233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  98236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98240 */     // MIs[0] base
     /*  98240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  98244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98252 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  98256 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 3,
     /*  98260 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 0,
     /*  98264 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 3:{ *:[i32] }, 0:{ *:[i32] })  =>  (MVE_VLDRDU64_rq:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  98264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq),
     /*  98267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  98269 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  98271 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  98273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98277 */     GIR_RootConstrainSelectedInstOperands,
     /*  98278 */     // GIR_Coverage, 5017,
     /*  98278 */     GIR_EraseRootFromParent_Done,
     /*  98279 */   // Label 1787: @98279
     /*  98279 */   GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(98347), // Rule ID 5020 //
     /*  98284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  98289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  98298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  98301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  98304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98308 */     // MIs[0] base
     /*  98308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  98312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98320 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  98324 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /*  98328 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  98332 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRDU64_rq_u:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  98332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq_u),
     /*  98335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  98337 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  98339 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  98341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98345 */     GIR_RootConstrainSelectedInstOperands,
     /*  98346 */     // GIR_Coverage, 5020,
     /*  98346 */     GIR_EraseRootFromParent_Done,
     /*  98347 */   // Label 1788: @98347
     /*  98347 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(98415), // Rule ID 5021 //
     /*  98352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::arm_mve_vldr_gather_offset),
     /*  98357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  98366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  98369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  98372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98376 */     // MIs[0] base
     /*  98376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/32,
     /*  98380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  98388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 64,
     /*  98392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 3,
     /*  98396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/6, 1,
     /*  98400 */     // (intrinsic_w_chain:{ *:[v2i64] } 3654:{ *:[iPTR] }, GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets, 64:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })  =>  (MVE_VLDRDU64_rq:{ *:[v2i64] } GPR:{ *:[i32] }:$base, MQPR:{ *:[v2i64] }:$offsets)
     /*  98400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VLDRDU64_rq),
     /*  98403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  98405 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /*  98407 */     GIR_RootToRootCopy, /*OpIdx*/3, // offsets
     /*  98409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98413 */     GIR_RootConstrainSelectedInstOperands,
     /*  98414 */     // GIR_Coverage, 5021,
     /*  98414 */     GIR_EraseRootFromParent_Done,
     /*  98415 */   // Label 1789: @98415
     /*  98415 */   GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(98480), // Rule ID 256 //
     /*  98420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  98423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcr),
     /*  98428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  98431 */     // MIs[0] cop
     /*  98431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  98434 */     // MIs[0] opc1
     /*  98434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  98437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98441 */     // MIs[0] CRn
     /*  98441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98444 */     // MIs[0] CRm
     /*  98444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  98447 */     // MIs[0] opc2
     /*  98447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  98450 */     // (intrinsic_void 3529:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (MCR (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  98450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MCR),
     /*  98453 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  98455 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  98457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  98459 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  98461 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  98463 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  98465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98478 */     GIR_RootConstrainSelectedInstOperands,
     /*  98479 */     // GIR_Coverage, 256,
     /*  98479 */     GIR_EraseRootFromParent_Done,
     /*  98480 */   // Label 1790: @98480
     /*  98480 */   GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(98536), // Rule ID 257 //
     /*  98485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_PreV8),
     /*  98488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcr2),
     /*  98493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  98496 */     // MIs[0] cop
     /*  98496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  98499 */     // MIs[0] opc1
     /*  98499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  98502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98506 */     // MIs[0] CRn
     /*  98506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98509 */     // MIs[0] CRm
     /*  98509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  98512 */     // MIs[0] opc2
     /*  98512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  98515 */     // (intrinsic_void 3530:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (MCR2 (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  98515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MCR2),
     /*  98518 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  98520 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  98522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  98524 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  98526 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  98528 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  98530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98534 */     GIR_RootConstrainSelectedInstOperands,
     /*  98535 */     // GIR_Coverage, 257,
     /*  98535 */     GIR_EraseRootFromParent_Done,
     /*  98536 */   // Label 1791: @98536
     /*  98536 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(98601), // Rule ID 594 //
     /*  98541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  98544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcr),
     /*  98549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  98552 */     // MIs[0] cop
     /*  98552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  98555 */     // MIs[0] opc1
     /*  98555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  98558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98562 */     // MIs[0] CRn
     /*  98562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98565 */     // MIs[0] CRm
     /*  98565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  98568 */     // MIs[0] opc2
     /*  98568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  98571 */     // (intrinsic_void 3529:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (t2MCR (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  98571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MCR),
     /*  98574 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  98576 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  98578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  98580 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  98582 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  98584 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  98586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98599 */     GIR_RootConstrainSelectedInstOperands,
     /*  98600 */     // GIR_Coverage, 594,
     /*  98600 */     GIR_EraseRootFromParent_Done,
     /*  98601 */   // Label 1792: @98601
     /*  98601 */   GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(98666), // Rule ID 595 //
     /*  98606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2_PreV8),
     /*  98609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::arm_mcr2),
     /*  98614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  98617 */     // MIs[0] cop
     /*  98617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  98620 */     // MIs[0] opc1
     /*  98620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  98623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  98627 */     // MIs[0] CRn
     /*  98627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98630 */     // MIs[0] CRm
     /*  98630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  98633 */     // MIs[0] opc2
     /*  98633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  98636 */     // (intrinsic_void 3530:{ *:[iPTR] }, (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)  =>  (t2MCR2 (timm:{ *:[i32] }):$cop, (timm:{ *:[i32] }):$opc1, GPR:{ *:[i32] }:$Rt, (timm:{ *:[i32] }):$CRn, (timm:{ *:[i32] }):$CRm, (timm:{ *:[i32] }):$opc2)
     /*  98636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MCR2),
     /*  98639 */     GIR_RootToRootCopy, /*OpIdx*/1, // cop
     /*  98641 */     GIR_RootToRootCopy, /*OpIdx*/2, // opc1
     /*  98643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rt
     /*  98645 */     GIR_RootToRootCopy, /*OpIdx*/4, // CRn
     /*  98647 */     GIR_RootToRootCopy, /*OpIdx*/5, // CRm
     /*  98649 */     GIR_RootToRootCopy, /*OpIdx*/6, // opc2
     /*  98651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98664 */     GIR_RootConstrainSelectedInstOperands,
     /*  98665 */     // GIR_Coverage, 595,
     /*  98665 */     GIR_EraseRootFromParent_Done,
     /*  98666 */   // Label 1793: @98666
     /*  98666 */   GIM_Reject,
     /*  98667 */ // Label 1743: @98667
     /*  98667 */ GIM_Reject,
     /*  98668 */ // Label 17: @98668
     /*  98668 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(13), /*)*//*default:*//*Label 1797*/ GIMT_Encode4(98825),
     /*  98679 */ /*GILLT_v2s64*//*Label 1794*/ GIMT_Encode4(98711), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  98691 */ /*GILLT_v4s32*//*Label 1795*/ GIMT_Encode4(98749), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  98707 */ /*GILLT_v8s16*//*Label 1796*/ GIMT_Encode4(98787),
     /*  98711 */ // Label 1794: @98711
     /*  98711 */ GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(98748), // Rule ID 2665 //
     /*  98716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  98722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  98726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  98730 */   // (anyext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm)  =>  (VMOVLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm)
     /*  98730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLuv2i64),
     /*  98733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  98735 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  98737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98740 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98746 */   GIR_RootConstrainSelectedInstOperands,
     /*  98747 */   // GIR_Coverage, 2665,
     /*  98747 */   GIR_EraseRootFromParent_Done,
     /*  98748 */ // Label 1798: @98748
     /*  98748 */ GIM_Reject,
     /*  98749 */ // Label 1795: @98749
     /*  98749 */ GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(98786), // Rule ID 2664 //
     /*  98754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  98760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  98764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  98768 */   // (anyext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm)  =>  (VMOVLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm)
     /*  98768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLuv4i32),
     /*  98771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  98773 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  98775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98778 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98784 */   GIR_RootConstrainSelectedInstOperands,
     /*  98785 */   // GIR_Coverage, 2664,
     /*  98785 */   GIR_EraseRootFromParent_Done,
     /*  98786 */ // Label 1799: @98786
     /*  98786 */ GIM_Reject,
     /*  98787 */ // Label 1796: @98787
     /*  98787 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(98824), // Rule ID 2663 //
     /*  98792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  98798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  98802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  98806 */   // (anyext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm)  =>  (VMOVLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm)
     /*  98806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLuv8i16),
     /*  98809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  98811 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  98813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98816 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98822 */   GIR_RootConstrainSelectedInstOperands,
     /*  98823 */   // GIR_Coverage, 2663,
     /*  98823 */   GIR_EraseRootFromParent_Done,
     /*  98824 */ // Label 1800: @98824
     /*  98824 */ GIM_Reject,
     /*  98825 */ // Label 1797: @98825
     /*  98825 */ GIM_Reject,
     /*  98826 */ // Label 18: @98826
     /*  98826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(12), /*)*//*default:*//*Label 1804*/ GIMT_Encode4(98983),
     /*  98837 */ /*GILLT_v2s32*//*Label 1801*/ GIMT_Encode4(98869), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  98849 */ /*GILLT_v4s16*//*Label 1802*/ GIMT_Encode4(98907), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  98865 */ /*GILLT_v8s8*//*Label 1803*/ GIMT_Encode4(98945),
     /*  98869 */ // Label 1801: @98869
     /*  98869 */ GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(98906), // Rule ID 1585 //
     /*  98874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  98880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  98884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  98888 */   // (trunc:{ *:[v2i32] } QPR:{ *:[v2i64] }:$Vm)  =>  (VMOVNv2i32:{ *:[v2i32] } QPR:{ *:[v2i64] }:$Vm)
     /*  98888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVNv2i32),
     /*  98891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  98893 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  98895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98898 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98904 */   GIR_RootConstrainSelectedInstOperands,
     /*  98905 */   // GIR_Coverage, 1585,
     /*  98905 */   GIR_EraseRootFromParent_Done,
     /*  98906 */ // Label 1805: @98906
     /*  98906 */ GIM_Reject,
     /*  98907 */ // Label 1802: @98907
     /*  98907 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(98944), // Rule ID 1584 //
     /*  98912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  98918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  98922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  98926 */   // (trunc:{ *:[v4i16] } QPR:{ *:[v4i32] }:$Vm)  =>  (VMOVNv4i16:{ *:[v4i16] } QPR:{ *:[v4i32] }:$Vm)
     /*  98926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVNv4i16),
     /*  98929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  98931 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  98933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98936 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98942 */   GIR_RootConstrainSelectedInstOperands,
     /*  98943 */   // GIR_Coverage, 1584,
     /*  98943 */   GIR_EraseRootFromParent_Done,
     /*  98944 */ // Label 1806: @98944
     /*  98944 */ GIM_Reject,
     /*  98945 */ // Label 1803: @98945
     /*  98945 */ GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(98982), // Rule ID 1583 //
     /*  98950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  98956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  98960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  98964 */   // (trunc:{ *:[v8i8] } QPR:{ *:[v8i16] }:$Vm)  =>  (VMOVNv8i8:{ *:[v8i8] } QPR:{ *:[v8i16] }:$Vm)
     /*  98964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVNv8i8),
     /*  98967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  98969 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  98971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  98974 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  98980 */   GIR_RootConstrainSelectedInstOperands,
     /*  98981 */   // GIR_Coverage, 1583,
     /*  98981 */   GIR_EraseRootFromParent_Done,
     /*  98982 */ // Label 1807: @98982
     /*  98982 */ GIM_Reject,
     /*  98983 */ // Label 1804: @98983
     /*  98983 */ GIM_Reject,
     /*  98984 */ // Label 19: @98984
     /*  98984 */ GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(99304),
     /*  98989 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  98992 */   GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(99033), // Rule ID 404 //
     /*  98997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  99000 */     GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_t2_so_imm),
     /*  99004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  99008 */     // MIs[0] Operand 1
     /*  99008 */     // No operand predicates
     /*  99008 */     // (imm:{ *:[i32] })<<P:Predicate_t2_so_imm>>:$imm  =>  (t2MOVi:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /*  99008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /*  99011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /*  99016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99031 */     GIR_RootConstrainSelectedInstOperands,
     /*  99032 */     // GIR_Coverage, 404,
     /*  99032 */     GIR_EraseRootFromParent_Done,
     /*  99033 */   // Label 1809: @99033
     /*  99033 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(99074), // Rule ID 57 //
     /*  99038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  99041 */     GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm),
     /*  99045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  99049 */     // MIs[0] Operand 1
     /*  99049 */     // No operand predicates
     /*  99049 */     // (imm:{ *:[i32] })<<P:Predicate_mod_imm>>:$imm  =>  (MOVi:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /*  99049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MOVi),
     /*  99052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /*  99057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99066 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99072 */     GIR_RootConstrainSelectedInstOperands,
     /*  99073 */     // GIR_Coverage, 57,
     /*  99073 */     GIR_EraseRootFromParent_Done,
     /*  99074 */   // Label 1810: @99074
     /*  99074 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(99109), // Rule ID 58 //
     /*  99079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6T2_IsARM),
     /*  99082 */     GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_65535),
     /*  99086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  99090 */     // MIs[0] Operand 1
     /*  99090 */     // No operand predicates
     /*  99090 */     // (imm:{ *:[i32] })<<P:Predicate_imm0_65535>>:$imm  =>  (MOVi16:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /*  99090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MOVi16),
     /*  99093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /*  99098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99101 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99107 */     GIR_RootConstrainSelectedInstOperands,
     /*  99108 */     // GIR_Coverage, 58,
     /*  99108 */     GIR_EraseRootFromParent_Done,
     /*  99109 */   // Label 1811: @99109
     /*  99109 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(99152), // Rule ID 168 //
     /*  99114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  99117 */     GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_mod_imm_not),
     /*  99121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  99125 */     // MIs[0] Operand 1
     /*  99125 */     // No operand predicates
     /*  99125 */     // (imm:{ *:[i32] })<<P:Predicate_mod_imm_not>><<X:imm_not_XFORM>>:$imm  =>  (MVNi:{ *:[i32] } (imm_not_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  99125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVNi),
     /*  99128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99130 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderInvertedImm), // imm
     /*  99135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99150 */     GIR_RootConstrainSelectedInstOperands,
     /*  99151 */     // GIR_Coverage, 168,
     /*  99151 */     GIR_EraseRootFromParent_Done,
     /*  99152 */   // Label 1812: @99152
     /*  99152 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(99178), // Rule ID 268 //
     /*  99157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /*  99160 */     GIM_CheckAPIntImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_arm_i32imm),
     /*  99164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  99168 */     // MIs[0] Operand 1
     /*  99168 */     // No operand predicates
     /*  99168 */     // (imm:{ *:[i32] })<<P:Predicate_arm_i32imm>>:$src  =>  (MOVi32imm:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /*  99168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MOVi32imm),
     /*  99171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /*  99176 */     GIR_RootConstrainSelectedInstOperands,
     /*  99177 */     // GIR_Coverage, 268,
     /*  99177 */     GIR_EraseRootFromParent_Done,
     /*  99178 */   // Label 1813: @99178
     /*  99178 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(99219), // Rule ID 322 //
     /*  99183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /*  99186 */     GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_255_expr),
     /*  99190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  99194 */     // MIs[0] Operand 1
     /*  99194 */     // No operand predicates
     /*  99194 */     // (imm:{ *:[i32] })<<P:Predicate_imm0_255_expr>>:$imm8  =>  (tMOVi8:{ *:[i32] } (imm:{ *:[i32] }):$imm8)
     /*  99194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tMOVi8),
     /*  99197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /*  99205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm8
     /*  99208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99217 */     GIR_RootConstrainSelectedInstOperands,
     /*  99218 */     // GIR_Coverage, 322,
     /*  99218 */     GIR_EraseRootFromParent_Done,
     /*  99219 */   // Label 1814: @99219
     /*  99219 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(99254), // Rule ID 405 //
     /*  99224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV8MBaseline_IsThumb),
     /*  99227 */     GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_65535),
     /*  99231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  99235 */     // MIs[0] Operand 1
     /*  99235 */     // No operand predicates
     /*  99235 */     // (imm:{ *:[i32] })<<P:Predicate_imm0_65535>>:$imm  =>  (t2MOVi16:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /*  99235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MOVi16),
     /*  99238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /*  99243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99252 */     GIR_RootConstrainSelectedInstOperands,
     /*  99253 */     // GIR_Coverage, 405,
     /*  99253 */     GIR_EraseRootFromParent_Done,
     /*  99254 */   // Label 1815: @99254
     /*  99254 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(99303),
     /*  99259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  99263 */     GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(99284), // Rule ID 353 //
     /*  99268 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseMovt_GenExecuteOnly_IsThumb1Only),
     /*  99271 */       // MIs[0] Operand 1
     /*  99271 */       // No operand predicates
     /*  99271 */       // (imm:{ *:[i32] }):$src  =>  (tMOVi32imm:{ *:[i32] }:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /*  99271 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tMOVi32imm),
     /*  99274 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99276 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /*  99279 */       GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for ARM::CPSR*/0,
     /*  99282 */       GIR_RootConstrainSelectedInstOperands,
     /*  99283 */       // GIR_Coverage, 353,
     /*  99283 */       GIR_EraseRootFromParent_Done,
     /*  99284 */     // Label 1817: @99284
     /*  99284 */     GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(99302), // Rule ID 582 //
     /*  99289 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_UseMovt),
     /*  99292 */       // MIs[0] Operand 1
     /*  99292 */       // No operand predicates
     /*  99292 */       // (imm:{ *:[i32] }):$src  =>  (t2MOVi32imm:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /*  99292 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2MOVi32imm),
     /*  99295 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99297 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /*  99300 */       GIR_RootConstrainSelectedInstOperands,
     /*  99301 */       // GIR_Coverage, 582,
     /*  99301 */       GIR_EraseRootFromParent_Done,
     /*  99302 */     // Label 1818: @99302
     /*  99302 */     GIM_Reject,
     /*  99303 */   // Label 1816: @99303
     /*  99303 */   GIM_Reject,
     /*  99304 */ // Label 1808: @99304
     /*  99304 */ GIM_Reject,
     /*  99305 */ // Label 20: @99305
     /*  99305 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1821*/ GIMT_Encode4(99400),
     /*  99316 */ /*GILLT_s32*//*Label 1819*/ GIMT_Encode4(99324),
     /*  99320 */ /*GILLT_s64*//*Label 1820*/ GIMT_Encode4(99362),
     /*  99324 */ // Label 1819: @99324
     /*  99324 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(99361), // Rule ID 725 //
     /*  99329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP3),
     /*  99332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /*  99336 */   // MIs[0] Operand 1
     /*  99336 */   // No operand predicates
     /*  99336 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_vfp_f32imm),
     /*  99340 */   // (fpimm:{ *:[f32] })<<P:Predicate_vfp_f32imm>><<X:vfp_f32imm_xform>>:$imm  =>  (FCONSTS:{ *:[f32] } (vfp_f32imm_xform:{ *:[f32] } (fpimm:{ *:[f32] }):$imm))
     /*  99340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::FCONSTS),
     /*  99343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /*  99345 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderVFPF32Imm), // imm
     /*  99350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99353 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99359 */   GIR_RootConstrainSelectedInstOperands,
     /*  99360 */   // GIR_Coverage, 725,
     /*  99360 */   GIR_EraseRootFromParent_Done,
     /*  99361 */ // Label 1822: @99361
     /*  99361 */ GIM_Reject,
     /*  99362 */ // Label 1820: @99362
     /*  99362 */ GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(99399), // Rule ID 724 //
     /*  99367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP3),
     /*  99370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  99374 */   // MIs[0] Operand 1
     /*  99374 */   // No operand predicates
     /*  99374 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_vfp_f64imm),
     /*  99378 */   // (fpimm:{ *:[f64] })<<P:Predicate_vfp_f64imm>><<X:vfp_f64imm_xform>>:$imm  =>  (FCONSTD:{ *:[f64] } (vfp_f64imm_xform:{ *:[f64] } (fpimm:{ *:[f64] }):$imm))
     /*  99378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::FCONSTD),
     /*  99381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /*  99383 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderVFPF64Imm), // imm
     /*  99388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99391 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99397 */   GIR_RootConstrainSelectedInstOperands,
     /*  99398 */   // GIR_Coverage, 724,
     /*  99398 */   GIR_EraseRootFromParent_Done,
     /*  99399 */ // Label 1823: @99399
     /*  99399 */ GIM_Reject,
     /*  99400 */ // Label 1821: @99400
     /*  99400 */ GIM_Reject,
     /*  99401 */ // Label 21: @99401
     /*  99401 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(13), /*)*//*default:*//*Label 1827*/ GIMT_Encode4(99558),
     /*  99412 */ /*GILLT_v2s64*//*Label 1824*/ GIMT_Encode4(99444), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  99424 */ /*GILLT_v4s32*//*Label 1825*/ GIMT_Encode4(99482), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  99440 */ /*GILLT_v8s16*//*Label 1826*/ GIMT_Encode4(99520),
     /*  99444 */ // Label 1824: @99444
     /*  99444 */ GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(99481), // Rule ID 1597 //
     /*  99449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  99455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  99459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  99463 */   // (sext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm)  =>  (VMOVLsv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm)
     /*  99463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLsv2i64),
     /*  99466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  99468 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  99470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99473 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99479 */   GIR_RootConstrainSelectedInstOperands,
     /*  99480 */   // GIR_Coverage, 1597,
     /*  99480 */   GIR_EraseRootFromParent_Done,
     /*  99481 */ // Label 1828: @99481
     /*  99481 */ GIM_Reject,
     /*  99482 */ // Label 1825: @99482
     /*  99482 */ GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(99519), // Rule ID 1596 //
     /*  99487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  99493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  99497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  99501 */   // (sext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm)  =>  (VMOVLsv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm)
     /*  99501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLsv4i32),
     /*  99504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  99506 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  99508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99511 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99517 */   GIR_RootConstrainSelectedInstOperands,
     /*  99518 */   // GIR_Coverage, 1596,
     /*  99518 */   GIR_EraseRootFromParent_Done,
     /*  99519 */ // Label 1829: @99519
     /*  99519 */ GIM_Reject,
     /*  99520 */ // Label 1826: @99520
     /*  99520 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(99557), // Rule ID 1595 //
     /*  99525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  99531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /*  99535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /*  99539 */   // (sext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm)  =>  (VMOVLsv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm)
     /*  99539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLsv8i16),
     /*  99542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  99544 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /*  99546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99549 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99555 */   GIR_RootConstrainSelectedInstOperands,
     /*  99556 */   // GIR_Coverage, 1595,
     /*  99556 */   GIR_EraseRootFromParent_Done,
     /*  99557 */ // Label 1830: @99557
     /*  99557 */ GIM_Reject,
     /*  99558 */ // Label 1827: @99558
     /*  99558 */ GIM_Reject,
     /*  99559 */ // Label 22: @99559
     /*  99559 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(13), /*)*//*default:*//*Label 1834*/ GIMT_Encode4(100163),
     /*  99570 */ /*GILLT_s32*//*Label 1831*/ GIMT_Encode4(99618), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  99598 */ /*GILLT_v4s32*//*Label 1832*/ GIMT_Encode4(99910), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  99614 */ /*GILLT_v8s16*//*Label 1833*/ GIMT_Encode4(100093),
     /*  99618 */ // Label 1831: @99618
     /*  99618 */ GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(99909),
     /*  99623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  99626 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(99671), // Rule ID 340 //
     /*  99631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /*  99634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  99638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  99642 */     // MIs[0] Operand 2
     /*  99642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /*  99653 */     // (sext_inreg:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, i8:{ *:[Other] })  =>  (tSXTB:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)
     /*  99653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tSXTB),
     /*  99656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99658 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  99660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99669 */     GIR_RootConstrainSelectedInstOperands,
     /*  99670 */     // GIR_Coverage, 340,
     /*  99670 */     GIR_EraseRootFromParent_Done,
     /*  99671 */   // Label 1836: @99671
     /*  99671 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(99716), // Rule ID 341 //
     /*  99676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /*  99679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  99683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /*  99687 */     // MIs[0] Operand 2
     /*  99687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /*  99698 */     // (sext_inreg:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, i16:{ *:[Other] })  =>  (tSXTH:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)
     /*  99698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tSXTH),
     /*  99701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99703 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  99705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99714 */     GIR_RootConstrainSelectedInstOperands,
     /*  99715 */     // GIR_Coverage, 341,
     /*  99715 */     GIR_EraseRootFromParent_Done,
     /*  99716 */   // Label 1837: @99716
     /*  99716 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(99764), // Rule ID 1999 //
     /*  99721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  99724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  99728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  99732 */     // MIs[0] Operand 2
     /*  99732 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /*  99743 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$Src, i8:{ *:[Other] })  =>  (SXTB:{ *:[i32] } GPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  99743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTB),
     /*  99746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99748 */     GIR_RootToRootCopy, /*OpIdx*/1, // Src
     /*  99750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99762 */     GIR_RootConstrainSelectedInstOperands,
     /*  99763 */     // GIR_Coverage, 1999,
     /*  99763 */     GIR_EraseRootFromParent_Done,
     /*  99764 */   // Label 1838: @99764
     /*  99764 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(99812), // Rule ID 2000 //
     /*  99769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /*  99772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /*  99776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /*  99780 */     // MIs[0] Operand 2
     /*  99780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /*  99791 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$Src, i16:{ *:[Other] })  =>  (SXTH:{ *:[i32] } GPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  99791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SXTH),
     /*  99794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Src
     /*  99798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99810 */     GIR_RootConstrainSelectedInstOperands,
     /*  99811 */     // GIR_Coverage, 2000,
     /*  99811 */     GIR_EraseRootFromParent_Done,
     /*  99812 */   // Label 1839: @99812
     /*  99812 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(99860), // Rule ID 2238 //
     /*  99817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  99820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  99824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  99828 */     // MIs[0] Operand 2
     /*  99828 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /*  99839 */     // (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Src, i8:{ *:[Other] })  =>  (t2SXTB:{ *:[i32] } rGPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  99839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTB),
     /*  99842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Src
     /*  99846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99858 */     GIR_RootConstrainSelectedInstOperands,
     /*  99859 */     // GIR_Coverage, 2238,
     /*  99859 */     GIR_EraseRootFromParent_Done,
     /*  99860 */   // Label 1840: @99860
     /*  99860 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(99908), // Rule ID 2239 //
     /*  99865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /*  99868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  99872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /*  99876 */     // MIs[0] Operand 2
     /*  99876 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /*  99887 */     // (sext_inreg:{ *:[i32] } rGPR:{ *:[i32] }:$Src, i16:{ *:[Other] })  =>  (t2SXTH:{ *:[i32] } rGPR:{ *:[i32] }:$Src, 0:{ *:[i32] })
     /*  99887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SXTH),
     /*  99890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  99892 */     GIR_RootToRootCopy, /*OpIdx*/1, // Src
     /*  99894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /*  99900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99906 */     GIR_RootConstrainSelectedInstOperands,
     /*  99907 */     // GIR_Coverage, 2239,
     /*  99907 */     GIR_EraseRootFromParent_Done,
     /*  99908 */   // Label 1841: @99908
     /*  99908 */   GIM_Reject,
     /*  99909 */ // Label 1835: @99909
     /*  99909 */ GIM_Reject,
     /*  99910 */ // Label 1832: @99910
     /*  99910 */ GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(100092),
     /*  99915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  99918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  99922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /*  99926 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(99984), // Rule ID 3710 //
     /*  99931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  99934 */     // MIs[0] Operand 2
     /*  99934 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /*  99945 */     // (sext_inreg:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src, v4i16:{ *:[Other] })  =>  (MVE_VMOVLs16bh:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src)
     /*  99945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  99948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  99952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMOVLs16bh),
     /*  99960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /*  99962 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  99964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  99979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99982 */     GIR_RootConstrainSelectedInstOperands,
     /*  99983 */     // GIR_Coverage, 3710,
     /*  99983 */     GIR_EraseRootFromParent_Done,
     /*  99984 */   // Label 1843: @99984
     /*  99984 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(100091), // Rule ID 3712 //
     /*  99989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /*  99992 */     // MIs[0] Operand 2
     /*  99992 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 100003 */     // (sext_inreg:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src, v4i8:{ *:[Other] })  =>  (MVE_VMOVLs16bh:{ *:[v4i32] } (MVE_VMOVLs8bh:{ *:[v16i8] } MQPR:{ *:[v4i32] }:$src))
     /* 100003 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 100006 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 100010 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 100015 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 100018 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 100022 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 100027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 100030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MVE_VMOVLs8bh),
     /* 100034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 100039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 100043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 100046 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100052 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100058 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 100061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 100063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMOVLs16bh),
     /* 100066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 100068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 100071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 100089 */     GIR_RootConstrainSelectedInstOperands,
     /* 100090 */     // GIR_Coverage, 3712,
     /* 100090 */     GIR_EraseRootFromParent_Done,
     /* 100091 */   // Label 1844: @100091
     /* 100091 */   GIM_Reject,
     /* 100092 */ // Label 1842: @100092
     /* 100092 */ GIM_Reject,
     /* 100093 */ // Label 1833: @100093
     /* 100093 */ GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(100162), // Rule ID 3711 //
     /* 100098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 100101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 100104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 100108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 100112 */   // MIs[0] Operand 2
     /* 100112 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 100123 */   // (sext_inreg:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src, v8i8:{ *:[Other] })  =>  (MVE_VMOVLs8bh:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src)
     /* 100123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 100126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 100130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 100135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMOVLs8bh),
     /* 100138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 100140 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 100142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100145 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100151 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100157 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 100160 */   GIR_RootConstrainSelectedInstOperands,
     /* 100161 */   // GIR_Coverage, 3711,
     /* 100161 */   GIR_EraseRootFromParent_Done,
     /* 100162 */ // Label 1845: @100162
     /* 100162 */ GIM_Reject,
     /* 100163 */ // Label 1834: @100163
     /* 100163 */ GIM_Reject,
     /* 100164 */ // Label 23: @100164
     /* 100164 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(13), /*)*//*default:*//*Label 1849*/ GIMT_Encode4(100321),
     /* 100175 */ /*GILLT_v2s64*//*Label 1846*/ GIMT_Encode4(100207), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 100187 */ /*GILLT_v4s32*//*Label 1847*/ GIMT_Encode4(100245), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 100203 */ /*GILLT_v8s16*//*Label 1848*/ GIMT_Encode4(100283),
     /* 100207 */ // Label 1846: @100207
     /* 100207 */ GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(100244), // Rule ID 1600 //
     /* 100212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 100215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 100218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 100222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 100226 */   // (zext:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm)  =>  (VMOVLuv2i64:{ *:[v2i64] } DPR:{ *:[v2i32] }:$Vm)
     /* 100226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLuv2i64),
     /* 100229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 100231 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 100233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100236 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100242 */   GIR_RootConstrainSelectedInstOperands,
     /* 100243 */   // GIR_Coverage, 1600,
     /* 100243 */   GIR_EraseRootFromParent_Done,
     /* 100244 */ // Label 1850: @100244
     /* 100244 */ GIM_Reject,
     /* 100245 */ // Label 1847: @100245
     /* 100245 */ GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(100282), // Rule ID 1599 //
     /* 100250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 100253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 100256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 100260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 100264 */   // (zext:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm)  =>  (VMOVLuv4i32:{ *:[v4i32] } DPR:{ *:[v4i16] }:$Vm)
     /* 100264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLuv4i32),
     /* 100267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 100269 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 100271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100274 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100280 */   GIR_RootConstrainSelectedInstOperands,
     /* 100281 */   // GIR_Coverage, 1599,
     /* 100281 */   GIR_EraseRootFromParent_Done,
     /* 100282 */ // Label 1851: @100282
     /* 100282 */ GIM_Reject,
     /* 100283 */ // Label 1848: @100283
     /* 100283 */ GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(100320), // Rule ID 1598 //
     /* 100288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 100291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 100294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 100298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 100302 */   // (zext:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm)  =>  (VMOVLuv8i16:{ *:[v8i16] } DPR:{ *:[v8i8] }:$Vm)
     /* 100302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMOVLuv8i16),
     /* 100305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 100307 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 100309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100312 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100318 */   GIR_RootConstrainSelectedInstOperands,
     /* 100319 */   // GIR_Coverage, 1598,
     /* 100319 */   GIR_EraseRootFromParent_Done,
     /* 100320 */ // Label 1852: @100320
     /* 100320 */ GIM_Reject,
     /* 100321 */ // Label 1849: @100321
     /* 100321 */ GIM_Reject,
     /* 100322 */ // Label 24: @100322
     /* 100322 */ GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(100537),
     /* 100327 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 100330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 100333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 100336 */   GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(100393), // Rule ID 470 //
     /* 100341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 100344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 100356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 100360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm1_31),
     /* 100364 */     // MIs[1] Operand 1
     /* 100364 */     // No operand predicates
     /* 100364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100366 */     // (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm1_31>>:$imm)  =>  (t2LSLri:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 100366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2LSLri),
     /* 100369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100371 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 100373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 100376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100391 */     GIR_RootConstrainSelectedInstOperands,
     /* 100392 */     // GIR_Coverage, 470,
     /* 100392 */     GIR_EraseRootFromParent_Done,
     /* 100393 */   // Label 1854: @100393
     /* 100393 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(100490),
     /* 100398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100406 */     GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(100451), // Rule ID 318 //
     /* 100411 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /* 100414 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 100418 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 100422 */       // MIs[1] Operand 1
     /* 100422 */       // No operand predicates
     /* 100422 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100424 */       // (shl:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$imm5)  =>  (tLSLri:{ *:[i32] } tGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$imm5)
     /* 100424 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tLSLri),
     /* 100427 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100429 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /* 100435 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 100437 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm5
     /* 100440 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100443 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100449 */       GIR_RootConstrainSelectedInstOperands,
     /* 100450 */       // GIR_Coverage, 318,
     /* 100450 */       GIR_EraseRootFromParent_Done,
     /* 100451 */     // Label 1856: @100451
     /* 100451 */     GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(100489), // Rule ID 319 //
     /* 100456 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /* 100459 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100463 */       // (shl:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tLSLrr:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /* 100463 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tLSLrr),
     /* 100466 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 100468 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /* 100474 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 100476 */       GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 100478 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100481 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100487 */       GIR_RootConstrainSelectedInstOperands,
     /* 100488 */       // GIR_Coverage, 319,
     /* 100488 */       GIR_EraseRootFromParent_Done,
     /* 100489 */     // Label 1857: @100489
     /* 100489 */     GIM_Reject,
     /* 100490 */   // Label 1855: @100490
     /* 100490 */   GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(100536), // Rule ID 471 //
     /* 100495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 100498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100510 */     // (shl:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2LSLrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /* 100510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2LSLrr),
     /* 100513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100515 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 100517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 100519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100534 */     GIR_RootConstrainSelectedInstOperands,
     /* 100535 */     // GIR_Coverage, 471,
     /* 100535 */     GIR_EraseRootFromParent_Done,
     /* 100536 */   // Label 1858: @100536
     /* 100536 */   GIM_Reject,
     /* 100537 */ // Label 1853: @100537
     /* 100537 */ GIM_Reject,
     /* 100538 */ // Label 25: @100538
     /* 100538 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(100645),
     /* 100543 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 100546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 100549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 100552 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(100598), // Rule ID 321 //
     /* 100557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /* 100560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100572 */     // (srl:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tLSRrr:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /* 100572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tLSRrr),
     /* 100575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 100577 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /* 100583 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 100585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 100587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100596 */     GIR_RootConstrainSelectedInstOperands,
     /* 100597 */     // GIR_Coverage, 321,
     /* 100597 */     GIR_EraseRootFromParent_Done,
     /* 100598 */   // Label 1860: @100598
     /* 100598 */   GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(100644), // Rule ID 473 //
     /* 100603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 100606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100618 */     // (srl:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2LSRrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /* 100618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2LSRrr),
     /* 100621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 100625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 100627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100642 */     GIR_RootConstrainSelectedInstOperands,
     /* 100643 */     // GIR_Coverage, 473,
     /* 100643 */     GIR_EraseRootFromParent_Done,
     /* 100644 */   // Label 1861: @100644
     /* 100644 */   GIM_Reject,
     /* 100645 */ // Label 1859: @100645
     /* 100645 */ GIM_Reject,
     /* 100646 */ // Label 26: @100646
     /* 100646 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(100918),
     /* 100651 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 100654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 100657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 100660 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(100715), // Rule ID 201 //
     /* 100665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /* 100668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 100672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 100676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 100680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 100684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 100689 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 100693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100695 */     // (sra:{ *:[i32] } (bswap:{ *:[i32] } GPR:{ *:[i32] }:$Rm), 16:{ *:[i32] })  =>  (REVSH:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /* 100695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::REVSH),
     /* 100698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 100704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100707 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100713 */     GIR_RootConstrainSelectedInstOperands,
     /* 100714 */     // GIR_Coverage, 201,
     /* 100714 */     GIR_EraseRootFromParent_Done,
     /* 100715 */   // Label 1863: @100715
     /* 100715 */   GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(100770), // Rule ID 328 //
     /* 100720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /* 100723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 100731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 100735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 100739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100744 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 100748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100750 */     // (sra:{ *:[i32] } (bswap:{ *:[i32] } tGPR:{ *:[i32] }:$Rm), 16:{ *:[i32] })  =>  (tREVSH:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)
     /* 100750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tREVSH),
     /* 100753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 100759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100768 */     GIR_RootConstrainSelectedInstOperands,
     /* 100769 */     // GIR_Coverage, 328,
     /* 100769 */     GIR_EraseRootFromParent_Done,
     /* 100770 */   // Label 1864: @100770
     /* 100770 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(100825), // Rule ID 538 //
     /* 100775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 100778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 100786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 100790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 100794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100799 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 100803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100805 */     // (sra:{ *:[i32] } (bswap:{ *:[i32] } rGPR:{ *:[i32] }:$Rm), 16:{ *:[i32] })  =>  (t2REVSH:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /* 100805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2REVSH),
     /* 100808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 100814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100817 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100823 */     GIR_RootConstrainSelectedInstOperands,
     /* 100824 */     // GIR_Coverage, 538,
     /* 100824 */     GIR_EraseRootFromParent_Done,
     /* 100825 */   // Label 1865: @100825
     /* 100825 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(100871), // Rule ID 312 //
     /* 100830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /* 100833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 100845 */     // (sra:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tASRrr:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /* 100845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tASRrr),
     /* 100848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 100850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /* 100856 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 100858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 100860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100869 */     GIR_RootConstrainSelectedInstOperands,
     /* 100870 */     // GIR_Coverage, 312,
     /* 100870 */     GIR_EraseRootFromParent_Done,
     /* 100871 */   // Label 1866: @100871
     /* 100871 */   GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(100917), // Rule ID 475 //
     /* 100876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 100879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 100891 */     // (sra:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2ASRrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /* 100891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2ASRrr),
     /* 100894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100896 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 100898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 100900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100915 */     GIR_RootConstrainSelectedInstOperands,
     /* 100916 */     // GIR_Coverage, 475,
     /* 100916 */     GIR_EraseRootFromParent_Done,
     /* 100917 */   // Label 1867: @100917
     /* 100917 */   GIM_Reject,
     /* 100918 */ // Label 1862: @100918
     /* 100918 */ GIM_Reject,
     /* 100919 */ // Label 27: @100919
     /* 100919 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(101250),
     /* 100924 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 100927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 100930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 100933 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(100988), // Rule ID 200 //
     /* 100938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /* 100941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 100945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 100949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 100953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 100957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 100962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 100966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100968 */     // (rotr:{ *:[i32] } (bswap:{ *:[i32] } GPR:{ *:[i32] }:$Rm), 16:{ *:[i32] })  =>  (REV16:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /* 100968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::REV16),
     /* 100971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 100973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 100977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 100980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 100986 */     GIR_RootConstrainSelectedInstOperands,
     /* 100987 */     // GIR_Coverage, 200,
     /* 100987 */     GIR_EraseRootFromParent_Done,
     /* 100988 */   // Label 1869: @100988
     /* 100988 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(101043), // Rule ID 327 //
     /* 100993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /* 100996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 101000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 101004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 101008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 101012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 101017 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 101021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 101023 */     // (rotr:{ *:[i32] } (bswap:{ *:[i32] } tGPR:{ *:[i32] }:$Rm), 16:{ *:[i32] })  =>  (tREV16:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)
     /* 101023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tREV16),
     /* 101026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 101028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 101032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101041 */     GIR_RootConstrainSelectedInstOperands,
     /* 101042 */     // GIR_Coverage, 327,
     /* 101042 */     GIR_EraseRootFromParent_Done,
     /* 101043 */   // Label 1870: @101043
     /* 101043 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(101157),
     /* 101048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101052 */     GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(101103), // Rule ID 537 //
     /* 101057 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 101060 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 101064 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 101068 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 101072 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101077 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 101081 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 101083 */       // (rotr:{ *:[i32] } (bswap:{ *:[i32] } rGPR:{ *:[i32] }:$Rm), 16:{ *:[i32] })  =>  (t2REV16:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /* 101083 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2REV16),
     /* 101086 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 101088 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 101092 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101095 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101101 */       GIR_RootConstrainSelectedInstOperands,
     /* 101102 */       // GIR_Coverage, 537,
     /* 101102 */       GIR_EraseRootFromParent_Done,
     /* 101103 */     // Label 1872: @101103
     /* 101103 */     GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(101156), // Rule ID 476 //
     /* 101108 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 101111 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101115 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 101119 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 101123 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm1_31),
     /* 101127 */       // MIs[1] Operand 1
     /* 101127 */       // No operand predicates
     /* 101127 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 101129 */       // (rotr:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm1_31>>:$imm)  =>  (t2RORri:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 101129 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2RORri),
     /* 101132 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 101134 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 101136 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 101139 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101142 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101148 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101154 */       GIR_RootConstrainSelectedInstOperands,
     /* 101155 */       // GIR_Coverage, 476,
     /* 101155 */       GIR_EraseRootFromParent_Done,
     /* 101156 */     // Label 1873: @101156
     /* 101156 */     GIM_Reject,
     /* 101157 */   // Label 1871: @101157
     /* 101157 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(101203), // Rule ID 329 //
     /* 101162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /* 101165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 101169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 101173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 101177 */     // (rotr:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)  =>  (tROR:{ *:[i32] } tGPR:{ *:[i32] }:$Rn, tGPR:{ *:[i32] }:$Rm)
     /* 101177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tROR),
     /* 101180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 101182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /* 101188 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 101190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 101192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101201 */     GIR_RootConstrainSelectedInstOperands,
     /* 101202 */     // GIR_Coverage, 329,
     /* 101202 */     GIR_EraseRootFromParent_Done,
     /* 101203 */   // Label 1874: @101203
     /* 101203 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(101249), // Rule ID 477 //
     /* 101208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 101211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101223 */     // (rotr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2RORrr:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /* 101223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2RORrr),
     /* 101226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 101228 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 101230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 101232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101247 */     GIR_RootConstrainSelectedInstOperands,
     /* 101248 */     // GIR_Coverage, 477,
     /* 101248 */     GIR_EraseRootFromParent_Done,
     /* 101249 */   // Label 1875: @101249
     /* 101249 */   GIM_Reject,
     /* 101250 */ // Label 1868: @101250
     /* 101250 */ GIM_Reject,
     /* 101251 */ // Label 28: @101251
     /* 101251 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(16), /*)*//*default:*//*Label 1879*/ GIMT_Encode4(101498),
     /* 101262 */ /*GILLT_v4s32*//*Label 1876*/ GIMT_Encode4(101294), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 101278 */ /*GILLT_v8s16*//*Label 1877*/ GIMT_Encode4(101362), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 101290 */ /*GILLT_v16s8*//*Label 1878*/ GIMT_Encode4(101430),
     /* 101294 */ // Label 1876: @101294
     /* 101294 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(101361), // Rule ID 4461 //
     /* 101299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 101302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 101305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 101308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101320 */   // (mulhu:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VMULHu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 101320 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 101323 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 101327 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHu32),
     /* 101335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 101337 */   GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 101339 */   GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 101341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101344 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101350 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101356 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 101359 */   GIR_RootConstrainSelectedInstOperands,
     /* 101360 */   // GIR_Coverage, 4461,
     /* 101360 */   GIR_EraseRootFromParent_Done,
     /* 101361 */ // Label 1880: @101361
     /* 101361 */ GIM_Reject,
     /* 101362 */ // Label 1877: @101362
     /* 101362 */ GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(101429), // Rule ID 4457 //
     /* 101367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 101370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 101373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 101376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101388 */   // (mulhu:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VMULHu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 101388 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 101391 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 101395 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHu16),
     /* 101403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 101405 */   GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 101407 */   GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 101409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101412 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101418 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 101427 */   GIR_RootConstrainSelectedInstOperands,
     /* 101428 */   // GIR_Coverage, 4457,
     /* 101428 */   GIR_EraseRootFromParent_Done,
     /* 101429 */ // Label 1881: @101429
     /* 101429 */ GIM_Reject,
     /* 101430 */ // Label 1878: @101430
     /* 101430 */ GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(101497), // Rule ID 4453 //
     /* 101435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 101438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 101441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 101444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101456 */   // (mulhu:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VMULHu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 101456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 101459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 101463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHu8),
     /* 101471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 101473 */   GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 101475 */   GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 101477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101480 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101486 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 101495 */   GIR_RootConstrainSelectedInstOperands,
     /* 101496 */   // GIR_Coverage, 4453,
     /* 101496 */   GIR_EraseRootFromParent_Done,
     /* 101497 */ // Label 1882: @101497
     /* 101497 */ GIM_Reject,
     /* 101498 */ // Label 1879: @101498
     /* 101498 */ GIM_Reject,
     /* 101499 */ // Label 29: @101499
     /* 101499 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 1887*/ GIMT_Encode4(101867),
     /* 101510 */ /*GILLT_s32*//*Label 1883*/ GIMT_Encode4(101570), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 101538 */ /*GILLT_v4s32*//*Label 1884*/ GIMT_Encode4(101663), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 101554 */ /*GILLT_v8s16*//*Label 1885*/ GIMT_Encode4(101731), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 101566 */ /*GILLT_v16s8*//*Label 1886*/ GIMT_Encode4(101799),
     /* 101570 */ // Label 1883: @101570
     /* 101570 */ GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(101662),
     /* 101575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 101578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 101581 */   GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(101621), // Rule ID 178 //
     /* 101586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /* 101589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 101593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 101597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 101601 */     // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)  =>  (SMMUL:{ *:[i32] } GPR:{ *:[i32] }:$Rn, GPR:{ *:[i32] }:$Rm)
     /* 101601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::SMMUL),
     /* 101604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 101606 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 101608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 101610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101619 */     GIR_RootConstrainSelectedInstOperands,
     /* 101620 */     // GIR_Coverage, 178,
     /* 101620 */     GIR_EraseRootFromParent_Done,
     /* 101621 */   // Label 1889: @101621
     /* 101621 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(101661), // Rule ID 507 //
     /* 101626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /* 101629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 101641 */     // (mulhs:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)  =>  (t2SMMUL:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rm)
     /* 101641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2SMMUL),
     /* 101644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 101646 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 101648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 101650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101659 */     GIR_RootConstrainSelectedInstOperands,
     /* 101660 */     // GIR_Coverage, 507,
     /* 101660 */     GIR_EraseRootFromParent_Done,
     /* 101661 */   // Label 1890: @101661
     /* 101661 */   GIM_Reject,
     /* 101662 */ // Label 1888: @101662
     /* 101662 */ GIM_Reject,
     /* 101663 */ // Label 1884: @101663
     /* 101663 */ GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(101730), // Rule ID 4449 //
     /* 101668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 101671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 101674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 101677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101689 */   // (mulhs:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VMULHs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 101689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 101692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 101696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHs32),
     /* 101704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 101706 */   GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 101708 */   GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 101710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101713 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101719 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101725 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 101728 */   GIR_RootConstrainSelectedInstOperands,
     /* 101729 */   // GIR_Coverage, 4449,
     /* 101729 */   GIR_EraseRootFromParent_Done,
     /* 101730 */ // Label 1891: @101730
     /* 101730 */ GIM_Reject,
     /* 101731 */ // Label 1885: @101731
     /* 101731 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(101798), // Rule ID 4445 //
     /* 101736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 101739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 101742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 101745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101757 */   // (mulhs:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VMULHs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 101757 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 101760 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 101764 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHs16),
     /* 101772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 101774 */   GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 101776 */   GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 101778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101781 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101787 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 101796 */   GIR_RootConstrainSelectedInstOperands,
     /* 101797 */   // GIR_Coverage, 4445,
     /* 101797 */   GIR_EraseRootFromParent_Done,
     /* 101798 */ // Label 1892: @101798
     /* 101798 */ GIM_Reject,
     /* 101799 */ // Label 1886: @101799
     /* 101799 */ GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(101866), // Rule ID 4442 //
     /* 101804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 101807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 101810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 101813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 101825 */   // (mulhs:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VMULHs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 101825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 101828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 101832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULHs8),
     /* 101840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 101842 */   GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 101844 */   GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 101846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101849 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101855 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 101864 */   GIR_RootConstrainSelectedInstOperands,
     /* 101865 */   // GIR_Coverage, 4442,
     /* 101865 */   GIR_EraseRootFromParent_Done,
     /* 101866 */ // Label 1893: @101866
     /* 101866 */ GIM_Reject,
     /* 101867 */ // Label 1887: @101867
     /* 101867 */ GIM_Reject,
     /* 101868 */ // Label 30: @101868
     /* 101868 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(16), /*)*//*default:*//*Label 1902*/ GIMT_Encode4(102512),
     /* 101879 */ /*GILLT_s64*//*Label 1894*/ GIMT_Encode4(101935), GIMT_Encode4(0),
     /* 101887 */ /*GILLT_v2s32*//*Label 1895*/ GIMT_Encode4(101982),
     /* 101891 */ /*GILLT_v2s64*//*Label 1896*/ GIMT_Encode4(102029), GIMT_Encode4(0),
     /* 101899 */ /*GILLT_v4s16*//*Label 1897*/ GIMT_Encode4(102076),
     /* 101903 */ /*GILLT_v4s32*//*Label 1898*/ GIMT_Encode4(102123), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 101915 */ /*GILLT_v8s8*//*Label 1899*/ GIMT_Encode4(102237),
     /* 101919 */ /*GILLT_v8s16*//*Label 1900*/ GIMT_Encode4(102284), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 101931 */ /*GILLT_v16s8*//*Label 1901*/ GIMT_Encode4(102398),
     /* 101935 */ // Label 1894: @101935
     /* 101935 */ GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(101981), // Rule ID 827 //
     /* 101940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 101943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 101946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 101949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 101953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 101957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 101961 */   // (uaddsat:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)  =>  (VQADDuv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)
     /* 101961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv1i64),
     /* 101964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 101966 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 101968 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 101970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 101973 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 101979 */   GIR_RootConstrainSelectedInstOperands,
     /* 101980 */   // GIR_Coverage, 827,
     /* 101980 */   GIR_EraseRootFromParent_Done,
     /* 101981 */ // Label 1903: @101981
     /* 101981 */ GIM_Reject,
     /* 101982 */ // Label 1895: @101982
     /* 101982 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(102028), // Rule ID 822 //
     /* 101987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 101990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 101993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 101996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102008 */   // (uaddsat:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQADDuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 102008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv2i32),
     /* 102011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102013 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102015 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102020 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102026 */   GIR_RootConstrainSelectedInstOperands,
     /* 102027 */   // GIR_Coverage, 822,
     /* 102027 */   GIR_EraseRootFromParent_Done,
     /* 102028 */ // Label 1904: @102028
     /* 102028 */ GIM_Reject,
     /* 102029 */ // Label 1896: @102029
     /* 102029 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(102075), // Rule ID 828 //
     /* 102034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 102040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 102043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102055 */   // (uaddsat:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VQADDuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /* 102055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv2i64),
     /* 102058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102060 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102062 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102067 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102073 */   GIR_RootConstrainSelectedInstOperands,
     /* 102074 */   // GIR_Coverage, 828,
     /* 102074 */   GIR_EraseRootFromParent_Done,
     /* 102075 */ // Label 1905: @102075
     /* 102075 */ GIM_Reject,
     /* 102076 */ // Label 1897: @102076
     /* 102076 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(102122), // Rule ID 821 //
     /* 102081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 102087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 102090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102102 */   // (uaddsat:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQADDuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 102102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv4i16),
     /* 102105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102107 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102109 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102114 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102120 */   GIR_RootConstrainSelectedInstOperands,
     /* 102121 */   // GIR_Coverage, 821,
     /* 102121 */   GIR_EraseRootFromParent_Done,
     /* 102122 */ // Label 1906: @102122
     /* 102122 */ GIM_Reject,
     /* 102123 */ // Label 1898: @102123
     /* 102123 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(102236),
     /* 102128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 102131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 102134 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(102174), // Rule ID 824 //
     /* 102139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102154 */     // (uaddsat:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQADDuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 102154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv4i32),
     /* 102157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102159 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102166 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102172 */     GIR_RootConstrainSelectedInstOperands,
     /* 102173 */     // GIR_Coverage, 824,
     /* 102173 */     GIR_EraseRootFromParent_Done,
     /* 102174 */   // Label 1908: @102174
     /* 102174 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(102235), // Rule ID 3524 //
     /* 102179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 102182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102194 */     // (uaddsat:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VQADDu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 102194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 102197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 102201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQADDu32),
     /* 102209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 102211 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 102213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 102215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102233 */     GIR_RootConstrainSelectedInstOperands,
     /* 102234 */     // GIR_Coverage, 3524,
     /* 102234 */     GIR_EraseRootFromParent_Done,
     /* 102235 */   // Label 1909: @102235
     /* 102235 */   GIM_Reject,
     /* 102236 */ // Label 1907: @102236
     /* 102236 */ GIM_Reject,
     /* 102237 */ // Label 1899: @102237
     /* 102237 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(102283), // Rule ID 825 //
     /* 102242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 102248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 102251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102263 */   // (uaddsat:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VQADDuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 102263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv8i8),
     /* 102266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102268 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102270 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102275 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102281 */   GIR_RootConstrainSelectedInstOperands,
     /* 102282 */   // GIR_Coverage, 825,
     /* 102282 */   GIR_EraseRootFromParent_Done,
     /* 102283 */ // Label 1910: @102283
     /* 102283 */ GIM_Reject,
     /* 102284 */ // Label 1900: @102284
     /* 102284 */ GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(102397),
     /* 102289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 102292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 102295 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(102335), // Rule ID 823 //
     /* 102300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102315 */     // (uaddsat:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQADDuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 102315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv8i16),
     /* 102318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102320 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102327 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102333 */     GIR_RootConstrainSelectedInstOperands,
     /* 102334 */     // GIR_Coverage, 823,
     /* 102334 */     GIR_EraseRootFromParent_Done,
     /* 102335 */   // Label 1912: @102335
     /* 102335 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(102396), // Rule ID 3521 //
     /* 102340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 102343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102355 */     // (uaddsat:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VQADDu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 102355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 102358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 102362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQADDu16),
     /* 102370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 102372 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 102374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 102376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102394 */     GIR_RootConstrainSelectedInstOperands,
     /* 102395 */     // GIR_Coverage, 3521,
     /* 102395 */     GIR_EraseRootFromParent_Done,
     /* 102396 */   // Label 1913: @102396
     /* 102396 */   GIM_Reject,
     /* 102397 */ // Label 1911: @102397
     /* 102397 */ GIM_Reject,
     /* 102398 */ // Label 1901: @102398
     /* 102398 */ GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(102511),
     /* 102403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 102406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 102409 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(102449), // Rule ID 826 //
     /* 102414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 102429 */     // (uaddsat:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VQADDuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 102429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDuv16i8),
     /* 102432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102434 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102447 */     GIR_RootConstrainSelectedInstOperands,
     /* 102448 */     // GIR_Coverage, 826,
     /* 102448 */     GIR_EraseRootFromParent_Done,
     /* 102449 */   // Label 1915: @102449
     /* 102449 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(102510), // Rule ID 3518 //
     /* 102454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 102457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 102469 */     // (uaddsat:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VQADDu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 102469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 102472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 102476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQADDu8),
     /* 102484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 102486 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 102488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 102490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102508 */     GIR_RootConstrainSelectedInstOperands,
     /* 102509 */     // GIR_Coverage, 3518,
     /* 102509 */     GIR_EraseRootFromParent_Done,
     /* 102510 */   // Label 1916: @102510
     /* 102510 */   GIM_Reject,
     /* 102511 */ // Label 1914: @102511
     /* 102511 */ GIM_Reject,
     /* 102512 */ // Label 1902: @102512
     /* 102512 */ GIM_Reject,
     /* 102513 */ // Label 31: @102513
     /* 102513 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 1926*/ GIMT_Encode4(103812),
     /* 102524 */ /*GILLT_s32*//*Label 1917*/ GIMT_Encode4(102584),
     /* 102528 */ /*GILLT_s64*//*Label 1918*/ GIMT_Encode4(102925), GIMT_Encode4(0),
     /* 102536 */ /*GILLT_v2s32*//*Label 1919*/ GIMT_Encode4(102972),
     /* 102540 */ /*GILLT_v2s64*//*Label 1920*/ GIMT_Encode4(103019), GIMT_Encode4(0),
     /* 102548 */ /*GILLT_v4s16*//*Label 1921*/ GIMT_Encode4(103220),
     /* 102552 */ /*GILLT_v4s32*//*Label 1922*/ GIMT_Encode4(103267), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 102564 */ /*GILLT_v8s8*//*Label 1923*/ GIMT_Encode4(103537),
     /* 102568 */ /*GILLT_v8s16*//*Label 1924*/ GIMT_Encode4(103584), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 102580 */ /*GILLT_v16s8*//*Label 1925*/ GIMT_Encode4(103698),
     /* 102584 */ // Label 1917: @102584
     /* 102584 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(102924),
     /* 102589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 102595 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(102657), // Rule ID 5651 //
     /* 102600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /* 102603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 102607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 102611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SADDSAT),
     /* 102615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 102619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102624 */     // MIs[1] Rn
     /* 102624 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 102629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 102635 */     // (saddsat:{ *:[i32] } (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn), rGPR:{ *:[i32] }:$Rm)  =>  (QDADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 102635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QDADD),
     /* 102638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 102640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 102642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 102646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102655 */     GIR_RootConstrainSelectedInstOperands,
     /* 102656 */     // GIR_Coverage, 5651,
     /* 102656 */     GIR_EraseRootFromParent_Done,
     /* 102657 */   // Label 1928: @102657
     /* 102657 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(102719), // Rule ID 5685 //
     /* 102662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /* 102665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 102673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SADDSAT),
     /* 102677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 102681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102686 */     // MIs[1] Rn
     /* 102686 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 102691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 102697 */     // (saddsat:{ *:[i32] } (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn), rGPR:{ *:[i32] }:$Rm)  =>  (t2QDADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 102697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QDADD),
     /* 102700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 102702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 102704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 102708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102717 */     GIR_RootConstrainSelectedInstOperands,
     /* 102718 */     // GIR_Coverage, 5685,
     /* 102718 */     GIR_EraseRootFromParent_Done,
     /* 102719 */   // Label 1929: @102719
     /* 102719 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(102781), // Rule ID 1867 //
     /* 102724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /* 102727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 102731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 102739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SADDSAT),
     /* 102743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 102747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102752 */     // MIs[1] Rn
     /* 102752 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 102757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 102759 */     // (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn))  =>  (QDADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 102759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QDADD),
     /* 102762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 102764 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 102766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 102770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102779 */     GIR_RootConstrainSelectedInstOperands,
     /* 102780 */     // GIR_Coverage, 1867,
     /* 102780 */     GIR_EraseRootFromParent_Done,
     /* 102781 */   // Label 1930: @102781
     /* 102781 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(102843), // Rule ID 2133 //
     /* 102786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /* 102789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 102801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SADDSAT),
     /* 102805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 102809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102814 */     // MIs[1] Rn
     /* 102814 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 102819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 102821 */     // (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn))  =>  (t2QDADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 102821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QDADD),
     /* 102824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 102826 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 102828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 102832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102841 */     GIR_RootConstrainSelectedInstOperands,
     /* 102842 */     // GIR_Coverage, 2133,
     /* 102842 */     GIR_EraseRootFromParent_Done,
     /* 102843 */   // Label 1931: @102843
     /* 102843 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(102883), // Rule ID 1865 //
     /* 102848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /* 102851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 102855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 102859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 102863 */     // (saddsat:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (QADD:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /* 102863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QADD),
     /* 102866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 102868 */     GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 102870 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 102872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102881 */     GIR_RootConstrainSelectedInstOperands,
     /* 102882 */     // GIR_Coverage, 1865,
     /* 102882 */     GIR_EraseRootFromParent_Done,
     /* 102883 */   // Label 1932: @102883
     /* 102883 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(102923), // Rule ID 2131 //
     /* 102888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /* 102891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 102903 */     // (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)  =>  (t2QADD:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 102903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QADD),
     /* 102906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 102908 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 102910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 102912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102921 */     GIR_RootConstrainSelectedInstOperands,
     /* 102922 */     // GIR_Coverage, 2131,
     /* 102922 */     GIR_EraseRootFromParent_Done,
     /* 102923 */   // Label 1933: @102923
     /* 102923 */   GIM_Reject,
     /* 102924 */ // Label 1927: @102924
     /* 102924 */ GIM_Reject,
     /* 102925 */ // Label 1918: @102925
     /* 102925 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(102971), // Rule ID 819 //
     /* 102930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 102939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102951 */   // (saddsat:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)  =>  (VQADDsv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)
     /* 102951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv1i64),
     /* 102954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 102956 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 102958 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 102960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 102963 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 102969 */   GIR_RootConstrainSelectedInstOperands,
     /* 102970 */   // GIR_Coverage, 819,
     /* 102970 */   GIR_EraseRootFromParent_Done,
     /* 102971 */ // Label 1934: @102971
     /* 102971 */ GIM_Reject,
     /* 102972 */ // Label 1919: @102972
     /* 102972 */ GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(103018), // Rule ID 814 //
     /* 102977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 102980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 102983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 102986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 102998 */   // (saddsat:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQADDsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 102998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv2i32),
     /* 103001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103003 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103005 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103010 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103016 */   GIR_RootConstrainSelectedInstOperands,
     /* 103017 */   // GIR_Coverage, 814,
     /* 103017 */   GIR_EraseRootFromParent_Done,
     /* 103018 */ // Label 1935: @103018
     /* 103018 */ GIM_Reject,
     /* 103019 */ // Label 1920: @103019
     /* 103019 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(103219),
     /* 103024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 103027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 103030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103034 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(103108), // Rule ID 5742 //
     /* 103039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 103046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 103050 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 103053 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /* 103058 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 103062 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 103066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 103082 */     // (saddsat:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 3816:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm), QPR:{ *:[v2i64] }:$src1)  =>  (VQDMLALv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 103082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMLALv2i64),
     /* 103085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103087 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 103089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /* 103093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Vm
     /* 103097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103106 */     GIR_RootConstrainSelectedInstOperands,
     /* 103107 */     // GIR_Coverage, 5742,
     /* 103107 */     GIR_EraseRootFromParent_Done,
     /* 103108 */   // Label 1937: @103108
     /* 103108 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(103182), // Rule ID 2486 //
     /* 103113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 103124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 103128 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 103131 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /* 103136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 103140 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 103144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 103156 */     // (saddsat:{ *:[v2i64] } QPR:{ *:[v2i64] }:$src1, (intrinsic_wo_chain:{ *:[v2i64] } 3816:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm))  =>  (VQDMLALv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 103156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMLALv2i64),
     /* 103159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103161 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 103163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /* 103167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Vm
     /* 103171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103180 */     GIR_RootConstrainSelectedInstOperands,
     /* 103181 */     // GIR_Coverage, 2486,
     /* 103181 */     GIR_EraseRootFromParent_Done,
     /* 103182 */   // Label 1938: @103182
     /* 103182 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(103218), // Rule ID 820 //
     /* 103187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103198 */     // (saddsat:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VQADDsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /* 103198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv2i64),
     /* 103201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103203 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103216 */     GIR_RootConstrainSelectedInstOperands,
     /* 103217 */     // GIR_Coverage, 820,
     /* 103217 */     GIR_EraseRootFromParent_Done,
     /* 103218 */   // Label 1939: @103218
     /* 103218 */   GIM_Reject,
     /* 103219 */ // Label 1936: @103219
     /* 103219 */ GIM_Reject,
     /* 103220 */ // Label 1921: @103220
     /* 103220 */ GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(103266), // Rule ID 813 //
     /* 103225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 103231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 103234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103246 */   // (saddsat:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQADDsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 103246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv4i16),
     /* 103249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103251 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103253 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103258 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103264 */   GIR_RootConstrainSelectedInstOperands,
     /* 103265 */   // GIR_Coverage, 813,
     /* 103265 */   GIR_EraseRootFromParent_Done,
     /* 103266 */ // Label 1940: @103266
     /* 103266 */ GIM_Reject,
     /* 103267 */ // Label 1922: @103267
     /* 103267 */ GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(103536),
     /* 103272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 103275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 103278 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(103356), // Rule ID 5741 //
     /* 103283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 103294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 103298 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 103301 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /* 103306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 103310 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 103314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 103330 */     // (saddsat:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 3816:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm), QPR:{ *:[v4i32] }:$src1)  =>  (VQDMLALv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 103330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMLALv4i32),
     /* 103333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103335 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 103337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /* 103341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Vm
     /* 103345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103354 */     GIR_RootConstrainSelectedInstOperands,
     /* 103355 */     // GIR_Coverage, 5741,
     /* 103355 */     GIR_EraseRootFromParent_Done,
     /* 103356 */   // Label 1942: @103356
     /* 103356 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(103434), // Rule ID 2485 //
     /* 103361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 103376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 103380 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 103383 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /* 103388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 103392 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 103396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 103408 */     // (saddsat:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, (intrinsic_wo_chain:{ *:[v4i32] } 3816:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm))  =>  (VQDMLALv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 103408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMLALv4i32),
     /* 103411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103413 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 103415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /* 103419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Vm
     /* 103423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103426 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103432 */     GIR_RootConstrainSelectedInstOperands,
     /* 103433 */     // GIR_Coverage, 2485,
     /* 103433 */     GIR_EraseRootFromParent_Done,
     /* 103434 */   // Label 1943: @103434
     /* 103434 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(103474), // Rule ID 816 //
     /* 103439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103454 */     // (saddsat:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQADDsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 103454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv4i32),
     /* 103457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103459 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103466 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103472 */     GIR_RootConstrainSelectedInstOperands,
     /* 103473 */     // GIR_Coverage, 816,
     /* 103473 */     GIR_EraseRootFromParent_Done,
     /* 103474 */   // Label 1944: @103474
     /* 103474 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(103535), // Rule ID 3515 //
     /* 103479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 103482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103494 */     // (saddsat:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VQADDs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 103494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 103497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 103501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQADDs32),
     /* 103509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 103511 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 103513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 103515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103533 */     GIR_RootConstrainSelectedInstOperands,
     /* 103534 */     // GIR_Coverage, 3515,
     /* 103534 */     GIR_EraseRootFromParent_Done,
     /* 103535 */   // Label 1945: @103535
     /* 103535 */   GIM_Reject,
     /* 103536 */ // Label 1941: @103536
     /* 103536 */ GIM_Reject,
     /* 103537 */ // Label 1923: @103537
     /* 103537 */ GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(103583), // Rule ID 817 //
     /* 103542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 103548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 103551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103563 */   // (saddsat:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VQADDsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 103563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv8i8),
     /* 103566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103568 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103570 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103575 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103581 */   GIR_RootConstrainSelectedInstOperands,
     /* 103582 */   // GIR_Coverage, 817,
     /* 103582 */   GIR_EraseRootFromParent_Done,
     /* 103583 */ // Label 1946: @103583
     /* 103583 */ GIM_Reject,
     /* 103584 */ // Label 1924: @103584
     /* 103584 */ GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(103697),
     /* 103589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 103592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 103595 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(103635), // Rule ID 815 //
     /* 103600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103615 */     // (saddsat:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQADDsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 103615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv8i16),
     /* 103618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103620 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103627 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103633 */     GIR_RootConstrainSelectedInstOperands,
     /* 103634 */     // GIR_Coverage, 815,
     /* 103634 */     GIR_EraseRootFromParent_Done,
     /* 103635 */   // Label 1948: @103635
     /* 103635 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(103696), // Rule ID 3512 //
     /* 103640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 103643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103655 */     // (saddsat:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VQADDs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 103655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 103658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 103662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQADDs16),
     /* 103670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 103672 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 103674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 103676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103694 */     GIR_RootConstrainSelectedInstOperands,
     /* 103695 */     // GIR_Coverage, 3512,
     /* 103695 */     GIR_EraseRootFromParent_Done,
     /* 103696 */   // Label 1949: @103696
     /* 103696 */   GIM_Reject,
     /* 103697 */ // Label 1947: @103697
     /* 103697 */ GIM_Reject,
     /* 103698 */ // Label 1925: @103698
     /* 103698 */ GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(103811),
     /* 103703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 103706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 103709 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(103749), // Rule ID 818 //
     /* 103714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103729 */     // (saddsat:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VQADDsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 103729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQADDsv16i8),
     /* 103732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103734 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103747 */     GIR_RootConstrainSelectedInstOperands,
     /* 103748 */     // GIR_Coverage, 818,
     /* 103748 */     GIR_EraseRootFromParent_Done,
     /* 103749 */   // Label 1951: @103749
     /* 103749 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(103810), // Rule ID 3509 //
     /* 103754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 103757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 103769 */     // (saddsat:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VQADDs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 103769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 103772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 103776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQADDs8),
     /* 103784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 103786 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 103788 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 103790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103808 */     GIR_RootConstrainSelectedInstOperands,
     /* 103809 */     // GIR_Coverage, 3509,
     /* 103809 */     GIR_EraseRootFromParent_Done,
     /* 103810 */   // Label 1952: @103810
     /* 103810 */   GIM_Reject,
     /* 103811 */ // Label 1950: @103811
     /* 103811 */ GIM_Reject,
     /* 103812 */ // Label 1926: @103812
     /* 103812 */ GIM_Reject,
     /* 103813 */ // Label 32: @103813
     /* 103813 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(16), /*)*//*default:*//*Label 1961*/ GIMT_Encode4(104457),
     /* 103824 */ /*GILLT_s64*//*Label 1953*/ GIMT_Encode4(103880), GIMT_Encode4(0),
     /* 103832 */ /*GILLT_v2s32*//*Label 1954*/ GIMT_Encode4(103927),
     /* 103836 */ /*GILLT_v2s64*//*Label 1955*/ GIMT_Encode4(103974), GIMT_Encode4(0),
     /* 103844 */ /*GILLT_v4s16*//*Label 1956*/ GIMT_Encode4(104021),
     /* 103848 */ /*GILLT_v4s32*//*Label 1957*/ GIMT_Encode4(104068), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 103860 */ /*GILLT_v8s8*//*Label 1958*/ GIMT_Encode4(104182),
     /* 103864 */ /*GILLT_v8s16*//*Label 1959*/ GIMT_Encode4(104229), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 103876 */ /*GILLT_v16s8*//*Label 1960*/ GIMT_Encode4(104343),
     /* 103880 */ // Label 1953: @103880
     /* 103880 */ GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(103926), // Rule ID 1019 //
     /* 103885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 103891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 103894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103906 */   // (usubsat:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)  =>  (VQSUBuv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)
     /* 103906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv1i64),
     /* 103909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103911 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103913 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103918 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103924 */   GIR_RootConstrainSelectedInstOperands,
     /* 103925 */   // GIR_Coverage, 1019,
     /* 103925 */   GIR_EraseRootFromParent_Done,
     /* 103926 */ // Label 1962: @103926
     /* 103926 */ GIM_Reject,
     /* 103927 */ // Label 1954: @103927
     /* 103927 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(103973), // Rule ID 1014 //
     /* 103932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 103938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 103941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 103953 */   // (usubsat:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQSUBuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 103953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv2i32),
     /* 103956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 103958 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 103960 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 103962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 103965 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 103971 */   GIR_RootConstrainSelectedInstOperands,
     /* 103972 */   // GIR_Coverage, 1014,
     /* 103972 */   GIR_EraseRootFromParent_Done,
     /* 103973 */ // Label 1963: @103973
     /* 103973 */ GIM_Reject,
     /* 103974 */ // Label 1955: @103974
     /* 103974 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(104020), // Rule ID 1020 //
     /* 103979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 103982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 103985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 103988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 103996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104000 */   // (usubsat:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VQSUBuv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /* 104000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv2i64),
     /* 104003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104005 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104007 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104012 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104018 */   GIR_RootConstrainSelectedInstOperands,
     /* 104019 */   // GIR_Coverage, 1020,
     /* 104019 */   GIR_EraseRootFromParent_Done,
     /* 104020 */ // Label 1964: @104020
     /* 104020 */ GIM_Reject,
     /* 104021 */ // Label 1956: @104021
     /* 104021 */ GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(104067), // Rule ID 1013 //
     /* 104026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 104032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 104035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104047 */   // (usubsat:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQSUBuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 104047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv4i16),
     /* 104050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104052 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104054 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104059 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104065 */   GIR_RootConstrainSelectedInstOperands,
     /* 104066 */   // GIR_Coverage, 1013,
     /* 104066 */   GIR_EraseRootFromParent_Done,
     /* 104067 */ // Label 1965: @104067
     /* 104067 */ GIM_Reject,
     /* 104068 */ // Label 1957: @104068
     /* 104068 */ GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(104181),
     /* 104073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 104076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 104079 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(104119), // Rule ID 1016 //
     /* 104084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104099 */     // (usubsat:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQSUBuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 104099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv4i32),
     /* 104102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104104 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104111 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104117 */     GIR_RootConstrainSelectedInstOperands,
     /* 104118 */     // GIR_Coverage, 1016,
     /* 104118 */     GIR_EraseRootFromParent_Done,
     /* 104119 */   // Label 1967: @104119
     /* 104119 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(104180), // Rule ID 3542 //
     /* 104124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 104127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104139 */     // (usubsat:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VQSUBu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 104139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 104142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 104146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSUBu32),
     /* 104154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 104156 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 104158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 104160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104178 */     GIR_RootConstrainSelectedInstOperands,
     /* 104179 */     // GIR_Coverage, 3542,
     /* 104179 */     GIR_EraseRootFromParent_Done,
     /* 104180 */   // Label 1968: @104180
     /* 104180 */   GIM_Reject,
     /* 104181 */ // Label 1966: @104181
     /* 104181 */ GIM_Reject,
     /* 104182 */ // Label 1958: @104182
     /* 104182 */ GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(104228), // Rule ID 1017 //
     /* 104187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 104193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 104196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104208 */   // (usubsat:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VQSUBuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 104208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv8i8),
     /* 104211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104213 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104215 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104220 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104226 */   GIR_RootConstrainSelectedInstOperands,
     /* 104227 */   // GIR_Coverage, 1017,
     /* 104227 */   GIR_EraseRootFromParent_Done,
     /* 104228 */ // Label 1969: @104228
     /* 104228 */ GIM_Reject,
     /* 104229 */ // Label 1959: @104229
     /* 104229 */ GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(104342),
     /* 104234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 104237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 104240 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(104280), // Rule ID 1015 //
     /* 104245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104260 */     // (usubsat:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQSUBuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 104260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv8i16),
     /* 104263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104265 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104272 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104278 */     GIR_RootConstrainSelectedInstOperands,
     /* 104279 */     // GIR_Coverage, 1015,
     /* 104279 */     GIR_EraseRootFromParent_Done,
     /* 104280 */   // Label 1971: @104280
     /* 104280 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(104341), // Rule ID 3539 //
     /* 104285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 104288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104300 */     // (usubsat:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VQSUBu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 104300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 104303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 104307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSUBu16),
     /* 104315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 104317 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 104319 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 104321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104339 */     GIR_RootConstrainSelectedInstOperands,
     /* 104340 */     // GIR_Coverage, 3539,
     /* 104340 */     GIR_EraseRootFromParent_Done,
     /* 104341 */   // Label 1972: @104341
     /* 104341 */   GIM_Reject,
     /* 104342 */ // Label 1970: @104342
     /* 104342 */ GIM_Reject,
     /* 104343 */ // Label 1960: @104343
     /* 104343 */ GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(104456),
     /* 104348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 104351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 104354 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(104394), // Rule ID 1018 //
     /* 104359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104374 */     // (usubsat:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VQSUBuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 104374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBuv16i8),
     /* 104377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104379 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104392 */     GIR_RootConstrainSelectedInstOperands,
     /* 104393 */     // GIR_Coverage, 1018,
     /* 104393 */     GIR_EraseRootFromParent_Done,
     /* 104394 */   // Label 1974: @104394
     /* 104394 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(104455), // Rule ID 3536 //
     /* 104399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 104402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 104414 */     // (usubsat:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VQSUBu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 104414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 104417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 104421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSUBu8),
     /* 104429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 104431 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 104433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 104435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104453 */     GIR_RootConstrainSelectedInstOperands,
     /* 104454 */     // GIR_Coverage, 3536,
     /* 104454 */     GIR_EraseRootFromParent_Done,
     /* 104455 */   // Label 1975: @104455
     /* 104455 */   GIM_Reject,
     /* 104456 */ // Label 1973: @104456
     /* 104456 */ GIM_Reject,
     /* 104457 */ // Label 1961: @104457
     /* 104457 */ GIM_Reject,
     /* 104458 */ // Label 33: @104458
     /* 104458 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 1985*/ GIMT_Encode4(105477),
     /* 104469 */ /*GILLT_s32*//*Label 1976*/ GIMT_Encode4(104529),
     /* 104473 */ /*GILLT_s64*//*Label 1977*/ GIMT_Encode4(104746), GIMT_Encode4(0),
     /* 104481 */ /*GILLT_v2s32*//*Label 1978*/ GIMT_Encode4(104793),
     /* 104485 */ /*GILLT_v2s64*//*Label 1979*/ GIMT_Encode4(104840), GIMT_Encode4(0),
     /* 104493 */ /*GILLT_v4s16*//*Label 1980*/ GIMT_Encode4(104963),
     /* 104497 */ /*GILLT_v4s32*//*Label 1981*/ GIMT_Encode4(105010), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 104509 */ /*GILLT_v8s8*//*Label 1982*/ GIMT_Encode4(105202),
     /* 104513 */ /*GILLT_v8s16*//*Label 1983*/ GIMT_Encode4(105249), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 104525 */ /*GILLT_v16s8*//*Label 1984*/ GIMT_Encode4(105363),
     /* 104529 */ // Label 1976: @104529
     /* 104529 */ GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(104745),
     /* 104534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 104540 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(104602), // Rule ID 1868 //
     /* 104545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /* 104548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 104552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 104560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SADDSAT),
     /* 104564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 104568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104573 */     // MIs[1] Rn
     /* 104573 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 104578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 104580 */     // (ssubsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn))  =>  (QDSUB:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 104580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QDSUB),
     /* 104583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 104585 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 104587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 104591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104600 */     GIR_RootConstrainSelectedInstOperands,
     /* 104601 */     // GIR_Coverage, 1868,
     /* 104601 */     GIR_EraseRootFromParent_Done,
     /* 104602 */   // Label 1987: @104602
     /* 104602 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(104664), // Rule ID 2134 //
     /* 104607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /* 104610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 104622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SADDSAT),
     /* 104626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 104630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104635 */     // MIs[1] Rn
     /* 104635 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 104640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 104642 */     // (ssubsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, (saddsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rn, rGPR:{ *:[i32] }:$Rn))  =>  (t2QDSUB:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 104642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QDSUB),
     /* 104645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 104647 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 104649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 104653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104662 */     GIR_RootConstrainSelectedInstOperands,
     /* 104663 */     // GIR_Coverage, 2134,
     /* 104663 */     GIR_EraseRootFromParent_Done,
     /* 104664 */   // Label 1988: @104664
     /* 104664 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(104704), // Rule ID 1866 //
     /* 104669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5TE_IsARM),
     /* 104672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 104676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 104680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 104684 */     // (ssubsat:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (QSUB:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)
     /* 104684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::QSUB),
     /* 104687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 104689 */     GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 104691 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 104693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104702 */     GIR_RootConstrainSelectedInstOperands,
     /* 104703 */     // GIR_Coverage, 1866,
     /* 104703 */     GIR_EraseRootFromParent_Done,
     /* 104704 */   // Label 1989: @104704
     /* 104704 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(104744), // Rule ID 2132 //
     /* 104709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_IsThumb2),
     /* 104712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 104724 */     // (ssubsat:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)  =>  (t2QSUB:{ *:[i32] } rGPR:{ *:[i32] }:$Rm, rGPR:{ *:[i32] }:$Rn)
     /* 104724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2QSUB),
     /* 104727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 104729 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 104731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 104733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104736 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104742 */     GIR_RootConstrainSelectedInstOperands,
     /* 104743 */     // GIR_Coverage, 2132,
     /* 104743 */     GIR_EraseRootFromParent_Done,
     /* 104744 */   // Label 1990: @104744
     /* 104744 */   GIM_Reject,
     /* 104745 */ // Label 1986: @104745
     /* 104745 */ GIM_Reject,
     /* 104746 */ // Label 1977: @104746
     /* 104746 */ GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(104792), // Rule ID 1011 //
     /* 104751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 104760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104772 */   // (ssubsat:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)  =>  (VQSUBsv1i64:{ *:[v1i64] } DPR:{ *:[v1i64] }:$Vn, DPR:{ *:[v1i64] }:$Vm)
     /* 104772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv1i64),
     /* 104775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104777 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104779 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104784 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104790 */   GIR_RootConstrainSelectedInstOperands,
     /* 104791 */   // GIR_Coverage, 1011,
     /* 104791 */   GIR_EraseRootFromParent_Done,
     /* 104792 */ // Label 1991: @104792
     /* 104792 */ GIM_Reject,
     /* 104793 */ // Label 1978: @104793
     /* 104793 */ GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(104839), // Rule ID 1006 //
     /* 104798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 104804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 104807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104819 */   // (ssubsat:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VQSUBsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 104819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv2i32),
     /* 104822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104824 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104826 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104831 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104837 */   GIR_RootConstrainSelectedInstOperands,
     /* 104838 */   // GIR_Coverage, 1006,
     /* 104838 */   GIR_EraseRootFromParent_Done,
     /* 104839 */ // Label 1992: @104839
     /* 104839 */ GIM_Reject,
     /* 104840 */ // Label 1979: @104840
     /* 104840 */ GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(104962),
     /* 104845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 104848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 104851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104859 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(104929), // Rule ID 2493 //
     /* 104864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 104871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 104875 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 104878 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /* 104883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 104887 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 104891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 104903 */     // (ssubsat:{ *:[v2i64] } QPR:{ *:[v2i64] }:$src1, (intrinsic_wo_chain:{ *:[v2i64] } 3816:{ *:[iPTR] }, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm))  =>  (VQDMLSLv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$src1, DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 104903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMLSLv2i64),
     /* 104906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104908 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 104910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /* 104914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Vm
     /* 104918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104921 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104927 */     GIR_RootConstrainSelectedInstOperands,
     /* 104928 */     // GIR_Coverage, 2493,
     /* 104928 */     GIR_EraseRootFromParent_Done,
     /* 104929 */   // Label 1994: @104929
     /* 104929 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(104961), // Rule ID 1012 //
     /* 104934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 104941 */     // (ssubsat:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)  =>  (VQSUBsv2i64:{ *:[v2i64] } QPR:{ *:[v2i64] }:$Vn, QPR:{ *:[v2i64] }:$Vm)
     /* 104941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv2i64),
     /* 104944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104946 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 104953 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 104959 */     GIR_RootConstrainSelectedInstOperands,
     /* 104960 */     // GIR_Coverage, 1012,
     /* 104960 */     GIR_EraseRootFromParent_Done,
     /* 104961 */   // Label 1995: @104961
     /* 104961 */   GIM_Reject,
     /* 104962 */ // Label 1993: @104962
     /* 104962 */ GIM_Reject,
     /* 104963 */ // Label 1980: @104963
     /* 104963 */ GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(105009), // Rule ID 1005 //
     /* 104968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 104971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 104974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 104977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 104989 */   // (ssubsat:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VQSUBsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 104989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv4i16),
     /* 104992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 104994 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 104996 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 104998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 105001 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105007 */   GIR_RootConstrainSelectedInstOperands,
     /* 105008 */   // GIR_Coverage, 1005,
     /* 105008 */   GIR_EraseRootFromParent_Done,
     /* 105009 */ // Label 1996: @105009
     /* 105009 */ GIM_Reject,
     /* 105010 */ // Label 1981: @105010
     /* 105010 */ GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(105201),
     /* 105015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 105018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 105021 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(105099), // Rule ID 2492 //
     /* 105026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 105029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 105041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 105045 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 105048 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::arm_neon_vqdmull),
     /* 105053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 105057 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 105061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 105066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 105071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 105073 */     // (ssubsat:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, (intrinsic_wo_chain:{ *:[v4i32] } 3816:{ *:[iPTR] }, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm))  =>  (VQDMLSLv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$src1, DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 105073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQDMLSLv4i32),
     /* 105076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 105078 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 105080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /* 105084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Vm
     /* 105088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 105091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105097 */     GIR_RootConstrainSelectedInstOperands,
     /* 105098 */     // GIR_Coverage, 2492,
     /* 105098 */     GIR_EraseRootFromParent_Done,
     /* 105099 */   // Label 1998: @105099
     /* 105099 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(105139), // Rule ID 1008 //
     /* 105104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 105107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105119 */     // (ssubsat:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VQSUBsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 105119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv4i32),
     /* 105122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 105124 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 105126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 105128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 105131 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105137 */     GIR_RootConstrainSelectedInstOperands,
     /* 105138 */     // GIR_Coverage, 1008,
     /* 105138 */     GIR_EraseRootFromParent_Done,
     /* 105139 */   // Label 1999: @105139
     /* 105139 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(105200), // Rule ID 3533 //
     /* 105144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 105147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105159 */     // (ssubsat:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VQSUBs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 105159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 105162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 105166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSUBs32),
     /* 105174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 105176 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 105178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 105180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105189 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 105198 */     GIR_RootConstrainSelectedInstOperands,
     /* 105199 */     // GIR_Coverage, 3533,
     /* 105199 */     GIR_EraseRootFromParent_Done,
     /* 105200 */   // Label 2000: @105200
     /* 105200 */   GIM_Reject,
     /* 105201 */ // Label 1997: @105201
     /* 105201 */ GIM_Reject,
     /* 105202 */ // Label 1982: @105202
     /* 105202 */ GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(105248), // Rule ID 1009 //
     /* 105207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 105210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 105213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 105216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 105220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 105224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 105228 */   // (ssubsat:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VQSUBsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 105228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv8i8),
     /* 105231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 105233 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 105235 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 105237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 105240 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105246 */   GIR_RootConstrainSelectedInstOperands,
     /* 105247 */   // GIR_Coverage, 1009,
     /* 105247 */   GIR_EraseRootFromParent_Done,
     /* 105248 */ // Label 2001: @105248
     /* 105248 */ GIM_Reject,
     /* 105249 */ // Label 1983: @105249
     /* 105249 */ GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(105362),
     /* 105254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 105257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 105260 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(105300), // Rule ID 1007 //
     /* 105265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 105268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105280 */     // (ssubsat:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VQSUBsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 105280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv8i16),
     /* 105283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 105285 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 105287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 105289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 105292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105298 */     GIR_RootConstrainSelectedInstOperands,
     /* 105299 */     // GIR_Coverage, 1007,
     /* 105299 */     GIR_EraseRootFromParent_Done,
     /* 105300 */   // Label 2003: @105300
     /* 105300 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(105361), // Rule ID 3530 //
     /* 105305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 105308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105320 */     // (ssubsat:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VQSUBs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 105320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 105323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 105327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSUBs16),
     /* 105335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 105337 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 105339 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 105341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 105359 */     GIR_RootConstrainSelectedInstOperands,
     /* 105360 */     // GIR_Coverage, 3530,
     /* 105360 */     GIR_EraseRootFromParent_Done,
     /* 105361 */   // Label 2004: @105361
     /* 105361 */   GIM_Reject,
     /* 105362 */ // Label 2002: @105362
     /* 105362 */ GIM_Reject,
     /* 105363 */ // Label 1984: @105363
     /* 105363 */ GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(105476),
     /* 105368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 105371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 105374 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(105414), // Rule ID 1010 //
     /* 105379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 105382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 105394 */     // (ssubsat:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VQSUBsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 105394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VQSUBsv16i8),
     /* 105397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 105399 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 105401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 105403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 105406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105412 */     GIR_RootConstrainSelectedInstOperands,
     /* 105413 */     // GIR_Coverage, 1010,
     /* 105413 */     GIR_EraseRootFromParent_Done,
     /* 105414 */   // Label 2006: @105414
     /* 105414 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(105475), // Rule ID 3527 //
     /* 105419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 105422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 105434 */     // (ssubsat:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VQSUBs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 105434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 105437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 105441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VQSUBs8),
     /* 105449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 105451 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 105453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 105455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 105473 */     GIR_RootConstrainSelectedInstOperands,
     /* 105474 */     // GIR_Coverage, 3527,
     /* 105474 */     GIR_EraseRootFromParent_Done,
     /* 105475 */   // Label 2007: @105475
     /* 105475 */   GIM_Reject,
     /* 105476 */ // Label 2005: @105476
     /* 105476 */ GIM_Reject,
     /* 105477 */ // Label 1985: @105477
     /* 105477 */ GIM_Reject,
     /* 105478 */ // Label 34: @105478
     /* 105478 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2015*/ GIMT_Encode4(107830),
     /* 105489 */ /*GILLT_s16*//*Label 2008*/ GIMT_Encode4(105541),
     /* 105493 */ /*GILLT_s32*//*Label 2009*/ GIMT_Encode4(105588),
     /* 105497 */ /*GILLT_s64*//*Label 2010*/ GIMT_Encode4(107183), GIMT_Encode4(0),
     /* 105505 */ /*GILLT_v2s32*//*Label 2011*/ GIMT_Encode4(107230), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 105517 */ /*GILLT_v4s16*//*Label 2012*/ GIMT_Encode4(107277),
     /* 105521 */ /*GILLT_v4s32*//*Label 2013*/ GIMT_Encode4(107462), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 105537 */ /*GILLT_v8s16*//*Label 2014*/ GIMT_Encode4(107576),
     /* 105541 */ // Label 2008: @105541
     /* 105541 */ GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(105587), // Rule ID 614 //
     /* 105546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 105549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 105552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 105555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 105559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 105563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 105567 */   // (fadd:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)  =>  (VADDH:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 105567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDH),
     /* 105570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 105572 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 105574 */   GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 105576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 105579 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105585 */   GIR_RootConstrainSelectedInstOperands,
     /* 105586 */   // GIR_Coverage, 614,
     /* 105586 */   GIR_EraseRootFromParent_Done,
     /* 105587 */ // Label 2016: @105587
     /* 105587 */ GIM_Reject,
     /* 105588 */ // Label 2009: @105588
     /* 105588 */ GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(107182),
     /* 105593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 105596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 105603 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(105931), // Rule ID 5918 //
     /* 105608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseFPVMLx_UseNEONForFP),
     /* 105611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 105615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 105619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 105623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 105627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 105632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 105637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 105641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 105643 */     // (fadd:{ *:[f32] } (fmul:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b), SPR:{ *:[f32] }:$acc)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VMLAfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$acc, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 105643 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v2s32,
     /* 105646 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 105650 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 105657 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v2s32,
     /* 105660 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105664 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105669 */     GIR_AddSimpleTempRegister, /*InsnID*/10, /*TempRegID*/10,
     /* 105672 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105677 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v2s32,
     /* 105680 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 105684 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105689 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 105692 */     GIR_Copy, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, // b
     /* 105696 */     GIR_AddImm8, /*InsnID*/9, /*Imm*/17,
     /* 105699 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105704 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105709 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 105714 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 105717 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 105721 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 105728 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 105731 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105735 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105740 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 105743 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105748 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 105751 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 105755 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105760 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 105763 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 105767 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 105770 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105775 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105780 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 105785 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 105788 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 105792 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 105799 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 105802 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105806 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105811 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 105814 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105819 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 105822 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 105826 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105831 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 105834 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // acc
     /* 105838 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 105841 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105846 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105851 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 105856 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 105859 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMLAfd),
     /* 105863 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105868 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 105871 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 105874 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/8,
     /* 105877 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 105880 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 105886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 105888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 105891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105900 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 105903 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105913 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 105920 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 105925 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 105930 */     // GIR_Coverage, 5918,
     /* 105930 */     GIR_EraseRootFromParent_Done,
     /* 105931 */   // Label 2018: @105931
     /* 105931 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(106259), // Rule ID 5919 //
     /* 105936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4_UseFusedMAC_UseNEONForFP),
     /* 105939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 105943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 105947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 105951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 105955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 105960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 105965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 105969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 105971 */     // (fadd:{ *:[f32] } (fmul:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b), SPR:{ *:[f32] }:$acc)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VFMAfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$acc, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 105971 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v2s32,
     /* 105974 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 105978 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 105985 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v2s32,
     /* 105988 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105992 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105997 */     GIR_AddSimpleTempRegister, /*InsnID*/10, /*TempRegID*/10,
     /* 106000 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106005 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v2s32,
     /* 106008 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106012 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106017 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 106020 */     GIR_Copy, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, // b
     /* 106024 */     GIR_AddImm8, /*InsnID*/9, /*Imm*/17,
     /* 106027 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106032 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106037 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106042 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 106045 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106049 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 106056 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 106059 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106063 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106068 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 106071 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106076 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 106079 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106083 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106088 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 106091 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 106095 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 106098 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106103 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106108 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106113 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 106116 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106120 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 106127 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 106130 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106134 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106139 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 106142 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106147 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 106150 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106154 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106159 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 106162 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // acc
     /* 106166 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 106169 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106174 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106179 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106184 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 106187 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VFMAfd),
     /* 106191 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106196 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 106199 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 106202 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/8,
     /* 106205 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 106208 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 106214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 106216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 106219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106228 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 106231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106241 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 106248 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106253 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106258 */     // GIR_Coverage, 5919,
     /* 106258 */     GIR_EraseRootFromParent_Done,
     /* 106259 */   // Label 2019: @106259
     /* 106259 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(106587), // Rule ID 2697 //
     /* 106264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseFPVMLx_UseNEONForFP),
     /* 106267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 106275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 106279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 106283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 106287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 106299 */     // (fadd:{ *:[f32] } SPR:{ *:[f32] }:$acc, (fmul:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b))  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VMLAfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$acc, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 106299 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v2s32,
     /* 106302 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106306 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 106313 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v2s32,
     /* 106316 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106320 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106325 */     GIR_AddSimpleTempRegister, /*InsnID*/10, /*TempRegID*/10,
     /* 106328 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106333 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v2s32,
     /* 106336 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106340 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106345 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 106348 */     GIR_Copy, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, // b
     /* 106352 */     GIR_AddImm8, /*InsnID*/9, /*Imm*/17,
     /* 106355 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106360 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106365 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106370 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 106373 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106377 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 106384 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 106387 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106391 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106396 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 106399 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106404 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 106407 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106411 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106416 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 106419 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 106423 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 106426 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106431 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106436 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106441 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 106444 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106448 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 106455 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 106458 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106462 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106467 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 106470 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106475 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 106478 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106482 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106487 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 106490 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // acc
     /* 106494 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 106497 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106502 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106507 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106512 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 106515 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMLAfd),
     /* 106519 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106524 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 106527 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 106530 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/8,
     /* 106533 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 106536 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 106542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 106544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 106547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106556 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 106559 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106569 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 106576 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106581 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106586 */     // GIR_Coverage, 2697,
     /* 106586 */     GIR_EraseRootFromParent_Done,
     /* 106587 */   // Label 2020: @106587
     /* 106587 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(106915), // Rule ID 2699 //
     /* 106592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4_UseFusedMAC_UseNEONForFP),
     /* 106595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 106603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 106607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 106611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 106615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 106627 */     // (fadd:{ *:[f32] } SPR:{ *:[f32] }:$acc, (fmul:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b))  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VFMAfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$acc, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 106627 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v2s32,
     /* 106630 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106634 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 106641 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v2s32,
     /* 106644 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106648 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106653 */     GIR_AddSimpleTempRegister, /*InsnID*/10, /*TempRegID*/10,
     /* 106656 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106661 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v2s32,
     /* 106664 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106668 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106673 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 106676 */     GIR_Copy, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, // b
     /* 106680 */     GIR_AddImm8, /*InsnID*/9, /*Imm*/17,
     /* 106683 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106688 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106693 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106698 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 106701 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106705 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 106712 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 106715 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106719 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106724 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 106727 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106732 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 106735 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106739 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106744 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 106747 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 106751 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 106754 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106759 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106764 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106769 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 106772 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106776 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 106783 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 106786 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106790 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106795 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 106798 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106803 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 106806 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 106810 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106815 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 106818 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // acc
     /* 106822 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 106825 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106830 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106835 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106840 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 106843 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VFMAfd),
     /* 106847 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106852 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 106855 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 106858 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/8,
     /* 106861 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 106864 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 106870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 106872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 106875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106884 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 106887 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106897 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 106904 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 106909 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 106914 */     // GIR_Coverage, 2699,
     /* 106914 */     GIR_EraseRootFromParent_Done,
     /* 106915 */   // Label 2021: @106915
     /* 106915 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(106951), // Rule ID 613 //
     /* 106920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 106923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106931 */     // (fadd:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)  =>  (VADDS:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 106931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDS),
     /* 106934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 106936 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 106938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 106940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 106943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 106949 */     GIR_RootConstrainSelectedInstOperands,
     /* 106950 */     // GIR_Coverage, 613,
     /* 106950 */     GIR_EraseRootFromParent_Done,
     /* 106951 */   // Label 2022: @106951
     /* 106951 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(107181), // Rule ID 2694 //
     /* 106956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 106959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 106967 */     // (fadd:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VADDfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 106967 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 106970 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 106974 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 106981 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 106984 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106988 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106993 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 106996 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107001 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 107004 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 107008 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107013 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 107016 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/2, // b
     /* 107020 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 107023 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107028 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107033 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 107038 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 107041 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 107045 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 107052 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 107055 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107059 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107064 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 107067 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107072 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 107075 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 107079 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107084 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 107087 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 107091 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 107094 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107099 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107104 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 107109 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 107112 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VADDfd),
     /* 107116 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107121 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 107124 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 107127 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 107130 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 107138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 107141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107150 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 107153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 107163 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 107170 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 107175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 107180 */     // GIR_Coverage, 2694,
     /* 107180 */     GIR_EraseRootFromParent_Done,
     /* 107181 */   // Label 2023: @107181
     /* 107181 */   GIM_Reject,
     /* 107182 */ // Label 2017: @107182
     /* 107182 */ GIM_Reject,
     /* 107183 */ // Label 2010: @107183
     /* 107183 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(107229), // Rule ID 612 //
     /* 107188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 107191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 107194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 107197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107209 */   // (fadd:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)  =>  (VADDD:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 107209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDD),
     /* 107212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 107214 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /* 107216 */   GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 107218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107221 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107227 */   GIR_RootConstrainSelectedInstOperands,
     /* 107228 */   // GIR_Coverage, 612,
     /* 107228 */   GIR_EraseRootFromParent_Done,
     /* 107229 */ // Label 2024: @107229
     /* 107229 */ GIM_Reject,
     /* 107230 */ // Label 2011: @107230
     /* 107230 */ GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(107276), // Rule ID 761 //
     /* 107235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 107238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 107241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 107244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107256 */   // (fadd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VADDfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 107256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDfd),
     /* 107259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107261 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 107263 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 107265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107268 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107274 */   GIR_RootConstrainSelectedInstOperands,
     /* 107275 */   // GIR_Coverage, 761,
     /* 107275 */   GIR_EraseRootFromParent_Done,
     /* 107276 */ // Label 2025: @107276
     /* 107276 */ GIM_Reject,
     /* 107277 */ // Label 2012: @107277
     /* 107277 */ GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(107461),
     /* 107282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 107285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 107288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107292 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(107358), // Rule ID 5581 //
     /* 107297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFusedMAC),
     /* 107300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 107304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 107308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 107312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 107316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 107332 */     // (fadd:{ *:[v4f16] } (fmul:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm), DPR:{ *:[v4f16] }:$src1)  =>  (VFMAhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 107332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAhd),
     /* 107335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107337 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 107339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 107343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 107347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107356 */     GIR_RootConstrainSelectedInstOperands,
     /* 107357 */     // GIR_Coverage, 5581,
     /* 107357 */     GIR_EraseRootFromParent_Done,
     /* 107358 */   // Label 2027: @107358
     /* 107358 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(107424), // Rule ID 942 //
     /* 107363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFusedMAC),
     /* 107366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 107374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 107378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 107382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 107386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 107398 */     // (fadd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, (fmul:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm))  =>  (VFMAhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 107398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAhd),
     /* 107401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107403 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 107409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 107413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107422 */     GIR_RootConstrainSelectedInstOperands,
     /* 107423 */     // GIR_Coverage, 942,
     /* 107423 */     GIR_EraseRootFromParent_Done,
     /* 107424 */   // Label 2028: @107424
     /* 107424 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(107460), // Rule ID 763 //
     /* 107429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 107432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 107440 */     // (fadd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VADDhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 107440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDhd),
     /* 107443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107445 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 107447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 107449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107458 */     GIR_RootConstrainSelectedInstOperands,
     /* 107459 */     // GIR_Coverage, 763,
     /* 107459 */     GIR_EraseRootFromParent_Done,
     /* 107460 */   // Label 2029: @107460
     /* 107460 */   GIM_Reject,
     /* 107461 */ // Label 2026: @107461
     /* 107461 */ GIM_Reject,
     /* 107462 */ // Label 2013: @107462
     /* 107462 */ GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(107575),
     /* 107467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 107470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 107473 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(107513), // Rule ID 762 //
     /* 107478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 107481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107493 */     // (fadd:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VADDfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 107493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDfq),
     /* 107496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107498 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 107500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 107502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107511 */     GIR_RootConstrainSelectedInstOperands,
     /* 107512 */     // GIR_Coverage, 762,
     /* 107512 */     GIR_EraseRootFromParent_Done,
     /* 107513 */   // Label 2031: @107513
     /* 107513 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(107574), // Rule ID 4013 //
     /* 107518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 107521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 107525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 107529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 107533 */     // (fadd:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)  =>  (MVE_VADDf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)
     /* 107533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 107536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 107540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDf32),
     /* 107548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 107550 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 107552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 107554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107557 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107572 */     GIR_RootConstrainSelectedInstOperands,
     /* 107573 */     // GIR_Coverage, 4013,
     /* 107573 */     GIR_EraseRootFromParent_Done,
     /* 107574 */   // Label 2032: @107574
     /* 107574 */   GIM_Reject,
     /* 107575 */ // Label 2030: @107575
     /* 107575 */ GIM_Reject,
     /* 107576 */ // Label 2014: @107576
     /* 107576 */ GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(107829),
     /* 107581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 107584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 107587 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(107657), // Rule ID 5582 //
     /* 107592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFusedMAC),
     /* 107595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 107603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 107607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 107611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 107615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 107631 */     // (fadd:{ *:[v8f16] } (fmul:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm), QPR:{ *:[v8f16] }:$src1)  =>  (VFMAhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 107631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAhq),
     /* 107634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107636 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 107638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 107642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 107646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107655 */     GIR_RootConstrainSelectedInstOperands,
     /* 107656 */     // GIR_Coverage, 5582,
     /* 107656 */     GIR_EraseRootFromParent_Done,
     /* 107657 */   // Label 2034: @107657
     /* 107657 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(107727), // Rule ID 943 //
     /* 107662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFusedMAC),
     /* 107665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 107677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 107681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 107685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 107689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 107701 */     // (fadd:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, (fmul:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm))  =>  (VFMAhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 107701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAhq),
     /* 107704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107706 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 107712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 107716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107725 */     GIR_RootConstrainSelectedInstOperands,
     /* 107726 */     // GIR_Coverage, 943,
     /* 107726 */     GIR_EraseRootFromParent_Done,
     /* 107727 */   // Label 2035: @107727
     /* 107727 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(107767), // Rule ID 764 //
     /* 107732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 107735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 107747 */     // (fadd:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VADDhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 107747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VADDhq),
     /* 107750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 107752 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 107754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 107756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107759 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107765 */     GIR_RootConstrainSelectedInstOperands,
     /* 107766 */     // GIR_Coverage, 764,
     /* 107766 */     GIR_EraseRootFromParent_Done,
     /* 107767 */   // Label 2036: @107767
     /* 107767 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(107828), // Rule ID 4017 //
     /* 107772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 107775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 107779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 107783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 107787 */     // (fadd:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)  =>  (MVE_VADDf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)
     /* 107787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 107790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 107794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDf16),
     /* 107802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 107804 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 107806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 107808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107817 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107826 */     GIR_RootConstrainSelectedInstOperands,
     /* 107827 */     // GIR_Coverage, 4017,
     /* 107827 */     GIR_EraseRootFromParent_Done,
     /* 107828 */   // Label 2037: @107828
     /* 107828 */   GIM_Reject,
     /* 107829 */ // Label 2033: @107829
     /* 107829 */ GIM_Reject,
     /* 107830 */ // Label 2015: @107830
     /* 107830 */ GIM_Reject,
     /* 107831 */ // Label 35: @107831
     /* 107831 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2045*/ GIMT_Encode4(109507),
     /* 107842 */ /*GILLT_s16*//*Label 2038*/ GIMT_Encode4(107894),
     /* 107846 */ /*GILLT_s32*//*Label 2039*/ GIMT_Encode4(107941),
     /* 107850 */ /*GILLT_s64*//*Label 2040*/ GIMT_Encode4(108868), GIMT_Encode4(0),
     /* 107858 */ /*GILLT_v2s32*//*Label 2041*/ GIMT_Encode4(108915), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 107870 */ /*GILLT_v4s16*//*Label 2042*/ GIMT_Encode4(108962),
     /* 107874 */ /*GILLT_v4s32*//*Label 2043*/ GIMT_Encode4(109139), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 107890 */ /*GILLT_v8s16*//*Label 2044*/ GIMT_Encode4(109253),
     /* 107894 */ // Label 2038: @107894
     /* 107894 */ GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(107940), // Rule ID 617 //
     /* 107899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 107902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 107905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 107908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 107912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 107916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 107920 */   // (fsub:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)  =>  (VSUBH:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 107920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBH),
     /* 107923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 107925 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 107927 */   GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 107929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 107932 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 107938 */   GIR_RootConstrainSelectedInstOperands,
     /* 107939 */   // GIR_Coverage, 617,
     /* 107939 */   GIR_EraseRootFromParent_Done,
     /* 107940 */ // Label 2046: @107940
     /* 107940 */ GIM_Reject,
     /* 107941 */ // Label 2039: @107941
     /* 107941 */ GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(108867),
     /* 107946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 107949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 107956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 107960 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(108284), // Rule ID 2698 //
     /* 107965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseFPVMLx_UseNEONForFP),
     /* 107968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 107972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 107976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 107980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 107984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 107989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 107994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 107996 */     // (fsub:{ *:[f32] } SPR:{ *:[f32] }:$acc, (fmul:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b))  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VMLSfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$acc, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 107996 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v2s32,
     /* 107999 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108003 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 108010 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v2s32,
     /* 108013 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108017 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108022 */     GIR_AddSimpleTempRegister, /*InsnID*/10, /*TempRegID*/10,
     /* 108025 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108030 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v2s32,
     /* 108033 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108037 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108042 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 108045 */     GIR_Copy, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, // b
     /* 108049 */     GIR_AddImm8, /*InsnID*/9, /*Imm*/17,
     /* 108052 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108057 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108062 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108067 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 108070 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108074 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 108081 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 108084 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108088 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108093 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 108096 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108101 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 108104 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108108 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108113 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 108116 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 108120 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 108123 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108128 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108133 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108138 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 108141 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108145 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 108152 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 108155 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108159 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108164 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 108167 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108172 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 108175 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108179 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108184 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 108187 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // acc
     /* 108191 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 108194 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108199 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108204 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108209 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 108212 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMLSfd),
     /* 108216 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108221 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 108224 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 108227 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/8,
     /* 108230 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 108233 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 108239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 108241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 108244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108253 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 108256 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108266 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 108273 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108278 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108283 */     // GIR_Coverage, 2698,
     /* 108283 */     GIR_EraseRootFromParent_Done,
     /* 108284 */   // Label 2048: @108284
     /* 108284 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(108608), // Rule ID 2700 //
     /* 108289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4_UseFusedMAC_UseNEONForFP),
     /* 108292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 108296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 108300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 108304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 108308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 108313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 108318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108320 */     // (fsub:{ *:[f32] } SPR:{ *:[f32] }:$acc, (fmul:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b))  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VFMSfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$acc, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 108320 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v2s32,
     /* 108323 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108327 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 108334 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v2s32,
     /* 108337 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108341 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108346 */     GIR_AddSimpleTempRegister, /*InsnID*/10, /*TempRegID*/10,
     /* 108349 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108354 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v2s32,
     /* 108357 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108361 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108366 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 108369 */     GIR_Copy, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, // b
     /* 108373 */     GIR_AddImm8, /*InsnID*/9, /*Imm*/17,
     /* 108376 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108381 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108386 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108391 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 108394 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108398 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 108405 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 108408 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108412 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108417 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 108420 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108425 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 108428 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108432 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108437 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 108440 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 108444 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 108447 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108452 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108457 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108462 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 108465 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108469 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 108476 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 108479 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108483 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108488 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 108491 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108496 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 108499 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108503 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108508 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 108511 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // acc
     /* 108515 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 108518 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108523 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108528 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108533 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 108536 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VFMSfd),
     /* 108540 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108545 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 108548 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 108551 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/8,
     /* 108554 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 108557 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 108563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 108565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 108568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108577 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 108580 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108590 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 108597 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108602 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108607 */     // GIR_Coverage, 2700,
     /* 108607 */     GIR_EraseRootFromParent_Done,
     /* 108608 */   // Label 2049: @108608
     /* 108608 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(108640), // Rule ID 616 //
     /* 108613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 108616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 108620 */     // (fsub:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)  =>  (VSUBS:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 108620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBS),
     /* 108623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 108625 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 108627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 108629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 108632 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 108638 */     GIR_RootConstrainSelectedInstOperands,
     /* 108639 */     // GIR_Coverage, 616,
     /* 108639 */     GIR_EraseRootFromParent_Done,
     /* 108640 */   // Label 2050: @108640
     /* 108640 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(108866), // Rule ID 2695 //
     /* 108645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 108648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 108652 */     // (fsub:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VSUBfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 108652 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 108655 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108659 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 108666 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 108669 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108673 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108678 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 108681 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108686 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 108689 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108693 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108698 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 108701 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/2, // b
     /* 108705 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 108708 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108713 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108718 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108723 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 108726 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 108730 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 108737 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 108740 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108744 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108749 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 108752 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108757 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 108760 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 108764 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108769 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 108772 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 108776 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 108779 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108784 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108789 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108794 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 108797 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VSUBfd),
     /* 108801 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108806 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 108809 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 108812 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 108815 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 108821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 108823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 108826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108835 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 108838 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108848 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 108855 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 108860 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 108865 */     // GIR_Coverage, 2695,
     /* 108865 */     GIR_EraseRootFromParent_Done,
     /* 108866 */   // Label 2051: @108866
     /* 108866 */   GIM_Reject,
     /* 108867 */ // Label 2047: @108867
     /* 108867 */ GIM_Reject,
     /* 108868 */ // Label 2040: @108868
     /* 108868 */ GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(108914), // Rule ID 615 //
     /* 108873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 108876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 108879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 108882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108894 */   // (fsub:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)  =>  (VSUBD:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 108894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBD),
     /* 108897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 108899 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /* 108901 */   GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 108903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 108906 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 108912 */   GIR_RootConstrainSelectedInstOperands,
     /* 108913 */   // GIR_Coverage, 615,
     /* 108913 */   GIR_EraseRootFromParent_Done,
     /* 108914 */ // Label 2052: @108914
     /* 108914 */ GIM_Reject,
     /* 108915 */ // Label 2041: @108915
     /* 108915 */ GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(108961), // Rule ID 965 //
     /* 108920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 108923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 108926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 108929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108941 */   // (fsub:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VSUBfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 108941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBfd),
     /* 108944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 108946 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 108948 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 108950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 108953 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 108959 */   GIR_RootConstrainSelectedInstOperands,
     /* 108960 */   // GIR_Coverage, 965,
     /* 108960 */   GIR_EraseRootFromParent_Done,
     /* 108961 */ // Label 2053: @108961
     /* 108961 */ GIM_Reject,
     /* 108962 */ // Label 2042: @108962
     /* 108962 */ GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(109138),
     /* 108967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 108970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 108973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 108981 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(109043), // Rule ID 920 //
     /* 108986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFPVMLx),
     /* 108989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 108993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 108997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 109001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 109005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 109010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 109015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109017 */     // (fsub:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, (fmul:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm))  =>  (VMLShd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 109017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLShd),
     /* 109020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 109022 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 109024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 109028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 109032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109041 */     GIR_RootConstrainSelectedInstOperands,
     /* 109042 */     // GIR_Coverage, 920,
     /* 109042 */     GIR_EraseRootFromParent_Done,
     /* 109043 */   // Label 2055: @109043
     /* 109043 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(109105), // Rule ID 946 //
     /* 109048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFusedMAC),
     /* 109051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 109055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 109059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 109063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 109067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 109072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 109077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109079 */     // (fsub:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, (fmul:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm))  =>  (VFMShd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 109079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMShd),
     /* 109082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 109084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 109086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 109090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 109094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109097 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109103 */     GIR_RootConstrainSelectedInstOperands,
     /* 109104 */     // GIR_Coverage, 946,
     /* 109104 */     GIR_EraseRootFromParent_Done,
     /* 109105 */   // Label 2056: @109105
     /* 109105 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(109137), // Rule ID 967 //
     /* 109110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 109113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 109117 */     // (fsub:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VSUBhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 109117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBhd),
     /* 109120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 109122 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 109124 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 109126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109135 */     GIR_RootConstrainSelectedInstOperands,
     /* 109136 */     // GIR_Coverage, 967,
     /* 109136 */     GIR_EraseRootFromParent_Done,
     /* 109137 */   // Label 2057: @109137
     /* 109137 */   GIM_Reject,
     /* 109138 */ // Label 2054: @109138
     /* 109138 */ GIM_Reject,
     /* 109139 */ // Label 2043: @109139
     /* 109139 */ GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(109252),
     /* 109144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 109147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 109150 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(109190), // Rule ID 966 //
     /* 109155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 109158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109170 */     // (fsub:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VSUBfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 109170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBfq),
     /* 109173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 109175 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 109177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 109179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109188 */     GIR_RootConstrainSelectedInstOperands,
     /* 109189 */     // GIR_Coverage, 966,
     /* 109189 */     GIR_EraseRootFromParent_Done,
     /* 109190 */   // Label 2059: @109190
     /* 109190 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(109251), // Rule ID 4021 //
     /* 109195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 109198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 109202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 109206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 109210 */     // (fsub:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)  =>  (MVE_VSUBf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)
     /* 109210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 109213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSUBf32),
     /* 109225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 109227 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 109229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 109231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109249 */     GIR_RootConstrainSelectedInstOperands,
     /* 109250 */     // GIR_Coverage, 4021,
     /* 109250 */     GIR_EraseRootFromParent_Done,
     /* 109251 */   // Label 2060: @109251
     /* 109251 */   GIM_Reject,
     /* 109252 */ // Label 2058: @109252
     /* 109252 */ GIM_Reject,
     /* 109253 */ // Label 2044: @109253
     /* 109253 */ GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(109506),
     /* 109258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 109261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 109264 */   GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(109334), // Rule ID 921 //
     /* 109269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFPVMLx),
     /* 109272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 109284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 109288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 109292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 109296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109308 */     // (fsub:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, (fmul:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm))  =>  (VMLShq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 109308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMLShq),
     /* 109311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 109313 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 109315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 109319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 109323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109332 */     GIR_RootConstrainSelectedInstOperands,
     /* 109333 */     // GIR_Coverage, 921,
     /* 109333 */     GIR_EraseRootFromParent_Done,
     /* 109334 */   // Label 2062: @109334
     /* 109334 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(109404), // Rule ID 947 //
     /* 109339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_UseFusedMAC),
     /* 109342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 109354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 109358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 109362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 109366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109378 */     // (fsub:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, (fmul:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm))  =>  (VFMShq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 109378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMShq),
     /* 109381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 109383 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 109385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 109389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 109393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109402 */     GIR_RootConstrainSelectedInstOperands,
     /* 109403 */     // GIR_Coverage, 947,
     /* 109403 */     GIR_EraseRootFromParent_Done,
     /* 109404 */   // Label 2063: @109404
     /* 109404 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(109444), // Rule ID 968 //
     /* 109409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 109412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 109424 */     // (fsub:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VSUBhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 109424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSUBhq),
     /* 109427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 109429 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 109431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 109433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109442 */     GIR_RootConstrainSelectedInstOperands,
     /* 109443 */     // GIR_Coverage, 968,
     /* 109443 */     GIR_EraseRootFromParent_Done,
     /* 109444 */   // Label 2064: @109444
     /* 109444 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(109505), // Rule ID 4025 //
     /* 109449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 109452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 109456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 109460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 109464 */     // (fsub:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)  =>  (MVE_VSUBf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)
     /* 109464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 109467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VSUBf16),
     /* 109479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 109481 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 109483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 109485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109503 */     GIR_RootConstrainSelectedInstOperands,
     /* 109504 */     // GIR_Coverage, 4025,
     /* 109504 */     GIR_EraseRootFromParent_Done,
     /* 109505 */   // Label 2065: @109505
     /* 109505 */   GIM_Reject,
     /* 109506 */ // Label 2061: @109506
     /* 109506 */ GIM_Reject,
     /* 109507 */ // Label 2045: @109507
     /* 109507 */ GIM_Reject,
     /* 109508 */ // Label 36: @109508
     /* 109508 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2073*/ GIMT_Encode4(110488),
     /* 109519 */ /*GILLT_s16*//*Label 2066*/ GIMT_Encode4(109571),
     /* 109523 */ /*GILLT_s32*//*Label 2067*/ GIMT_Encode4(109618),
     /* 109527 */ /*GILLT_s64*//*Label 2068*/ GIMT_Encode4(110007), GIMT_Encode4(0),
     /* 109535 */ /*GILLT_v2s32*//*Label 2069*/ GIMT_Encode4(110166), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109547 */ /*GILLT_v4s16*//*Label 2070*/ GIMT_Encode4(110213),
     /* 109551 */ /*GILLT_v4s32*//*Label 2071*/ GIMT_Encode4(110260), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109567 */ /*GILLT_v8s16*//*Label 2072*/ GIMT_Encode4(110374),
     /* 109571 */ // Label 2066: @109571
     /* 109571 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(109617), // Rule ID 623 //
     /* 109576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 109579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 109585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 109589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 109593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 109597 */   // (fmul:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)  =>  (VMULH:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 109597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULH),
     /* 109600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 109602 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 109604 */   GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 109606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109609 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109615 */   GIR_RootConstrainSelectedInstOperands,
     /* 109616 */   // GIR_Coverage, 623,
     /* 109616 */   GIR_EraseRootFromParent_Done,
     /* 109617 */ // Label 2074: @109617
     /* 109617 */ GIM_Reject,
     /* 109618 */ // Label 2067: @109618
     /* 109618 */ GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(110006),
     /* 109623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 109626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 109629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109633 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(109686), // Rule ID 2299 //
     /* 109638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoHonorSignDependentRounding),
     /* 109641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 109645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 109649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 109653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109664 */     // (fmul:{ *:[f32] } (fneg:{ *:[f32] } SPR:{ *:[f32] }:$a), SPR:{ *:[f32] }:$b)  =>  (VNMULS:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b)
     /* 109664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNMULS),
     /* 109667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 109669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 109673 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 109675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109684 */     GIR_RootConstrainSelectedInstOperands,
     /* 109685 */     // GIR_Coverage, 2299,
     /* 109685 */     GIR_EraseRootFromParent_Done,
     /* 109686 */   // Label 2076: @109686
     /* 109686 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(109739), // Rule ID 5708 //
     /* 109691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoHonorSignDependentRounding),
     /* 109694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 109702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 109706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 109710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109717 */     // (fmul:{ *:[f32] } SPR:{ *:[f32] }:$b, (fneg:{ *:[f32] } SPR:{ *:[f32] }:$a))  =>  (VNMULS:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b)
     /* 109717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNMULS),
     /* 109720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 109722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 109726 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 109728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109731 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109737 */     GIR_RootConstrainSelectedInstOperands,
     /* 109738 */     // GIR_Coverage, 5708,
     /* 109738 */     GIR_EraseRootFromParent_Done,
     /* 109739 */   // Label 2077: @109739
     /* 109739 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(109775), // Rule ID 622 //
     /* 109744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 109747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109755 */     // (fmul:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)  =>  (VMULS:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 109755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULS),
     /* 109758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 109760 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 109762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 109764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 109767 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109773 */     GIR_RootConstrainSelectedInstOperands,
     /* 109774 */     // GIR_Coverage, 622,
     /* 109774 */     GIR_EraseRootFromParent_Done,
     /* 109775 */   // Label 2078: @109775
     /* 109775 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(110005), // Rule ID 2696 //
     /* 109780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 109783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 109791 */     // (fmul:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VMULfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 109791 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 109794 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109798 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 109805 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 109808 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109812 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109817 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 109820 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 109825 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 109828 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 109832 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109837 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 109840 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/2, // b
     /* 109844 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 109847 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 109852 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 109857 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 109862 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 109865 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109869 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 109876 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 109879 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109883 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109888 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 109891 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 109896 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 109899 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 109903 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109908 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 109911 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 109915 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 109918 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 109923 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 109928 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 109933 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 109936 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMULfd),
     /* 109940 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109945 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 109948 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 109951 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 109954 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 109960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 109962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 109965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109974 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 109977 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 109982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109987 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 109994 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 109999 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 110004 */     // GIR_Coverage, 2696,
     /* 110004 */     GIR_EraseRootFromParent_Done,
     /* 110005 */   // Label 2079: @110005
     /* 110005 */   GIM_Reject,
     /* 110006 */ // Label 2075: @110006
     /* 110006 */ GIM_Reject,
     /* 110007 */ // Label 2068: @110007
     /* 110007 */ GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(110165),
     /* 110012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 110015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 110018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110022 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(110075), // Rule ID 2298 //
     /* 110027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_NoHonorSignDependentRounding),
     /* 110030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 110034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 110042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110053 */     // (fmul:{ *:[f64] } (fneg:{ *:[f64] } DPR:{ *:[f64] }:$a), DPR:{ *:[f64] }:$b)  =>  (VNMULD:{ *:[f64] } DPR:{ *:[f64] }:$a, DPR:{ *:[f64] }:$b)
     /* 110053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNMULD),
     /* 110056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 110058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 110062 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 110064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110067 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110073 */     GIR_RootConstrainSelectedInstOperands,
     /* 110074 */     // GIR_Coverage, 2298,
     /* 110074 */     GIR_EraseRootFromParent_Done,
     /* 110075 */   // Label 2081: @110075
     /* 110075 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(110128), // Rule ID 5707 //
     /* 110080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_NoHonorSignDependentRounding),
     /* 110083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 110091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 110099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110106 */     // (fmul:{ *:[f64] } DPR:{ *:[f64] }:$b, (fneg:{ *:[f64] } DPR:{ *:[f64] }:$a))  =>  (VNMULD:{ *:[f64] } DPR:{ *:[f64] }:$a, DPR:{ *:[f64] }:$b)
     /* 110106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNMULD),
     /* 110109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 110111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 110115 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 110117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110126 */     GIR_RootConstrainSelectedInstOperands,
     /* 110127 */     // GIR_Coverage, 5707,
     /* 110127 */     GIR_EraseRootFromParent_Done,
     /* 110128 */   // Label 2082: @110128
     /* 110128 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(110164), // Rule ID 621 //
     /* 110133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 110136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110144 */     // (fmul:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)  =>  (VMULD:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 110144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULD),
     /* 110147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 110149 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /* 110151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 110153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110162 */     GIR_RootConstrainSelectedInstOperands,
     /* 110163 */     // GIR_Coverage, 621,
     /* 110163 */     GIR_EraseRootFromParent_Done,
     /* 110164 */   // Label 2083: @110164
     /* 110164 */   GIM_Reject,
     /* 110165 */ // Label 2080: @110165
     /* 110165 */ GIM_Reject,
     /* 110166 */ // Label 2069: @110166
     /* 110166 */ GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(110212), // Rule ID 840 //
     /* 110171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 110174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 110177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 110180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110192 */   // (fmul:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VMULfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 110192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULfd),
     /* 110195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 110197 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 110199 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 110201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110204 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110210 */   GIR_RootConstrainSelectedInstOperands,
     /* 110211 */   // GIR_Coverage, 840,
     /* 110211 */   GIR_EraseRootFromParent_Done,
     /* 110212 */ // Label 2084: @110212
     /* 110212 */ GIM_Reject,
     /* 110213 */ // Label 2070: @110213
     /* 110213 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(110259), // Rule ID 842 //
     /* 110218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 110221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 110224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 110227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 110239 */   // (fmul:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VMULhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 110239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULhd),
     /* 110242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 110244 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 110246 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 110248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110251 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110257 */   GIR_RootConstrainSelectedInstOperands,
     /* 110258 */   // GIR_Coverage, 842,
     /* 110258 */   GIR_EraseRootFromParent_Done,
     /* 110259 */ // Label 2085: @110259
     /* 110259 */ GIM_Reject,
     /* 110260 */ // Label 2071: @110260
     /* 110260 */ GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(110373),
     /* 110265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 110268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 110271 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(110311), // Rule ID 841 //
     /* 110276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 110279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 110283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 110287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 110291 */     // (fmul:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VMULfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 110291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULfq),
     /* 110294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 110296 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 110298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 110300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110309 */     GIR_RootConstrainSelectedInstOperands,
     /* 110310 */     // GIR_Coverage, 841,
     /* 110310 */     GIR_EraseRootFromParent_Done,
     /* 110311 */   // Label 2087: @110311
     /* 110311 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(110372), // Rule ID 3985 //
     /* 110316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 110319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 110323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 110327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 110331 */     // (fmul:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)  =>  (MVE_VMULf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)
     /* 110331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 110334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULf32),
     /* 110346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 110348 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 110350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 110352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110361 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110370 */     GIR_RootConstrainSelectedInstOperands,
     /* 110371 */     // GIR_Coverage, 3985,
     /* 110371 */     GIR_EraseRootFromParent_Done,
     /* 110372 */   // Label 2088: @110372
     /* 110372 */   GIM_Reject,
     /* 110373 */ // Label 2086: @110373
     /* 110373 */ GIM_Reject,
     /* 110374 */ // Label 2072: @110374
     /* 110374 */ GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(110487),
     /* 110379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 110382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 110385 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(110425), // Rule ID 843 //
     /* 110390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 110393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 110397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 110401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 110405 */     // (fmul:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VMULhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 110405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMULhq),
     /* 110408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 110410 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 110412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 110414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110417 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110423 */     GIR_RootConstrainSelectedInstOperands,
     /* 110424 */     // GIR_Coverage, 843,
     /* 110424 */     GIR_EraseRootFromParent_Done,
     /* 110425 */   // Label 2090: @110425
     /* 110425 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(110486), // Rule ID 3989 //
     /* 110430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 110433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 110437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 110441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 110445 */     // (fmul:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)  =>  (MVE_VMULf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)
     /* 110445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 110448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMULf16),
     /* 110460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 110462 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 110464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 110466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110469 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110484 */     GIR_RootConstrainSelectedInstOperands,
     /* 110485 */     // GIR_Coverage, 3989,
     /* 110485 */     GIR_EraseRootFromParent_Done,
     /* 110486 */   // Label 2091: @110486
     /* 110486 */   GIM_Reject,
     /* 110487 */ // Label 2089: @110487
     /* 110487 */ GIM_Reject,
     /* 110488 */ // Label 2073: @110488
     /* 110488 */ GIM_Reject,
     /* 110489 */ // Label 37: @110489
     /* 110489 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2099*/ GIMT_Encode4(112579),
     /* 110500 */ /*GILLT_s16*//*Label 2092*/ GIMT_Encode4(110552),
     /* 110504 */ /*GILLT_s32*//*Label 2093*/ GIMT_Encode4(110939),
     /* 110508 */ /*GILLT_s64*//*Label 2094*/ GIMT_Encode4(111326), GIMT_Encode4(0),
     /* 110516 */ /*GILLT_v2s32*//*Label 2095*/ GIMT_Encode4(111713), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 110528 */ /*GILLT_v4s16*//*Label 2096*/ GIMT_Encode4(111893),
     /* 110532 */ /*GILLT_v4s32*//*Label 2097*/ GIMT_Encode4(111949), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 110548 */ /*GILLT_v8s16*//*Label 2098*/ GIMT_Encode4(112327),
     /* 110552 */ // Label 2092: @110552
     /* 110552 */ GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(110938),
     /* 110557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 110560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 110563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 110566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110570 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(110644), // Rule ID 2403 //
     /* 110575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 110578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 110582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 110590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 110603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 110611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 110618 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sn), HPR:{ *:[f16] }:$Sm, (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sdin))  =>  (VFNMAH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 110618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAH),
     /* 110621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 110623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sdin
     /* 110627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 110631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 110633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110642 */     GIR_RootConstrainSelectedInstOperands,
     /* 110643 */     // GIR_Coverage, 2403,
     /* 110643 */     GIR_EraseRootFromParent_Done,
     /* 110644 */   // Label 2101: @110644
     /* 110644 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(110718), // Rule ID 5716 //
     /* 110649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 110652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 110660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 110668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 110677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 110685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 110692 */     // (fma:{ *:[f16] } HPR:{ *:[f16] }:$Sm, (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sn), (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sdin))  =>  (VFNMAH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 110692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAH),
     /* 110695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 110697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sdin
     /* 110701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 110705 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 110707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110716 */     GIR_RootConstrainSelectedInstOperands,
     /* 110717 */     // GIR_Coverage, 5716,
     /* 110717 */     GIR_EraseRootFromParent_Done,
     /* 110718 */   // Label 2102: @110718
     /* 110718 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(110777), // Rule ID 2395 //
     /* 110723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 110726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 110730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 110738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110753 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sn), HPR:{ *:[f16] }:$Sm, HPR:{ *:[f16] }:$Sdin)  =>  (VFMSH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 110753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSH),
     /* 110756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 110758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Sdin
     /* 110760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 110764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 110766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110769 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110775 */     GIR_RootConstrainSelectedInstOperands,
     /* 110776 */     // GIR_Coverage, 2395,
     /* 110776 */     GIR_EraseRootFromParent_Done,
     /* 110777 */   // Label 2103: @110777
     /* 110777 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(110836), // Rule ID 5713 //
     /* 110782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 110785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 110793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 110801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110812 */     // (fma:{ *:[f16] } HPR:{ *:[f16] }:$Sm, (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sn), HPR:{ *:[f16] }:$Sdin)  =>  (VFMSH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 110812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSH),
     /* 110815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 110817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Sdin
     /* 110819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 110823 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 110825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110834 */     GIR_RootConstrainSelectedInstOperands,
     /* 110835 */     // GIR_Coverage, 5713,
     /* 110835 */     GIR_EraseRootFromParent_Done,
     /* 110836 */   // Label 2104: @110836
     /* 110836 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(110895), // Rule ID 2408 //
     /* 110841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 110844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 110856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 110864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110871 */     // (fma:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm, (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sdin))  =>  (VFNMSH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 110871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSH),
     /* 110874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 110876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sdin
     /* 110880 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 110882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 110884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110887 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110893 */     GIR_RootConstrainSelectedInstOperands,
     /* 110894 */     // GIR_Coverage, 2408,
     /* 110894 */     GIR_EraseRootFromParent_Done,
     /* 110895 */   // Label 2105: @110895
     /* 110895 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(110937), // Rule ID 2389 //
     /* 110900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 110903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 110915 */     // (fma:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm, HPR:{ *:[f16] }:$Sdin)  =>  (VFMAH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 110915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAH),
     /* 110918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 110920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Sdin
     /* 110922 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 110924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 110926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 110929 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 110935 */     GIR_RootConstrainSelectedInstOperands,
     /* 110936 */     // GIR_Coverage, 2389,
     /* 110936 */     GIR_EraseRootFromParent_Done,
     /* 110937 */   // Label 2106: @110937
     /* 110937 */   GIM_Reject,
     /* 110938 */ // Label 2100: @110938
     /* 110938 */ GIM_Reject,
     /* 110939 */ // Label 2093: @110939
     /* 110939 */ GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(111325),
     /* 110944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 110947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 110950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 110953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 110957 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(111031), // Rule ID 2402 //
     /* 110962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 110965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 110969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 110977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 110982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 110986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 110990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 110994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 110998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111005 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sn), SPR:{ *:[f32] }:$Sm, (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sdin))  =>  (VFNMAS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 111005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAS),
     /* 111008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 111010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sdin
     /* 111014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 111018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 111020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111023 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111029 */     GIR_RootConstrainSelectedInstOperands,
     /* 111030 */     // GIR_Coverage, 2402,
     /* 111030 */     GIR_EraseRootFromParent_Done,
     /* 111031 */   // Label 2108: @111031
     /* 111031 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(111105), // Rule ID 5715 //
     /* 111036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 111039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 111047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 111055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 111064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 111072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111079 */     // (fma:{ *:[f32] } SPR:{ *:[f32] }:$Sm, (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sn), (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sdin))  =>  (VFNMAS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 111079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAS),
     /* 111082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 111084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sdin
     /* 111088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 111092 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 111094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111097 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111103 */     GIR_RootConstrainSelectedInstOperands,
     /* 111104 */     // GIR_Coverage, 5715,
     /* 111104 */     GIR_EraseRootFromParent_Done,
     /* 111105 */   // Label 2109: @111105
     /* 111105 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(111164), // Rule ID 2394 //
     /* 111110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 111113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 111117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 111125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111140 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sn), SPR:{ *:[f32] }:$Sm, SPR:{ *:[f32] }:$Sdin)  =>  (VFMSS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 111140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSS),
     /* 111143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 111145 */     GIR_RootToRootCopy, /*OpIdx*/3, // Sdin
     /* 111147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 111151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 111153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111162 */     GIR_RootConstrainSelectedInstOperands,
     /* 111163 */     // GIR_Coverage, 2394,
     /* 111163 */     GIR_EraseRootFromParent_Done,
     /* 111164 */   // Label 2110: @111164
     /* 111164 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(111223), // Rule ID 5712 //
     /* 111169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 111172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 111180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 111188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111199 */     // (fma:{ *:[f32] } SPR:{ *:[f32] }:$Sm, (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sn), SPR:{ *:[f32] }:$Sdin)  =>  (VFMSS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 111199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSS),
     /* 111202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 111204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Sdin
     /* 111206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 111210 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 111212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111221 */     GIR_RootConstrainSelectedInstOperands,
     /* 111222 */     // GIR_Coverage, 5712,
     /* 111222 */     GIR_EraseRootFromParent_Done,
     /* 111223 */   // Label 2111: @111223
     /* 111223 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(111282), // Rule ID 2407 //
     /* 111228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 111231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 111243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 111251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111258 */     // (fma:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm, (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sdin))  =>  (VFNMSS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 111258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSS),
     /* 111261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 111263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sdin
     /* 111267 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 111269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 111271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111280 */     GIR_RootConstrainSelectedInstOperands,
     /* 111281 */     // GIR_Coverage, 2407,
     /* 111281 */     GIR_EraseRootFromParent_Done,
     /* 111282 */   // Label 2112: @111282
     /* 111282 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(111324), // Rule ID 2388 //
     /* 111287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 111290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 111302 */     // (fma:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm, SPR:{ *:[f32] }:$Sdin)  =>  (VFMAS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 111302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAS),
     /* 111305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 111307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Sdin
     /* 111309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 111311 */     GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 111313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111322 */     GIR_RootConstrainSelectedInstOperands,
     /* 111323 */     // GIR_Coverage, 2388,
     /* 111323 */     GIR_EraseRootFromParent_Done,
     /* 111324 */   // Label 2113: @111324
     /* 111324 */   GIM_Reject,
     /* 111325 */ // Label 2107: @111325
     /* 111325 */ GIM_Reject,
     /* 111326 */ // Label 2094: @111326
     /* 111326 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(111712),
     /* 111331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 111334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 111337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 111340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111344 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(111418), // Rule ID 2401 //
     /* 111349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 111352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 111356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 111364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 111377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 111385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111392 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Dn), DPR:{ *:[f64] }:$Dm, (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Ddin))  =>  (VFNMAD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 111392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAD),
     /* 111395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 111397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ddin
     /* 111401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Dn
     /* 111405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 111407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111416 */     GIR_RootConstrainSelectedInstOperands,
     /* 111417 */     // GIR_Coverage, 2401,
     /* 111417 */     GIR_EraseRootFromParent_Done,
     /* 111418 */   // Label 2115: @111418
     /* 111418 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(111492), // Rule ID 5714 //
     /* 111423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 111426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 111434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 111442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 111451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 111459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111466 */     // (fma:{ *:[f64] } DPR:{ *:[f64] }:$Dm, (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Dn), (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Ddin))  =>  (VFNMAD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 111466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAD),
     /* 111469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 111471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ddin
     /* 111475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Dn
     /* 111479 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 111481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111490 */     GIR_RootConstrainSelectedInstOperands,
     /* 111491 */     // GIR_Coverage, 5714,
     /* 111491 */     GIR_EraseRootFromParent_Done,
     /* 111492 */   // Label 2116: @111492
     /* 111492 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(111551), // Rule ID 2393 //
     /* 111497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 111500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 111504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 111512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111527 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Dn), DPR:{ *:[f64] }:$Dm, DPR:{ *:[f64] }:$Ddin)  =>  (VFMSD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 111527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSD),
     /* 111530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 111532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ddin
     /* 111534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Dn
     /* 111538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 111540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111549 */     GIR_RootConstrainSelectedInstOperands,
     /* 111550 */     // GIR_Coverage, 2393,
     /* 111550 */     GIR_EraseRootFromParent_Done,
     /* 111551 */   // Label 2117: @111551
     /* 111551 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(111610), // Rule ID 5711 //
     /* 111556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 111559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 111567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 111575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111586 */     // (fma:{ *:[f64] } DPR:{ *:[f64] }:$Dm, (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Dn), DPR:{ *:[f64] }:$Ddin)  =>  (VFMSD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 111586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSD),
     /* 111589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 111591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ddin
     /* 111593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Dn
     /* 111597 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 111599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111608 */     GIR_RootConstrainSelectedInstOperands,
     /* 111609 */     // GIR_Coverage, 5711,
     /* 111609 */     GIR_EraseRootFromParent_Done,
     /* 111610 */   // Label 2118: @111610
     /* 111610 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(111669), // Rule ID 2406 //
     /* 111615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 111618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 111630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 111638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111645 */     // (fma:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm, (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Ddin))  =>  (VFNMSD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 111645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSD),
     /* 111648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 111650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ddin
     /* 111654 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /* 111656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 111658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111661 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111667 */     GIR_RootConstrainSelectedInstOperands,
     /* 111668 */     // GIR_Coverage, 2406,
     /* 111668 */     GIR_EraseRootFromParent_Done,
     /* 111669 */   // Label 2119: @111669
     /* 111669 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(111711), // Rule ID 2387 //
     /* 111674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 111677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111689 */     // (fma:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm, DPR:{ *:[f64] }:$Ddin)  =>  (VFMAD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 111689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAD),
     /* 111692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 111694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ddin
     /* 111696 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /* 111698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 111700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111703 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111709 */     GIR_RootConstrainSelectedInstOperands,
     /* 111710 */     // GIR_Coverage, 2387,
     /* 111710 */     GIR_EraseRootFromParent_Done,
     /* 111711 */   // Label 2120: @111711
     /* 111711 */   GIM_Reject,
     /* 111712 */ // Label 2114: @111712
     /* 111712 */ GIM_Reject,
     /* 111713 */ // Label 2095: @111713
     /* 111713 */ GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(111892),
     /* 111718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 111721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 111724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 111727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111731 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(111790), // Rule ID 2500 //
     /* 111736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasVFP4),
     /* 111739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 111743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 111751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111766 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn), DPR:{ *:[v2f32] }:$Vm, DPR:{ *:[v2f32] }:$src1)  =>  (VFMSfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$src1, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 111766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSfd),
     /* 111769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 111771 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 111773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 111777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 111779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111788 */     GIR_RootConstrainSelectedInstOperands,
     /* 111789 */     // GIR_Coverage, 2500,
     /* 111789 */     GIR_EraseRootFromParent_Done,
     /* 111790 */   // Label 2122: @111790
     /* 111790 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(111849), // Rule ID 5754 //
     /* 111795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasVFP4),
     /* 111798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 111806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 111814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 111825 */     // (fma:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm, (fneg:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn), DPR:{ *:[v2f32] }:$src1)  =>  (VFMSfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$src1, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 111825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSfd),
     /* 111828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 111830 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 111832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 111836 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 111838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111841 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111847 */     GIR_RootConstrainSelectedInstOperands,
     /* 111848 */     // GIR_Coverage, 5754,
     /* 111848 */     GIR_EraseRootFromParent_Done,
     /* 111849 */   // Label 2123: @111849
     /* 111849 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(111891), // Rule ID 2498 //
     /* 111854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasVFP4),
     /* 111857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111869 */     // (fma:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm, DPR:{ *:[v2f32] }:$src1)  =>  (VFMAfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$src1, DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 111869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAfd),
     /* 111872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 111874 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 111876 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 111878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 111880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111889 */     GIR_RootConstrainSelectedInstOperands,
     /* 111890 */     // GIR_Coverage, 2498,
     /* 111890 */     GIR_EraseRootFromParent_Done,
     /* 111891 */   // Label 2124: @111891
     /* 111891 */   GIM_Reject,
     /* 111892 */ // Label 2121: @111892
     /* 111892 */ GIM_Reject,
     /* 111893 */ // Label 2096: @111893
     /* 111893 */ GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(111948), // Rule ID 2496 //
     /* 111898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 111901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 111904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 111907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 111910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 111926 */   // (fma:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm, DPR:{ *:[v4f16] }:$src1)  =>  (VFMAhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$src1, DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 111926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAhd),
     /* 111929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 111931 */   GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 111933 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 111935 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 111937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 111940 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 111946 */   GIR_RootConstrainSelectedInstOperands,
     /* 111947 */   // GIR_Coverage, 2496,
     /* 111947 */   GIR_EraseRootFromParent_Done,
     /* 111948 */ // Label 2125: @111948
     /* 111948 */ GIM_Reject,
     /* 111949 */ // Label 2097: @111949
     /* 111949 */ GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(112326),
     /* 111954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 111957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 111960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 111963 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(112026), // Rule ID 2501 //
     /* 111968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasVFP4),
     /* 111971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 111975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 111979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 111983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 111987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 111992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 111996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112002 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn), QPR:{ *:[v4f32] }:$Vm, QPR:{ *:[v4f32] }:$src1)  =>  (VFMSfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$src1, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 112002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSfq),
     /* 112005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 112007 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 112009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 112013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 112015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112024 */     GIR_RootConstrainSelectedInstOperands,
     /* 112025 */     // GIR_Coverage, 2501,
     /* 112025 */     GIR_EraseRootFromParent_Done,
     /* 112026 */   // Label 2127: @112026
     /* 112026 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(112095), // Rule ID 3999 //
     /* 112031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 112034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 112046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112065 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$m1), MQPR:{ *:[v4f32] }:$m2, MQPR:{ *:[v4f32] }:$add)  =>  (MVE_VFMSf32:{ *:[v4f32] } ?:{ *:[v4f32] }:$add, ?:{ *:[v4f32] }:$m1, ?:{ *:[v4f32] }:$m2)
     /* 112065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VFMSf32),
     /* 112068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 112070 */     GIR_RootToRootCopy, /*OpIdx*/3, // add
     /* 112072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // m1
     /* 112076 */     GIR_RootToRootCopy, /*OpIdx*/2, // m2
     /* 112078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112093 */     GIR_RootConstrainSelectedInstOperands,
     /* 112094 */     // GIR_Coverage, 3999,
     /* 112094 */     GIR_EraseRootFromParent_Done,
     /* 112095 */   // Label 2128: @112095
     /* 112095 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(112158), // Rule ID 5755 //
     /* 112100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasVFP4),
     /* 112103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 112115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 112119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112134 */     // (fma:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm, (fneg:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn), QPR:{ *:[v4f32] }:$src1)  =>  (VFMSfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$src1, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 112134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMSfq),
     /* 112137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 112139 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 112141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 112145 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 112147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112156 */     GIR_RootConstrainSelectedInstOperands,
     /* 112157 */     // GIR_Coverage, 5755,
     /* 112157 */     GIR_EraseRootFromParent_Done,
     /* 112158 */   // Label 2129: @112158
     /* 112158 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(112227), // Rule ID 6035 //
     /* 112163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 112166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 112178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 112182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112197 */     // (fma:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$m2, (fneg:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$m1), MQPR:{ *:[v4f32] }:$add)  =>  (MVE_VFMSf32:{ *:[v4f32] } ?:{ *:[v4f32] }:$add, ?:{ *:[v4f32] }:$m1, ?:{ *:[v4f32] }:$m2)
     /* 112197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VFMSf32),
     /* 112200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 112202 */     GIR_RootToRootCopy, /*OpIdx*/3, // add
     /* 112204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // m1
     /* 112208 */     GIR_RootToRootCopy, /*OpIdx*/1, // m2
     /* 112210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112225 */     GIR_RootConstrainSelectedInstOperands,
     /* 112226 */     // GIR_Coverage, 6035,
     /* 112226 */     GIR_EraseRootFromParent_Done,
     /* 112227 */   // Label 2130: @112227
     /* 112227 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(112273), // Rule ID 2499 //
     /* 112232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasVFP4),
     /* 112235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112251 */     // (fma:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm, QPR:{ *:[v4f32] }:$src1)  =>  (VFMAfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$src1, QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 112251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAfq),
     /* 112254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 112256 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 112258 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 112260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 112262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112271 */     GIR_RootConstrainSelectedInstOperands,
     /* 112272 */     // GIR_Coverage, 2499,
     /* 112272 */     GIR_EraseRootFromParent_Done,
     /* 112273 */   // Label 2131: @112273
     /* 112273 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(112325), // Rule ID 4003 //
     /* 112278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 112281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112297 */     // (fma:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$m1, MQPR:{ *:[v4f32] }:$m2, MQPR:{ *:[v4f32] }:$add)  =>  (MVE_VFMAf32:{ *:[v4f32] } ?:{ *:[v4f32] }:$add, ?:{ *:[v4f32] }:$m1, ?:{ *:[v4f32] }:$m2)
     /* 112297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VFMAf32),
     /* 112300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 112302 */     GIR_RootToRootCopy, /*OpIdx*/3, // add
     /* 112304 */     GIR_RootToRootCopy, /*OpIdx*/1, // m1
     /* 112306 */     GIR_RootToRootCopy, /*OpIdx*/2, // m2
     /* 112308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112311 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112317 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112323 */     GIR_RootConstrainSelectedInstOperands,
     /* 112324 */     // GIR_Coverage, 4003,
     /* 112324 */     GIR_EraseRootFromParent_Done,
     /* 112325 */   // Label 2132: @112325
     /* 112325 */   GIM_Reject,
     /* 112326 */ // Label 2126: @112326
     /* 112326 */ GIM_Reject,
     /* 112327 */ // Label 2098: @112327
     /* 112327 */ GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(112578),
     /* 112332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 112338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 112341 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(112410), // Rule ID 4009 //
     /* 112346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 112349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 112361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112380 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$m1), MQPR:{ *:[v8f16] }:$m2, MQPR:{ *:[v8f16] }:$add)  =>  (MVE_VFMSf16:{ *:[v8f16] } ?:{ *:[v8f16] }:$add, ?:{ *:[v8f16] }:$m1, ?:{ *:[v8f16] }:$m2)
     /* 112380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VFMSf16),
     /* 112383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 112385 */     GIR_RootToRootCopy, /*OpIdx*/3, // add
     /* 112387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // m1
     /* 112391 */     GIR_RootToRootCopy, /*OpIdx*/2, // m2
     /* 112393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112408 */     GIR_RootConstrainSelectedInstOperands,
     /* 112409 */     // GIR_Coverage, 4009,
     /* 112409 */     GIR_EraseRootFromParent_Done,
     /* 112410 */   // Label 2134: @112410
     /* 112410 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(112479), // Rule ID 6037 //
     /* 112415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 112418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 112430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 112434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112449 */     // (fma:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$m2, (fneg:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$m1), MQPR:{ *:[v8f16] }:$add)  =>  (MVE_VFMSf16:{ *:[v8f16] } ?:{ *:[v8f16] }:$add, ?:{ *:[v8f16] }:$m1, ?:{ *:[v8f16] }:$m2)
     /* 112449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VFMSf16),
     /* 112452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 112454 */     GIR_RootToRootCopy, /*OpIdx*/3, // add
     /* 112456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // m1
     /* 112460 */     GIR_RootToRootCopy, /*OpIdx*/1, // m2
     /* 112462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112471 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112477 */     GIR_RootConstrainSelectedInstOperands,
     /* 112478 */     // GIR_Coverage, 6037,
     /* 112478 */     GIR_EraseRootFromParent_Done,
     /* 112479 */   // Label 2135: @112479
     /* 112479 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(112525), // Rule ID 2497 //
     /* 112484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 112487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 112503 */     // (fma:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm, QPR:{ *:[v8f16] }:$src1)  =>  (VFMAhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$src1, QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 112503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFMAhq),
     /* 112506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 112508 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 112510 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 112512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 112514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112517 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112523 */     GIR_RootConstrainSelectedInstOperands,
     /* 112524 */     // GIR_Coverage, 2497,
     /* 112524 */     GIR_EraseRootFromParent_Done,
     /* 112525 */   // Label 2136: @112525
     /* 112525 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(112577), // Rule ID 4006 //
     /* 112530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 112533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 112549 */     // (fma:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$m1, MQPR:{ *:[v8f16] }:$m2, MQPR:{ *:[v8f16] }:$add)  =>  (MVE_VFMAf16:{ *:[v8f16] } ?:{ *:[v8f16] }:$add, ?:{ *:[v8f16] }:$m1, ?:{ *:[v8f16] }:$m2)
     /* 112549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VFMAf16),
     /* 112552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 112554 */     GIR_RootToRootCopy, /*OpIdx*/3, // add
     /* 112556 */     GIR_RootToRootCopy, /*OpIdx*/1, // m1
     /* 112558 */     GIR_RootToRootCopy, /*OpIdx*/2, // m2
     /* 112560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112575 */     GIR_RootConstrainSelectedInstOperands,
     /* 112576 */     // GIR_Coverage, 4006,
     /* 112576 */     GIR_EraseRootFromParent_Done,
     /* 112577 */   // Label 2137: @112577
     /* 112577 */   GIM_Reject,
     /* 112578 */ // Label 2133: @112578
     /* 112578 */ GIM_Reject,
     /* 112579 */ // Label 2099: @112579
     /* 112579 */ GIM_Reject,
     /* 112580 */ // Label 38: @112580
     /* 112580 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 2141*/ GIMT_Encode4(112744),
     /* 112591 */ /*GILLT_s16*//*Label 2138*/ GIMT_Encode4(112603),
     /* 112595 */ /*GILLT_s32*//*Label 2139*/ GIMT_Encode4(112650),
     /* 112599 */ /*GILLT_s64*//*Label 2140*/ GIMT_Encode4(112697),
     /* 112603 */ // Label 2138: @112603
     /* 112603 */ GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(112649), // Rule ID 620 //
     /* 112608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 112611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 112614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 112617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112629 */   // (fdiv:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)  =>  (VDIVH:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 112629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VDIVH),
     /* 112632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 112634 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 112636 */   GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 112638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112641 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112647 */   GIR_RootConstrainSelectedInstOperands,
     /* 112648 */   // GIR_Coverage, 620,
     /* 112648 */   GIR_EraseRootFromParent_Done,
     /* 112649 */ // Label 2142: @112649
     /* 112649 */ GIM_Reject,
     /* 112650 */ // Label 2139: @112650
     /* 112650 */ GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(112696), // Rule ID 619 //
     /* 112655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP2),
     /* 112658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 112661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 112664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 112668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 112672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 112676 */   // (fdiv:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)  =>  (VDIVS:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 112676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VDIVS),
     /* 112679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 112681 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sn
     /* 112683 */   GIR_RootToRootCopy, /*OpIdx*/2, // Sm
     /* 112685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112688 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112694 */   GIR_RootConstrainSelectedInstOperands,
     /* 112695 */   // GIR_Coverage, 619,
     /* 112695 */   GIR_EraseRootFromParent_Done,
     /* 112696 */ // Label 2143: @112696
     /* 112696 */ GIM_Reject,
     /* 112697 */ // Label 2140: @112697
     /* 112697 */ GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(112743), // Rule ID 618 //
     /* 112702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 112705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 112708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 112711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 112715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 112719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 112723 */   // (fdiv:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)  =>  (VDIVD:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 112723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VDIVD),
     /* 112726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 112728 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dn
     /* 112730 */   GIR_RootToRootCopy, /*OpIdx*/2, // Dm
     /* 112732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112735 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112741 */   GIR_RootConstrainSelectedInstOperands,
     /* 112742 */   // GIR_Coverage, 618,
     /* 112742 */   GIR_EraseRootFromParent_Done,
     /* 112743 */ // Label 2144: @112743
     /* 112743 */ GIM_Reject,
     /* 112744 */ // Label 2141: @112744
     /* 112744 */ GIM_Reject,
     /* 112745 */ // Label 39: @112745
     /* 112745 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2152*/ GIMT_Encode4(114275),
     /* 112756 */ /*GILLT_s16*//*Label 2145*/ GIMT_Encode4(112808),
     /* 112760 */ /*GILLT_s32*//*Label 2146*/ GIMT_Encode4(113155),
     /* 112764 */ /*GILLT_s64*//*Label 2147*/ GIMT_Encode4(113654), GIMT_Encode4(0),
     /* 112772 */ /*GILLT_v2s32*//*Label 2148*/ GIMT_Encode4(114001), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 112784 */ /*GILLT_v4s16*//*Label 2149*/ GIMT_Encode4(114039),
     /* 112788 */ /*GILLT_v4s32*//*Label 2150*/ GIMT_Encode4(114077), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 112804 */ /*GILLT_v8s16*//*Label 2151*/ GIMT_Encode4(114176),
     /* 112808 */ // Label 2145: @112808
     /* 112808 */ GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(113154),
     /* 112813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 112816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112820 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(112905), // Rule ID 2411 //
     /* 112825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 112828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 112836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 112840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 112844 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 112848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 112852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 112856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 112860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112877 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sn), HPR:{ *:[f16] }:$Sm, HPR:{ *:[f16] }:$Sdin))  =>  (VFNMSH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 112877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSH),
     /* 112880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 112882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Sdin
     /* 112886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sn
     /* 112890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Sm
     /* 112894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112903 */     GIR_RootConstrainSelectedInstOperands,
     /* 112904 */     // GIR_Coverage, 2411,
     /* 112904 */     GIR_EraseRootFromParent_Done,
     /* 112905 */   // Label 2154: @112905
     /* 112905 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(112990), // Rule ID 5719 //
     /* 112910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 112913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 112921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 112925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 112929 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 112933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 112942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 112946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 112950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 112960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112962 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } HPR:{ *:[f16] }:$Sm, (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sn), HPR:{ *:[f16] }:$Sdin))  =>  (VFNMSH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 112962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSH),
     /* 112965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 112967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Sdin
     /* 112971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sn
     /* 112975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sm
     /* 112979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 112982 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 112988 */     GIR_RootConstrainSelectedInstOperands,
     /* 112989 */     // GIR_Coverage, 5719,
     /* 112989 */     GIR_EraseRootFromParent_Done,
     /* 112990 */   // Label 2155: @112990
     /* 112990 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(113063), // Rule ID 2400 //
     /* 112995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 112998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 113006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 113010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 113014 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 113018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 113023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 113028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 113033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113035 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm, HPR:{ *:[f16] }:$Sdin))  =>  (VFNMAH:{ *:[f16] } HPR:{ *:[f16] }:$Sdin, HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 113035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAH),
     /* 113038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Sdin
     /* 113044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 113048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Sm
     /* 113052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113061 */     GIR_RootConstrainSelectedInstOperands,
     /* 113062 */     // GIR_Coverage, 2400,
     /* 113062 */     GIR_EraseRootFromParent_Done,
     /* 113063 */   // Label 2156: @113063
     /* 113063 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(113123), // Rule ID 626 //
     /* 113068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 113071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 113079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 113083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 113087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 113092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 113097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113099 */     // (fneg:{ *:[f16] } (fmul:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm))  =>  (VNMULH:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 113099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNMULH),
     /* 113102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 113108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Sm
     /* 113112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113121 */     GIR_RootConstrainSelectedInstOperands,
     /* 113122 */     // GIR_Coverage, 626,
     /* 113122 */     GIR_EraseRootFromParent_Done,
     /* 113123 */   // Label 2157: @113123
     /* 113123 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(113153), // Rule ID 664 //
     /* 113128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 113131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 113135 */     // (fneg:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VNEGH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /* 113135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNEGH),
     /* 113138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113140 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 113142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113151 */     GIR_RootConstrainSelectedInstOperands,
     /* 113152 */     // GIR_Coverage, 664,
     /* 113152 */     GIR_EraseRootFromParent_Done,
     /* 113153 */   // Label 2158: @113153
     /* 113153 */   GIM_Reject,
     /* 113154 */ // Label 2153: @113154
     /* 113154 */ GIM_Reject,
     /* 113155 */ // Label 2146: @113155
     /* 113155 */ GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(113653),
     /* 113160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 113163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113167 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(113252), // Rule ID 2410 //
     /* 113172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 113175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 113183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 113187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 113191 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 113195 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 113199 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 113203 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 113207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113224 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sn), SPR:{ *:[f32] }:$Sm, SPR:{ *:[f32] }:$Sdin))  =>  (VFNMSS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 113224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSS),
     /* 113227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Sdin
     /* 113233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sn
     /* 113237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Sm
     /* 113241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113250 */     GIR_RootConstrainSelectedInstOperands,
     /* 113251 */     // GIR_Coverage, 2410,
     /* 113251 */     GIR_EraseRootFromParent_Done,
     /* 113252 */   // Label 2160: @113252
     /* 113252 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(113337), // Rule ID 5718 //
     /* 113257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 113260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 113268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 113272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 113276 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 113280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 113289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 113293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 113297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113309 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } SPR:{ *:[f32] }:$Sm, (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sn), SPR:{ *:[f32] }:$Sdin))  =>  (VFNMSS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 113309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSS),
     /* 113312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Sdin
     /* 113318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Sn
     /* 113322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sm
     /* 113326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113335 */     GIR_RootConstrainSelectedInstOperands,
     /* 113336 */     // GIR_Coverage, 5718,
     /* 113336 */     GIR_EraseRootFromParent_Done,
     /* 113337 */   // Label 2161: @113337
     /* 113337 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(113410), // Rule ID 2399 //
     /* 113342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP4),
     /* 113345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 113353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 113357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 113361 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 113365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113382 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm, SPR:{ *:[f32] }:$Sdin))  =>  (VFNMAS:{ *:[f32] } SPR:{ *:[f32] }:$Sdin, SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 113382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAS),
     /* 113385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Sdin
     /* 113391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 113395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Sm
     /* 113399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113408 */     GIR_RootConstrainSelectedInstOperands,
     /* 113409 */     // GIR_Coverage, 2399,
     /* 113409 */     GIR_EraseRootFromParent_Done,
     /* 113410 */   // Label 2162: @113410
     /* 113410 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(113470), // Rule ID 625 //
     /* 113415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP2),
     /* 113418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 113426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 113430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 113434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113446 */     // (fneg:{ *:[f32] } (fmul:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm))  =>  (VNMULS:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 113446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNMULS),
     /* 113449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 113455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Sm
     /* 113459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113468 */     GIR_RootConstrainSelectedInstOperands,
     /* 113469 */     // GIR_Coverage, 625,
     /* 113469 */     GIR_EraseRootFromParent_Done,
     /* 113470 */   // Label 2163: @113470
     /* 113470 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(113500), // Rule ID 663 //
     /* 113475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 113478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113482 */     // (fneg:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VNEGS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /* 113482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNEGS),
     /* 113485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 113487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 113489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113498 */     GIR_RootConstrainSelectedInstOperands,
     /* 113499 */     // GIR_Coverage, 663,
     /* 113499 */     GIR_EraseRootFromParent_Done,
     /* 113500 */   // Label 2164: @113500
     /* 113500 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(113652), // Rule ID 2702 //
     /* 113505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 113508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 113512 */     // (fneg:{ *:[f32] } SPR:{ *:[f32] }:$a)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VNEGfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 113512 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 113515 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 113519 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 113526 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 113529 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113533 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113538 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 113541 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 113546 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 113549 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 113553 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113558 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 113561 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 113565 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 113568 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 113573 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 113578 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 113583 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 113586 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VNEGfd),
     /* 113590 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113595 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 113598 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 113601 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 113609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 113612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113621 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 113624 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 113629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113634 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 113641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 113646 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 113651 */     // GIR_Coverage, 2702,
     /* 113651 */     GIR_EraseRootFromParent_Done,
     /* 113652 */   // Label 2165: @113652
     /* 113652 */   GIM_Reject,
     /* 113653 */ // Label 2159: @113653
     /* 113653 */ GIM_Reject,
     /* 113654 */ // Label 2147: @113654
     /* 113654 */ GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(114000),
     /* 113659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 113662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113666 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(113751), // Rule ID 2409 //
     /* 113671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 113674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 113682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 113686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113690 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 113694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 113698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 113702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 113706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113723 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Dn), DPR:{ *:[f64] }:$Dm, DPR:{ *:[f64] }:$Ddin))  =>  (VFNMSD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 113723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSD),
     /* 113726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 113728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ddin
     /* 113732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Dn
     /* 113736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Dm
     /* 113740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113749 */     GIR_RootConstrainSelectedInstOperands,
     /* 113750 */     // GIR_Coverage, 2409,
     /* 113750 */     GIR_EraseRootFromParent_Done,
     /* 113751 */   // Label 2167: @113751
     /* 113751 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(113836), // Rule ID 5717 //
     /* 113756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 113759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 113767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 113771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113775 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 113779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 113788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 113792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 113796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113808 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } DPR:{ *:[f64] }:$Dm, (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Dn), DPR:{ *:[f64] }:$Ddin))  =>  (VFNMSD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 113808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMSD),
     /* 113811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 113813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ddin
     /* 113817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Dn
     /* 113821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Dm
     /* 113825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113834 */     GIR_RootConstrainSelectedInstOperands,
     /* 113835 */     // GIR_Coverage, 5717,
     /* 113835 */     GIR_EraseRootFromParent_Done,
     /* 113836 */   // Label 2168: @113836
     /* 113836 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(113909), // Rule ID 2398 //
     /* 113841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP4),
     /* 113844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 113852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 113856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113860 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 113864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113881 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm, DPR:{ *:[f64] }:$Ddin))  =>  (VFNMAD:{ *:[f64] } DPR:{ *:[f64] }:$Ddin, DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 113881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VFNMAD),
     /* 113884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 113886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ddin
     /* 113890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Dn
     /* 113894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Dm
     /* 113898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113901 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113907 */     GIR_RootConstrainSelectedInstOperands,
     /* 113908 */     // GIR_Coverage, 2398,
     /* 113908 */     GIR_EraseRootFromParent_Done,
     /* 113909 */   // Label 2169: @113909
     /* 113909 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(113969), // Rule ID 624 //
     /* 113914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 113917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 113925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 113929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113945 */     // (fneg:{ *:[f64] } (fmul:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm))  =>  (VNMULD:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 113945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNMULD),
     /* 113948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 113950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Dn
     /* 113954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Dm
     /* 113958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113967 */     GIR_RootConstrainSelectedInstOperands,
     /* 113968 */     // GIR_Coverage, 624,
     /* 113968 */     GIR_EraseRootFromParent_Done,
     /* 113969 */   // Label 2170: @113969
     /* 113969 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(113999), // Rule ID 662 //
     /* 113974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 113977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 113981 */     // (fneg:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VNEGD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /* 113981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNEGD),
     /* 113984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 113986 */     GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 113988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 113991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 113997 */     GIR_RootConstrainSelectedInstOperands,
     /* 113998 */     // GIR_Coverage, 662,
     /* 113998 */     GIR_EraseRootFromParent_Done,
     /* 113999 */   // Label 2171: @113999
     /* 113999 */   GIM_Reject,
     /* 114000 */ // Label 2166: @114000
     /* 114000 */ GIM_Reject,
     /* 114001 */ // Label 2148: @114001
     /* 114001 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(114038), // Rule ID 1527 //
     /* 114006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 114009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 114012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114020 */   // (fneg:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VNEGfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /* 114020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNEGfd),
     /* 114023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 114025 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 114027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114030 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114036 */   GIR_RootConstrainSelectedInstOperands,
     /* 114037 */   // GIR_Coverage, 1527,
     /* 114037 */   GIR_EraseRootFromParent_Done,
     /* 114038 */ // Label 2172: @114038
     /* 114038 */ GIM_Reject,
     /* 114039 */ // Label 2149: @114039
     /* 114039 */ GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(114076), // Rule ID 1529 //
     /* 114044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 114047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 114050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114058 */   // (fneg:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VNEGhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /* 114058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNEGhd),
     /* 114061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 114063 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 114065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114068 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114074 */   GIR_RootConstrainSelectedInstOperands,
     /* 114075 */   // GIR_Coverage, 1529,
     /* 114075 */   GIR_EraseRootFromParent_Done,
     /* 114076 */ // Label 2173: @114076
     /* 114076 */ GIM_Reject,
     /* 114077 */ // Label 2150: @114077
     /* 114077 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(114175),
     /* 114082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114085 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(114119), // Rule ID 1528 //
     /* 114090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 114093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 114097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 114101 */     // (fneg:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VNEGf32q:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /* 114101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNEGf32q),
     /* 114104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 114106 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 114108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114111 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114117 */     GIR_RootConstrainSelectedInstOperands,
     /* 114118 */     // GIR_Coverage, 1528,
     /* 114118 */     GIR_EraseRootFromParent_Done,
     /* 114119 */   // Label 2175: @114119
     /* 114119 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(114174), // Rule ID 4113 //
     /* 114124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 114127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 114131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 114135 */     // (fneg:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$v)  =>  (MVE_VNEGf32:{ *:[v4f32] } ?:{ *:[v4f32] }:$v)
     /* 114135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 114138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 114142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VNEGf32),
     /* 114150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 114152 */     GIR_RootToRootCopy, /*OpIdx*/1, // v
     /* 114154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114172 */     GIR_RootConstrainSelectedInstOperands,
     /* 114173 */     // GIR_Coverage, 4113,
     /* 114173 */     GIR_EraseRootFromParent_Done,
     /* 114174 */   // Label 2176: @114174
     /* 114174 */   GIM_Reject,
     /* 114175 */ // Label 2174: @114175
     /* 114175 */ GIM_Reject,
     /* 114176 */ // Label 2151: @114176
     /* 114176 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(114274),
     /* 114181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114184 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(114218), // Rule ID 1530 //
     /* 114189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 114192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 114196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 114200 */     // (fneg:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VNEGhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /* 114200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VNEGhq),
     /* 114203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 114205 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 114207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114216 */     GIR_RootConstrainSelectedInstOperands,
     /* 114217 */     // GIR_Coverage, 1530,
     /* 114217 */     GIR_EraseRootFromParent_Done,
     /* 114218 */   // Label 2178: @114218
     /* 114218 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(114273), // Rule ID 4111 //
     /* 114223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 114226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 114230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 114234 */     // (fneg:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$v)  =>  (MVE_VNEGf16:{ *:[v8f16] } ?:{ *:[v8f16] }:$v)
     /* 114234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 114237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 114241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VNEGf16),
     /* 114249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 114251 */     GIR_RootToRootCopy, /*OpIdx*/1, // v
     /* 114253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114262 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114271 */     GIR_RootConstrainSelectedInstOperands,
     /* 114272 */     // GIR_Coverage, 4111,
     /* 114272 */     GIR_EraseRootFromParent_Done,
     /* 114273 */   // Label 2179: @114273
     /* 114273 */   GIM_Reject,
     /* 114274 */ // Label 2177: @114274
     /* 114274 */ GIM_Reject,
     /* 114275 */ // Label 2152: @114275
     /* 114275 */ GIM_Reject,
     /* 114276 */ // Label 40: @114276
     /* 114276 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 2183*/ GIMT_Encode4(114511),
     /* 114287 */ /*GILLT_s32*//*Label 2180*/ GIMT_Encode4(114319),
     /* 114291 */ /*GILLT_s64*//*Label 2181*/ GIMT_Encode4(114379), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 114315 */ /*GILLT_v4s32*//*Label 2182*/ GIMT_Encode4(114476),
     /* 114319 */ // Label 2180: @114319
     /* 114319 */ GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(114378), // Rule ID 2300 //
     /* 114324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 114327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 114334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 114338 */   // (fpextend:{ *:[f32] } HPR:{ *:[f16] }:$Sm)  =>  (VCVTBHS:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[f32] } HPR:{ *:[f16] }:$Sm, SPR:{ *:[i32] }))
     /* 114338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114350 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Sm
     /* 114354 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 114359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTBHS),
     /* 114362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 114364 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114370 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114376 */   GIR_RootConstrainSelectedInstOperands,
     /* 114377 */   // GIR_Coverage, 2300,
     /* 114377 */   GIR_EraseRootFromParent_Done,
     /* 114378 */ // Label 2184: @114378
     /* 114378 */ GIM_Reject,
     /* 114379 */ // Label 2181: @114379
     /* 114379 */ GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(114416), // Rule ID 660 //
     /* 114384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 114387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 114390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 114398 */   // (fpextend:{ *:[f64] } SPR:{ *:[f32] }:$Sm)  =>  (VCVTDS:{ *:[f64] } SPR:{ *:[f32] }:$Sm)
     /* 114398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTDS),
     /* 114401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 114403 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 114405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114408 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114414 */   GIR_RootConstrainSelectedInstOperands,
     /* 114415 */   // GIR_Coverage, 660,
     /* 114415 */   GIR_EraseRootFromParent_Done,
     /* 114416 */ // Label 2185: @114416
     /* 114416 */ GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(114475), // Rule ID 2310 //
     /* 114421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 114424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 114435 */   // (fpextend:{ *:[f64] } HPR:{ *:[f16] }:$Sm)  =>  (VCVTBHD:{ *:[f64] } (COPY_TO_REGCLASS:{ *:[f32] } HPR:{ *:[f16] }:$Sm, SPR:{ *:[i32] }))
     /* 114435 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114438 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114442 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114447 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Sm
     /* 114451 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 114456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTBHD),
     /* 114459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 114461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114467 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114473 */   GIR_RootConstrainSelectedInstOperands,
     /* 114474 */   // GIR_Coverage, 2310,
     /* 114474 */   GIR_EraseRootFromParent_Done,
     /* 114475 */ // Label 2186: @114475
     /* 114475 */ GIM_Reject,
     /* 114476 */ // Label 2182: @114476
     /* 114476 */ GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(114510), // Rule ID 2667 //
     /* 114481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 114484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 114488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114492 */   // (fpextend:{ *:[v4f32] } DPR:{ *:[v4f16] }:$src)  =>  (VCVTh2f:{ *:[v4f32] } DPR:{ *:[v4f16] }:$src)
     /* 114492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2f),
     /* 114495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 114497 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 114499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114502 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114508 */   GIR_RootConstrainSelectedInstOperands,
     /* 114509 */   // GIR_Coverage, 2667,
     /* 114509 */   GIR_EraseRootFromParent_Done,
     /* 114510 */ // Label 2187: @114510
     /* 114510 */ GIM_Reject,
     /* 114511 */ // Label 2183: @114511
     /* 114511 */ GIM_Reject,
     /* 114512 */ // Label 41: @114512
     /* 114512 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(8), /*)*//*default:*//*Label 2191*/ GIMT_Encode4(114783),
     /* 114523 */ /*GILLT_s16*//*Label 2188*/ GIMT_Encode4(114555),
     /* 114527 */ /*GILLT_s32*//*Label 2189*/ GIMT_Encode4(114710), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 114551 */ /*GILLT_v4s16*//*Label 2190*/ GIMT_Encode4(114748),
     /* 114555 */ // Label 2188: @114555
     /* 114555 */ GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(114632), // Rule ID 2302 //
     /* 114560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 114563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 114566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 114570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 114574 */   // (fpround:{ *:[f16] } SPR:{ *:[f32] }:$Sm)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VCVTBSH:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), SPR:{ *:[f32] }:$Sm), HPR:{ *:[i32] })
     /* 114574 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 114577 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 114581 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 114588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTBSH),
     /* 114595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114600 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 114603 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Sm
     /* 114607 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 114610 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114616 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114623 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114626 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::HPRRegClassID),
     /* 114631 */   // GIR_Coverage, 2302,
     /* 114631 */   GIR_EraseRootFromParent_Done,
     /* 114632 */ // Label 2192: @114632
     /* 114632 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(114709), // Rule ID 2312 //
     /* 114637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 114640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 114643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 114647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114651 */   // (fpround:{ *:[f16] } DPR:{ *:[f64] }:$Dm)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VCVTBDH:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), DPR:{ *:[f64] }:$Dm), HPR:{ *:[i32] })
     /* 114651 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 114654 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 114658 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 114665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTBDH),
     /* 114672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114677 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 114680 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Dm
     /* 114684 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 114687 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114693 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114700 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114703 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::HPRRegClassID),
     /* 114708 */   // GIR_Coverage, 2312,
     /* 114708 */   GIR_EraseRootFromParent_Done,
     /* 114709 */ // Label 2193: @114709
     /* 114709 */ GIM_Reject,
     /* 114710 */ // Label 2189: @114710
     /* 114710 */ GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(114747), // Rule ID 661 //
     /* 114715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 114718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 114721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 114725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114729 */   // (fpround:{ *:[f32] } DPR:{ *:[f64] }:$Dm)  =>  (VCVTSD:{ *:[f32] } DPR:{ *:[f64] }:$Dm)
     /* 114729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTSD),
     /* 114732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 114734 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 114736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114739 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114745 */   GIR_RootConstrainSelectedInstOperands,
     /* 114746 */   // GIR_Coverage, 661,
     /* 114746 */   GIR_EraseRootFromParent_Done,
     /* 114747 */ // Label 2194: @114747
     /* 114747 */ GIM_Reject,
     /* 114748 */ // Label 2190: @114748
     /* 114748 */ GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(114782), // Rule ID 2666 //
     /* 114753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 114760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 114764 */   // (fpround:{ *:[v4f16] } QPR:{ *:[v4f32] }:$src)  =>  (VCVTf2h:{ *:[v4f16] } QPR:{ *:[v4f32] }:$src)
     /* 114764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2h),
     /* 114767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 114769 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 114771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 114774 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 114780 */   GIR_RootConstrainSelectedInstOperands,
     /* 114781 */   // GIR_Coverage, 2666,
     /* 114781 */   GIR_EraseRootFromParent_Done,
     /* 114782 */ // Label 2195: @114782
     /* 114782 */ GIM_Reject,
     /* 114783 */ // Label 2191: @114783
     /* 114783 */ GIM_Reject,
     /* 114784 */ // Label 42: @114784
     /* 114784 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(13), /*)*//*default:*//*Label 2203*/ GIMT_Encode4(116117),
     /* 114795 */ /*GILLT_s32*//*Label 2196*/ GIMT_Encode4(114843), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 114807 */ /*GILLT_v2s32*//*Label 2197*/ GIMT_Encode4(115737), GIMT_Encode4(0),
     /* 114815 */ /*GILLT_v4s1*//*Label 2198*/ GIMT_Encode4(115775),
     /* 114819 */ /*GILLT_v4s16*//*Label 2199*/ GIMT_Encode4(115828),
     /* 114823 */ /*GILLT_v4s32*//*Label 2200*/ GIMT_Encode4(115866), GIMT_Encode4(0),
     /* 114831 */ /*GILLT_v8s1*//*Label 2201*/ GIMT_Encode4(115965), GIMT_Encode4(0),
     /* 114839 */ /*GILLT_v8s16*//*Label 2202*/ GIMT_Encode4(116018),
     /* 114843 */ // Label 2196: @114843
     /* 114843 */ GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(114909), // Rule ID 2320 //
     /* 114848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 114851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 114858 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 114866 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 114870 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 114875 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114877 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f16] } HPR:{ *:[f16] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTPSH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 114877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTPSH),
     /* 114884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114889 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 114893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114900 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114903 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 114908 */   // GIR_Coverage, 2320,
     /* 114908 */   GIR_EraseRootFromParent_Done,
     /* 114909 */ // Label 2204: @114909
     /* 114909 */ GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(114975), // Rule ID 2322 //
     /* 114914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 114917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 114920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 114924 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114928 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 114932 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 114936 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 114941 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114943 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f32] } SPR:{ *:[f32] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTPSS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 114943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTPSS),
     /* 114950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114955 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 114959 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114966 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114969 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 114974 */   // GIR_Coverage, 2322,
     /* 114974 */   GIR_EraseRootFromParent_Done,
     /* 114975 */ // Label 2205: @114975
     /* 114975 */ GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(115041), // Rule ID 2324 //
     /* 114980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 114983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 114986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 114990 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114994 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 114998 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 115002 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115007 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115009 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f64] } DPR:{ *:[f64] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTPSD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 115009 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115012 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTPSD),
     /* 115016 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115021 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 115025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115035 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115040 */   // GIR_Coverage, 2324,
     /* 115040 */   GIR_EraseRootFromParent_Done,
     /* 115041 */ // Label 2206: @115041
     /* 115041 */ GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(115107), // Rule ID 2326 //
     /* 115046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 115049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 115052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115056 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115060 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 115064 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 115068 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 115073 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115075 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f16] } HPR:{ *:[f16] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTMSH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 115075 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115078 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTMSH),
     /* 115082 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115087 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 115091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115101 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115106 */   // GIR_Coverage, 2326,
     /* 115106 */   GIR_EraseRootFromParent_Done,
     /* 115107 */ // Label 2207: @115107
     /* 115107 */ GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(115173), // Rule ID 2328 //
     /* 115112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 115115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 115118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115122 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115126 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 115130 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 115134 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 115139 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115141 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f32] } SPR:{ *:[f32] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTMSS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 115141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTMSS),
     /* 115148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115153 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 115157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115167 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115172 */   // GIR_Coverage, 2328,
     /* 115172 */   GIR_EraseRootFromParent_Done,
     /* 115173 */ // Label 2208: @115173
     /* 115173 */ GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(115239), // Rule ID 2330 //
     /* 115178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 115181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 115184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115188 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115192 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 115196 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 115200 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115205 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115207 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f64] } DPR:{ *:[f64] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTMSD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 115207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTMSD),
     /* 115214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115219 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 115223 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115230 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115233 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115238 */   // GIR_Coverage, 2330,
     /* 115238 */   GIR_EraseRootFromParent_Done,
     /* 115239 */ // Label 2209: @115239
     /* 115239 */ GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(115305), // Rule ID 2314 //
     /* 115244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 115247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 115250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115254 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115258 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 115262 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 115266 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 115271 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115273 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f16] } HPR:{ *:[f16] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTASH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 115273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTASH),
     /* 115280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115285 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 115289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115299 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115304 */   // GIR_Coverage, 2314,
     /* 115304 */   GIR_EraseRootFromParent_Done,
     /* 115305 */ // Label 2210: @115305
     /* 115305 */ GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(115371), // Rule ID 2316 //
     /* 115310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 115313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 115316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115320 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115324 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 115328 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 115332 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 115337 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115339 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f32] } SPR:{ *:[f32] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTASS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 115339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTASS),
     /* 115346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115351 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 115355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115365 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115370 */   // GIR_Coverage, 2316,
     /* 115370 */   GIR_EraseRootFromParent_Done,
     /* 115371 */ // Label 2211: @115371
     /* 115371 */ GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(115437), // Rule ID 2318 //
     /* 115376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 115379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 115382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115386 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115390 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 115394 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 115398 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115403 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115405 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f64] } DPR:{ *:[f64] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTASD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 115405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTASD),
     /* 115412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115417 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 115421 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115428 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115431 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115436 */   // GIR_Coverage, 2318,
     /* 115436 */   GIR_EraseRootFromParent_Done,
     /* 115437 */ // Label 2212: @115437
     /* 115437 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(115497), // Rule ID 2349 //
     /* 115442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 115445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 115448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115456 */   // (fp_to_sint:{ *:[i32] } DPR:{ *:[f64] }:$a)  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VTOSIZD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 115456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VTOSIZD),
     /* 115463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115468 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 115472 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 115475 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115481 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115488 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115491 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115496 */   // GIR_Coverage, 2349,
     /* 115496 */   GIR_EraseRootFromParent_Done,
     /* 115497 */ // Label 2213: @115497
     /* 115497 */ GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(115557), // Rule ID 2353 //
     /* 115502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 115505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 115508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 115516 */   // (fp_to_sint:{ *:[i32] } SPR:{ *:[f32] }:$a)  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VTOSIZS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 115516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VTOSIZS),
     /* 115523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115528 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 115532 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 115535 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115551 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115556 */   // GIR_Coverage, 2353,
     /* 115556 */   GIR_EraseRootFromParent_Done,
     /* 115557 */ // Label 2214: @115557
     /* 115557 */ GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(115617), // Rule ID 2357 //
     /* 115562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 115565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 115568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 115572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 115576 */   // (fp_to_sint:{ *:[i32] } HPR:{ *:[f16] }:$a)  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VTOSIZH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 115576 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115579 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VTOSIZH),
     /* 115583 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115588 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 115592 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 115595 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115608 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115611 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 115616 */   // GIR_Coverage, 2357,
     /* 115616 */   GIR_EraseRootFromParent_Done,
     /* 115617 */ // Label 2215: @115617
     /* 115617 */ GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(115736), // Rule ID 2707 //
     /* 115622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 115625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 115628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 115632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 115636 */   // (fp_to_sint:{ *:[i32] } SPR:{ *:[f32] }:$a)  =>  (EXTRACT_SUBREG:{ *:[i32] } (VCVTf2sd:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] })), ssub_0:{ *:[i32] })
     /* 115636 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 115639 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 115643 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 115650 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s32,
     /* 115653 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 115657 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115662 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 115665 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 115669 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/17,
     /* 115672 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 115677 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 115682 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 115687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 115690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTf2sd),
     /* 115694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115699 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 115702 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 115705 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115711 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 115713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115718 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 115725 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 115730 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 115735 */   // GIR_Coverage, 2707,
     /* 115735 */   GIR_EraseRootFromParent_Done,
     /* 115736 */ // Label 2216: @115736
     /* 115736 */ GIM_Reject,
     /* 115737 */ // Label 2197: @115737
     /* 115737 */ GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(115774), // Rule ID 1601 //
     /* 115742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 115745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 115748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115756 */   // (fp_to_sint:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTf2sd:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /* 115756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2sd),
     /* 115759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 115761 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 115763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 115766 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115772 */   GIR_RootConstrainSelectedInstOperands,
     /* 115773 */   // GIR_Coverage, 1601,
     /* 115773 */   GIR_EraseRootFromParent_Done,
     /* 115774 */ // Label 2217: @115774
     /* 115774 */ GIM_Reject,
     /* 115775 */ // Label 2198: @115775
     /* 115775 */ GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(115827), // Rule ID 5102 //
     /* 115780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 115783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /* 115790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 115794 */   // (fp_to_sint:{ *:[v4i1] } MQPR:{ *:[v4f32] }:$v1)  =>  (MVE_VCMPf32r:{ *:[v4i1] } MQPR:{ *:[v4f32] }:$v1, ZR:{ *:[i32] }, 1:{ *:[i32] })
     /* 115794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMPf32r),
     /* 115797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /* 115799 */   GIR_RootToRootCopy, /*OpIdx*/1, // v1
     /* 115801 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::ZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 115810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115813 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115819 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115825 */   GIR_RootConstrainSelectedInstOperands,
     /* 115826 */   // GIR_Coverage, 5102,
     /* 115826 */   GIR_EraseRootFromParent_Done,
     /* 115827 */ // Label 2218: @115827
     /* 115827 */ GIM_Reject,
     /* 115828 */ // Label 2199: @115828
     /* 115828 */ GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(115865), // Rule ID 1609 //
     /* 115833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 115836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 115839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 115847 */   // (fp_to_sint:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTh2sd:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /* 115847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2sd),
     /* 115850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 115852 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 115854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 115857 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115863 */   GIR_RootConstrainSelectedInstOperands,
     /* 115864 */   // GIR_Coverage, 1609,
     /* 115864 */   GIR_EraseRootFromParent_Done,
     /* 115865 */ // Label 2219: @115865
     /* 115865 */ GIM_Reject,
     /* 115866 */ // Label 2200: @115866
     /* 115866 */ GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(115964),
     /* 115871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115874 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(115908), // Rule ID 1605 //
     /* 115879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 115882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 115886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 115890 */     // (fp_to_sint:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTf2sq:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /* 115890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2sq),
     /* 115893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 115895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 115897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 115900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115906 */     GIR_RootConstrainSelectedInstOperands,
     /* 115907 */     // GIR_Coverage, 1605,
     /* 115907 */     GIR_EraseRootFromParent_Done,
     /* 115908 */   // Label 2221: @115908
     /* 115908 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(115963), // Rule ID 4091 //
     /* 115913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 115916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 115920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 115924 */     // (fp_to_sint:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$src)  =>  (MVE_VCVTs32f32z:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$src)
     /* 115924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 115927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 115931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs32f32z),
     /* 115939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 115941 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 115943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115961 */     GIR_RootConstrainSelectedInstOperands,
     /* 115962 */     // GIR_Coverage, 4091,
     /* 115962 */     GIR_EraseRootFromParent_Done,
     /* 115963 */   // Label 2222: @115963
     /* 115963 */   GIM_Reject,
     /* 115964 */ // Label 2220: @115964
     /* 115964 */ GIM_Reject,
     /* 115965 */ // Label 2201: @115965
     /* 115965 */ GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(116017), // Rule ID 5103 //
     /* 115970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 115973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /* 115980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 115984 */   // (fp_to_sint:{ *:[v8i1] } MQPR:{ *:[v8f16] }:$v1)  =>  (MVE_VCMPf16r:{ *:[v8i1] } MQPR:{ *:[v8f16] }:$v1, ZR:{ *:[i32] }, 1:{ *:[i32] })
     /* 115984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMPf16r),
     /* 115987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /* 115989 */   GIR_RootToRootCopy, /*OpIdx*/1, // v1
     /* 115991 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::ZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 115997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 116000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116003 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116009 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116015 */   GIR_RootConstrainSelectedInstOperands,
     /* 116016 */   // GIR_Coverage, 5103,
     /* 116016 */   GIR_EraseRootFromParent_Done,
     /* 116017 */ // Label 2223: @116017
     /* 116017 */ GIM_Reject,
     /* 116018 */ // Label 2202: @116018
     /* 116018 */ GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(116116),
     /* 116023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 116026 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(116060), // Rule ID 1613 //
     /* 116031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 116034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 116038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 116042 */     // (fp_to_sint:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTh2sq:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /* 116042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2sq),
     /* 116045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 116047 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 116049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 116052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116058 */     GIR_RootConstrainSelectedInstOperands,
     /* 116059 */     // GIR_Coverage, 1613,
     /* 116059 */     GIR_EraseRootFromParent_Done,
     /* 116060 */   // Label 2225: @116060
     /* 116060 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(116115), // Rule ID 4087 //
     /* 116065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 116068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 116072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 116076 */     // (fp_to_sint:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$src)  =>  (MVE_VCVTs16f16z:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$src)
     /* 116076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 116079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 116083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTs16f16z),
     /* 116091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 116093 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 116095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116113 */     GIR_RootConstrainSelectedInstOperands,
     /* 116114 */     // GIR_Coverage, 4087,
     /* 116114 */     GIR_EraseRootFromParent_Done,
     /* 116115 */   // Label 2226: @116115
     /* 116115 */   GIM_Reject,
     /* 116116 */ // Label 2224: @116116
     /* 116116 */ GIM_Reject,
     /* 116117 */ // Label 2203: @116117
     /* 116117 */ GIM_Reject,
     /* 116118 */ // Label 43: @116118
     /* 116118 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(13), /*)*//*default:*//*Label 2234*/ GIMT_Encode4(117451),
     /* 116129 */ /*GILLT_s32*//*Label 2227*/ GIMT_Encode4(116177), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 116141 */ /*GILLT_v2s32*//*Label 2228*/ GIMT_Encode4(117071), GIMT_Encode4(0),
     /* 116149 */ /*GILLT_v4s1*//*Label 2229*/ GIMT_Encode4(117109),
     /* 116153 */ /*GILLT_v4s16*//*Label 2230*/ GIMT_Encode4(117162),
     /* 116157 */ /*GILLT_v4s32*//*Label 2231*/ GIMT_Encode4(117200), GIMT_Encode4(0),
     /* 116165 */ /*GILLT_v8s1*//*Label 2232*/ GIMT_Encode4(117299), GIMT_Encode4(0),
     /* 116173 */ /*GILLT_v8s16*//*Label 2233*/ GIMT_Encode4(117352),
     /* 116177 */ // Label 2227: @116177
     /* 116177 */ GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(116243), // Rule ID 2321 //
     /* 116182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 116185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 116188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116192 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116196 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 116200 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 116204 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 116209 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116211 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f16] } HPR:{ *:[f16] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTPUH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 116211 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116214 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTPUH),
     /* 116218 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116223 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116234 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116237 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116242 */   // GIR_Coverage, 2321,
     /* 116242 */   GIR_EraseRootFromParent_Done,
     /* 116243 */ // Label 2235: @116243
     /* 116243 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(116309), // Rule ID 2323 //
     /* 116248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 116254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116258 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 116266 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 116270 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 116275 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116277 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f32] } SPR:{ *:[f32] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTPUS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 116277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTPUS),
     /* 116284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116289 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116308 */   // GIR_Coverage, 2323,
     /* 116308 */   GIR_EraseRootFromParent_Done,
     /* 116309 */ // Label 2236: @116309
     /* 116309 */ GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(116375), // Rule ID 2325 //
     /* 116314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 116317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 116320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116324 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116328 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 116332 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 116336 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 116341 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116343 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f64] } DPR:{ *:[f64] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTPUD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 116343 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116346 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTPUD),
     /* 116350 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116355 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116359 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116366 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116369 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116374 */   // GIR_Coverage, 2325,
     /* 116374 */   GIR_EraseRootFromParent_Done,
     /* 116375 */ // Label 2237: @116375
     /* 116375 */ GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(116441), // Rule ID 2327 //
     /* 116380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 116383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 116386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116390 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116394 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 116398 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 116402 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 116407 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116409 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f16] } HPR:{ *:[f16] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTMUH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 116409 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116412 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTMUH),
     /* 116416 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116421 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116435 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116440 */   // GIR_Coverage, 2327,
     /* 116440 */   GIR_EraseRootFromParent_Done,
     /* 116441 */ // Label 2238: @116441
     /* 116441 */ GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(116507), // Rule ID 2329 //
     /* 116446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 116452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116456 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116460 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 116464 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 116468 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 116473 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116475 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f32] } SPR:{ *:[f32] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTMUS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 116475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTMUS),
     /* 116482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116487 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116498 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116501 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116506 */   // GIR_Coverage, 2329,
     /* 116506 */   GIR_EraseRootFromParent_Done,
     /* 116507 */ // Label 2239: @116507
     /* 116507 */ GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(116573), // Rule ID 2331 //
     /* 116512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 116515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 116518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116522 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116526 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 116530 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 116534 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 116539 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116541 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f64] } DPR:{ *:[f64] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTMUD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 116541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTMUD),
     /* 116548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116553 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116567 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116572 */   // GIR_Coverage, 2331,
     /* 116572 */   GIR_EraseRootFromParent_Done,
     /* 116573 */ // Label 2240: @116573
     /* 116573 */ GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(116639), // Rule ID 2315 //
     /* 116578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 116581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 116584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116588 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116592 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 116596 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 116600 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 116605 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116607 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f16] } HPR:{ *:[f16] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTAUH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 116607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTAUH),
     /* 116614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116619 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116630 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116633 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116638 */   // GIR_Coverage, 2315,
     /* 116638 */   GIR_EraseRootFromParent_Done,
     /* 116639 */ // Label 2241: @116639
     /* 116639 */ GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(116705), // Rule ID 2317 //
     /* 116644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 116650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116654 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116658 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 116662 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 116666 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 116671 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116673 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f32] } SPR:{ *:[f32] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTAUS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 116673 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116676 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTAUS),
     /* 116680 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116685 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116699 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116704 */   // GIR_Coverage, 2317,
     /* 116704 */   GIR_EraseRootFromParent_Done,
     /* 116705 */ // Label 2242: @116705
     /* 116705 */ GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(116771), // Rule ID 2319 //
     /* 116710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 116713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 116716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116720 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116724 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 116728 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 116732 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 116737 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116739 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f64] } DPR:{ *:[f64] }:$a))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VCVTAUD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 116739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTAUD),
     /* 116746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116751 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 116755 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116762 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116765 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116770 */   // GIR_Coverage, 2319,
     /* 116770 */   GIR_EraseRootFromParent_Done,
     /* 116771 */ // Label 2243: @116771
     /* 116771 */ GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(116831), // Rule ID 2359 //
     /* 116776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 116779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 116782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 116790 */   // (fp_to_uint:{ *:[i32] } DPR:{ *:[f64] }:$a)  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VTOUIZD:{ *:[f32] } DPR:{ *:[f64] }:$a), GPR:{ *:[i32] })
     /* 116790 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116793 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VTOUIZD),
     /* 116797 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116802 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 116806 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 116809 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116822 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116825 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116830 */   // GIR_Coverage, 2359,
     /* 116830 */   GIR_EraseRootFromParent_Done,
     /* 116831 */ // Label 2244: @116831
     /* 116831 */ GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(116891), // Rule ID 2363 //
     /* 116836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 116839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 116842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 116850 */   // (fp_to_uint:{ *:[i32] } SPR:{ *:[f32] }:$a)  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VTOUIZS:{ *:[f32] } SPR:{ *:[f32] }:$a), GPR:{ *:[i32] })
     /* 116850 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116853 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VTOUIZS),
     /* 116857 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116862 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 116866 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 116869 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116875 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116882 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116885 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116890 */   // GIR_Coverage, 2363,
     /* 116890 */   GIR_EraseRootFromParent_Done,
     /* 116891 */ // Label 2245: @116891
     /* 116891 */ GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(116951), // Rule ID 2367 //
     /* 116896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 116899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 116902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 116906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 116910 */   // (fp_to_uint:{ *:[i32] } HPR:{ *:[f16] }:$a)  =>  (COPY_TO_REGCLASS:{ *:[i32] } (VTOUIZH:{ *:[f32] } HPR:{ *:[f16] }:$a), GPR:{ *:[i32] })
     /* 116910 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116913 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VTOUIZH),
     /* 116917 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116922 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 116926 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 116929 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 116935 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 116937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116942 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116945 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::GPRRegClassID),
     /* 116950 */   // GIR_Coverage, 2367,
     /* 116950 */   GIR_EraseRootFromParent_Done,
     /* 116951 */ // Label 2246: @116951
     /* 116951 */ GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(117070), // Rule ID 2708 //
     /* 116956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 116959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 116962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 116966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 116970 */   // (fp_to_uint:{ *:[i32] } SPR:{ *:[f32] }:$a)  =>  (EXTRACT_SUBREG:{ *:[i32] } (VCVTf2ud:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] })), ssub_0:{ *:[i32] })
     /* 116970 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 116973 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 116977 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116982 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 116984 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s32,
     /* 116987 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 116991 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116996 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 116999 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 117003 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/17,
     /* 117006 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 117011 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 117016 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117021 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 117024 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTf2ud),
     /* 117028 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117033 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117036 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 117039 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 117047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117052 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 117059 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117064 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 117069 */   // GIR_Coverage, 2708,
     /* 117069 */   GIR_EraseRootFromParent_Done,
     /* 117070 */ // Label 2247: @117070
     /* 117070 */ GIM_Reject,
     /* 117071 */ // Label 2228: @117071
     /* 117071 */ GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(117108), // Rule ID 1602 //
     /* 117076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 117079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 117082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117090 */   // (fp_to_uint:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VCVTf2ud:{ *:[v2i32] } DPR:{ *:[v2f32] }:$Vm)
     /* 117090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2ud),
     /* 117093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 117095 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 117097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117100 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117106 */   GIR_RootConstrainSelectedInstOperands,
     /* 117107 */   // GIR_Coverage, 1602,
     /* 117107 */   GIR_EraseRootFromParent_Done,
     /* 117108 */ // Label 2248: @117108
     /* 117108 */ GIM_Reject,
     /* 117109 */ // Label 2229: @117109
     /* 117109 */ GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(117161), // Rule ID 5100 //
     /* 117114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 117117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 117120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /* 117124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117128 */   // (fp_to_uint:{ *:[v4i1] } MQPR:{ *:[v4f32] }:$v1)  =>  (MVE_VCMPf32r:{ *:[v4i1] } MQPR:{ *:[v4f32] }:$v1, ZR:{ *:[i32] }, 1:{ *:[i32] })
     /* 117128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMPf32r),
     /* 117131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /* 117133 */   GIR_RootToRootCopy, /*OpIdx*/1, // v1
     /* 117135 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::ZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 117144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117147 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117153 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117159 */   GIR_RootConstrainSelectedInstOperands,
     /* 117160 */   // GIR_Coverage, 5100,
     /* 117160 */   GIR_EraseRootFromParent_Done,
     /* 117161 */ // Label 2249: @117161
     /* 117161 */ GIM_Reject,
     /* 117162 */ // Label 2230: @117162
     /* 117162 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(117199), // Rule ID 1610 //
     /* 117167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 117170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 117173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117181 */   // (fp_to_uint:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VCVTh2ud:{ *:[v4i16] } DPR:{ *:[v4f16] }:$Vm)
     /* 117181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2ud),
     /* 117184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 117186 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 117188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117191 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117197 */   GIR_RootConstrainSelectedInstOperands,
     /* 117198 */   // GIR_Coverage, 1610,
     /* 117198 */   GIR_EraseRootFromParent_Done,
     /* 117199 */ // Label 2250: @117199
     /* 117199 */ GIM_Reject,
     /* 117200 */ // Label 2231: @117200
     /* 117200 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(117298),
     /* 117205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 117208 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(117242), // Rule ID 1606 //
     /* 117213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 117216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 117220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 117224 */     // (fp_to_uint:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VCVTf2uq:{ *:[v4i32] } QPR:{ *:[v4f32] }:$Vm)
     /* 117224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTf2uq),
     /* 117227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 117229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 117231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117240 */     GIR_RootConstrainSelectedInstOperands,
     /* 117241 */     // GIR_Coverage, 1606,
     /* 117241 */     GIR_EraseRootFromParent_Done,
     /* 117242 */   // Label 2252: @117242
     /* 117242 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(117297), // Rule ID 4093 //
     /* 117247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 117250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117258 */     // (fp_to_uint:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$src)  =>  (MVE_VCVTu32f32z:{ *:[v4i32] } MQPR:{ *:[v4f32] }:$src)
     /* 117258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 117261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu32f32z),
     /* 117273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 117275 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 117277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117286 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117295 */     GIR_RootConstrainSelectedInstOperands,
     /* 117296 */     // GIR_Coverage, 4093,
     /* 117296 */     GIR_EraseRootFromParent_Done,
     /* 117297 */   // Label 2253: @117297
     /* 117297 */   GIM_Reject,
     /* 117298 */ // Label 2251: @117298
     /* 117298 */ GIM_Reject,
     /* 117299 */ // Label 2232: @117299
     /* 117299 */ GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(117351), // Rule ID 5101 //
     /* 117304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 117307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 117310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::VCCRRegClassID),
     /* 117314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117318 */   // (fp_to_uint:{ *:[v8i1] } MQPR:{ *:[v8f16] }:$v1)  =>  (MVE_VCMPf16r:{ *:[v8i1] } MQPR:{ *:[v8f16] }:$v1, ZR:{ *:[i32] }, 1:{ *:[i32] })
     /* 117318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCMPf16r),
     /* 117321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[P0]
     /* 117323 */   GIR_RootToRootCopy, /*OpIdx*/1, // v1
     /* 117325 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::ZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 117334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117337 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117343 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117349 */   GIR_RootConstrainSelectedInstOperands,
     /* 117350 */   // GIR_Coverage, 5101,
     /* 117350 */   GIR_EraseRootFromParent_Done,
     /* 117351 */ // Label 2254: @117351
     /* 117351 */ GIM_Reject,
     /* 117352 */ // Label 2233: @117352
     /* 117352 */ GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(117450),
     /* 117357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 117360 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(117394), // Rule ID 1614 //
     /* 117365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 117368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 117372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 117376 */     // (fp_to_uint:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VCVTh2uq:{ *:[v8i16] } QPR:{ *:[v8f16] }:$Vm)
     /* 117376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTh2uq),
     /* 117379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 117381 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 117383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117392 */     GIR_RootConstrainSelectedInstOperands,
     /* 117393 */     // GIR_Coverage, 1614,
     /* 117393 */     GIR_EraseRootFromParent_Done,
     /* 117394 */   // Label 2256: @117394
     /* 117394 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(117449), // Rule ID 4089 //
     /* 117399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 117402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117410 */     // (fp_to_uint:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$src)  =>  (MVE_VCVTu16f16z:{ *:[v8i16] } MQPR:{ *:[v8f16] }:$src)
     /* 117410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 117413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTu16f16z),
     /* 117425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 117427 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 117429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117432 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117447 */     GIR_RootConstrainSelectedInstOperands,
     /* 117448 */     // GIR_Coverage, 4089,
     /* 117448 */     GIR_EraseRootFromParent_Done,
     /* 117449 */   // Label 2257: @117449
     /* 117449 */   GIM_Reject,
     /* 117450 */ // Label 2255: @117450
     /* 117450 */ GIM_Reject,
     /* 117451 */ // Label 2234: @117451
     /* 117451 */ GIM_Reject,
     /* 117452 */ // Label 44: @117452
     /* 117452 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2265*/ GIMT_Encode4(118103),
     /* 117463 */ /*GILLT_s16*//*Label 2258*/ GIMT_Encode4(117515),
     /* 117467 */ /*GILLT_s32*//*Label 2259*/ GIMT_Encode4(117575),
     /* 117471 */ /*GILLT_s64*//*Label 2260*/ GIMT_Encode4(117769), GIMT_Encode4(0),
     /* 117479 */ /*GILLT_v2s32*//*Label 2261*/ GIMT_Encode4(117829), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 117491 */ /*GILLT_v4s16*//*Label 2262*/ GIMT_Encode4(117867),
     /* 117495 */ /*GILLT_v4s32*//*Label 2263*/ GIMT_Encode4(117905), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 117511 */ /*GILLT_v8s16*//*Label 2264*/ GIMT_Encode4(118004),
     /* 117515 */ // Label 2258: @117515
     /* 117515 */ GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(117574), // Rule ID 2343 //
     /* 117520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 117523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 117526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 117530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 117534 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$a)  =>  (VSITOH:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }))
     /* 117534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 117537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117546 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 117550 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSITOH),
     /* 117558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 117560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117566 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117572 */   GIR_RootConstrainSelectedInstOperands,
     /* 117573 */   // GIR_Coverage, 2343,
     /* 117573 */   GIR_EraseRootFromParent_Done,
     /* 117574 */ // Label 2266: @117574
     /* 117574 */ GIM_Reject,
     /* 117575 */ // Label 2259: @117575
     /* 117575 */ GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(117768),
     /* 117580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 117583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 117587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 117591 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(117639), // Rule ID 2341 //
     /* 117596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 117599 */     // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$a)  =>  (VSITOS:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[f32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }))
     /* 117599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 117602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 117615 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSITOS),
     /* 117623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 117625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117637 */     GIR_RootConstrainSelectedInstOperands,
     /* 117638 */     // GIR_Coverage, 2341,
     /* 117638 */     GIR_EraseRootFromParent_Done,
     /* 117639 */   // Label 2268: @117639
     /* 117639 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(117767), // Rule ID 2709 //
     /* 117644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 117647 */     // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$a)  =>  (EXTRACT_SUBREG:{ *:[f32] } (VCVTs2fd:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), (COPY_TO_REGCLASS:{ *:[i32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }), ssub_0:{ *:[i32] })), ssub_0:{ *:[i32] })
     /* 117647 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 117650 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117654 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117659 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 117663 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117668 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 117671 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117675 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 117682 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s32,
     /* 117685 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117689 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117694 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 117697 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 117700 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/17,
     /* 117703 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 117708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 117713 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 117721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTs2fd),
     /* 117725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117730 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117733 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 117736 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 117744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117749 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 117756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117761 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 117766 */     // GIR_Coverage, 2709,
     /* 117766 */     GIR_EraseRootFromParent_Done,
     /* 117767 */   // Label 2269: @117767
     /* 117767 */   GIM_Reject,
     /* 117768 */ // Label 2267: @117768
     /* 117768 */ GIM_Reject,
     /* 117769 */ // Label 2260: @117769
     /* 117769 */ GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(117828), // Rule ID 2339 //
     /* 117774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 117777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 117780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 117788 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$a)  =>  (VSITOD:{ *:[f64] } (COPY_TO_REGCLASS:{ *:[f32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }))
     /* 117788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 117791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117800 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 117804 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 117809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSITOD),
     /* 117812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 117814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117820 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117826 */   GIR_RootConstrainSelectedInstOperands,
     /* 117827 */   // GIR_Coverage, 2339,
     /* 117827 */   GIR_EraseRootFromParent_Done,
     /* 117828 */ // Label 2270: @117828
     /* 117828 */ GIM_Reject,
     /* 117829 */ // Label 2261: @117829
     /* 117829 */ GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(117866), // Rule ID 1603 //
     /* 117834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 117837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 117840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117848 */   // (sint_to_fp:{ *:[v2f32] } DPR:{ *:[v2i32] }:$Vm)  =>  (VCVTs2fd:{ *:[v2f32] } DPR:{ *:[v2i32] }:$Vm)
     /* 117848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTs2fd),
     /* 117851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 117853 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 117855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117858 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117864 */   GIR_RootConstrainSelectedInstOperands,
     /* 117865 */   // GIR_Coverage, 1603,
     /* 117865 */   GIR_EraseRootFromParent_Done,
     /* 117866 */ // Label 2271: @117866
     /* 117866 */ GIM_Reject,
     /* 117867 */ // Label 2262: @117867
     /* 117867 */ GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(117904), // Rule ID 1611 //
     /* 117872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 117875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 117878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 117886 */   // (sint_to_fp:{ *:[v4f16] } DPR:{ *:[v4i16] }:$Vm)  =>  (VCVTs2hd:{ *:[v4f16] } DPR:{ *:[v4i16] }:$Vm)
     /* 117886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTs2hd),
     /* 117889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 117891 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 117893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117896 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117902 */   GIR_RootConstrainSelectedInstOperands,
     /* 117903 */   // GIR_Coverage, 1611,
     /* 117903 */   GIR_EraseRootFromParent_Done,
     /* 117904 */ // Label 2272: @117904
     /* 117904 */ GIM_Reject,
     /* 117905 */ // Label 2263: @117905
     /* 117905 */ GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(118003),
     /* 117910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 117913 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(117947), // Rule ID 1607 //
     /* 117918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 117921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 117925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 117929 */     // (sint_to_fp:{ *:[v4f32] } QPR:{ *:[v4i32] }:$Vm)  =>  (VCVTs2fq:{ *:[v4f32] } QPR:{ *:[v4i32] }:$Vm)
     /* 117929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTs2fq),
     /* 117932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 117934 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 117936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 117939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117945 */     GIR_RootConstrainSelectedInstOperands,
     /* 117946 */     // GIR_Coverage, 1607,
     /* 117946 */     GIR_EraseRootFromParent_Done,
     /* 117947 */   // Label 2274: @117947
     /* 117947 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(118002), // Rule ID 4099 //
     /* 117952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 117955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 117963 */     // (sint_to_fp:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VCVTf32s32n:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$src)
     /* 117963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 117966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf32s32n),
     /* 117978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 117980 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 117982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 117997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118000 */     GIR_RootConstrainSelectedInstOperands,
     /* 118001 */     // GIR_Coverage, 4099,
     /* 118001 */     GIR_EraseRootFromParent_Done,
     /* 118002 */   // Label 2275: @118002
     /* 118002 */   GIM_Reject,
     /* 118003 */ // Label 2273: @118003
     /* 118003 */ GIM_Reject,
     /* 118004 */ // Label 2264: @118004
     /* 118004 */ GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(118102),
     /* 118009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 118012 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(118046), // Rule ID 1615 //
     /* 118017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 118020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 118024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 118028 */     // (sint_to_fp:{ *:[v8f16] } QPR:{ *:[v8i16] }:$Vm)  =>  (VCVTs2hq:{ *:[v8f16] } QPR:{ *:[v8i16] }:$Vm)
     /* 118028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTs2hq),
     /* 118031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 118033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 118035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118044 */     GIR_RootConstrainSelectedInstOperands,
     /* 118045 */     // GIR_Coverage, 1615,
     /* 118045 */     GIR_EraseRootFromParent_Done,
     /* 118046 */   // Label 2277: @118046
     /* 118046 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(118101), // Rule ID 4095 //
     /* 118051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 118054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 118058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 118062 */     // (sint_to_fp:{ *:[v8f16] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VCVTf16s16n:{ *:[v8f16] } MQPR:{ *:[v8i16] }:$src)
     /* 118062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 118065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf16s16n),
     /* 118077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 118079 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 118081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118099 */     GIR_RootConstrainSelectedInstOperands,
     /* 118100 */     // GIR_Coverage, 4095,
     /* 118100 */     GIR_EraseRootFromParent_Done,
     /* 118101 */   // Label 2278: @118101
     /* 118101 */   GIM_Reject,
     /* 118102 */ // Label 2276: @118102
     /* 118102 */ GIM_Reject,
     /* 118103 */ // Label 2265: @118103
     /* 118103 */ GIM_Reject,
     /* 118104 */ // Label 45: @118104
     /* 118104 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2286*/ GIMT_Encode4(118755),
     /* 118115 */ /*GILLT_s16*//*Label 2279*/ GIMT_Encode4(118167),
     /* 118119 */ /*GILLT_s32*//*Label 2280*/ GIMT_Encode4(118227),
     /* 118123 */ /*GILLT_s64*//*Label 2281*/ GIMT_Encode4(118421), GIMT_Encode4(0),
     /* 118131 */ /*GILLT_v2s32*//*Label 2282*/ GIMT_Encode4(118481), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 118143 */ /*GILLT_v4s16*//*Label 2283*/ GIMT_Encode4(118519),
     /* 118147 */ /*GILLT_v4s32*//*Label 2284*/ GIMT_Encode4(118557), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 118163 */ /*GILLT_v8s16*//*Label 2285*/ GIMT_Encode4(118656),
     /* 118167 */ // Label 2279: @118167
     /* 118167 */ GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(118226), // Rule ID 2348 //
     /* 118172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 118175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 118178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 118182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 118186 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$a)  =>  (VUITOH:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }))
     /* 118186 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 118189 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118193 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118198 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 118202 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 118207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUITOH),
     /* 118210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 118212 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118218 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118224 */   GIR_RootConstrainSelectedInstOperands,
     /* 118225 */   // GIR_Coverage, 2348,
     /* 118225 */   GIR_EraseRootFromParent_Done,
     /* 118226 */ // Label 2287: @118226
     /* 118226 */ GIM_Reject,
     /* 118227 */ // Label 2280: @118227
     /* 118227 */ GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(118420),
     /* 118232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 118235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 118239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 118243 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(118291), // Rule ID 2346 //
     /* 118248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 118251 */     // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$a)  =>  (VUITOS:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[f32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }))
     /* 118251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 118254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 118267 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 118272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUITOS),
     /* 118275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 118277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118289 */     GIR_RootConstrainSelectedInstOperands,
     /* 118290 */     // GIR_Coverage, 2346,
     /* 118290 */     GIR_EraseRootFromParent_Done,
     /* 118291 */   // Label 2289: @118291
     /* 118291 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(118419), // Rule ID 2710 //
     /* 118296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 118299 */     // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$a)  =>  (EXTRACT_SUBREG:{ *:[f32] } (VCVTu2fd:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), (COPY_TO_REGCLASS:{ *:[i32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }), ssub_0:{ *:[i32] })), ssub_0:{ *:[i32] })
     /* 118299 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 118302 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118306 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118311 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 118315 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 118320 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 118323 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118327 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 118334 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s32,
     /* 118337 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 118341 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118346 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 118349 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 118352 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/17,
     /* 118355 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 118360 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 118365 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 118370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 118373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::VCVTu2fd),
     /* 118377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118382 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 118385 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 118388 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 118396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118401 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 118408 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 118413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 118418 */     // GIR_Coverage, 2710,
     /* 118418 */     GIR_EraseRootFromParent_Done,
     /* 118419 */   // Label 2290: @118419
     /* 118419 */   GIM_Reject,
     /* 118420 */ // Label 2288: @118420
     /* 118420 */ GIM_Reject,
     /* 118421 */ // Label 2281: @118421
     /* 118421 */ GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(118480), // Rule ID 2344 //
     /* 118426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 118429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 118432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 118436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 118440 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$a)  =>  (VUITOD:{ *:[f64] } (COPY_TO_REGCLASS:{ *:[f32] } GPR:{ *:[i32] }:$a, SPR:{ *:[i32] }))
     /* 118440 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 118443 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118447 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118452 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 118456 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 118461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VUITOD),
     /* 118464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 118466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118472 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118478 */   GIR_RootConstrainSelectedInstOperands,
     /* 118479 */   // GIR_Coverage, 2344,
     /* 118479 */   GIR_EraseRootFromParent_Done,
     /* 118480 */ // Label 2291: @118480
     /* 118480 */ GIM_Reject,
     /* 118481 */ // Label 2282: @118481
     /* 118481 */ GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(118518), // Rule ID 1604 //
     /* 118486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 118489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 118492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 118496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 118500 */   // (uint_to_fp:{ *:[v2f32] } DPR:{ *:[v2i32] }:$Vm)  =>  (VCVTu2fd:{ *:[v2f32] } DPR:{ *:[v2i32] }:$Vm)
     /* 118500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTu2fd),
     /* 118503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 118505 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 118507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118510 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118516 */   GIR_RootConstrainSelectedInstOperands,
     /* 118517 */   // GIR_Coverage, 1604,
     /* 118517 */   GIR_EraseRootFromParent_Done,
     /* 118518 */ // Label 2292: @118518
     /* 118518 */ GIM_Reject,
     /* 118519 */ // Label 2283: @118519
     /* 118519 */ GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(118556), // Rule ID 1612 //
     /* 118524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 118527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 118530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 118534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 118538 */   // (uint_to_fp:{ *:[v4f16] } DPR:{ *:[v4i16] }:$Vm)  =>  (VCVTu2hd:{ *:[v4f16] } DPR:{ *:[v4i16] }:$Vm)
     /* 118538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTu2hd),
     /* 118541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 118543 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 118545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118548 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118554 */   GIR_RootConstrainSelectedInstOperands,
     /* 118555 */   // GIR_Coverage, 1612,
     /* 118555 */   GIR_EraseRootFromParent_Done,
     /* 118556 */ // Label 2293: @118556
     /* 118556 */ GIM_Reject,
     /* 118557 */ // Label 2284: @118557
     /* 118557 */ GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(118655),
     /* 118562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 118565 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(118599), // Rule ID 1608 //
     /* 118570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 118573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 118577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 118581 */     // (uint_to_fp:{ *:[v4f32] } QPR:{ *:[v4i32] }:$Vm)  =>  (VCVTu2fq:{ *:[v4f32] } QPR:{ *:[v4i32] }:$Vm)
     /* 118581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTu2fq),
     /* 118584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 118586 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 118588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118597 */     GIR_RootConstrainSelectedInstOperands,
     /* 118598 */     // GIR_Coverage, 1608,
     /* 118598 */     GIR_EraseRootFromParent_Done,
     /* 118599 */   // Label 2295: @118599
     /* 118599 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(118654), // Rule ID 4101 //
     /* 118604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 118607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 118611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 118615 */     // (uint_to_fp:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VCVTf32u32n:{ *:[v4f32] } MQPR:{ *:[v4i32] }:$src)
     /* 118615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 118618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf32u32n),
     /* 118630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 118632 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 118634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118637 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118652 */     GIR_RootConstrainSelectedInstOperands,
     /* 118653 */     // GIR_Coverage, 4101,
     /* 118653 */     GIR_EraseRootFromParent_Done,
     /* 118654 */   // Label 2296: @118654
     /* 118654 */   GIM_Reject,
     /* 118655 */ // Label 2294: @118655
     /* 118655 */ GIM_Reject,
     /* 118656 */ // Label 2285: @118656
     /* 118656 */ GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(118754),
     /* 118661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 118664 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(118698), // Rule ID 1616 //
     /* 118669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 118672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 118676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 118680 */     // (uint_to_fp:{ *:[v8f16] } QPR:{ *:[v8i16] }:$Vm)  =>  (VCVTu2hq:{ *:[v8f16] } QPR:{ *:[v8i16] }:$Vm)
     /* 118680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCVTu2hq),
     /* 118683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 118685 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 118687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118696 */     GIR_RootConstrainSelectedInstOperands,
     /* 118697 */     // GIR_Coverage, 1616,
     /* 118697 */     GIR_EraseRootFromParent_Done,
     /* 118698 */   // Label 2298: @118698
     /* 118698 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(118753), // Rule ID 4097 //
     /* 118703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 118706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 118710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 118714 */     // (uint_to_fp:{ *:[v8f16] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VCVTf16u16n:{ *:[v8f16] } MQPR:{ *:[v8i16] }:$src)
     /* 118714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 118717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCVTf16u16n),
     /* 118729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 118731 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 118733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118736 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118751 */     GIR_RootConstrainSelectedInstOperands,
     /* 118752 */     // GIR_Coverage, 4097,
     /* 118752 */     GIR_EraseRootFromParent_Done,
     /* 118753 */   // Label 2299: @118753
     /* 118753 */   GIM_Reject,
     /* 118754 */ // Label 2297: @118754
     /* 118754 */ GIM_Reject,
     /* 118755 */ // Label 2286: @118755
     /* 118755 */ GIM_Reject,
     /* 118756 */ // Label 46: @118756
     /* 118756 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2307*/ GIMT_Encode4(119531),
     /* 118767 */ /*GILLT_s16*//*Label 2300*/ GIMT_Encode4(118819),
     /* 118771 */ /*GILLT_s32*//*Label 2301*/ GIMT_Encode4(118857),
     /* 118775 */ /*GILLT_s64*//*Label 2302*/ GIMT_Encode4(119049), GIMT_Encode4(0),
     /* 118783 */ /*GILLT_v2s32*//*Label 2303*/ GIMT_Encode4(119087), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 118795 */ /*GILLT_v4s16*//*Label 2304*/ GIMT_Encode4(119125),
     /* 118799 */ /*GILLT_v4s32*//*Label 2305*/ GIMT_Encode4(119163), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 118815 */ /*GILLT_v8s16*//*Label 2306*/ GIMT_Encode4(119347),
     /* 118819 */ // Label 2300: @118819
     /* 118819 */ GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(118856), // Rule ID 653 //
     /* 118824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 118827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 118830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 118834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 118838 */   // (fabs:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VABSH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /* 118838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSH),
     /* 118841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 118843 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 118845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118848 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118854 */   GIR_RootConstrainSelectedInstOperands,
     /* 118855 */   // GIR_Coverage, 653,
     /* 118855 */   GIR_EraseRootFromParent_Done,
     /* 118856 */ // Label 2308: @118856
     /* 118856 */ GIM_Reject,
     /* 118857 */ // Label 2301: @118857
     /* 118857 */ GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(119048),
     /* 118862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 118865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 118869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 118873 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(118899), // Rule ID 652 //
     /* 118878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNEONForFP_HasVFP2),
     /* 118881 */     // (fabs:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VABSS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /* 118881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSS),
     /* 118884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 118886 */     GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 118888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 118891 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 118897 */     GIR_RootConstrainSelectedInstOperands,
     /* 118898 */     // GIR_Coverage, 652,
     /* 118898 */     GIR_EraseRootFromParent_Done,
     /* 118899 */   // Label 2310: @118899
     /* 118899 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(119047), // Rule ID 2701 //
     /* 118904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_UseNEONForFP),
     /* 118907 */     // (fabs:{ *:[f32] } SPR:{ *:[f32] }:$a)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VABSfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 118907 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 118910 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118914 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 118921 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 118924 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118928 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118933 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 118936 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 118941 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 118944 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 118948 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118953 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 118956 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 118960 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 118963 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 118968 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 118973 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 118978 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 118981 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VABSfd),
     /* 118985 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118990 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 118993 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 118996 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 119007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119016 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119019 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 119024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119029 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 119036 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 119041 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 119046 */     // GIR_Coverage, 2701,
     /* 119046 */     GIR_EraseRootFromParent_Done,
     /* 119047 */   // Label 2311: @119047
     /* 119047 */   GIM_Reject,
     /* 119048 */ // Label 2309: @119048
     /* 119048 */ GIM_Reject,
     /* 119049 */ // Label 2302: @119049
     /* 119049 */ GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(119086), // Rule ID 651 //
     /* 119054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 119057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 119060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119068 */   // (fabs:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VABSD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /* 119068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSD),
     /* 119071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 119073 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 119075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 119078 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119084 */   GIR_RootConstrainSelectedInstOperands,
     /* 119085 */   // GIR_Coverage, 651,
     /* 119085 */   GIR_EraseRootFromParent_Done,
     /* 119086 */ // Label 2312: @119086
     /* 119086 */ GIM_Reject,
     /* 119087 */ // Label 2303: @119087
     /* 119087 */ GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(119124), // Rule ID 1511 //
     /* 119092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 119095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 119098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119106 */   // (fabs:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VABSfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /* 119106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSfd),
     /* 119109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 119111 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 119113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 119116 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119122 */   GIR_RootConstrainSelectedInstOperands,
     /* 119123 */   // GIR_Coverage, 1511,
     /* 119123 */   GIR_EraseRootFromParent_Done,
     /* 119124 */ // Label 2313: @119124
     /* 119124 */ GIM_Reject,
     /* 119125 */ // Label 2304: @119125
     /* 119125 */ GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(119162), // Rule ID 1513 //
     /* 119130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 119133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 119136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119144 */   // (fabs:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VABShd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /* 119144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABShd),
     /* 119147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 119149 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 119151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 119154 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119160 */   GIR_RootConstrainSelectedInstOperands,
     /* 119161 */   // GIR_Coverage, 1513,
     /* 119161 */   GIR_EraseRootFromParent_Done,
     /* 119162 */ // Label 2314: @119162
     /* 119162 */ GIM_Reject,
     /* 119163 */ // Label 2305: @119163
     /* 119163 */ GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(119346),
     /* 119168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 119171 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(119256), // Rule ID 4038 //
     /* 119176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 119179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 119191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 119195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 119199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119211 */     // (fabs:{ *:[v4f32] } (fsub:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn))  =>  (MVE_VABDf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)
     /* 119211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 119214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDf32),
     /* 119226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 119228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 119232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Qn
     /* 119236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119254 */     GIR_RootConstrainSelectedInstOperands,
     /* 119255 */     // GIR_Coverage, 4038,
     /* 119255 */     GIR_EraseRootFromParent_Done,
     /* 119256 */   // Label 2316: @119256
     /* 119256 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(119290), // Rule ID 1512 //
     /* 119261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 119264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 119268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 119272 */     // (fabs:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VABSfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /* 119272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSfq),
     /* 119275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 119277 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 119279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 119282 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119288 */     GIR_RootConstrainSelectedInstOperands,
     /* 119289 */     // GIR_Coverage, 1512,
     /* 119289 */     GIR_EraseRootFromParent_Done,
     /* 119290 */   // Label 2317: @119290
     /* 119290 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(119345), // Rule ID 4109 //
     /* 119295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 119298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119306 */     // (fabs:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$v)  =>  (MVE_VABSf32:{ *:[v4f32] } ?:{ *:[v4f32] }:$v)
     /* 119306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 119309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABSf32),
     /* 119321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 119323 */     GIR_RootToRootCopy, /*OpIdx*/1, // v
     /* 119325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119343 */     GIR_RootConstrainSelectedInstOperands,
     /* 119344 */     // GIR_Coverage, 4109,
     /* 119344 */     GIR_EraseRootFromParent_Done,
     /* 119345 */   // Label 2318: @119345
     /* 119345 */   GIM_Reject,
     /* 119346 */ // Label 2315: @119346
     /* 119346 */ GIM_Reject,
     /* 119347 */ // Label 2306: @119347
     /* 119347 */ GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(119530),
     /* 119352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 119355 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(119440), // Rule ID 4037 //
     /* 119360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 119363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 119375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 119379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 119383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119395 */     // (fabs:{ *:[v8f16] } (fsub:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn))  =>  (MVE_VABDf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)
     /* 119395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 119398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABDf16),
     /* 119410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 119412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 119416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Qn
     /* 119420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119438 */     GIR_RootConstrainSelectedInstOperands,
     /* 119439 */     // GIR_Coverage, 4037,
     /* 119439 */     GIR_EraseRootFromParent_Done,
     /* 119440 */   // Label 2320: @119440
     /* 119440 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(119474), // Rule ID 1514 //
     /* 119445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 119448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 119452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 119456 */     // (fabs:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VABShq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /* 119456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABShq),
     /* 119459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 119461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 119463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 119466 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119472 */     GIR_RootConstrainSelectedInstOperands,
     /* 119473 */     // GIR_Coverage, 1514,
     /* 119473 */     GIR_EraseRootFromParent_Done,
     /* 119474 */   // Label 2321: @119474
     /* 119474 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(119529), // Rule ID 4107 //
     /* 119479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 119482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119490 */     // (fabs:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$v)  =>  (MVE_VABSf16:{ *:[v8f16] } ?:{ *:[v8f16] }:$v)
     /* 119490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 119493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABSf16),
     /* 119505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 119507 */     GIR_RootToRootCopy, /*OpIdx*/1, // v
     /* 119509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119527 */     GIR_RootConstrainSelectedInstOperands,
     /* 119528 */     // GIR_Coverage, 4107,
     /* 119528 */     GIR_EraseRootFromParent_Done,
     /* 119529 */   // Label 2322: @119529
     /* 119529 */   GIM_Reject,
     /* 119530 */ // Label 2319: @119530
     /* 119530 */ GIM_Reject,
     /* 119531 */ // Label 2307: @119531
     /* 119531 */ GIM_Reject,
     /* 119532 */ // Label 47: @119532
     /* 119532 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2330*/ GIMT_Encode4(120123),
     /* 119543 */ /*GILLT_s16*//*Label 2323*/ GIMT_Encode4(119595),
     /* 119547 */ /*GILLT_s32*//*Label 2324*/ GIMT_Encode4(119629),
     /* 119551 */ /*GILLT_s64*//*Label 2325*/ GIMT_Encode4(119663), GIMT_Encode4(0),
     /* 119559 */ /*GILLT_v2s32*//*Label 2326*/ GIMT_Encode4(119697), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 119571 */ /*GILLT_v4s16*//*Label 2327*/ GIMT_Encode4(119731),
     /* 119575 */ /*GILLT_v4s32*//*Label 2328*/ GIMT_Encode4(119765), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 119591 */ /*GILLT_v8s16*//*Label 2329*/ GIMT_Encode4(119944),
     /* 119595 */ // Label 2323: @119595
     /* 119595 */ GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(119628), // Rule ID 642 //
     /* 119600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 119603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 119606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 119609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 119613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 119617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 119621 */   // (fminnum:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)  =>  (VFP_VMINNMH:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 119621 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VFP_VMINNMH),
     /* 119626 */   GIR_RootConstrainSelectedInstOperands,
     /* 119627 */   // GIR_Coverage, 642,
     /* 119627 */   GIR_Done,
     /* 119628 */ // Label 2331: @119628
     /* 119628 */ GIM_Reject,
     /* 119629 */ // Label 2324: @119629
     /* 119629 */ GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(119662), // Rule ID 643 //
     /* 119634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 119637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 119640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 119643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 119647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 119651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 119655 */   // (fminnum:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)  =>  (VFP_VMINNMS:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 119655 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VFP_VMINNMS),
     /* 119660 */   GIR_RootConstrainSelectedInstOperands,
     /* 119661 */   // GIR_Coverage, 643,
     /* 119661 */   GIR_Done,
     /* 119662 */ // Label 2332: @119662
     /* 119662 */ GIM_Reject,
     /* 119663 */ // Label 2325: @119663
     /* 119663 */ GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(119696), // Rule ID 644 //
     /* 119668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 119671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 119674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 119677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119689 */   // (fminnum:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)  =>  (VFP_VMINNMD:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 119689 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VFP_VMINNMD),
     /* 119694 */   GIR_RootConstrainSelectedInstOperands,
     /* 119695 */   // GIR_Coverage, 644,
     /* 119695 */   GIR_Done,
     /* 119696 */ // Label 2333: @119696
     /* 119696 */ GIM_Reject,
     /* 119697 */ // Label 2326: @119697
     /* 119697 */ GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(119730), // Rule ID 1230 //
     /* 119702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasNEON),
     /* 119705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 119708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 119711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119723 */   // (fminnum:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (NEON_VMINNMNDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 119723 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMINNMNDf),
     /* 119728 */   GIR_RootConstrainSelectedInstOperands,
     /* 119729 */   // GIR_Coverage, 1230,
     /* 119729 */   GIR_Done,
     /* 119730 */ // Label 2334: @119730
     /* 119730 */ GIM_Reject,
     /* 119731 */ // Label 2327: @119731
     /* 119731 */ GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(119764), // Rule ID 1232 //
     /* 119736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasFullFP16_HasNEON),
     /* 119739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 119742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 119745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 119757 */   // (fminnum:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (NEON_VMINNMNDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 119757 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMINNMNDh),
     /* 119762 */   GIR_RootConstrainSelectedInstOperands,
     /* 119763 */   // GIR_Coverage, 1232,
     /* 119763 */   GIR_Done,
     /* 119764 */ // Label 2335: @119764
     /* 119764 */ GIM_Reject,
     /* 119765 */ // Label 2328: @119765
     /* 119765 */ GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(119943),
     /* 119770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 119773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 119776 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(119854), // Rule ID 4119 //
     /* 119781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 119784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 119796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 119800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 119809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 119813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 119817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119824 */     // (fminnum:{ *:[v4f32] } (fabs:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qd), (fabs:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm))  =>  (MVE_VMINNMAf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qd, MQPR:{ *:[v4f32] }:$Qm)
     /* 119824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMAf32),
     /* 119827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 119829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qd
     /* 119833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Qm
     /* 119837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119852 */     GIR_RootConstrainSelectedInstOperands,
     /* 119853 */     // GIR_Coverage, 4119,
     /* 119853 */     GIR_EraseRootFromParent_Done,
     /* 119854 */   // Label 2337: @119854
     /* 119854 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(119881), // Rule ID 1231 //
     /* 119859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasNEON),
     /* 119862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 119866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 119870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 119874 */     // (fminnum:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (NEON_VMINNMNQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 119874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMINNMNQf),
     /* 119879 */     GIR_RootConstrainSelectedInstOperands,
     /* 119880 */     // GIR_Coverage, 1231,
     /* 119880 */     GIR_Done,
     /* 119881 */   // Label 2338: @119881
     /* 119881 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(119942), // Rule ID 3285 //
     /* 119886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 119889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119901 */     // (fminnum:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)  =>  (MVE_VMINNMf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)
     /* 119901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 119904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMf32),
     /* 119916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 119918 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 119920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 119922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119931 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 119937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119940 */     GIR_RootConstrainSelectedInstOperands,
     /* 119941 */     // GIR_Coverage, 3285,
     /* 119941 */     GIR_EraseRootFromParent_Done,
     /* 119942 */   // Label 2339: @119942
     /* 119942 */   GIM_Reject,
     /* 119943 */ // Label 2336: @119943
     /* 119943 */ GIM_Reject,
     /* 119944 */ // Label 2329: @119944
     /* 119944 */ GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(120122),
     /* 119949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 119952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 119955 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(120033), // Rule ID 4121 //
     /* 119960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 119963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 119975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 119979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 119984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 119988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 119992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 119996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120003 */     // (fminnum:{ *:[v8f16] } (fabs:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qd), (fabs:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm))  =>  (MVE_VMINNMAf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qd, MQPR:{ *:[v8f16] }:$Qm)
     /* 120003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMAf16),
     /* 120006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 120008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qd
     /* 120012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Qm
     /* 120016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120031 */     GIR_RootConstrainSelectedInstOperands,
     /* 120032 */     // GIR_Coverage, 4121,
     /* 120032 */     GIR_EraseRootFromParent_Done,
     /* 120033 */   // Label 2341: @120033
     /* 120033 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(120060), // Rule ID 1233 //
     /* 120038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasFullFP16_HasNEON),
     /* 120041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120053 */     // (fminnum:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (NEON_VMINNMNQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 120053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMINNMNQh),
     /* 120058 */     GIR_RootConstrainSelectedInstOperands,
     /* 120059 */     // GIR_Coverage, 1233,
     /* 120059 */     GIR_Done,
     /* 120060 */   // Label 2342: @120060
     /* 120060 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(120121), // Rule ID 3288 //
     /* 120065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 120068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120080 */     // (fminnum:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)  =>  (MVE_VMINNMf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)
     /* 120080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 120083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINNMf16),
     /* 120095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 120097 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 120099 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 120101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120119 */     GIR_RootConstrainSelectedInstOperands,
     /* 120120 */     // GIR_Coverage, 3288,
     /* 120120 */     GIR_EraseRootFromParent_Done,
     /* 120121 */   // Label 2343: @120121
     /* 120121 */   GIM_Reject,
     /* 120122 */ // Label 2340: @120122
     /* 120122 */ GIM_Reject,
     /* 120123 */ // Label 2330: @120123
     /* 120123 */ GIM_Reject,
     /* 120124 */ // Label 48: @120124
     /* 120124 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2351*/ GIMT_Encode4(120715),
     /* 120135 */ /*GILLT_s16*//*Label 2344*/ GIMT_Encode4(120187),
     /* 120139 */ /*GILLT_s32*//*Label 2345*/ GIMT_Encode4(120221),
     /* 120143 */ /*GILLT_s64*//*Label 2346*/ GIMT_Encode4(120255), GIMT_Encode4(0),
     /* 120151 */ /*GILLT_v2s32*//*Label 2347*/ GIMT_Encode4(120289), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 120163 */ /*GILLT_v4s16*//*Label 2348*/ GIMT_Encode4(120323),
     /* 120167 */ /*GILLT_v4s32*//*Label 2349*/ GIMT_Encode4(120357), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 120183 */ /*GILLT_v8s16*//*Label 2350*/ GIMT_Encode4(120536),
     /* 120187 */ // Label 2344: @120187
     /* 120187 */ GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(120220), // Rule ID 639 //
     /* 120192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 120195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 120198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 120201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 120205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 120209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 120213 */   // (fmaxnum:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)  =>  (VFP_VMAXNMH:{ *:[f16] } HPR:{ *:[f16] }:$Sn, HPR:{ *:[f16] }:$Sm)
     /* 120213 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VFP_VMAXNMH),
     /* 120218 */   GIR_RootConstrainSelectedInstOperands,
     /* 120219 */   // GIR_Coverage, 639,
     /* 120219 */   GIR_Done,
     /* 120220 */ // Label 2352: @120220
     /* 120220 */ GIM_Reject,
     /* 120221 */ // Label 2345: @120221
     /* 120221 */ GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(120254), // Rule ID 640 //
     /* 120226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 120229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 120232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 120235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 120239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 120243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 120247 */   // (fmaxnum:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)  =>  (VFP_VMAXNMS:{ *:[f32] } SPR:{ *:[f32] }:$Sn, SPR:{ *:[f32] }:$Sm)
     /* 120247 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VFP_VMAXNMS),
     /* 120252 */   GIR_RootConstrainSelectedInstOperands,
     /* 120253 */   // GIR_Coverage, 640,
     /* 120253 */   GIR_Done,
     /* 120254 */ // Label 2353: @120254
     /* 120254 */ GIM_Reject,
     /* 120255 */ // Label 2346: @120255
     /* 120255 */ GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(120288), // Rule ID 641 //
     /* 120260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 120263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 120266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 120269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120281 */   // (fmaxnum:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)  =>  (VFP_VMAXNMD:{ *:[f64] } DPR:{ *:[f64] }:$Dn, DPR:{ *:[f64] }:$Dm)
     /* 120281 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VFP_VMAXNMD),
     /* 120286 */   GIR_RootConstrainSelectedInstOperands,
     /* 120287 */   // GIR_Coverage, 641,
     /* 120287 */   GIR_Done,
     /* 120288 */ // Label 2354: @120288
     /* 120288 */ GIM_Reject,
     /* 120289 */ // Label 2347: @120289
     /* 120289 */ GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(120322), // Rule ID 1210 //
     /* 120294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasNEON),
     /* 120297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 120300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 120303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120315 */   // (fmaxnum:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (NEON_VMAXNMNDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 120315 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMAXNMNDf),
     /* 120320 */   GIR_RootConstrainSelectedInstOperands,
     /* 120321 */   // GIR_Coverage, 1210,
     /* 120321 */   GIR_Done,
     /* 120322 */ // Label 2355: @120322
     /* 120322 */ GIM_Reject,
     /* 120323 */ // Label 2348: @120323
     /* 120323 */ GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(120356), // Rule ID 1212 //
     /* 120328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasFullFP16_HasNEON),
     /* 120331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 120334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 120337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 120349 */   // (fmaxnum:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (NEON_VMAXNMNDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 120349 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMAXNMNDh),
     /* 120354 */   GIR_RootConstrainSelectedInstOperands,
     /* 120355 */   // GIR_Coverage, 1212,
     /* 120355 */   GIR_Done,
     /* 120356 */ // Label 2356: @120356
     /* 120356 */ GIM_Reject,
     /* 120357 */ // Label 2349: @120357
     /* 120357 */ GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(120535),
     /* 120362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 120365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 120368 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(120446), // Rule ID 4115 //
     /* 120373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 120376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 120388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 120392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 120401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 120405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 120409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120416 */     // (fmaxnum:{ *:[v4f32] } (fabs:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qd), (fabs:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm))  =>  (MVE_VMAXNMAf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qd, MQPR:{ *:[v4f32] }:$Qm)
     /* 120416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMAf32),
     /* 120419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 120421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qd
     /* 120425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Qm
     /* 120429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120432 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120444 */     GIR_RootConstrainSelectedInstOperands,
     /* 120445 */     // GIR_Coverage, 4115,
     /* 120445 */     GIR_EraseRootFromParent_Done,
     /* 120446 */   // Label 2358: @120446
     /* 120446 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(120473), // Rule ID 1211 //
     /* 120451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasNEON),
     /* 120454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120466 */     // (fmaxnum:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (NEON_VMAXNMNQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 120466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMAXNMNQf),
     /* 120471 */     GIR_RootConstrainSelectedInstOperands,
     /* 120472 */     // GIR_Coverage, 1211,
     /* 120472 */     GIR_Done,
     /* 120473 */   // Label 2359: @120473
     /* 120473 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(120534), // Rule ID 3027 //
     /* 120478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 120481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120493 */     // (fmaxnum:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)  =>  (MVE_VMAXNMf32:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$Qm, MQPR:{ *:[v4f32] }:$Qn)
     /* 120493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 120496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMf32),
     /* 120508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 120510 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 120512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 120514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120517 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120532 */     GIR_RootConstrainSelectedInstOperands,
     /* 120533 */     // GIR_Coverage, 3027,
     /* 120533 */     GIR_EraseRootFromParent_Done,
     /* 120534 */   // Label 2360: @120534
     /* 120534 */   GIM_Reject,
     /* 120535 */ // Label 2357: @120535
     /* 120535 */ GIM_Reject,
     /* 120536 */ // Label 2350: @120536
     /* 120536 */ GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(120714),
     /* 120541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 120544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 120547 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(120625), // Rule ID 4117 //
     /* 120552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 120555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 120567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 120571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 120580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 120584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 120588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120595 */     // (fmaxnum:{ *:[v8f16] } (fabs:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qd), (fabs:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm))  =>  (MVE_VMAXNMAf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qd, MQPR:{ *:[v8f16] }:$Qm)
     /* 120595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMAf16),
     /* 120598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 120600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qd
     /* 120604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Qm
     /* 120608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120611 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120617 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120623 */     GIR_RootConstrainSelectedInstOperands,
     /* 120624 */     // GIR_Coverage, 4117,
     /* 120624 */     GIR_EraseRootFromParent_Done,
     /* 120625 */   // Label 2362: @120625
     /* 120625 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(120652), // Rule ID 1213 //
     /* 120630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasFullFP16_HasNEON),
     /* 120633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 120645 */     // (fmaxnum:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (NEON_VMAXNMNQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 120645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::NEON_VMAXNMNQh),
     /* 120650 */     GIR_RootConstrainSelectedInstOperands,
     /* 120651 */     // GIR_Coverage, 1213,
     /* 120651 */     GIR_Done,
     /* 120652 */   // Label 2363: @120652
     /* 120652 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(120713), // Rule ID 3282 //
     /* 120657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 120660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 120672 */     // (fmaxnum:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)  =>  (MVE_VMAXNMf16:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$Qm, MQPR:{ *:[v8f16] }:$Qn)
     /* 120672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 120675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXNMf16),
     /* 120687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 120689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 120691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 120693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120711 */     GIR_RootConstrainSelectedInstOperands,
     /* 120712 */     // GIR_Coverage, 3282,
     /* 120712 */     GIR_EraseRootFromParent_Done,
     /* 120713 */   // Label 2364: @120713
     /* 120713 */   GIM_Reject,
     /* 120714 */ // Label 2361: @120714
     /* 120714 */ GIM_Reject,
     /* 120715 */ // Label 2351: @120715
     /* 120715 */ GIM_Reject,
     /* 120716 */ // Label 49: @120716
     /* 120716 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2371*/ GIMT_Encode4(121449),
     /* 120727 */ /*GILLT_s16*//*Label 2365*/ GIMT_Encode4(120779),
     /* 120731 */ /*GILLT_s32*//*Label 2366*/ GIMT_Encode4(121020), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 120743 */ /*GILLT_v2s32*//*Label 2367*/ GIMT_Encode4(121261), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 120755 */ /*GILLT_v4s16*//*Label 2368*/ GIMT_Encode4(121308),
     /* 120759 */ /*GILLT_v4s32*//*Label 2369*/ GIMT_Encode4(121355), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 120775 */ /*GILLT_v8s16*//*Label 2370*/ GIMT_Encode4(121402),
     /* 120779 */ // Label 2365: @120779
     /* 120779 */ GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(121019), // Rule ID 2704 //
     /* 120784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 120787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 120790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 120793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 120797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 120801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 120805 */   // (fminimum:{ *:[f16] } HPR:{ *:[f16] }:$a, HPR:{ *:[f16] }:$b)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[v4f16] } (VMINhd:{ *:[f64] } (INSERT_SUBREG:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), DPR_VFP2:{ *:[i32] }), HPR:{ *:[f16] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), DPR_VFP2:{ *:[i32] }), HPR:{ *:[f16] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 120805 */   GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 120808 */   GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120812 */   GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 120819 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s16,
     /* 120822 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120826 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120831 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 120834 */   GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 120839 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 120842 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 120846 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120851 */   GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 120854 */   GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/2, // b
     /* 120858 */   GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 120861 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 120866 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 120871 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::HPRRegClassID),
     /* 120876 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s16,
     /* 120879 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120883 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 120890 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s16,
     /* 120893 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120897 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120902 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 120905 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 120910 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 120913 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 120917 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120922 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 120925 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 120929 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 120932 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 120937 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 120942 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::HPRRegClassID),
     /* 120947 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 120950 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMINhd),
     /* 120954 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120959 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 120962 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 120965 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 120968 */   GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 120974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 120976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 120979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120988 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 120991 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 120996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121001 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 121008 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121018 */   // GIR_Coverage, 2704,
     /* 121018 */   GIR_EraseRootFromParent_Done,
     /* 121019 */ // Label 2372: @121019
     /* 121019 */ GIM_Reject,
     /* 121020 */ // Label 2366: @121020
     /* 121020 */ GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(121260), // Rule ID 2706 //
     /* 121025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 121028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 121031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 121034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 121038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 121042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 121046 */   // (fminimum:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VMINfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 121046 */   GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 121049 */   GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121053 */   GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 121060 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 121063 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121067 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121072 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 121075 */   GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121080 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 121083 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121087 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121092 */   GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 121095 */   GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/2, // b
     /* 121099 */   GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 121102 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121107 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121112 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121117 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 121120 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121124 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 121131 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 121134 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121138 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121143 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 121146 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121151 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 121154 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121158 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121163 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 121166 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 121170 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 121173 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121178 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121183 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121188 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121191 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMINfd),
     /* 121195 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121200 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 121203 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 121206 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 121209 */   GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 121215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121217 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 121220 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121224 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121229 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121232 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121242 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 121249 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121254 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121259 */   // GIR_Coverage, 2706,
     /* 121259 */   GIR_EraseRootFromParent_Done,
     /* 121260 */ // Label 2373: @121260
     /* 121260 */ GIM_Reject,
     /* 121261 */ // Label 2367: @121261
     /* 121261 */ GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(121307), // Rule ID 1226 //
     /* 121266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 121269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 121272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 121275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 121279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 121283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 121287 */   // (fminimum:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VMINfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 121287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINfd),
     /* 121290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 121292 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 121294 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 121296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 121299 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 121305 */   GIR_RootConstrainSelectedInstOperands,
     /* 121306 */   // GIR_Coverage, 1226,
     /* 121306 */   GIR_EraseRootFromParent_Done,
     /* 121307 */ // Label 2374: @121307
     /* 121307 */ GIM_Reject,
     /* 121308 */ // Label 2368: @121308
     /* 121308 */ GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(121354), // Rule ID 1228 //
     /* 121313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 121316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 121319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 121322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 121326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 121330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 121334 */   // (fminimum:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VMINhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 121334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINhd),
     /* 121337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 121339 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 121341 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 121343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 121346 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 121352 */   GIR_RootConstrainSelectedInstOperands,
     /* 121353 */   // GIR_Coverage, 1228,
     /* 121353 */   GIR_EraseRootFromParent_Done,
     /* 121354 */ // Label 2375: @121354
     /* 121354 */ GIM_Reject,
     /* 121355 */ // Label 2369: @121355
     /* 121355 */ GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(121401), // Rule ID 1227 //
     /* 121360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 121363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 121366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 121369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 121373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 121377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 121381 */   // (fminimum:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VMINfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 121381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINfq),
     /* 121384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 121386 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 121388 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 121390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 121393 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 121399 */   GIR_RootConstrainSelectedInstOperands,
     /* 121400 */   // GIR_Coverage, 1227,
     /* 121400 */   GIR_EraseRootFromParent_Done,
     /* 121401 */ // Label 2376: @121401
     /* 121401 */ GIM_Reject,
     /* 121402 */ // Label 2370: @121402
     /* 121402 */ GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(121448), // Rule ID 1229 //
     /* 121407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 121410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 121413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 121416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 121420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 121424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 121428 */   // (fminimum:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VMINhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 121428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINhq),
     /* 121431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 121433 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 121435 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 121437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 121440 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 121446 */   GIR_RootConstrainSelectedInstOperands,
     /* 121447 */   // GIR_Coverage, 1229,
     /* 121447 */   GIR_EraseRootFromParent_Done,
     /* 121448 */ // Label 2377: @121448
     /* 121448 */ GIM_Reject,
     /* 121449 */ // Label 2371: @121449
     /* 121449 */ GIM_Reject,
     /* 121450 */ // Label 50: @121450
     /* 121450 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2384*/ GIMT_Encode4(122183),
     /* 121461 */ /*GILLT_s16*//*Label 2378*/ GIMT_Encode4(121513),
     /* 121465 */ /*GILLT_s32*//*Label 2379*/ GIMT_Encode4(121754), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 121477 */ /*GILLT_v2s32*//*Label 2380*/ GIMT_Encode4(121995), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 121489 */ /*GILLT_v4s16*//*Label 2381*/ GIMT_Encode4(122042),
     /* 121493 */ /*GILLT_v4s32*//*Label 2382*/ GIMT_Encode4(122089), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 121509 */ /*GILLT_v8s16*//*Label 2383*/ GIMT_Encode4(122136),
     /* 121513 */ // Label 2378: @121513
     /* 121513 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(121753), // Rule ID 2703 //
     /* 121518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 121521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 121524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 121527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 121531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 121535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 121539 */   // (fmaximum:{ *:[f16] } HPR:{ *:[f16] }:$a, HPR:{ *:[f16] }:$b)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[v4f16] } (VMAXhd:{ *:[f64] } (INSERT_SUBREG:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), DPR_VFP2:{ *:[i32] }), HPR:{ *:[f16] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), DPR_VFP2:{ *:[i32] }), HPR:{ *:[f16] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 121539 */   GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 121542 */   GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121546 */   GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 121553 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s16,
     /* 121556 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121560 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121565 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 121568 */   GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121573 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 121576 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121580 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121585 */   GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 121588 */   GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/2, // b
     /* 121592 */   GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 121595 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121600 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121605 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::HPRRegClassID),
     /* 121610 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s16,
     /* 121613 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121617 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121622 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 121624 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s16,
     /* 121627 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121631 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121636 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 121639 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121644 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 121647 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121651 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121656 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 121659 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 121663 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 121666 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121671 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121676 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::HPRRegClassID),
     /* 121681 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121684 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMAXhd),
     /* 121688 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121693 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 121696 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 121699 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 121702 */   GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 121708 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 121713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121722 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121725 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121735 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 121742 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121747 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121752 */   // GIR_Coverage, 2703,
     /* 121752 */   GIR_EraseRootFromParent_Done,
     /* 121753 */ // Label 2385: @121753
     /* 121753 */ GIM_Reject,
     /* 121754 */ // Label 2379: @121754
     /* 121754 */ GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(121994), // Rule ID 2705 //
     /* 121759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 121762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 121765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 121768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 121772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 121776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 121780 */   // (fmaximum:{ *:[f32] } SPR:{ *:[f32] }:$a, SPR:{ *:[f32] }:$b)  =>  (EXTRACT_SUBREG:{ *:[f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (VMAXfd:{ *:[f64] } (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$a, ssub_0:{ *:[i32] }), (INSERT_SUBREG:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), DPR_VFP2:{ *:[i32] }), SPR:{ *:[f32] }:$b, ssub_0:{ *:[i32] })), DPR_VFP2:{ *:[i32] }), ssub_0:{ *:[i32] })
     /* 121780 */   GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v2s32,
     /* 121783 */   GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121787 */   GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121792 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 121794 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v2s32,
     /* 121797 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121801 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121806 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 121809 */   GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121814 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v2s32,
     /* 121817 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121821 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121826 */   GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 121829 */   GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/2, // b
     /* 121833 */   GIR_AddImm8, /*InsnID*/6, /*Imm*/17,
     /* 121836 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121841 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121846 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121851 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v2s32,
     /* 121854 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121858 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 121865 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v2s32,
     /* 121868 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121872 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121877 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 121880 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121885 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s32,
     /* 121888 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121892 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121897 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 121900 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 121904 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/17,
     /* 121907 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121912 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121917 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121922 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121925 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(ARM::VMAXfd),
     /* 121929 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121934 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 121937 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/5,
     /* 121940 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/14,
     /* 121943 */   GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 121949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 121954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121963 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121966 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121976 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(ARM::ssub_0),
     /* 121983 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(ARM::SPRRegClassID),
     /* 121988 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(ARM::DPR_VFP2RegClassID),
     /* 121993 */   // GIR_Coverage, 2705,
     /* 121993 */   GIR_EraseRootFromParent_Done,
     /* 121994 */ // Label 2386: @121994
     /* 121994 */ GIM_Reject,
     /* 121995 */ // Label 2380: @121995
     /* 121995 */ GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(122041), // Rule ID 1206 //
     /* 122000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 122006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 122009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122021 */   // (fmaximum:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)  =>  (VMAXfd:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vn, DPR:{ *:[v2f32] }:$Vm)
     /* 122021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXfd),
     /* 122024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122026 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122028 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122033 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122039 */   GIR_RootConstrainSelectedInstOperands,
     /* 122040 */   // GIR_Coverage, 1206,
     /* 122040 */   GIR_EraseRootFromParent_Done,
     /* 122041 */ // Label 2387: @122041
     /* 122041 */ GIM_Reject,
     /* 122042 */ // Label 2381: @122042
     /* 122042 */ GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(122088), // Rule ID 1208 //
     /* 122047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 122050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 122053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 122056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122068 */   // (fmaximum:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)  =>  (VMAXhd:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vn, DPR:{ *:[v4f16] }:$Vm)
     /* 122068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXhd),
     /* 122071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122073 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122075 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122080 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122086 */   GIR_RootConstrainSelectedInstOperands,
     /* 122087 */   // GIR_Coverage, 1208,
     /* 122087 */   GIR_EraseRootFromParent_Done,
     /* 122088 */ // Label 2388: @122088
     /* 122088 */ GIM_Reject,
     /* 122089 */ // Label 2382: @122089
     /* 122089 */ GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(122135), // Rule ID 1207 //
     /* 122094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 122100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 122103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122115 */   // (fmaximum:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)  =>  (VMAXfq:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vn, QPR:{ *:[v4f32] }:$Vm)
     /* 122115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXfq),
     /* 122118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122120 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122122 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122127 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122133 */   GIR_RootConstrainSelectedInstOperands,
     /* 122134 */   // GIR_Coverage, 1207,
     /* 122134 */   GIR_EraseRootFromParent_Done,
     /* 122135 */ // Label 2389: @122135
     /* 122135 */ GIM_Reject,
     /* 122136 */ // Label 2383: @122136
     /* 122136 */ GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(122182), // Rule ID 1209 //
     /* 122141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 122144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 122147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 122150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122162 */   // (fmaximum:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)  =>  (VMAXhq:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vn, QPR:{ *:[v8f16] }:$Vm)
     /* 122162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXhq),
     /* 122165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122167 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122169 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122174 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122180 */   GIR_RootConstrainSelectedInstOperands,
     /* 122181 */   // GIR_Coverage, 1209,
     /* 122181 */   GIR_EraseRootFromParent_Done,
     /* 122182 */ // Label 2390: @122182
     /* 122182 */ GIM_Reject,
     /* 122183 */ // Label 2384: @122183
     /* 122183 */ GIM_Reject,
     /* 122184 */ // Label 51: @122184
     /* 122184 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(122216), // Rule ID 2416 //
     /* 122189 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 122192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 122196 */   // (get_fpenv:{ *:[i32] })  =>  (VMRS:{ *:[i32] })
     /* 122196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMRS),
     /* 122199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122204 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122210 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122214 */   GIR_RootConstrainSelectedInstOperands,
     /* 122215 */   // GIR_Coverage, 2416,
     /* 122215 */   GIR_EraseRootFromParent_Done,
     /* 122216 */ // Label 2391: @122216
     /* 122216 */ GIM_Reject,
     /* 122217 */ // Label 52: @122217
     /* 122217 */ GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(122252), // Rule ID 2417 //
     /* 122222 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 122225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 122229 */   // (set_fpenv GPRnopc:{ *:[i32] }:$Rt)  =>  (VMSR:{ *:[i32] } GPRnopc:{ *:[i32] }:$Rt)
     /* 122229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMSR),
     /* 122232 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122237 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122243 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for ARM::FPSCR*/0,
     /* 122246 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122250 */   GIR_RootConstrainSelectedInstOperands,
     /* 122251 */   // GIR_Coverage, 2417,
     /* 122251 */   GIR_EraseRootFromParent_Done,
     /* 122252 */ // Label 2392: @122252
     /* 122252 */ GIM_Reject,
     /* 122253 */ // Label 53: @122253
     /* 122253 */ GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(122317), // Rule ID 2418 //
     /* 122258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /* 122261 */   // (reset_fpenv)  =>  (VMSR:{ *:[i32] } (MOVi:{ *:[i32] } 0:{ *:[i32] }))
     /* 122261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 122264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::MOVi),
     /* 122268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122273 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 122276 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 122279 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122285 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 122293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMSR),
     /* 122296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122302 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122308 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for ARM::FPSCR*/0,
     /* 122311 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122315 */   GIR_RootConstrainSelectedInstOperands,
     /* 122316 */   // GIR_Coverage, 2418,
     /* 122316 */   GIR_EraseRootFromParent_Done,
     /* 122317 */ // Label 2393: @122317
     /* 122317 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(122381), // Rule ID 2419 //
     /* 122322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb),
     /* 122325 */   // (reset_fpenv)  =>  (VMSR:{ *:[i32] } (tMOVi8:{ *:[i32] } 0:{ *:[i32] }))
     /* 122325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 122328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::tMOVi8),
     /* 122332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122337 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::CPSR), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define | RegState::Dead),
     /* 122343 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 122346 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 122349 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 122357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMSR),
     /* 122360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122366 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122372 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for ARM::FPSCR*/0,
     /* 122375 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122379 */   GIR_RootConstrainSelectedInstOperands,
     /* 122380 */   // GIR_Coverage, 2419,
     /* 122380 */   GIR_EraseRootFromParent_Done,
     /* 122381 */ // Label 2394: @122381
     /* 122381 */ GIM_Reject,
     /* 122382 */ // Label 54: @122382
     /* 122382 */ GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(122414), // Rule ID 2420 //
     /* 122387 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 122390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRnopcRegClassID),
     /* 122394 */   // (get_fpmode:{ *:[i32] })  =>  (VMRS:{ *:[i32] })
     /* 122394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMRS),
     /* 122397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122402 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122412 */   GIR_RootConstrainSelectedInstOperands,
     /* 122413 */   // GIR_Coverage, 2420,
     /* 122413 */   GIR_EraseRootFromParent_Done,
     /* 122414 */ // Label 2395: @122414
     /* 122414 */ GIM_Reject,
     /* 122415 */ // Label 55: @122415
     /* 122415 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(16), /*)*//*default:*//*Label 2402*/ GIMT_Encode4(122957),
     /* 122426 */ /*GILLT_v2s32*//*Label 2396*/ GIMT_Encode4(122474), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 122438 */ /*GILLT_v4s16*//*Label 2397*/ GIMT_Encode4(122521),
     /* 122442 */ /*GILLT_v4s32*//*Label 2398*/ GIMT_Encode4(122568), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 122454 */ /*GILLT_v8s8*//*Label 2399*/ GIMT_Encode4(122682),
     /* 122458 */ /*GILLT_v8s16*//*Label 2400*/ GIMT_Encode4(122729), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 122470 */ /*GILLT_v16s8*//*Label 2401*/ GIMT_Encode4(122843),
     /* 122474 */ // Label 2396: @122474
     /* 122474 */ GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(122520), // Rule ID 1215 //
     /* 122479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 122485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 122488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122500 */   // (smin:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VMINsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 122500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINsv2i32),
     /* 122503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122505 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122507 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122512 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122518 */   GIR_RootConstrainSelectedInstOperands,
     /* 122519 */   // GIR_Coverage, 1215,
     /* 122519 */   GIR_EraseRootFromParent_Done,
     /* 122520 */ // Label 2403: @122520
     /* 122520 */ GIM_Reject,
     /* 122521 */ // Label 2397: @122521
     /* 122521 */ GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(122567), // Rule ID 1214 //
     /* 122526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 122532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 122535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122547 */   // (smin:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VMINsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 122547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINsv4i16),
     /* 122550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122552 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122554 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122559 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122565 */   GIR_RootConstrainSelectedInstOperands,
     /* 122566 */   // GIR_Coverage, 1214,
     /* 122566 */   GIR_EraseRootFromParent_Done,
     /* 122567 */ // Label 2404: @122567
     /* 122567 */ GIM_Reject,
     /* 122568 */ // Label 2398: @122568
     /* 122568 */ GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(122681),
     /* 122573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 122576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 122579 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(122619), // Rule ID 1217 //
     /* 122584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122599 */     // (smin:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VMINsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 122599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINsv4i32),
     /* 122602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122604 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122611 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122617 */     GIR_RootConstrainSelectedInstOperands,
     /* 122618 */     // GIR_Coverage, 1217,
     /* 122618 */     GIR_EraseRootFromParent_Done,
     /* 122619 */   // Label 2406: @122619
     /* 122619 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(122680), // Rule ID 3297 //
     /* 122624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 122627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122639 */     // (smin:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VMINs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 122639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 122642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 122646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINs32),
     /* 122654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 122656 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 122658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 122660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122678 */     GIR_RootConstrainSelectedInstOperands,
     /* 122679 */     // GIR_Coverage, 3297,
     /* 122679 */     GIR_EraseRootFromParent_Done,
     /* 122680 */   // Label 2407: @122680
     /* 122680 */   GIM_Reject,
     /* 122681 */ // Label 2405: @122681
     /* 122681 */ GIM_Reject,
     /* 122682 */ // Label 2399: @122682
     /* 122682 */ GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(122728), // Rule ID 1218 //
     /* 122687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 122693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 122696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 122708 */   // (smin:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VMINsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 122708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINsv8i8),
     /* 122711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122713 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122715 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122720 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122726 */   GIR_RootConstrainSelectedInstOperands,
     /* 122727 */   // GIR_Coverage, 1218,
     /* 122727 */   GIR_EraseRootFromParent_Done,
     /* 122728 */ // Label 2408: @122728
     /* 122728 */ GIM_Reject,
     /* 122729 */ // Label 2400: @122729
     /* 122729 */ GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(122842),
     /* 122734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 122737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 122740 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(122780), // Rule ID 1216 //
     /* 122745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122760 */     // (smin:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VMINsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 122760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINsv8i16),
     /* 122763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122765 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122778 */     GIR_RootConstrainSelectedInstOperands,
     /* 122779 */     // GIR_Coverage, 1216,
     /* 122779 */     GIR_EraseRootFromParent_Done,
     /* 122780 */   // Label 2410: @122780
     /* 122780 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(122841), // Rule ID 3294 //
     /* 122785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 122788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122800 */     // (smin:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VMINs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 122800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 122803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 122807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINs16),
     /* 122815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 122817 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 122819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 122821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122839 */     GIR_RootConstrainSelectedInstOperands,
     /* 122840 */     // GIR_Coverage, 3294,
     /* 122840 */     GIR_EraseRootFromParent_Done,
     /* 122841 */   // Label 2411: @122841
     /* 122841 */   GIM_Reject,
     /* 122842 */ // Label 2409: @122842
     /* 122842 */ GIM_Reject,
     /* 122843 */ // Label 2401: @122843
     /* 122843 */ GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(122956),
     /* 122848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 122851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 122854 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(122894), // Rule ID 1219 //
     /* 122859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 122862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 122874 */     // (smin:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VMINsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 122874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINsv16i8),
     /* 122877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 122879 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 122881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 122883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 122886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122892 */     GIR_RootConstrainSelectedInstOperands,
     /* 122893 */     // GIR_Coverage, 1219,
     /* 122893 */     GIR_EraseRootFromParent_Done,
     /* 122894 */   // Label 2413: @122894
     /* 122894 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(122955), // Rule ID 3291 //
     /* 122899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 122902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 122914 */     // (smin:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VMINs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 122914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 122917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 122921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINs8),
     /* 122929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 122931 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 122933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 122935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 122950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122953 */     GIR_RootConstrainSelectedInstOperands,
     /* 122954 */     // GIR_Coverage, 3291,
     /* 122954 */     GIR_EraseRootFromParent_Done,
     /* 122955 */   // Label 2414: @122955
     /* 122955 */   GIM_Reject,
     /* 122956 */ // Label 2412: @122956
     /* 122956 */ GIM_Reject,
     /* 122957 */ // Label 2402: @122957
     /* 122957 */ GIM_Reject,
     /* 122958 */ // Label 56: @122958
     /* 122958 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(16), /*)*//*default:*//*Label 2421*/ GIMT_Encode4(123500),
     /* 122969 */ /*GILLT_v2s32*//*Label 2415*/ GIMT_Encode4(123017), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 122981 */ /*GILLT_v4s16*//*Label 2416*/ GIMT_Encode4(123064),
     /* 122985 */ /*GILLT_v4s32*//*Label 2417*/ GIMT_Encode4(123111), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 122997 */ /*GILLT_v8s8*//*Label 2418*/ GIMT_Encode4(123225),
     /* 123001 */ /*GILLT_v8s16*//*Label 2419*/ GIMT_Encode4(123272), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123013 */ /*GILLT_v16s8*//*Label 2420*/ GIMT_Encode4(123386),
     /* 123017 */ // Label 2415: @123017
     /* 123017 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(123063), // Rule ID 1195 //
     /* 123022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 123028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 123031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123043 */   // (smax:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VMAXsv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 123043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXsv2i32),
     /* 123046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123048 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123050 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123055 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123061 */   GIR_RootConstrainSelectedInstOperands,
     /* 123062 */   // GIR_Coverage, 1195,
     /* 123062 */   GIR_EraseRootFromParent_Done,
     /* 123063 */ // Label 2422: @123063
     /* 123063 */ GIM_Reject,
     /* 123064 */ // Label 2416: @123064
     /* 123064 */ GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(123110), // Rule ID 1194 //
     /* 123069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 123075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 123078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123090 */   // (smax:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VMAXsv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 123090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXsv4i16),
     /* 123093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123095 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123097 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123102 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123108 */   GIR_RootConstrainSelectedInstOperands,
     /* 123109 */   // GIR_Coverage, 1194,
     /* 123109 */   GIR_EraseRootFromParent_Done,
     /* 123110 */ // Label 2423: @123110
     /* 123110 */ GIM_Reject,
     /* 123111 */ // Label 2417: @123111
     /* 123111 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(123224),
     /* 123116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 123119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 123122 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(123162), // Rule ID 1197 //
     /* 123127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123142 */     // (smax:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VMAXsv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 123142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXsv4i32),
     /* 123145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123147 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123160 */     GIR_RootConstrainSelectedInstOperands,
     /* 123161 */     // GIR_Coverage, 1197,
     /* 123161 */     GIR_EraseRootFromParent_Done,
     /* 123162 */   // Label 2425: @123162
     /* 123162 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(123223), // Rule ID 3315 //
     /* 123167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 123170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123182 */     // (smax:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VMAXs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 123182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 123185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 123189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXs32),
     /* 123197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 123199 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 123201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 123203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 123221 */     GIR_RootConstrainSelectedInstOperands,
     /* 123222 */     // GIR_Coverage, 3315,
     /* 123222 */     GIR_EraseRootFromParent_Done,
     /* 123223 */   // Label 2426: @123223
     /* 123223 */   GIM_Reject,
     /* 123224 */ // Label 2424: @123224
     /* 123224 */ GIM_Reject,
     /* 123225 */ // Label 2418: @123225
     /* 123225 */ GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(123271), // Rule ID 1198 //
     /* 123230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 123236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 123239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123251 */   // (smax:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VMAXsv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 123251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXsv8i8),
     /* 123254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123256 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123258 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123263 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123269 */   GIR_RootConstrainSelectedInstOperands,
     /* 123270 */   // GIR_Coverage, 1198,
     /* 123270 */   GIR_EraseRootFromParent_Done,
     /* 123271 */ // Label 2427: @123271
     /* 123271 */ GIM_Reject,
     /* 123272 */ // Label 2419: @123272
     /* 123272 */ GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(123385),
     /* 123277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 123280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 123283 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(123323), // Rule ID 1196 //
     /* 123288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123303 */     // (smax:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VMAXsv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 123303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXsv8i16),
     /* 123306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123308 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123321 */     GIR_RootConstrainSelectedInstOperands,
     /* 123322 */     // GIR_Coverage, 1196,
     /* 123322 */     GIR_EraseRootFromParent_Done,
     /* 123323 */   // Label 2429: @123323
     /* 123323 */   GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(123384), // Rule ID 3312 //
     /* 123328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 123331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123343 */     // (smax:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VMAXs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 123343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 123346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 123350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXs16),
     /* 123358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 123360 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 123362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 123364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 123382 */     GIR_RootConstrainSelectedInstOperands,
     /* 123383 */     // GIR_Coverage, 3312,
     /* 123383 */     GIR_EraseRootFromParent_Done,
     /* 123384 */   // Label 2430: @123384
     /* 123384 */   GIM_Reject,
     /* 123385 */ // Label 2428: @123385
     /* 123385 */ GIM_Reject,
     /* 123386 */ // Label 2420: @123386
     /* 123386 */ GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(123499),
     /* 123391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 123394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 123397 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(123437), // Rule ID 1199 //
     /* 123402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123417 */     // (smax:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VMAXsv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 123417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXsv16i8),
     /* 123420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123422 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123435 */     GIR_RootConstrainSelectedInstOperands,
     /* 123436 */     // GIR_Coverage, 1199,
     /* 123436 */     GIR_EraseRootFromParent_Done,
     /* 123437 */   // Label 2432: @123437
     /* 123437 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(123498), // Rule ID 3309 //
     /* 123442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 123445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123457 */     // (smax:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VMAXs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 123457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 123460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 123464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXs8),
     /* 123472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 123474 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 123476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 123478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 123496 */     GIR_RootConstrainSelectedInstOperands,
     /* 123497 */     // GIR_Coverage, 3309,
     /* 123497 */     GIR_EraseRootFromParent_Done,
     /* 123498 */   // Label 2433: @123498
     /* 123498 */   GIM_Reject,
     /* 123499 */ // Label 2431: @123499
     /* 123499 */ GIM_Reject,
     /* 123500 */ // Label 2421: @123500
     /* 123500 */ GIM_Reject,
     /* 123501 */ // Label 57: @123501
     /* 123501 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(16), /*)*//*default:*//*Label 2440*/ GIMT_Encode4(124421),
     /* 123512 */ /*GILLT_v2s32*//*Label 2434*/ GIMT_Encode4(123560), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123524 */ /*GILLT_v4s16*//*Label 2435*/ GIMT_Encode4(123607),
     /* 123528 */ /*GILLT_v4s32*//*Label 2436*/ GIMT_Encode4(123654), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123540 */ /*GILLT_v8s8*//*Label 2437*/ GIMT_Encode4(123894),
     /* 123544 */ /*GILLT_v8s16*//*Label 2438*/ GIMT_Encode4(123941), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123556 */ /*GILLT_v16s8*//*Label 2439*/ GIMT_Encode4(124181),
     /* 123560 */ // Label 2434: @123560
     /* 123560 */ GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(123606), // Rule ID 1221 //
     /* 123565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 123571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 123574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123586 */   // (umin:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VMINuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 123586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINuv2i32),
     /* 123589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123591 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123593 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123598 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123604 */   GIR_RootConstrainSelectedInstOperands,
     /* 123605 */   // GIR_Coverage, 1221,
     /* 123605 */   GIR_EraseRootFromParent_Done,
     /* 123606 */ // Label 2441: @123606
     /* 123606 */ GIM_Reject,
     /* 123607 */ // Label 2435: @123607
     /* 123607 */ GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(123653), // Rule ID 1220 //
     /* 123612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 123618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 123621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123633 */   // (umin:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VMINuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 123633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINuv4i16),
     /* 123636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123638 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123640 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123645 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123651 */   GIR_RootConstrainSelectedInstOperands,
     /* 123652 */   // GIR_Coverage, 1220,
     /* 123652 */   GIR_EraseRootFromParent_Done,
     /* 123653 */ // Label 2442: @123653
     /* 123653 */ GIM_Reject,
     /* 123654 */ // Label 2436: @123654
     /* 123654 */ GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(123893),
     /* 123659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 123662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 123665 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(123728), // Rule ID 6024 //
     /* 123670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 123673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 123685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 123689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123700 */     // (umin:{ *:[v4i32] } (abs:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm), MQPR:{ *:[v4i32] }:$Qd)  =>  (MVE_VMINAs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qd, MQPR:{ *:[v4i32] }:$Qm)
     /* 123700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAs32),
     /* 123703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 123705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd
     /* 123707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 123711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123726 */     GIR_RootConstrainSelectedInstOperands,
     /* 123727 */     // GIR_Coverage, 6024,
     /* 123727 */     GIR_EraseRootFromParent_Done,
     /* 123728 */   // Label 2444: @123728
     /* 123728 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(123791), // Rule ID 3694 //
     /* 123733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 123736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 123752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 123756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123763 */     // (umin:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qd, (abs:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm))  =>  (MVE_VMINAs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qd, MQPR:{ *:[v4i32] }:$Qm)
     /* 123763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAs32),
     /* 123766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 123768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qd
     /* 123770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 123774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123777 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123789 */     GIR_RootConstrainSelectedInstOperands,
     /* 123790 */     // GIR_Coverage, 3694,
     /* 123790 */     GIR_EraseRootFromParent_Done,
     /* 123791 */   // Label 2445: @123791
     /* 123791 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(123831), // Rule ID 1223 //
     /* 123796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 123811 */     // (umin:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VMINuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 123811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINuv4i32),
     /* 123814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123829 */     GIR_RootConstrainSelectedInstOperands,
     /* 123830 */     // GIR_Coverage, 1223,
     /* 123830 */     GIR_EraseRootFromParent_Done,
     /* 123831 */   // Label 2446: @123831
     /* 123831 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(123892), // Rule ID 3306 //
     /* 123836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 123839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123851 */     // (umin:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VMINu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 123851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 123854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 123858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINu32),
     /* 123866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 123868 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 123870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 123872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 123890 */     GIR_RootConstrainSelectedInstOperands,
     /* 123891 */     // GIR_Coverage, 3306,
     /* 123891 */     GIR_EraseRootFromParent_Done,
     /* 123892 */   // Label 2447: @123892
     /* 123892 */   GIM_Reject,
     /* 123893 */ // Label 2443: @123893
     /* 123893 */ GIM_Reject,
     /* 123894 */ // Label 2437: @123894
     /* 123894 */ GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(123940), // Rule ID 1224 //
     /* 123899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 123902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 123905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 123908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 123920 */   // (umin:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VMINuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 123920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINuv8i8),
     /* 123923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 123925 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 123927 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 123929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 123932 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 123938 */   GIR_RootConstrainSelectedInstOperands,
     /* 123939 */   // GIR_Coverage, 1224,
     /* 123939 */   GIR_EraseRootFromParent_Done,
     /* 123940 */ // Label 2448: @123940
     /* 123940 */ GIM_Reject,
     /* 123941 */ // Label 2438: @123941
     /* 123941 */ GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(124180),
     /* 123946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 123949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 123952 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(124015), // Rule ID 6023 //
     /* 123957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 123960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 123972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 123976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 123985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123987 */     // (umin:{ *:[v8i16] } (abs:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm), MQPR:{ *:[v8i16] }:$Qd)  =>  (MVE_VMINAs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd, MQPR:{ *:[v8i16] }:$Qm)
     /* 123987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAs16),
     /* 123990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 123992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd
     /* 123994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 123998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124001 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124013 */     GIR_RootConstrainSelectedInstOperands,
     /* 124014 */     // GIR_Coverage, 6023,
     /* 124014 */     GIR_EraseRootFromParent_Done,
     /* 124015 */   // Label 2450: @124015
     /* 124015 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(124078), // Rule ID 3692 //
     /* 124020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 124039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 124043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124050 */     // (umin:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd, (abs:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm))  =>  (MVE_VMINAs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd, MQPR:{ *:[v8i16] }:$Qm)
     /* 124050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAs16),
     /* 124053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124055 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qd
     /* 124057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 124061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124076 */     GIR_RootConstrainSelectedInstOperands,
     /* 124077 */     // GIR_Coverage, 3692,
     /* 124077 */     GIR_EraseRootFromParent_Done,
     /* 124078 */   // Label 2451: @124078
     /* 124078 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(124118), // Rule ID 1222 //
     /* 124083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 124086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124098 */     // (umin:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VMINuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 124098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINuv8i16),
     /* 124101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 124103 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 124105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 124107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 124110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124116 */     GIR_RootConstrainSelectedInstOperands,
     /* 124117 */     // GIR_Coverage, 1222,
     /* 124117 */     GIR_EraseRootFromParent_Done,
     /* 124118 */   // Label 2452: @124118
     /* 124118 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(124179), // Rule ID 3303 //
     /* 124123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124138 */     // (umin:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VMINu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 124138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 124141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 124145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINu16),
     /* 124153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124155 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 124157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 124159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124177 */     GIR_RootConstrainSelectedInstOperands,
     /* 124178 */     // GIR_Coverage, 3303,
     /* 124178 */     GIR_EraseRootFromParent_Done,
     /* 124179 */   // Label 2453: @124179
     /* 124179 */   GIM_Reject,
     /* 124180 */ // Label 2449: @124180
     /* 124180 */ GIM_Reject,
     /* 124181 */ // Label 2439: @124181
     /* 124181 */ GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(124420),
     /* 124186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 124189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 124192 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(124255), // Rule ID 6022 //
     /* 124197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 124212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 124216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124227 */     // (umin:{ *:[v16i8] } (abs:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm), MQPR:{ *:[v16i8] }:$Qd)  =>  (MVE_VMINAs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd, MQPR:{ *:[v16i8] }:$Qm)
     /* 124227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAs8),
     /* 124230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd
     /* 124234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 124238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124253 */     GIR_RootConstrainSelectedInstOperands,
     /* 124254 */     // GIR_Coverage, 6022,
     /* 124254 */     GIR_EraseRootFromParent_Done,
     /* 124255 */   // Label 2455: @124255
     /* 124255 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(124318), // Rule ID 3690 //
     /* 124260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 124279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 124283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124290 */     // (umin:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd, (abs:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm))  =>  (MVE_VMINAs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd, MQPR:{ *:[v16i8] }:$Qm)
     /* 124290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINAs8),
     /* 124293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124295 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qd
     /* 124297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 124301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124316 */     GIR_RootConstrainSelectedInstOperands,
     /* 124317 */     // GIR_Coverage, 3690,
     /* 124317 */     GIR_EraseRootFromParent_Done,
     /* 124318 */   // Label 2456: @124318
     /* 124318 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(124358), // Rule ID 1225 //
     /* 124323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 124326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124338 */     // (umin:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VMINuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 124338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMINuv16i8),
     /* 124341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 124343 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 124345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 124347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 124350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124356 */     GIR_RootConstrainSelectedInstOperands,
     /* 124357 */     // GIR_Coverage, 1225,
     /* 124357 */     GIR_EraseRootFromParent_Done,
     /* 124358 */   // Label 2457: @124358
     /* 124358 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(124419), // Rule ID 3300 //
     /* 124363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124378 */     // (umin:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VMINu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 124378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 124381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 124385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINu8),
     /* 124393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124395 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 124397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 124399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124417 */     GIR_RootConstrainSelectedInstOperands,
     /* 124418 */     // GIR_Coverage, 3300,
     /* 124418 */     GIR_EraseRootFromParent_Done,
     /* 124419 */   // Label 2458: @124419
     /* 124419 */   GIM_Reject,
     /* 124420 */ // Label 2454: @124420
     /* 124420 */ GIM_Reject,
     /* 124421 */ // Label 2440: @124421
     /* 124421 */ GIM_Reject,
     /* 124422 */ // Label 58: @124422
     /* 124422 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(16), /*)*//*default:*//*Label 2465*/ GIMT_Encode4(125342),
     /* 124433 */ /*GILLT_v2s32*//*Label 2459*/ GIMT_Encode4(124481), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 124445 */ /*GILLT_v4s16*//*Label 2460*/ GIMT_Encode4(124528),
     /* 124449 */ /*GILLT_v4s32*//*Label 2461*/ GIMT_Encode4(124575), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 124461 */ /*GILLT_v8s8*//*Label 2462*/ GIMT_Encode4(124815),
     /* 124465 */ /*GILLT_v8s16*//*Label 2463*/ GIMT_Encode4(124862), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 124477 */ /*GILLT_v16s8*//*Label 2464*/ GIMT_Encode4(125102),
     /* 124481 */ // Label 2459: @124481
     /* 124481 */ GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(124527), // Rule ID 1201 //
     /* 124486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 124489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 124492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 124495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124507 */   // (umax:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)  =>  (VMAXuv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vn, DPR:{ *:[v2i32] }:$Vm)
     /* 124507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXuv2i32),
     /* 124510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 124512 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 124514 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 124516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 124519 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124525 */   GIR_RootConstrainSelectedInstOperands,
     /* 124526 */   // GIR_Coverage, 1201,
     /* 124526 */   GIR_EraseRootFromParent_Done,
     /* 124527 */ // Label 2466: @124527
     /* 124527 */ GIM_Reject,
     /* 124528 */ // Label 2460: @124528
     /* 124528 */ GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(124574), // Rule ID 1200 //
     /* 124533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 124536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 124539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 124542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124554 */   // (umax:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)  =>  (VMAXuv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vn, DPR:{ *:[v4i16] }:$Vm)
     /* 124554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXuv4i16),
     /* 124557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 124559 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 124561 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 124563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 124566 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124572 */   GIR_RootConstrainSelectedInstOperands,
     /* 124573 */   // GIR_Coverage, 1200,
     /* 124573 */   GIR_EraseRootFromParent_Done,
     /* 124574 */ // Label 2467: @124574
     /* 124574 */ GIM_Reject,
     /* 124575 */ // Label 2461: @124575
     /* 124575 */ GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(124814),
     /* 124580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 124583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 124586 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(124649), // Rule ID 6027 //
     /* 124591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 124606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 124610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124621 */     // (umax:{ *:[v4i32] } (abs:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm), MQPR:{ *:[v4i32] }:$Qd)  =>  (MVE_VMAXAs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qd, MQPR:{ *:[v4i32] }:$Qm)
     /* 124621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAs32),
     /* 124624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd
     /* 124628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 124632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124641 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124647 */     GIR_RootConstrainSelectedInstOperands,
     /* 124648 */     // GIR_Coverage, 6027,
     /* 124648 */     GIR_EraseRootFromParent_Done,
     /* 124649 */   // Label 2469: @124649
     /* 124649 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(124712), // Rule ID 3700 //
     /* 124654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 124673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 124677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124684 */     // (umax:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qd, (abs:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm))  =>  (MVE_VMAXAs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qd, MQPR:{ *:[v4i32] }:$Qm)
     /* 124684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAs32),
     /* 124687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qd
     /* 124691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 124695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124710 */     GIR_RootConstrainSelectedInstOperands,
     /* 124711 */     // GIR_Coverage, 3700,
     /* 124711 */     GIR_EraseRootFromParent_Done,
     /* 124712 */   // Label 2470: @124712
     /* 124712 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(124752), // Rule ID 1203 //
     /* 124717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 124720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 124732 */     // (umax:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)  =>  (VMAXuv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vn, QPR:{ *:[v4i32] }:$Vm)
     /* 124732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXuv4i32),
     /* 124735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 124737 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 124739 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 124741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 124744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124750 */     GIR_RootConstrainSelectedInstOperands,
     /* 124751 */     // GIR_Coverage, 1203,
     /* 124751 */     GIR_EraseRootFromParent_Done,
     /* 124752 */   // Label 2471: @124752
     /* 124752 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(124813), // Rule ID 3324 //
     /* 124757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124772 */     // (umax:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)  =>  (MVE_VMAXu32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$Qm, MQPR:{ *:[v4i32] }:$Qn)
     /* 124772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 124775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 124779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXu32),
     /* 124787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 124791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 124793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124802 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124811 */     GIR_RootConstrainSelectedInstOperands,
     /* 124812 */     // GIR_Coverage, 3324,
     /* 124812 */     GIR_EraseRootFromParent_Done,
     /* 124813 */   // Label 2472: @124813
     /* 124813 */   GIM_Reject,
     /* 124814 */ // Label 2468: @124814
     /* 124814 */ GIM_Reject,
     /* 124815 */ // Label 2462: @124815
     /* 124815 */ GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(124861), // Rule ID 1204 //
     /* 124820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 124823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 124826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 124829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 124841 */   // (umax:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)  =>  (VMAXuv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vn, DPR:{ *:[v8i8] }:$Vm)
     /* 124841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXuv8i8),
     /* 124844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 124846 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 124848 */   GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 124850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 124853 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124859 */   GIR_RootConstrainSelectedInstOperands,
     /* 124860 */   // GIR_Coverage, 1204,
     /* 124860 */   GIR_EraseRootFromParent_Done,
     /* 124861 */ // Label 2473: @124861
     /* 124861 */ GIM_Reject,
     /* 124862 */ // Label 2463: @124862
     /* 124862 */ GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(125101),
     /* 124867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 124870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 124873 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(124936), // Rule ID 6026 //
     /* 124878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 124893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 124897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124908 */     // (umax:{ *:[v8i16] } (abs:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm), MQPR:{ *:[v8i16] }:$Qd)  =>  (MVE_VMAXAs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd, MQPR:{ *:[v8i16] }:$Qm)
     /* 124908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAs16),
     /* 124911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd
     /* 124915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 124919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124934 */     GIR_RootConstrainSelectedInstOperands,
     /* 124935 */     // GIR_Coverage, 6026,
     /* 124935 */     GIR_EraseRootFromParent_Done,
     /* 124936 */   // Label 2475: @124936
     /* 124936 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(124999), // Rule ID 3698 //
     /* 124941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 124944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 124960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 124964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 124969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124971 */     // (umax:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd, (abs:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm))  =>  (MVE_VMAXAs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qd, MQPR:{ *:[v8i16] }:$Qm)
     /* 124971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAs16),
     /* 124974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 124976 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qd
     /* 124978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 124982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124997 */     GIR_RootConstrainSelectedInstOperands,
     /* 124998 */     // GIR_Coverage, 3698,
     /* 124998 */     GIR_EraseRootFromParent_Done,
     /* 124999 */   // Label 2476: @124999
     /* 124999 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(125039), // Rule ID 1202 //
     /* 125004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125019 */     // (umax:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)  =>  (VMAXuv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vn, QPR:{ *:[v8i16] }:$Vm)
     /* 125019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXuv8i16),
     /* 125022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125024 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 125026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 125028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125031 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125037 */     GIR_RootConstrainSelectedInstOperands,
     /* 125038 */     // GIR_Coverage, 1202,
     /* 125038 */     GIR_EraseRootFromParent_Done,
     /* 125039 */   // Label 2477: @125039
     /* 125039 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(125100), // Rule ID 3321 //
     /* 125044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 125047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125059 */     // (umax:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)  =>  (MVE_VMAXu16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$Qm, MQPR:{ *:[v8i16] }:$Qn)
     /* 125059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 125062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 125066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXu16),
     /* 125074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 125076 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 125078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 125080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125089 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125098 */     GIR_RootConstrainSelectedInstOperands,
     /* 125099 */     // GIR_Coverage, 3321,
     /* 125099 */     GIR_EraseRootFromParent_Done,
     /* 125100 */   // Label 2478: @125100
     /* 125100 */   GIM_Reject,
     /* 125101 */ // Label 2474: @125101
     /* 125101 */ GIM_Reject,
     /* 125102 */ // Label 2464: @125102
     /* 125102 */ GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(125341),
     /* 125107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 125110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 125113 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(125176), // Rule ID 6025 //
     /* 125118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 125121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 125133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 125137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125148 */     // (umax:{ *:[v16i8] } (abs:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm), MQPR:{ *:[v16i8] }:$Qd)  =>  (MVE_VMAXAs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd, MQPR:{ *:[v16i8] }:$Qm)
     /* 125148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAs8),
     /* 125151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 125153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qd
     /* 125155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 125159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125174 */     GIR_RootConstrainSelectedInstOperands,
     /* 125175 */     // GIR_Coverage, 6025,
     /* 125175 */     GIR_EraseRootFromParent_Done,
     /* 125176 */   // Label 2480: @125176
     /* 125176 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(125239), // Rule ID 3696 //
     /* 125181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 125184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ABS),
     /* 125200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 125204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125211 */     // (umax:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd, (abs:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm))  =>  (MVE_VMAXAs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qd, MQPR:{ *:[v16i8] }:$Qm)
     /* 125211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXAs8),
     /* 125214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 125216 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qd
     /* 125218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Qm
     /* 125222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125237 */     GIR_RootConstrainSelectedInstOperands,
     /* 125238 */     // GIR_Coverage, 3696,
     /* 125238 */     GIR_EraseRootFromParent_Done,
     /* 125239 */   // Label 2481: @125239
     /* 125239 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(125279), // Rule ID 1205 //
     /* 125244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125259 */     // (umax:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)  =>  (VMAXuv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vn, QPR:{ *:[v16i8] }:$Vm)
     /* 125259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VMAXuv16i8),
     /* 125262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125264 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /* 125266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vm
     /* 125268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125271 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125277 */     GIR_RootConstrainSelectedInstOperands,
     /* 125278 */     // GIR_Coverage, 1205,
     /* 125278 */     GIR_EraseRootFromParent_Done,
     /* 125279 */   // Label 2482: @125279
     /* 125279 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(125340), // Rule ID 3318 //
     /* 125284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 125287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125299 */     // (umax:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)  =>  (MVE_VMAXu8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$Qm, MQPR:{ *:[v16i8] }:$Qn)
     /* 125299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 125302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 125306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXu8),
     /* 125314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 125316 */     GIR_RootToRootCopy, /*OpIdx*/1, // Qm
     /* 125318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Qn
     /* 125320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125338 */     GIR_RootConstrainSelectedInstOperands,
     /* 125339 */     // GIR_Coverage, 3318,
     /* 125339 */     GIR_EraseRootFromParent_Done,
     /* 125340 */   // Label 2483: @125340
     /* 125340 */   GIM_Reject,
     /* 125341 */ // Label 2479: @125341
     /* 125341 */ GIM_Reject,
     /* 125342 */ // Label 2465: @125342
     /* 125342 */ GIM_Reject,
     /* 125343 */ // Label 59: @125343
     /* 125343 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(16), /*)*//*default:*//*Label 2490*/ GIMT_Encode4(125813),
     /* 125354 */ /*GILLT_v2s32*//*Label 2484*/ GIMT_Encode4(125402), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 125366 */ /*GILLT_v4s16*//*Label 2485*/ GIMT_Encode4(125440),
     /* 125370 */ /*GILLT_v4s32*//*Label 2486*/ GIMT_Encode4(125478), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 125382 */ /*GILLT_v8s8*//*Label 2487*/ GIMT_Encode4(125577),
     /* 125386 */ /*GILLT_v8s16*//*Label 2488*/ GIMT_Encode4(125615), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 125398 */ /*GILLT_v16s8*//*Label 2489*/ GIMT_Encode4(125714),
     /* 125402 */ // Label 2484: @125402
     /* 125402 */ GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(125439), // Rule ID 1507 //
     /* 125407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 125413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125421 */   // (abs:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)  =>  (VABSv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)
     /* 125421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSv2i32),
     /* 125424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125426 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 125428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125431 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125437 */   GIR_RootConstrainSelectedInstOperands,
     /* 125438 */   // GIR_Coverage, 1507,
     /* 125438 */   GIR_EraseRootFromParent_Done,
     /* 125439 */ // Label 2491: @125439
     /* 125439 */ GIM_Reject,
     /* 125440 */ // Label 2485: @125440
     /* 125440 */ GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(125477), // Rule ID 1506 //
     /* 125445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 125451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125459 */   // (abs:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm)  =>  (VABSv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm)
     /* 125459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSv4i16),
     /* 125462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125464 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 125466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125469 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125475 */   GIR_RootConstrainSelectedInstOperands,
     /* 125476 */   // GIR_Coverage, 1506,
     /* 125476 */   GIR_EraseRootFromParent_Done,
     /* 125477 */ // Label 2492: @125477
     /* 125477 */ GIM_Reject,
     /* 125478 */ // Label 2486: @125478
     /* 125478 */ GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(125576),
     /* 125483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 125486 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(125520), // Rule ID 1510 //
     /* 125491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125502 */     // (abs:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)  =>  (VABSv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)
     /* 125502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSv4i32),
     /* 125505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125507 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 125509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125518 */     GIR_RootConstrainSelectedInstOperands,
     /* 125519 */     // GIR_Coverage, 1510,
     /* 125519 */     GIR_EraseRootFromParent_Done,
     /* 125520 */   // Label 2494: @125520
     /* 125520 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(125575), // Rule ID 3669 //
     /* 125525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 125528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125536 */     // (abs:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$v)  =>  (MVE_VABSs32:{ *:[v4i32] } ?:{ *:[v4i32] }:$v)
     /* 125536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 125539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 125543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABSs32),
     /* 125551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 125553 */     GIR_RootToRootCopy, /*OpIdx*/1, // v
     /* 125555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125573 */     GIR_RootConstrainSelectedInstOperands,
     /* 125574 */     // GIR_Coverage, 3669,
     /* 125574 */     GIR_EraseRootFromParent_Done,
     /* 125575 */   // Label 2495: @125575
     /* 125575 */   GIM_Reject,
     /* 125576 */ // Label 2493: @125576
     /* 125576 */ GIM_Reject,
     /* 125577 */ // Label 2487: @125577
     /* 125577 */ GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(125614), // Rule ID 1505 //
     /* 125582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 125588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125596 */   // (abs:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)  =>  (VABSv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)
     /* 125596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSv8i8),
     /* 125599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125601 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 125603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125606 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125612 */   GIR_RootConstrainSelectedInstOperands,
     /* 125613 */   // GIR_Coverage, 1505,
     /* 125613 */   GIR_EraseRootFromParent_Done,
     /* 125614 */ // Label 2496: @125614
     /* 125614 */ GIM_Reject,
     /* 125615 */ // Label 2488: @125615
     /* 125615 */ GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(125713),
     /* 125620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 125623 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(125657), // Rule ID 1509 //
     /* 125628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125639 */     // (abs:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm)  =>  (VABSv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm)
     /* 125639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSv8i16),
     /* 125642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125644 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 125646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125655 */     GIR_RootConstrainSelectedInstOperands,
     /* 125656 */     // GIR_Coverage, 1509,
     /* 125656 */     GIR_EraseRootFromParent_Done,
     /* 125657 */   // Label 2498: @125657
     /* 125657 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(125712), // Rule ID 3663 //
     /* 125662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 125665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125673 */     // (abs:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$v)  =>  (MVE_VABSs16:{ *:[v8i16] } ?:{ *:[v8i16] }:$v)
     /* 125673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 125676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 125680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABSs16),
     /* 125688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 125690 */     GIR_RootToRootCopy, /*OpIdx*/1, // v
     /* 125692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125701 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125710 */     GIR_RootConstrainSelectedInstOperands,
     /* 125711 */     // GIR_Coverage, 3663,
     /* 125711 */     GIR_EraseRootFromParent_Done,
     /* 125712 */   // Label 2499: @125712
     /* 125712 */   GIM_Reject,
     /* 125713 */ // Label 2497: @125713
     /* 125713 */ GIM_Reject,
     /* 125714 */ // Label 2489: @125714
     /* 125714 */ GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(125812),
     /* 125719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 125722 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(125756), // Rule ID 1508 //
     /* 125727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 125738 */     // (abs:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)  =>  (VABSv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /* 125738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VABSv16i8),
     /* 125741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 125743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 125745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125754 */     GIR_RootConstrainSelectedInstOperands,
     /* 125755 */     // GIR_Coverage, 1508,
     /* 125755 */     GIR_EraseRootFromParent_Done,
     /* 125756 */   // Label 2501: @125756
     /* 125756 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(125811), // Rule ID 3657 //
     /* 125761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 125764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 125772 */     // (abs:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$v)  =>  (MVE_VABSs8:{ *:[v16i8] } ?:{ *:[v16i8] }:$v)
     /* 125772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 125775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 125779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VABSs8),
     /* 125787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 125789 */     GIR_RootToRootCopy, /*OpIdx*/1, // v
     /* 125791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125809 */     GIR_RootConstrainSelectedInstOperands,
     /* 125810 */     // GIR_Coverage, 3657,
     /* 125810 */     GIR_EraseRootFromParent_Done,
     /* 125811 */   // Label 2502: @125811
     /* 125811 */   GIM_Reject,
     /* 125812 */ // Label 2500: @125812
     /* 125812 */ GIM_Reject,
     /* 125813 */ // Label 2490: @125813
     /* 125813 */ GIM_Reject,
     /* 125814 */ // Label 60: @125814
     /* 125814 */ GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(125886),
     /* 125819 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 125822 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(125837), // Rule ID 32 //
     /* 125827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM),
     /* 125830 */     // (br (bb:{ *:[Other] }):$target)  =>  (B (bb:{ *:[Other] }):$target)
     /* 125830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::B),
     /* 125835 */     GIR_RootConstrainSelectedInstOperands,
     /* 125836 */     // GIR_Coverage, 32,
     /* 125836 */     GIR_Done,
     /* 125837 */   // Label 2504: @125837
     /* 125837 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(125861), // Rule ID 283 //
     /* 125842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_IsThumb1Only),
     /* 125845 */     // (br (bb:{ *:[Other] }):$target)  =>  (tB (bb:{ *:[Other] }):$target)
     /* 125845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tB),
     /* 125848 */     GIR_RootToRootCopy, /*OpIdx*/0, // target
     /* 125850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125859 */     GIR_RootConstrainSelectedInstOperands,
     /* 125860 */     // GIR_Coverage, 283,
     /* 125860 */     GIR_EraseRootFromParent_Done,
     /* 125861 */   // Label 2505: @125861
     /* 125861 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(125885), // Rule ID 577 //
     /* 125866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV8MBaseline_IsThumb),
     /* 125869 */     // (br (bb:{ *:[Other] }):$target)  =>  (t2B (bb:{ *:[Other] }):$target)
     /* 125869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2B),
     /* 125872 */     GIR_RootToRootCopy, /*OpIdx*/0, // target
     /* 125874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125883 */     GIR_RootConstrainSelectedInstOperands,
     /* 125884 */     // GIR_Coverage, 577,
     /* 125884 */     GIR_EraseRootFromParent_Done,
     /* 125885 */   // Label 2506: @125885
     /* 125885 */   GIM_Reject,
     /* 125886 */ // Label 2503: @125886
     /* 125886 */ GIM_Reject,
     /* 125887 */ // Label 61: @125887
     /* 125887 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(16), /*)*//*default:*//*Label 2511*/ GIMT_Encode4(126186),
     /* 125898 */ /*GILLT_v4s16*//*Label 2507*/ GIMT_Encode4(125934), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 125914 */ /*GILLT_v8s8*//*Label 2508*/ GIMT_Encode4(125997),
     /* 125918 */ /*GILLT_v8s16*//*Label 2509*/ GIMT_Encode4(126060), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 125930 */ /*GILLT_v16s8*//*Label 2510*/ GIMT_Encode4(126123),
     /* 125934 */ // Label 2507: @125934
     /* 125934 */ GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(125996), // Rule ID 1569 //
     /* 125939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 125942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 125945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 125948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 125951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 125959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 125963 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 125967 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125971 */   // MIs[1] Operand 1
     /* 125971 */   // No operand predicates
     /* 125971 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125973 */   // (vector_insert:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, GPR:{ *:[i32] }:$R, (imm:{ *:[i32] }):$lane)  =>  (VSETLNi16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$src1, GPR:{ *:[i32] }:$R, (imm:{ *:[i32] }):$lane)
     /* 125973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSETLNi16),
     /* 125976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[V]
     /* 125978 */   GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125980 */   GIR_RootToRootCopy, /*OpIdx*/2, // R
     /* 125982 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // lane
     /* 125985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 125988 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125994 */   GIR_RootConstrainSelectedInstOperands,
     /* 125995 */   // GIR_Coverage, 1569,
     /* 125995 */   GIR_EraseRootFromParent_Done,
     /* 125996 */ // Label 2512: @125996
     /* 125996 */ GIM_Reject,
     /* 125997 */ // Label 2508: @125997
     /* 125997 */ GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(126059), // Rule ID 1568 //
     /* 126002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 126008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 126011 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 126014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 126026 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 126030 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 126034 */   // MIs[1] Operand 1
     /* 126034 */   // No operand predicates
     /* 126034 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126036 */   // (vector_insert:{ *:[v8i8] } DPR:{ *:[v8i8] }:$src1, GPR:{ *:[i32] }:$R, (imm:{ *:[i32] }):$lane)  =>  (VSETLNi8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$src1, GPR:{ *:[i32] }:$R, (imm:{ *:[i32] }):$lane)
     /* 126036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSETLNi8),
     /* 126039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[V]
     /* 126041 */   GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126043 */   GIR_RootToRootCopy, /*OpIdx*/2, // R
     /* 126045 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // lane
     /* 126048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126051 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126057 */   GIR_RootConstrainSelectedInstOperands,
     /* 126058 */   // GIR_Coverage, 1568,
     /* 126058 */   GIR_EraseRootFromParent_Done,
     /* 126059 */ // Label 2513: @126059
     /* 126059 */ GIM_Reject,
     /* 126060 */ // Label 2509: @126060
     /* 126060 */ GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(126122), // Rule ID 3433 //
     /* 126065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 126068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 126071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 126074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 126077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 126089 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 126093 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 126097 */   // MIs[1] Operand 1
     /* 126097 */   // No operand predicates
     /* 126097 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126099 */   // (vector_insert:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] }):$lane)  =>  (MVE_VMOV_to_lane_16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] }):$lane)
     /* 126099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMOV_to_lane_16),
     /* 126102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 126104 */   GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126106 */   GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 126108 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // lane
     /* 126111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126114 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126120 */   GIR_RootConstrainSelectedInstOperands,
     /* 126121 */   // GIR_Coverage, 3433,
     /* 126121 */   GIR_EraseRootFromParent_Done,
     /* 126122 */ // Label 2514: @126122
     /* 126122 */ GIM_Reject,
     /* 126123 */ // Label 2510: @126123
     /* 126123 */ GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(126185), // Rule ID 3432 //
     /* 126128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 126131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 126134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 126137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 126140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 126152 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 126156 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 126160 */   // MIs[1] Operand 1
     /* 126160 */   // No operand predicates
     /* 126160 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126162 */   // (vector_insert:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] }):$lane)  =>  (MVE_VMOV_to_lane_8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src1, rGPR:{ *:[i32] }:$src2, (imm:{ *:[i32] }):$lane)
     /* 126162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMOV_to_lane_8),
     /* 126165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 126167 */   GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126169 */   GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 126171 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // lane
     /* 126174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126177 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126183 */   GIR_RootConstrainSelectedInstOperands,
     /* 126184 */   // GIR_Coverage, 3432,
     /* 126184 */   GIR_EraseRootFromParent_Done,
     /* 126185 */ // Label 2515: @126185
     /* 126185 */ GIM_Reject,
     /* 126186 */ // Label 2511: @126186
     /* 126186 */ GIM_Reject,
     /* 126187 */ // Label 62: @126187
     /* 126187 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(126243), // Rule ID 1567 //
     /* 126192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRegs_HasFastVGETLNi32),
     /* 126195 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 126198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 126201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 126204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 126208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126212 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126216 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 126220 */   // MIs[1] Operand 1
     /* 126220 */   // No operand predicates
     /* 126220 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126222 */   // (extractelt:{ *:[i32] } DPR:{ *:[v2i32] }:$V, (imm:{ *:[i32] }):$lane)  =>  (VGETLNi32:{ *:[i32] } DPR:{ *:[v2i32] }:$V, (imm:{ *:[i32] }):$lane)
     /* 126222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VGETLNi32),
     /* 126225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[R]
     /* 126227 */   GIR_RootToRootCopy, /*OpIdx*/1, // V
     /* 126229 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // lane
     /* 126232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126235 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126241 */   GIR_RootConstrainSelectedInstOperands,
     /* 126242 */   // GIR_Coverage, 1567,
     /* 126242 */   GIR_EraseRootFromParent_Done,
     /* 126243 */ // Label 2516: @126243
     /* 126243 */ GIM_Reject,
     /* 126244 */ // Label 63: @126244
     /* 126244 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 2524*/ GIMT_Encode4(126804),
     /* 126255 */ /*GILLT_s32*//*Label 2517*/ GIMT_Encode4(126315), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126267 */ /*GILLT_v2s32*//*Label 2518*/ GIMT_Encode4(126393), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126279 */ /*GILLT_v4s16*//*Label 2519*/ GIMT_Encode4(126431),
     /* 126283 */ /*GILLT_v4s32*//*Label 2520*/ GIMT_Encode4(126469), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126295 */ /*GILLT_v8s8*//*Label 2521*/ GIMT_Encode4(126568),
     /* 126299 */ /*GILLT_v8s16*//*Label 2522*/ GIMT_Encode4(126606), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126311 */ /*GILLT_v16s8*//*Label 2523*/ GIMT_Encode4(126705),
     /* 126315 */ // Label 2517: @126315
     /* 126315 */ GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(126392),
     /* 126320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 126323 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(126357), // Rule ID 197 //
     /* 126328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5T_IsARM),
     /* 126331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 126335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 126339 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$Rm)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /* 126339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::CLZ),
     /* 126342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 126346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126355 */     GIR_RootConstrainSelectedInstOperands,
     /* 126356 */     // GIR_Coverage, 197,
     /* 126356 */     GIR_EraseRootFromParent_Done,
     /* 126357 */   // Label 2526: @126357
     /* 126357 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(126391), // Rule ID 534 //
     /* 126362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 126365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 126369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 126373 */     // (ctlz:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)  =>  (t2CLZ:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /* 126373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2CLZ),
     /* 126376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126378 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 126380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126389 */     GIR_RootConstrainSelectedInstOperands,
     /* 126390 */     // GIR_Coverage, 534,
     /* 126390 */     GIR_EraseRootFromParent_Done,
     /* 126391 */   // Label 2527: @126391
     /* 126391 */   GIM_Reject,
     /* 126392 */ // Label 2525: @126392
     /* 126392 */ GIM_Reject,
     /* 126393 */ // Label 2518: @126393
     /* 126393 */ GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(126430), // Rule ID 1545 //
     /* 126398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 126404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126412 */   // (ctlz:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)  =>  (VCLZv2i32:{ *:[v2i32] } DPR:{ *:[v2i32] }:$Vm)
     /* 126412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLZv2i32),
     /* 126415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126417 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126422 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126428 */   GIR_RootConstrainSelectedInstOperands,
     /* 126429 */   // GIR_Coverage, 1545,
     /* 126429 */   GIR_EraseRootFromParent_Done,
     /* 126430 */ // Label 2528: @126430
     /* 126430 */ GIM_Reject,
     /* 126431 */ // Label 2519: @126431
     /* 126431 */ GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(126468), // Rule ID 1544 //
     /* 126436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 126442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126450 */   // (ctlz:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm)  =>  (VCLZv4i16:{ *:[v4i16] } DPR:{ *:[v4i16] }:$Vm)
     /* 126450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLZv4i16),
     /* 126453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126455 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126460 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126466 */   GIR_RootConstrainSelectedInstOperands,
     /* 126467 */   // GIR_Coverage, 1544,
     /* 126467 */   GIR_EraseRootFromParent_Done,
     /* 126468 */ // Label 2529: @126468
     /* 126468 */ GIM_Reject,
     /* 126469 */ // Label 2520: @126469
     /* 126469 */ GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(126567),
     /* 126474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 126477 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(126511), // Rule ID 1548 //
     /* 126482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126493 */     // (ctlz:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)  =>  (VCLZv4i32:{ *:[v4i32] } QPR:{ *:[v4i32] }:$Vm)
     /* 126493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLZv4i32),
     /* 126496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126498 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126509 */     GIR_RootConstrainSelectedInstOperands,
     /* 126510 */     // GIR_Coverage, 1548,
     /* 126510 */     GIR_EraseRootFromParent_Done,
     /* 126511 */   // Label 2531: @126511
     /* 126511 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(126566), // Rule ID 3655 //
     /* 126516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 126519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126527 */     // (ctlz:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$val)  =>  (MVE_VCLZs32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$val)
     /* 126527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 126530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCLZs32),
     /* 126542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 126544 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 126546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126564 */     GIR_RootConstrainSelectedInstOperands,
     /* 126565 */     // GIR_Coverage, 3655,
     /* 126565 */     GIR_EraseRootFromParent_Done,
     /* 126566 */   // Label 2532: @126566
     /* 126566 */   GIM_Reject,
     /* 126567 */ // Label 2530: @126567
     /* 126567 */ GIM_Reject,
     /* 126568 */ // Label 2521: @126568
     /* 126568 */ GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(126605), // Rule ID 1543 //
     /* 126573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 126579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126587 */   // (ctlz:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)  =>  (VCLZv8i8:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)
     /* 126587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLZv8i8),
     /* 126590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126592 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126597 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126603 */   GIR_RootConstrainSelectedInstOperands,
     /* 126604 */   // GIR_Coverage, 1543,
     /* 126604 */   GIR_EraseRootFromParent_Done,
     /* 126605 */ // Label 2533: @126605
     /* 126605 */ GIM_Reject,
     /* 126606 */ // Label 2522: @126606
     /* 126606 */ GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(126704),
     /* 126611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 126614 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(126648), // Rule ID 1547 //
     /* 126619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126630 */     // (ctlz:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm)  =>  (VCLZv8i16:{ *:[v8i16] } QPR:{ *:[v8i16] }:$Vm)
     /* 126630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLZv8i16),
     /* 126633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126646 */     GIR_RootConstrainSelectedInstOperands,
     /* 126647 */     // GIR_Coverage, 1547,
     /* 126647 */     GIR_EraseRootFromParent_Done,
     /* 126648 */   // Label 2535: @126648
     /* 126648 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(126703), // Rule ID 3653 //
     /* 126653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 126656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126664 */     // (ctlz:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$val)  =>  (MVE_VCLZs16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$val)
     /* 126664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 126667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCLZs16),
     /* 126679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 126681 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 126683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126686 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126701 */     GIR_RootConstrainSelectedInstOperands,
     /* 126702 */     // GIR_Coverage, 3653,
     /* 126702 */     GIR_EraseRootFromParent_Done,
     /* 126703 */   // Label 2536: @126703
     /* 126703 */   GIM_Reject,
     /* 126704 */ // Label 2534: @126704
     /* 126704 */ GIM_Reject,
     /* 126705 */ // Label 2523: @126705
     /* 126705 */ GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(126803),
     /* 126710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 126713 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(126747), // Rule ID 1546 //
     /* 126718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126729 */     // (ctlz:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)  =>  (VCLZv16i8:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /* 126729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCLZv16i8),
     /* 126732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126734 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126745 */     GIR_RootConstrainSelectedInstOperands,
     /* 126746 */     // GIR_Coverage, 1546,
     /* 126746 */     GIR_EraseRootFromParent_Done,
     /* 126747 */   // Label 2538: @126747
     /* 126747 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(126802), // Rule ID 3651 //
     /* 126752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 126755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 126763 */     // (ctlz:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$val)  =>  (MVE_VCLZs8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$val)
     /* 126763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 126766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VCLZs8),
     /* 126778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 126780 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 126782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126791 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126800 */     GIR_RootConstrainSelectedInstOperands,
     /* 126801 */     // GIR_Coverage, 3651,
     /* 126801 */     GIR_EraseRootFromParent_Done,
     /* 126802 */   // Label 2539: @126802
     /* 126802 */   GIM_Reject,
     /* 126803 */ // Label 2537: @126803
     /* 126803 */ GIM_Reject,
     /* 126804 */ // Label 2524: @126804
     /* 126804 */ GIM_Reject,
     /* 126805 */ // Label 64: @126805
     /* 126805 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(11), GIMT_Encode2(16), /*)*//*default:*//*Label 2542*/ GIMT_Encode4(126912),
     /* 126816 */ /*GILLT_v8s8*//*Label 2540*/ GIMT_Encode4(126836), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126832 */ /*GILLT_v16s8*//*Label 2541*/ GIMT_Encode4(126874),
     /* 126836 */ // Label 2540: @126836
     /* 126836 */ GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(126873), // Rule ID 1549 //
     /* 126841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 126847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 126855 */   // (ctpop:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)  =>  (VCNTd:{ *:[v8i8] } DPR:{ *:[v8i8] }:$Vm)
     /* 126855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCNTd),
     /* 126858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126860 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126865 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126871 */   GIR_RootConstrainSelectedInstOperands,
     /* 126872 */   // GIR_Coverage, 1549,
     /* 126872 */   GIR_EraseRootFromParent_Done,
     /* 126873 */ // Label 2543: @126873
     /* 126873 */ GIM_Reject,
     /* 126874 */ // Label 2541: @126874
     /* 126874 */ GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(126911), // Rule ID 1550 //
     /* 126879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 126882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 126885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 126893 */   // (ctpop:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)  =>  (VCNTq:{ *:[v16i8] } QPR:{ *:[v16i8] }:$Vm)
     /* 126893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VCNTq),
     /* 126896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 126898 */   GIR_RootToRootCopy, /*OpIdx*/1, // Vm
     /* 126900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 126903 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126909 */   GIR_RootConstrainSelectedInstOperands,
     /* 126910 */   // GIR_Coverage, 1550,
     /* 126910 */   GIR_EraseRootFromParent_Done,
     /* 126911 */ // Label 2544: @126911
     /* 126911 */ GIM_Reject,
     /* 126912 */ // Label 2542: @126912
     /* 126912 */ GIM_Reject,
     /* 126913 */ // Label 65: @126913
     /* 126913 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(13), /*)*//*default:*//*Label 2548*/ GIMT_Encode4(127202),
     /* 126924 */ /*GILLT_s32*//*Label 2545*/ GIMT_Encode4(126972), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126952 */ /*GILLT_v4s32*//*Label 2546*/ GIMT_Encode4(127084), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126968 */ /*GILLT_v8s16*//*Label 2547*/ GIMT_Encode4(127143),
     /* 126972 */ // Label 2545: @126972
     /* 126972 */ GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(127083),
     /* 126977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 126980 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(127014), // Rule ID 199 //
     /* 126985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsARM),
     /* 126988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 126992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 126996 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$Rm)  =>  (REV:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /* 126996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::REV),
     /* 126999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127001 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 127003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 127006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127012 */     GIR_RootConstrainSelectedInstOperands,
     /* 127013 */     // GIR_Coverage, 199,
     /* 127013 */     GIR_EraseRootFromParent_Done,
     /* 127014 */   // Label 2550: @127014
     /* 127014 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(127048), // Rule ID 326 //
     /* 127019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6_IsThumb_IsThumb1Only),
     /* 127022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 127026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::tGPRRegClassID),
     /* 127030 */     // (bswap:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)  =>  (tREV:{ *:[i32] } tGPR:{ *:[i32] }:$Rm)
     /* 127030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tREV),
     /* 127033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127035 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 127037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 127040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127046 */     GIR_RootConstrainSelectedInstOperands,
     /* 127047 */     // GIR_Coverage, 326,
     /* 127047 */     GIR_EraseRootFromParent_Done,
     /* 127048 */   // Label 2551: @127048
     /* 127048 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(127082), // Rule ID 536 //
     /* 127053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 127056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 127060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 127064 */     // (bswap:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)  =>  (t2REV:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /* 127064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2REV),
     /* 127067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127069 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 127071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 127074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127080 */     GIR_RootConstrainSelectedInstOperands,
     /* 127081 */     // GIR_Coverage, 536,
     /* 127081 */     GIR_EraseRootFromParent_Done,
     /* 127082 */   // Label 2552: @127082
     /* 127082 */   GIM_Reject,
     /* 127083 */ // Label 2549: @127083
     /* 127083 */ GIM_Reject,
     /* 127084 */ // Label 2546: @127084
     /* 127084 */ GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(127142), // Rule ID 3328 //
     /* 127089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 127092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 127095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127103 */   // (bswap:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VREV32_8:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src)
     /* 127103 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 127106 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 127110 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV32_8),
     /* 127118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 127120 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 127122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127125 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127131 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 127140 */   GIR_RootConstrainSelectedInstOperands,
     /* 127141 */   // GIR_Coverage, 3328,
     /* 127141 */   GIR_EraseRootFromParent_Done,
     /* 127142 */ // Label 2553: @127142
     /* 127142 */ GIM_Reject,
     /* 127143 */ // Label 2547: @127143
     /* 127143 */ GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(127201), // Rule ID 3327 //
     /* 127148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 127151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 127154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127162 */   // (bswap:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VREV16_8:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src)
     /* 127162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 127165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 127169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VREV16_8),
     /* 127177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 127179 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 127181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127184 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127190 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127196 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 127199 */   GIR_RootConstrainSelectedInstOperands,
     /* 127200 */   // GIR_Coverage, 3327,
     /* 127200 */   GIR_EraseRootFromParent_Done,
     /* 127201 */ // Label 2554: @127201
     /* 127201 */ GIM_Reject,
     /* 127202 */ // Label 2548: @127202
     /* 127202 */ GIM_Reject,
     /* 127203 */ // Label 66: @127203
     /* 127203 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(16), /*)*//*default:*//*Label 2559*/ GIMT_Encode4(127634),
     /* 127214 */ /*GILLT_s32*//*Label 2555*/ GIMT_Encode4(127274), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 127242 */ /*GILLT_v4s32*//*Label 2556*/ GIMT_Encode4(127352), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 127258 */ /*GILLT_v8s16*//*Label 2557*/ GIMT_Encode4(127446), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 127270 */ /*GILLT_v16s8*//*Label 2558*/ GIMT_Encode4(127540),
     /* 127274 */ // Label 2555: @127274
     /* 127274 */ GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(127351),
     /* 127279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 127282 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(127316), // Rule ID 198 //
     /* 127287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV6T2_IsARM),
     /* 127290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 127294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::GPRRegClassID),
     /* 127298 */     // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$Rm)  =>  (RBIT:{ *:[i32] } GPR:{ *:[i32] }:$Rm)
     /* 127298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::RBIT),
     /* 127301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 127305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 127308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127314 */     GIR_RootConstrainSelectedInstOperands,
     /* 127315 */     // GIR_Coverage, 198,
     /* 127315 */     GIR_EraseRootFromParent_Done,
     /* 127316 */   // Label 2561: @127316
     /* 127316 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(127350), // Rule ID 535 //
     /* 127321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb2),
     /* 127324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 127328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 127332 */     // (bitreverse:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)  =>  (t2RBIT:{ *:[i32] } rGPR:{ *:[i32] }:$Rm)
     /* 127332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::t2RBIT),
     /* 127335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127337 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 127339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 127342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127348 */     GIR_RootConstrainSelectedInstOperands,
     /* 127349 */     // GIR_Coverage, 535,
     /* 127349 */     GIR_EraseRootFromParent_Done,
     /* 127350 */   // Label 2562: @127350
     /* 127350 */   GIM_Reject,
     /* 127351 */ // Label 2560: @127351
     /* 127351 */ GIM_Reject,
     /* 127352 */ // Label 2556: @127352
     /* 127352 */ GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(127445), // Rule ID 4755 //
     /* 127357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 127360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 127363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127371 */   // (bitreverse:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$val1)  =>  (MVE_VBRSR32:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$val1, (t2MOVi:{ *:[i32] } 32:{ *:[i32] }))
     /* 127371 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 127374 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 127378 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127383 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 127386 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 127390 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127395 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 127398 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 127401 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127407 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127413 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 127415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR32),
     /* 127418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 127420 */   GIR_RootToRootCopy, /*OpIdx*/1, // val1
     /* 127422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 127425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127428 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127434 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127440 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 127443 */   GIR_RootConstrainSelectedInstOperands,
     /* 127444 */   // GIR_Coverage, 4755,
     /* 127444 */   GIR_EraseRootFromParent_Done,
     /* 127445 */ // Label 2563: @127445
     /* 127445 */ GIM_Reject,
     /* 127446 */ // Label 2557: @127446
     /* 127446 */ GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(127539), // Rule ID 4756 //
     /* 127451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 127454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 127457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127465 */   // (bitreverse:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$val1)  =>  (MVE_VBRSR16:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$val1, (t2MOVi:{ *:[i32] } 16:{ *:[i32] }))
     /* 127465 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 127468 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 127472 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127477 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 127480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 127484 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127489 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 127492 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 127495 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127501 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 127509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR16),
     /* 127512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 127514 */   GIR_RootToRootCopy, /*OpIdx*/1, // val1
     /* 127516 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 127519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127522 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127528 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127534 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 127537 */   GIR_RootConstrainSelectedInstOperands,
     /* 127538 */   // GIR_Coverage, 4756,
     /* 127538 */   GIR_EraseRootFromParent_Done,
     /* 127539 */ // Label 2564: @127539
     /* 127539 */ GIM_Reject,
     /* 127540 */ // Label 2558: @127540
     /* 127540 */ GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(127633), // Rule ID 4754 //
     /* 127545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 127548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 127551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127559 */   // (bitreverse:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$val1)  =>  (MVE_VBRSR8:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$val1, (t2MOVi:{ *:[i32] } 8:{ *:[i32] }))
     /* 127559 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 127562 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 127566 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 127574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 127578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127583 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 127586 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 127589 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127595 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 127603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VBRSR8),
     /* 127606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 127608 */   GIR_RootToRootCopy, /*OpIdx*/1, // val1
     /* 127610 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 127613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127616 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127622 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 127631 */   GIR_RootConstrainSelectedInstOperands,
     /* 127632 */   // GIR_Coverage, 4754,
     /* 127632 */   GIR_EraseRootFromParent_Done,
     /* 127633 */ // Label 2565: @127633
     /* 127633 */ GIM_Reject,
     /* 127634 */ // Label 2559: @127634
     /* 127634 */ GIM_Reject,
     /* 127635 */ // Label 67: @127635
     /* 127635 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2573*/ GIMT_Encode4(128009),
     /* 127646 */ /*GILLT_s16*//*Label 2566*/ GIMT_Encode4(127698),
     /* 127650 */ /*GILLT_s32*//*Label 2567*/ GIMT_Encode4(127725),
     /* 127654 */ /*GILLT_s64*//*Label 2568*/ GIMT_Encode4(127752), GIMT_Encode4(0),
     /* 127662 */ /*GILLT_v2s32*//*Label 2569*/ GIMT_Encode4(127779), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 127674 */ /*GILLT_v4s16*//*Label 2570*/ GIMT_Encode4(127806),
     /* 127678 */ /*GILLT_v4s32*//*Label 2571*/ GIMT_Encode4(127833), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 127694 */ /*GILLT_v8s16*//*Label 2572*/ GIMT_Encode4(127921),
     /* 127698 */ // Label 2566: @127698
     /* 127698 */ GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(127724), // Rule ID 680 //
     /* 127703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 127706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 127709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 127713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 127717 */   // (fceil:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VRINTPH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /* 127717 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTPH),
     /* 127722 */   GIR_RootConstrainSelectedInstOperands,
     /* 127723 */   // GIR_Coverage, 680,
     /* 127723 */   GIR_Done,
     /* 127724 */ // Label 2574: @127724
     /* 127724 */ GIM_Reject,
     /* 127725 */ // Label 2567: @127725
     /* 127725 */ GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(127751), // Rule ID 681 //
     /* 127730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 127733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 127736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 127740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 127744 */   // (fceil:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VRINTPS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /* 127744 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTPS),
     /* 127749 */   GIR_RootConstrainSelectedInstOperands,
     /* 127750 */   // GIR_Coverage, 681,
     /* 127750 */   GIR_Done,
     /* 127751 */ // Label 2575: @127751
     /* 127751 */ GIM_Reject,
     /* 127752 */ // Label 2568: @127752
     /* 127752 */ GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(127778), // Rule ID 682 //
     /* 127757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 127760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 127763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 127767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 127771 */   // (fceil:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VRINTPD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /* 127771 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTPD),
     /* 127776 */   GIR_RootConstrainSelectedInstOperands,
     /* 127777 */   // GIR_Coverage, 682,
     /* 127777 */   GIR_Done,
     /* 127778 */ // Label 2576: @127778
     /* 127778 */ GIM_Reject,
     /* 127779 */ // Label 2569: @127779
     /* 127779 */ GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(127805), // Rule ID 1708 //
     /* 127784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /* 127787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 127790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 127794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 127798 */   // (fceil:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VRINTPNDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /* 127798 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTPNDf),
     /* 127803 */   GIR_RootConstrainSelectedInstOperands,
     /* 127804 */   // GIR_Coverage, 1708,
     /* 127804 */   GIR_Done,
     /* 127805 */ // Label 2577: @127805
     /* 127805 */ GIM_Reject,
     /* 127806 */ // Label 2570: @127806
     /* 127806 */ GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(127832), // Rule ID 1710 //
     /* 127811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /* 127814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 127817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 127821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 127825 */   // (fceil:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VRINTPNDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /* 127825 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTPNDh),
     /* 127830 */   GIR_RootConstrainSelectedInstOperands,
     /* 127831 */   // GIR_Coverage, 1710,
     /* 127831 */   GIR_Done,
     /* 127832 */ // Label 2578: @127832
     /* 127832 */ GIM_Reject,
     /* 127833 */ // Label 2571: @127833
     /* 127833 */ GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(127920),
     /* 127838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 127841 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(127864), // Rule ID 1709 //
     /* 127846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /* 127849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 127853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 127857 */     // (fceil:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VRINTPNQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /* 127857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTPNQf),
     /* 127862 */     GIR_RootConstrainSelectedInstOperands,
     /* 127863 */     // GIR_Coverage, 1709,
     /* 127863 */     GIR_Done,
     /* 127864 */   // Label 2580: @127864
     /* 127864 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(127919), // Rule ID 3983 //
     /* 127869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 127872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127880 */     // (fceil:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)  =>  (MVE_VRINTf32P:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)
     /* 127880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 127883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 127887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf32P),
     /* 127895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 127897 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 127899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 127917 */     GIR_RootConstrainSelectedInstOperands,
     /* 127918 */     // GIR_Coverage, 3983,
     /* 127918 */     GIR_EraseRootFromParent_Done,
     /* 127919 */   // Label 2581: @127919
     /* 127919 */   GIM_Reject,
     /* 127920 */ // Label 2579: @127920
     /* 127920 */ GIM_Reject,
     /* 127921 */ // Label 2572: @127921
     /* 127921 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(128008),
     /* 127926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 127929 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(127952), // Rule ID 1711 //
     /* 127934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /* 127937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 127941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 127945 */     // (fceil:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VRINTPNQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /* 127945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTPNQh),
     /* 127950 */     GIR_RootConstrainSelectedInstOperands,
     /* 127951 */     // GIR_Coverage, 1711,
     /* 127951 */     GIR_Done,
     /* 127952 */   // Label 2583: @127952
     /* 127952 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(128007), // Rule ID 3971 //
     /* 127957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 127960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 127968 */     // (fceil:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)  =>  (MVE_VRINTf16P:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)
     /* 127968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 127971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 127975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf16P),
     /* 127983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 127985 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 127987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 127996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128005 */     GIR_RootConstrainSelectedInstOperands,
     /* 128006 */     // GIR_Coverage, 3971,
     /* 128006 */     GIR_EraseRootFromParent_Done,
     /* 128007 */   // Label 2584: @128007
     /* 128007 */   GIM_Reject,
     /* 128008 */ // Label 2582: @128008
     /* 128008 */ GIM_Reject,
     /* 128009 */ // Label 2573: @128009
     /* 128009 */ GIM_Reject,
     /* 128010 */ // Label 68: @128010
     /* 128010 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 2588*/ GIMT_Encode4(128147),
     /* 128021 */ /*GILLT_s16*//*Label 2585*/ GIMT_Encode4(128033),
     /* 128025 */ /*GILLT_s32*//*Label 2586*/ GIMT_Encode4(128071),
     /* 128029 */ /*GILLT_s64*//*Label 2587*/ GIMT_Encode4(128109),
     /* 128033 */ // Label 2585: @128033
     /* 128033 */ GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(128070), // Rule ID 688 //
     /* 128038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 128041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 128044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128052 */   // (fsqrt:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VSQRTH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /* 128052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSQRTH),
     /* 128055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 128057 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 128059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 128062 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128068 */   GIR_RootConstrainSelectedInstOperands,
     /* 128069 */   // GIR_Coverage, 688,
     /* 128069 */   GIR_EraseRootFromParent_Done,
     /* 128070 */ // Label 2589: @128070
     /* 128070 */ GIM_Reject,
     /* 128071 */ // Label 2586: @128071
     /* 128071 */ GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(128108), // Rule ID 687 //
     /* 128076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVFP2),
     /* 128079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 128082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 128086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 128090 */   // (fsqrt:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VSQRTS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /* 128090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSQRTS),
     /* 128093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 128095 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 128097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 128100 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128106 */   GIR_RootConstrainSelectedInstOperands,
     /* 128107 */   // GIR_Coverage, 687,
     /* 128107 */   GIR_EraseRootFromParent_Done,
     /* 128108 */ // Label 2590: @128108
     /* 128108 */ GIM_Reject,
     /* 128109 */ // Label 2587: @128109
     /* 128109 */ GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(128146), // Rule ID 686 //
     /* 128114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasVFP2),
     /* 128117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 128120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128128 */   // (fsqrt:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VSQRTD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /* 128128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VSQRTD),
     /* 128131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 128133 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 128135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 128138 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128144 */   GIR_RootConstrainSelectedInstOperands,
     /* 128145 */   // GIR_Coverage, 686,
     /* 128145 */   GIR_EraseRootFromParent_Done,
     /* 128146 */ // Label 2591: @128146
     /* 128146 */ GIM_Reject,
     /* 128147 */ // Label 2588: @128147
     /* 128147 */ GIM_Reject,
     /* 128148 */ // Label 69: @128148
     /* 128148 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2599*/ GIMT_Encode4(128522),
     /* 128159 */ /*GILLT_s16*//*Label 2592*/ GIMT_Encode4(128211),
     /* 128163 */ /*GILLT_s32*//*Label 2593*/ GIMT_Encode4(128238),
     /* 128167 */ /*GILLT_s64*//*Label 2594*/ GIMT_Encode4(128265), GIMT_Encode4(0),
     /* 128175 */ /*GILLT_v2s32*//*Label 2595*/ GIMT_Encode4(128292), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 128187 */ /*GILLT_v4s16*//*Label 2596*/ GIMT_Encode4(128319),
     /* 128191 */ /*GILLT_v4s32*//*Label 2597*/ GIMT_Encode4(128346), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 128207 */ /*GILLT_v8s16*//*Label 2598*/ GIMT_Encode4(128434),
     /* 128211 */ // Label 2592: @128211
     /* 128211 */ GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(128237), // Rule ID 683 //
     /* 128216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 128219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 128222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128230 */   // (ffloor:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VRINTMH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /* 128230 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTMH),
     /* 128235 */   GIR_RootConstrainSelectedInstOperands,
     /* 128236 */   // GIR_Coverage, 683,
     /* 128236 */   GIR_Done,
     /* 128237 */ // Label 2600: @128237
     /* 128237 */ GIM_Reject,
     /* 128238 */ // Label 2593: @128238
     /* 128238 */ GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(128264), // Rule ID 684 //
     /* 128243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 128246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 128249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 128253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 128257 */   // (ffloor:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VRINTMS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /* 128257 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTMS),
     /* 128262 */   GIR_RootConstrainSelectedInstOperands,
     /* 128263 */   // GIR_Coverage, 684,
     /* 128263 */   GIR_Done,
     /* 128264 */ // Label 2601: @128264
     /* 128264 */ GIM_Reject,
     /* 128265 */ // Label 2594: @128265
     /* 128265 */ GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(128291), // Rule ID 685 //
     /* 128270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 128273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 128276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128284 */   // (ffloor:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VRINTMD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /* 128284 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTMD),
     /* 128289 */   GIR_RootConstrainSelectedInstOperands,
     /* 128290 */   // GIR_Coverage, 685,
     /* 128290 */   GIR_Done,
     /* 128291 */ // Label 2602: @128291
     /* 128291 */ GIM_Reject,
     /* 128292 */ // Label 2595: @128292
     /* 128292 */ GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(128318), // Rule ID 1704 //
     /* 128297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /* 128300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 128303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128311 */   // (ffloor:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VRINTMNDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /* 128311 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTMNDf),
     /* 128316 */   GIR_RootConstrainSelectedInstOperands,
     /* 128317 */   // GIR_Coverage, 1704,
     /* 128317 */   GIR_Done,
     /* 128318 */ // Label 2603: @128318
     /* 128318 */ GIM_Reject,
     /* 128319 */ // Label 2596: @128319
     /* 128319 */ GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(128345), // Rule ID 1706 //
     /* 128324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /* 128327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 128330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128338 */   // (ffloor:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VRINTMNDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /* 128338 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTMNDh),
     /* 128343 */   GIR_RootConstrainSelectedInstOperands,
     /* 128344 */   // GIR_Coverage, 1706,
     /* 128344 */   GIR_Done,
     /* 128345 */ // Label 2604: @128345
     /* 128345 */ GIM_Reject,
     /* 128346 */ // Label 2597: @128346
     /* 128346 */ GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(128433),
     /* 128351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 128354 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(128377), // Rule ID 1705 //
     /* 128359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /* 128362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128370 */     // (ffloor:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VRINTMNQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /* 128370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTMNQf),
     /* 128375 */     GIR_RootConstrainSelectedInstOperands,
     /* 128376 */     // GIR_Coverage, 1705,
     /* 128376 */     GIR_Done,
     /* 128377 */   // Label 2606: @128377
     /* 128377 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(128432), // Rule ID 3981 //
     /* 128382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 128385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128393 */     // (ffloor:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)  =>  (MVE_VRINTf32M:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)
     /* 128393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 128396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 128400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf32M),
     /* 128408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 128410 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 128412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128430 */     GIR_RootConstrainSelectedInstOperands,
     /* 128431 */     // GIR_Coverage, 3981,
     /* 128431 */     GIR_EraseRootFromParent_Done,
     /* 128432 */   // Label 2607: @128432
     /* 128432 */   GIM_Reject,
     /* 128433 */ // Label 2605: @128433
     /* 128433 */ GIM_Reject,
     /* 128434 */ // Label 2598: @128434
     /* 128434 */ GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(128521),
     /* 128439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 128442 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(128465), // Rule ID 1707 //
     /* 128447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /* 128450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128458 */     // (ffloor:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VRINTMNQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /* 128458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTMNQh),
     /* 128463 */     GIR_RootConstrainSelectedInstOperands,
     /* 128464 */     // GIR_Coverage, 1707,
     /* 128464 */     GIR_Done,
     /* 128465 */   // Label 2609: @128465
     /* 128465 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(128520), // Rule ID 3969 //
     /* 128470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 128473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128481 */     // (ffloor:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)  =>  (MVE_VRINTf16M:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)
     /* 128481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 128484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 128488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf16M),
     /* 128496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 128498 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 128500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128509 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128518 */     GIR_RootConstrainSelectedInstOperands,
     /* 128519 */     // GIR_Coverage, 3969,
     /* 128519 */     GIR_EraseRootFromParent_Done,
     /* 128520 */   // Label 2610: @128520
     /* 128520 */   GIM_Reject,
     /* 128521 */ // Label 2608: @128521
     /* 128521 */ GIM_Reject,
     /* 128522 */ // Label 2599: @128522
     /* 128522 */ GIM_Reject,
     /* 128523 */ // Label 70: @128523
     /* 128523 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(13), /*)*//*default:*//*Label 2618*/ GIMT_Encode4(128930),
     /* 128534 */ /*GILLT_s16*//*Label 2611*/ GIMT_Encode4(128586),
     /* 128538 */ /*GILLT_s32*//*Label 2612*/ GIMT_Encode4(128624),
     /* 128542 */ /*GILLT_s64*//*Label 2613*/ GIMT_Encode4(128662), GIMT_Encode4(0),
     /* 128550 */ /*GILLT_v2s32*//*Label 2614*/ GIMT_Encode4(128700), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 128562 */ /*GILLT_v4s16*//*Label 2615*/ GIMT_Encode4(128727),
     /* 128566 */ /*GILLT_v4s32*//*Label 2616*/ GIMT_Encode4(128754), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 128582 */ /*GILLT_v8s16*//*Label 2617*/ GIMT_Encode4(128842),
     /* 128586 */ // Label 2611: @128586
     /* 128586 */ GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(128623), // Rule ID 671 //
     /* 128591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 128594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 128597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128605 */   // (frint:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VRINTXH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /* 128605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTXH),
     /* 128608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 128610 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 128612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 128615 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128621 */   GIR_RootConstrainSelectedInstOperands,
     /* 128622 */   // GIR_Coverage, 671,
     /* 128622 */   GIR_EraseRootFromParent_Done,
     /* 128623 */ // Label 2619: @128623
     /* 128623 */ GIM_Reject,
     /* 128624 */ // Label 2612: @128624
     /* 128624 */ GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(128661), // Rule ID 672 //
     /* 128629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 128632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 128635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 128639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 128643 */   // (frint:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VRINTXS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /* 128643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTXS),
     /* 128646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 128648 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 128650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 128653 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128659 */   GIR_RootConstrainSelectedInstOperands,
     /* 128660 */   // GIR_Coverage, 672,
     /* 128660 */   GIR_EraseRootFromParent_Done,
     /* 128661 */ // Label 2620: @128661
     /* 128661 */ GIM_Reject,
     /* 128662 */ // Label 2613: @128662
     /* 128662 */ GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(128699), // Rule ID 673 //
     /* 128667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 128670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 128673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128681 */   // (frint:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VRINTXD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /* 128681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTXD),
     /* 128684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 128686 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 128688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 128691 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128697 */   GIR_RootConstrainSelectedInstOperands,
     /* 128698 */   // GIR_Coverage, 673,
     /* 128698 */   GIR_EraseRootFromParent_Done,
     /* 128699 */ // Label 2621: @128699
     /* 128699 */ GIM_Reject,
     /* 128700 */ // Label 2614: @128700
     /* 128700 */ GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(128726), // Rule ID 1692 //
     /* 128705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /* 128708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 128711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128719 */   // (frint:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)  =>  (VRINTXNDf:{ *:[v2f32] } DPR:{ *:[v2f32] }:$Vm)
     /* 128719 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTXNDf),
     /* 128724 */   GIR_RootConstrainSelectedInstOperands,
     /* 128725 */   // GIR_Coverage, 1692,
     /* 128725 */   GIR_Done,
     /* 128726 */ // Label 2622: @128726
     /* 128726 */ GIM_Reject,
     /* 128727 */ // Label 2615: @128727
     /* 128727 */ GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(128753), // Rule ID 1694 //
     /* 128732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /* 128735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 128738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 128746 */   // (frint:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)  =>  (VRINTXNDh:{ *:[v4f16] } DPR:{ *:[v4f16] }:$Vm)
     /* 128746 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTXNDh),
     /* 128751 */   GIR_RootConstrainSelectedInstOperands,
     /* 128752 */   // GIR_Coverage, 1694,
     /* 128752 */   GIR_Done,
     /* 128753 */ // Label 2623: @128753
     /* 128753 */ GIM_Reject,
     /* 128754 */ // Label 2616: @128754
     /* 128754 */ GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(128841),
     /* 128759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 128762 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(128785), // Rule ID 1693 //
     /* 128767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasV8),
     /* 128770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128778 */     // (frint:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)  =>  (VRINTXNQf:{ *:[v4f32] } QPR:{ *:[v4f32] }:$Vm)
     /* 128778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTXNQf),
     /* 128783 */     GIR_RootConstrainSelectedInstOperands,
     /* 128784 */     // GIR_Coverage, 1693,
     /* 128784 */     GIR_Done,
     /* 128785 */   // Label 2625: @128785
     /* 128785 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(128840), // Rule ID 3975 //
     /* 128790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 128793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128801 */     // (frint:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)  =>  (MVE_VRINTf32X:{ *:[v4f32] } MQPR:{ *:[v4f32] }:$val)
     /* 128801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 128804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 128808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf32X),
     /* 128816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 128818 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 128820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128838 */     GIR_RootConstrainSelectedInstOperands,
     /* 128839 */     // GIR_Coverage, 3975,
     /* 128839 */     GIR_EraseRootFromParent_Done,
     /* 128840 */   // Label 2626: @128840
     /* 128840 */   GIM_Reject,
     /* 128841 */ // Label 2624: @128841
     /* 128841 */ GIM_Reject,
     /* 128842 */ // Label 2617: @128842
     /* 128842 */ GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(128929),
     /* 128847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 128850 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(128873), // Rule ID 1695 //
     /* 128855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON_HasV8),
     /* 128858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::QPRRegClassID),
     /* 128866 */     // (frint:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)  =>  (VRINTXNQh:{ *:[v8f16] } QPR:{ *:[v8f16] }:$Vm)
     /* 128866 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::VRINTXNQh),
     /* 128871 */     GIR_RootConstrainSelectedInstOperands,
     /* 128872 */     // GIR_Coverage, 1695,
     /* 128872 */     GIR_Done,
     /* 128873 */   // Label 2628: @128873
     /* 128873 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(128928), // Rule ID 3963 //
     /* 128878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEFloat),
     /* 128881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 128889 */     // (frint:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)  =>  (MVE_VRINTf16X:{ *:[v8f16] } MQPR:{ *:[v8f16] }:$val)
     /* 128889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 128892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 128896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VRINTf16X),
     /* 128904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Qd]
     /* 128906 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 128908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128911 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128917 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128926 */     GIR_RootConstrainSelectedInstOperands,
     /* 128927 */     // GIR_Coverage, 3963,
     /* 128927 */     GIR_EraseRootFromParent_Done,
     /* 128928 */   // Label 2629: @128928
     /* 128928 */   GIM_Reject,
     /* 128929 */ // Label 2627: @128929
     /* 128929 */ GIM_Reject,
     /* 128930 */ // Label 2618: @128930
     /* 128930 */ GIM_Reject,
     /* 128931 */ // Label 71: @128931
     /* 128931 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 2633*/ GIMT_Encode4(129068),
     /* 128942 */ /*GILLT_s16*//*Label 2630*/ GIMT_Encode4(128954),
     /* 128946 */ /*GILLT_s32*//*Label 2631*/ GIMT_Encode4(128992),
     /* 128950 */ /*GILLT_s64*//*Label 2632*/ GIMT_Encode4(129030),
     /* 128954 */ // Label 2630: @128954
     /* 128954 */ GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(128991), // Rule ID 668 //
     /* 128959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 128962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 128965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::HPRRegClassID),
     /* 128973 */   // (fnearbyint:{ *:[f16] } HPR:{ *:[f16] }:$Sm)  =>  (VRINTRH:{ *:[f16] } HPR:{ *:[f16] }:$Sm)
     /* 128973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTRH),
     /* 128976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 128978 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 128980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 128983 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128989 */   GIR_RootConstrainSelectedInstOperands,
     /* 128990 */   // GIR_Coverage, 668,
     /* 128990 */   GIR_EraseRootFromParent_Done,
     /* 128991 */ // Label 2634: @128991
     /* 128991 */ GIM_Reject,
     /* 128992 */ // Label 2631: @128992
     /* 128992 */ GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(129029), // Rule ID 669 //
     /* 128997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 129000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 129003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 129007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::SPRRegClassID),
     /* 129011 */   // (fnearbyint:{ *:[f32] } SPR:{ *:[f32] }:$Sm)  =>  (VRINTRS:{ *:[f32] } SPR:{ *:[f32] }:$Sm)
     /* 129011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTRS),
     /* 129014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Sd]
     /* 129016 */   GIR_RootToRootCopy, /*OpIdx*/1, // Sm
     /* 129018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 129021 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129027 */   GIR_RootConstrainSelectedInstOperands,
     /* 129028 */   // GIR_Coverage, 669,
     /* 129028 */   GIR_EraseRootFromParent_Done,
     /* 129029 */ // Label 2635: @129029
     /* 129029 */ GIM_Reject,
     /* 129030 */ // Label 2632: @129030
     /* 129030 */ GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(129067), // Rule ID 670 //
     /* 129035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDPVFP_HasFPARMv8),
     /* 129038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 129041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 129045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::DPRRegClassID),
     /* 129049 */   // (fnearbyint:{ *:[f64] } DPR:{ *:[f64] }:$Dm)  =>  (VRINTRD:{ *:[f64] } DPR:{ *:[f64] }:$Dm)
     /* 129049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::VRINTRD),
     /* 129052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Dd]
     /* 129054 */   GIR_RootToRootCopy, /*OpIdx*/1, // Dm
     /* 129056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/14,
     /* 129059 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129065 */   GIR_RootConstrainSelectedInstOperands,
     /* 129066 */   // GIR_Coverage, 670,
     /* 129066 */   GIR_EraseRootFromParent_Done,
     /* 129067 */ // Label 2636: @129067
     /* 129067 */ GIM_Reject,
     /* 129068 */ // Label 2633: @129068
     /* 129068 */ GIM_Reject,
     /* 129069 */ // Label 72: @129069
     /* 129069 */ GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(129084), // Rule ID 12 //
     /* 129074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_UseNaClTrap),
     /* 129077 */   // (trap)  =>  (TRAPNaCl)
     /* 129077 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::TRAPNaCl),
     /* 129082 */   GIR_RootConstrainSelectedInstOperands,
     /* 129083 */   // GIR_Coverage, 12,
     /* 129083 */   GIR_Done,
     /* 129084 */ // Label 2637: @129084
     /* 129084 */ GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(129099), // Rule ID 13 //
     /* 129089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DontUseNaClTrap_IsARM),
     /* 129092 */   // (trap)  =>  (TRAP)
     /* 129092 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::TRAP),
     /* 129097 */   GIR_RootConstrainSelectedInstOperands,
     /* 129098 */   // GIR_Coverage, 13,
     /* 129098 */   GIR_Done,
     /* 129099 */ // Label 2638: @129099
     /* 129099 */ GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(129114), // Rule ID 285 //
     /* 129104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb),
     /* 129107 */   // (trap)  =>  (tTRAP)
     /* 129107 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(ARM::tTRAP),
     /* 129112 */   GIR_RootConstrainSelectedInstOperands,
     /* 129113 */   // GIR_Coverage, 285,
     /* 129113 */   GIR_Done,
     /* 129114 */ // Label 2639: @129114
     /* 129114 */ GIM_Reject,
     /* 129115 */ // Label 73: @129115
     /* 129115 */ GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(129131), // Rule ID 1835 //
     /* 129120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5T_IsARM),
     /* 129123 */   // (debugtrap)  =>  (BKPT 0:{ *:[i32] })
     /* 129123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::BKPT),
     /* 129126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129129 */   GIR_RootConstrainSelectedInstOperands,
     /* 129130 */   // GIR_Coverage, 1835,
     /* 129130 */   GIR_EraseRootFromParent_Done,
     /* 129131 */ // Label 2640: @129131
     /* 129131 */ GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(129158), // Rule ID 1836 //
     /* 129136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsARM_NoV5T),
     /* 129139 */   // (debugtrap)  =>  (UDF 254:{ *:[i32] })
     /* 129139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::UDF),
     /* 129142 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(254),
     /* 129152 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129156 */   GIR_RootConstrainSelectedInstOperands,
     /* 129157 */   // GIR_Coverage, 1836,
     /* 129157 */   GIR_EraseRootFromParent_Done,
     /* 129158 */ // Label 2641: @129158
     /* 129158 */ GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(129174), // Rule ID 2021 //
     /* 129163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasV5T_IsThumb),
     /* 129166 */   // (debugtrap)  =>  (tBKPT 0:{ *:[i32] })
     /* 129166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tBKPT),
     /* 129169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129172 */   GIR_RootConstrainSelectedInstOperands,
     /* 129173 */   // GIR_Coverage, 2021,
     /* 129173 */   GIR_EraseRootFromParent_Done,
     /* 129174 */ // Label 2642: @129174
     /* 129174 */ GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(129201), // Rule ID 2022 //
     /* 129179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsThumb_NoV5T),
     /* 129182 */   // (debugtrap)  =>  (tUDF 254:{ *:[i32] })
     /* 129182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::tUDF),
     /* 129185 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(254),
     /* 129195 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129199 */   GIR_RootConstrainSelectedInstOperands,
     /* 129200 */   // GIR_Coverage, 2022,
     /* 129200 */   GIR_EraseRootFromParent_Done,
     /* 129201 */ // Label 2643: @129201
     /* 129201 */ GIM_Reject,
     /* 129202 */ // Label 74: @129202
     /* 129202 */ GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(129622),
     /* 129207 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 129210 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(16), /*)*//*default:*//*Label 2648*/ GIMT_Encode4(129508),
     /* 129221 */   /*GILLT_v4s32*//*Label 2645*/ GIMT_Encode4(129253), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 129237 */   /*GILLT_v8s16*//*Label 2646*/ GIMT_Encode4(129324), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 129249 */   /*GILLT_v16s8*//*Label 2647*/ GIMT_Encode4(129395),
     /* 129253 */   // Label 2645: @129253
     /* 129253 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(129323), // Rule ID 3238 //
     /* 129258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /* 129265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 129269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 129273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 129277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 129281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129293 */     // (vecreduce_add:{ *:[i32] } (mul:{ *:[v4i32] } MQPR:{ *:[v4i32] }:$src1, MQPR:{ *:[v4i32] }:$src2))  =>  (MVE_VMLADAVu32:{ *:[i32] } ?:{ *:[v4i32] }:$src1, ?:{ *:[v4i32] }:$src2)
     /* 129293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVu32),
     /* 129296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 129298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 129302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 129306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129321 */     GIR_RootConstrainSelectedInstOperands,
     /* 129322 */     // GIR_Coverage, 3238,
     /* 129322 */     GIR_EraseRootFromParent_Done,
     /* 129323 */   // Label 2649: @129323
     /* 129323 */   GIM_Reject,
     /* 129324 */   // Label 2646: @129324
     /* 129324 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(129394), // Rule ID 3239 //
     /* 129329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /* 129336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 129340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 129344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 129348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 129352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129364 */     // (vecreduce_add:{ *:[i32] } (mul:{ *:[v8i16] } MQPR:{ *:[v8i16] }:$src1, MQPR:{ *:[v8i16] }:$src2))  =>  (MVE_VMLADAVu16:{ *:[i32] } ?:{ *:[v8i16] }:$src1, ?:{ *:[v8i16] }:$src2)
     /* 129364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVu16),
     /* 129367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 129369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 129373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 129377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129392 */     GIR_RootConstrainSelectedInstOperands,
     /* 129393 */     // GIR_Coverage, 3239,
     /* 129393 */     GIR_EraseRootFromParent_Done,
     /* 129394 */   // Label 2650: @129394
     /* 129394 */   GIM_Reject,
     /* 129395 */   // Label 2647: @129395
     /* 129395 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(129507),
     /* 129400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /* 129404 */     GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(129470), // Rule ID 3242 //
     /* 129409 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129412 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 129416 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 129420 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 129424 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 129428 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129433 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129438 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129440 */       // (vecreduce_add:{ *:[i32] } (mul:{ *:[v16i8] } MQPR:{ *:[v16i8] }:$src1, MQPR:{ *:[v16i8] }:$src2))  =>  (MVE_VMLADAVu8:{ *:[i32] } ?:{ *:[v16i8] }:$src1, ?:{ *:[v16i8] }:$src2)
     /* 129440 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMLADAVu8),
     /* 129443 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 129445 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 129449 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 129453 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129456 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129462 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129468 */       GIR_RootConstrainSelectedInstOperands,
     /* 129469 */       // GIR_Coverage, 3242,
     /* 129469 */       GIR_EraseRootFromParent_Done,
     /* 129470 */     // Label 2652: @129470
     /* 129470 */     GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(129506), // Rule ID 3046 //
     /* 129475 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129478 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129482 */       // (vecreduce_add:{ *:[i32] } MQPR:{ *:[v16i8] }:$vec)  =>  (MVE_VADDVu8no_acc:{ *:[i32] } ?:{ *:[v16i8] }:$vec)
     /* 129482 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu8no_acc),
     /* 129485 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /* 129487 */       GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 129489 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129492 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129498 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129504 */       GIR_RootConstrainSelectedInstOperands,
     /* 129505 */       // GIR_Coverage, 3046,
     /* 129505 */       GIR_EraseRootFromParent_Done,
     /* 129506 */     // Label 2653: @129506
     /* 129506 */     GIM_Reject,
     /* 129507 */   // Label 2651: @129507
     /* 129507 */   GIM_Reject,
     /* 129508 */   // Label 2648: @129508
     /* 129508 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 2656*/ GIMT_Encode4(129621),
     /* 129519 */   /*GILLT_v4s32*//*Label 2654*/ GIMT_Encode4(129539), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 129535 */   /*GILLT_v8s16*//*Label 2655*/ GIMT_Encode4(129580),
     /* 129539 */   // Label 2654: @129539
     /* 129539 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(129579), // Rule ID 3084 //
     /* 129544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /* 129551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129555 */     // (vecreduce_add:{ *:[i32] } MQPR:{ *:[v4i32] }:$vec)  =>  (MVE_VADDVu32no_acc:{ *:[i32] } ?:{ *:[v4i32] }:$vec)
     /* 129555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu32no_acc),
     /* 129558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /* 129560 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 129562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129571 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129577 */     GIR_RootConstrainSelectedInstOperands,
     /* 129578 */     // GIR_Coverage, 3084,
     /* 129578 */     GIR_EraseRootFromParent_Done,
     /* 129579 */   // Label 2657: @129579
     /* 129579 */   GIM_Reject,
     /* 129580 */   // Label 2655: @129580
     /* 129580 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(129620), // Rule ID 3074 //
     /* 129585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::tGPREvenRegClassID),
     /* 129592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129596 */     // (vecreduce_add:{ *:[i32] } MQPR:{ *:[v8i16] }:$vec)  =>  (MVE_VADDVu16no_acc:{ *:[i32] } ?:{ *:[v8i16] }:$vec)
     /* 129596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VADDVu16no_acc),
     /* 129599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rda]
     /* 129601 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 129603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129606 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129618 */     GIR_RootConstrainSelectedInstOperands,
     /* 129619 */     // GIR_Coverage, 3074,
     /* 129619 */     GIR_EraseRootFromParent_Done,
     /* 129620 */   // Label 2658: @129620
     /* 129620 */   GIM_Reject,
     /* 129621 */   // Label 2656: @129621
     /* 129621 */   GIM_Reject,
     /* 129622 */ // Label 2644: @129622
     /* 129622 */ GIM_Reject,
     /* 129623 */ // Label 75: @129623
     /* 129623 */ GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(129902),
     /* 129628 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 129631 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(16), /*)*//*default:*//*Label 2663*/ GIMT_Encode4(129901),
     /* 129642 */   /*GILLT_v4s32*//*Label 2660*/ GIMT_Encode4(129674), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 129658 */   /*GILLT_v8s16*//*Label 2661*/ GIMT_Encode4(129757), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 129670 */   /*GILLT_v16s8*//*Label 2662*/ GIMT_Encode4(129825),
     /* 129674 */   // Label 2660: @129674
     /* 129674 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(129756), // Rule ID 3144 //
     /* 129679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 129686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129690 */     // (vecreduce_smax:{ *:[i32] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VMAXVs32:{ *:[i32] } (t2MOVi:{ *:[i32] } -2147483648:{ *:[i32] }), ?:{ *:[v4i32] }:$src)
     /* 129690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 129697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129702 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(-2147483648),
     /* 129712 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 129715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129721 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVs32),
     /* 129732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 129734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129737 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 129739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129754 */     GIR_RootConstrainSelectedInstOperands,
     /* 129755 */     // GIR_Coverage, 3144,
     /* 129755 */     GIR_EraseRootFromParent_Done,
     /* 129756 */   // Label 2664: @129756
     /* 129756 */   GIM_Reject,
     /* 129757 */   // Label 2661: @129757
     /* 129757 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(129824), // Rule ID 3143 //
     /* 129762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 129769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129773 */     // (vecreduce_smax:{ *:[i32] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VMAXVs16:{ *:[i32] } (t2MOVi32imm:{ *:[i32] } -32768:{ *:[i32] }), ?:{ *:[v8i16] }:$src)
     /* 129773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi32imm),
     /* 129780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129785 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(-32768),
     /* 129795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVs16),
     /* 129800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 129802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129805 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 129807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129822 */     GIR_RootConstrainSelectedInstOperands,
     /* 129823 */     // GIR_Coverage, 3143,
     /* 129823 */     GIR_EraseRootFromParent_Done,
     /* 129824 */   // Label 2665: @129824
     /* 129824 */   GIM_Reject,
     /* 129825 */   // Label 2662: @129825
     /* 129825 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(129900), // Rule ID 3142 //
     /* 129830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 129837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129841 */     // (vecreduce_smax:{ *:[i32] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VMAXVs8:{ *:[i32] } (t2MVNi:{ *:[i32] } 127:{ *:[i32] }), ?:{ *:[v16i8] }:$src)
     /* 129841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MVNi),
     /* 129848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129853 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/127,
     /* 129856 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 129859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVs8),
     /* 129876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 129878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129881 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 129883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129898 */     GIR_RootConstrainSelectedInstOperands,
     /* 129899 */     // GIR_Coverage, 3142,
     /* 129899 */     GIR_EraseRootFromParent_Done,
     /* 129900 */   // Label 2666: @129900
     /* 129900 */   GIM_Reject,
     /* 129901 */   // Label 2663: @129901
     /* 129901 */   GIM_Reject,
     /* 129902 */ // Label 2659: @129902
     /* 129902 */ GIM_Reject,
     /* 129903 */ // Label 76: @129903
     /* 129903 */ GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(130191),
     /* 129908 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 129911 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(16), /*)*//*default:*//*Label 2671*/ GIMT_Encode4(130190),
     /* 129922 */   /*GILLT_v4s32*//*Label 2668*/ GIMT_Encode4(129954), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 129938 */   /*GILLT_v8s16*//*Label 2669*/ GIMT_Encode4(130037), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 129950 */   /*GILLT_v16s8*//*Label 2670*/ GIMT_Encode4(130114),
     /* 129954 */   // Label 2668: @129954
     /* 129954 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(130036), // Rule ID 3150 //
     /* 129959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 129962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 129966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 129970 */     // (vecreduce_smin:{ *:[i32] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VMINVs32:{ *:[i32] } (t2MVNi:{ *:[i32] } -2147483648:{ *:[i32] }), ?:{ *:[v4i32] }:$src)
     /* 129970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MVNi),
     /* 129977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129982 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(-2147483648),
     /* 129992 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 129995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVs32),
     /* 130012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130017 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130022 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130034 */     GIR_RootConstrainSelectedInstOperands,
     /* 130035 */     // GIR_Coverage, 3150,
     /* 130035 */     GIR_EraseRootFromParent_Done,
     /* 130036 */   // Label 2672: @130036
     /* 130036 */   GIM_Reject,
     /* 130037 */   // Label 2669: @130037
     /* 130037 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(130113), // Rule ID 3149 //
     /* 130042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130053 */     // (vecreduce_smin:{ *:[i32] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VMINVs16:{ *:[i32] } (t2MOVi16:{ *:[i32] } 32767:{ *:[i32] }), ?:{ *:[v8i16] }:$src)
     /* 130053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi16),
     /* 130060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130065 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32767),
     /* 130075 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVs16),
     /* 130089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130094 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130111 */     GIR_RootConstrainSelectedInstOperands,
     /* 130112 */     // GIR_Coverage, 3149,
     /* 130112 */     GIR_EraseRootFromParent_Done,
     /* 130113 */   // Label 2673: @130113
     /* 130113 */   GIM_Reject,
     /* 130114 */   // Label 2670: @130114
     /* 130114 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(130189), // Rule ID 3148 //
     /* 130119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130130 */     // (vecreduce_smin:{ *:[i32] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VMINVs8:{ *:[i32] } (t2MOVi:{ *:[i32] } 127:{ *:[i32] }), ?:{ *:[v16i8] }:$src)
     /* 130130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 130137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130142 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/127,
     /* 130145 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVs8),
     /* 130165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130170 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130181 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130187 */     GIR_RootConstrainSelectedInstOperands,
     /* 130188 */     // GIR_Coverage, 3148,
     /* 130188 */     GIR_EraseRootFromParent_Done,
     /* 130189 */   // Label 2674: @130189
     /* 130189 */   GIM_Reject,
     /* 130190 */   // Label 2671: @130190
     /* 130190 */   GIM_Reject,
     /* 130191 */ // Label 2667: @130191
     /* 130191 */ GIM_Reject,
     /* 130192 */ // Label 77: @130192
     /* 130192 */ GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(130472),
     /* 130197 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 130200 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(16), /*)*//*default:*//*Label 2679*/ GIMT_Encode4(130471),
     /* 130211 */   /*GILLT_v4s32*//*Label 2676*/ GIMT_Encode4(130243), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130227 */   /*GILLT_v8s16*//*Label 2677*/ GIMT_Encode4(130319), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130239 */   /*GILLT_v16s8*//*Label 2678*/ GIMT_Encode4(130395),
     /* 130243 */   // Label 2676: @130243
     /* 130243 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(130318), // Rule ID 3147 //
     /* 130248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130259 */     // (vecreduce_umax:{ *:[i32] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VMAXVu32:{ *:[i32] } (t2MOVi:{ *:[i32] } 0:{ *:[i32] }), ?:{ *:[v4i32] }:$src)
     /* 130259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 130266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130271 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 130274 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVu32),
     /* 130294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130299 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130316 */     GIR_RootConstrainSelectedInstOperands,
     /* 130317 */     // GIR_Coverage, 3147,
     /* 130317 */     GIR_EraseRootFromParent_Done,
     /* 130318 */   // Label 2680: @130318
     /* 130318 */   GIM_Reject,
     /* 130319 */   // Label 2677: @130319
     /* 130319 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(130394), // Rule ID 3146 //
     /* 130324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130335 */     // (vecreduce_umax:{ *:[i32] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VMAXVu16:{ *:[i32] } (t2MOVi:{ *:[i32] } 0:{ *:[i32] }), ?:{ *:[v8i16] }:$src)
     /* 130335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 130342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130347 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 130350 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVu16),
     /* 130370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130375 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130392 */     GIR_RootConstrainSelectedInstOperands,
     /* 130393 */     // GIR_Coverage, 3146,
     /* 130393 */     GIR_EraseRootFromParent_Done,
     /* 130394 */   // Label 2681: @130394
     /* 130394 */   GIM_Reject,
     /* 130395 */   // Label 2678: @130395
     /* 130395 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(130470), // Rule ID 3145 //
     /* 130400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130411 */     // (vecreduce_umax:{ *:[i32] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VMAXVu8:{ *:[i32] } (t2MOVi:{ *:[i32] } 0:{ *:[i32] }), ?:{ *:[v16i8] }:$src)
     /* 130411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 130418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130423 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 130426 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130435 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMAXVu8),
     /* 130446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130456 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130468 */     GIR_RootConstrainSelectedInstOperands,
     /* 130469 */     // GIR_Coverage, 3145,
     /* 130469 */     GIR_EraseRootFromParent_Done,
     /* 130470 */   // Label 2682: @130470
     /* 130470 */   GIM_Reject,
     /* 130471 */   // Label 2679: @130471
     /* 130471 */   GIM_Reject,
     /* 130472 */ // Label 2675: @130472
     /* 130472 */ GIM_Reject,
     /* 130473 */ // Label 78: @130473
     /* 130473 */ GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(130768),
     /* 130478 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 130481 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(16), /*)*//*default:*//*Label 2687*/ GIMT_Encode4(130767),
     /* 130492 */   /*GILLT_v4s32*//*Label 2684*/ GIMT_Encode4(130524), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130508 */   /*GILLT_v8s16*//*Label 2685*/ GIMT_Encode4(130607), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130520 */   /*GILLT_v16s8*//*Label 2686*/ GIMT_Encode4(130684),
     /* 130524 */   // Label 2684: @130524
     /* 130524 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(130606), // Rule ID 3153 //
     /* 130529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130540 */     // (vecreduce_umin:{ *:[i32] } MQPR:{ *:[v4i32] }:$src)  =>  (MVE_VMINVu32:{ *:[i32] } (t2MOVi:{ *:[i32] } 4294967295:{ *:[i32] }), ?:{ *:[v4i32] }:$src)
     /* 130540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 130547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130552 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(4294967295),
     /* 130562 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130571 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVu32),
     /* 130582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130587 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130592 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130604 */     GIR_RootConstrainSelectedInstOperands,
     /* 130605 */     // GIR_Coverage, 3153,
     /* 130605 */     GIR_EraseRootFromParent_Done,
     /* 130606 */   // Label 2688: @130606
     /* 130606 */   GIM_Reject,
     /* 130607 */   // Label 2685: @130607
     /* 130607 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(130683), // Rule ID 3152 //
     /* 130612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130623 */     // (vecreduce_umin:{ *:[i32] } MQPR:{ *:[v8i16] }:$src)  =>  (MVE_VMINVu16:{ *:[i32] } (t2MOVi16:{ *:[i32] } 65535:{ *:[i32] }), ?:{ *:[v8i16] }:$src)
     /* 130623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi16),
     /* 130630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130635 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(65535),
     /* 130645 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVu16),
     /* 130659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130664 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130681 */     GIR_RootConstrainSelectedInstOperands,
     /* 130682 */     // GIR_Coverage, 3152,
     /* 130682 */     GIR_EraseRootFromParent_Done,
     /* 130683 */   // Label 2689: @130683
     /* 130683 */   GIM_Reject,
     /* 130684 */   // Label 2686: @130684
     /* 130684 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(130766), // Rule ID 3151 //
     /* 130689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMVEInt),
     /* 130692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(ARM::rGPRRegClassID),
     /* 130696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(ARM::MQPRRegClassID),
     /* 130700 */     // (vecreduce_umin:{ *:[i32] } MQPR:{ *:[v16i8] }:$src)  =>  (MVE_VMINVu8:{ *:[i32] } (t2MOVi:{ *:[i32] } 255:{ *:[i32] }), ?:{ *:[v16i8] }:$src)
     /* 130700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(ARM::t2MOVi),
     /* 130707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130712 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(255),
     /* 130722 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/14,
     /* 130725 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(ARM::MVE_VMINVu8),
     /* 130742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[RdaDest]
     /* 130744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130747 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 130749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(ARM::NoRegister), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130764 */     GIR_RootConstrainSelectedInstOperands,
     /* 130765 */     // GIR_Coverage, 3151,
     /* 130765 */     GIR_EraseRootFromParent_Done,
     /* 130766 */   // Label 2690: @130766
     /* 130766 */   GIM_Reject,
     /* 130767 */   // Label 2687: @130767
     /* 130767 */   GIM_Reject,
     /* 130768 */ // Label 2683: @130768
     /* 130768 */ GIM_Reject,
     /* 130769 */ // Label 79: @130769
     /* 130769 */ GIM_Reject,
     /* 130770 */ }; // Size: 130770 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const ARMSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const ARMSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
