/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the Mips target                            *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 44;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(MipsInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(MipsInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static MipsInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static MipsInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testMOPredicate_MO(unsigned PredicateID, const MachineOperand &MO, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(0),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_v2s16,
  GILLT_v2s64,
  GILLT_v4s8,
  GILLT_v4s32,
  GILLT_v8s16,
  GILLT_v16s8,
};
const static size_t NumTypeObjects = 9;
const static LLT TypeObjects[] = {
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getFixed(2), 16),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 8),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(16), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasMips2Bit = 7,
  Feature_HasMips3Bit = 17,
  Feature_HasMips4_32Bit = 27,
  Feature_NotMips4_32Bit = 28,
  Feature_HasMips4_32r2Bit = 18,
  Feature_HasMips32Bit = 3,
  Feature_HasMips32r2Bit = 6,
  Feature_HasMips32r6Bit = 29,
  Feature_NotMips32r6Bit = 4,
  Feature_IsGP64bitBit = 22,
  Feature_IsPTR64bitBit = 24,
  Feature_HasMips64Bit = 25,
  Feature_HasMips64r2Bit = 23,
  Feature_HasMips64r6Bit = 30,
  Feature_NotMips64r6Bit = 5,
  Feature_InMips16ModeBit = 31,
  Feature_NotInMips16ModeBit = 0,
  Feature_HasCnMipsBit = 26,
  Feature_NotCnMipsBit = 8,
  Feature_IsSym32Bit = 38,
  Feature_IsSym64Bit = 39,
  Feature_IsN64Bit = 40,
  Feature_RelocNotPICBit = 9,
  Feature_RelocPICBit = 37,
  Feature_NoNaNsFPMathBit = 21,
  Feature_UseAbsBit = 14,
  Feature_HasStdEncBit = 1,
  Feature_NotDSPBit = 11,
  Feature_InMicroMipsBit = 35,
  Feature_NotInMicroMipsBit = 2,
  Feature_IsLEBit = 42,
  Feature_IsBEBit = 43,
  Feature_IsNotNaClBit = 19,
  Feature_HasEVABit = 36,
  Feature_HasMSABit = 34,
  Feature_HasMadd4Bit = 20,
  Feature_UseIndirectJumpsHazardBit = 12,
  Feature_NoIndirectJumpGuardsBit = 10,
  Feature_AllowFPOpFusionBit = 41,
  Feature_IsFP64bitBit = 16,
  Feature_NotFP64bitBit = 15,
  Feature_IsNotSoftFloatBit = 13,
  Feature_HasDSPBit = 32,
  Feature_HasDSPR2Bit = 33,
};

PredicateBitset MipsInstructionSelector::
computeAvailableModuleFeatures(const MipsSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasMips2())
    Features.set(Feature_HasMips2Bit);
  if (Subtarget->hasMips3())
    Features.set(Feature_HasMips3Bit);
  if (Subtarget->hasMips4_32())
    Features.set(Feature_HasMips4_32Bit);
  if (!Subtarget->hasMips4_32())
    Features.set(Feature_NotMips4_32Bit);
  if (Subtarget->hasMips4_32r2())
    Features.set(Feature_HasMips4_32r2Bit);
  if (Subtarget->hasMips32())
    Features.set(Feature_HasMips32Bit);
  if (Subtarget->hasMips32r2())
    Features.set(Feature_HasMips32r2Bit);
  if (Subtarget->hasMips32r6())
    Features.set(Feature_HasMips32r6Bit);
  if (!Subtarget->hasMips32r6())
    Features.set(Feature_NotMips32r6Bit);
  if (Subtarget->isGP64bit())
    Features.set(Feature_IsGP64bitBit);
  if (Subtarget->isABI_N64())
    Features.set(Feature_IsPTR64bitBit);
  if (Subtarget->hasMips64())
    Features.set(Feature_HasMips64Bit);
  if (Subtarget->hasMips64r2())
    Features.set(Feature_HasMips64r2Bit);
  if (Subtarget->hasMips64r6())
    Features.set(Feature_HasMips64r6Bit);
  if (!Subtarget->hasMips64r6())
    Features.set(Feature_NotMips64r6Bit);
  if (Subtarget->inMips16Mode())
    Features.set(Feature_InMips16ModeBit);
  if (!Subtarget->inMips16Mode())
    Features.set(Feature_NotInMips16ModeBit);
  if (Subtarget->hasCnMips())
    Features.set(Feature_HasCnMipsBit);
  if (!Subtarget->hasCnMips())
    Features.set(Feature_NotCnMipsBit);
  if (Subtarget->hasSym32())
    Features.set(Feature_IsSym32Bit);
  if (!Subtarget->hasSym32())
    Features.set(Feature_IsSym64Bit);
  if (Subtarget->isABI_N64())
    Features.set(Feature_IsN64Bit);
  if (!TM.isPositionIndependent())
    Features.set(Feature_RelocNotPICBit);
  if (TM.isPositionIndependent())
    Features.set(Feature_RelocPICBit);
  if (TM.Options.NoNaNsFPMath)
    Features.set(Feature_NoNaNsFPMathBit);
  if (Subtarget->inAbs2008Mode() ||TM.Options.NoNaNsFPMath)
    Features.set(Feature_UseAbsBit);
  if (Subtarget->hasStandardEncoding())
    Features.set(Feature_HasStdEncBit);
  if (!Subtarget->hasDSP())
    Features.set(Feature_NotDSPBit);
  if (Subtarget->inMicroMipsMode())
    Features.set(Feature_InMicroMipsBit);
  if (!Subtarget->inMicroMipsMode())
    Features.set(Feature_NotInMicroMipsBit);
  if (Subtarget->isLittle())
    Features.set(Feature_IsLEBit);
  if (!Subtarget->isLittle())
    Features.set(Feature_IsBEBit);
  if (!Subtarget->isTargetNaCl())
    Features.set(Feature_IsNotNaClBit);
  if (Subtarget->hasEVA())
    Features.set(Feature_HasEVABit);
  if (Subtarget->hasMSA())
    Features.set(Feature_HasMSABit);
  if (!Subtarget->disableMadd4())
    Features.set(Feature_HasMadd4Bit);
  if (Subtarget->useIndirectJumpsHazard())
    Features.set(Feature_UseIndirectJumpsHazardBit);
  if (!Subtarget->useIndirectJumpsHazard())
    Features.set(Feature_NoIndirectJumpGuardsBit);
  if (TM.Options.AllowFPOpFusion == FPOpFusion::Fast)
    Features.set(Feature_AllowFPOpFusionBit);
  if (Subtarget->isFP64bit())
    Features.set(Feature_IsFP64bitBit);
  if (!Subtarget->isFP64bit())
    Features.set(Feature_NotFP64bitBit);
  if (!Subtarget->useSoftFloat())
    Features.set(Feature_IsNotSoftFloatBit);
  if (Subtarget->hasDSP())
    Features.set(Feature_HasDSPBit);
  if (Subtarget->hasDSPR2())
    Features.set(Feature_HasDSPR2Bit);
  return Features;
}

void MipsInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const MipsSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset MipsInstructionSelector::
computeAvailableFunctionFeatures(const MipsSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasCnMips,
  GIFBS_HasDSP,
  GIFBS_HasDSPR2,
  GIFBS_HasMSA,
  GIFBS_InMicroMips,
  GIFBS_InMips16Mode,
  GIFBS_IsFP64bit,
  GIFBS_NotFP64bit,
  GIFBS_NotInMips16Mode,
  GIFBS_HasDSP_InMicroMips,
  GIFBS_HasDSP_NotInMicroMips,
  GIFBS_HasDSPR2_InMicroMips,
  GIFBS_HasMSA_HasStdEnc,
  GIFBS_HasMSA_IsBE,
  GIFBS_HasMSA_IsLE,
  GIFBS_HasMips32r6_HasStdEnc,
  GIFBS_HasMips32r6_InMicroMips,
  GIFBS_HasMips64r2_HasStdEnc,
  GIFBS_HasMips64r6_HasStdEnc,
  GIFBS_HasStdEnc_IsNotSoftFloat,
  GIFBS_HasStdEnc_NotInMicroMips,
  GIFBS_HasStdEnc_NotMips4_32,
  GIFBS_InMicroMips_IsFP64bit,
  GIFBS_InMicroMips_IsNotSoftFloat,
  GIFBS_InMicroMips_NotFP64bit,
  GIFBS_InMicroMips_NotMips32r6,
  GIFBS_IsGP64bit_NotInMips16Mode,
  GIFBS_AllowFPOpFusion_HasMSA_HasStdEnc,
  GIFBS_HasMSA_HasMips64_HasStdEnc,
  GIFBS_HasMips3_HasStdEnc_IsGP64bit,
  GIFBS_HasMips3_HasStdEnc_NotInMicroMips,
  GIFBS_HasMips32r2_HasStdEnc_IsGP64bit,
  GIFBS_HasMips32r2_HasStdEnc_NotInMicroMips,
  GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips,
  GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat,
  GIFBS_HasMips64r2_HasStdEnc_NotInMicroMips,
  GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips,
  GIFBS_HasStdEnc_IsFP64bit_NotInMicroMips,
  GIFBS_HasStdEnc_IsFP64bit_NotMips4_32,
  GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips,
  GIFBS_HasStdEnc_NotFP64bit_NotInMicroMips,
  GIFBS_HasStdEnc_NotFP64bit_NotMips4_32,
  GIFBS_HasStdEnc_NotInMicroMips_RelocNotPIC,
  GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat,
  GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit,
  GIFBS_InMicroMips_IsNotSoftFloat_UseAbs,
  GIFBS_InMicroMips_NotFP64bit_NotMips32r6,
  GIFBS_InMicroMips_NotMips32r6_RelocNotPIC,
  GIFBS_InMicroMips_NotMips32r6_RelocPIC,
  GIFBS_IsFP64bit_IsNotSoftFloat_NotInMips16Mode,
  GIFBS_IsNotSoftFloat_NotFP64bit_NotInMips16Mode,
  GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotMips32r6,
  GIFBS_HasMips2_HasStdEnc_IsNotSoftFloat_NotInMicroMips,
  GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips,
  GIFBS_HasMips3_HasStdEnc_IsNotSoftFloat_NotInMicroMips,
  GIFBS_HasMips32_HasStdEnc_NotMips32r6_NotMips64r6,
  GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips,
  GIFBS_HasMips4_32_HasStdEnc_NotMips32r6_NotMips64r6,
  GIFBS_HasMips64r2_HasStdEnc_IsGP64bit_NotInMicroMips,
  GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips,
  GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips,
  GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips_UseAbs,
  GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotFP64bit_NotMips32r6,
  GIFBS_HasMips2_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips,
  GIFBS_HasMips2_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips,
  GIFBS_HasMips32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMips64_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips64r6,
  GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips_UseAbs,
  GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips_UseAbs,
  GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6,
  GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasCnMipsBit, },
  {Feature_HasDSPBit, },
  {Feature_HasDSPR2Bit, },
  {Feature_HasMSABit, },
  {Feature_InMicroMipsBit, },
  {Feature_InMips16ModeBit, },
  {Feature_IsFP64bitBit, },
  {Feature_NotFP64bitBit, },
  {Feature_NotInMips16ModeBit, },
  {Feature_HasDSPBit, Feature_InMicroMipsBit, },
  {Feature_HasDSPBit, Feature_NotInMicroMipsBit, },
  {Feature_HasDSPR2Bit, Feature_InMicroMipsBit, },
  {Feature_HasMSABit, Feature_HasStdEncBit, },
  {Feature_HasMSABit, Feature_IsBEBit, },
  {Feature_HasMSABit, Feature_IsLEBit, },
  {Feature_HasMips32r6Bit, Feature_HasStdEncBit, },
  {Feature_HasMips32r6Bit, Feature_InMicroMipsBit, },
  {Feature_HasMips64r2Bit, Feature_HasStdEncBit, },
  {Feature_HasMips64r6Bit, Feature_HasStdEncBit, },
  {Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, },
  {Feature_HasStdEncBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_NotMips4_32Bit, },
  {Feature_InMicroMipsBit, Feature_IsFP64bitBit, },
  {Feature_InMicroMipsBit, Feature_IsNotSoftFloatBit, },
  {Feature_InMicroMipsBit, Feature_NotFP64bitBit, },
  {Feature_InMicroMipsBit, Feature_NotMips32r6Bit, },
  {Feature_IsGP64bitBit, Feature_NotInMips16ModeBit, },
  {Feature_AllowFPOpFusionBit, Feature_HasMSABit, Feature_HasStdEncBit, },
  {Feature_HasMSABit, Feature_HasMips64Bit, Feature_HasStdEncBit, },
  {Feature_HasMips3Bit, Feature_HasStdEncBit, Feature_IsGP64bitBit, },
  {Feature_HasMips3Bit, Feature_HasStdEncBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips32r2Bit, Feature_HasStdEncBit, Feature_IsGP64bitBit, },
  {Feature_HasMips32r2Bit, Feature_HasStdEncBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips32r6Bit, Feature_HasStdEncBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips32r6Bit, Feature_InMicroMipsBit, Feature_IsNotSoftFloatBit, },
  {Feature_HasMips64r2Bit, Feature_HasStdEncBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips64r6Bit, Feature_HasStdEncBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_NotMips4_32Bit, },
  {Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_NotFP64bitBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_NotFP64bitBit, Feature_NotMips4_32Bit, },
  {Feature_HasStdEncBit, Feature_NotInMicroMipsBit, Feature_RelocNotPICBit, },
  {Feature_InMicroMipsBit, Feature_IsFP64bitBit, Feature_IsNotSoftFloatBit, },
  {Feature_InMicroMipsBit, Feature_IsNotSoftFloatBit, Feature_NotFP64bitBit, },
  {Feature_InMicroMipsBit, Feature_IsNotSoftFloatBit, Feature_UseAbsBit, },
  {Feature_InMicroMipsBit, Feature_NotFP64bitBit, Feature_NotMips32r6Bit, },
  {Feature_InMicroMipsBit, Feature_NotMips32r6Bit, Feature_RelocNotPICBit, },
  {Feature_InMicroMipsBit, Feature_NotMips32r6Bit, Feature_RelocPICBit, },
  {Feature_IsFP64bitBit, Feature_IsNotSoftFloatBit, Feature_NotInMips16ModeBit, },
  {Feature_IsNotSoftFloatBit, Feature_NotFP64bitBit, Feature_NotInMips16ModeBit, },
  {Feature_HasMadd4Bit, Feature_InMicroMipsBit, Feature_NoNaNsFPMathBit, Feature_NotMips32r6Bit, },
  {Feature_HasMips2Bit, Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips3Bit, Feature_HasStdEncBit, Feature_IsGP64bitBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips3Bit, Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips32Bit, Feature_HasStdEncBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMips32r6Bit, Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips4_32Bit, Feature_HasStdEncBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMips64r2Bit, Feature_HasStdEncBit, Feature_IsGP64bitBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotFP64bitBit, Feature_NotInMicroMipsBit, },
  {Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, Feature_UseAbsBit, },
  {Feature_HasMadd4Bit, Feature_InMicroMipsBit, Feature_NoNaNsFPMathBit, Feature_NotFP64bitBit, Feature_NotMips32r6Bit, },
  {Feature_HasMips2Bit, Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips2Bit, Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotFP64bitBit, Feature_NotInMicroMipsBit, },
  {Feature_HasMips32Bit, Feature_HasStdEncBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMips4_32Bit, Feature_HasStdEncBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMips64Bit, Feature_HasStdEncBit, Feature_IsGP64bitBit, Feature_NotInMicroMipsBit, Feature_NotMips64r6Bit, },
  {Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, Feature_UseAbsBit, },
  {Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotFP64bitBit, Feature_NotInMicroMipsBit, Feature_UseAbsBit, },
  {Feature_HasMips4_32Bit, Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMips4_32Bit, Feature_HasStdEncBit, Feature_IsGP64bitBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMips4_32Bit, Feature_HasStdEncBit, Feature_NotFP64bitBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMadd4Bit, Feature_HasMips4_32r2Bit, Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMadd4Bit, Feature_HasMips4_32r2Bit, Feature_HasStdEncBit, Feature_NoNaNsFPMathBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMadd4Bit, Feature_HasMips4_32r2Bit, Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_IsNotSoftFloatBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMadd4Bit, Feature_HasMips4_32r2Bit, Feature_HasStdEncBit, Feature_IsFP64bitBit, Feature_NoNaNsFPMathBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMadd4Bit, Feature_HasMips4_32r2Bit, Feature_HasStdEncBit, Feature_IsNotSoftFloatBit, Feature_NotFP64bitBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
  {Feature_HasMadd4Bit, Feature_HasMips4_32r2Bit, Feature_HasStdEncBit, Feature_NoNaNsFPMathBit, Feature_NotFP64bitBit, Feature_NotInMicroMipsBit, Feature_NotMips32r6Bit, Feature_NotMips64r6Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
};
// See constructor for table contents

MipsInstructionSelector::ComplexMatcherMemFn
MipsInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_or_disjoint = GICXXPred_Invalid + 1,
};
bool MipsInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_or_disjoint: {
    
        return MI.getFlag(MachineInstr::Disjoint);
      
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool MipsInstructionSelector::testMOPredicate_MO(unsigned PredicateID, const MachineOperand & MO, const MatcherState &State) const {
  const auto &Operands = State.RecordedOperands;
  Register Reg = MO.getReg();
  (void)Operands;
  (void)Reg;
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_immLi16 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_immSExt6,
  GICXXPred_I64_Predicate_immSExt10,
  GICXXPred_I64_Predicate_immSExtAddiur2,
  GICXXPred_I64_Predicate_immSExtAddius5,
  GICXXPred_I64_Predicate_immZExt1,
  GICXXPred_I64_Predicate_immZExt1Ptr,
  GICXXPred_I64_Predicate_immZExt2,
  GICXXPred_I64_Predicate_immZExt2Lsa,
  GICXXPred_I64_Predicate_immZExt2Ptr,
  GICXXPred_I64_Predicate_immZExt2Shift,
  GICXXPred_I64_Predicate_immZExt3,
  GICXXPred_I64_Predicate_immZExt3Ptr,
  GICXXPred_I64_Predicate_immZExt4,
  GICXXPred_I64_Predicate_immZExt4Ptr,
  GICXXPred_I64_Predicate_immZExt5,
  GICXXPred_I64_Predicate_immZExt5_64,
  GICXXPred_I64_Predicate_immZExt6,
  GICXXPred_I64_Predicate_immZExt8,
  GICXXPred_I64_Predicate_immZExt10,
  GICXXPred_I64_Predicate_immZExtAndi16,
  GICXXPred_I64_Predicate_immi32Cst7,
  GICXXPred_I64_Predicate_immi32Cst15,
  GICXXPred_I64_Predicate_immi32Cst31,
  GICXXPred_I64_Predicate_timmSExt6,
  GICXXPred_I64_Predicate_timmZExt1,
  GICXXPred_I64_Predicate_timmZExt1Ptr,
  GICXXPred_I64_Predicate_timmZExt2,
  GICXXPred_I64_Predicate_timmZExt2Ptr,
  GICXXPred_I64_Predicate_timmZExt3,
  GICXXPred_I64_Predicate_timmZExt3Ptr,
  GICXXPred_I64_Predicate_timmZExt4,
  GICXXPred_I64_Predicate_timmZExt4Ptr,
  GICXXPred_I64_Predicate_timmZExt5,
  GICXXPred_I64_Predicate_timmZExt6,
  GICXXPred_I64_Predicate_timmZExt8,
  GICXXPred_I64_Predicate_timmZExt10,
};
bool MipsInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_immLi16: {
    return Imm >= -1 && Imm <= 126;
  }
  case GICXXPred_I64_Predicate_immSExt6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_immSExt10: {
    return isInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immSExtAddiur2: {
    return Imm == 1 || Imm == -1 ||
                                               ((Imm % 4 == 0) &&
                                                Imm < 28 && Imm > 0);
  }
  case GICXXPred_I64_Predicate_immSExtAddius5: {
    return Imm >= -8 && Imm <= 7;
  }
  case GICXXPred_I64_Predicate_immZExt1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt1Ptr: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt2Lsa: {
    return isUInt<2>(Imm - 1);
  }
  case GICXXPred_I64_Predicate_immZExt2Ptr: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt2Shift: {
    return Imm >= 1 && Imm <= 8;
  }
  case GICXXPred_I64_Predicate_immZExt3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt3Ptr: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt4Ptr: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt5: {
    return Imm == (Imm & 0x1f);
  }
  case GICXXPred_I64_Predicate_immZExt5_64: {
     return Imm == (Imm & 0x1f); 
  }
  case GICXXPred_I64_Predicate_immZExt6: {
    return Imm == (Imm & 0x3f);
  }
  case GICXXPred_I64_Predicate_immZExt8: {
    return isUInt<8>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExt10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immZExtAndi16: {
    return (Imm == 128 || (Imm >= 1 && Imm <= 4) || Imm == 7 || Imm == 8 ||
                Imm == 15 || Imm == 16 || Imm == 31 || Imm == 32 || Imm == 63 ||
                Imm == 64 || Imm == 255 || Imm == 32768 || Imm == 65535 );
  }
  case GICXXPred_I64_Predicate_immi32Cst7: {
    return isUInt<32>(Imm) && Imm == 7;
  }
  case GICXXPred_I64_Predicate_immi32Cst15: {
    return isUInt<32>(Imm) && Imm == 15;
  }
  case GICXXPred_I64_Predicate_immi32Cst31: {
    return isUInt<32>(Imm) && Imm == 31;
  }
  case GICXXPred_I64_Predicate_timmSExt6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt1Ptr: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt2Ptr: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt3Ptr: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt4Ptr: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt5: {
    return Imm == (Imm & 0x1f);
  }
  case GICXXPred_I64_Predicate_timmZExt6: {
    return Imm == (Imm & 0x3f);
  }
  case GICXXPred_I64_Predicate_timmZExt8: {
    return isUInt<8>(Imm);
  }
  case GICXXPred_I64_Predicate_timmZExt10: {
    return isUInt<10>(Imm);
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool MipsInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_imm32SExt16 = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_imm32ZExt16,
};
bool MipsInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_imm32SExt16: {
     return isInt<16>(Imm.getSExtValue()); 
  }
  case GICXXPred_APInt_Predicate_imm32ZExt16: {
    
      return (uint32_t)Imm.getZExtValue() == (unsigned short)Imm.getZExtValue();
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool MipsInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("MipsInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
};
MipsInstructionSelector::CustomRendererFn
MipsInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool MipsInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool MipsInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("MipsInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *MipsInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*     0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(293), /*)*//*default:*//*Label 79*/ GIMT_Encode4(69793),
     /*    10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(970),
     /*    14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(2268),
     /*    18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(2959),
     /*    22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(3440),
     /*    26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(3709),
     /*    30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(3978),
     /*    34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(4247), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(4516),
     /*    50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(5072),
     /*    54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(5476), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 10*/ GIMT_Encode4(6368),
     /*   106 */ /*TargetOpcode::G_BUILD_VECTOR*//*Label 11*/ GIMT_Encode4(6441), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   126 */ /*TargetOpcode::G_BITCAST*//*Label 12*/ GIMT_Encode4(6782), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   170 */ /*TargetOpcode::G_LOAD*//*Label 13*/ GIMT_Encode4(11093),
     /*   174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 14*/ GIMT_Encode4(11158),
     /*   178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 15*/ GIMT_Encode4(11226), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 16*/ GIMT_Encode4(11294),
     /*   210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 17*/ GIMT_Encode4(11486),
     /*   214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 18*/ GIMT_Encode4(11656),
     /*   218 */ /*TargetOpcode::G_ATOMICRMW_SUB*//*Label 19*/ GIMT_Encode4(11826),
     /*   222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 20*/ GIMT_Encode4(11996),
     /*   226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 21*/ GIMT_Encode4(12166),
     /*   230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 22*/ GIMT_Encode4(12336),
     /*   234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 23*/ GIMT_Encode4(12506),
     /*   238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 24*/ GIMT_Encode4(12676),
     /*   242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 25*/ GIMT_Encode4(12846),
     /*   246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 26*/ GIMT_Encode4(13016),
     /*   250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 27*/ GIMT_Encode4(13186), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   302 */ /*TargetOpcode::G_BRCOND*//*Label 28*/ GIMT_Encode4(13356), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   314 */ /*TargetOpcode::G_INTRINSIC*//*Label 29*/ GIMT_Encode4(18077),
     /*   318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 30*/ GIMT_Encode4(32342), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   330 */ /*TargetOpcode::G_ANYEXT*//*Label 31*/ GIMT_Encode4(37436),
     /*   334 */ /*TargetOpcode::G_TRUNC*//*Label 32*/ GIMT_Encode4(37502), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   350 */ /*TargetOpcode::G_CONSTANT*//*Label 33*/ GIMT_Encode4(37566), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   366 */ /*TargetOpcode::G_SEXT*//*Label 34*/ GIMT_Encode4(37627),
     /*   370 */ /*TargetOpcode::G_SEXT_INREG*//*Label 35*/ GIMT_Encode4(39091),
     /*   374 */ /*TargetOpcode::G_ZEXT*//*Label 36*/ GIMT_Encode4(39439),
     /*   378 */ /*TargetOpcode::G_SHL*//*Label 37*/ GIMT_Encode4(39640),
     /*   382 */ /*TargetOpcode::G_LSHR*//*Label 38*/ GIMT_Encode4(41437),
     /*   386 */ /*TargetOpcode::G_ASHR*//*Label 39*/ GIMT_Encode4(43234), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   398 */ /*TargetOpcode::G_ROTR*//*Label 40*/ GIMT_Encode4(44989), GIMT_Encode4(0),
     /*   406 */ /*TargetOpcode::G_ICMP*//*Label 41*/ GIMT_Encode4(45277),
     /*   410 */ /*TargetOpcode::G_FCMP*//*Label 42*/ GIMT_Encode4(47808), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   422 */ /*TargetOpcode::G_SELECT*//*Label 43*/ GIMT_Encode4(49514), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   466 */ /*TargetOpcode::G_UMULH*//*Label 44*/ GIMT_Encode4(61552),
     /*   470 */ /*TargetOpcode::G_SMULH*//*Label 45*/ GIMT_Encode4(61661), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   530 */ /*TargetOpcode::G_FADD*//*Label 46*/ GIMT_Encode4(61770),
     /*   534 */ /*TargetOpcode::G_FSUB*//*Label 47*/ GIMT_Encode4(62683),
     /*   538 */ /*TargetOpcode::G_FMUL*//*Label 48*/ GIMT_Encode4(63295),
     /*   542 */ /*TargetOpcode::G_FMA*//*Label 49*/ GIMT_Encode4(63782), GIMT_Encode4(0),
     /*   550 */ /*TargetOpcode::G_FDIV*//*Label 50*/ GIMT_Encode4(63888), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   570 */ /*TargetOpcode::G_FEXP2*//*Label 51*/ GIMT_Encode4(64187), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   582 */ /*TargetOpcode::G_FLOG2*//*Label 52*/ GIMT_Encode4(64265), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   598 */ /*TargetOpcode::G_FNEG*//*Label 53*/ GIMT_Encode4(64343),
     /*   602 */ /*TargetOpcode::G_FPEXT*//*Label 54*/ GIMT_Encode4(65712),
     /*   606 */ /*TargetOpcode::G_FPTRUNC*//*Label 55*/ GIMT_Encode4(65890),
     /*   610 */ /*TargetOpcode::G_FPTOSI*//*Label 56*/ GIMT_Encode4(66053),
     /*   614 */ /*TargetOpcode::G_FPTOUI*//*Label 57*/ GIMT_Encode4(66131),
     /*   618 */ /*TargetOpcode::G_SITOFP*//*Label 58*/ GIMT_Encode4(66209),
     /*   622 */ /*TargetOpcode::G_UITOFP*//*Label 59*/ GIMT_Encode4(66462), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   634 */ /*TargetOpcode::G_FABS*//*Label 60*/ GIMT_Encode4(66540), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   646 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 61*/ GIMT_Encode4(66780),
     /*   650 */ /*TargetOpcode::G_FMINNUM*//*Label 62*/ GIMT_Encode4(66854),
     /*   654 */ /*TargetOpcode::G_FMAXNUM*//*Label 63*/ GIMT_Encode4(66926),
     /*   658 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 64*/ GIMT_Encode4(66998),
     /*   662 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 65*/ GIMT_Encode4(67070), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   718 */ /*TargetOpcode::G_SMIN*//*Label 66*/ GIMT_Encode4(67142),
     /*   722 */ /*TargetOpcode::G_SMAX*//*Label 67*/ GIMT_Encode4(67310),
     /*   726 */ /*TargetOpcode::G_UMIN*//*Label 68*/ GIMT_Encode4(67478),
     /*   730 */ /*TargetOpcode::G_UMAX*//*Label 69*/ GIMT_Encode4(67646), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   746 */ /*TargetOpcode::G_BR*//*Label 70*/ GIMT_Encode4(67814), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   766 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 71*/ GIMT_Encode4(67938),
     /*   770 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 72*/ GIMT_Encode4(68502), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   798 */ /*TargetOpcode::G_CTLZ*//*Label 73*/ GIMT_Encode4(68554), GIMT_Encode4(0),
     /*   806 */ /*TargetOpcode::G_CTPOP*//*Label 74*/ GIMT_Encode4(69059),
     /*   810 */ /*TargetOpcode::G_BSWAP*//*Label 75*/ GIMT_Encode4(69265), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   866 */ /*TargetOpcode::G_FSQRT*//*Label 76*/ GIMT_Encode4(69429), GIMT_Encode4(0),
     /*   874 */ /*TargetOpcode::G_FRINT*//*Label 77*/ GIMT_Encode4(69669), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   966 */ /*TargetOpcode::G_TRAP*//*Label 78*/ GIMT_Encode4(69747),
     /*   970 */ // Label 0: @970
     /*   970 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 88*/ GIMT_Encode4(2267),
     /*   981 */ /*GILLT_s32*//*Label 80*/ GIMT_Encode4(1013),
     /*   985 */ /*GILLT_s64*//*Label 81*/ GIMT_Encode4(1421),
     /*   989 */ /*GILLT_v2s16*//*Label 82*/ GIMT_Encode4(1587),
     /*   993 */ /*GILLT_v2s64*//*Label 83*/ GIMT_Encode4(1619),
     /*   997 */ /*GILLT_v4s8*//*Label 84*/ GIMT_Encode4(1773),
     /*  1001 */ /*GILLT_v4s32*//*Label 85*/ GIMT_Encode4(1805),
     /*  1005 */ /*GILLT_v8s16*//*Label 86*/ GIMT_Encode4(1959),
     /*  1009 */ /*GILLT_v16s8*//*Label 87*/ GIMT_Encode4(2113),
     /*  1013 */ // Label 80: @1013
     /*  1013 */ GIM_Try, /*On fail goto*//*Label 89*/ GIMT_Encode4(1420),
     /*  1018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  1021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  1024 */   GIM_Try, /*On fail goto*//*Label 90*/ GIMT_Encode4(1091), // Rule ID 2400 //
     /*  1029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  1040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  1044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  1048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  1052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  1061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  1065 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt2Lsa),
     /*  1069 */     // MIs[2] Operand 1
     /*  1069 */     // No operand predicates
     /*  1069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  1075 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt2Lsa>>:$sa), GPR32Opnd:{ *:[i32] }:$rt)  =>  (LSA:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$sa)
     /*  1075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LSA),
     /*  1078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  1080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  1084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /*  1086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sa
     /*  1089 */     GIR_RootConstrainSelectedInstOperands,
     /*  1090 */     // GIR_Coverage, 2400,
     /*  1090 */     GIR_EraseRootFromParent_Done,
     /*  1091 */   // Label 90: @1091
     /*  1091 */   GIM_Try, /*On fail goto*//*Label 91*/ GIMT_Encode4(1158), // Rule ID 834 //
     /*  1096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  1111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  1115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  1119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  1123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  1132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  1136 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt2Lsa),
     /*  1140 */     // MIs[2] Operand 1
     /*  1140 */     // No operand predicates
     /*  1140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  1142 */     // (add:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (shl:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt2Lsa>>:$sa))  =>  (LSA:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$sa)
     /*  1142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LSA),
     /*  1145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  1147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  1151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /*  1153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sa
     /*  1156 */     GIR_RootConstrainSelectedInstOperands,
     /*  1157 */     // GIR_Coverage, 834,
     /*  1157 */     GIR_EraseRootFromParent_Done,
     /*  1158 */   // Label 91: @1158
     /*  1158 */   GIM_Try, /*On fail goto*//*Label 92*/ GIMT_Encode4(1200), // Rule ID 40 //
     /*  1163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  1166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  1178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  1182 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_imm32SExt16),
     /*  1186 */     // MIs[1] Operand 1
     /*  1186 */     // No operand predicates
     /*  1186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  1188 */     // (add:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_imm32SExt16>>:$imm16)  =>  (ADDiu:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] }):$imm16)
     /*  1188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDiu),
     /*  1191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  1193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  1195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm16
     /*  1198 */     GIR_RootConstrainSelectedInstOperands,
     /*  1199 */     // GIR_Coverage, 40,
     /*  1199 */     GIR_EraseRootFromParent_Done,
     /*  1200 */   // Label 92: @1200
     /*  1200 */   GIM_Try, /*On fail goto*//*Label 93*/ GIMT_Encode4(1242), // Rule ID 2169 //
     /*  1205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /*  1208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  1220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  1224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immSExtAddiur2),
     /*  1228 */     // MIs[1] Operand 1
     /*  1228 */     // No operand predicates
     /*  1228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  1230 */     // (add:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immSExtAddiur2>>:$imm)  =>  (ADDIUR2_MM:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immSExtAddiur2>>:$imm)
     /*  1230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDIUR2_MM),
     /*  1233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  1235 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  1237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  1240 */     GIR_RootConstrainSelectedInstOperands,
     /*  1241 */     // GIR_Coverage, 2169,
     /*  1241 */     GIR_EraseRootFromParent_Done,
     /*  1242 */   // Label 93: @1242
     /*  1242 */   GIM_Try, /*On fail goto*//*Label 94*/ GIMT_Encode4(1284), // Rule ID 2170 //
     /*  1247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /*  1250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  1262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  1266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immSExtAddius5),
     /*  1270 */     // MIs[1] Operand 1
     /*  1270 */     // No operand predicates
     /*  1270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  1272 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immSExtAddius5>>:$imm)  =>  (ADDIUS5_MM:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immSExtAddius5>>:$imm)
     /*  1272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDIUS5_MM),
     /*  1275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  1277 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  1279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  1282 */     GIR_RootConstrainSelectedInstOperands,
     /*  1283 */     // GIR_Coverage, 2170,
     /*  1283 */     GIR_EraseRootFromParent_Done,
     /*  1284 */   // Label 94: @1284
     /*  1284 */   GIM_Try, /*On fail goto*//*Label 95*/ GIMT_Encode4(1311), // Rule ID 1208 //
     /*  1289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  1292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1304 */     // (add:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)  =>  (ADDU16_MMR6:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)
     /*  1304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDU16_MMR6),
     /*  1309 */     GIR_RootConstrainSelectedInstOperands,
     /*  1310 */     // GIR_Coverage, 1208,
     /*  1310 */     GIR_Done,
     /*  1311 */   // Label 95: @1311
     /*  1311 */   GIM_Try, /*On fail goto*//*Label 96*/ GIMT_Encode4(1338), // Rule ID 46 //
     /*  1316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  1319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1331 */     // (add:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDu:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  1331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDu),
     /*  1336 */     GIR_RootConstrainSelectedInstOperands,
     /*  1337 */     // GIR_Coverage, 46,
     /*  1337 */     GIR_Done,
     /*  1338 */   // Label 96: @1338
     /*  1338 */   GIM_Try, /*On fail goto*//*Label 97*/ GIMT_Encode4(1365), // Rule ID 1060 //
     /*  1343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  1346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  1358 */     // (add:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)  =>  (ADDU16_MM:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)
     /*  1358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDU16_MM),
     /*  1363 */     GIR_RootConstrainSelectedInstOperands,
     /*  1364 */     // GIR_Coverage, 1060,
     /*  1364 */     GIR_Done,
     /*  1365 */   // Label 97: @1365
     /*  1365 */   GIM_Try, /*On fail goto*//*Label 98*/ GIMT_Encode4(1392), // Rule ID 1072 //
     /*  1370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  1373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  1385 */     // (add:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDu_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  1385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDu_MM),
     /*  1390 */     GIR_RootConstrainSelectedInstOperands,
     /*  1391 */     // GIR_Coverage, 1072,
     /*  1391 */     GIR_Done,
     /*  1392 */   // Label 98: @1392
     /*  1392 */   GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1419), // Rule ID 1827 //
     /*  1397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  1400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  1404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  1408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  1412 */     // (add:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)  =>  (AdduRxRyRz16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)
     /*  1412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AdduRxRyRz16),
     /*  1417 */     GIR_RootConstrainSelectedInstOperands,
     /*  1418 */     // GIR_Coverage, 1827,
     /*  1418 */     GIR_Done,
     /*  1419 */   // Label 99: @1419
     /*  1419 */   GIM_Reject,
     /*  1420 */ // Label 89: @1420
     /*  1420 */ GIM_Reject,
     /*  1421 */ // Label 81: @1421
     /*  1421 */ GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1586),
     /*  1426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  1429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  1432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  1436 */   GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(1499), // Rule ID 2401 //
     /*  1441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasMips64_HasStdEnc),
     /*  1444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  1448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  1452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  1456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  1460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  1465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  1469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  1473 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt2Lsa),
     /*  1477 */     // MIs[2] Operand 1
     /*  1477 */     // No operand predicates
     /*  1477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  1481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  1483 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt2Lsa>>:$sa), GPR64Opnd:{ *:[i64] }:$rt)  =>  (DLSA:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] }):$sa)
     /*  1483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DLSA),
     /*  1486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  1488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  1492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /*  1494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sa
     /*  1497 */     GIR_RootConstrainSelectedInstOperands,
     /*  1498 */     // GIR_Coverage, 2401,
     /*  1498 */     GIR_EraseRootFromParent_Done,
     /*  1499 */   // Label 101: @1499
     /*  1499 */   GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(1562), // Rule ID 835 //
     /*  1504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasMips64_HasStdEnc),
     /*  1507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  1511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  1515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  1519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  1523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  1527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  1532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  1536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  1540 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt2Lsa),
     /*  1544 */     // MIs[2] Operand 1
     /*  1544 */     // No operand predicates
     /*  1544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  1546 */     // (add:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (shl:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt2Lsa>>:$sa))  =>  (DLSA:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] }):$sa)
     /*  1546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DLSA),
     /*  1549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  1551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  1555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /*  1557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // sa
     /*  1560 */     GIR_RootConstrainSelectedInstOperands,
     /*  1561 */     // GIR_Coverage, 835,
     /*  1561 */     GIR_EraseRootFromParent_Done,
     /*  1562 */   // Label 102: @1562
     /*  1562 */   GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(1585), // Rule ID 202 //
     /*  1567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /*  1570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  1574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  1578 */     // (add:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DADDu:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  1578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DADDu),
     /*  1583 */     GIR_RootConstrainSelectedInstOperands,
     /*  1584 */     // GIR_Coverage, 202,
     /*  1584 */     GIR_Done,
     /*  1585 */   // Label 103: @1585
     /*  1585 */   GIM_Reject,
     /*  1586 */ // Label 100: @1586
     /*  1586 */ GIM_Reject,
     /*  1587 */ // Label 82: @1587
     /*  1587 */ GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(1618), // Rule ID 1926 //
     /*  1592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  1595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  1598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  1601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  1605 */   // (add:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)  =>  (ADDQ_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)
     /*  1605 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDQ_PH),
     /*  1610 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::DSPOutFlag20), GIMT_Encode2(RegState::Dead),
     /*  1616 */   GIR_RootConstrainSelectedInstOperands,
     /*  1617 */   // GIR_Coverage, 1926,
     /*  1617 */   GIR_Done,
     /*  1618 */ // Label 104: @1618
     /*  1618 */ GIM_Reject,
     /*  1619 */ // Label 83: @1619
     /*  1619 */ GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(1772),
     /*  1624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  1627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  1630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1634 */   GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(1691), // Rule ID 2405 //
     /*  1639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  1646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  1650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  1654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  1658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  1674 */     // (add:{ *:[v2i64] } (mul:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt), MSA128DOpnd:{ *:[v2i64] }:$wd_in)  =>  (MADDV_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  1674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_D),
     /*  1677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  1679 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /*  1681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  1685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  1689 */     GIR_RootConstrainSelectedInstOperands,
     /*  1690 */     // GIR_Coverage, 2405,
     /*  1690 */     GIR_EraseRootFromParent_Done,
     /*  1691 */   // Label 106: @1691
     /*  1691 */   GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(1748), // Rule ID 843 //
     /*  1696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  1707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  1711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  1715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  1719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  1731 */     // (add:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, (mul:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt))  =>  (MADDV_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  1731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_D),
     /*  1734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  1736 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  1738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  1742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  1746 */     GIR_RootConstrainSelectedInstOperands,
     /*  1747 */     // GIR_Coverage, 843,
     /*  1747 */     GIR_EraseRootFromParent_Done,
     /*  1748 */   // Label 107: @1748
     /*  1748 */   GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(1771), // Rule ID 510 //
     /*  1753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  1764 */     // (add:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (ADDV_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  1764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDV_D),
     /*  1769 */     GIR_RootConstrainSelectedInstOperands,
     /*  1770 */     // GIR_Coverage, 510,
     /*  1770 */     GIR_Done,
     /*  1771 */   // Label 108: @1771
     /*  1771 */   GIM_Reject,
     /*  1772 */ // Label 105: @1772
     /*  1772 */ GIM_Reject,
     /*  1773 */ // Label 84: @1773
     /*  1773 */ GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(1804), // Rule ID 1932 //
     /*  1778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  1781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /*  1784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /*  1787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  1791 */   // (add:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)  =>  (ADDU_QB:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)
     /*  1791 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDU_QB),
     /*  1796 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::DSPOutFlag20), GIMT_Encode2(RegState::Dead),
     /*  1802 */   GIR_RootConstrainSelectedInstOperands,
     /*  1803 */   // GIR_Coverage, 1932,
     /*  1803 */   GIR_Done,
     /*  1804 */ // Label 109: @1804
     /*  1804 */ GIM_Reject,
     /*  1805 */ // Label 85: @1805
     /*  1805 */ GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(1958),
     /*  1810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  1813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  1816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1820 */   GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(1877), // Rule ID 2404 //
     /*  1825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  1832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  1836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  1840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  1844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  1860 */     // (add:{ *:[v4i32] } (mul:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt), MSA128WOpnd:{ *:[v4i32] }:$wd_in)  =>  (MADDV_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  1860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_W),
     /*  1863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  1865 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /*  1867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  1871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  1875 */     GIR_RootConstrainSelectedInstOperands,
     /*  1876 */     // GIR_Coverage, 2404,
     /*  1876 */     GIR_EraseRootFromParent_Done,
     /*  1877 */   // Label 111: @1877
     /*  1877 */   GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(1934), // Rule ID 842 //
     /*  1882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  1893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  1897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  1901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  1905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  1917 */     // (add:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, (mul:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt))  =>  (MADDV_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  1917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_W),
     /*  1920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  1922 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  1924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  1928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  1932 */     GIR_RootConstrainSelectedInstOperands,
     /*  1933 */     // GIR_Coverage, 842,
     /*  1933 */     GIR_EraseRootFromParent_Done,
     /*  1934 */   // Label 112: @1934
     /*  1934 */   GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(1957), // Rule ID 509 //
     /*  1939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  1950 */     // (add:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (ADDV_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  1950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDV_W),
     /*  1955 */     GIR_RootConstrainSelectedInstOperands,
     /*  1956 */     // GIR_Coverage, 509,
     /*  1956 */     GIR_Done,
     /*  1957 */   // Label 113: @1957
     /*  1957 */   GIM_Reject,
     /*  1958 */ // Label 110: @1958
     /*  1958 */ GIM_Reject,
     /*  1959 */ // Label 86: @1959
     /*  1959 */ GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(2112),
     /*  1964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  1967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  1970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  1974 */   GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(2031), // Rule ID 2403 //
     /*  1979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  1982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  1986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  1990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  1994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  1998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2014 */     // (add:{ *:[v8i16] } (mul:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt), MSA128HOpnd:{ *:[v8i16] }:$wd_in)  =>  (MADDV_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  2014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_H),
     /*  2017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2019 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /*  2021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2029 */     GIR_RootConstrainSelectedInstOperands,
     /*  2030 */     // GIR_Coverage, 2403,
     /*  2030 */     GIR_EraseRootFromParent_Done,
     /*  2031 */   // Label 115: @2031
     /*  2031 */   GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(2088), // Rule ID 841 //
     /*  2036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  2047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  2051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  2055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  2059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2071 */     // (add:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, (mul:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt))  =>  (MADDV_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  2071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_H),
     /*  2074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2076 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  2078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2086 */     GIR_RootConstrainSelectedInstOperands,
     /*  2087 */     // GIR_Coverage, 841,
     /*  2087 */     GIR_EraseRootFromParent_Done,
     /*  2088 */   // Label 116: @2088
     /*  2088 */   GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(2111), // Rule ID 508 //
     /*  2093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2104 */     // (add:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (ADDV_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  2104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDV_H),
     /*  2109 */     GIR_RootConstrainSelectedInstOperands,
     /*  2110 */     // GIR_Coverage, 508,
     /*  2110 */     GIR_Done,
     /*  2111 */   // Label 117: @2111
     /*  2111 */   GIM_Reject,
     /*  2112 */ // Label 114: @2112
     /*  2112 */ GIM_Reject,
     /*  2113 */ // Label 87: @2113
     /*  2113 */ GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(2266),
     /*  2118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  2121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  2124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2128 */   GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(2185), // Rule ID 2402 //
     /*  2133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  2140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  2144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  2148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  2152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2168 */     // (add:{ *:[v16i8] } (mul:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt), MSA128BOpnd:{ *:[v16i8] }:$wd_in)  =>  (MADDV_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  2168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_B),
     /*  2171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2173 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /*  2175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2183 */     GIR_RootConstrainSelectedInstOperands,
     /*  2184 */     // GIR_Coverage, 2402,
     /*  2184 */     GIR_EraseRootFromParent_Done,
     /*  2185 */   // Label 119: @2185
     /*  2185 */   GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(2242), // Rule ID 840 //
     /*  2190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  2201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  2205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  2209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  2213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2225 */     // (add:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, (mul:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt))  =>  (MADDV_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  2225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDV_B),
     /*  2228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2230 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  2232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2240 */     GIR_RootConstrainSelectedInstOperands,
     /*  2241 */     // GIR_Coverage, 840,
     /*  2241 */     GIR_EraseRootFromParent_Done,
     /*  2242 */   // Label 120: @2242
     /*  2242 */   GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(2265), // Rule ID 507 //
     /*  2247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2258 */     // (add:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (ADDV_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  2258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ADDV_B),
     /*  2263 */     GIR_RootConstrainSelectedInstOperands,
     /*  2264 */     // GIR_Coverage, 507,
     /*  2264 */     GIR_Done,
     /*  2265 */   // Label 121: @2265
     /*  2265 */   GIM_Reject,
     /*  2266 */ // Label 118: @2266
     /*  2266 */ GIM_Reject,
     /*  2267 */ // Label 88: @2267
     /*  2267 */ GIM_Reject,
     /*  2268 */ // Label 1: @2268
     /*  2268 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 130*/ GIMT_Encode4(2958),
     /*  2279 */ /*GILLT_s32*//*Label 122*/ GIMT_Encode4(2311),
     /*  2283 */ /*GILLT_s64*//*Label 123*/ GIMT_Encode4(2488),
     /*  2287 */ /*GILLT_v2s16*//*Label 124*/ GIMT_Encode4(2522),
     /*  2291 */ /*GILLT_v2s64*//*Label 125*/ GIMT_Encode4(2554),
     /*  2295 */ /*GILLT_v4s8*//*Label 126*/ GIMT_Encode4(2647),
     /*  2299 */ /*GILLT_v4s32*//*Label 127*/ GIMT_Encode4(2679),
     /*  2303 */ /*GILLT_v8s16*//*Label 128*/ GIMT_Encode4(2772),
     /*  2307 */ /*GILLT_v16s8*//*Label 129*/ GIMT_Encode4(2865),
     /*  2311 */ // Label 122: @2311
     /*  2311 */ GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(2487),
     /*  2316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  2319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  2322 */   GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(2351), // Rule ID 1826 //
     /*  2327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  2330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  2334 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  2338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  2342 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, CPU16Regs:{ *:[i32] }:$r)  =>  (NegRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r)
     /*  2342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NegRxRy16),
     /*  2345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /*  2347 */     GIR_RootToRootCopy, /*OpIdx*/2, // r
     /*  2349 */     GIR_RootConstrainSelectedInstOperands,
     /*  2350 */     // GIR_Coverage, 1826,
     /*  2350 */     GIR_EraseRootFromParent_Done,
     /*  2351 */   // Label 132: @2351
     /*  2351 */   GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(2378), // Rule ID 1210 //
     /*  2356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  2359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  2363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  2367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  2371 */     // (sub:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)  =>  (SUBU16_MMR6:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)
     /*  2371 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBU16_MMR6),
     /*  2376 */     GIR_RootConstrainSelectedInstOperands,
     /*  2377 */     // GIR_Coverage, 1210,
     /*  2377 */     GIR_Done,
     /*  2378 */   // Label 133: @2378
     /*  2378 */   GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(2405), // Rule ID 47 //
     /*  2383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  2386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  2390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  2394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  2398 */     // (sub:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBu:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  2398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBu),
     /*  2403 */     GIR_RootConstrainSelectedInstOperands,
     /*  2404 */     // GIR_Coverage, 47,
     /*  2404 */     GIR_Done,
     /*  2405 */   // Label 134: @2405
     /*  2405 */   GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(2432), // Rule ID 1064 //
     /*  2410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  2413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  2417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  2421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  2425 */     // (sub:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)  =>  (SUBU16_MM:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)
     /*  2425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBU16_MM),
     /*  2430 */     GIR_RootConstrainSelectedInstOperands,
     /*  2431 */     // GIR_Coverage, 1064,
     /*  2431 */     GIR_Done,
     /*  2432 */   // Label 135: @2432
     /*  2432 */   GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(2459), // Rule ID 1073 //
     /*  2437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  2440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  2444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  2448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  2452 */     // (sub:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBu_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  2452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBu_MM),
     /*  2457 */     GIR_RootConstrainSelectedInstOperands,
     /*  2458 */     // GIR_Coverage, 1073,
     /*  2458 */     GIR_Done,
     /*  2459 */   // Label 136: @2459
     /*  2459 */   GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(2486), // Rule ID 1831 //
     /*  2464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  2467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  2471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  2475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  2479 */     // (sub:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)  =>  (SubuRxRyRz16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)
     /*  2479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SubuRxRyRz16),
     /*  2484 */     GIR_RootConstrainSelectedInstOperands,
     /*  2485 */     // GIR_Coverage, 1831,
     /*  2485 */     GIR_Done,
     /*  2486 */   // Label 137: @2486
     /*  2486 */   GIM_Reject,
     /*  2487 */ // Label 131: @2487
     /*  2487 */ GIM_Reject,
     /*  2488 */ // Label 123: @2488
     /*  2488 */ GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(2521), // Rule ID 203 //
     /*  2493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /*  2496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  2499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  2502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  2506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  2510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  2514 */   // (sub:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DSUBu:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  2514 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DSUBu),
     /*  2519 */   GIR_RootConstrainSelectedInstOperands,
     /*  2520 */   // GIR_Coverage, 203,
     /*  2520 */   GIR_Done,
     /*  2521 */ // Label 138: @2521
     /*  2521 */ GIM_Reject,
     /*  2522 */ // Label 124: @2522
     /*  2522 */ GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(2553), // Rule ID 1928 //
     /*  2527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  2530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  2533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  2536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  2540 */   // (sub:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)  =>  (SUBQ_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)
     /*  2540 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBQ_PH),
     /*  2545 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::DSPOutFlag20), GIMT_Encode2(RegState::Dead),
     /*  2551 */   GIR_RootConstrainSelectedInstOperands,
     /*  2552 */   // GIR_Coverage, 1928,
     /*  2552 */   GIR_Done,
     /*  2553 */ // Label 139: @2553
     /*  2553 */ GIM_Reject,
     /*  2554 */ // Label 125: @2554
     /*  2554 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(2646),
     /*  2559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  2562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  2565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  2569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  2573 */   GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(2626), // Rule ID 899 //
     /*  2578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  2585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  2589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  2593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  2597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  2602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  2607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2609 */     // (sub:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, (mul:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt))  =>  (MSUBV_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  2609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUBV_D),
     /*  2612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2614 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  2616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2624 */     GIR_RootConstrainSelectedInstOperands,
     /*  2625 */     // GIR_Coverage, 899,
     /*  2625 */     GIR_EraseRootFromParent_Done,
     /*  2626 */   // Label 141: @2626
     /*  2626 */   GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(2645), // Rule ID 1028 //
     /*  2631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  2638 */     // (sub:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SUBV_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  2638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBV_D),
     /*  2643 */     GIR_RootConstrainSelectedInstOperands,
     /*  2644 */     // GIR_Coverage, 1028,
     /*  2644 */     GIR_Done,
     /*  2645 */   // Label 142: @2645
     /*  2645 */   GIM_Reject,
     /*  2646 */ // Label 140: @2646
     /*  2646 */ GIM_Reject,
     /*  2647 */ // Label 126: @2647
     /*  2647 */ GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(2678), // Rule ID 1934 //
     /*  2652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  2655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /*  2658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /*  2661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  2665 */   // (sub:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)  =>  (SUBU_QB:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)
     /*  2665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBU_QB),
     /*  2670 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::DSPOutFlag20), GIMT_Encode2(RegState::Dead),
     /*  2676 */   GIR_RootConstrainSelectedInstOperands,
     /*  2677 */   // GIR_Coverage, 1934,
     /*  2677 */   GIR_Done,
     /*  2678 */ // Label 143: @2678
     /*  2678 */ GIM_Reject,
     /*  2679 */ // Label 127: @2679
     /*  2679 */ GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(2771),
     /*  2684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  2687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  2690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  2694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  2698 */   GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(2751), // Rule ID 898 //
     /*  2703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  2710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  2714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  2718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  2722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  2727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  2732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2734 */     // (sub:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, (mul:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt))  =>  (MSUBV_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  2734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUBV_W),
     /*  2737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2739 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  2741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2749 */     GIR_RootConstrainSelectedInstOperands,
     /*  2750 */     // GIR_Coverage, 898,
     /*  2750 */     GIR_EraseRootFromParent_Done,
     /*  2751 */   // Label 145: @2751
     /*  2751 */   GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(2770), // Rule ID 1027 //
     /*  2756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  2763 */     // (sub:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SUBV_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  2763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBV_W),
     /*  2768 */     GIR_RootConstrainSelectedInstOperands,
     /*  2769 */     // GIR_Coverage, 1027,
     /*  2769 */     GIR_Done,
     /*  2770 */   // Label 146: @2770
     /*  2770 */   GIM_Reject,
     /*  2771 */ // Label 144: @2771
     /*  2771 */ GIM_Reject,
     /*  2772 */ // Label 128: @2772
     /*  2772 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2864),
     /*  2777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  2780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  2783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2791 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(2844), // Rule ID 897 //
     /*  2796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  2803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  2807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  2811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  2815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2827 */     // (sub:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, (mul:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt))  =>  (MSUBV_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  2827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUBV_H),
     /*  2830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2832 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  2834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2842 */     GIR_RootConstrainSelectedInstOperands,
     /*  2843 */     // GIR_Coverage, 897,
     /*  2843 */     GIR_EraseRootFromParent_Done,
     /*  2844 */   // Label 148: @2844
     /*  2844 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2863), // Rule ID 1026 //
     /*  2849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  2856 */     // (sub:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SUBV_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  2856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBV_H),
     /*  2861 */     GIR_RootConstrainSelectedInstOperands,
     /*  2862 */     // GIR_Coverage, 1026,
     /*  2862 */     GIR_Done,
     /*  2863 */   // Label 149: @2863
     /*  2863 */   GIM_Reject,
     /*  2864 */ // Label 147: @2864
     /*  2864 */ GIM_Reject,
     /*  2865 */ // Label 129: @2865
     /*  2865 */ GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(2957),
     /*  2870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  2873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  2876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2884 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(2937), // Rule ID 896 //
     /*  2889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  2896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  2900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  2904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  2908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  2920 */     // (sub:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, (mul:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt))  =>  (MSUBV_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  2920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUBV_B),
     /*  2923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  2925 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /*  2927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /*  2931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /*  2935 */     GIR_RootConstrainSelectedInstOperands,
     /*  2936 */     // GIR_Coverage, 896,
     /*  2936 */     GIR_EraseRootFromParent_Done,
     /*  2937 */   // Label 151: @2937
     /*  2937 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(2956), // Rule ID 1025 //
     /*  2942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  2945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  2949 */     // (sub:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SUBV_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  2949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SUBV_B),
     /*  2954 */     GIR_RootConstrainSelectedInstOperands,
     /*  2955 */     // GIR_Coverage, 1025,
     /*  2955 */     GIR_Done,
     /*  2956 */   // Label 152: @2956
     /*  2956 */   GIM_Reject,
     /*  2957 */ // Label 150: @2957
     /*  2957 */ GIM_Reject,
     /*  2958 */ // Label 130: @2958
     /*  2958 */ GIM_Reject,
     /*  2959 */ // Label 2: @2959
     /*  2959 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 160*/ GIMT_Encode4(3439),
     /*  2970 */ /*GILLT_s32*//*Label 153*/ GIMT_Encode4(3002),
     /*  2974 */ /*GILLT_s64*//*Label 154*/ GIMT_Encode4(3186),
     /*  2978 */ /*GILLT_v2s16*//*Label 155*/ GIMT_Encode4(3271),
     /*  2982 */ /*GILLT_v2s64*//*Label 156*/ GIMT_Encode4(3303), GIMT_Encode4(0),
     /*  2990 */ /*GILLT_v4s32*//*Label 157*/ GIMT_Encode4(3337),
     /*  2994 */ /*GILLT_v8s16*//*Label 158*/ GIMT_Encode4(3371),
     /*  2998 */ /*GILLT_v16s8*//*Label 159*/ GIMT_Encode4(3405),
     /*  3002 */ // Label 153: @3002
     /*  3002 */ GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(3185),
     /*  3007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  3010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  3013 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(3052), // Rule ID 48 //
     /*  3018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /*  3021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3033 */     // (mul:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUL:{ *:[i32] }:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUL),
     /*  3038 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::HI0), GIMT_Encode2(RegState::Dead),
     /*  3044 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::LO0), GIMT_Encode2(RegState::Dead),
     /*  3050 */     GIR_RootConstrainSelectedInstOperands,
     /*  3051 */     // GIR_Coverage, 48,
     /*  3051 */     GIR_Done,
     /*  3052 */   // Label 162: @3052
     /*  3052 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(3079), // Rule ID 332 //
     /*  3057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /*  3060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3072 */     // (mul:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUL_R6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUL_R6),
     /*  3077 */     GIR_RootConstrainSelectedInstOperands,
     /*  3078 */     // GIR_Coverage, 332,
     /*  3078 */     GIR_Done,
     /*  3079 */   // Label 163: @3079
     /*  3079 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(3118), // Rule ID 1074 //
     /*  3084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  3087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3099 */     // (mul:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUL_MM:{ *:[i32] }:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUL_MM),
     /*  3104 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::HI0), GIMT_Encode2(RegState::Dead),
     /*  3110 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::LO0), GIMT_Encode2(RegState::Dead),
     /*  3116 */     GIR_RootConstrainSelectedInstOperands,
     /*  3117 */     // GIR_Coverage, 1074,
     /*  3117 */     GIR_Done,
     /*  3118 */   // Label 164: @3118
     /*  3118 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(3145), // Rule ID 1179 //
     /*  3123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  3126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3138 */     // (mul:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUL_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUL_MMR6),
     /*  3143 */     GIR_RootConstrainSelectedInstOperands,
     /*  3144 */     // GIR_Coverage, 1179,
     /*  3144 */     GIR_Done,
     /*  3145 */   // Label 165: @3145
     /*  3145 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(3184), // Rule ID 1829 //
     /*  3150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  3153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  3157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  3161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  3165 */     // (mul:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)  =>  (MultRxRyRz16:{ *:[i32] }:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)
     /*  3165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MultRxRyRz16),
     /*  3170 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::HI0), GIMT_Encode2(RegState::Dead),
     /*  3176 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::LO0), GIMT_Encode2(RegState::Dead),
     /*  3182 */     GIR_RootConstrainSelectedInstOperands,
     /*  3183 */     // GIR_Coverage, 1829,
     /*  3183 */     GIR_Done,
     /*  3184 */   // Label 166: @3184
     /*  3184 */   GIM_Reject,
     /*  3185 */ // Label 161: @3185
     /*  3185 */ GIM_Reject,
     /*  3186 */ // Label 154: @3186
     /*  3186 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(3270),
     /*  3191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  3194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  3197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3209 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(3254), // Rule ID 274 //
     /*  3214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /*  3217 */     // (mul:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DMUL:{ *:[i64] }:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  3217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMUL),
     /*  3222 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::HI0), GIMT_Encode2(RegState::Dead),
     /*  3228 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::LO0), GIMT_Encode2(RegState::Dead),
     /*  3234 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::P0), GIMT_Encode2(RegState::Dead),
     /*  3240 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::P1), GIMT_Encode2(RegState::Dead),
     /*  3246 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::P2), GIMT_Encode2(RegState::Dead),
     /*  3252 */     GIR_RootConstrainSelectedInstOperands,
     /*  3253 */     // GIR_Coverage, 274,
     /*  3253 */     GIR_Done,
     /*  3254 */   // Label 168: @3254
     /*  3254 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(3269), // Rule ID 347 //
     /*  3259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /*  3262 */     // (mul:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DMUL_R6:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  3262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMUL_R6),
     /*  3267 */     GIR_RootConstrainSelectedInstOperands,
     /*  3268 */     // GIR_Coverage, 347,
     /*  3268 */     GIR_Done,
     /*  3269 */   // Label 169: @3269
     /*  3269 */   GIM_Reject,
     /*  3270 */ // Label 167: @3270
     /*  3270 */ GIM_Reject,
     /*  3271 */ // Label 155: @3271
     /*  3271 */ GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(3302), // Rule ID 1930 //
     /*  3276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /*  3279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  3282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  3285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  3289 */   // (mul:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)  =>  (MUL_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)
     /*  3289 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUL_PH),
     /*  3294 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::DSPOutFlag21), GIMT_Encode2(RegState::Dead),
     /*  3300 */   GIR_RootConstrainSelectedInstOperands,
     /*  3301 */   // GIR_Coverage, 1930,
     /*  3301 */   GIR_Done,
     /*  3302 */ // Label 170: @3302
     /*  3302 */ GIM_Reject,
     /*  3303 */ // Label 156: @3303
     /*  3303 */ GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(3336), // Rule ID 907 //
     /*  3308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  3314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  3317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3329 */   // (mul:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MULV_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  3329 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MULV_D),
     /*  3334 */   GIR_RootConstrainSelectedInstOperands,
     /*  3335 */   // GIR_Coverage, 907,
     /*  3335 */   GIR_Done,
     /*  3336 */ // Label 171: @3336
     /*  3336 */ GIM_Reject,
     /*  3337 */ // Label 157: @3337
     /*  3337 */ GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(3370), // Rule ID 906 //
     /*  3342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  3348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  3351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3363 */   // (mul:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MULV_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  3363 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MULV_W),
     /*  3368 */   GIR_RootConstrainSelectedInstOperands,
     /*  3369 */   // GIR_Coverage, 906,
     /*  3369 */   GIR_Done,
     /*  3370 */ // Label 172: @3370
     /*  3370 */ GIM_Reject,
     /*  3371 */ // Label 158: @3371
     /*  3371 */ GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(3404), // Rule ID 905 //
     /*  3376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  3382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  3385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3397 */   // (mul:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MULV_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  3397 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MULV_H),
     /*  3402 */   GIR_RootConstrainSelectedInstOperands,
     /*  3403 */   // GIR_Coverage, 905,
     /*  3403 */   GIR_Done,
     /*  3404 */ // Label 173: @3404
     /*  3404 */ GIM_Reject,
     /*  3405 */ // Label 159: @3405
     /*  3405 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(3438), // Rule ID 904 //
     /*  3410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  3416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  3419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3431 */   // (mul:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MULV_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  3431 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MULV_B),
     /*  3436 */   GIR_RootConstrainSelectedInstOperands,
     /*  3437 */   // GIR_Coverage, 904,
     /*  3437 */   GIR_Done,
     /*  3438 */ // Label 174: @3438
     /*  3438 */ GIM_Reject,
     /*  3439 */ // Label 160: @3439
     /*  3439 */ GIM_Reject,
     /*  3440 */ // Label 3: @3440
     /*  3440 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 181*/ GIMT_Encode4(3708),
     /*  3451 */ /*GILLT_s32*//*Label 175*/ GIMT_Encode4(3483),
     /*  3455 */ /*GILLT_s64*//*Label 176*/ GIMT_Encode4(3538), GIMT_Encode4(0),
     /*  3463 */ /*GILLT_v2s64*//*Label 177*/ GIMT_Encode4(3572), GIMT_Encode4(0),
     /*  3471 */ /*GILLT_v4s32*//*Label 178*/ GIMT_Encode4(3606),
     /*  3475 */ /*GILLT_v8s16*//*Label 179*/ GIMT_Encode4(3640),
     /*  3479 */ /*GILLT_v16s8*//*Label 180*/ GIMT_Encode4(3674),
     /*  3483 */ // Label 175: @3483
     /*  3483 */ GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3537),
     /*  3488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  3491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  3494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3506 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3521), // Rule ID 326 //
     /*  3511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /*  3514 */     // (sdiv:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (DIV:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV),
     /*  3519 */     GIR_RootConstrainSelectedInstOperands,
     /*  3520 */     // GIR_Coverage, 326,
     /*  3520 */     GIR_Done,
     /*  3521 */   // Label 183: @3521
     /*  3521 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3536), // Rule ID 1172 //
     /*  3526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  3529 */     // (sdiv:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (DIV_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_MMR6),
     /*  3534 */     GIR_RootConstrainSelectedInstOperands,
     /*  3535 */     // GIR_Coverage, 1172,
     /*  3535 */     GIR_Done,
     /*  3536 */   // Label 184: @3536
     /*  3536 */   GIM_Reject,
     /*  3537 */ // Label 182: @3537
     /*  3537 */ GIM_Reject,
     /*  3538 */ // Label 176: @3538
     /*  3538 */ GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3571), // Rule ID 341 //
     /*  3543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /*  3546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  3549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  3552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3564 */   // (sdiv:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DDIV:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  3564 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DDIV),
     /*  3569 */   GIR_RootConstrainSelectedInstOperands,
     /*  3570 */   // GIR_Coverage, 341,
     /*  3570 */   GIR_Done,
     /*  3571 */ // Label 185: @3571
     /*  3571 */ GIM_Reject,
     /*  3572 */ // Label 177: @3572
     /*  3572 */ GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3605), // Rule ID 647 //
     /*  3577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  3583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  3586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3598 */   // (sdiv:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (DIV_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  3598 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_S_D),
     /*  3603 */   GIR_RootConstrainSelectedInstOperands,
     /*  3604 */   // GIR_Coverage, 647,
     /*  3604 */   GIR_Done,
     /*  3605 */ // Label 186: @3605
     /*  3605 */ GIM_Reject,
     /*  3606 */ // Label 178: @3606
     /*  3606 */ GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3639), // Rule ID 646 //
     /*  3611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  3617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  3620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3632 */   // (sdiv:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DIV_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  3632 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_S_W),
     /*  3637 */   GIR_RootConstrainSelectedInstOperands,
     /*  3638 */   // GIR_Coverage, 646,
     /*  3638 */   GIR_Done,
     /*  3639 */ // Label 187: @3639
     /*  3639 */ GIM_Reject,
     /*  3640 */ // Label 179: @3640
     /*  3640 */ GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3673), // Rule ID 645 //
     /*  3645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  3651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  3654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3666 */   // (sdiv:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DIV_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  3666 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_S_H),
     /*  3671 */   GIR_RootConstrainSelectedInstOperands,
     /*  3672 */   // GIR_Coverage, 645,
     /*  3672 */   GIR_Done,
     /*  3673 */ // Label 188: @3673
     /*  3673 */ GIM_Reject,
     /*  3674 */ // Label 180: @3674
     /*  3674 */ GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3707), // Rule ID 644 //
     /*  3679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  3685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  3688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3700 */   // (sdiv:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DIV_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  3700 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_S_B),
     /*  3705 */   GIR_RootConstrainSelectedInstOperands,
     /*  3706 */   // GIR_Coverage, 644,
     /*  3706 */   GIR_Done,
     /*  3707 */ // Label 189: @3707
     /*  3707 */ GIM_Reject,
     /*  3708 */ // Label 181: @3708
     /*  3708 */ GIM_Reject,
     /*  3709 */ // Label 4: @3709
     /*  3709 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 196*/ GIMT_Encode4(3977),
     /*  3720 */ /*GILLT_s32*//*Label 190*/ GIMT_Encode4(3752),
     /*  3724 */ /*GILLT_s64*//*Label 191*/ GIMT_Encode4(3807), GIMT_Encode4(0),
     /*  3732 */ /*GILLT_v2s64*//*Label 192*/ GIMT_Encode4(3841), GIMT_Encode4(0),
     /*  3740 */ /*GILLT_v4s32*//*Label 193*/ GIMT_Encode4(3875),
     /*  3744 */ /*GILLT_v8s16*//*Label 194*/ GIMT_Encode4(3909),
     /*  3748 */ /*GILLT_v16s8*//*Label 195*/ GIMT_Encode4(3943),
     /*  3752 */ // Label 190: @3752
     /*  3752 */ GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(3806),
     /*  3757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  3760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  3763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  3775 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(3790), // Rule ID 327 //
     /*  3780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /*  3783 */     // (udiv:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (DIVU:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIVU),
     /*  3788 */     GIR_RootConstrainSelectedInstOperands,
     /*  3789 */     // GIR_Coverage, 327,
     /*  3789 */     GIR_Done,
     /*  3790 */   // Label 198: @3790
     /*  3790 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(3805), // Rule ID 1173 //
     /*  3795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  3798 */     // (udiv:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (DIVU_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  3798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIVU_MMR6),
     /*  3803 */     GIR_RootConstrainSelectedInstOperands,
     /*  3804 */     // GIR_Coverage, 1173,
     /*  3804 */     GIR_Done,
     /*  3805 */   // Label 199: @3805
     /*  3805 */   GIM_Reject,
     /*  3806 */ // Label 197: @3806
     /*  3806 */ GIM_Reject,
     /*  3807 */ // Label 191: @3807
     /*  3807 */ GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(3840), // Rule ID 342 //
     /*  3812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /*  3815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  3818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  3821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  3833 */   // (udiv:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DDIVU:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  3833 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DDIVU),
     /*  3838 */   GIR_RootConstrainSelectedInstOperands,
     /*  3839 */   // GIR_Coverage, 342,
     /*  3839 */   GIR_Done,
     /*  3840 */ // Label 200: @3840
     /*  3840 */ GIM_Reject,
     /*  3841 */ // Label 192: @3841
     /*  3841 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(3874), // Rule ID 651 //
     /*  3846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  3852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  3855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  3867 */   // (udiv:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (DIV_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  3867 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_U_D),
     /*  3872 */   GIR_RootConstrainSelectedInstOperands,
     /*  3873 */   // GIR_Coverage, 651,
     /*  3873 */   GIR_Done,
     /*  3874 */ // Label 201: @3874
     /*  3874 */ GIM_Reject,
     /*  3875 */ // Label 193: @3875
     /*  3875 */ GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(3908), // Rule ID 650 //
     /*  3880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  3886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  3889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  3901 */   // (udiv:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DIV_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  3901 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_U_W),
     /*  3906 */   GIR_RootConstrainSelectedInstOperands,
     /*  3907 */   // GIR_Coverage, 650,
     /*  3907 */   GIR_Done,
     /*  3908 */ // Label 202: @3908
     /*  3908 */ GIM_Reject,
     /*  3909 */ // Label 194: @3909
     /*  3909 */ GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(3942), // Rule ID 649 //
     /*  3914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  3920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  3923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  3935 */   // (udiv:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DIV_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  3935 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_U_H),
     /*  3940 */   GIR_RootConstrainSelectedInstOperands,
     /*  3941 */   // GIR_Coverage, 649,
     /*  3941 */   GIR_Done,
     /*  3942 */ // Label 203: @3942
     /*  3942 */ GIM_Reject,
     /*  3943 */ // Label 195: @3943
     /*  3943 */ GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(3976), // Rule ID 648 //
     /*  3948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  3951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  3954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  3957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  3969 */   // (udiv:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DIV_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  3969 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DIV_U_B),
     /*  3974 */   GIR_RootConstrainSelectedInstOperands,
     /*  3975 */   // GIR_Coverage, 648,
     /*  3975 */   GIR_Done,
     /*  3976 */ // Label 204: @3976
     /*  3976 */ GIM_Reject,
     /*  3977 */ // Label 196: @3977
     /*  3977 */ GIM_Reject,
     /*  3978 */ // Label 5: @3978
     /*  3978 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 211*/ GIMT_Encode4(4246),
     /*  3989 */ /*GILLT_s32*//*Label 205*/ GIMT_Encode4(4021),
     /*  3993 */ /*GILLT_s64*//*Label 206*/ GIMT_Encode4(4076), GIMT_Encode4(0),
     /*  4001 */ /*GILLT_v2s64*//*Label 207*/ GIMT_Encode4(4110), GIMT_Encode4(0),
     /*  4009 */ /*GILLT_v4s32*//*Label 208*/ GIMT_Encode4(4144),
     /*  4013 */ /*GILLT_v8s16*//*Label 209*/ GIMT_Encode4(4178),
     /*  4017 */ /*GILLT_v16s8*//*Label 210*/ GIMT_Encode4(4212),
     /*  4021 */ // Label 205: @4021
     /*  4021 */ GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(4075),
     /*  4026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  4029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  4032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4044 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(4059), // Rule ID 328 //
     /*  4049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /*  4052 */     // (srem:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MOD:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  4052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD),
     /*  4057 */     GIR_RootConstrainSelectedInstOperands,
     /*  4058 */     // GIR_Coverage, 328,
     /*  4058 */     GIR_Done,
     /*  4059 */   // Label 213: @4059
     /*  4059 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(4074), // Rule ID 1177 //
     /*  4064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  4067 */     // (srem:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MOD_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  4067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_MMR6),
     /*  4072 */     GIR_RootConstrainSelectedInstOperands,
     /*  4073 */     // GIR_Coverage, 1177,
     /*  4073 */     GIR_Done,
     /*  4074 */   // Label 214: @4074
     /*  4074 */   GIM_Reject,
     /*  4075 */ // Label 212: @4075
     /*  4075 */ GIM_Reject,
     /*  4076 */ // Label 206: @4076
     /*  4076 */ GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(4109), // Rule ID 343 //
     /*  4081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /*  4084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  4087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  4090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4102 */   // (srem:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DMOD:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  4102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMOD),
     /*  4107 */   GIR_RootConstrainSelectedInstOperands,
     /*  4108 */   // GIR_Coverage, 343,
     /*  4108 */   GIR_Done,
     /*  4109 */ // Label 215: @4109
     /*  4109 */ GIM_Reject,
     /*  4110 */ // Label 207: @4110
     /*  4110 */ GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(4143), // Rule ID 887 //
     /*  4115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  4121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  4124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4136 */   // (srem:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MOD_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  4136 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_S_D),
     /*  4141 */   GIR_RootConstrainSelectedInstOperands,
     /*  4142 */   // GIR_Coverage, 887,
     /*  4142 */   GIR_Done,
     /*  4143 */ // Label 216: @4143
     /*  4143 */ GIM_Reject,
     /*  4144 */ // Label 208: @4144
     /*  4144 */ GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(4177), // Rule ID 886 //
     /*  4149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  4155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  4158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4170 */   // (srem:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MOD_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  4170 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_S_W),
     /*  4175 */   GIR_RootConstrainSelectedInstOperands,
     /*  4176 */   // GIR_Coverage, 886,
     /*  4176 */   GIR_Done,
     /*  4177 */ // Label 217: @4177
     /*  4177 */ GIM_Reject,
     /*  4178 */ // Label 209: @4178
     /*  4178 */ GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(4211), // Rule ID 885 //
     /*  4183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  4189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  4192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  4196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  4200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  4204 */   // (srem:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MOD_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  4204 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_S_H),
     /*  4209 */   GIR_RootConstrainSelectedInstOperands,
     /*  4210 */   // GIR_Coverage, 885,
     /*  4210 */   GIR_Done,
     /*  4211 */ // Label 218: @4211
     /*  4211 */ GIM_Reject,
     /*  4212 */ // Label 210: @4212
     /*  4212 */ GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(4245), // Rule ID 884 //
     /*  4217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  4223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  4226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  4230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  4234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  4238 */   // (srem:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MOD_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  4238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_S_B),
     /*  4243 */   GIR_RootConstrainSelectedInstOperands,
     /*  4244 */   // GIR_Coverage, 884,
     /*  4244 */   GIR_Done,
     /*  4245 */ // Label 219: @4245
     /*  4245 */ GIM_Reject,
     /*  4246 */ // Label 211: @4246
     /*  4246 */ GIM_Reject,
     /*  4247 */ // Label 6: @4247
     /*  4247 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 226*/ GIMT_Encode4(4515),
     /*  4258 */ /*GILLT_s32*//*Label 220*/ GIMT_Encode4(4290),
     /*  4262 */ /*GILLT_s64*//*Label 221*/ GIMT_Encode4(4345), GIMT_Encode4(0),
     /*  4270 */ /*GILLT_v2s64*//*Label 222*/ GIMT_Encode4(4379), GIMT_Encode4(0),
     /*  4278 */ /*GILLT_v4s32*//*Label 223*/ GIMT_Encode4(4413),
     /*  4282 */ /*GILLT_v8s16*//*Label 224*/ GIMT_Encode4(4447),
     /*  4286 */ /*GILLT_v16s8*//*Label 225*/ GIMT_Encode4(4481),
     /*  4290 */ // Label 220: @4290
     /*  4290 */ GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(4344),
     /*  4295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  4298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  4301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4313 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(4328), // Rule ID 329 //
     /*  4318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /*  4321 */     // (urem:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MODU:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  4321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MODU),
     /*  4326 */     GIR_RootConstrainSelectedInstOperands,
     /*  4327 */     // GIR_Coverage, 329,
     /*  4327 */     GIR_Done,
     /*  4328 */   // Label 228: @4328
     /*  4328 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(4343), // Rule ID 1178 //
     /*  4333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  4336 */     // (urem:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MODU_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  4336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MODU_MMR6),
     /*  4341 */     GIR_RootConstrainSelectedInstOperands,
     /*  4342 */     // GIR_Coverage, 1178,
     /*  4342 */     GIR_Done,
     /*  4343 */   // Label 229: @4343
     /*  4343 */   GIM_Reject,
     /*  4344 */ // Label 227: @4344
     /*  4344 */ GIM_Reject,
     /*  4345 */ // Label 221: @4345
     /*  4345 */ GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(4378), // Rule ID 344 //
     /*  4350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /*  4353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  4356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  4359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4371 */   // (urem:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DMODU:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  4371 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMODU),
     /*  4376 */   GIR_RootConstrainSelectedInstOperands,
     /*  4377 */   // GIR_Coverage, 344,
     /*  4377 */   GIR_Done,
     /*  4378 */ // Label 230: @4378
     /*  4378 */ GIM_Reject,
     /*  4379 */ // Label 222: @4379
     /*  4379 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(4412), // Rule ID 891 //
     /*  4384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  4390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  4393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4405 */   // (urem:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MOD_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  4405 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_U_D),
     /*  4410 */   GIR_RootConstrainSelectedInstOperands,
     /*  4411 */   // GIR_Coverage, 891,
     /*  4411 */   GIR_Done,
     /*  4412 */ // Label 231: @4412
     /*  4412 */ GIM_Reject,
     /*  4413 */ // Label 223: @4413
     /*  4413 */ GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(4446), // Rule ID 890 //
     /*  4418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  4424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  4427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4439 */   // (urem:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MOD_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  4439 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_U_W),
     /*  4444 */   GIR_RootConstrainSelectedInstOperands,
     /*  4445 */   // GIR_Coverage, 890,
     /*  4445 */   GIR_Done,
     /*  4446 */ // Label 232: @4446
     /*  4446 */ GIM_Reject,
     /*  4447 */ // Label 224: @4447
     /*  4447 */ GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(4480), // Rule ID 889 //
     /*  4452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  4458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  4461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  4465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  4469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  4473 */   // (urem:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MOD_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  4473 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_U_H),
     /*  4478 */   GIR_RootConstrainSelectedInstOperands,
     /*  4479 */   // GIR_Coverage, 889,
     /*  4479 */   GIR_Done,
     /*  4480 */ // Label 233: @4480
     /*  4480 */ GIM_Reject,
     /*  4481 */ // Label 225: @4481
     /*  4481 */ GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(4514), // Rule ID 888 //
     /*  4486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  4492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  4495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  4499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  4503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  4507 */   // (urem:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MOD_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  4507 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MOD_U_B),
     /*  4512 */   GIR_RootConstrainSelectedInstOperands,
     /*  4513 */   // GIR_Coverage, 888,
     /*  4513 */   GIR_Done,
     /*  4514 */ // Label 234: @4514
     /*  4514 */ GIM_Reject,
     /*  4515 */ // Label 226: @4515
     /*  4515 */ GIM_Reject,
     /*  4516 */ // Label 7: @4516
     /*  4516 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 241*/ GIMT_Encode4(5071),
     /*  4527 */ /*GILLT_s32*//*Label 235*/ GIMT_Encode4(4559),
     /*  4531 */ /*GILLT_s64*//*Label 236*/ GIMT_Encode4(4833), GIMT_Encode4(0),
     /*  4539 */ /*GILLT_v2s64*//*Label 237*/ GIMT_Encode4(4935), GIMT_Encode4(0),
     /*  4547 */ /*GILLT_v4s32*//*Label 238*/ GIMT_Encode4(4969),
     /*  4551 */ /*GILLT_v8s16*//*Label 239*/ GIMT_Encode4(5003),
     /*  4555 */ /*GILLT_v16s8*//*Label 240*/ GIMT_Encode4(5037),
     /*  4559 */ // Label 235: @4559
     /*  4559 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(4832),
     /*  4564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  4567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  4570 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(4612), // Rule ID 41 //
     /*  4575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  4578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  4590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  4594 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_imm32ZExt16),
     /*  4598 */     // MIs[1] Operand 1
     /*  4598 */     // No operand predicates
     /*  4598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  4600 */     // (and:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_imm32ZExt16>>:$imm16)  =>  (ANDi:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] }):$imm16)
     /*  4600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ANDi),
     /*  4603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  4605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  4607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm16
     /*  4610 */     GIR_RootConstrainSelectedInstOperands,
     /*  4611 */     // GIR_Coverage, 41,
     /*  4611 */     GIR_EraseRootFromParent_Done,
     /*  4612 */   // Label 243: @4612
     /*  4612 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(4654), // Rule ID 2172 //
     /*  4617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /*  4620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  4624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  4628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  4632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  4636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExtAndi16),
     /*  4640 */     // MIs[1] Operand 1
     /*  4640 */     // No operand predicates
     /*  4640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  4642 */     // (and:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExtAndi16>>:$imm)  =>  (ANDI16_MM:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExtAndi16>>:$imm)
     /*  4642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ANDI16_MM),
     /*  4645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  4647 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  4649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  4652 */     GIR_RootConstrainSelectedInstOperands,
     /*  4653 */     // GIR_Coverage, 2172,
     /*  4653 */     GIR_EraseRootFromParent_Done,
     /*  4654 */   // Label 244: @4654
     /*  4654 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(4696), // Rule ID 2331 //
     /*  4659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  4662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  4666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  4670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  4674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  4678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExtAndi16),
     /*  4682 */     // MIs[1] Operand 1
     /*  4682 */     // No operand predicates
     /*  4682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  4684 */     // (and:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExtAndi16>>:$imm)  =>  (ANDI16_MMR6:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExtAndi16>>:$imm)
     /*  4684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ANDI16_MMR6),
     /*  4687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  4689 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  4691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  4694 */     GIR_RootConstrainSelectedInstOperands,
     /*  4695 */     // GIR_Coverage, 2331,
     /*  4695 */     GIR_EraseRootFromParent_Done,
     /*  4696 */   // Label 245: @4696
     /*  4696 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(4723), // Rule ID 51 //
     /*  4701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  4704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4716 */     // (and:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (AND:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  4716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND),
     /*  4721 */     GIR_RootConstrainSelectedInstOperands,
     /*  4722 */     // GIR_Coverage, 51,
     /*  4722 */     GIR_Done,
     /*  4723 */   // Label 246: @4723
     /*  4723 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(4750), // Rule ID 1061 //
     /*  4728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  4731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  4735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  4739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  4743 */     // (and:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)  =>  (AND16_MM:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)
     /*  4743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND16_MM),
     /*  4748 */     GIR_RootConstrainSelectedInstOperands,
     /*  4749 */     // GIR_Coverage, 1061,
     /*  4749 */     GIR_Done,
     /*  4750 */   // Label 247: @4750
     /*  4750 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(4777), // Rule ID 1077 //
     /*  4755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  4758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4770 */     // (and:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (AND_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  4770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND_MM),
     /*  4775 */     GIR_RootConstrainSelectedInstOperands,
     /*  4776 */     // GIR_Coverage, 1077,
     /*  4776 */     GIR_Done,
     /*  4777 */   // Label 248: @4777
     /*  4777 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(4804), // Rule ID 1170 //
     /*  4782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  4785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  4797 */     // (and:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (AND_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  4797 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND_MMR6),
     /*  4802 */     GIR_RootConstrainSelectedInstOperands,
     /*  4803 */     // GIR_Coverage, 1170,
     /*  4803 */     GIR_Done,
     /*  4804 */   // Label 249: @4804
     /*  4804 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(4831), // Rule ID 1828 //
     /*  4809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  4812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  4816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  4820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  4824 */     // (and:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)  =>  (AndRxRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)
     /*  4824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AndRxRxRy16),
     /*  4829 */     GIR_RootConstrainSelectedInstOperands,
     /*  4830 */     // GIR_Coverage, 1828,
     /*  4830 */     GIR_Done,
     /*  4831 */   // Label 250: @4831
     /*  4831 */   GIM_Reject,
     /*  4832 */ // Label 242: @4832
     /*  4832 */ GIM_Reject,
     /*  4833 */ // Label 236: @4833
     /*  4833 */ GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(4934),
     /*  4838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  4841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  4844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4848 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(4910), // Rule ID 269 //
     /*  4853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /*  4856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  4860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  4864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  4868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  4872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4882 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  4893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  4895 */     // (and:{ *:[i64] } (add:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt), 255:{ *:[i64] })  =>  (BADDu:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  4895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BADDu),
     /*  4898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  4900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  4904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rt
     /*  4908 */     GIR_RootConstrainSelectedInstOperands,
     /*  4909 */     // GIR_Coverage, 269,
     /*  4909 */     GIR_EraseRootFromParent_Done,
     /*  4910 */   // Label 252: @4910
     /*  4910 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(4933), // Rule ID 206 //
     /*  4915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /*  4918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  4926 */     // (and:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (AND64:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  4926 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND64),
     /*  4931 */     GIR_RootConstrainSelectedInstOperands,
     /*  4932 */     // GIR_Coverage, 206,
     /*  4932 */     GIR_Done,
     /*  4933 */   // Label 253: @4933
     /*  4933 */   GIM_Reject,
     /*  4934 */ // Label 251: @4934
     /*  4934 */ GIM_Reject,
     /*  4935 */ // Label 237: @4935
     /*  4935 */ GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(4968), // Rule ID 518 //
     /*  4940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  4946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  4949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  4961 */   // (and:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (AND_V_D_PSEUDO:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  4961 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND_V_D_PSEUDO),
     /*  4966 */   GIR_RootConstrainSelectedInstOperands,
     /*  4967 */   // GIR_Coverage, 518,
     /*  4967 */   GIR_Done,
     /*  4968 */ // Label 254: @4968
     /*  4968 */ GIM_Reject,
     /*  4969 */ // Label 238: @4969
     /*  4969 */ GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(5002), // Rule ID 517 //
     /*  4974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  4977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  4980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  4983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  4995 */   // (and:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (AND_V_W_PSEUDO:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  4995 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND_V_W_PSEUDO),
     /*  5000 */   GIR_RootConstrainSelectedInstOperands,
     /*  5001 */   // GIR_Coverage, 517,
     /*  5001 */   GIR_Done,
     /*  5002 */ // Label 255: @5002
     /*  5002 */ GIM_Reject,
     /*  5003 */ // Label 239: @5003
     /*  5003 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(5036), // Rule ID 516 //
     /*  5008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  5011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  5014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  5017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  5021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  5025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  5029 */   // (and:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (AND_V_H_PSEUDO:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  5029 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND_V_H_PSEUDO),
     /*  5034 */   GIR_RootConstrainSelectedInstOperands,
     /*  5035 */   // GIR_Coverage, 516,
     /*  5035 */   GIR_Done,
     /*  5036 */ // Label 256: @5036
     /*  5036 */ GIM_Reject,
     /*  5037 */ // Label 240: @5037
     /*  5037 */ GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(5070), // Rule ID 515 //
     /*  5042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  5045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  5048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  5051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  5055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  5059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  5063 */   // (and:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (AND_V:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  5063 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::AND_V),
     /*  5068 */   GIR_RootConstrainSelectedInstOperands,
     /*  5069 */   // GIR_Coverage, 515,
     /*  5069 */   GIR_Done,
     /*  5070 */ // Label 257: @5070
     /*  5070 */ GIM_Reject,
     /*  5071 */ // Label 241: @5071
     /*  5071 */ GIM_Reject,
     /*  5072 */ // Label 8: @5072
     /*  5072 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 264*/ GIMT_Encode4(5475),
     /*  5083 */ /*GILLT_s32*//*Label 258*/ GIMT_Encode4(5115),
     /*  5087 */ /*GILLT_s64*//*Label 259*/ GIMT_Encode4(5305), GIMT_Encode4(0),
     /*  5095 */ /*GILLT_v2s64*//*Label 260*/ GIMT_Encode4(5339), GIMT_Encode4(0),
     /*  5103 */ /*GILLT_v4s32*//*Label 261*/ GIMT_Encode4(5373),
     /*  5107 */ /*GILLT_v8s16*//*Label 262*/ GIMT_Encode4(5407),
     /*  5111 */ /*GILLT_v16s8*//*Label 263*/ GIMT_Encode4(5441),
     /*  5115 */ // Label 258: @5115
     /*  5115 */ GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(5304),
     /*  5120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  5123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  5126 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(5168), // Rule ID 42 //
     /*  5131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  5134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  5146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  5150 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_imm32ZExt16),
     /*  5154 */     // MIs[1] Operand 1
     /*  5154 */     // No operand predicates
     /*  5154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  5156 */     // (or:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_imm32ZExt16>>:$imm16)  =>  (ORi:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] }):$imm16)
     /*  5156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ORi),
     /*  5159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  5161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  5163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm16
     /*  5166 */     GIR_RootConstrainSelectedInstOperands,
     /*  5167 */     // GIR_Coverage, 42,
     /*  5167 */     GIR_EraseRootFromParent_Done,
     /*  5168 */   // Label 266: @5168
     /*  5168 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(5195), // Rule ID 52 //
     /*  5173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  5176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5188 */     // (or:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (OR:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  5188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR),
     /*  5193 */     GIR_RootConstrainSelectedInstOperands,
     /*  5194 */     // GIR_Coverage, 52,
     /*  5194 */     GIR_Done,
     /*  5195 */   // Label 267: @5195
     /*  5195 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(5222), // Rule ID 1063 //
     /*  5200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  5203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5215 */     // (or:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)  =>  (OR16_MM:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)
     /*  5215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR16_MM),
     /*  5220 */     GIR_RootConstrainSelectedInstOperands,
     /*  5221 */     // GIR_Coverage, 1063,
     /*  5221 */     GIR_Done,
     /*  5222 */   // Label 268: @5222
     /*  5222 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(5249), // Rule ID 1078 //
     /*  5227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  5230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5242 */     // (or:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (OR_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  5242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR_MM),
     /*  5247 */     GIR_RootConstrainSelectedInstOperands,
     /*  5248 */     // GIR_Coverage, 1078,
     /*  5248 */     GIR_Done,
     /*  5249 */   // Label 269: @5249
     /*  5249 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(5276), // Rule ID 1183 //
     /*  5254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  5257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5269 */     // (or:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (OR_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  5269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR_MMR6),
     /*  5274 */     GIR_RootConstrainSelectedInstOperands,
     /*  5275 */     // GIR_Coverage, 1183,
     /*  5275 */     GIR_Done,
     /*  5276 */   // Label 270: @5276
     /*  5276 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(5303), // Rule ID 1830 //
     /*  5281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  5284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  5288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  5292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  5296 */     // (or:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)  =>  (OrRxRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)
     /*  5296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OrRxRxRy16),
     /*  5301 */     GIR_RootConstrainSelectedInstOperands,
     /*  5302 */     // GIR_Coverage, 1830,
     /*  5302 */     GIR_Done,
     /*  5303 */   // Label 271: @5303
     /*  5303 */   GIM_Reject,
     /*  5304 */ // Label 265: @5304
     /*  5304 */ GIM_Reject,
     /*  5305 */ // Label 259: @5305
     /*  5305 */ GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(5338), // Rule ID 207 //
     /*  5310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /*  5313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  5316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  5319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  5323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  5327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  5331 */   // (or:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (OR64:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  5331 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR64),
     /*  5336 */   GIR_RootConstrainSelectedInstOperands,
     /*  5337 */   // GIR_Coverage, 207,
     /*  5337 */   GIR_Done,
     /*  5338 */ // Label 272: @5338
     /*  5338 */ GIM_Reject,
     /*  5339 */ // Label 260: @5339
     /*  5339 */ GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(5372), // Rule ID 924 //
     /*  5344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  5347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  5350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  5353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  5357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  5361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  5365 */   // (or:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (OR_V_D_PSEUDO:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  5365 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR_V_D_PSEUDO),
     /*  5370 */   GIR_RootConstrainSelectedInstOperands,
     /*  5371 */   // GIR_Coverage, 924,
     /*  5371 */   GIR_Done,
     /*  5372 */ // Label 273: @5372
     /*  5372 */ GIM_Reject,
     /*  5373 */ // Label 261: @5373
     /*  5373 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(5406), // Rule ID 923 //
     /*  5378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  5381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  5384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  5387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  5391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  5395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  5399 */   // (or:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (OR_V_W_PSEUDO:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  5399 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR_V_W_PSEUDO),
     /*  5404 */   GIR_RootConstrainSelectedInstOperands,
     /*  5405 */   // GIR_Coverage, 923,
     /*  5405 */   GIR_Done,
     /*  5406 */ // Label 274: @5406
     /*  5406 */ GIM_Reject,
     /*  5407 */ // Label 262: @5407
     /*  5407 */ GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(5440), // Rule ID 922 //
     /*  5412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  5415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  5418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  5421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  5425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  5429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  5433 */   // (or:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (OR_V_H_PSEUDO:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  5433 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR_V_H_PSEUDO),
     /*  5438 */   GIR_RootConstrainSelectedInstOperands,
     /*  5439 */   // GIR_Coverage, 922,
     /*  5439 */   GIR_Done,
     /*  5440 */ // Label 275: @5440
     /*  5440 */ GIM_Reject,
     /*  5441 */ // Label 263: @5441
     /*  5441 */ GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(5474), // Rule ID 921 //
     /*  5446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  5449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  5452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  5455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  5459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  5463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  5467 */   // (or:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (OR_V:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  5467 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::OR_V),
     /*  5472 */   GIR_RootConstrainSelectedInstOperands,
     /*  5473 */   // GIR_Coverage, 921,
     /*  5473 */   GIR_Done,
     /*  5474 */ // Label 276: @5474
     /*  5474 */ GIM_Reject,
     /*  5475 */ // Label 264: @5475
     /*  5475 */ GIM_Reject,
     /*  5476 */ // Label 9: @5476
     /*  5476 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 283*/ GIMT_Encode4(6367),
     /*  5487 */ /*GILLT_s32*//*Label 277*/ GIMT_Encode4(5519),
     /*  5491 */ /*GILLT_s64*//*Label 278*/ GIMT_Encode4(6136), GIMT_Encode4(0),
     /*  5499 */ /*GILLT_v2s64*//*Label 279*/ GIMT_Encode4(6231), GIMT_Encode4(0),
     /*  5507 */ /*GILLT_v4s32*//*Label 280*/ GIMT_Encode4(6265),
     /*  5511 */ /*GILLT_v8s16*//*Label 281*/ GIMT_Encode4(6299),
     /*  5515 */ /*GILLT_v16s8*//*Label 282*/ GIMT_Encode4(6333),
     /*  5519 */ // Label 277: @5519
     /*  5519 */ GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(6135),
     /*  5524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  5527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  5530 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(5589), // Rule ID 54 //
     /*  5535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  5538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  5546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  5550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  5554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  5558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  5574 */     // (xor:{ *:[i32] } (or:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt), -1:{ *:[i32] })  =>  (NOR:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  5574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /*  5577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  5579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  5583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rt
     /*  5587 */     GIR_RootConstrainSelectedInstOperands,
     /*  5588 */     // GIR_Coverage, 54,
     /*  5588 */     GIR_EraseRootFromParent_Done,
     /*  5589 */   // Label 285: @5589
     /*  5589 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(5648), // Rule ID 1080 //
     /*  5594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  5597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  5605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  5609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  5613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  5617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5627 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  5633 */     // (xor:{ *:[i32] } (or:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt), -1:{ *:[i32] })  =>  (NOR_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  5633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MM),
     /*  5636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  5638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  5642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rt
     /*  5646 */     GIR_RootConstrainSelectedInstOperands,
     /*  5647 */     // GIR_Coverage, 1080,
     /*  5647 */     GIR_EraseRootFromParent_Done,
     /*  5648 */   // Label 286: @5648
     /*  5648 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(5707), // Rule ID 1182 //
     /*  5653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  5656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  5664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  5668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  5672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  5676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5686 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  5692 */     // (xor:{ *:[i32] } (or:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt), -1:{ *:[i32] })  =>  (NOR_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  5692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /*  5695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  5697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  5701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rt
     /*  5705 */     GIR_RootConstrainSelectedInstOperands,
     /*  5706 */     // GIR_Coverage, 1182,
     /*  5706 */     GIR_EraseRootFromParent_Done,
     /*  5707 */   // Label 287: @5707
     /*  5707 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(5736), // Rule ID 1209 //
     /*  5712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  5715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5723 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5727 */     // (xor:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, -1:{ *:[i32] })  =>  (NOT16_MMR6:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs)
     /*  5727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOT16_MMR6),
     /*  5730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  5732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  5734 */     GIR_RootConstrainSelectedInstOperands,
     /*  5735 */     // GIR_Coverage, 1209,
     /*  5735 */     GIR_EraseRootFromParent_Done,
     /*  5736 */   // Label 288: @5736
     /*  5736 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(5765), // Rule ID 1062 //
     /*  5741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  5744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5752 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5756 */     // (xor:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, -1:{ *:[i32] })  =>  (NOT16_MM:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs)
     /*  5756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOT16_MM),
     /*  5759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  5761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  5763 */     GIR_RootConstrainSelectedInstOperands,
     /*  5764 */     // GIR_Coverage, 1062,
     /*  5764 */     GIR_EraseRootFromParent_Done,
     /*  5765 */   // Label 289: @5765
     /*  5765 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(5800), // Rule ID 1397 //
     /*  5770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  5773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5781 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5785 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$in, -1:{ *:[i32] })  =>  (NOR:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$in, ZERO:{ *:[i32] })
     /*  5785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /*  5788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  5790 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /*  5792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  5798 */     GIR_RootConstrainSelectedInstOperands,
     /*  5799 */     // GIR_Coverage, 1397,
     /*  5799 */     GIR_EraseRootFromParent_Done,
     /*  5800 */   // Label 290: @5800
     /*  5800 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(5829), // Rule ID 1825 //
     /*  5805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  5808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  5812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  5816 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5820 */     // (xor:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r, -1:{ *:[i32] })  =>  (NotRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r)
     /*  5820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NotRxRy16),
     /*  5823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /*  5825 */     GIR_RootToRootCopy, /*OpIdx*/1, // r
     /*  5827 */     GIR_RootConstrainSelectedInstOperands,
     /*  5828 */     // GIR_Coverage, 1825,
     /*  5828 */     GIR_EraseRootFromParent_Done,
     /*  5829 */   // Label 291: @5829
     /*  5829 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(5858), // Rule ID 2167 //
     /*  5834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /*  5837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5845 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5849 */     // (xor:{ *:[i32] } GPRMM16:{ *:[i32] }:$in, -1:{ *:[i32] })  =>  (NOT16_MM:{ *:[i32] } GPRMM16:{ *:[i32] }:$in)
     /*  5849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOT16_MM),
     /*  5852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  5854 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /*  5856 */     GIR_RootConstrainSelectedInstOperands,
     /*  5857 */     // GIR_Coverage, 2167,
     /*  5857 */     GIR_EraseRootFromParent_Done,
     /*  5858 */   // Label 292: @5858
     /*  5858 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(5893), // Rule ID 2168 //
     /*  5863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /*  5866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5874 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5878 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$in, -1:{ *:[i32] })  =>  (NOR_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$in, ZERO:{ *:[i32] })
     /*  5878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MM),
     /*  5881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  5883 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /*  5885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  5891 */     GIR_RootConstrainSelectedInstOperands,
     /*  5892 */     // GIR_Coverage, 2168,
     /*  5892 */     GIR_EraseRootFromParent_Done,
     /*  5893 */   // Label 293: @5893
     /*  5893 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(5922), // Rule ID 2334 //
     /*  5898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  5901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  5909 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5913 */     // (xor:{ *:[i32] } GPRMM16:{ *:[i32] }:$in, -1:{ *:[i32] })  =>  (NOT16_MMR6:{ *:[i32] } GPRMM16:{ *:[i32] }:$in)
     /*  5913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOT16_MMR6),
     /*  5916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  5918 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /*  5920 */     GIR_RootConstrainSelectedInstOperands,
     /*  5921 */     // GIR_Coverage, 2334,
     /*  5921 */     GIR_EraseRootFromParent_Done,
     /*  5922 */   // Label 294: @5922
     /*  5922 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(5957), // Rule ID 2335 //
     /*  5927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  5930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  5942 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$in, -1:{ *:[i32] })  =>  (NOR_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$in, ZERO:{ *:[i32] })
     /*  5942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /*  5945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  5947 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /*  5949 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  5955 */     GIR_RootConstrainSelectedInstOperands,
     /*  5956 */     // GIR_Coverage, 2335,
     /*  5956 */     GIR_EraseRootFromParent_Done,
     /*  5957 */   // Label 295: @5957
     /*  5957 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(5999), // Rule ID 43 //
     /*  5962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  5965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  5973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  5977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  5981 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_imm32ZExt16),
     /*  5985 */     // MIs[1] Operand 1
     /*  5985 */     // No operand predicates
     /*  5985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  5987 */     // (xor:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_imm32ZExt16>>:$imm16)  =>  (XORi:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] }):$imm16)
     /*  5987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /*  5990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /*  5992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  5994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm16
     /*  5997 */     GIR_RootConstrainSelectedInstOperands,
     /*  5998 */     // GIR_Coverage, 43,
     /*  5998 */     GIR_EraseRootFromParent_Done,
     /*  5999 */   // Label 296: @5999
     /*  5999 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(6026), // Rule ID 53 //
     /*  6004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /*  6007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6019 */     // (xor:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (XOR:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  6019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /*  6024 */     GIR_RootConstrainSelectedInstOperands,
     /*  6025 */     // GIR_Coverage, 53,
     /*  6025 */     GIR_Done,
     /*  6026 */   // Label 297: @6026
     /*  6026 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(6053), // Rule ID 1065 //
     /*  6031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  6034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  6038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  6042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /*  6046 */     // (xor:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)  =>  (XOR16_MM:{ *:[i32] } GPRMM16Opnd:{ *:[i32] }:$rs, GPRMM16Opnd:{ *:[i32] }:$rt)
     /*  6046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR16_MM),
     /*  6051 */     GIR_RootConstrainSelectedInstOperands,
     /*  6052 */     // GIR_Coverage, 1065,
     /*  6052 */     GIR_Done,
     /*  6053 */   // Label 298: @6053
     /*  6053 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(6080), // Rule ID 1079 //
     /*  6058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /*  6061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6073 */     // (xor:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (XOR_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  6073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /*  6078 */     GIR_RootConstrainSelectedInstOperands,
     /*  6079 */     // GIR_Coverage, 1079,
     /*  6079 */     GIR_Done,
     /*  6080 */   // Label 299: @6080
     /*  6080 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(6107), // Rule ID 1186 //
     /*  6085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /*  6088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6100 */     // (xor:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (XOR_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /*  6100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR_MMR6),
     /*  6105 */     GIR_RootConstrainSelectedInstOperands,
     /*  6106 */     // GIR_Coverage, 1186,
     /*  6106 */     GIR_Done,
     /*  6107 */   // Label 300: @6107
     /*  6107 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(6134), // Rule ID 1832 //
     /*  6112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /*  6115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  6119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  6123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /*  6127 */     // (xor:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)  =>  (XorRxRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$l, CPU16Regs:{ *:[i32] }:$r)
     /*  6127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /*  6132 */     GIR_RootConstrainSelectedInstOperands,
     /*  6133 */     // GIR_Coverage, 1832,
     /*  6133 */     GIR_Done,
     /*  6134 */   // Label 301: @6134
     /*  6134 */   GIM_Reject,
     /*  6135 */ // Label 284: @6135
     /*  6135 */ GIM_Reject,
     /*  6136 */ // Label 278: @6136
     /*  6136 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(6230),
     /*  6141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  6144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  6147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  6151 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(6206), // Rule ID 209 //
     /*  6156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /*  6159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  6163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  6167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  6171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  6175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  6180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  6185 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  6189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  6191 */     // (xor:{ *:[i64] } (or:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt), -1:{ *:[i64] })  =>  (NOR64:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  6191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR64),
     /*  6194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  6196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*  6200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rt
     /*  6204 */     GIR_RootConstrainSelectedInstOperands,
     /*  6205 */     // GIR_Coverage, 209,
     /*  6205 */     GIR_EraseRootFromParent_Done,
     /*  6206 */   // Label 303: @6206
     /*  6206 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(6229), // Rule ID 208 //
     /*  6211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /*  6214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  6218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  6222 */     // (xor:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (XOR64:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /*  6222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /*  6227 */     GIR_RootConstrainSelectedInstOperands,
     /*  6228 */     // GIR_Coverage, 208,
     /*  6228 */     GIR_Done,
     /*  6229 */   // Label 304: @6229
     /*  6229 */   GIM_Reject,
     /*  6230 */ // Label 302: @6230
     /*  6230 */ GIM_Reject,
     /*  6231 */ // Label 279: @6231
     /*  6231 */ GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(6264), // Rule ID 1040 //
     /*  6236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  6242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  6245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  6249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  6253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  6257 */   // (xor:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (XOR_V_D_PSEUDO:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /*  6257 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR_V_D_PSEUDO),
     /*  6262 */   GIR_RootConstrainSelectedInstOperands,
     /*  6263 */   // GIR_Coverage, 1040,
     /*  6263 */   GIR_Done,
     /*  6264 */ // Label 305: @6264
     /*  6264 */ GIM_Reject,
     /*  6265 */ // Label 280: @6265
     /*  6265 */ GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(6298), // Rule ID 1039 //
     /*  6270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  6276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  6279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  6283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  6287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  6291 */   // (xor:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (XOR_V_W_PSEUDO:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /*  6291 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR_V_W_PSEUDO),
     /*  6296 */   GIR_RootConstrainSelectedInstOperands,
     /*  6297 */   // GIR_Coverage, 1039,
     /*  6297 */   GIR_Done,
     /*  6298 */ // Label 306: @6298
     /*  6298 */ GIM_Reject,
     /*  6299 */ // Label 281: @6299
     /*  6299 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(6332), // Rule ID 1038 //
     /*  6304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  6310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  6313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  6317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  6321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  6325 */   // (xor:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (XOR_V_H_PSEUDO:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /*  6325 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR_V_H_PSEUDO),
     /*  6330 */   GIR_RootConstrainSelectedInstOperands,
     /*  6331 */   // GIR_Coverage, 1038,
     /*  6331 */   GIR_Done,
     /*  6332 */ // Label 307: @6332
     /*  6332 */ GIM_Reject,
     /*  6333 */ // Label 282: @6333
     /*  6333 */ GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(6366), // Rule ID 1037 //
     /*  6338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  6344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  6347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  6351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  6355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  6359 */   // (xor:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (XOR_V:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /*  6359 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::XOR_V),
     /*  6364 */   GIR_RootConstrainSelectedInstOperands,
     /*  6365 */   // GIR_Coverage, 1037,
     /*  6365 */   GIR_Done,
     /*  6366 */ // Label 308: @6366
     /*  6366 */ GIM_Reject,
     /*  6367 */ // Label 283: @6367
     /*  6367 */ GIM_Reject,
     /*  6368 */ // Label 10: @6368
     /*  6368 */ GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(6440),
     /*  6373 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  6376 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  6379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  6385 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(6412), // Rule ID 180 //
     /*  6390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsNotSoftFloat_NotFP64bit_NotInMips16Mode),
     /*  6393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /*  6397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6405 */     // (MipsBuildPairF64:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$lo, GPR32Opnd:{ *:[i32] }:$hi)  =>  (BuildPairF64:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$lo, GPR32Opnd:{ *:[i32] }:$hi)
     /*  6405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::BuildPairF64),
     /*  6410 */     GIR_RootConstrainSelectedInstOperands,
     /*  6411 */     // GIR_Coverage, 180,
     /*  6411 */     GIR_Done,
     /*  6412 */   // Label 310: @6412
     /*  6412 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(6439), // Rule ID 181 //
     /*  6417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsFP64bit_IsNotSoftFloat_NotInMips16Mode),
     /*  6420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /*  6424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6432 */     // (MipsBuildPairF64:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$lo, GPR32Opnd:{ *:[i32] }:$hi)  =>  (BuildPairF64_64:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$lo, GPR32Opnd:{ *:[i32] }:$hi)
     /*  6432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::BuildPairF64_64),
     /*  6437 */     GIR_RootConstrainSelectedInstOperands,
     /*  6438 */     // GIR_Coverage, 181,
     /*  6438 */     GIR_Done,
     /*  6439 */   // Label 311: @6439
     /*  6439 */   GIM_Reject,
     /*  6440 */ // Label 309: @6440
     /*  6440 */ GIM_Reject,
     /*  6441 */ // Label 11: @6441
     /*  6441 */ GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(6512),
     /*  6446 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  6449 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  6452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  6455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  6459 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(6485), // Rule ID 719 //
     /*  6464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasMips64_HasStdEnc),
     /*  6467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  6471 */     // MIs[0] rs
     /*  6471 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6476 */     // (build_vector:{ *:[v2i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rs)  =>  (FILL_D:{ *:[v2i64] } GPR64Opnd:{ *:[i64] }:$rs)
     /*  6476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FILL_D),
     /*  6479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  6481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  6483 */     GIR_RootConstrainSelectedInstOperands,
     /*  6484 */     // GIR_Coverage, 719,
     /*  6484 */     GIR_EraseRootFromParent_Done,
     /*  6485 */   // Label 313: @6485
     /*  6485 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(6511), // Rule ID 721 //
     /*  6490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /*  6497 */     // MIs[0] fs
     /*  6497 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6502 */     // (build_vector:{ *:[v2f64] } FGR64:{ *:[f64] }:$fs, FGR64:{ *:[f64] }:$fs)  =>  (FILL_FD_PSEUDO:{ *:[v2f64] } FGR64:{ *:[f64] }:$fs)
     /*  6502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FILL_FD_PSEUDO),
     /*  6505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  6507 */     GIR_RootToRootCopy, /*OpIdx*/1, // fs
     /*  6509 */     GIR_RootConstrainSelectedInstOperands,
     /*  6510 */     // GIR_Coverage, 721,
     /*  6510 */     GIR_EraseRootFromParent_Done,
     /*  6511 */   // Label 314: @6511
     /*  6511 */   GIM_Reject,
     /*  6512 */ // Label 312: @6512
     /*  6512 */ GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(6603),
     /*  6517 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  6520 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  6523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  6530 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(6566), // Rule ID 718 //
     /*  6535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6542 */     // MIs[0] rs
     /*  6542 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6547 */     // MIs[0] rs
     /*  6547 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6552 */     // MIs[0] rs
     /*  6552 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/4, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6557 */     // (build_vector:{ *:[v4i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs)  =>  (FILL_W:{ *:[v4i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /*  6557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FILL_W),
     /*  6560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  6562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  6564 */     GIR_RootConstrainSelectedInstOperands,
     /*  6565 */     // GIR_Coverage, 718,
     /*  6565 */     GIR_EraseRootFromParent_Done,
     /*  6566 */   // Label 316: @6566
     /*  6566 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(6602), // Rule ID 720 //
     /*  6571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  6578 */     // MIs[0] fs
     /*  6578 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6583 */     // MIs[0] fs
     /*  6583 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6588 */     // MIs[0] fs
     /*  6588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/4, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6593 */     // (build_vector:{ *:[v4f32] } FGR32:{ *:[f32] }:$fs, FGR32:{ *:[f32] }:$fs, FGR32:{ *:[f32] }:$fs, FGR32:{ *:[f32] }:$fs)  =>  (FILL_FW_PSEUDO:{ *:[v4f32] } FGR32:{ *:[f32] }:$fs)
     /*  6593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FILL_FW_PSEUDO),
     /*  6596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  6598 */     GIR_RootToRootCopy, /*OpIdx*/1, // fs
     /*  6600 */     GIR_RootConstrainSelectedInstOperands,
     /*  6601 */     // GIR_Coverage, 720,
     /*  6601 */     GIR_EraseRootFromParent_Done,
     /*  6602 */   // Label 317: @6602
     /*  6602 */   GIM_Reject,
     /*  6603 */ // Label 315: @6603
     /*  6603 */ GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(6672), // Rule ID 717 //
     /*  6608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6611 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /*  6614 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  6617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  6624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6628 */   // MIs[0] rs
     /*  6628 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6633 */   // MIs[0] rs
     /*  6633 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6638 */   // MIs[0] rs
     /*  6638 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/4, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6643 */   // MIs[0] rs
     /*  6643 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/5, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6648 */   // MIs[0] rs
     /*  6648 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/6, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6653 */   // MIs[0] rs
     /*  6653 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/7, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6658 */   // MIs[0] rs
     /*  6658 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/8, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6663 */   // (build_vector:{ *:[v8i16] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs)  =>  (FILL_H:{ *:[v8i16] } GPR32Opnd:{ *:[i32] }:$rs)
     /*  6663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FILL_H),
     /*  6666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  6668 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  6670 */   GIR_RootConstrainSelectedInstOperands,
     /*  6671 */   // GIR_Coverage, 717,
     /*  6671 */   GIR_EraseRootFromParent_Done,
     /*  6672 */ // Label 318: @6672
     /*  6672 */ GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(6781), // Rule ID 716 //
     /*  6677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /*  6680 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/17,
     /*  6683 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  6686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  6693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6697 */   // MIs[0] rs
     /*  6697 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6702 */   // MIs[0] rs
     /*  6702 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6707 */   // MIs[0] rs
     /*  6707 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/4, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6712 */   // MIs[0] rs
     /*  6712 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/5, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6717 */   // MIs[0] rs
     /*  6717 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/6, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6722 */   // MIs[0] rs
     /*  6722 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/7, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6727 */   // MIs[0] rs
     /*  6727 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/8, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6732 */   // MIs[0] rs
     /*  6732 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/9, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6737 */   // MIs[0] rs
     /*  6737 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/10, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6742 */   // MIs[0] rs
     /*  6742 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/11, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6747 */   // MIs[0] rs
     /*  6747 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/12, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6752 */   // MIs[0] rs
     /*  6752 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/13, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6757 */   // MIs[0] rs
     /*  6757 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/14, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6762 */   // MIs[0] rs
     /*  6762 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/15, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6767 */   // MIs[0] rs
     /*  6767 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/16, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  6772 */   // (build_vector:{ *:[v16i8] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rs)  =>  (FILL_B:{ *:[v16i8] } GPR32Opnd:{ *:[i32] }:$rs)
     /*  6772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FILL_B),
     /*  6775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /*  6777 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  6779 */   GIR_RootConstrainSelectedInstOperands,
     /*  6780 */   // GIR_Coverage, 716,
     /*  6780 */   GIR_EraseRootFromParent_Done,
     /*  6781 */ // Label 319: @6781
     /*  6781 */ GIM_Reject,
     /*  6782 */ // Label 12: @6782
     /*  6782 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 328*/ GIMT_Encode4(11092),
     /*  6793 */ /*GILLT_s32*//*Label 320*/ GIMT_Encode4(6825),
     /*  6797 */ /*GILLT_s64*//*Label 321*/ GIMT_Encode4(7102),
     /*  6801 */ /*GILLT_v2s16*//*Label 322*/ GIMT_Encode4(7158),
     /*  6805 */ /*GILLT_v2s64*//*Label 323*/ GIMT_Encode4(7218),
     /*  6809 */ /*GILLT_v4s8*//*Label 324*/ GIMT_Encode4(8353),
     /*  6813 */ /*GILLT_v4s32*//*Label 325*/ GIMT_Encode4(8413),
     /*  6817 */ /*GILLT_v8s16*//*Label 326*/ GIMT_Encode4(9482),
     /*  6821 */ /*GILLT_v16s8*//*Label 327*/ GIMT_Encode4(10407),
     /*  6825 */ // Label 320: @6825
     /*  6825 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(6851), // Rule ID 135 //
     /*  6830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /*  6833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  6844 */   // (bitconvert:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (MFC1:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs)
     /*  6844 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MFC1),
     /*  6849 */   GIR_RootConstrainSelectedInstOperands,
     /*  6850 */   // GIR_Coverage, 135,
     /*  6850 */   GIR_Done,
     /*  6851 */ // Label 329: @6851
     /*  6851 */ GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(6877), // Rule ID 136 //
     /*  6856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /*  6859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  6866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6870 */   // (bitconvert:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$rt)  =>  (MTC1:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$rt)
     /*  6870 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MTC1),
     /*  6875 */   GIR_RootConstrainSelectedInstOperands,
     /*  6876 */   // GIR_Coverage, 136,
     /*  6876 */   GIR_Done,
     /*  6877 */ // Label 330: @6877
     /*  6877 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(6903), // Rule ID 1160 //
     /*  6882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /*  6885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  6896 */   // (bitconvert:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (MFC1_MM:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs)
     /*  6896 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MFC1_MM),
     /*  6901 */   GIR_RootConstrainSelectedInstOperands,
     /*  6902 */   // GIR_Coverage, 1160,
     /*  6902 */   GIR_Done,
     /*  6903 */ // Label 331: @6903
     /*  6903 */ GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(6929), // Rule ID 1161 //
     /*  6908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /*  6911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  6918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6922 */   // (bitconvert:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$rt)  =>  (MTC1_MM:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$rt)
     /*  6922 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MTC1_MM),
     /*  6927 */   GIR_RootConstrainSelectedInstOperands,
     /*  6928 */   // GIR_Coverage, 1161,
     /*  6928 */   GIR_Done,
     /*  6929 */ // Label 332: @6929
     /*  6929 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(6955), // Rule ID 1175 //
     /*  6934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /*  6937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  6944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6948 */   // (bitconvert:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$rt)  =>  (MTC1_MMR6:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$rt)
     /*  6948 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MTC1_MMR6),
     /*  6953 */   GIR_RootConstrainSelectedInstOperands,
     /*  6954 */   // GIR_Coverage, 1175,
     /*  6954 */   GIR_Done,
     /*  6955 */ // Label 333: @6955
     /*  6955 */ GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(6981), // Rule ID 1176 //
     /*  6960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /*  6963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  6966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  6974 */   // (bitconvert:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (MFC1_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs)
     /*  6974 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MFC1_MMR6),
     /*  6979 */   GIR_RootConstrainSelectedInstOperands,
     /*  6980 */   // GIR_Coverage, 1176,
     /*  6980 */   GIR_Done,
     /*  6981 */ // Label 334: @6981
     /*  6981 */ GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(7011), // Rule ID 1913 //
     /*  6986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  6989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  6992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  6996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  7000 */   // (bitconvert:{ *:[i32] } DSPR:{ *:[v2i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[i32] } DSPR:{ *:[v2i16] }:$src, GPR32:{ *:[i32] })
     /*  7000 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7005 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR32RegClassID),
     /*  7010 */   // GIR_Coverage, 1913,
     /*  7010 */   GIR_Done,
     /*  7011 */ // Label 335: @7011
     /*  7011 */ GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(7041), // Rule ID 1914 //
     /*  7016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  7019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /*  7022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  7026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  7030 */   // (bitconvert:{ *:[i32] } DSPR:{ *:[v4i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[i32] } DSPR:{ *:[v4i8] }:$src, GPR32:{ *:[i32] })
     /*  7030 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7035 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR32RegClassID),
     /*  7040 */   // GIR_Coverage, 1914,
     /*  7040 */   GIR_Done,
     /*  7041 */ // Label 336: @7041
     /*  7041 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(7071), // Rule ID 1917 //
     /*  7046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  7049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  7052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  7056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  7060 */   // (bitconvert:{ *:[f32] } DSPR:{ *:[v2i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f32] } DSPR:{ *:[v2i16] }:$src, FGR32:{ *:[i32] })
     /*  7060 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7065 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::FGR32RegClassID),
     /*  7070 */   // GIR_Coverage, 1917,
     /*  7070 */   GIR_Done,
     /*  7071 */ // Label 337: @7071
     /*  7071 */ GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(7101), // Rule ID 1918 //
     /*  7076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  7079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /*  7082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  7086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  7090 */   // (bitconvert:{ *:[f32] } DSPR:{ *:[v4i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f32] } DSPR:{ *:[v4i8] }:$src, FGR32:{ *:[i32] })
     /*  7090 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7095 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::FGR32RegClassID),
     /*  7100 */   // GIR_Coverage, 1918,
     /*  7100 */   GIR_Done,
     /*  7101 */ // Label 338: @7101
     /*  7101 */ GIM_Reject,
     /*  7102 */ // Label 321: @7102
     /*  7102 */ GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(7157),
     /*  7107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  7110 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(7133), // Rule ID 137 //
     /*  7115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /*  7118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /*  7122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  7126 */     // (bitconvert:{ *:[f64] } GPR64Opnd:{ *:[i64] }:$rt)  =>  (DMTC1:{ *:[f64] } GPR64Opnd:{ *:[i64] }:$rt)
     /*  7126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMTC1),
     /*  7131 */     GIR_RootConstrainSelectedInstOperands,
     /*  7132 */     // GIR_Coverage, 137,
     /*  7132 */     GIR_Done,
     /*  7133 */   // Label 340: @7133
     /*  7133 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(7156), // Rule ID 138 //
     /*  7138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /*  7141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /*  7145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /*  7149 */     // (bitconvert:{ *:[i64] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (DMFC1:{ *:[i64] } FGR64Opnd:{ *:[f64] }:$fs)
     /*  7149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMFC1),
     /*  7154 */     GIR_RootConstrainSelectedInstOperands,
     /*  7155 */     // GIR_Coverage, 138,
     /*  7155 */     GIR_Done,
     /*  7156 */   // Label 341: @7156
     /*  7156 */   GIM_Reject,
     /*  7157 */ // Label 339: @7157
     /*  7157 */ GIM_Reject,
     /*  7158 */ // Label 322: @7158
     /*  7158 */ GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(7217),
     /*  7163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  7166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  7170 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(7193), // Rule ID 1915 //
     /*  7175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  7178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  7182 */     // (bitconvert:{ *:[v2i16] } GPR32:{ *:[i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i16] } GPR32:{ *:[i32] }:$src, DSPR:{ *:[i32] })
     /*  7182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7187 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /*  7192 */     // GIR_Coverage, 1915,
     /*  7192 */     GIR_Done,
     /*  7193 */   // Label 343: @7193
     /*  7193 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(7216), // Rule ID 1919 //
     /*  7198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  7201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  7205 */     // (bitconvert:{ *:[v2i16] } FGR32:{ *:[f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i16] } FGR32:{ *:[f32] }:$src, DSPR:{ *:[i32] })
     /*  7205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7210 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /*  7215 */     // GIR_Coverage, 1919,
     /*  7215 */     GIR_Done,
     /*  7216 */   // Label 344: @7216
     /*  7216 */   GIM_Reject,
     /*  7217 */ // Label 342: @7217
     /*  7217 */ GIM_Reject,
     /*  7218 */ // Label 323: @7218
     /*  7218 */ GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(7244), // Rule ID 2000 //
     /*  7223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /*  7226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  7229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7233 */   // (bitconvert:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$src, MSA128D:{ *:[i32] })
     /*  7233 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7238 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7243 */   // GIR_Coverage, 2000,
     /*  7243 */   GIR_Done,
     /*  7244 */ // Label 345: @7244
     /*  7244 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(7270), // Rule ID 2003 //
     /*  7249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /*  7252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  7255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7259 */   // (bitconvert:{ *:[v2f64] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } v2i64:{ *:[v2i64] }:$src, MSA128D:{ *:[i32] })
     /*  7259 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7264 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7269 */   // GIR_Coverage, 2003,
     /*  7269 */   GIR_Done,
     /*  7270 */ // Label 346: @7270
     /*  7270 */ GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(7296), // Rule ID 2020 //
     /*  7275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  7281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7285 */   // (bitconvert:{ *:[v2i64] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } v16i8:{ *:[v16i8] }:$src, MSA128D:{ *:[i32] })
     /*  7285 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7290 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7295 */   // GIR_Coverage, 2020,
     /*  7295 */   GIR_Done,
     /*  7296 */ // Label 347: @7296
     /*  7296 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(7322), // Rule ID 2021 //
     /*  7301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7311 */   // (bitconvert:{ *:[v2i64] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } v8i16:{ *:[v8i16] }:$src, MSA128D:{ *:[i32] })
     /*  7311 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7316 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7321 */   // GIR_Coverage, 2021,
     /*  7321 */   GIR_Done,
     /*  7322 */ // Label 348: @7322
     /*  7322 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(7348), // Rule ID 2022 //
     /*  7327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  7333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7337 */   // (bitconvert:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$src, MSA128D:{ *:[i32] })
     /*  7337 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7342 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7347 */   // GIR_Coverage, 2022,
     /*  7347 */   GIR_Done,
     /*  7348 */ // Label 349: @7348
     /*  7348 */ GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(7374), // Rule ID 2023 //
     /*  7353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7363 */   // (bitconvert:{ *:[v2i64] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } v8f16:{ *:[v8f16] }:$src, MSA128D:{ *:[i32] })
     /*  7363 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7368 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7373 */   // GIR_Coverage, 2023,
     /*  7373 */   GIR_Done,
     /*  7374 */ // Label 350: @7374
     /*  7374 */ GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(7400), // Rule ID 2024 //
     /*  7379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  7385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7389 */   // (bitconvert:{ *:[v2i64] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } v4f32:{ *:[v4f32] }:$src, MSA128D:{ *:[i32] })
     /*  7389 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7394 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7399 */   // GIR_Coverage, 2024,
     /*  7399 */   GIR_Done,
     /*  7400 */ // Label 351: @7400
     /*  7400 */ GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(7426), // Rule ID 2030 //
     /*  7405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  7411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7415 */   // (bitconvert:{ *:[v2f64] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } v16i8:{ *:[v16i8] }:$src, MSA128D:{ *:[i32] })
     /*  7415 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7420 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7425 */   // GIR_Coverage, 2030,
     /*  7425 */   GIR_Done,
     /*  7426 */ // Label 352: @7426
     /*  7426 */ GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(7452), // Rule ID 2031 //
     /*  7431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7441 */   // (bitconvert:{ *:[v2f64] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } v8i16:{ *:[v8i16] }:$src, MSA128D:{ *:[i32] })
     /*  7441 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7446 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7451 */   // GIR_Coverage, 2031,
     /*  7451 */   GIR_Done,
     /*  7452 */ // Label 353: @7452
     /*  7452 */ GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(7478), // Rule ID 2032 //
     /*  7457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  7463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7467 */   // (bitconvert:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$src, MSA128D:{ *:[i32] })
     /*  7467 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7472 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7477 */   // GIR_Coverage, 2032,
     /*  7477 */   GIR_Done,
     /*  7478 */ // Label 354: @7478
     /*  7478 */ GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(7504), // Rule ID 2033 //
     /*  7483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7493 */   // (bitconvert:{ *:[v2f64] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } v8f16:{ *:[v8f16] }:$src, MSA128D:{ *:[i32] })
     /*  7493 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7498 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7503 */   // GIR_Coverage, 2033,
     /*  7503 */   GIR_Done,
     /*  7504 */ // Label 355: @7504
     /*  7504 */ GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(7530), // Rule ID 2034 //
     /*  7509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  7512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  7515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7519 */   // (bitconvert:{ *:[v2f64] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } v4f32:{ *:[v4f32] }:$src, MSA128D:{ *:[i32] })
     /*  7519 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7524 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7529 */   // GIR_Coverage, 2034,
     /*  7529 */   GIR_Done,
     /*  7530 */ // Label 356: @7530
     /*  7530 */ GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(7647), // Rule ID 2039 //
     /*  7535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  7538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  7541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7545 */   // (bitconvert:{ *:[v2i64] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  7545 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /*  7548 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7552 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7557 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  7561 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  7566 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /*  7569 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /*  7573 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7578 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  7581 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/27,
     /*  7584 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  7586 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  7589 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7593 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7598 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  7601 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  7606 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  7609 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  7613 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7618 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  7621 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  7631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  7633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  7638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  7641 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7646 */   // GIR_Coverage, 2039,
     /*  7646 */   GIR_EraseRootFromParent_Done,
     /*  7647 */ // Label 357: @7647
     /*  7647 */ GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(7764), // Rule ID 2040 //
     /*  7652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  7655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  7658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7662 */   // (bitconvert:{ *:[v2f64] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  7662 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /*  7665 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7669 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7674 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  7678 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  7683 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /*  7686 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /*  7690 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7695 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  7698 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/27,
     /*  7701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  7703 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  7706 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7710 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7715 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  7718 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  7723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  7726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  7730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7735 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  7738 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  7748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  7750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  7755 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  7758 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7763 */   // GIR_Coverage, 2040,
     /*  7763 */   GIR_EraseRootFromParent_Done,
     /*  7764 */ // Label 358: @7764
     /*  7764 */ GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(7834), // Rule ID 2044 //
     /*  7769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  7772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7779 */   // (bitconvert:{ *:[v2i64] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  7779 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  7782 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7786 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7791 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  7795 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  7800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  7803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  7807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7812 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  7815 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /*  7818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  7820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  7825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  7828 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7833 */   // GIR_Coverage, 2044,
     /*  7833 */   GIR_EraseRootFromParent_Done,
     /*  7834 */ // Label 359: @7834
     /*  7834 */ GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(7904), // Rule ID 2045 //
     /*  7839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  7842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7849 */   // (bitconvert:{ *:[v2f64] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  7849 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  7852 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7856 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7861 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  7865 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  7870 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  7873 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  7877 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7882 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  7885 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /*  7888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  7890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  7895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  7898 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7903 */   // GIR_Coverage, 2045,
     /*  7903 */   GIR_EraseRootFromParent_Done,
     /*  7904 */ // Label 360: @7904
     /*  7904 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(7974), // Rule ID 2049 //
     /*  7909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  7912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7919 */   // (bitconvert:{ *:[v2i64] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  7919 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  7922 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7926 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7931 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  7935 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  7940 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  7943 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  7947 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  7952 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  7955 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /*  7958 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  7960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  7965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  7968 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7973 */   // GIR_Coverage, 2049,
     /*  7973 */   GIR_EraseRootFromParent_Done,
     /*  7974 */ // Label 361: @7974
     /*  7974 */ GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(8044), // Rule ID 2050 //
     /*  7979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  7982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  7985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  7989 */   // (bitconvert:{ *:[v2f64] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  7989 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  7992 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  7996 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8001 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8005 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  8010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  8013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  8017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8022 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8025 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /*  8028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8038 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8043 */   // GIR_Coverage, 2050,
     /*  8043 */   GIR_EraseRootFromParent_Done,
     /*  8044 */ // Label 362: @8044
     /*  8044 */ GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(8121), // Rule ID 2054 //
     /*  8049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  8055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8059 */   // (bitconvert:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  8059 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  8062 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8066 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8071 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8075 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8080 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  8083 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  8087 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8092 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8095 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  8105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8115 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8120 */   // GIR_Coverage, 2054,
     /*  8120 */   GIR_EraseRootFromParent_Done,
     /*  8121 */ // Label 363: @8121
     /*  8121 */ GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(8198), // Rule ID 2055 //
     /*  8126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  8132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8136 */   // (bitconvert:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  8136 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  8139 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8143 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8148 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8152 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8157 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  8160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  8164 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8169 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8172 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  8182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8192 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8197 */   // GIR_Coverage, 2055,
     /*  8197 */   GIR_EraseRootFromParent_Done,
     /*  8198 */ // Label 364: @8198
     /*  8198 */ GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(8275), // Rule ID 2059 //
     /*  8203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  8209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8213 */   // (bitconvert:{ *:[v2i64] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2i64] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  8213 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  8216 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8220 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8225 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8229 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  8237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  8241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8246 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8249 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  8259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8269 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8274 */   // GIR_Coverage, 2059,
     /*  8274 */   GIR_EraseRootFromParent_Done,
     /*  8275 */ // Label 365: @8275
     /*  8275 */ GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(8352), // Rule ID 2060 //
     /*  8280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  8286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8290 */   // (bitconvert:{ *:[v2f64] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v2f64] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128D:{ *:[i32] })
     /*  8290 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  8293 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8297 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8302 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8306 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  8314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  8318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8323 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8326 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  8336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8346 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128DRegClassID),
     /*  8351 */   // GIR_Coverage, 2060,
     /*  8351 */   GIR_EraseRootFromParent_Done,
     /*  8352 */ // Label 366: @8352
     /*  8352 */ GIM_Reject,
     /*  8353 */ // Label 324: @8353
     /*  8353 */ GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(8412),
     /*  8358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  8361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /*  8365 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(8388), // Rule ID 1916 //
     /*  8370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  8373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /*  8377 */     // (bitconvert:{ *:[v4i8] } GPR32:{ *:[i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i8] } GPR32:{ *:[i32] }:$src, DSPR:{ *:[i32] })
     /*  8377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /*  8387 */     // GIR_Coverage, 1916,
     /*  8387 */     GIR_Done,
     /*  8388 */   // Label 368: @8388
     /*  8388 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(8411), // Rule ID 1920 //
     /*  8393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /*  8396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /*  8400 */     // (bitconvert:{ *:[v4i8] } FGR32:{ *:[f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i8] } FGR32:{ *:[f32] }:$src, DSPR:{ *:[i32] })
     /*  8400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8405 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /*  8410 */     // GIR_Coverage, 1920,
     /*  8410 */     GIR_Done,
     /*  8411 */   // Label 369: @8411
     /*  8411 */   GIM_Reject,
     /*  8412 */ // Label 367: @8412
     /*  8412 */ GIM_Reject,
     /*  8413 */ // Label 325: @8413
     /*  8413 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(8439), // Rule ID 1999 //
     /*  8418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /*  8421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  8424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8428 */   // (bitconvert:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$src, MSA128W:{ *:[i32] })
     /*  8428 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8433 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8438 */   // GIR_Coverage, 1999,
     /*  8438 */   GIR_Done,
     /*  8439 */ // Label 370: @8439
     /*  8439 */ GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(8465), // Rule ID 2002 //
     /*  8444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /*  8447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  8450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8454 */   // (bitconvert:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src, MSA128W:{ *:[i32] })
     /*  8454 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8459 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8464 */   // GIR_Coverage, 2002,
     /*  8464 */   GIR_Done,
     /*  8465 */ // Label 371: @8465
     /*  8465 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(8491), // Rule ID 2015 //
     /*  8470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  8476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8480 */   // (bitconvert:{ *:[v4i32] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } v16i8:{ *:[v16i8] }:$src, MSA128W:{ *:[i32] })
     /*  8480 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8485 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8490 */   // GIR_Coverage, 2015,
     /*  8490 */   GIR_Done,
     /*  8491 */ // Label 372: @8491
     /*  8491 */ GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(8517), // Rule ID 2016 //
     /*  8496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  8502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8506 */   // (bitconvert:{ *:[v4i32] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } v8i16:{ *:[v8i16] }:$src, MSA128W:{ *:[i32] })
     /*  8506 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8511 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8516 */   // GIR_Coverage, 2016,
     /*  8516 */   GIR_Done,
     /*  8517 */ // Label 373: @8517
     /*  8517 */ GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(8543), // Rule ID 2017 //
     /*  8522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  8528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8532 */   // (bitconvert:{ *:[v4i32] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } v2i64:{ *:[v2i64] }:$src, MSA128W:{ *:[i32] })
     /*  8532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8537 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8542 */   // GIR_Coverage, 2017,
     /*  8542 */   GIR_Done,
     /*  8543 */ // Label 374: @8543
     /*  8543 */ GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(8569), // Rule ID 2018 //
     /*  8548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  8554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8558 */   // (bitconvert:{ *:[v4i32] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } v8f16:{ *:[v8f16] }:$src, MSA128W:{ *:[i32] })
     /*  8558 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8563 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8568 */   // GIR_Coverage, 2018,
     /*  8568 */   GIR_Done,
     /*  8569 */ // Label 375: @8569
     /*  8569 */ GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(8595), // Rule ID 2019 //
     /*  8574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  8580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8584 */   // (bitconvert:{ *:[v4i32] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } v2f64:{ *:[v2f64] }:$src, MSA128W:{ *:[i32] })
     /*  8584 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8589 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8594 */   // GIR_Coverage, 2019,
     /*  8594 */   GIR_Done,
     /*  8595 */ // Label 376: @8595
     /*  8595 */ GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(8621), // Rule ID 2025 //
     /*  8600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  8606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8610 */   // (bitconvert:{ *:[v4f32] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } v16i8:{ *:[v16i8] }:$src, MSA128W:{ *:[i32] })
     /*  8610 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8615 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8620 */   // GIR_Coverage, 2025,
     /*  8620 */   GIR_Done,
     /*  8621 */ // Label 377: @8621
     /*  8621 */ GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(8647), // Rule ID 2026 //
     /*  8626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  8632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8636 */   // (bitconvert:{ *:[v4f32] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } v8i16:{ *:[v8i16] }:$src, MSA128W:{ *:[i32] })
     /*  8636 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8641 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8646 */   // GIR_Coverage, 2026,
     /*  8646 */   GIR_Done,
     /*  8647 */ // Label 378: @8647
     /*  8647 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(8673), // Rule ID 2027 //
     /*  8652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  8658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8662 */   // (bitconvert:{ *:[v4f32] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } v2i64:{ *:[v2i64] }:$src, MSA128W:{ *:[i32] })
     /*  8662 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8667 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8672 */   // GIR_Coverage, 2027,
     /*  8672 */   GIR_Done,
     /*  8673 */ // Label 379: @8673
     /*  8673 */ GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(8699), // Rule ID 2028 //
     /*  8678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  8684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8688 */   // (bitconvert:{ *:[v4f32] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } v8f16:{ *:[v8f16] }:$src, MSA128W:{ *:[i32] })
     /*  8688 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8693 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8698 */   // GIR_Coverage, 2028,
     /*  8698 */   GIR_Done,
     /*  8699 */ // Label 380: @8699
     /*  8699 */ GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(8725), // Rule ID 2029 //
     /*  8704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  8707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  8710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8714 */   // (bitconvert:{ *:[v4f32] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } v2f64:{ *:[v2f64] }:$src, MSA128W:{ *:[i32] })
     /*  8714 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8719 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8724 */   // GIR_Coverage, 2029,
     /*  8724 */   GIR_Done,
     /*  8725 */ // Label 381: @8725
     /*  8725 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(8795), // Rule ID 2037 //
     /*  8730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  8736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8740 */   // (bitconvert:{ *:[v4i32] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  8740 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /*  8743 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8747 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8752 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8756 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  8761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  8764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /*  8768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8773 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8776 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /*  8779 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8786 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8789 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8794 */   // GIR_Coverage, 2037,
     /*  8794 */   GIR_EraseRootFromParent_Done,
     /*  8795 */ // Label 382: @8795
     /*  8795 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(8865), // Rule ID 2038 //
     /*  8800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  8806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8810 */   // (bitconvert:{ *:[v4f32] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  8810 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /*  8813 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8817 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8822 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8826 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  8831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  8834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /*  8838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8843 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8846 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /*  8849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8856 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8859 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8864 */   // GIR_Coverage, 2038,
     /*  8864 */   GIR_EraseRootFromParent_Done,
     /*  8865 */ // Label 383: @8865
     /*  8865 */ GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(8942), // Rule ID 2042 //
     /*  8870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  8876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8880 */   // (bitconvert:{ *:[v4i32] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  8880 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  8883 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8887 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8892 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8896 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  8901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  8904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  8908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8913 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8916 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  8926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  8928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  8933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  8936 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8941 */   // GIR_Coverage, 2042,
     /*  8941 */   GIR_EraseRootFromParent_Done,
     /*  8942 */ // Label 384: @8942
     /*  8942 */ GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(9019), // Rule ID 2043 //
     /*  8947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  8950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  8953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  8957 */   // (bitconvert:{ *:[v4f32] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  8957 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  8960 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  8964 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8969 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  8973 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  8978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  8981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  8985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  8990 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  8993 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9018 */   // GIR_Coverage, 2043,
     /*  9018 */   GIR_EraseRootFromParent_Done,
     /*  9019 */ // Label 385: @9019
     /*  9019 */ GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(9096), // Rule ID 2047 //
     /*  9024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  9030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9034 */   // (bitconvert:{ *:[v4i32] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  9034 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  9037 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9041 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9046 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9050 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9055 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  9058 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  9062 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9067 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9070 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9090 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9095 */   // GIR_Coverage, 2047,
     /*  9095 */   GIR_EraseRootFromParent_Done,
     /*  9096 */ // Label 386: @9096
     /*  9096 */ GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(9173), // Rule ID 2048 //
     /*  9101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  9107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9111 */   // (bitconvert:{ *:[v4f32] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  9111 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  9114 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9118 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9123 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9127 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9132 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  9135 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  9139 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9144 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9147 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9167 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9172 */   // GIR_Coverage, 2048,
     /*  9172 */   GIR_EraseRootFromParent_Done,
     /*  9173 */ // Label 387: @9173
     /*  9173 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(9250), // Rule ID 2064 //
     /*  9178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  9184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9188 */   // (bitconvert:{ *:[v4i32] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v2i64:{ *:[v2i64] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  9188 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  9191 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9195 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9200 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9204 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9209 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  9212 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  9216 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9221 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9224 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9244 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9249 */   // GIR_Coverage, 2064,
     /*  9249 */   GIR_EraseRootFromParent_Done,
     /*  9250 */ // Label 388: @9250
     /*  9250 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(9327), // Rule ID 2065 //
     /*  9255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  9261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9265 */   // (bitconvert:{ *:[v4f32] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v2i64:{ *:[v2i64] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  9265 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  9268 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9272 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9277 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9281 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  9289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  9293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9298 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9301 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9311 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9318 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9321 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9326 */   // GIR_Coverage, 2065,
     /*  9326 */   GIR_EraseRootFromParent_Done,
     /*  9327 */ // Label 389: @9327
     /*  9327 */ GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(9404), // Rule ID 2069 //
     /*  9332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  9338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9342 */   // (bitconvert:{ *:[v4i32] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v2f64:{ *:[v2f64] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  9342 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  9345 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9349 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9354 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9358 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9363 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  9366 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  9370 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9375 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9378 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9388 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9395 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9398 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9403 */   // GIR_Coverage, 2069,
     /*  9403 */   GIR_EraseRootFromParent_Done,
     /*  9404 */ // Label 390: @9404
     /*  9404 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(9481), // Rule ID 2070 //
     /*  9409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  9415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9419 */   // (bitconvert:{ *:[v4f32] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v4f32] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } v2f64:{ *:[v2f64] }:$src, MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128W:{ *:[i32] })
     /*  9419 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  9422 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9426 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9431 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9435 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9440 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  9443 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /*  9447 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9452 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9455 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9475 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /*  9480 */   // GIR_Coverage, 2070,
     /*  9480 */   GIR_EraseRootFromParent_Done,
     /*  9481 */ // Label 391: @9481
     /*  9481 */ GIM_Reject,
     /*  9482 */ // Label 326: @9482
     /*  9482 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(9508), // Rule ID 1998 //
     /*  9487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /*  9490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  9493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9497 */   // (bitconvert:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$src, MSA128H:{ *:[i32] })
     /*  9497 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9502 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9507 */   // GIR_Coverage, 1998,
     /*  9507 */   GIR_Done,
     /*  9508 */ // Label 392: @9508
     /*  9508 */ GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(9534), // Rule ID 2001 //
     /*  9513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /*  9516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  9519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9523 */   // (bitconvert:{ *:[v8f16] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8f16] } v8i16:{ *:[v8i16] }:$src, MSA128H:{ *:[i32] })
     /*  9523 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9528 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9533 */   // GIR_Coverage, 2001,
     /*  9533 */   GIR_Done,
     /*  9534 */ // Label 393: @9534
     /*  9534 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(9560), // Rule ID 2010 //
     /*  9539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  9542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  9545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9549 */   // (bitconvert:{ *:[v8i16] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } v16i8:{ *:[v16i8] }:$src, MSA128H:{ *:[i32] })
     /*  9549 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9554 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9559 */   // GIR_Coverage, 2010,
     /*  9559 */   GIR_Done,
     /*  9560 */ // Label 394: @9560
     /*  9560 */ GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(9586), // Rule ID 2011 //
     /*  9565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  9568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  9571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9575 */   // (bitconvert:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$src, MSA128H:{ *:[i32] })
     /*  9575 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9580 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9585 */   // GIR_Coverage, 2011,
     /*  9585 */   GIR_Done,
     /*  9586 */ // Label 395: @9586
     /*  9586 */ GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(9612), // Rule ID 2012 //
     /*  9591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  9594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  9597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9601 */   // (bitconvert:{ *:[v8i16] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } v2i64:{ *:[v2i64] }:$src, MSA128H:{ *:[i32] })
     /*  9601 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9606 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9611 */   // GIR_Coverage, 2012,
     /*  9611 */   GIR_Done,
     /*  9612 */ // Label 396: @9612
     /*  9612 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(9638), // Rule ID 2013 //
     /*  9617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  9620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  9623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9627 */   // (bitconvert:{ *:[v8i16] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } v4f32:{ *:[v4f32] }:$src, MSA128H:{ *:[i32] })
     /*  9627 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9632 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9637 */   // GIR_Coverage, 2013,
     /*  9637 */   GIR_Done,
     /*  9638 */ // Label 397: @9638
     /*  9638 */ GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(9664), // Rule ID 2014 //
     /*  9643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /*  9646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  9649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9653 */   // (bitconvert:{ *:[v8i16] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } v2f64:{ *:[v2f64] }:$src, MSA128H:{ *:[i32] })
     /*  9653 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9658 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9663 */   // GIR_Coverage, 2014,
     /*  9663 */   GIR_Done,
     /*  9664 */ // Label 398: @9664
     /*  9664 */ GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(9741), // Rule ID 2035 //
     /*  9669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  9675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9679 */   // (bitconvert:{ *:[v8i16] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$src, MSA128B:{ *:[i32] }), 177:{ *:[i32] }), MSA128H:{ *:[i32] })
     /*  9679 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /*  9682 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9686 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9691 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9695 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  9700 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  9703 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /*  9707 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9712 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9715 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9725 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9732 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9735 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9740 */   // GIR_Coverage, 2035,
     /*  9740 */   GIR_EraseRootFromParent_Done,
     /*  9741 */ // Label 399: @9741
     /*  9741 */ GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(9818), // Rule ID 2036 //
     /*  9746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  9752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9756 */   // (bitconvert:{ *:[v8f16] } v16i8:{ *:[v16i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8f16] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$src, MSA128B:{ *:[i32] }), 177:{ *:[i32] }), MSA128H:{ *:[i32] })
     /*  9756 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /*  9759 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9763 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9768 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9772 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /*  9777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  9780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /*  9784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9789 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9792 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9802 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9809 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9812 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9817 */   // GIR_Coverage, 2036,
     /*  9817 */   GIR_EraseRootFromParent_Done,
     /*  9818 */ // Label 400: @9818
     /*  9818 */ GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(9895), // Rule ID 2052 //
     /*  9823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  9829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9833 */   // (bitconvert:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128H:{ *:[i32] })
     /*  9833 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  9836 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9840 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9845 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9849 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  9857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  9861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9866 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9869 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9886 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9889 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9894 */   // GIR_Coverage, 2052,
     /*  9894 */   GIR_EraseRootFromParent_Done,
     /*  9895 */ // Label 401: @9895
     /*  9895 */ GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(9972), // Rule ID 2053 //
     /*  9900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  9906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9910 */   // (bitconvert:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8f16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128H:{ *:[i32] })
     /*  9910 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  9913 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9917 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9922 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  9926 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9931 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  9934 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /*  9938 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9943 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  9946 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /*  9956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  9958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  9963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  9966 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9971 */   // GIR_Coverage, 2053,
     /*  9971 */   GIR_EraseRootFromParent_Done,
     /*  9972 */ // Label 402: @9972
     /*  9972 */ GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(10049), // Rule ID 2057 //
     /*  9977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /*  9980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  9983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /*  9987 */   // (bitconvert:{ *:[v8i16] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v4f32:{ *:[v4f32] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128H:{ *:[i32] })
     /*  9987 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  9990 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  9994 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  9999 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10003 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 10011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /* 10015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10020 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10023 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /* 10033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10040 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10043 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10048 */   // GIR_Coverage, 2057,
     /* 10048 */   GIR_EraseRootFromParent_Done,
     /* 10049 */ // Label 403: @10049
     /* 10049 */ GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(10126), // Rule ID 2058 //
     /* 10054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 10060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10064 */   // (bitconvert:{ *:[v8f16] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8f16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v4f32:{ *:[v4f32] }:$src, MSA128H:{ *:[i32] }), 177:{ *:[i32] }), MSA128H:{ *:[i32] })
     /* 10064 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 10067 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10071 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10076 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10080 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10085 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 10088 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /* 10092 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10097 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10100 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /* 10110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10120 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10125 */   // GIR_Coverage, 2058,
     /* 10125 */   GIR_EraseRootFromParent_Done,
     /* 10126 */ // Label 404: @10126
     /* 10126 */ GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(10196), // Rule ID 2062 //
     /* 10131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10141 */   // (bitconvert:{ *:[v8i16] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v2i64:{ *:[v2i64] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128H:{ *:[i32] })
     /* 10141 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 10144 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10148 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10153 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10157 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 10165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /* 10169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10174 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10177 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /* 10180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10190 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10195 */   // GIR_Coverage, 2062,
     /* 10195 */   GIR_EraseRootFromParent_Done,
     /* 10196 */ // Label 405: @10196
     /* 10196 */ GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(10266), // Rule ID 2063 //
     /* 10201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10211 */   // (bitconvert:{ *:[v8f16] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8f16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v2i64:{ *:[v2i64] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128H:{ *:[i32] })
     /* 10211 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 10214 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10218 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10223 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10227 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 10235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /* 10239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10244 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10247 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /* 10250 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10257 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10260 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10265 */   // GIR_Coverage, 2063,
     /* 10265 */   GIR_EraseRootFromParent_Done,
     /* 10266 */ // Label 406: @10266
     /* 10266 */ GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(10336), // Rule ID 2067 //
     /* 10271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10281 */   // (bitconvert:{ *:[v8i16] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v2f64:{ *:[v2f64] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128H:{ *:[i32] })
     /* 10281 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 10284 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10288 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10293 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10297 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10302 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 10305 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /* 10309 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10314 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10317 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /* 10320 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10327 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10330 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10335 */   // GIR_Coverage, 2067,
     /* 10335 */   GIR_EraseRootFromParent_Done,
     /* 10336 */ // Label 407: @10336
     /* 10336 */ GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(10406), // Rule ID 2068 //
     /* 10341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10351 */   // (bitconvert:{ *:[v8f16] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8f16] } (SHF_H:{ *:[v8i16] } (COPY_TO_REGCLASS:{ *:[v8i16] } v2f64:{ *:[v2f64] }:$src, MSA128H:{ *:[i32] }), 27:{ *:[i32] }), MSA128H:{ *:[i32] })
     /* 10351 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 10354 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10358 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10363 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10367 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10372 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 10375 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_H),
     /* 10379 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10384 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10387 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /* 10390 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10397 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10400 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 10405 */   // GIR_Coverage, 2068,
     /* 10405 */   GIR_EraseRootFromParent_Done,
     /* 10406 */ // Label 408: @10406
     /* 10406 */ GIM_Reject,
     /* 10407 */ // Label 327: @10407
     /* 10407 */ GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(10433), // Rule ID 2004 //
     /* 10412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /* 10415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 10418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10422 */   // (bitconvert:{ *:[v16i8] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } v8i16:{ *:[v8i16] }:$src, MSA128B:{ *:[i32] })
     /* 10422 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10427 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10432 */   // GIR_Coverage, 2004,
     /* 10432 */   GIR_Done,
     /* 10433 */ // Label 409: @10433
     /* 10433 */ GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(10459), // Rule ID 2005 //
     /* 10438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /* 10441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 10444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10448 */   // (bitconvert:{ *:[v16i8] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } v4i32:{ *:[v4i32] }:$src, MSA128B:{ *:[i32] })
     /* 10448 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10453 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10458 */   // GIR_Coverage, 2005,
     /* 10458 */   GIR_Done,
     /* 10459 */ // Label 410: @10459
     /* 10459 */ GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(10485), // Rule ID 2006 //
     /* 10464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /* 10467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10474 */   // (bitconvert:{ *:[v16i8] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } v2i64:{ *:[v2i64] }:$src, MSA128B:{ *:[i32] })
     /* 10474 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10479 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10484 */   // GIR_Coverage, 2006,
     /* 10484 */   GIR_Done,
     /* 10485 */ // Label 411: @10485
     /* 10485 */ GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(10511), // Rule ID 2007 //
     /* 10490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /* 10493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 10496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10500 */   // (bitconvert:{ *:[v16i8] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } v8f16:{ *:[v8f16] }:$src, MSA128B:{ *:[i32] })
     /* 10500 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10505 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10510 */   // GIR_Coverage, 2007,
     /* 10510 */   GIR_Done,
     /* 10511 */ // Label 412: @10511
     /* 10511 */ GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(10537), // Rule ID 2008 //
     /* 10516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /* 10519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 10522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10526 */   // (bitconvert:{ *:[v16i8] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } v4f32:{ *:[v4f32] }:$src, MSA128B:{ *:[i32] })
     /* 10526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10531 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10536 */   // GIR_Coverage, 2008,
     /* 10536 */   GIR_Done,
     /* 10537 */ // Label 413: @10537
     /* 10537 */ GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(10563), // Rule ID 2009 //
     /* 10542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsLE),
     /* 10545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10552 */   // (bitconvert:{ *:[v16i8] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } v2f64:{ *:[v2f64] }:$src, MSA128B:{ *:[i32] })
     /* 10552 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10557 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10562 */   // GIR_Coverage, 2009,
     /* 10562 */   GIR_Done,
     /* 10563 */ // Label 414: @10563
     /* 10563 */ GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(10640), // Rule ID 2041 //
     /* 10568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 10574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10578 */   // (bitconvert:{ *:[v16i8] } v8i16:{ *:[v8i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v8i16:{ *:[v8i16] }:$src, MSA128B:{ *:[i32] }), 177:{ *:[i32] }), MSA128B:{ *:[i32] })
     /* 10578 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 10581 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10585 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10590 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10594 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10599 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 10602 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /* 10606 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10611 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10614 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /* 10624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10634 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10639 */   // GIR_Coverage, 2041,
     /* 10639 */   GIR_EraseRootFromParent_Done,
     /* 10640 */ // Label 415: @10640
     /* 10640 */ GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(10717), // Rule ID 2046 //
     /* 10645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 10651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10655 */   // (bitconvert:{ *:[v16i8] } v8f16:{ *:[v8f16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v8f16:{ *:[v8f16] }:$src, MSA128B:{ *:[i32] }), 177:{ *:[i32] }), MSA128B:{ *:[i32] })
     /* 10655 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 10658 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10662 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10667 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10671 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 10679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /* 10683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10688 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10691 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /* 10701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10711 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10716 */   // GIR_Coverage, 2046,
     /* 10716 */   GIR_EraseRootFromParent_Done,
     /* 10717 */ // Label 416: @10717
     /* 10717 */ GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(10787), // Rule ID 2051 //
     /* 10722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 10728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10732 */   // (bitconvert:{ *:[v16i8] } v4i32:{ *:[v4i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v4i32:{ *:[v4i32] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128B:{ *:[i32] })
     /* 10732 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 10735 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10739 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10744 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10748 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 10756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /* 10760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10765 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10768 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /* 10771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10781 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10786 */   // GIR_Coverage, 2051,
     /* 10786 */   GIR_EraseRootFromParent_Done,
     /* 10787 */ // Label 417: @10787
     /* 10787 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(10857), // Rule ID 2056 //
     /* 10792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 10798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10802 */   // (bitconvert:{ *:[v16i8] } v4f32:{ *:[v4f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v4f32:{ *:[v4f32] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128B:{ *:[i32] })
     /* 10802 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 10805 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10809 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10814 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10818 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10823 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 10826 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /* 10830 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10835 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10838 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/27,
     /* 10841 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10848 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10851 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10856 */   // GIR_Coverage, 2056,
     /* 10856 */   GIR_EraseRootFromParent_Done,
     /* 10857 */ // Label 418: @10857
     /* 10857 */ GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(10974), // Rule ID 2061 //
     /* 10862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10872 */   // (bitconvert:{ *:[v16i8] } v2i64:{ *:[v2i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v2i64:{ *:[v2i64] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128B:{ *:[i32] })
     /* 10872 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /* 10875 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10879 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10884 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 10888 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10893 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 10896 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /* 10900 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10905 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 10908 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/27,
     /* 10911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 10913 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 10916 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10920 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10925 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 10928 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 10933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 10936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /* 10940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 10945 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 10948 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /* 10958 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 10960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 10965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 10968 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10973 */   // GIR_Coverage, 2061,
     /* 10973 */   GIR_EraseRootFromParent_Done,
     /* 10974 */ // Label 419: @10974
     /* 10974 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(11091), // Rule ID 2066 //
     /* 10979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_IsBE),
     /* 10982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 10985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 10989 */   // (bitconvert:{ *:[v16i8] } v2f64:{ *:[v2f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i8] } (SHF_W:{ *:[v4i32] } (COPY_TO_REGCLASS:{ *:[v4i32] } (SHF_B:{ *:[v16i8] } (COPY_TO_REGCLASS:{ *:[v16i8] } v2f64:{ *:[v2f64] }:$src, MSA128B:{ *:[i32] }), 27:{ *:[i32] }), MSA128W:{ *:[i32] }), 177:{ *:[i32] }), MSA128B:{ *:[i32] })
     /* 10989 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /* 10992 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 10996 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 11001 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 11005 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 11010 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 11013 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(Mips::SHF_B),
     /* 11017 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 11022 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 11025 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/27,
     /* 11028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 11030 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 11033 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 11037 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 11042 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 11045 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 11050 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 11053 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SHF_W),
     /* 11057 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 11062 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 11065 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(177),
     /* 11075 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 11077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 11080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 11082 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 11085 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 11090 */   // GIR_Coverage, 2066,
     /* 11090 */   GIR_EraseRootFromParent_Done,
     /* 11091 */ // Label 420: @11091
     /* 11091 */ GIM_Reject,
     /* 11092 */ // Label 328: @11092
     /* 11092 */ GIM_Reject,
     /* 11093 */ // Label 13: @11093
     /* 11093 */ GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(11157), // Rule ID 1989 //
     /* 11098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 11101 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 11104 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 11107 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 11111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11115 */   // MIs[0] Operand 1
     /* 11115 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 11119 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 11123 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 11127 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 11131 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 11135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 11137 */   // (ld:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$base, i32:{ *:[i32] }:$index))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LWX:{ *:[i32] } i32:{ *:[i32] }:$base, i32:{ *:[i32] }:$index)
     /* 11137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LWX),
     /* 11140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 11142 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // base
     /* 11146 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // index
     /* 11150 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 11155 */   GIR_RootConstrainSelectedInstOperands,
     /* 11156 */   // GIR_Coverage, 1989,
     /* 11156 */   GIR_EraseRootFromParent_Done,
     /* 11157 */ // Label 421: @11157
     /* 11157 */ GIM_Reject,
     /* 11158 */ // Label 14: @11158
     /* 11158 */ GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(11225), // Rule ID 1988 //
     /* 11163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 11166 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 11169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 11172 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 11179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11183 */   // MIs[0] Operand 1
     /* 11183 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 11187 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 11191 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 11195 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 11199 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 11203 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 11205 */   // (ld:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$base, i32:{ *:[i32] }:$index))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LHX:{ *:[i32] } i32:{ *:[i32] }:$base, i32:{ *:[i32] }:$index)
     /* 11205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LHX),
     /* 11208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 11210 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // base
     /* 11214 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // index
     /* 11218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 11223 */   GIR_RootConstrainSelectedInstOperands,
     /* 11224 */   // GIR_Coverage, 1988,
     /* 11224 */   GIR_EraseRootFromParent_Done,
     /* 11225 */ // Label 422: @11225
     /* 11225 */ GIM_Reject,
     /* 11226 */ // Label 15: @11226
     /* 11226 */ GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(11293), // Rule ID 1987 //
     /* 11231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 11234 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 11237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 11240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 11247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11251 */   // MIs[0] Operand 1
     /* 11251 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 11255 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 11259 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 11263 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 11267 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 11271 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 11273 */   // (ld:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$base, i32:{ *:[i32] }:$index))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBUX:{ *:[i32] } i32:{ *:[i32] }:$base, i32:{ *:[i32] }:$index)
     /* 11273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LBUX),
     /* 11276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 11278 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // base
     /* 11282 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // index
     /* 11286 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 11291 */   GIR_RootConstrainSelectedInstOperands,
     /* 11292 */   // GIR_Coverage, 1987,
     /* 11292 */   GIR_EraseRootFromParent_Done,
     /* 11293 */ // Label 423: @11293
     /* 11293 */ GIM_Reject,
     /* 11294 */ // Label 16: @11294
     /* 11294 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 426*/ GIMT_Encode4(11485),
     /* 11305 */ /*GILLT_s32*//*Label 424*/ GIMT_Encode4(11313),
     /* 11309 */ /*GILLT_s64*//*Label 425*/ GIMT_Encode4(11440),
     /* 11313 */ // Label 424: @11313
     /* 11313 */ GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(11439),
     /* 11318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 11321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 11324 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(11362), // Rule ID 25 //
     /* 11329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11332 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 11339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11343 */     // MIs[0] ptr
     /* 11343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11355 */     // (atomic_cmp_swap:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$cmp, GPR32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_i8>>  =>  (ATOMIC_CMP_SWAP_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$cmp, GPR32:{ *:[i32] }:$swap)
     /* 11355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_CMP_SWAP_I8),
     /* 11360 */     GIR_RootConstrainSelectedInstOperands,
     /* 11361 */     // GIR_Coverage, 25,
     /* 11361 */     GIR_Done,
     /* 11362 */   // Label 428: @11362
     /* 11362 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(11400), // Rule ID 26 //
     /* 11367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 11377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11381 */     // MIs[0] ptr
     /* 11381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11393 */     // (atomic_cmp_swap:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$cmp, GPR32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_i16>>  =>  (ATOMIC_CMP_SWAP_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$cmp, GPR32:{ *:[i32] }:$swap)
     /* 11393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_CMP_SWAP_I16),
     /* 11398 */     GIR_RootConstrainSelectedInstOperands,
     /* 11399 */     // GIR_Coverage, 26,
     /* 11399 */     GIR_Done,
     /* 11400 */   // Label 429: @11400
     /* 11400 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(11438), // Rule ID 27 //
     /* 11405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11408 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 11415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11419 */     // MIs[0] ptr
     /* 11419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11431 */     // (atomic_cmp_swap:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$cmp, GPR32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_i32>>  =>  (ATOMIC_CMP_SWAP_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$cmp, GPR32:{ *:[i32] }:$swap)
     /* 11431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_CMP_SWAP_I32),
     /* 11436 */     GIR_RootConstrainSelectedInstOperands,
     /* 11437 */     // GIR_Coverage, 27,
     /* 11437 */     GIR_Done,
     /* 11438 */   // Label 430: @11438
     /* 11438 */   GIM_Reject,
     /* 11439 */ // Label 427: @11439
     /* 11439 */ GIM_Reject,
     /* 11440 */ // Label 425: @11440
     /* 11440 */ GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(11484), // Rule ID 191 //
     /* 11445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 11451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 11454 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 11461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11465 */   // MIs[0] ptr
     /* 11465 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11477 */   // (atomic_cmp_swap:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$cmp, GPR64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_i64>>  =>  (ATOMIC_CMP_SWAP_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$cmp, GPR64:{ *:[i64] }:$swap)
     /* 11477 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_CMP_SWAP_I64),
     /* 11482 */   GIR_RootConstrainSelectedInstOperands,
     /* 11483 */   // GIR_Coverage, 191,
     /* 11483 */   GIR_Done,
     /* 11484 */ // Label 431: @11484
     /* 11484 */ GIM_Reject,
     /* 11485 */ // Label 426: @11485
     /* 11485 */ GIM_Reject,
     /* 11486 */ // Label 17: @11486
     /* 11486 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 434*/ GIMT_Encode4(11655),
     /* 11497 */ /*GILLT_s32*//*Label 432*/ GIMT_Encode4(11505),
     /* 11501 */ /*GILLT_s64*//*Label 433*/ GIMT_Encode4(11617),
     /* 11505 */ // Label 432: @11505
     /* 11505 */ GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(11616),
     /* 11510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 11513 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(11547), // Rule ID 22 //
     /* 11518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11521 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 11528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11532 */     // MIs[0] ptr
     /* 11532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11540 */     // (atomic_swap:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_swap_i8>>  =>  (ATOMIC_SWAP_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_SWAP_I8),
     /* 11545 */     GIR_RootConstrainSelectedInstOperands,
     /* 11546 */     // GIR_Coverage, 22,
     /* 11546 */     GIR_Done,
     /* 11547 */   // Label 436: @11547
     /* 11547 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(11581), // Rule ID 23 //
     /* 11552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 11562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11566 */     // MIs[0] ptr
     /* 11566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11574 */     // (atomic_swap:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_swap_i16>>  =>  (ATOMIC_SWAP_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_SWAP_I16),
     /* 11579 */     GIR_RootConstrainSelectedInstOperands,
     /* 11580 */     // GIR_Coverage, 23,
     /* 11580 */     GIR_Done,
     /* 11581 */   // Label 437: @11581
     /* 11581 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(11615), // Rule ID 24 //
     /* 11586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 11596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11600 */     // MIs[0] ptr
     /* 11600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11608 */     // (atomic_swap:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_swap_i32>>  =>  (ATOMIC_SWAP_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_SWAP_I32),
     /* 11613 */     GIR_RootConstrainSelectedInstOperands,
     /* 11614 */     // GIR_Coverage, 24,
     /* 11614 */     GIR_Done,
     /* 11615 */   // Label 438: @11615
     /* 11615 */   GIM_Reject,
     /* 11616 */ // Label 435: @11616
     /* 11616 */ GIM_Reject,
     /* 11617 */ // Label 433: @11617
     /* 11617 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(11654), // Rule ID 190 //
     /* 11622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 11628 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 11635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11639 */   // MIs[0] ptr
     /* 11639 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11647 */   // (atomic_swap:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_swap_i64>>  =>  (ATOMIC_SWAP_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 11647 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_SWAP_I64),
     /* 11652 */   GIR_RootConstrainSelectedInstOperands,
     /* 11653 */   // GIR_Coverage, 190,
     /* 11653 */   GIR_Done,
     /* 11654 */ // Label 439: @11654
     /* 11654 */ GIM_Reject,
     /* 11655 */ // Label 434: @11655
     /* 11655 */ GIM_Reject,
     /* 11656 */ // Label 18: @11656
     /* 11656 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 442*/ GIMT_Encode4(11825),
     /* 11667 */ /*GILLT_s32*//*Label 440*/ GIMT_Encode4(11675),
     /* 11671 */ /*GILLT_s64*//*Label 441*/ GIMT_Encode4(11787),
     /* 11675 */ // Label 440: @11675
     /* 11675 */ GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(11786),
     /* 11680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 11683 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(11717), // Rule ID 4 //
     /* 11688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 11698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11702 */     // MIs[0] ptr
     /* 11702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11710 */     // (atomic_load_add:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_add_i8>>  =>  (ATOMIC_LOAD_ADD_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_ADD_I8),
     /* 11715 */     GIR_RootConstrainSelectedInstOperands,
     /* 11716 */     // GIR_Coverage, 4,
     /* 11716 */     GIR_Done,
     /* 11717 */   // Label 444: @11717
     /* 11717 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(11751), // Rule ID 5 //
     /* 11722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11725 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 11732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11736 */     // MIs[0] ptr
     /* 11736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11744 */     // (atomic_load_add:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_add_i16>>  =>  (ATOMIC_LOAD_ADD_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_ADD_I16),
     /* 11749 */     GIR_RootConstrainSelectedInstOperands,
     /* 11750 */     // GIR_Coverage, 5,
     /* 11750 */     GIR_Done,
     /* 11751 */   // Label 445: @11751
     /* 11751 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(11785), // Rule ID 6 //
     /* 11756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 11766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11770 */     // MIs[0] ptr
     /* 11770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11778 */     // (atomic_load_add:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_add_i32>>  =>  (ATOMIC_LOAD_ADD_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_ADD_I32),
     /* 11783 */     GIR_RootConstrainSelectedInstOperands,
     /* 11784 */     // GIR_Coverage, 6,
     /* 11784 */     GIR_Done,
     /* 11785 */   // Label 446: @11785
     /* 11785 */   GIM_Reject,
     /* 11786 */ // Label 443: @11786
     /* 11786 */ GIM_Reject,
     /* 11787 */ // Label 441: @11787
     /* 11787 */ GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(11824), // Rule ID 184 //
     /* 11792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 11798 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 11805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11809 */   // MIs[0] ptr
     /* 11809 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11817 */   // (atomic_load_add:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_add_i64>>  =>  (ATOMIC_LOAD_ADD_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 11817 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_ADD_I64),
     /* 11822 */   GIR_RootConstrainSelectedInstOperands,
     /* 11823 */   // GIR_Coverage, 184,
     /* 11823 */   GIR_Done,
     /* 11824 */ // Label 447: @11824
     /* 11824 */ GIM_Reject,
     /* 11825 */ // Label 442: @11825
     /* 11825 */ GIM_Reject,
     /* 11826 */ // Label 19: @11826
     /* 11826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 450*/ GIMT_Encode4(11995),
     /* 11837 */ /*GILLT_s32*//*Label 448*/ GIMT_Encode4(11845),
     /* 11841 */ /*GILLT_s64*//*Label 449*/ GIMT_Encode4(11957),
     /* 11845 */ // Label 448: @11845
     /* 11845 */ GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(11956),
     /* 11850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 11853 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(11887), // Rule ID 7 //
     /* 11858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11861 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 11868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11872 */     // MIs[0] ptr
     /* 11872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11880 */     // (atomic_load_sub:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_sub_i8>>  =>  (ATOMIC_LOAD_SUB_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_SUB_I8),
     /* 11885 */     GIR_RootConstrainSelectedInstOperands,
     /* 11886 */     // GIR_Coverage, 7,
     /* 11886 */     GIR_Done,
     /* 11887 */   // Label 452: @11887
     /* 11887 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(11921), // Rule ID 8 //
     /* 11892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 11902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11906 */     // MIs[0] ptr
     /* 11906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11914 */     // (atomic_load_sub:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_sub_i16>>  =>  (ATOMIC_LOAD_SUB_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_SUB_I16),
     /* 11919 */     GIR_RootConstrainSelectedInstOperands,
     /* 11920 */     // GIR_Coverage, 8,
     /* 11920 */     GIR_Done,
     /* 11921 */   // Label 453: @11921
     /* 11921 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(11955), // Rule ID 9 //
     /* 11926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 11936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11940 */     // MIs[0] ptr
     /* 11940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 11948 */     // (atomic_load_sub:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_sub_i32>>  =>  (ATOMIC_LOAD_SUB_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 11948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_SUB_I32),
     /* 11953 */     GIR_RootConstrainSelectedInstOperands,
     /* 11954 */     // GIR_Coverage, 9,
     /* 11954 */     GIR_Done,
     /* 11955 */   // Label 454: @11955
     /* 11955 */   GIM_Reject,
     /* 11956 */ // Label 451: @11956
     /* 11956 */ GIM_Reject,
     /* 11957 */ // Label 449: @11957
     /* 11957 */ GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(11994), // Rule ID 185 //
     /* 11962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 11965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 11968 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 11975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11979 */   // MIs[0] ptr
     /* 11979 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 11983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 11987 */   // (atomic_load_sub:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_sub_i64>>  =>  (ATOMIC_LOAD_SUB_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 11987 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_SUB_I64),
     /* 11992 */   GIR_RootConstrainSelectedInstOperands,
     /* 11993 */   // GIR_Coverage, 185,
     /* 11993 */   GIR_Done,
     /* 11994 */ // Label 455: @11994
     /* 11994 */ GIM_Reject,
     /* 11995 */ // Label 450: @11995
     /* 11995 */ GIM_Reject,
     /* 11996 */ // Label 20: @11996
     /* 11996 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 458*/ GIMT_Encode4(12165),
     /* 12007 */ /*GILLT_s32*//*Label 456*/ GIMT_Encode4(12015),
     /* 12011 */ /*GILLT_s64*//*Label 457*/ GIMT_Encode4(12127),
     /* 12015 */ // Label 456: @12015
     /* 12015 */ GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(12126),
     /* 12020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 12023 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(12057), // Rule ID 10 //
     /* 12028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12031 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 12038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12042 */     // MIs[0] ptr
     /* 12042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12050 */     // (atomic_load_and:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_and_i8>>  =>  (ATOMIC_LOAD_AND_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_AND_I8),
     /* 12055 */     GIR_RootConstrainSelectedInstOperands,
     /* 12056 */     // GIR_Coverage, 10,
     /* 12056 */     GIR_Done,
     /* 12057 */   // Label 460: @12057
     /* 12057 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(12091), // Rule ID 11 //
     /* 12062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 12072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12076 */     // MIs[0] ptr
     /* 12076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12084 */     // (atomic_load_and:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_and_i16>>  =>  (ATOMIC_LOAD_AND_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_AND_I16),
     /* 12089 */     GIR_RootConstrainSelectedInstOperands,
     /* 12090 */     // GIR_Coverage, 11,
     /* 12090 */     GIR_Done,
     /* 12091 */   // Label 461: @12091
     /* 12091 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(12125), // Rule ID 12 //
     /* 12096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 12106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12110 */     // MIs[0] ptr
     /* 12110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12118 */     // (atomic_load_and:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_and_i32>>  =>  (ATOMIC_LOAD_AND_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_AND_I32),
     /* 12123 */     GIR_RootConstrainSelectedInstOperands,
     /* 12124 */     // GIR_Coverage, 12,
     /* 12124 */     GIR_Done,
     /* 12125 */   // Label 462: @12125
     /* 12125 */   GIM_Reject,
     /* 12126 */ // Label 459: @12126
     /* 12126 */ GIM_Reject,
     /* 12127 */ // Label 457: @12127
     /* 12127 */ GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(12164), // Rule ID 186 //
     /* 12132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 12138 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 12145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12149 */   // MIs[0] ptr
     /* 12149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12157 */   // (atomic_load_and:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_and_i64>>  =>  (ATOMIC_LOAD_AND_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 12157 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_AND_I64),
     /* 12162 */   GIR_RootConstrainSelectedInstOperands,
     /* 12163 */   // GIR_Coverage, 186,
     /* 12163 */   GIR_Done,
     /* 12164 */ // Label 463: @12164
     /* 12164 */ GIM_Reject,
     /* 12165 */ // Label 458: @12165
     /* 12165 */ GIM_Reject,
     /* 12166 */ // Label 21: @12166
     /* 12166 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 466*/ GIMT_Encode4(12335),
     /* 12177 */ /*GILLT_s32*//*Label 464*/ GIMT_Encode4(12185),
     /* 12181 */ /*GILLT_s64*//*Label 465*/ GIMT_Encode4(12297),
     /* 12185 */ // Label 464: @12185
     /* 12185 */ GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(12296),
     /* 12190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 12193 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(12227), // Rule ID 19 //
     /* 12198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 12208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12212 */     // MIs[0] ptr
     /* 12212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12220 */     // (atomic_load_nand:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i8>>  =>  (ATOMIC_LOAD_NAND_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_NAND_I8),
     /* 12225 */     GIR_RootConstrainSelectedInstOperands,
     /* 12226 */     // GIR_Coverage, 19,
     /* 12226 */     GIR_Done,
     /* 12227 */   // Label 468: @12227
     /* 12227 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(12261), // Rule ID 20 //
     /* 12232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12235 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 12242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12246 */     // MIs[0] ptr
     /* 12246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12254 */     // (atomic_load_nand:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i16>>  =>  (ATOMIC_LOAD_NAND_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_NAND_I16),
     /* 12259 */     GIR_RootConstrainSelectedInstOperands,
     /* 12260 */     // GIR_Coverage, 20,
     /* 12260 */     GIR_Done,
     /* 12261 */   // Label 469: @12261
     /* 12261 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(12295), // Rule ID 21 //
     /* 12266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12269 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 12276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12280 */     // MIs[0] ptr
     /* 12280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12288 */     // (atomic_load_nand:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>>  =>  (ATOMIC_LOAD_NAND_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_NAND_I32),
     /* 12293 */     GIR_RootConstrainSelectedInstOperands,
     /* 12294 */     // GIR_Coverage, 21,
     /* 12294 */     GIR_Done,
     /* 12295 */   // Label 470: @12295
     /* 12295 */   GIM_Reject,
     /* 12296 */ // Label 467: @12296
     /* 12296 */ GIM_Reject,
     /* 12297 */ // Label 465: @12297
     /* 12297 */ GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(12334), // Rule ID 189 //
     /* 12302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 12308 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 12315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12319 */   // MIs[0] ptr
     /* 12319 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12327 */   // (atomic_load_nand:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>>  =>  (ATOMIC_LOAD_NAND_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 12327 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_NAND_I64),
     /* 12332 */   GIR_RootConstrainSelectedInstOperands,
     /* 12333 */   // GIR_Coverage, 189,
     /* 12333 */   GIR_Done,
     /* 12334 */ // Label 471: @12334
     /* 12334 */ GIM_Reject,
     /* 12335 */ // Label 466: @12335
     /* 12335 */ GIM_Reject,
     /* 12336 */ // Label 22: @12336
     /* 12336 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 474*/ GIMT_Encode4(12505),
     /* 12347 */ /*GILLT_s32*//*Label 472*/ GIMT_Encode4(12355),
     /* 12351 */ /*GILLT_s64*//*Label 473*/ GIMT_Encode4(12467),
     /* 12355 */ // Label 472: @12355
     /* 12355 */ GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(12466),
     /* 12360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 12363 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(12397), // Rule ID 13 //
     /* 12368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 12378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12382 */     // MIs[0] ptr
     /* 12382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12390 */     // (atomic_load_or:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_or_i8>>  =>  (ATOMIC_LOAD_OR_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_OR_I8),
     /* 12395 */     GIR_RootConstrainSelectedInstOperands,
     /* 12396 */     // GIR_Coverage, 13,
     /* 12396 */     GIR_Done,
     /* 12397 */   // Label 476: @12397
     /* 12397 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(12431), // Rule ID 14 //
     /* 12402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 12412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12416 */     // MIs[0] ptr
     /* 12416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12424 */     // (atomic_load_or:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_or_i16>>  =>  (ATOMIC_LOAD_OR_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12424 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_OR_I16),
     /* 12429 */     GIR_RootConstrainSelectedInstOperands,
     /* 12430 */     // GIR_Coverage, 14,
     /* 12430 */     GIR_Done,
     /* 12431 */   // Label 477: @12431
     /* 12431 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(12465), // Rule ID 15 //
     /* 12436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12439 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 12446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12450 */     // MIs[0] ptr
     /* 12450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12458 */     // (atomic_load_or:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_or_i32>>  =>  (ATOMIC_LOAD_OR_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_OR_I32),
     /* 12463 */     GIR_RootConstrainSelectedInstOperands,
     /* 12464 */     // GIR_Coverage, 15,
     /* 12464 */     GIR_Done,
     /* 12465 */   // Label 478: @12465
     /* 12465 */   GIM_Reject,
     /* 12466 */ // Label 475: @12466
     /* 12466 */ GIM_Reject,
     /* 12467 */ // Label 473: @12467
     /* 12467 */ GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(12504), // Rule ID 187 //
     /* 12472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 12478 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 12485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12489 */   // MIs[0] ptr
     /* 12489 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12497 */   // (atomic_load_or:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_or_i64>>  =>  (ATOMIC_LOAD_OR_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 12497 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_OR_I64),
     /* 12502 */   GIR_RootConstrainSelectedInstOperands,
     /* 12503 */   // GIR_Coverage, 187,
     /* 12503 */   GIR_Done,
     /* 12504 */ // Label 479: @12504
     /* 12504 */ GIM_Reject,
     /* 12505 */ // Label 474: @12505
     /* 12505 */ GIM_Reject,
     /* 12506 */ // Label 23: @12506
     /* 12506 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 482*/ GIMT_Encode4(12675),
     /* 12517 */ /*GILLT_s32*//*Label 480*/ GIMT_Encode4(12525),
     /* 12521 */ /*GILLT_s64*//*Label 481*/ GIMT_Encode4(12637),
     /* 12525 */ // Label 480: @12525
     /* 12525 */ GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(12636),
     /* 12530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 12533 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(12567), // Rule ID 16 //
     /* 12538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 12548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12552 */     // MIs[0] ptr
     /* 12552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12560 */     // (atomic_load_xor:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_xor_i8>>  =>  (ATOMIC_LOAD_XOR_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_XOR_I8),
     /* 12565 */     GIR_RootConstrainSelectedInstOperands,
     /* 12566 */     // GIR_Coverage, 16,
     /* 12566 */     GIR_Done,
     /* 12567 */   // Label 484: @12567
     /* 12567 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(12601), // Rule ID 17 //
     /* 12572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12575 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 12582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12586 */     // MIs[0] ptr
     /* 12586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12594 */     // (atomic_load_xor:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_xor_i16>>  =>  (ATOMIC_LOAD_XOR_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_XOR_I16),
     /* 12599 */     GIR_RootConstrainSelectedInstOperands,
     /* 12600 */     // GIR_Coverage, 17,
     /* 12600 */     GIR_Done,
     /* 12601 */   // Label 485: @12601
     /* 12601 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(12635), // Rule ID 18 //
     /* 12606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 12616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12620 */     // MIs[0] ptr
     /* 12620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12628 */     // (atomic_load_xor:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_xor_i32>>  =>  (ATOMIC_LOAD_XOR_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_XOR_I32),
     /* 12633 */     GIR_RootConstrainSelectedInstOperands,
     /* 12634 */     // GIR_Coverage, 18,
     /* 12634 */     GIR_Done,
     /* 12635 */   // Label 486: @12635
     /* 12635 */   GIM_Reject,
     /* 12636 */ // Label 483: @12636
     /* 12636 */ GIM_Reject,
     /* 12637 */ // Label 481: @12637
     /* 12637 */ GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(12674), // Rule ID 188 //
     /* 12642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 12648 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 12655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12659 */   // MIs[0] ptr
     /* 12659 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12667 */   // (atomic_load_xor:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_xor_i64>>  =>  (ATOMIC_LOAD_XOR_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 12667 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_XOR_I64),
     /* 12672 */   GIR_RootConstrainSelectedInstOperands,
     /* 12673 */   // GIR_Coverage, 188,
     /* 12673 */   GIR_Done,
     /* 12674 */ // Label 487: @12674
     /* 12674 */ GIM_Reject,
     /* 12675 */ // Label 482: @12675
     /* 12675 */ GIM_Reject,
     /* 12676 */ // Label 24: @12676
     /* 12676 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 490*/ GIMT_Encode4(12845),
     /* 12687 */ /*GILLT_s32*//*Label 488*/ GIMT_Encode4(12695),
     /* 12691 */ /*GILLT_s64*//*Label 489*/ GIMT_Encode4(12807),
     /* 12695 */ // Label 488: @12695
     /* 12695 */ GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(12806),
     /* 12700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 12703 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(12737), // Rule ID 31 //
     /* 12708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 12718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12722 */     // MIs[0] ptr
     /* 12722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12730 */     // (atomic_load_max:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_max_i8>>  =>  (ATOMIC_LOAD_MAX_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MAX_I8),
     /* 12735 */     GIR_RootConstrainSelectedInstOperands,
     /* 12736 */     // GIR_Coverage, 31,
     /* 12736 */     GIR_Done,
     /* 12737 */   // Label 492: @12737
     /* 12737 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(12771), // Rule ID 32 //
     /* 12742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 12752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12756 */     // MIs[0] ptr
     /* 12756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12764 */     // (atomic_load_max:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_max_i16>>  =>  (ATOMIC_LOAD_MAX_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MAX_I16),
     /* 12769 */     GIR_RootConstrainSelectedInstOperands,
     /* 12770 */     // GIR_Coverage, 32,
     /* 12770 */     GIR_Done,
     /* 12771 */   // Label 493: @12771
     /* 12771 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(12805), // Rule ID 33 //
     /* 12776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 12786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12790 */     // MIs[0] ptr
     /* 12790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12798 */     // (atomic_load_max:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_max_i32>>  =>  (ATOMIC_LOAD_MAX_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MAX_I32),
     /* 12803 */     GIR_RootConstrainSelectedInstOperands,
     /* 12804 */     // GIR_Coverage, 33,
     /* 12804 */     GIR_Done,
     /* 12805 */   // Label 494: @12805
     /* 12805 */   GIM_Reject,
     /* 12806 */ // Label 491: @12806
     /* 12806 */ GIM_Reject,
     /* 12807 */ // Label 489: @12807
     /* 12807 */ GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(12844), // Rule ID 193 //
     /* 12812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 12818 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 12825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12829 */   // MIs[0] ptr
     /* 12829 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12837 */   // (atomic_load_max:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_max_i64>>  =>  (ATOMIC_LOAD_MAX_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 12837 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MAX_I64),
     /* 12842 */   GIR_RootConstrainSelectedInstOperands,
     /* 12843 */   // GIR_Coverage, 193,
     /* 12843 */   GIR_Done,
     /* 12844 */ // Label 495: @12844
     /* 12844 */ GIM_Reject,
     /* 12845 */ // Label 490: @12845
     /* 12845 */ GIM_Reject,
     /* 12846 */ // Label 25: @12846
     /* 12846 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 498*/ GIMT_Encode4(13015),
     /* 12857 */ /*GILLT_s32*//*Label 496*/ GIMT_Encode4(12865),
     /* 12861 */ /*GILLT_s64*//*Label 497*/ GIMT_Encode4(12977),
     /* 12865 */ // Label 496: @12865
     /* 12865 */ GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(12976),
     /* 12870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 12873 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(12907), // Rule ID 28 //
     /* 12878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12881 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 12888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12892 */     // MIs[0] ptr
     /* 12892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12900 */     // (atomic_load_min:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_min_i8>>  =>  (ATOMIC_LOAD_MIN_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MIN_I8),
     /* 12905 */     GIR_RootConstrainSelectedInstOperands,
     /* 12906 */     // GIR_Coverage, 28,
     /* 12906 */     GIR_Done,
     /* 12907 */   // Label 500: @12907
     /* 12907 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(12941), // Rule ID 29 //
     /* 12912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 12922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12926 */     // MIs[0] ptr
     /* 12926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12934 */     // (atomic_load_min:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_min_i16>>  =>  (ATOMIC_LOAD_MIN_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MIN_I16),
     /* 12939 */     GIR_RootConstrainSelectedInstOperands,
     /* 12940 */     // GIR_Coverage, 29,
     /* 12940 */     GIR_Done,
     /* 12941 */   // Label 501: @12941
     /* 12941 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(12975), // Rule ID 30 //
     /* 12946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12949 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 12956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12960 */     // MIs[0] ptr
     /* 12960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 12964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 12968 */     // (atomic_load_min:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_min_i32>>  =>  (ATOMIC_LOAD_MIN_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 12968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MIN_I32),
     /* 12973 */     GIR_RootConstrainSelectedInstOperands,
     /* 12974 */     // GIR_Coverage, 30,
     /* 12974 */     GIR_Done,
     /* 12975 */   // Label 502: @12975
     /* 12975 */   GIM_Reject,
     /* 12976 */ // Label 499: @12976
     /* 12976 */ GIM_Reject,
     /* 12977 */ // Label 497: @12977
     /* 12977 */ GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(13014), // Rule ID 192 //
     /* 12982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 12985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 12988 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 12995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 12999 */   // MIs[0] ptr
     /* 12999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13007 */   // (atomic_load_min:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_min_i64>>  =>  (ATOMIC_LOAD_MIN_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 13007 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_MIN_I64),
     /* 13012 */   GIR_RootConstrainSelectedInstOperands,
     /* 13013 */   // GIR_Coverage, 192,
     /* 13013 */   GIR_Done,
     /* 13014 */ // Label 503: @13014
     /* 13014 */ GIM_Reject,
     /* 13015 */ // Label 498: @13015
     /* 13015 */ GIM_Reject,
     /* 13016 */ // Label 26: @13016
     /* 13016 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 506*/ GIMT_Encode4(13185),
     /* 13027 */ /*GILLT_s32*//*Label 504*/ GIMT_Encode4(13035),
     /* 13031 */ /*GILLT_s64*//*Label 505*/ GIMT_Encode4(13147),
     /* 13035 */ // Label 504: @13035
     /* 13035 */ GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(13146),
     /* 13040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 13043 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(13077), // Rule ID 37 //
     /* 13048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 13058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13062 */     // MIs[0] ptr
     /* 13062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13070 */     // (atomic_load_umax:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_umax_i8>>  =>  (ATOMIC_LOAD_UMAX_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 13070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMAX_I8),
     /* 13075 */     GIR_RootConstrainSelectedInstOperands,
     /* 13076 */     // GIR_Coverage, 37,
     /* 13076 */     GIR_Done,
     /* 13077 */   // Label 508: @13077
     /* 13077 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(13111), // Rule ID 38 //
     /* 13082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 13092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13096 */     // MIs[0] ptr
     /* 13096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13104 */     // (atomic_load_umax:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_umax_i16>>  =>  (ATOMIC_LOAD_UMAX_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 13104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMAX_I16),
     /* 13109 */     GIR_RootConstrainSelectedInstOperands,
     /* 13110 */     // GIR_Coverage, 38,
     /* 13110 */     GIR_Done,
     /* 13111 */   // Label 509: @13111
     /* 13111 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(13145), // Rule ID 39 //
     /* 13116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 13126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13130 */     // MIs[0] ptr
     /* 13130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13138 */     // (atomic_load_umax:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_umax_i32>>  =>  (ATOMIC_LOAD_UMAX_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 13138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMAX_I32),
     /* 13143 */     GIR_RootConstrainSelectedInstOperands,
     /* 13144 */     // GIR_Coverage, 39,
     /* 13144 */     GIR_Done,
     /* 13145 */   // Label 510: @13145
     /* 13145 */   GIM_Reject,
     /* 13146 */ // Label 507: @13146
     /* 13146 */ GIM_Reject,
     /* 13147 */ // Label 505: @13147
     /* 13147 */ GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(13184), // Rule ID 195 //
     /* 13152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 13158 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 13165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13169 */   // MIs[0] ptr
     /* 13169 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13177 */   // (atomic_load_umax:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_umax_i64>>  =>  (ATOMIC_LOAD_UMAX_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 13177 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMAX_I64),
     /* 13182 */   GIR_RootConstrainSelectedInstOperands,
     /* 13183 */   // GIR_Coverage, 195,
     /* 13183 */   GIR_Done,
     /* 13184 */ // Label 511: @13184
     /* 13184 */ GIM_Reject,
     /* 13185 */ // Label 506: @13185
     /* 13185 */ GIM_Reject,
     /* 13186 */ // Label 27: @13186
     /* 13186 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 514*/ GIMT_Encode4(13355),
     /* 13197 */ /*GILLT_s32*//*Label 512*/ GIMT_Encode4(13205),
     /* 13201 */ /*GILLT_s64*//*Label 513*/ GIMT_Encode4(13317),
     /* 13205 */ // Label 512: @13205
     /* 13205 */ GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(13316),
     /* 13210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 13213 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(13247), // Rule ID 34 //
     /* 13218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 13228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13232 */     // MIs[0] ptr
     /* 13232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13240 */     // (atomic_load_umin:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_umin_i8>>  =>  (ATOMIC_LOAD_UMIN_I8:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 13240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMIN_I8),
     /* 13245 */     GIR_RootConstrainSelectedInstOperands,
     /* 13246 */     // GIR_Coverage, 34,
     /* 13246 */     GIR_Done,
     /* 13247 */   // Label 516: @13247
     /* 13247 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(13281), // Rule ID 35 //
     /* 13252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13255 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 13262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13266 */     // MIs[0] ptr
     /* 13266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13274 */     // (atomic_load_umin:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_umin_i16>>  =>  (ATOMIC_LOAD_UMIN_I16:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 13274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMIN_I16),
     /* 13279 */     GIR_RootConstrainSelectedInstOperands,
     /* 13280 */     // GIR_Coverage, 35,
     /* 13280 */     GIR_Done,
     /* 13281 */   // Label 517: @13281
     /* 13281 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(13315), // Rule ID 36 //
     /* 13286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 13296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13300 */     // MIs[0] ptr
     /* 13300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 13308 */     // (atomic_load_umin:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_umin_i32>>  =>  (ATOMIC_LOAD_UMIN_I32:{ *:[i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$incr)
     /* 13308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMIN_I32),
     /* 13313 */     GIR_RootConstrainSelectedInstOperands,
     /* 13314 */     // GIR_Coverage, 36,
     /* 13314 */     GIR_Done,
     /* 13315 */   // Label 518: @13315
     /* 13315 */   GIM_Reject,
     /* 13316 */ // Label 515: @13316
     /* 13316 */ GIM_Reject,
     /* 13317 */ // Label 513: @13317
     /* 13317 */ GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(13354), // Rule ID 194 //
     /* 13322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 13325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 13328 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 13335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13339 */   // MIs[0] ptr
     /* 13339 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 13343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13347 */   // (atomic_load_umin:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_umin_i64>>  =>  (ATOMIC_LOAD_UMIN_I64:{ *:[i64] } iPTR:{ *:[iPTR] }:$ptr, GPR64:{ *:[i64] }:$incr)
     /* 13347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ATOMIC_LOAD_UMIN_I64),
     /* 13352 */   GIR_RootConstrainSelectedInstOperands,
     /* 13353 */   // GIR_Coverage, 194,
     /* 13353 */   GIR_Done,
     /* 13354 */ // Label 519: @13354
     /* 13354 */ GIM_Reject,
     /* 13355 */ // Label 514: @13355
     /* 13355 */ GIM_Reject,
     /* 13356 */ // Label 28: @13356
     /* 13356 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 522*/ GIMT_Encode4(18076),
     /* 13367 */ /*GILLT_s32*//*Label 520*/ GIMT_Encode4(13375),
     /* 13371 */ /*GILLT_s64*//*Label 521*/ GIMT_Encode4(18042),
     /* 13375 */ // Label 520: @13375
     /* 13375 */ GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(13483), // Rule ID 2365 //
     /* 13380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 13383 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 13387 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 13391 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 13395 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 13399 */   // MIs[1] Operand 1
     /* 13399 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 13404 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 13408 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 13412 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 13416 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 13420 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 13424 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 13428 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 13432 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 13436 */   GIM_CheckConstantInt8, /*MI*/3, /*Op*/1, 1,
     /* 13440 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 13444 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 13448 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 13452 */   // MIs[4] Operand 1
     /* 13452 */   // No operand predicates
     /* 13452 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13457 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 13461 */   // MIs[0] offset
     /* 13461 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 13464 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 13466 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p), GPR64Opnd:{ *:[i64] }:$rs), 0:{ *:[i64] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT0 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 13466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT0),
     /* 13469 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs
     /* 13473 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 13476 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 13478 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 13481 */   GIR_RootConstrainSelectedInstOperands,
     /* 13482 */   // GIR_Coverage, 2365,
     /* 13482 */   GIR_EraseRootFromParent_Done,
     /* 13483 */ // Label 523: @13483
     /* 13483 */ GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(13598), // Rule ID 2366 //
     /* 13488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 13491 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 13495 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 13499 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 13503 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 13507 */   // MIs[1] Operand 1
     /* 13507 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 13512 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 13516 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 13520 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 13524 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 13528 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 13532 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 13536 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 13540 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 13544 */   GIM_CheckConstantInt, /*MI*/3, /*Op*/1, GIMT_Encode8(4294967296),
     /* 13555 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 13559 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 13563 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 13567 */   // MIs[4] Operand 1
     /* 13567 */   // No operand predicates
     /* 13567 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13572 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 13576 */   // MIs[0] offset
     /* 13576 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 13579 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 13581 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } (shl:{ *:[i64] } 4294967296:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p), GPR64Opnd:{ *:[i64] }:$rs), 0:{ *:[i64] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT032 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 13581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT032),
     /* 13584 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs
     /* 13588 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 13591 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 13593 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 13596 */   GIR_RootConstrainSelectedInstOperands,
     /* 13597 */   // GIR_Coverage, 2366,
     /* 13597 */   GIR_EraseRootFromParent_Done,
     /* 13598 */ // Label 524: @13598
     /* 13598 */ GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(13706), // Rule ID 2367 //
     /* 13603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 13606 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 13610 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 13614 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 13618 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 13622 */   // MIs[1] Operand 1
     /* 13622 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 13627 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 13631 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 13635 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 13639 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 13643 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 13647 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 13651 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 13655 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 13659 */   GIM_CheckConstantInt8, /*MI*/3, /*Op*/1, 1,
     /* 13663 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 13667 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 13671 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 13675 */   // MIs[4] Operand 1
     /* 13675 */   // No operand predicates
     /* 13675 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13680 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 13684 */   // MIs[0] offset
     /* 13684 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 13687 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 13689 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p), GPR64Opnd:{ *:[i64] }:$rs), 0:{ *:[i64] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT1 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 13689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT1),
     /* 13692 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs
     /* 13696 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 13699 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 13701 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 13704 */   GIR_RootConstrainSelectedInstOperands,
     /* 13705 */   // GIR_Coverage, 2367,
     /* 13705 */   GIR_EraseRootFromParent_Done,
     /* 13706 */ // Label 525: @13706
     /* 13706 */ GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(13821), // Rule ID 2368 //
     /* 13711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 13714 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 13718 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 13722 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 13726 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 13730 */   // MIs[1] Operand 1
     /* 13730 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 13735 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 13739 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 13743 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 13747 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 13751 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 13755 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 13759 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 13763 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 13767 */   GIM_CheckConstantInt, /*MI*/3, /*Op*/1, GIMT_Encode8(4294967296),
     /* 13778 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 13782 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 13786 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 13790 */   // MIs[4] Operand 1
     /* 13790 */   // No operand predicates
     /* 13790 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13795 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 13799 */   // MIs[0] offset
     /* 13799 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 13802 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 13804 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } (shl:{ *:[i64] } 4294967296:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p), GPR64Opnd:{ *:[i64] }:$rs), 0:{ *:[i64] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT132 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 13804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT132),
     /* 13807 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs
     /* 13811 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 13814 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 13816 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 13819 */   GIR_RootConstrainSelectedInstOperands,
     /* 13820 */   // GIR_Coverage, 2368,
     /* 13820 */   GIR_EraseRootFromParent_Done,
     /* 13821 */ // Label 526: @13821
     /* 13821 */ GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(13929), // Rule ID 270 //
     /* 13826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 13829 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 13833 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 13837 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 13841 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 13845 */   // MIs[1] Operand 1
     /* 13845 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 13850 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 13854 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 13858 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 13862 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 13866 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13871 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 13875 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 13879 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 13883 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 13887 */   GIM_CheckConstantInt8, /*MI*/3, /*Op*/1, 1,
     /* 13891 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 13895 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 13899 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 13903 */   // MIs[4] Operand 1
     /* 13903 */   // No operand predicates
     /* 13903 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 13907 */   // MIs[0] offset
     /* 13907 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 13910 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 13912 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, (shl:{ *:[i64] } 1:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p)), 0:{ *:[i64] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT0 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 13912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT0),
     /* 13915 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs
     /* 13919 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 13922 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 13924 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 13927 */   GIR_RootConstrainSelectedInstOperands,
     /* 13928 */   // GIR_Coverage, 270,
     /* 13928 */   GIR_EraseRootFromParent_Done,
     /* 13929 */ // Label 527: @13929
     /* 13929 */ GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(14044), // Rule ID 271 //
     /* 13934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 13937 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 13941 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 13945 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 13949 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 13953 */   // MIs[1] Operand 1
     /* 13953 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 13958 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 13962 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 13966 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 13970 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 13974 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 13979 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 13983 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 13987 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 13991 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 13995 */   GIM_CheckConstantInt, /*MI*/3, /*Op*/1, GIMT_Encode8(4294967296),
     /* 14006 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 14010 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 14014 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 14018 */   // MIs[4] Operand 1
     /* 14018 */   // No operand predicates
     /* 14018 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14022 */   // MIs[0] offset
     /* 14022 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14025 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 14027 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, (shl:{ *:[i64] } 4294967296:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p)), 0:{ *:[i64] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT032 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 14027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT032),
     /* 14030 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs
     /* 14034 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 14037 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14039 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14042 */   GIR_RootConstrainSelectedInstOperands,
     /* 14043 */   // GIR_Coverage, 271,
     /* 14043 */   GIR_EraseRootFromParent_Done,
     /* 14044 */ // Label 528: @14044
     /* 14044 */ GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(14152), // Rule ID 272 //
     /* 14049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 14052 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14056 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14060 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 14064 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 14068 */   // MIs[1] Operand 1
     /* 14068 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 14073 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 14077 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 14081 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 14085 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 14089 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 14094 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 14098 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 14102 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 14106 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 14110 */   GIM_CheckConstantInt8, /*MI*/3, /*Op*/1, 1,
     /* 14114 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 14118 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 14122 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 14126 */   // MIs[4] Operand 1
     /* 14126 */   // No operand predicates
     /* 14126 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14130 */   // MIs[0] offset
     /* 14130 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14133 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 14135 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, (shl:{ *:[i64] } 1:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p)), 0:{ *:[i64] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT1 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 14135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT1),
     /* 14138 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs
     /* 14142 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 14145 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14147 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14150 */   GIR_RootConstrainSelectedInstOperands,
     /* 14151 */   // GIR_Coverage, 272,
     /* 14151 */   GIR_EraseRootFromParent_Done,
     /* 14152 */ // Label 529: @14152
     /* 14152 */ GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(14267), // Rule ID 273 //
     /* 14157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 14160 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14168 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 14172 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 14176 */   // MIs[1] Operand 1
     /* 14176 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 14181 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 14185 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 14189 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 14193 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 14197 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 14202 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 14206 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 14210 */   GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 14214 */   GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 14218 */   GIM_CheckConstantInt, /*MI*/3, /*Op*/1, GIMT_Encode8(4294967296),
     /* 14229 */   GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 14233 */   GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 14237 */   GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5_64),
     /* 14241 */   // MIs[4] Operand 1
     /* 14241 */   // No operand predicates
     /* 14241 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14245 */   // MIs[0] offset
     /* 14245 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14248 */   GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 14250 */   // (brcond (setcc:{ *:[i32] } (and:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, (shl:{ *:[i64] } 4294967296:{ *:[i64] }, (imm:{ *:[i64] })<<P:Predicate_immZExt5_64>>:$p)), 0:{ *:[i64] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BBIT132 GPR64Opnd:{ *:[i64] }:$rs, (imm:{ *:[i64] }):$p, (bb:{ *:[Other] }):$offset)
     /* 14250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BBIT132),
     /* 14253 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs
     /* 14257 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // p
     /* 14260 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14262 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14265 */   GIR_RootConstrainSelectedInstOperands,
     /* 14266 */   // GIR_Coverage, 273,
     /* 14266 */   GIR_EraseRootFromParent_Done,
     /* 14267 */ // Label 530: @14267
     /* 14267 */ GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(14324), // Rule ID 94 //
     /* 14272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 14275 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14279 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14283 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14287 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14291 */   // MIs[1] Operand 1
     /* 14291 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 14296 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14301 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14305 */   // MIs[0] offset
     /* 14305 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14308 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14310 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BGEZ GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGEZ),
     /* 14313 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14317 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14319 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14322 */   GIR_RootConstrainSelectedInstOperands,
     /* 14323 */   // GIR_Coverage, 94,
     /* 14323 */   GIR_EraseRootFromParent_Done,
     /* 14324 */ // Label 531: @14324
     /* 14324 */ GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(14381), // Rule ID 95 //
     /* 14329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 14332 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14336 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14340 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14344 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14348 */   // MIs[1] Operand 1
     /* 14348 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 14353 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14358 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14362 */   // MIs[0] offset
     /* 14362 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14365 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14367 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETGT:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BGTZ GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGTZ),
     /* 14370 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14374 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14376 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14379 */   GIR_RootConstrainSelectedInstOperands,
     /* 14380 */   // GIR_Coverage, 95,
     /* 14380 */   GIR_EraseRootFromParent_Done,
     /* 14381 */ // Label 532: @14381
     /* 14381 */ GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(14438), // Rule ID 96 //
     /* 14386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 14389 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14393 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14397 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14401 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14405 */   // MIs[1] Operand 1
     /* 14405 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 14410 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14415 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14419 */   // MIs[0] offset
     /* 14419 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14422 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14424 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BLEZ GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLEZ),
     /* 14427 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14431 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14433 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14436 */   GIR_RootConstrainSelectedInstOperands,
     /* 14437 */   // GIR_Coverage, 96,
     /* 14437 */   GIR_EraseRootFromParent_Done,
     /* 14438 */ // Label 533: @14438
     /* 14438 */ GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(14495), // Rule ID 97 //
     /* 14443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 14446 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14450 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14454 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14458 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14462 */   // MIs[1] Operand 1
     /* 14462 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 14467 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14472 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14476 */   // MIs[0] offset
     /* 14476 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14479 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14481 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETLT:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BLTZ GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLTZ),
     /* 14484 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14488 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14490 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14493 */   GIR_RootConstrainSelectedInstOperands,
     /* 14494 */   // GIR_Coverage, 97,
     /* 14494 */   GIR_EraseRootFromParent_Done,
     /* 14495 */ // Label 534: @14495
     /* 14495 */ GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(14552), // Rule ID 245 //
     /* 14500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 14503 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14507 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14511 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 14515 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 14519 */   // MIs[1] Operand 1
     /* 14519 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 14524 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 14529 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14533 */   // MIs[0] offset
     /* 14533 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14536 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14538 */   // (brcond (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, 0:{ *:[i64] }, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BGEZ64 GPR64Opnd:{ *:[i64] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGEZ64),
     /* 14541 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14545 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14547 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14550 */   GIR_RootConstrainSelectedInstOperands,
     /* 14551 */   // GIR_Coverage, 245,
     /* 14551 */   GIR_EraseRootFromParent_Done,
     /* 14552 */ // Label 535: @14552
     /* 14552 */ GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(14609), // Rule ID 246 //
     /* 14557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 14560 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14568 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 14572 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 14576 */   // MIs[1] Operand 1
     /* 14576 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 14581 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 14586 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14590 */   // MIs[0] offset
     /* 14590 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14593 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14595 */   // (brcond (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, 0:{ *:[i64] }, SETGT:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BGTZ64 GPR64Opnd:{ *:[i64] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGTZ64),
     /* 14598 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14602 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14604 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14607 */   GIR_RootConstrainSelectedInstOperands,
     /* 14608 */   // GIR_Coverage, 246,
     /* 14608 */   GIR_EraseRootFromParent_Done,
     /* 14609 */ // Label 536: @14609
     /* 14609 */ GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(14666), // Rule ID 247 //
     /* 14614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 14617 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14621 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14625 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 14629 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 14633 */   // MIs[1] Operand 1
     /* 14633 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 14638 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 14643 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14647 */   // MIs[0] offset
     /* 14647 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14650 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14652 */   // (brcond (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, 0:{ *:[i64] }, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BLEZ64 GPR64Opnd:{ *:[i64] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLEZ64),
     /* 14655 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14659 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14661 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14664 */   GIR_RootConstrainSelectedInstOperands,
     /* 14665 */   // GIR_Coverage, 247,
     /* 14665 */   GIR_EraseRootFromParent_Done,
     /* 14666 */ // Label 537: @14666
     /* 14666 */ GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(14723), // Rule ID 248 //
     /* 14671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 14674 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14678 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14682 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 14686 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 14690 */   // MIs[1] Operand 1
     /* 14690 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 14695 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 14700 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14704 */   // MIs[0] offset
     /* 14704 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14707 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14709 */   // (brcond (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, 0:{ *:[i64] }, SETLT:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BLTZ64 GPR64Opnd:{ *:[i64] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLTZ64),
     /* 14712 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14716 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14718 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14721 */   GIR_RootConstrainSelectedInstOperands,
     /* 14722 */   // GIR_Coverage, 248,
     /* 14722 */   GIR_EraseRootFromParent_Done,
     /* 14723 */ // Label 538: @14723
     /* 14723 */ GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(14780), // Rule ID 1109 //
     /* 14728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 14731 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14735 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14739 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14743 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14747 */   // MIs[1] Operand 1
     /* 14747 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 14752 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14757 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14761 */   // MIs[0] offset
     /* 14761 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14764 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14766 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BGEZ_MM GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGEZ_MM),
     /* 14769 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14773 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14775 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14778 */   GIR_RootConstrainSelectedInstOperands,
     /* 14779 */   // GIR_Coverage, 1109,
     /* 14779 */   GIR_EraseRootFromParent_Done,
     /* 14780 */ // Label 539: @14780
     /* 14780 */ GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(14837), // Rule ID 1110 //
     /* 14785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 14788 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14792 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14796 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14800 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14804 */   // MIs[1] Operand 1
     /* 14804 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 14809 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14814 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14818 */   // MIs[0] offset
     /* 14818 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14821 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14823 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETGT:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BGTZ_MM GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGTZ_MM),
     /* 14826 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14830 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14832 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14835 */   GIR_RootConstrainSelectedInstOperands,
     /* 14836 */   // GIR_Coverage, 1110,
     /* 14836 */   GIR_EraseRootFromParent_Done,
     /* 14837 */ // Label 540: @14837
     /* 14837 */ GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(14894), // Rule ID 1111 //
     /* 14842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 14845 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14849 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14853 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14857 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14861 */   // MIs[1] Operand 1
     /* 14861 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 14866 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14871 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14875 */   // MIs[0] offset
     /* 14875 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14878 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14880 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BLEZ_MM GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLEZ_MM),
     /* 14883 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14887 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14889 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14892 */   GIR_RootConstrainSelectedInstOperands,
     /* 14893 */   // GIR_Coverage, 1111,
     /* 14893 */   GIR_EraseRootFromParent_Done,
     /* 14894 */ // Label 541: @14894
     /* 14894 */ GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(14951), // Rule ID 1112 //
     /* 14899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 14902 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14906 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14910 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14914 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14918 */   // MIs[1] Operand 1
     /* 14918 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 14923 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14928 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14932 */   // MIs[0] offset
     /* 14932 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14935 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14937 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, 0:{ *:[i32] }, SETLT:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BLTZ_MM GPR32Opnd:{ *:[i32] }:$rs, (bb:{ *:[Other] }):$offset)
     /* 14937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLTZ_MM),
     /* 14940 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 14944 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 14946 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 14949 */   GIR_RootConstrainSelectedInstOperands,
     /* 14950 */   // GIR_Coverage, 1112,
     /* 14950 */   GIR_EraseRootFromParent_Done,
     /* 14951 */ // Label 542: @14951
     /* 14951 */ GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(15014), // Rule ID 1402 //
     /* 14956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 14959 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 14963 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 14967 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 14971 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 14975 */   // MIs[1] Operand 1
     /* 14975 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 14980 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 14985 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 14989 */   // MIs[0] dst
     /* 14989 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 14992 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14994 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BNE GPR32:{ *:[i32] }:$lhs, ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 14994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE),
     /* 14997 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15001 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 15007 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15009 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15012 */   GIR_RootConstrainSelectedInstOperands,
     /* 15013 */   // GIR_Coverage, 1402,
     /* 15013 */   GIR_EraseRootFromParent_Done,
     /* 15014 */ // Label 543: @15014
     /* 15014 */ GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(15077), // Rule ID 1403 //
     /* 15019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 15022 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15026 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15030 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15034 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15038 */   // MIs[1] Operand 1
     /* 15038 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 15043 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15048 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15052 */   // MIs[0] dst
     /* 15052 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15055 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15057 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ GPR32:{ *:[i32] }:$lhs, ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 15057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 15060 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15064 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 15070 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15072 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15075 */   GIR_RootConstrainSelectedInstOperands,
     /* 15076 */   // GIR_Coverage, 1403,
     /* 15076 */   GIR_EraseRootFromParent_Done,
     /* 15077 */ // Label 544: @15077
     /* 15077 */ GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(15140), // Rule ID 1548 //
     /* 15082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 15085 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15089 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15093 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 15097 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 15101 */   // MIs[1] Operand 1
     /* 15101 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 15106 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 15111 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15115 */   // MIs[0] dst
     /* 15115 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15118 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15120 */   // (brcond (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BNE64 GPR64:{ *:[i64] }:$lhs, ZERO_64:{ *:[i64] }, (bb:{ *:[Other] }):$dst)
     /* 15120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE64),
     /* 15123 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15127 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO_64), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 15133 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15135 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15138 */   GIR_RootConstrainSelectedInstOperands,
     /* 15139 */   // GIR_Coverage, 1548,
     /* 15139 */   GIR_EraseRootFromParent_Done,
     /* 15140 */ // Label 545: @15140
     /* 15140 */ GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(15203), // Rule ID 1549 //
     /* 15145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 15148 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15152 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15156 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 15160 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 15164 */   // MIs[1] Operand 1
     /* 15164 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 15169 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 15174 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15178 */   // MIs[0] dst
     /* 15178 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15181 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15183 */   // (brcond (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ64 GPR64:{ *:[i64] }:$lhs, ZERO_64:{ *:[i64] }, (bb:{ *:[Other] }):$dst)
     /* 15183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ64),
     /* 15186 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15190 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO_64), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 15196 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15198 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15201 */   GIR_RootConstrainSelectedInstOperands,
     /* 15202 */   // GIR_Coverage, 1549,
     /* 15202 */   GIR_EraseRootFromParent_Done,
     /* 15203 */ // Label 546: @15203
     /* 15203 */ GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(15257), // Rule ID 1856 //
     /* 15208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 15211 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15215 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15219 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15223 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15227 */   // MIs[1] Operand 1
     /* 15227 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 15232 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 15237 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15241 */   // MIs[0] targ16
     /* 15241 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15244 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15246 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$targ16)  =>  (BeqzRxImm16 CPU16Regs:{ *:[i32] }:$rx, (bb:{ *:[Other] }):$targ16)
     /* 15246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BeqzRxImm16),
     /* 15249 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 15253 */   GIR_RootToRootCopy, /*OpIdx*/1, // targ16
     /* 15255 */   GIR_RootConstrainSelectedInstOperands,
     /* 15256 */   // GIR_Coverage, 1856,
     /* 15256 */   GIR_EraseRootFromParent_Done,
     /* 15257 */ // Label 547: @15257
     /* 15257 */ GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(15311), // Rule ID 1865 //
     /* 15262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 15265 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15269 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15273 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15277 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15281 */   // MIs[1] Operand 1
     /* 15281 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 15286 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 15291 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15295 */   // MIs[0] targ16
     /* 15295 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15298 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15300 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$targ16)  =>  (BnezRxImm16 CPU16Regs:{ *:[i32] }:$rx, (bb:{ *:[Other] }):$targ16)
     /* 15300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BnezRxImm16),
     /* 15303 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 15307 */   GIR_RootToRootCopy, /*OpIdx*/1, // targ16
     /* 15309 */   GIR_RootConstrainSelectedInstOperands,
     /* 15310 */   // GIR_Coverage, 1865,
     /* 15310 */   GIR_EraseRootFromParent_Done,
     /* 15311 */ // Label 548: @15311
     /* 15311 */ GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(15374), // Rule ID 2195 //
     /* 15316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 15319 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15323 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15327 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15331 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15335 */   // MIs[1] Operand 1
     /* 15335 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 15340 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15345 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15349 */   // MIs[0] dst
     /* 15349 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15352 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15354 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BNE_MM GPR32:{ *:[i32] }:$lhs, ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 15354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE_MM),
     /* 15357 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15361 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 15367 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15369 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15372 */   GIR_RootConstrainSelectedInstOperands,
     /* 15373 */   // GIR_Coverage, 2195,
     /* 15373 */   GIR_EraseRootFromParent_Done,
     /* 15374 */ // Label 549: @15374
     /* 15374 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(15437), // Rule ID 2196 //
     /* 15379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 15382 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15386 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15390 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15394 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15398 */   // MIs[1] Operand 1
     /* 15398 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 15403 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15408 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15412 */   // MIs[0] dst
     /* 15412 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15415 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15417 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ_MM GPR32:{ *:[i32] }:$lhs, ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 15417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ_MM),
     /* 15420 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15424 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 15430 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15432 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15435 */   GIR_RootConstrainSelectedInstOperands,
     /* 15436 */   // GIR_Coverage, 2196,
     /* 15436 */   GIR_EraseRootFromParent_Done,
     /* 15437 */ // Label 550: @15437
     /* 15437 */ GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(15494), // Rule ID 2342 //
     /* 15442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 15445 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15449 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15453 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15457 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15461 */   // MIs[1] Operand 1
     /* 15461 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 15466 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15471 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15475 */   // MIs[0] dst
     /* 15475 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15478 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15480 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BNEZC_MMR6 GPR32:{ *:[i32] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNEZC_MMR6),
     /* 15483 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15487 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15489 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15492 */   GIR_RootConstrainSelectedInstOperands,
     /* 15493 */   // GIR_Coverage, 2342,
     /* 15493 */   GIR_EraseRootFromParent_Done,
     /* 15494 */ // Label 551: @15494
     /* 15494 */ GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(15551), // Rule ID 2343 //
     /* 15499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 15502 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15506 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15510 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15514 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15518 */   // MIs[1] Operand 1
     /* 15518 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 15523 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15528 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 15532 */   // MIs[0] dst
     /* 15532 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15535 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15537 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQZC_MMR6 GPR32:{ *:[i32] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQZC_MMR6),
     /* 15540 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15544 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15546 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15549 */   GIR_RootConstrainSelectedInstOperands,
     /* 15550 */   // GIR_Coverage, 2343,
     /* 15550 */   GIR_EraseRootFromParent_Done,
     /* 15551 */ // Label 552: @15551
     /* 15551 */ GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(15603), // Rule ID 1413 //
     /* 15556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 15559 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15563 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15567 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15571 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15575 */   // MIs[1] Operand 1
     /* 15575 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 15580 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 1,
     /* 15584 */   // MIs[0] dst
     /* 15584 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15587 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15589 */   // (brcond (setcc:{ *:[i32] } i32:{ *:[i32] }:$lhs, 1:{ *:[i32] }, SETLT:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BLEZ i32:{ *:[i32] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLEZ),
     /* 15592 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15596 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15598 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15601 */   GIR_RootConstrainSelectedInstOperands,
     /* 15602 */   // GIR_Coverage, 1413,
     /* 15602 */   GIR_EraseRootFromParent_Done,
     /* 15603 */ // Label 553: @15603
     /* 15603 */ GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(15655), // Rule ID 1414 //
     /* 15608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 15611 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15615 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15619 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15623 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15627 */   // MIs[1] Operand 1
     /* 15627 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 15632 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, uint8_t(-1),
     /* 15636 */   // MIs[0] dst
     /* 15636 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15639 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15641 */   // (brcond (setcc:{ *:[i32] } i32:{ *:[i32] }:$lhs, -1:{ *:[i32] }, SETGT:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BGEZ i32:{ *:[i32] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGEZ),
     /* 15644 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15648 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15650 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15653 */   GIR_RootConstrainSelectedInstOperands,
     /* 15654 */   // GIR_Coverage, 1414,
     /* 15654 */   GIR_EraseRootFromParent_Done,
     /* 15655 */ // Label 554: @15655
     /* 15655 */ GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(15707), // Rule ID 1559 //
     /* 15660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 15663 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15667 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15671 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 15675 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 15679 */   // MIs[1] Operand 1
     /* 15679 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 15684 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 1,
     /* 15688 */   // MIs[0] dst
     /* 15688 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15691 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15693 */   // (brcond (setcc:{ *:[i32] } i64:{ *:[i64] }:$lhs, 1:{ *:[i64] }, SETLT:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BLEZ64 i64:{ *:[i64] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLEZ64),
     /* 15696 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15700 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15702 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15705 */   GIR_RootConstrainSelectedInstOperands,
     /* 15706 */   // GIR_Coverage, 1559,
     /* 15706 */   GIR_EraseRootFromParent_Done,
     /* 15707 */ // Label 555: @15707
     /* 15707 */ GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(15759), // Rule ID 1560 //
     /* 15712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 15715 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15719 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15723 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 15727 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 15731 */   // MIs[1] Operand 1
     /* 15731 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 15736 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, uint8_t(-1),
     /* 15740 */   // MIs[0] dst
     /* 15740 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15743 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15745 */   // (brcond (setcc:{ *:[i32] } i64:{ *:[i64] }:$lhs, -1:{ *:[i64] }, SETGT:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BGEZ64 i64:{ *:[i64] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGEZ64),
     /* 15748 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15752 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15754 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15757 */   GIR_RootConstrainSelectedInstOperands,
     /* 15758 */   // GIR_Coverage, 1560,
     /* 15758 */   GIR_EraseRootFromParent_Done,
     /* 15759 */ // Label 556: @15759
     /* 15759 */ GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(15811), // Rule ID 2206 //
     /* 15764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 15767 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15771 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15775 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15779 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15783 */   // MIs[1] Operand 1
     /* 15783 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 15788 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 1,
     /* 15792 */   // MIs[0] dst
     /* 15792 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15795 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15797 */   // (brcond (setcc:{ *:[i32] } i32:{ *:[i32] }:$lhs, 1:{ *:[i32] }, SETLT:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BLEZ_MM i32:{ *:[i32] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BLEZ_MM),
     /* 15800 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15804 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15806 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15809 */   GIR_RootConstrainSelectedInstOperands,
     /* 15810 */   // GIR_Coverage, 2206,
     /* 15810 */   GIR_EraseRootFromParent_Done,
     /* 15811 */ // Label 557: @15811
     /* 15811 */ GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(15863), // Rule ID 2207 //
     /* 15816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 15819 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15823 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15827 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15831 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15835 */   // MIs[1] Operand 1
     /* 15835 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 15840 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, uint8_t(-1),
     /* 15844 */   // MIs[0] dst
     /* 15844 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15847 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15849 */   // (brcond (setcc:{ *:[i32] } i32:{ *:[i32] }:$lhs, -1:{ *:[i32] }, SETGT:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BGEZ_MM i32:{ *:[i32] }:$lhs, (bb:{ *:[Other] }):$dst)
     /* 15849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BGEZ_MM),
     /* 15852 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 15856 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 15858 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15861 */   GIR_RootConstrainSelectedInstOperands,
     /* 15862 */   // GIR_Coverage, 2207,
     /* 15862 */   GIR_EraseRootFromParent_Done,
     /* 15863 */ // Label 558: @15863
     /* 15863 */ GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(15925), // Rule ID 92 //
     /* 15868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 15871 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15875 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15879 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15883 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15887 */   // MIs[1] Operand 1
     /* 15887 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 15892 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15897 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15902 */   // MIs[0] offset
     /* 15902 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15905 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15907 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BEQ GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, (bb:{ *:[Other] }):$offset)
     /* 15907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 15910 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 15914 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 15918 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 15920 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15923 */   GIR_RootConstrainSelectedInstOperands,
     /* 15924 */   // GIR_Coverage, 92,
     /* 15924 */   GIR_EraseRootFromParent_Done,
     /* 15925 */ // Label 559: @15925
     /* 15925 */ GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(15987), // Rule ID 93 //
     /* 15930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 15933 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15937 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 15941 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 15945 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 15949 */   // MIs[1] Operand 1
     /* 15949 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 15954 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15959 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 15964 */   // MIs[0] offset
     /* 15964 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 15967 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15969 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BNE GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, (bb:{ *:[Other] }):$offset)
     /* 15969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE),
     /* 15972 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 15976 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 15980 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 15982 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 15985 */   GIR_RootConstrainSelectedInstOperands,
     /* 15986 */   // GIR_Coverage, 93,
     /* 15986 */   GIR_EraseRootFromParent_Done,
     /* 15987 */ // Label 560: @15987
     /* 15987 */ GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(16049), // Rule ID 243 //
     /* 15992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 15995 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 15999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16003 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 16007 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 16011 */   // MIs[1] Operand 1
     /* 16011 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 16016 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16021 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16026 */   // MIs[0] offset
     /* 16026 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16029 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16031 */   // (brcond (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BEQ64 GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, (bb:{ *:[Other] }):$offset)
     /* 16031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ64),
     /* 16034 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 16038 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 16042 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 16044 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16047 */   GIR_RootConstrainSelectedInstOperands,
     /* 16048 */   // GIR_Coverage, 243,
     /* 16048 */   GIR_EraseRootFromParent_Done,
     /* 16049 */ // Label 561: @16049
     /* 16049 */ GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(16111), // Rule ID 244 //
     /* 16054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 16057 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16061 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16065 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 16069 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 16073 */   // MIs[1] Operand 1
     /* 16073 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 16078 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16083 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16088 */   // MIs[0] offset
     /* 16088 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16091 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16093 */   // (brcond (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BNE64 GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, (bb:{ *:[Other] }):$offset)
     /* 16093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE64),
     /* 16096 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 16100 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 16104 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 16106 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16109 */   GIR_RootConstrainSelectedInstOperands,
     /* 16110 */   // GIR_Coverage, 244,
     /* 16110 */   GIR_EraseRootFromParent_Done,
     /* 16111 */ // Label 562: @16111
     /* 16111 */ GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(16173), // Rule ID 1107 //
     /* 16116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 16119 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16123 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16127 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16131 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16135 */   // MIs[1] Operand 1
     /* 16135 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 16140 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16145 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16150 */   // MIs[0] offset
     /* 16150 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16153 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16155 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BEQ_MM GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, (bb:{ *:[Other] }):$offset)
     /* 16155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ_MM),
     /* 16158 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 16162 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 16166 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 16168 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16171 */   GIR_RootConstrainSelectedInstOperands,
     /* 16172 */   // GIR_Coverage, 1107,
     /* 16172 */   GIR_EraseRootFromParent_Done,
     /* 16173 */ // Label 563: @16173
     /* 16173 */ GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(16235), // Rule ID 1108 //
     /* 16178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 16181 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16185 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16189 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16193 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16197 */   // MIs[1] Operand 1
     /* 16197 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 16202 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16207 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16212 */   // MIs[0] offset
     /* 16212 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16215 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16217 */   // (brcond (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$offset)  =>  (BNE_MM GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, (bb:{ *:[Other] }):$offset)
     /* 16217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE_MM),
     /* 16220 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 16224 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 16228 */   GIR_RootToRootCopy, /*OpIdx*/1, // offset
     /* 16230 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16233 */   GIR_RootConstrainSelectedInstOperands,
     /* 16234 */   // GIR_Coverage, 1108,
     /* 16234 */   GIR_EraseRootFromParent_Done,
     /* 16235 */ // Label 564: @16235
     /* 16235 */ GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(16320), // Rule ID 1404 //
     /* 16240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 16243 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16247 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16251 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16255 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16259 */   // MIs[1] Operand 1
     /* 16259 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 16264 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16269 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16274 */   // MIs[0] dst
     /* 16274 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16277 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16279 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 16286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16291 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16295 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16307 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16313 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16315 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16318 */   GIR_RootConstrainSelectedInstOperands,
     /* 16319 */   // GIR_Coverage, 1404,
     /* 16319 */   GIR_EraseRootFromParent_Done,
     /* 16320 */ // Label 565: @16320
     /* 16320 */ GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(16405), // Rule ID 1405 //
     /* 16325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 16328 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16332 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16336 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16340 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16344 */   // MIs[1] Operand 1
     /* 16344 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 16349 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16354 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16359 */   // MIs[0] dst
     /* 16359 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16362 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16364 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16364 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16367 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 16371 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16376 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16380 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16384 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16392 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16398 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16400 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16403 */   GIR_RootConstrainSelectedInstOperands,
     /* 16404 */   // GIR_Coverage, 1405,
     /* 16404 */   GIR_EraseRootFromParent_Done,
     /* 16405 */ // Label 566: @16405
     /* 16405 */ GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(16490), // Rule ID 1410 //
     /* 16410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 16413 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16417 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16421 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16425 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16429 */   // MIs[1] Operand 1
     /* 16429 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 16434 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16439 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16444 */   // MIs[0] dst
     /* 16444 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16447 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16449 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 16456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16461 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16465 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16469 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16474 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16477 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16483 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16485 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16488 */   GIR_RootConstrainSelectedInstOperands,
     /* 16489 */   // GIR_Coverage, 1410,
     /* 16489 */   GIR_EraseRootFromParent_Done,
     /* 16490 */ // Label 567: @16490
     /* 16490 */ GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(16575), // Rule ID 1411 //
     /* 16495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 16498 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16502 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16506 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16510 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16514 */   // MIs[1] Operand 1
     /* 16514 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 16519 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16524 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 16529 */   // MIs[0] dst
     /* 16529 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16532 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16534 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 16541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16546 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16550 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16554 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16562 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16568 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16570 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16573 */   GIR_RootConstrainSelectedInstOperands,
     /* 16574 */   // GIR_Coverage, 1411,
     /* 16574 */   GIR_EraseRootFromParent_Done,
     /* 16575 */ // Label 568: @16575
     /* 16575 */ GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(16660), // Rule ID 1550 //
     /* 16580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 16583 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16587 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16591 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 16595 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 16599 */   // MIs[1] Operand 1
     /* 16599 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 16604 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16609 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16614 */   // MIs[0] dst
     /* 16614 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16617 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16619 */   // (brcond (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 16626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16631 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16635 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16647 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16653 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16655 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16658 */   GIR_RootConstrainSelectedInstOperands,
     /* 16659 */   // GIR_Coverage, 1550,
     /* 16659 */   GIR_EraseRootFromParent_Done,
     /* 16660 */ // Label 569: @16660
     /* 16660 */ GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(16745), // Rule ID 1551 //
     /* 16665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 16668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16676 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 16680 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 16684 */   // MIs[1] Operand 1
     /* 16684 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 16689 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16694 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16699 */   // MIs[0] dst
     /* 16699 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16702 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16704 */   // (brcond (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 16711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16716 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16720 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16729 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16732 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16738 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16740 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16743 */   GIR_RootConstrainSelectedInstOperands,
     /* 16744 */   // GIR_Coverage, 1551,
     /* 16744 */   GIR_EraseRootFromParent_Done,
     /* 16745 */ // Label 570: @16745
     /* 16745 */ GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(16830), // Rule ID 1556 //
     /* 16750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 16753 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16757 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16761 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 16765 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 16769 */   // MIs[1] Operand 1
     /* 16769 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 16774 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16779 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16784 */   // MIs[0] dst
     /* 16784 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16787 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16789 */   // (brcond (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 16796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16801 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16805 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16809 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16817 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16823 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16825 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16828 */   GIR_RootConstrainSelectedInstOperands,
     /* 16829 */   // GIR_Coverage, 1556,
     /* 16829 */   GIR_EraseRootFromParent_Done,
     /* 16830 */ // Label 571: @16830
     /* 16830 */ GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(16915), // Rule ID 1557 //
     /* 16835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 16838 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16842 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16846 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 16850 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 16854 */   // MIs[1] Operand 1
     /* 16854 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 16859 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16864 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 16869 */   // MIs[0] dst
     /* 16869 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16872 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16874 */   // (brcond (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 16874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 16877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 16881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16886 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 16890 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 16894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 16896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ),
     /* 16899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 16902 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 16908 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 16910 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 16913 */   GIR_RootConstrainSelectedInstOperands,
     /* 16914 */   // GIR_Coverage, 1557,
     /* 16914 */   GIR_EraseRootFromParent_Done,
     /* 16915 */ // Label 572: @16915
     /* 16915 */ GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(16974), // Rule ID 1854 //
     /* 16920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 16923 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16927 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16931 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16935 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16939 */   // MIs[1] Operand 1
     /* 16939 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 16944 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 16949 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 16954 */   // MIs[0] imm16
     /* 16954 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 16957 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16959 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$imm16)  =>  (BteqzT8CmpX16 CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, (bb:{ *:[Other] }):$imm16)
     /* 16959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BteqzT8CmpX16),
     /* 16962 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 16966 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // ry
     /* 16970 */   GIR_RootToRootCopy, /*OpIdx*/1, // imm16
     /* 16972 */   GIR_RootConstrainSelectedInstOperands,
     /* 16973 */   // GIR_Coverage, 1854,
     /* 16973 */   GIR_EraseRootFromParent_Done,
     /* 16974 */ // Label 573: @16974
     /* 16974 */ GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(17033), // Rule ID 1857 //
     /* 16979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 16982 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 16986 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16990 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 16994 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 16998 */   // MIs[1] Operand 1
     /* 16998 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 17003 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17008 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17013 */   // MIs[0] imm16
     /* 17013 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17016 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17018 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETGT:{ *:[Other] }), (bb:{ *:[Other] }):$imm16)  =>  (BtnezT8SltX16 CPU16Regs:{ *:[i32] }:$ry, CPU16Regs:{ *:[i32] }:$rx, (bb:{ *:[Other] }):$imm16)
     /* 17018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BtnezT8SltX16),
     /* 17021 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // ry
     /* 17025 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 17029 */   GIR_RootToRootCopy, /*OpIdx*/1, // imm16
     /* 17031 */   GIR_RootConstrainSelectedInstOperands,
     /* 17032 */   // GIR_Coverage, 1857,
     /* 17032 */   GIR_EraseRootFromParent_Done,
     /* 17033 */ // Label 574: @17033
     /* 17033 */ GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(17092), // Rule ID 1858 //
     /* 17038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 17041 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17045 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17049 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17053 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17057 */   // MIs[1] Operand 1
     /* 17057 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 17062 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17067 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17072 */   // MIs[0] imm16
     /* 17072 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17075 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17077 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$imm16)  =>  (BteqzT8SltX16 CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, (bb:{ *:[Other] }):$imm16)
     /* 17077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BteqzT8SltX16),
     /* 17080 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 17084 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // ry
     /* 17088 */   GIR_RootToRootCopy, /*OpIdx*/1, // imm16
     /* 17090 */   GIR_RootConstrainSelectedInstOperands,
     /* 17091 */   // GIR_Coverage, 1858,
     /* 17091 */   GIR_EraseRootFromParent_Done,
     /* 17092 */ // Label 575: @17092
     /* 17092 */ GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(17151), // Rule ID 1860 //
     /* 17097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 17100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17108 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17112 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17116 */   // MIs[1] Operand 1
     /* 17116 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 17121 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17126 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17131 */   // MIs[0] imm16
     /* 17131 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17134 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17136 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETLT:{ *:[Other] }), (bb:{ *:[Other] }):$imm16)  =>  (BtnezT8SltX16 CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, (bb:{ *:[Other] }):$imm16)
     /* 17136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BtnezT8SltX16),
     /* 17139 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 17143 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // ry
     /* 17147 */   GIR_RootToRootCopy, /*OpIdx*/1, // imm16
     /* 17149 */   GIR_RootConstrainSelectedInstOperands,
     /* 17150 */   // GIR_Coverage, 1860,
     /* 17150 */   GIR_EraseRootFromParent_Done,
     /* 17151 */ // Label 576: @17151
     /* 17151 */ GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(17210), // Rule ID 1862 //
     /* 17156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 17159 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17163 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17167 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17171 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17175 */   // MIs[1] Operand 1
     /* 17175 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 17180 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17185 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17190 */   // MIs[0] imm16
     /* 17190 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17193 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17195 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$imm16)  =>  (BteqzT8SltX16 CPU16Regs:{ *:[i32] }:$ry, CPU16Regs:{ *:[i32] }:$rx, (bb:{ *:[Other] }):$imm16)
     /* 17195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BteqzT8SltX16),
     /* 17198 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // ry
     /* 17202 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 17206 */   GIR_RootToRootCopy, /*OpIdx*/1, // imm16
     /* 17208 */   GIR_RootConstrainSelectedInstOperands,
     /* 17209 */   // GIR_Coverage, 1862,
     /* 17209 */   GIR_EraseRootFromParent_Done,
     /* 17210 */ // Label 577: @17210
     /* 17210 */ GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(17269), // Rule ID 1863 //
     /* 17215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 17218 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17222 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17226 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17230 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17234 */   // MIs[1] Operand 1
     /* 17234 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 17239 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17244 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17249 */   // MIs[0] imm16
     /* 17249 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17252 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17254 */   // (brcond (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$imm16)  =>  (BtnezT8CmpX16 CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, (bb:{ *:[Other] }):$imm16)
     /* 17254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BtnezT8CmpX16),
     /* 17257 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rx
     /* 17261 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // ry
     /* 17265 */   GIR_RootToRootCopy, /*OpIdx*/1, // imm16
     /* 17267 */   GIR_RootConstrainSelectedInstOperands,
     /* 17268 */   // GIR_Coverage, 1863,
     /* 17268 */   GIR_EraseRootFromParent_Done,
     /* 17269 */ // Label 578: @17269
     /* 17269 */ GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(17354), // Rule ID 2197 //
     /* 17274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 17277 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17281 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17285 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17289 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17293 */   // MIs[1] Operand 1
     /* 17293 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 17298 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17303 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17308 */   // MIs[0] dst
     /* 17308 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17311 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17313 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ_MM (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 17313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 17320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17325 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17329 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17333 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ_MM),
     /* 17338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17341 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 17347 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17349 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17352 */   GIR_RootConstrainSelectedInstOperands,
     /* 17353 */   // GIR_Coverage, 2197,
     /* 17353 */   GIR_EraseRootFromParent_Done,
     /* 17354 */ // Label 579: @17354
     /* 17354 */ GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(17439), // Rule ID 2198 //
     /* 17359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 17362 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17366 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17370 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17374 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17378 */   // MIs[1] Operand 1
     /* 17378 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 17383 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17388 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17393 */   // MIs[0] dst
     /* 17393 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17396 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17398 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ_MM (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 17398 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17401 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 17405 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17410 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17414 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17418 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ_MM),
     /* 17423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17426 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 17432 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17434 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17437 */   GIR_RootConstrainSelectedInstOperands,
     /* 17438 */   // GIR_Coverage, 2198,
     /* 17438 */   GIR_EraseRootFromParent_Done,
     /* 17439 */ // Label 580: @17439
     /* 17439 */ GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(17524), // Rule ID 2203 //
     /* 17444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 17447 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17451 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17455 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17459 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17463 */   // MIs[1] Operand 1
     /* 17463 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 17468 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17473 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17478 */   // MIs[0] dst
     /* 17478 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17481 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17483 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ_MM (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 17483 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17486 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 17490 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17495 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17499 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ_MM),
     /* 17508 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17511 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 17517 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17519 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17522 */   GIR_RootConstrainSelectedInstOperands,
     /* 17523 */   // GIR_Coverage, 2203,
     /* 17523 */   GIR_EraseRootFromParent_Done,
     /* 17524 */ // Label 581: @17524
     /* 17524 */ GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(17609), // Rule ID 2204 //
     /* 17529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 17532 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17536 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17540 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17544 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17548 */   // MIs[1] Operand 1
     /* 17548 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 17553 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17558 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17563 */   // MIs[0] dst
     /* 17563 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17566 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17568 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQ_MM (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 17568 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17571 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 17575 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17580 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17584 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17588 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQ_MM),
     /* 17593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17596 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 17602 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17604 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17607 */   GIR_RootConstrainSelectedInstOperands,
     /* 17608 */   // GIR_Coverage, 2204,
     /* 17608 */   GIR_EraseRootFromParent_Done,
     /* 17609 */ // Label 582: @17609
     /* 17609 */ GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(17688), // Rule ID 2344 //
     /* 17614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 17617 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17621 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17625 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17629 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17633 */   // MIs[1] Operand 1
     /* 17633 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 17638 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17643 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17648 */   // MIs[0] dst
     /* 17648 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17651 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17653 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQZC_MMR6 (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), (bb:{ *:[Other] }):$dst)
     /* 17653 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17656 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 17660 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17665 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17669 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17673 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQZC_MMR6),
     /* 17678 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17681 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17683 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17686 */   GIR_RootConstrainSelectedInstOperands,
     /* 17687 */   // GIR_Coverage, 2344,
     /* 17687 */   GIR_EraseRootFromParent_Done,
     /* 17688 */ // Label 583: @17688
     /* 17688 */ GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(17767), // Rule ID 2345 //
     /* 17693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 17696 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17700 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17704 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17708 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17712 */   // MIs[1] Operand 1
     /* 17712 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 17717 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17722 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17727 */   // MIs[0] dst
     /* 17727 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17730 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17732 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQZC_MMR6 (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), (bb:{ *:[Other] }):$dst)
     /* 17732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17735 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 17739 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17744 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17748 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17752 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQZC_MMR6),
     /* 17757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17760 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17762 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17765 */   GIR_RootConstrainSelectedInstOperands,
     /* 17766 */   // GIR_Coverage, 2345,
     /* 17766 */   GIR_EraseRootFromParent_Done,
     /* 17767 */ // Label 584: @17767
     /* 17767 */ GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(17846), // Rule ID 2350 //
     /* 17772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 17775 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17779 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17783 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17787 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17791 */   // MIs[1] Operand 1
     /* 17791 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 17796 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17801 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17806 */   // MIs[0] dst
     /* 17806 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17809 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17811 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQZC_MMR6 (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), (bb:{ *:[Other] }):$dst)
     /* 17811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 17818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17823 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17827 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQZC_MMR6),
     /* 17836 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17839 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17841 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17844 */   GIR_RootConstrainSelectedInstOperands,
     /* 17845 */   // GIR_Coverage, 2350,
     /* 17845 */   GIR_EraseRootFromParent_Done,
     /* 17846 */ // Label 585: @17846
     /* 17846 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(17925), // Rule ID 2351 //
     /* 17851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 17854 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 17858 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 17862 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 17866 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 17870 */   // MIs[1] Operand 1
     /* 17870 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 17875 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17880 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17885 */   // MIs[0] dst
     /* 17885 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17888 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17890 */   // (brcond (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), (bb:{ *:[Other] }):$dst)  =>  (BEQZC_MMR6 (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), (bb:{ *:[Other] }):$dst)
     /* 17890 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 17893 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 17897 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 17902 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 17906 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 17910 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 17912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BEQZC_MMR6),
     /* 17915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 17918 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17920 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17923 */   GIR_RootConstrainSelectedInstOperands,
     /* 17924 */   // GIR_Coverage, 2351,
     /* 17924 */   GIR_EraseRootFromParent_Done,
     /* 17925 */ // Label 586: @17925
     /* 17925 */ GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(17958), // Rule ID 1412 //
     /* 17930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 17933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17937 */   // MIs[0] dst
     /* 17937 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17940 */   // (brcond GPR32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst)  =>  (BNE GPR32:{ *:[i32] }:$cond, ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 17940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE),
     /* 17943 */   GIR_RootToRootCopy, /*OpIdx*/0, // cond
     /* 17945 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 17951 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 17953 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 17956 */   GIR_RootConstrainSelectedInstOperands,
     /* 17957 */   // GIR_Coverage, 1412,
     /* 17957 */   GIR_EraseRootFromParent_Done,
     /* 17958 */ // Label 587: @17958
     /* 17958 */ GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(17980), // Rule ID 1866 //
     /* 17963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 17966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 17970 */   // MIs[0] targ16
     /* 17970 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17973 */   // (brcond CPU16Regs:{ *:[i32] }:$rx, (bb:{ *:[Other] }):$targ16)  =>  (BnezRxImm16 CPU16Regs:{ *:[i32] }:$rx, (bb:{ *:[Other] }):$targ16)
     /* 17973 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::BnezRxImm16),
     /* 17978 */   GIR_RootConstrainSelectedInstOperands,
     /* 17979 */   // GIR_Coverage, 1866,
     /* 17979 */   GIR_Done,
     /* 17980 */ // Label 588: @17980
     /* 17980 */ GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(18013), // Rule ID 2205 //
     /* 17985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 17988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 17992 */   // MIs[0] dst
     /* 17992 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 17995 */   // (brcond GPR32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst)  =>  (BNE_MM GPR32:{ *:[i32] }:$cond, ZERO:{ *:[i32] }, (bb:{ *:[Other] }):$dst)
     /* 17995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE_MM),
     /* 17998 */   GIR_RootToRootCopy, /*OpIdx*/0, // cond
     /* 18000 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 18006 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 18008 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 18011 */   GIR_RootConstrainSelectedInstOperands,
     /* 18012 */   // GIR_Coverage, 2205,
     /* 18012 */   GIR_EraseRootFromParent_Done,
     /* 18013 */ // Label 589: @18013
     /* 18013 */ GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(18041), // Rule ID 2352 //
     /* 18018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 18021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18025 */   // MIs[0] dst
     /* 18025 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 18028 */   // (brcond GPR32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst)  =>  (BNEZC_MMR6 GPR32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst)
     /* 18028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::BNEZC_MMR6),
     /* 18033 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::AT), GIMT_Encode2(RegState::Dead),
     /* 18039 */   GIR_RootConstrainSelectedInstOperands,
     /* 18040 */   // GIR_Coverage, 2352,
     /* 18040 */   GIR_Done,
     /* 18041 */ // Label 590: @18041
     /* 18041 */ GIM_Reject,
     /* 18042 */ // Label 521: @18042
     /* 18042 */ GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(18075), // Rule ID 1558 //
     /* 18047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 18050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 18054 */   // MIs[0] dst
     /* 18054 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/1,
     /* 18057 */   // (brcond GPR64:{ *:[i64] }:$cond, (bb:{ *:[Other] }):$dst)  =>  (BNE64 GPR64:{ *:[i64] }:$cond, ZERO_64:{ *:[i64] }, (bb:{ *:[Other] }):$dst)
     /* 18057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BNE64),
     /* 18060 */   GIR_RootToRootCopy, /*OpIdx*/0, // cond
     /* 18062 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO_64), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 18068 */   GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 18070 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::AT*/0,
     /* 18073 */   GIR_RootConstrainSelectedInstOperands,
     /* 18074 */   // GIR_Coverage, 1558,
     /* 18074 */   GIR_EraseRootFromParent_Done,
     /* 18075 */ // Label 591: @18075
     /* 18075 */ GIM_Reject,
     /* 18076 */ // Label 522: @18076
     /* 18076 */ GIM_Reject,
     /* 18077 */ // Label 29: @18077
     /* 18077 */ GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(20074),
     /* 18082 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 18085 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(18132), // Rule ID 428 //
     /* 18090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_qb),
     /* 18098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 18101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 18104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 18112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 18116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt8),
     /* 18120 */     // MIs[1] Operand 1
     /* 18120 */     // No operand predicates
     /* 18120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 18122 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8135:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_immZExt8>>:$imm)  =>  (REPL_QB:{ *:[v4i8] } (imm:{ *:[i32] }):$imm)
     /* 18122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPL_QB),
     /* 18125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 18130 */     GIR_RootConstrainSelectedInstOperands,
     /* 18131 */     // GIR_Coverage, 428,
     /* 18131 */     GIR_EraseRootFromParent_Done,
     /* 18132 */   // Label 593: @18132
     /* 18132 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(18179), // Rule ID 429 //
     /* 18137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_ph),
     /* 18145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 18151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 18159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 18163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immSExt10),
     /* 18167 */     // MIs[1] Operand 1
     /* 18167 */     // No operand predicates
     /* 18167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 18169 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8134:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_immSExt10>>:$imm)  =>  (REPL_PH:{ *:[v2i16] } (imm:{ *:[i32] }):$imm)
     /* 18169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPL_PH),
     /* 18172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 18177 */     GIR_RootConstrainSelectedInstOperands,
     /* 18178 */     // GIR_Coverage, 429,
     /* 18178 */     GIR_EraseRootFromParent_Done,
     /* 18179 */   // Label 594: @18179
     /* 18179 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(18226), // Rule ID 1288 //
     /* 18184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 18187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_ph),
     /* 18192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 18198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 18206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 18210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immSExt10),
     /* 18214 */     // MIs[1] Operand 1
     /* 18214 */     // No operand predicates
     /* 18214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 18216 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8134:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_immSExt10>>:$imm)  =>  (REPL_PH_MM:{ *:[v2i16] } (imm:{ *:[i32] }):$imm)
     /* 18216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPL_PH_MM),
     /* 18219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 18224 */     GIR_RootConstrainSelectedInstOperands,
     /* 18225 */     // GIR_Coverage, 1288,
     /* 18225 */     GIR_EraseRootFromParent_Done,
     /* 18226 */   // Label 595: @18226
     /* 18226 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(18273), // Rule ID 1289 //
     /* 18231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 18234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_qb),
     /* 18239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 18242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 18245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 18253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 18257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt8),
     /* 18261 */     // MIs[1] Operand 1
     /* 18261 */     // No operand predicates
     /* 18261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 18263 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8135:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_immZExt8>>:$imm)  =>  (REPL_QB_MM:{ *:[v4i8] } (imm:{ *:[i32] }):$imm)
     /* 18263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPL_QB_MM),
     /* 18266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 18268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 18271 */     GIR_RootConstrainSelectedInstOperands,
     /* 18272 */     // GIR_Coverage, 1289,
     /* 18272 */     GIR_EraseRootFromParent_Done,
     /* 18273 */   // Label 596: @18273
     /* 18273 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(18309), // Rule ID 362 //
     /* 18278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_raddu_w_qb),
     /* 18286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 18289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18300 */     // (intrinsic_wo_chain:{ *:[i32] } 8132:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (RADDU_W_QB:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 18300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::RADDU_W_QB),
     /* 18303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 18307 */     GIR_RootConstrainSelectedInstOperands,
     /* 18308 */     // GIR_Coverage, 362,
     /* 18308 */     GIR_EraseRootFromParent_Done,
     /* 18309 */   // Label 597: @18309
     /* 18309 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(18345), // Rule ID 369 //
     /* 18314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceq_w_phl),
     /* 18322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 18325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 18328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18336 */     // (intrinsic_wo_chain:{ *:[i32] } 8114:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECEQ_W_PHL:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rt)
     /* 18336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQ_W_PHL),
     /* 18339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18343 */     GIR_RootConstrainSelectedInstOperands,
     /* 18344 */     // GIR_Coverage, 369,
     /* 18344 */     GIR_EraseRootFromParent_Done,
     /* 18345 */   // Label 598: @18345
     /* 18345 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(18381), // Rule ID 370 //
     /* 18350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceq_w_phr),
     /* 18358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 18361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 18364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18372 */     // (intrinsic_wo_chain:{ *:[i32] } 8115:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECEQ_W_PHR:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rt)
     /* 18372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQ_W_PHR),
     /* 18375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18379 */     GIR_RootConstrainSelectedInstOperands,
     /* 18380 */     // GIR_Coverage, 370,
     /* 18380 */     GIR_EraseRootFromParent_Done,
     /* 18381 */   // Label 599: @18381
     /* 18381 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(18417), // Rule ID 371 //
     /* 18386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbl),
     /* 18394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18408 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8116:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEQU_PH_QBL:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBL),
     /* 18411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18415 */     GIR_RootConstrainSelectedInstOperands,
     /* 18416 */     // GIR_Coverage, 371,
     /* 18416 */     GIR_EraseRootFromParent_Done,
     /* 18417 */   // Label 600: @18417
     /* 18417 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(18453), // Rule ID 372 //
     /* 18422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbr),
     /* 18430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18444 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8118:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEQU_PH_QBR:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBR),
     /* 18447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18451 */     GIR_RootConstrainSelectedInstOperands,
     /* 18452 */     // GIR_Coverage, 372,
     /* 18452 */     GIR_EraseRootFromParent_Done,
     /* 18453 */   // Label 601: @18453
     /* 18453 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(18489), // Rule ID 373 //
     /* 18458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbla),
     /* 18466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18480 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8117:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEQU_PH_QBLA:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBLA),
     /* 18483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18487 */     GIR_RootConstrainSelectedInstOperands,
     /* 18488 */     // GIR_Coverage, 373,
     /* 18488 */     GIR_EraseRootFromParent_Done,
     /* 18489 */   // Label 602: @18489
     /* 18489 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(18525), // Rule ID 374 //
     /* 18494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbra),
     /* 18502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18516 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8119:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEQU_PH_QBRA:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBRA),
     /* 18519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18523 */     GIR_RootConstrainSelectedInstOperands,
     /* 18524 */     // GIR_Coverage, 374,
     /* 18524 */     GIR_EraseRootFromParent_Done,
     /* 18525 */   // Label 603: @18525
     /* 18525 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(18561), // Rule ID 375 //
     /* 18530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbl),
     /* 18538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18552 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8120:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEU_PH_QBL:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBL),
     /* 18555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18559 */     GIR_RootConstrainSelectedInstOperands,
     /* 18560 */     // GIR_Coverage, 375,
     /* 18560 */     GIR_EraseRootFromParent_Done,
     /* 18561 */   // Label 604: @18561
     /* 18561 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(18597), // Rule ID 376 //
     /* 18566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbr),
     /* 18574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18588 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8122:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEU_PH_QBR:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBR),
     /* 18591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18595 */     GIR_RootConstrainSelectedInstOperands,
     /* 18596 */     // GIR_Coverage, 376,
     /* 18596 */     GIR_EraseRootFromParent_Done,
     /* 18597 */   // Label 605: @18597
     /* 18597 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(18633), // Rule ID 377 //
     /* 18602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbla),
     /* 18610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18624 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8121:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEU_PH_QBLA:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBLA),
     /* 18627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18631 */     GIR_RootConstrainSelectedInstOperands,
     /* 18632 */     // GIR_Coverage, 377,
     /* 18632 */     GIR_EraseRootFromParent_Done,
     /* 18633 */   // Label 606: @18633
     /* 18633 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(18669), // Rule ID 378 //
     /* 18638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbra),
     /* 18646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 18652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18660 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8123:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PRECEU_PH_QBRA:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 18660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBRA),
     /* 18663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18667 */     GIR_RootConstrainSelectedInstOperands,
     /* 18668 */     // GIR_Coverage, 378,
     /* 18668 */     GIR_EraseRootFromParent_Done,
     /* 18669 */   // Label 607: @18669
     /* 18669 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(18705), // Rule ID 426 //
     /* 18674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_bitrev),
     /* 18682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 18685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 18688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18696 */     // (intrinsic_wo_chain:{ *:[i32] } 7688:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt)  =>  (BITREV:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 18696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BITREV),
     /* 18699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18703 */     GIR_RootConstrainSelectedInstOperands,
     /* 18704 */     // GIR_Coverage, 426,
     /* 18704 */     GIR_EraseRootFromParent_Done,
     /* 18705 */   // Label 608: @18705
     /* 18705 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(18741), // Rule ID 430 //
     /* 18710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_qb),
     /* 18718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 18721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 18724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18732 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8135:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt)  =>  (REPLV_QB:{ *:[v4i8] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 18732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPLV_QB),
     /* 18735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18739 */     GIR_RootConstrainSelectedInstOperands,
     /* 18740 */     // GIR_Coverage, 430,
     /* 18740 */     GIR_EraseRootFromParent_Done,
     /* 18741 */   // Label 609: @18741
     /* 18741 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(18777), // Rule ID 431 //
     /* 18746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 18749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_ph),
     /* 18754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 18757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 18760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 18764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 18768 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8134:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt)  =>  (REPLV_PH:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 18768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPLV_PH),
     /* 18771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 18773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 18775 */     GIR_RootConstrainSelectedInstOperands,
     /* 18776 */     // GIR_Coverage, 431,
     /* 18776 */     GIR_EraseRootFromParent_Done,
     /* 18777 */   // Label 610: @18777
     /* 18777 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(18813), // Rule ID 680 //
     /* 18782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 18785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fclass_w),
     /* 18790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 18793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 18796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 18800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 18804 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7840:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FCLASS_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 18804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FCLASS_W),
     /* 18807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 18809 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 18811 */     GIR_RootConstrainSelectedInstOperands,
     /* 18812 */     // GIR_Coverage, 680,
     /* 18812 */     GIR_EraseRootFromParent_Done,
     /* 18813 */   // Label 611: @18813
     /* 18813 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(18849), // Rule ID 681 //
     /* 18818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 18821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fclass_d),
     /* 18826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 18829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 18832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 18836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 18840 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7839:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FCLASS_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 18840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FCLASS_D),
     /* 18843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 18845 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 18847 */     GIR_RootConstrainSelectedInstOperands,
     /* 18848 */     // GIR_Coverage, 681,
     /* 18848 */     GIR_EraseRootFromParent_Done,
     /* 18849 */   // Label 612: @18849
     /* 18849 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(18885), // Rule ID 704 //
     /* 18854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 18857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fexupl_w),
     /* 18862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 18865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 18868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 18872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 18876 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7866:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8f16] }:$ws)  =>  (FEXUPL_W:{ *:[v4f32] } MSA128HOpnd:{ *:[v8f16] }:$ws)
     /* 18876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXUPL_W),
     /* 18879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 18881 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 18883 */     GIR_RootConstrainSelectedInstOperands,
     /* 18884 */     // GIR_Coverage, 704,
     /* 18884 */     GIR_EraseRootFromParent_Done,
     /* 18885 */   // Label 613: @18885
     /* 18885 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(18921), // Rule ID 705 //
     /* 18890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 18893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fexupl_d),
     /* 18898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 18901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 18904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 18908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 18912 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7865:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FEXUPL_D:{ *:[v2f64] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 18912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXUPL_D),
     /* 18915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 18917 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 18919 */     GIR_RootConstrainSelectedInstOperands,
     /* 18920 */     // GIR_Coverage, 705,
     /* 18920 */     GIR_EraseRootFromParent_Done,
     /* 18921 */   // Label 614: @18921
     /* 18921 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(18957), // Rule ID 706 //
     /* 18926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 18929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fexupr_w),
     /* 18934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 18937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 18940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 18944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 18948 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7868:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8f16] }:$ws)  =>  (FEXUPR_W:{ *:[v4f32] } MSA128HOpnd:{ *:[v8f16] }:$ws)
     /* 18948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXUPR_W),
     /* 18951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 18953 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 18955 */     GIR_RootConstrainSelectedInstOperands,
     /* 18956 */     // GIR_Coverage, 706,
     /* 18956 */     GIR_EraseRootFromParent_Done,
     /* 18957 */   // Label 615: @18957
     /* 18957 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(18993), // Rule ID 707 //
     /* 18962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 18965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fexupr_d),
     /* 18970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 18973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 18976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 18980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 18984 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7867:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FEXUPR_D:{ *:[v2f64] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 18984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXUPR_D),
     /* 18987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 18989 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 18991 */     GIR_RootConstrainSelectedInstOperands,
     /* 18992 */     // GIR_Coverage, 707,
     /* 18992 */     GIR_EraseRootFromParent_Done,
     /* 18993 */   // Label 616: @18993
     /* 18993 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(19029), // Rule ID 712 //
     /* 18998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ffql_w),
     /* 19006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 19009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 19012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 19020 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7874:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws)  =>  (FFQL_W:{ *:[v4f32] } MSA128HOpnd:{ *:[v8i16] }:$ws)
     /* 19020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FFQL_W),
     /* 19023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19025 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19027 */     GIR_RootConstrainSelectedInstOperands,
     /* 19028 */     // GIR_Coverage, 712,
     /* 19028 */     GIR_EraseRootFromParent_Done,
     /* 19029 */   // Label 617: @19029
     /* 19029 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(19065), // Rule ID 713 //
     /* 19034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ffql_d),
     /* 19042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 19045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 19048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19056 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7873:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (FFQL_D:{ *:[v2f64] } MSA128WOpnd:{ *:[v4i32] }:$ws)
     /* 19056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FFQL_D),
     /* 19059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19061 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19063 */     GIR_RootConstrainSelectedInstOperands,
     /* 19064 */     // GIR_Coverage, 713,
     /* 19064 */     GIR_EraseRootFromParent_Done,
     /* 19065 */   // Label 618: @19065
     /* 19065 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(19101), // Rule ID 714 //
     /* 19070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ffqr_w),
     /* 19078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 19081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 19084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 19092 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7876:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws)  =>  (FFQR_W:{ *:[v4f32] } MSA128HOpnd:{ *:[v8i16] }:$ws)
     /* 19092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FFQR_W),
     /* 19095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19097 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19099 */     GIR_RootConstrainSelectedInstOperands,
     /* 19100 */     // GIR_Coverage, 714,
     /* 19100 */     GIR_EraseRootFromParent_Done,
     /* 19101 */   // Label 619: @19101
     /* 19101 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(19137), // Rule ID 715 //
     /* 19106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ffqr_d),
     /* 19114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 19117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 19120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19128 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7875:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (FFQR_D:{ *:[v2f64] } MSA128WOpnd:{ *:[v4i32] }:$ws)
     /* 19128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FFQR_D),
     /* 19131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19133 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19135 */     GIR_RootConstrainSelectedInstOperands,
     /* 19136 */     // GIR_Coverage, 715,
     /* 19136 */     GIR_EraseRootFromParent_Done,
     /* 19137 */   // Label 620: @19137
     /* 19137 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(19173), // Rule ID 740 //
     /* 19142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_frcp_w),
     /* 19150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 19153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 19156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19164 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7898:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FRCP_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 19164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FRCP_W),
     /* 19167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19169 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19171 */     GIR_RootConstrainSelectedInstOperands,
     /* 19172 */     // GIR_Coverage, 740,
     /* 19172 */     GIR_EraseRootFromParent_Done,
     /* 19173 */   // Label 621: @19173
     /* 19173 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(19209), // Rule ID 741 //
     /* 19178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_frcp_d),
     /* 19186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 19189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 19192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19200 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7897:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FRCP_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 19200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FRCP_D),
     /* 19203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19205 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19207 */     GIR_RootConstrainSelectedInstOperands,
     /* 19208 */     // GIR_Coverage, 741,
     /* 19208 */     GIR_EraseRootFromParent_Done,
     /* 19209 */   // Label 622: @19209
     /* 19209 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(19245), // Rule ID 742 //
     /* 19214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_frsqrt_w),
     /* 19222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 19225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 19228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19236 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7902:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FRSQRT_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 19236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FRSQRT_W),
     /* 19239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19241 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19243 */     GIR_RootConstrainSelectedInstOperands,
     /* 19244 */     // GIR_Coverage, 742,
     /* 19244 */     GIR_EraseRootFromParent_Done,
     /* 19245 */   // Label 623: @19245
     /* 19245 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(19281), // Rule ID 743 //
     /* 19250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_frsqrt_d),
     /* 19258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 19261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 19264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19272 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7901:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FRSQRT_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 19272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FRSQRT_D),
     /* 19275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19277 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19279 */     GIR_RootConstrainSelectedInstOperands,
     /* 19280 */     // GIR_Coverage, 743,
     /* 19280 */     GIR_EraseRootFromParent_Done,
     /* 19281 */   // Label 624: @19281
     /* 19281 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(19317), // Rule ID 770 //
     /* 19286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ftint_s_w),
     /* 19294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 19297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 19300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19308 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7930:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FTINT_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 19308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FTINT_S_W),
     /* 19311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19313 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19315 */     GIR_RootConstrainSelectedInstOperands,
     /* 19316 */     // GIR_Coverage, 770,
     /* 19316 */     GIR_EraseRootFromParent_Done,
     /* 19317 */   // Label 625: @19317
     /* 19317 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(19353), // Rule ID 771 //
     /* 19322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ftint_s_d),
     /* 19330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 19333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 19336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19344 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7929:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FTINT_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 19344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FTINT_S_D),
     /* 19347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19349 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19351 */     GIR_RootConstrainSelectedInstOperands,
     /* 19352 */     // GIR_Coverage, 771,
     /* 19352 */     GIR_EraseRootFromParent_Done,
     /* 19353 */   // Label 626: @19353
     /* 19353 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(19389), // Rule ID 772 //
     /* 19358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ftint_u_w),
     /* 19366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 19369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 19372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19380 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7932:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FTINT_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 19380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FTINT_U_W),
     /* 19383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19385 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19387 */     GIR_RootConstrainSelectedInstOperands,
     /* 19388 */     // GIR_Coverage, 772,
     /* 19388 */     GIR_EraseRootFromParent_Done,
     /* 19389 */   // Label 627: @19389
     /* 19389 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(19425), // Rule ID 773 //
     /* 19394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ftint_u_d),
     /* 19402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 19405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 19408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19416 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7931:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FTINT_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 19416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FTINT_U_D),
     /* 19419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19421 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19423 */     GIR_RootConstrainSelectedInstOperands,
     /* 19424 */     // GIR_Coverage, 773,
     /* 19424 */     GIR_EraseRootFromParent_Done,
     /* 19425 */   // Label 628: @19425
     /* 19425 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(19461), // Rule ID 908 //
     /* 19430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_nloc_b),
     /* 19438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 19441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 19444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 19448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 19452 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8087:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws)  =>  (NLOC_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws)
     /* 19452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NLOC_B),
     /* 19455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19457 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19459 */     GIR_RootConstrainSelectedInstOperands,
     /* 19460 */     // GIR_Coverage, 908,
     /* 19460 */     GIR_EraseRootFromParent_Done,
     /* 19461 */   // Label 629: @19461
     /* 19461 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(19497), // Rule ID 909 //
     /* 19466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_nloc_h),
     /* 19474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 19477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 19480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 19484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 19488 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8089:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws)  =>  (NLOC_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws)
     /* 19488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NLOC_H),
     /* 19491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19493 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19495 */     GIR_RootConstrainSelectedInstOperands,
     /* 19496 */     // GIR_Coverage, 909,
     /* 19496 */     GIR_EraseRootFromParent_Done,
     /* 19497 */   // Label 630: @19497
     /* 19497 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(19533), // Rule ID 910 //
     /* 19502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_nloc_w),
     /* 19510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 19513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 19516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 19524 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8090:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (NLOC_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws)
     /* 19524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NLOC_W),
     /* 19527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19529 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19531 */     GIR_RootConstrainSelectedInstOperands,
     /* 19532 */     // GIR_Coverage, 910,
     /* 19532 */     GIR_EraseRootFromParent_Done,
     /* 19533 */   // Label 631: @19533
     /* 19533 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(19569), // Rule ID 911 //
     /* 19538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 19541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_nloc_d),
     /* 19546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 19549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 19552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 19560 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8088:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws)  =>  (NLOC_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws)
     /* 19560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NLOC_D),
     /* 19563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 19565 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 19567 */     GIR_RootConstrainSelectedInstOperands,
     /* 19568 */     // GIR_Coverage, 911,
     /* 19568 */     GIR_EraseRootFromParent_Done,
     /* 19569 */   // Label 632: @19569
     /* 19569 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(19605), // Rule ID 1251 //
     /* 19574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceq_w_phl),
     /* 19582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 19585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 19588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 19592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19596 */     // (intrinsic_wo_chain:{ *:[i32] } 8114:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs)  =>  (PRECEQ_W_PHL_MM:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rs)
     /* 19596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQ_W_PHL_MM),
     /* 19599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19603 */     GIR_RootConstrainSelectedInstOperands,
     /* 19604 */     // GIR_Coverage, 1251,
     /* 19604 */     GIR_EraseRootFromParent_Done,
     /* 19605 */   // Label 633: @19605
     /* 19605 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(19641), // Rule ID 1252 //
     /* 19610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceq_w_phr),
     /* 19618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 19621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 19624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 19628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19632 */     // (intrinsic_wo_chain:{ *:[i32] } 8115:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs)  =>  (PRECEQ_W_PHR_MM:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rs)
     /* 19632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQ_W_PHR_MM),
     /* 19635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19639 */     GIR_RootConstrainSelectedInstOperands,
     /* 19640 */     // GIR_Coverage, 1252,
     /* 19640 */     GIR_EraseRootFromParent_Done,
     /* 19641 */   // Label 634: @19641
     /* 19641 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(19677), // Rule ID 1253 //
     /* 19646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbl),
     /* 19654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19668 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8116:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEQU_PH_QBL_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBL_MM),
     /* 19671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19675 */     GIR_RootConstrainSelectedInstOperands,
     /* 19676 */     // GIR_Coverage, 1253,
     /* 19676 */     GIR_EraseRootFromParent_Done,
     /* 19677 */   // Label 635: @19677
     /* 19677 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(19713), // Rule ID 1254 //
     /* 19682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbla),
     /* 19690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19704 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8117:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEQU_PH_QBLA_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBLA_MM),
     /* 19707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19711 */     GIR_RootConstrainSelectedInstOperands,
     /* 19712 */     // GIR_Coverage, 1254,
     /* 19712 */     GIR_EraseRootFromParent_Done,
     /* 19713 */   // Label 636: @19713
     /* 19713 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(19749), // Rule ID 1255 //
     /* 19718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbr),
     /* 19726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19740 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8118:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEQU_PH_QBR_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBR_MM),
     /* 19743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19747 */     GIR_RootConstrainSelectedInstOperands,
     /* 19748 */     // GIR_Coverage, 1255,
     /* 19748 */     GIR_EraseRootFromParent_Done,
     /* 19749 */   // Label 637: @19749
     /* 19749 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(19785), // Rule ID 1256 //
     /* 19754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precequ_ph_qbra),
     /* 19762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19776 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8119:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEQU_PH_QBRA_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEQU_PH_QBRA_MM),
     /* 19779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19783 */     GIR_RootConstrainSelectedInstOperands,
     /* 19784 */     // GIR_Coverage, 1256,
     /* 19784 */     GIR_EraseRootFromParent_Done,
     /* 19785 */   // Label 638: @19785
     /* 19785 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(19821), // Rule ID 1257 //
     /* 19790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbl),
     /* 19798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19812 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8120:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEU_PH_QBL_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBL_MM),
     /* 19815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19819 */     GIR_RootConstrainSelectedInstOperands,
     /* 19820 */     // GIR_Coverage, 1257,
     /* 19820 */     GIR_EraseRootFromParent_Done,
     /* 19821 */   // Label 639: @19821
     /* 19821 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(19857), // Rule ID 1258 //
     /* 19826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbla),
     /* 19834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19848 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8121:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEU_PH_QBLA_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBLA_MM),
     /* 19851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19855 */     GIR_RootConstrainSelectedInstOperands,
     /* 19856 */     // GIR_Coverage, 1258,
     /* 19856 */     GIR_EraseRootFromParent_Done,
     /* 19857 */   // Label 640: @19857
     /* 19857 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(19893), // Rule ID 1259 //
     /* 19862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbr),
     /* 19870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19884 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8122:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEU_PH_QBR_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBR_MM),
     /* 19887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19891 */     GIR_RootConstrainSelectedInstOperands,
     /* 19892 */     // GIR_Coverage, 1259,
     /* 19892 */     GIR_EraseRootFromParent_Done,
     /* 19893 */   // Label 641: @19893
     /* 19893 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(19929), // Rule ID 1260 //
     /* 19898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_preceu_ph_qbra),
     /* 19906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19920 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8123:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (PRECEU_PH_QBRA_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECEU_PH_QBRA_MM),
     /* 19923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19927 */     GIR_RootConstrainSelectedInstOperands,
     /* 19928 */     // GIR_Coverage, 1260,
     /* 19928 */     GIR_EraseRootFromParent_Done,
     /* 19929 */   // Label 642: @19929
     /* 19929 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(19965), // Rule ID 1286 //
     /* 19934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_raddu_w_qb),
     /* 19942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 19945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 19948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 19952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19956 */     // (intrinsic_wo_chain:{ *:[i32] } 8132:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (RADDU_W_QB_MM:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 19956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::RADDU_W_QB_MM),
     /* 19959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19963 */     GIR_RootConstrainSelectedInstOperands,
     /* 19964 */     // GIR_Coverage, 1286,
     /* 19964 */     GIR_EraseRootFromParent_Done,
     /* 19965 */   // Label 643: @19965
     /* 19965 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(20001), // Rule ID 1290 //
     /* 19970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 19973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_ph),
     /* 19978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 19981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 19984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 19988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 19992 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8134:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs)  =>  (REPLV_PH_MM:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 19992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPLV_PH_MM),
     /* 19995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 19997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 19999 */     GIR_RootConstrainSelectedInstOperands,
     /* 20000 */     // GIR_Coverage, 1290,
     /* 20000 */     GIR_EraseRootFromParent_Done,
     /* 20001 */   // Label 644: @20001
     /* 20001 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(20037), // Rule ID 1291 //
     /* 20006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 20009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_repl_qb),
     /* 20014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 20017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 20020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 20024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 20028 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8135:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs)  =>  (REPLV_QB_MM:{ *:[v4i8] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 20028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::REPLV_QB_MM),
     /* 20031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 20033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 20035 */     GIR_RootConstrainSelectedInstOperands,
     /* 20036 */     // GIR_Coverage, 1291,
     /* 20036 */     GIR_EraseRootFromParent_Done,
     /* 20037 */   // Label 645: @20037
     /* 20037 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(20073), // Rule ID 1301 //
     /* 20042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 20045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_bitrev),
     /* 20050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 20053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 20056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 20060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 20064 */     // (intrinsic_wo_chain:{ *:[i32] } 7688:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs)  =>  (BITREV_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 20064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BITREV_MM),
     /* 20067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 20069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 20071 */     GIR_RootConstrainSelectedInstOperands,
     /* 20072 */     // GIR_Coverage, 1301,
     /* 20072 */     GIR_EraseRootFromParent_Done,
     /* 20073 */   // Label 646: @20073
     /* 20073 */   GIM_Reject,
     /* 20074 */ // Label 592: @20074
     /* 20074 */ GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(29827),
     /* 20079 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 20082 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(20128), // Rule ID 938 //
     /* 20087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_s_b),
     /* 20095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 20098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 20101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20109 */     // MIs[0] m
     /* 20109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt3),
     /* 20117 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8136:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt3>>:$m)  =>  (SAT_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_S_B),
     /* 20120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20122 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20124 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20126 */     GIR_RootConstrainSelectedInstOperands,
     /* 20127 */     // GIR_Coverage, 938,
     /* 20127 */     GIR_EraseRootFromParent_Done,
     /* 20128 */   // Label 648: @20128
     /* 20128 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(20174), // Rule ID 939 //
     /* 20133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_s_h),
     /* 20141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 20144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 20147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20155 */     // MIs[0] m
     /* 20155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt4),
     /* 20163 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8138:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt4>>:$m)  =>  (SAT_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_S_H),
     /* 20166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20168 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20170 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20172 */     GIR_RootConstrainSelectedInstOperands,
     /* 20173 */     // GIR_Coverage, 939,
     /* 20173 */     GIR_EraseRootFromParent_Done,
     /* 20174 */   // Label 649: @20174
     /* 20174 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(20220), // Rule ID 940 //
     /* 20179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_s_w),
     /* 20187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 20190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 20193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20201 */     // MIs[0] m
     /* 20201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 20209 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8139:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$m)  =>  (SAT_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_S_W),
     /* 20212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20214 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20216 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20218 */     GIR_RootConstrainSelectedInstOperands,
     /* 20219 */     // GIR_Coverage, 940,
     /* 20219 */     GIR_EraseRootFromParent_Done,
     /* 20220 */   // Label 650: @20220
     /* 20220 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(20266), // Rule ID 941 //
     /* 20225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_s_d),
     /* 20233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 20236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 20239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20247 */     // MIs[0] m
     /* 20247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt6),
     /* 20255 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8137:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt6>>:$m)  =>  (SAT_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_S_D),
     /* 20258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20260 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20262 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20264 */     GIR_RootConstrainSelectedInstOperands,
     /* 20265 */     // GIR_Coverage, 941,
     /* 20265 */     GIR_EraseRootFromParent_Done,
     /* 20266 */   // Label 651: @20266
     /* 20266 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(20312), // Rule ID 942 //
     /* 20271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_u_b),
     /* 20279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 20282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 20285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20293 */     // MIs[0] m
     /* 20293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt3),
     /* 20301 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8140:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt3>>:$m)  =>  (SAT_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_U_B),
     /* 20304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20306 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20308 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20310 */     GIR_RootConstrainSelectedInstOperands,
     /* 20311 */     // GIR_Coverage, 942,
     /* 20311 */     GIR_EraseRootFromParent_Done,
     /* 20312 */   // Label 652: @20312
     /* 20312 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(20358), // Rule ID 943 //
     /* 20317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_u_h),
     /* 20325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 20328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 20331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20339 */     // MIs[0] m
     /* 20339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt4),
     /* 20347 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8142:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt4>>:$m)  =>  (SAT_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_U_H),
     /* 20350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20352 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20354 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20356 */     GIR_RootConstrainSelectedInstOperands,
     /* 20357 */     // GIR_Coverage, 943,
     /* 20357 */     GIR_EraseRootFromParent_Done,
     /* 20358 */   // Label 653: @20358
     /* 20358 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(20404), // Rule ID 944 //
     /* 20363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_u_w),
     /* 20371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 20374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 20377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20385 */     // MIs[0] m
     /* 20385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 20393 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8143:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$m)  =>  (SAT_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_U_W),
     /* 20396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20398 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20400 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20402 */     GIR_RootConstrainSelectedInstOperands,
     /* 20403 */     // GIR_Coverage, 944,
     /* 20403 */     GIR_EraseRootFromParent_Done,
     /* 20404 */   // Label 654: @20404
     /* 20404 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(20450), // Rule ID 945 //
     /* 20409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sat_u_d),
     /* 20417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 20420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 20423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20431 */     // MIs[0] m
     /* 20431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt6),
     /* 20439 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8141:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt6>>:$m)  =>  (SAT_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SAT_U_D),
     /* 20442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20444 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20446 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20448 */     GIR_RootConstrainSelectedInstOperands,
     /* 20449 */     // GIR_Coverage, 945,
     /* 20449 */     GIR_EraseRootFromParent_Done,
     /* 20450 */   // Label 655: @20450
     /* 20450 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(20496), // Rule ID 985 //
     /* 20455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srari_b),
     /* 20463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 20466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 20469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20477 */     // MIs[0] m
     /* 20477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt3),
     /* 20485 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8195:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt3>>:$m)  =>  (SRARI_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRARI_B),
     /* 20488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20490 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20492 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20494 */     GIR_RootConstrainSelectedInstOperands,
     /* 20495 */     // GIR_Coverage, 985,
     /* 20495 */     GIR_EraseRootFromParent_Done,
     /* 20496 */   // Label 656: @20496
     /* 20496 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(20542), // Rule ID 986 //
     /* 20501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srari_h),
     /* 20509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 20512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 20515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20523 */     // MIs[0] m
     /* 20523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt4),
     /* 20531 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8197:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt4>>:$m)  =>  (SRARI_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRARI_H),
     /* 20534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20536 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20538 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20540 */     GIR_RootConstrainSelectedInstOperands,
     /* 20541 */     // GIR_Coverage, 986,
     /* 20541 */     GIR_EraseRootFromParent_Done,
     /* 20542 */   // Label 657: @20542
     /* 20542 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(20588), // Rule ID 987 //
     /* 20547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srari_w),
     /* 20555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 20558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 20561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20569 */     // MIs[0] m
     /* 20569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 20577 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8198:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$m)  =>  (SRARI_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRARI_W),
     /* 20580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20582 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20584 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20586 */     GIR_RootConstrainSelectedInstOperands,
     /* 20587 */     // GIR_Coverage, 987,
     /* 20587 */     GIR_EraseRootFromParent_Done,
     /* 20588 */   // Label 658: @20588
     /* 20588 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(20634), // Rule ID 988 //
     /* 20593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srari_d),
     /* 20601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 20604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 20607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20615 */     // MIs[0] m
     /* 20615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20618 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt6),
     /* 20623 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8196:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt6>>:$m)  =>  (SRARI_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRARI_D),
     /* 20626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20628 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20630 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20632 */     GIR_RootConstrainSelectedInstOperands,
     /* 20633 */     // GIR_Coverage, 988,
     /* 20633 */     GIR_EraseRootFromParent_Done,
     /* 20634 */   // Label 659: @20634
     /* 20634 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(20680), // Rule ID 1001 //
     /* 20639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlri_b),
     /* 20647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 20650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 20653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 20661 */     // MIs[0] m
     /* 20661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt3),
     /* 20669 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8211:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt3>>:$m)  =>  (SRLRI_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLRI_B),
     /* 20672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20674 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20676 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20678 */     GIR_RootConstrainSelectedInstOperands,
     /* 20679 */     // GIR_Coverage, 1001,
     /* 20679 */     GIR_EraseRootFromParent_Done,
     /* 20680 */   // Label 660: @20680
     /* 20680 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(20726), // Rule ID 1002 //
     /* 20685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlri_h),
     /* 20693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 20696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 20699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 20707 */     // MIs[0] m
     /* 20707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt4),
     /* 20715 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8213:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt4>>:$m)  =>  (SRLRI_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLRI_H),
     /* 20718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20720 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20722 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20724 */     GIR_RootConstrainSelectedInstOperands,
     /* 20725 */     // GIR_Coverage, 1002,
     /* 20725 */     GIR_EraseRootFromParent_Done,
     /* 20726 */   // Label 661: @20726
     /* 20726 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(20772), // Rule ID 1003 //
     /* 20731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlri_w),
     /* 20739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 20742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 20745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 20753 */     // MIs[0] m
     /* 20753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 20761 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8214:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$m)  =>  (SRLRI_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLRI_W),
     /* 20764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20766 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20768 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20770 */     GIR_RootConstrainSelectedInstOperands,
     /* 20771 */     // GIR_Coverage, 1003,
     /* 20771 */     GIR_EraseRootFromParent_Done,
     /* 20772 */   // Label 662: @20772
     /* 20772 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(20818), // Rule ID 1004 //
     /* 20777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 20780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlri_d),
     /* 20785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 20788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 20791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 20799 */     // MIs[0] m
     /* 20799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 20802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt6),
     /* 20807 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8212:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt6>>:$m)  =>  (SRLRI_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] }):$m)
     /* 20807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLRI_D),
     /* 20810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 20812 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 20814 */     GIR_RootToRootCopy, /*OpIdx*/3, // m
     /* 20816 */     GIR_RootConstrainSelectedInstOperands,
     /* 20817 */     // GIR_Coverage, 1004,
     /* 20817 */     GIR_EraseRootFromParent_Done,
     /* 20818 */   // Label 663: @20818
     /* 20818 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(20874), // Rule ID 385 //
     /* 20823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 20826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_ph),
     /* 20831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 20834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 20837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 20840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 20844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 20848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 20852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 20856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 20860 */     // MIs[1] Operand 1
     /* 20860 */     // No operand predicates
     /* 20860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20862 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8154:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$rs_sa)  =>  (SHRA_R_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, (imm:{ *:[i32] }):$rs_sa)
     /* 20862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_R_PH),
     /* 20865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 20867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 20869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs_sa
     /* 20872 */     GIR_RootConstrainSelectedInstOperands,
     /* 20873 */     // GIR_Coverage, 385,
     /* 20873 */     GIR_EraseRootFromParent_Done,
     /* 20874 */   // Label 664: @20874
     /* 20874 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(20930), // Rule ID 389 //
     /* 20879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 20882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_w),
     /* 20887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 20890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 20893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 20896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 20900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 20904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 20908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 20912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 20916 */     // MIs[1] Operand 1
     /* 20916 */     // No operand predicates
     /* 20916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20918 */     // (intrinsic_wo_chain:{ *:[i32] } 8156:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$rs_sa)  =>  (SHRA_R_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$rs_sa)
     /* 20918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_R_W),
     /* 20921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 20923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 20925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs_sa
     /* 20928 */     GIR_RootConstrainSelectedInstOperands,
     /* 20929 */     // GIR_Coverage, 389,
     /* 20929 */     GIR_EraseRootFromParent_Done,
     /* 20930 */   // Label 665: @20930
     /* 20930 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(20986), // Rule ID 480 //
     /* 20935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 20938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_qb),
     /* 20943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 20946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 20949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 20952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 20956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 20960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 20964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 20968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt3),
     /* 20972 */     // MIs[1] Operand 1
     /* 20972 */     // No operand predicates
     /* 20972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20974 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8155:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$rs_sa)  =>  (SHRA_R_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, (imm:{ *:[i32] }):$rs_sa)
     /* 20974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_R_QB),
     /* 20977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 20979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 20981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs_sa
     /* 20984 */     GIR_RootConstrainSelectedInstOperands,
     /* 20985 */     // GIR_Coverage, 480,
     /* 20985 */     GIR_EraseRootFromParent_Done,
     /* 20986 */   // Label 666: @20986
     /* 20986 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(21042), // Rule ID 1245 //
     /* 20991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 20994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_ph),
     /* 20999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 21020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 21024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 21028 */     // MIs[1] Operand 1
     /* 21028 */     // No operand predicates
     /* 21028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 21030 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8154:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$sa)  =>  (SHRA_R_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, (imm:{ *:[i32] }):$sa)
     /* 21030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_R_PH_MM),
     /* 21033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 21035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // sa
     /* 21040 */     GIR_RootConstrainSelectedInstOperands,
     /* 21041 */     // GIR_Coverage, 1245,
     /* 21041 */     GIR_EraseRootFromParent_Done,
     /* 21042 */   // Label 667: @21042
     /* 21042 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(21098), // Rule ID 1249 //
     /* 21047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 21050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_w),
     /* 21055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 21058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 21061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 21076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 21080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 21084 */     // MIs[1] Operand 1
     /* 21084 */     // No operand predicates
     /* 21084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 21086 */     // (intrinsic_wo_chain:{ *:[i32] } 8156:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$sa)  =>  (SHRA_R_W_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] }):$sa)
     /* 21086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_R_W_MM),
     /* 21089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 21091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // sa
     /* 21096 */     GIR_RootConstrainSelectedInstOperands,
     /* 21097 */     // GIR_Coverage, 1249,
     /* 21097 */     GIR_EraseRootFromParent_Done,
     /* 21098 */   // Label 668: @21098
     /* 21098 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(21154), // Rule ID 1324 //
     /* 21103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 21106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_qb),
     /* 21111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 21132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 21136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt3),
     /* 21140 */     // MIs[1] Operand 1
     /* 21140 */     // No operand predicates
     /* 21140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 21142 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8155:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$sa)  =>  (SHRA_R_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, (imm:{ *:[i32] }):$sa)
     /* 21142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_R_QB_MMR2),
     /* 21145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 21147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // sa
     /* 21152 */     GIR_RootConstrainSelectedInstOperands,
     /* 21153 */     // GIR_Coverage, 1324,
     /* 21153 */     GIR_EraseRootFromParent_Done,
     /* 21154 */   // Label 669: @21154
     /* 21154 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(21206), // Rule ID 1943 //
     /* 21159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_ph),
     /* 21167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 21184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 21188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 21192 */     // MIs[1] Operand 1
     /* 21192 */     // No operand predicates
     /* 21192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 21194 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8152:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$shamt)  =>  (SHRA_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$shamt)
     /* 21194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_PH),
     /* 21197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21199 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 21201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 21204 */     GIR_RootConstrainSelectedInstOperands,
     /* 21205 */     // GIR_Coverage, 1943,
     /* 21205 */     GIR_EraseRootFromParent_Done,
     /* 21206 */   // Label 670: @21206
     /* 21206 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(21258), // Rule ID 1944 //
     /* 21211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 21214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shrl_ph),
     /* 21219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 21236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 21240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 21244 */     // MIs[1] Operand 1
     /* 21244 */     // No operand predicates
     /* 21244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 21246 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8157:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$shamt)  =>  (SHRL_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$shamt)
     /* 21246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRL_PH),
     /* 21249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21251 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 21253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 21256 */     GIR_RootConstrainSelectedInstOperands,
     /* 21257 */     // GIR_Coverage, 1944,
     /* 21257 */     GIR_EraseRootFromParent_Done,
     /* 21258 */   // Label 671: @21258
     /* 21258 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(21310), // Rule ID 1949 //
     /* 21263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 21266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_qb),
     /* 21271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 21288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 21292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt3),
     /* 21296 */     // MIs[1] Operand 1
     /* 21296 */     // No operand predicates
     /* 21296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 21298 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8153:{ *:[iPTR] }, v4i8:{ *:[v4i8] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$shamt)  =>  (SHRA_QB:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$shamt)
     /* 21298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRA_QB),
     /* 21301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21303 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 21305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 21308 */     GIR_RootConstrainSelectedInstOperands,
     /* 21309 */     // GIR_Coverage, 1949,
     /* 21309 */     GIR_EraseRootFromParent_Done,
     /* 21310 */   // Label 672: @21310
     /* 21310 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(21362), // Rule ID 1950 //
     /* 21315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shrl_qb),
     /* 21323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 21340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 21344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt3),
     /* 21348 */     // MIs[1] Operand 1
     /* 21348 */     // No operand predicates
     /* 21348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 21350 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8158:{ *:[iPTR] }, v4i8:{ *:[v4i8] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$shamt)  =>  (SHRL_QB:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$shamt)
     /* 21350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRL_QB),
     /* 21353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21355 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 21357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 21360 */     GIR_RootConstrainSelectedInstOperands,
     /* 21361 */     // GIR_Coverage, 1950,
     /* 21361 */     GIR_EraseRootFromParent_Done,
     /* 21362 */   // Label 673: @21362
     /* 21362 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(21410), // Rule ID 355 //
     /* 21367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addu_s_qb),
     /* 21375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 21384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21396 */     // (intrinsic_wo_chain:{ *:[v4i8] } 7624:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (ADDU_S_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 21396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDU_S_QB),
     /* 21399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 21408 */     GIR_RootConstrainSelectedInstOperands,
     /* 21409 */     // GIR_Coverage, 355,
     /* 21409 */     GIR_EraseRootFromParent_Done,
     /* 21410 */   // Label 674: @21410
     /* 21410 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(21458), // Rule ID 356 //
     /* 21415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subu_s_qb),
     /* 21423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 21432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21444 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8247:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (SUBU_S_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 21444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBU_S_QB),
     /* 21447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 21456 */     GIR_RootConstrainSelectedInstOperands,
     /* 21457 */     // GIR_Coverage, 356,
     /* 21457 */     GIR_EraseRootFromParent_Done,
     /* 21458 */   // Label 675: @21458
     /* 21458 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(21506), // Rule ID 357 //
     /* 21463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addq_s_ph),
     /* 21471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 21480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21492 */     // (intrinsic_wo_chain:{ *:[v2i16] } 7602:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDQ_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 21492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQ_S_PH),
     /* 21495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 21504 */     GIR_RootConstrainSelectedInstOperands,
     /* 21505 */     // GIR_Coverage, 357,
     /* 21505 */     GIR_EraseRootFromParent_Done,
     /* 21506 */   // Label 676: @21506
     /* 21506 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(21554), // Rule ID 358 //
     /* 21511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subq_s_ph),
     /* 21519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 21528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21540 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8222:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBQ_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 21540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQ_S_PH),
     /* 21543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 21552 */     GIR_RootConstrainSelectedInstOperands,
     /* 21553 */     // GIR_Coverage, 358,
     /* 21553 */     GIR_EraseRootFromParent_Done,
     /* 21554 */   // Label 677: @21554
     /* 21554 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(21599), // Rule ID 361 //
     /* 21559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_modsub),
     /* 21567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 21570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 21573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21588 */     // (intrinsic_wo_chain:{ *:[i32] } 8052:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MODSUB:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 21588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MODSUB),
     /* 21591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21597 */     GIR_RootConstrainSelectedInstOperands,
     /* 21598 */     // GIR_Coverage, 361,
     /* 21598 */     GIR_EraseRootFromParent_Done,
     /* 21599 */   // Label 678: @21599
     /* 21599 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(21644), // Rule ID 365 //
     /* 21604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrq_qb_ph),
     /* 21612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 21621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21633 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8128:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECRQ_QB_PH:{ *:[v4i8] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 21633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQ_QB_PH),
     /* 21636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21642 */     GIR_RootConstrainSelectedInstOperands,
     /* 21643 */     // GIR_Coverage, 365,
     /* 21643 */     GIR_EraseRootFromParent_Done,
     /* 21644 */   // Label 679: @21644
     /* 21644 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(21689), // Rule ID 366 //
     /* 21649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrq_ph_w),
     /* 21657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 21663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21678 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8127:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (PRECRQ_PH_W:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 21678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQ_PH_W),
     /* 21681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21687 */     GIR_RootConstrainSelectedInstOperands,
     /* 21688 */     // GIR_Coverage, 366,
     /* 21688 */     GIR_EraseRootFromParent_Done,
     /* 21689 */   // Label 680: @21689
     /* 21689 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(21734), // Rule ID 380 //
     /* 21694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shrl_qb),
     /* 21702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21723 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8158:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHRLV_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 21723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRLV_QB),
     /* 21726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 21730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 21732 */     GIR_RootConstrainSelectedInstOperands,
     /* 21733 */     // GIR_Coverage, 380,
     /* 21733 */     GIR_EraseRootFromParent_Done,
     /* 21734 */   // Label 681: @21734
     /* 21734 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(21779), // Rule ID 384 //
     /* 21739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_ph),
     /* 21747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21768 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8152:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHRAV_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 21768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_PH),
     /* 21771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 21775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 21777 */     GIR_RootConstrainSelectedInstOperands,
     /* 21778 */     // GIR_Coverage, 384,
     /* 21778 */     GIR_EraseRootFromParent_Done,
     /* 21779 */   // Label 682: @21779
     /* 21779 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(21824), // Rule ID 386 //
     /* 21784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_ph),
     /* 21792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21813 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8154:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHRAV_R_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 21813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_R_PH),
     /* 21816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 21820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 21822 */     GIR_RootConstrainSelectedInstOperands,
     /* 21823 */     // GIR_Coverage, 386,
     /* 21823 */     GIR_EraseRootFromParent_Done,
     /* 21824 */   // Label 683: @21824
     /* 21824 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(21869), // Rule ID 390 //
     /* 21829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_w),
     /* 21837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 21840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 21843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 21846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 21858 */     // (intrinsic_wo_chain:{ *:[i32] } 8156:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHRAV_R_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 21858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_R_W),
     /* 21861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 21865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 21867 */     GIR_RootConstrainSelectedInstOperands,
     /* 21868 */     // GIR_Coverage, 390,
     /* 21868 */     GIR_EraseRootFromParent_Done,
     /* 21869 */   // Label 684: @21869
     /* 21869 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(21914), // Rule ID 427 //
     /* 21874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 21877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_packrl_ph),
     /* 21882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 21885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 21888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 21891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21903 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8099:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PACKRL_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 21903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PACKRL_PH),
     /* 21906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21912 */     GIR_RootConstrainSelectedInstOperands,
     /* 21913 */     // GIR_Coverage, 427,
     /* 21913 */     GIR_EraseRootFromParent_Done,
     /* 21914 */   // Label 685: @21914
     /* 21914 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(21959), // Rule ID 451 //
     /* 21919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 21922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adduh_qb),
     /* 21927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 21936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21948 */     // (intrinsic_wo_chain:{ *:[v4i8] } 7625:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (ADDUH_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 21948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDUH_QB),
     /* 21951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 21955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 21957 */     GIR_RootConstrainSelectedInstOperands,
     /* 21958 */     // GIR_Coverage, 451,
     /* 21958 */     GIR_EraseRootFromParent_Done,
     /* 21959 */   // Label 686: @21959
     /* 21959 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(22004), // Rule ID 452 //
     /* 21964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 21967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adduh_r_qb),
     /* 21972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 21975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 21978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 21981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 21993 */     // (intrinsic_wo_chain:{ *:[v4i8] } 7626:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (ADDUH_R_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 21993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDUH_R_QB),
     /* 21996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 21998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22002 */     GIR_RootConstrainSelectedInstOperands,
     /* 22003 */     // GIR_Coverage, 452,
     /* 22003 */     GIR_EraseRootFromParent_Done,
     /* 22004 */   // Label 687: @22004
     /* 22004 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(22049), // Rule ID 453 //
     /* 22009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subuh_qb),
     /* 22017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 22020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 22023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 22026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22038 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8248:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (SUBUH_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 22038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBUH_QB),
     /* 22041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22047 */     GIR_RootConstrainSelectedInstOperands,
     /* 22048 */     // GIR_Coverage, 453,
     /* 22048 */     GIR_EraseRootFromParent_Done,
     /* 22049 */   // Label 688: @22049
     /* 22049 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(22094), // Rule ID 454 //
     /* 22054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subuh_r_qb),
     /* 22062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 22065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 22068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 22071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22083 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8249:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (SUBUH_R_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 22083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBUH_R_QB),
     /* 22086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22092 */     GIR_RootConstrainSelectedInstOperands,
     /* 22093 */     // GIR_Coverage, 454,
     /* 22093 */     GIR_EraseRootFromParent_Done,
     /* 22094 */   // Label 689: @22094
     /* 22094 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(22139), // Rule ID 455 //
     /* 22099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_ph),
     /* 22107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 22110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 22113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 22116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22128 */     // (intrinsic_wo_chain:{ *:[v2i16] } 7604:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDQH_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 22128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_PH),
     /* 22131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22137 */     GIR_RootConstrainSelectedInstOperands,
     /* 22138 */     // GIR_Coverage, 455,
     /* 22138 */     GIR_EraseRootFromParent_Done,
     /* 22139 */   // Label 690: @22139
     /* 22139 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(22184), // Rule ID 456 //
     /* 22144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_r_ph),
     /* 22152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 22155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 22158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 22161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22173 */     // (intrinsic_wo_chain:{ *:[v2i16] } 7605:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDQH_R_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 22173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_R_PH),
     /* 22176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22182 */     GIR_RootConstrainSelectedInstOperands,
     /* 22183 */     // GIR_Coverage, 456,
     /* 22183 */     GIR_EraseRootFromParent_Done,
     /* 22184 */   // Label 691: @22184
     /* 22184 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(22229), // Rule ID 457 //
     /* 22189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_ph),
     /* 22197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 22200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 22203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 22206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22218 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8224:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBQH_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 22218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_PH),
     /* 22221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22227 */     GIR_RootConstrainSelectedInstOperands,
     /* 22228 */     // GIR_Coverage, 457,
     /* 22228 */     GIR_EraseRootFromParent_Done,
     /* 22229 */   // Label 692: @22229
     /* 22229 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(22274), // Rule ID 458 //
     /* 22234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_r_ph),
     /* 22242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 22245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 22248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 22251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22263 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8225:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBQH_R_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 22263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_R_PH),
     /* 22266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22272 */     GIR_RootConstrainSelectedInstOperands,
     /* 22273 */     // GIR_Coverage, 458,
     /* 22273 */     GIR_EraseRootFromParent_Done,
     /* 22274 */   // Label 693: @22274
     /* 22274 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(22319), // Rule ID 459 //
     /* 22279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_w),
     /* 22287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 22290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 22293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 22296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22308 */     // (intrinsic_wo_chain:{ *:[i32] } 7607:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDQH_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 22308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_W),
     /* 22311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22317 */     GIR_RootConstrainSelectedInstOperands,
     /* 22318 */     // GIR_Coverage, 459,
     /* 22318 */     GIR_EraseRootFromParent_Done,
     /* 22319 */   // Label 694: @22319
     /* 22319 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(22364), // Rule ID 460 //
     /* 22324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_r_w),
     /* 22332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 22335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 22338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 22341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22353 */     // (intrinsic_wo_chain:{ *:[i32] } 7606:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDQH_R_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 22353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_R_W),
     /* 22356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22362 */     GIR_RootConstrainSelectedInstOperands,
     /* 22363 */     // GIR_Coverage, 460,
     /* 22363 */     GIR_EraseRootFromParent_Done,
     /* 22364 */   // Label 695: @22364
     /* 22364 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(22409), // Rule ID 461 //
     /* 22369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_w),
     /* 22377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 22380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 22383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 22386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22398 */     // (intrinsic_wo_chain:{ *:[i32] } 8227:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBQH_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 22398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_W),
     /* 22401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22407 */     GIR_RootConstrainSelectedInstOperands,
     /* 22408 */     // GIR_Coverage, 461,
     /* 22408 */     GIR_EraseRootFromParent_Done,
     /* 22409 */   // Label 696: @22409
     /* 22409 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(22454), // Rule ID 462 //
     /* 22414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_r_w),
     /* 22422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 22425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 22428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 22431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22443 */     // (intrinsic_wo_chain:{ *:[i32] } 8226:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBQH_R_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 22443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_R_W),
     /* 22446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 22450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 22452 */     GIR_RootConstrainSelectedInstOperands,
     /* 22453 */     // GIR_Coverage, 462,
     /* 22453 */     GIR_EraseRootFromParent_Done,
     /* 22454 */   // Label 697: @22454
     /* 22454 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(22499), // Rule ID 479 //
     /* 22459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_qb),
     /* 22467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 22470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 22473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 22476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22488 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8153:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHRAV_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 22488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_QB),
     /* 22491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 22495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 22497 */     GIR_RootConstrainSelectedInstOperands,
     /* 22498 */     // GIR_Coverage, 479,
     /* 22498 */     GIR_EraseRootFromParent_Done,
     /* 22499 */   // Label 698: @22499
     /* 22499 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(22544), // Rule ID 481 //
     /* 22504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_qb),
     /* 22512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 22515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 22518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 22521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22533 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8155:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHRAV_R_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 22533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_R_QB),
     /* 22536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 22540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 22542 */     GIR_RootConstrainSelectedInstOperands,
     /* 22543 */     // GIR_Coverage, 481,
     /* 22543 */     GIR_EraseRootFromParent_Done,
     /* 22544 */   // Label 699: @22544
     /* 22544 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(22589), // Rule ID 482 //
     /* 22549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 22552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shrl_ph),
     /* 22557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 22560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 22563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 22566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 22574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 22578 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8157:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHRLV_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 22578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRLV_PH),
     /* 22581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 22583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 22585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 22587 */     GIR_RootConstrainSelectedInstOperands,
     /* 22588 */     // GIR_Coverage, 482,
     /* 22588 */     GIR_EraseRootFromParent_Done,
     /* 22589 */   // Label 700: @22589
     /* 22589 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(22634), // Rule ID 491 //
     /* 22594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_add_a_b),
     /* 22602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 22605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 22608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 22611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22623 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7597:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (ADD_A_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 22623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADD_A_B),
     /* 22626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22628 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22630 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22632 */     GIR_RootConstrainSelectedInstOperands,
     /* 22633 */     // GIR_Coverage, 491,
     /* 22633 */     GIR_EraseRootFromParent_Done,
     /* 22634 */   // Label 701: @22634
     /* 22634 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(22679), // Rule ID 492 //
     /* 22639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_add_a_h),
     /* 22647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 22650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 22653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 22656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 22660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 22664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 22668 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7599:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (ADD_A_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 22668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADD_A_H),
     /* 22671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22673 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22675 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22677 */     GIR_RootConstrainSelectedInstOperands,
     /* 22678 */     // GIR_Coverage, 492,
     /* 22678 */     GIR_EraseRootFromParent_Done,
     /* 22679 */   // Label 702: @22679
     /* 22679 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(22724), // Rule ID 493 //
     /* 22684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_add_a_w),
     /* 22692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 22695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 22698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 22701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 22705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 22709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 22713 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7600:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (ADD_A_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 22713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADD_A_W),
     /* 22716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22718 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22720 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22722 */     GIR_RootConstrainSelectedInstOperands,
     /* 22723 */     // GIR_Coverage, 493,
     /* 22723 */     GIR_EraseRootFromParent_Done,
     /* 22724 */   // Label 703: @22724
     /* 22724 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(22769), // Rule ID 494 //
     /* 22729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_add_a_d),
     /* 22737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 22740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 22743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 22746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 22750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 22754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 22758 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7598:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (ADD_A_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 22758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADD_A_D),
     /* 22761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22763 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22765 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22767 */     GIR_RootConstrainSelectedInstOperands,
     /* 22768 */     // GIR_Coverage, 494,
     /* 22768 */     GIR_EraseRootFromParent_Done,
     /* 22769 */   // Label 704: @22769
     /* 22769 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(22814), // Rule ID 495 //
     /* 22774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_a_b),
     /* 22782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 22785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 22788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 22791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22803 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7608:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (ADDS_A_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 22803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_A_B),
     /* 22806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22808 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22810 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22812 */     GIR_RootConstrainSelectedInstOperands,
     /* 22813 */     // GIR_Coverage, 495,
     /* 22813 */     GIR_EraseRootFromParent_Done,
     /* 22814 */   // Label 705: @22814
     /* 22814 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(22859), // Rule ID 496 //
     /* 22819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_a_h),
     /* 22827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 22830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 22833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 22836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 22840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 22844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 22848 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7610:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (ADDS_A_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 22848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_A_H),
     /* 22851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22853 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22855 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22857 */     GIR_RootConstrainSelectedInstOperands,
     /* 22858 */     // GIR_Coverage, 496,
     /* 22858 */     GIR_EraseRootFromParent_Done,
     /* 22859 */   // Label 706: @22859
     /* 22859 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(22904), // Rule ID 497 //
     /* 22864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_a_w),
     /* 22872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 22875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 22878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 22881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 22885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 22889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 22893 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7611:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (ADDS_A_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 22893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_A_W),
     /* 22896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22898 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22900 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22902 */     GIR_RootConstrainSelectedInstOperands,
     /* 22903 */     // GIR_Coverage, 497,
     /* 22903 */     GIR_EraseRootFromParent_Done,
     /* 22904 */   // Label 707: @22904
     /* 22904 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(22949), // Rule ID 498 //
     /* 22909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_a_d),
     /* 22917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 22920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 22923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 22926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 22930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 22934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 22938 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7609:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (ADDS_A_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 22938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_A_D),
     /* 22941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22943 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22945 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22947 */     GIR_RootConstrainSelectedInstOperands,
     /* 22948 */     // GIR_Coverage, 498,
     /* 22948 */     GIR_EraseRootFromParent_Done,
     /* 22949 */   // Label 708: @22949
     /* 22949 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(22994), // Rule ID 499 //
     /* 22954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 22957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_s_b),
     /* 22962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 22965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 22968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 22971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 22983 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7612:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (ADDS_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 22983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_S_B),
     /* 22986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 22988 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 22990 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 22992 */     GIR_RootConstrainSelectedInstOperands,
     /* 22993 */     // GIR_Coverage, 499,
     /* 22993 */     GIR_EraseRootFromParent_Done,
     /* 22994 */   // Label 709: @22994
     /* 22994 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(23039), // Rule ID 500 //
     /* 22999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_s_h),
     /* 23007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 23010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 23013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 23016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23028 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7614:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (ADDS_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 23028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_S_H),
     /* 23031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23033 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23035 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23037 */     GIR_RootConstrainSelectedInstOperands,
     /* 23038 */     // GIR_Coverage, 500,
     /* 23038 */     GIR_EraseRootFromParent_Done,
     /* 23039 */   // Label 710: @23039
     /* 23039 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(23084), // Rule ID 501 //
     /* 23044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_s_w),
     /* 23052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 23055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 23058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 23061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23073 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7615:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (ADDS_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 23073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_S_W),
     /* 23076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23078 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23080 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23082 */     GIR_RootConstrainSelectedInstOperands,
     /* 23083 */     // GIR_Coverage, 501,
     /* 23083 */     GIR_EraseRootFromParent_Done,
     /* 23084 */   // Label 711: @23084
     /* 23084 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(23129), // Rule ID 502 //
     /* 23089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_s_d),
     /* 23097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 23100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 23103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 23106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23118 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7613:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (ADDS_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 23118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_S_D),
     /* 23121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23123 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23125 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23127 */     GIR_RootConstrainSelectedInstOperands,
     /* 23128 */     // GIR_Coverage, 502,
     /* 23128 */     GIR_EraseRootFromParent_Done,
     /* 23129 */   // Label 712: @23129
     /* 23129 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(23174), // Rule ID 503 //
     /* 23134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_u_b),
     /* 23142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 23145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 23148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 23151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23163 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7616:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (ADDS_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 23163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_U_B),
     /* 23166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23168 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23170 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23172 */     GIR_RootConstrainSelectedInstOperands,
     /* 23173 */     // GIR_Coverage, 503,
     /* 23173 */     GIR_EraseRootFromParent_Done,
     /* 23174 */   // Label 713: @23174
     /* 23174 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(23219), // Rule ID 504 //
     /* 23179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_u_h),
     /* 23187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 23190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 23193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 23196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23208 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7618:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (ADDS_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 23208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_U_H),
     /* 23211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23213 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23215 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23217 */     GIR_RootConstrainSelectedInstOperands,
     /* 23218 */     // GIR_Coverage, 504,
     /* 23218 */     GIR_EraseRootFromParent_Done,
     /* 23219 */   // Label 714: @23219
     /* 23219 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(23264), // Rule ID 505 //
     /* 23224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_u_w),
     /* 23232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 23235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 23238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 23241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23253 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7619:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (ADDS_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 23253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_U_W),
     /* 23256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23258 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23260 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23262 */     GIR_RootConstrainSelectedInstOperands,
     /* 23263 */     // GIR_Coverage, 505,
     /* 23263 */     GIR_EraseRootFromParent_Done,
     /* 23264 */   // Label 715: @23264
     /* 23264 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(23309), // Rule ID 506 //
     /* 23269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adds_u_d),
     /* 23277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 23280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 23283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 23286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23298 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7617:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (ADDS_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 23298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDS_U_D),
     /* 23301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23303 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23305 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23307 */     GIR_RootConstrainSelectedInstOperands,
     /* 23308 */     // GIR_Coverage, 506,
     /* 23308 */     GIR_EraseRootFromParent_Done,
     /* 23309 */   // Label 716: @23309
     /* 23309 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(23354), // Rule ID 520 //
     /* 23314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_s_b),
     /* 23322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 23325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 23328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 23331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23343 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7639:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (ASUB_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 23343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_S_B),
     /* 23346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23348 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23350 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23352 */     GIR_RootConstrainSelectedInstOperands,
     /* 23353 */     // GIR_Coverage, 520,
     /* 23353 */     GIR_EraseRootFromParent_Done,
     /* 23354 */   // Label 717: @23354
     /* 23354 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(23399), // Rule ID 521 //
     /* 23359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_s_h),
     /* 23367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 23370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 23373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 23376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23388 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7641:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (ASUB_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 23388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_S_H),
     /* 23391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23393 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23395 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23397 */     GIR_RootConstrainSelectedInstOperands,
     /* 23398 */     // GIR_Coverage, 521,
     /* 23398 */     GIR_EraseRootFromParent_Done,
     /* 23399 */   // Label 718: @23399
     /* 23399 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(23444), // Rule ID 522 //
     /* 23404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_s_w),
     /* 23412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 23415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 23418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 23421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23433 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7642:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (ASUB_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 23433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_S_W),
     /* 23436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23438 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23440 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23442 */     GIR_RootConstrainSelectedInstOperands,
     /* 23443 */     // GIR_Coverage, 522,
     /* 23443 */     GIR_EraseRootFromParent_Done,
     /* 23444 */   // Label 719: @23444
     /* 23444 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(23489), // Rule ID 523 //
     /* 23449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_s_d),
     /* 23457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 23460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 23463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 23466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23478 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7640:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (ASUB_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 23478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_S_D),
     /* 23481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23483 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23485 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23487 */     GIR_RootConstrainSelectedInstOperands,
     /* 23488 */     // GIR_Coverage, 523,
     /* 23488 */     GIR_EraseRootFromParent_Done,
     /* 23489 */   // Label 720: @23489
     /* 23489 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(23534), // Rule ID 524 //
     /* 23494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_u_b),
     /* 23502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 23505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 23508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 23511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23523 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7643:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (ASUB_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 23523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_U_B),
     /* 23526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23528 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23530 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23532 */     GIR_RootConstrainSelectedInstOperands,
     /* 23533 */     // GIR_Coverage, 524,
     /* 23533 */     GIR_EraseRootFromParent_Done,
     /* 23534 */   // Label 721: @23534
     /* 23534 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(23579), // Rule ID 525 //
     /* 23539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_u_h),
     /* 23547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 23550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 23553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 23556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23568 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7645:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (ASUB_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 23568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_U_H),
     /* 23571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23573 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23575 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23577 */     GIR_RootConstrainSelectedInstOperands,
     /* 23578 */     // GIR_Coverage, 525,
     /* 23578 */     GIR_EraseRootFromParent_Done,
     /* 23579 */   // Label 722: @23579
     /* 23579 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(23624), // Rule ID 526 //
     /* 23584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_u_w),
     /* 23592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 23595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 23598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 23601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23613 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7646:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (ASUB_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 23613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_U_W),
     /* 23616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23618 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23620 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23622 */     GIR_RootConstrainSelectedInstOperands,
     /* 23623 */     // GIR_Coverage, 526,
     /* 23623 */     GIR_EraseRootFromParent_Done,
     /* 23624 */   // Label 723: @23624
     /* 23624 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(23669), // Rule ID 527 //
     /* 23629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_asub_u_d),
     /* 23637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 23640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 23643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 23646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23658 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7644:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (ASUB_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 23658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ASUB_U_D),
     /* 23661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23663 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23665 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23667 */     GIR_RootConstrainSelectedInstOperands,
     /* 23668 */     // GIR_Coverage, 527,
     /* 23668 */     GIR_EraseRootFromParent_Done,
     /* 23669 */   // Label 724: @23669
     /* 23669 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(23714), // Rule ID 528 //
     /* 23674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_s_b),
     /* 23682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 23685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 23688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 23691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23703 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7647:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (AVE_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 23703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_S_B),
     /* 23706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23708 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23710 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23712 */     GIR_RootConstrainSelectedInstOperands,
     /* 23713 */     // GIR_Coverage, 528,
     /* 23713 */     GIR_EraseRootFromParent_Done,
     /* 23714 */   // Label 725: @23714
     /* 23714 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(23759), // Rule ID 529 //
     /* 23719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_s_h),
     /* 23727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 23730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 23733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 23736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23748 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7649:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (AVE_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 23748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_S_H),
     /* 23751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23753 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23755 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23757 */     GIR_RootConstrainSelectedInstOperands,
     /* 23758 */     // GIR_Coverage, 529,
     /* 23758 */     GIR_EraseRootFromParent_Done,
     /* 23759 */   // Label 726: @23759
     /* 23759 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(23804), // Rule ID 530 //
     /* 23764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_s_w),
     /* 23772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 23775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 23778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 23781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23793 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7650:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (AVE_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 23793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_S_W),
     /* 23796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23798 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23800 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23802 */     GIR_RootConstrainSelectedInstOperands,
     /* 23803 */     // GIR_Coverage, 530,
     /* 23803 */     GIR_EraseRootFromParent_Done,
     /* 23804 */   // Label 727: @23804
     /* 23804 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(23849), // Rule ID 531 //
     /* 23809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_s_d),
     /* 23817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 23820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 23823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 23826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 23838 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7648:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (AVE_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 23838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_S_D),
     /* 23841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23843 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23845 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23847 */     GIR_RootConstrainSelectedInstOperands,
     /* 23848 */     // GIR_Coverage, 531,
     /* 23848 */     GIR_EraseRootFromParent_Done,
     /* 23849 */   // Label 728: @23849
     /* 23849 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(23894), // Rule ID 532 //
     /* 23854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_u_b),
     /* 23862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 23865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 23868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 23871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 23883 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7651:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (AVE_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 23883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_U_B),
     /* 23886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23888 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23890 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23892 */     GIR_RootConstrainSelectedInstOperands,
     /* 23893 */     // GIR_Coverage, 532,
     /* 23893 */     GIR_EraseRootFromParent_Done,
     /* 23894 */   // Label 729: @23894
     /* 23894 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(23939), // Rule ID 533 //
     /* 23899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_u_h),
     /* 23907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 23910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 23913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 23916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 23928 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7653:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (AVE_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 23928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_U_H),
     /* 23931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23933 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23935 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23937 */     GIR_RootConstrainSelectedInstOperands,
     /* 23938 */     // GIR_Coverage, 533,
     /* 23938 */     GIR_EraseRootFromParent_Done,
     /* 23939 */   // Label 730: @23939
     /* 23939 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(23984), // Rule ID 534 //
     /* 23944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_u_w),
     /* 23952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 23955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 23958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 23961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 23973 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7654:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (AVE_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 23973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_U_W),
     /* 23976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 23978 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 23980 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 23982 */     GIR_RootConstrainSelectedInstOperands,
     /* 23983 */     // GIR_Coverage, 534,
     /* 23983 */     GIR_EraseRootFromParent_Done,
     /* 23984 */   // Label 731: @23984
     /* 23984 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(24029), // Rule ID 535 //
     /* 23989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 23992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ave_u_d),
     /* 23997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 24003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 24006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24018 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7652:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (AVE_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 24018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVE_U_D),
     /* 24021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24023 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24025 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24027 */     GIR_RootConstrainSelectedInstOperands,
     /* 24028 */     // GIR_Coverage, 535,
     /* 24028 */     GIR_EraseRootFromParent_Done,
     /* 24029 */   // Label 732: @24029
     /* 24029 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(24074), // Rule ID 536 //
     /* 24034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_s_b),
     /* 24042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 24045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 24048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 24051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24063 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7655:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (AVER_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 24063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_S_B),
     /* 24066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24068 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24070 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24072 */     GIR_RootConstrainSelectedInstOperands,
     /* 24073 */     // GIR_Coverage, 536,
     /* 24073 */     GIR_EraseRootFromParent_Done,
     /* 24074 */   // Label 733: @24074
     /* 24074 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(24119), // Rule ID 537 //
     /* 24079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_s_h),
     /* 24087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 24090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 24093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 24096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24108 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7657:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (AVER_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 24108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_S_H),
     /* 24111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24113 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24115 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24117 */     GIR_RootConstrainSelectedInstOperands,
     /* 24118 */     // GIR_Coverage, 537,
     /* 24118 */     GIR_EraseRootFromParent_Done,
     /* 24119 */   // Label 734: @24119
     /* 24119 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(24164), // Rule ID 538 //
     /* 24124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_s_w),
     /* 24132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24153 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7658:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (AVER_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 24153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_S_W),
     /* 24156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24158 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24160 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24162 */     GIR_RootConstrainSelectedInstOperands,
     /* 24163 */     // GIR_Coverage, 538,
     /* 24163 */     GIR_EraseRootFromParent_Done,
     /* 24164 */   // Label 735: @24164
     /* 24164 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(24209), // Rule ID 539 //
     /* 24169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_s_d),
     /* 24177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 24183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 24186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24198 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7656:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (AVER_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 24198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_S_D),
     /* 24201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24203 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24205 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24207 */     GIR_RootConstrainSelectedInstOperands,
     /* 24208 */     // GIR_Coverage, 539,
     /* 24208 */     GIR_EraseRootFromParent_Done,
     /* 24209 */   // Label 736: @24209
     /* 24209 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(24254), // Rule ID 540 //
     /* 24214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_u_b),
     /* 24222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 24225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 24228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 24231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24243 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7659:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (AVER_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 24243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_U_B),
     /* 24246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24248 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24250 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24252 */     GIR_RootConstrainSelectedInstOperands,
     /* 24253 */     // GIR_Coverage, 540,
     /* 24253 */     GIR_EraseRootFromParent_Done,
     /* 24254 */   // Label 737: @24254
     /* 24254 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(24299), // Rule ID 541 //
     /* 24259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_u_h),
     /* 24267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 24270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 24273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 24276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24288 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7661:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (AVER_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 24288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_U_H),
     /* 24291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24293 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24295 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24297 */     GIR_RootConstrainSelectedInstOperands,
     /* 24298 */     // GIR_Coverage, 541,
     /* 24298 */     GIR_EraseRootFromParent_Done,
     /* 24299 */   // Label 738: @24299
     /* 24299 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(24344), // Rule ID 542 //
     /* 24304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_u_w),
     /* 24312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24333 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7662:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (AVER_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 24333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_U_W),
     /* 24336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24338 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24340 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24342 */     GIR_RootConstrainSelectedInstOperands,
     /* 24343 */     // GIR_Coverage, 542,
     /* 24343 */     GIR_EraseRootFromParent_Done,
     /* 24344 */   // Label 739: @24344
     /* 24344 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(24389), // Rule ID 543 //
     /* 24349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_aver_u_d),
     /* 24357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 24363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 24366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24378 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7660:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (AVER_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 24378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::AVER_U_D),
     /* 24381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24383 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24385 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24387 */     GIR_RootConstrainSelectedInstOperands,
     /* 24388 */     // GIR_Coverage, 543,
     /* 24388 */     GIR_EraseRootFromParent_Done,
     /* 24389 */   // Label 740: @24389
     /* 24389 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(24434), // Rule ID 652 //
     /* 24394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dotp_s_h),
     /* 24402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 24405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 24408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 24411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24423 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7794:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DOTP_S_H:{ *:[v8i16] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 24423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DOTP_S_H),
     /* 24426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24428 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24430 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24432 */     GIR_RootConstrainSelectedInstOperands,
     /* 24433 */     // GIR_Coverage, 652,
     /* 24433 */     GIR_EraseRootFromParent_Done,
     /* 24434 */   // Label 741: @24434
     /* 24434 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(24479), // Rule ID 653 //
     /* 24439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dotp_s_w),
     /* 24447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 24453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 24456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24468 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7795:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DOTP_S_W:{ *:[v4i32] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 24468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DOTP_S_W),
     /* 24471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24473 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24475 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24477 */     GIR_RootConstrainSelectedInstOperands,
     /* 24478 */     // GIR_Coverage, 653,
     /* 24478 */     GIR_EraseRootFromParent_Done,
     /* 24479 */   // Label 742: @24479
     /* 24479 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(24524), // Rule ID 654 //
     /* 24484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dotp_s_d),
     /* 24492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24513 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7793:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DOTP_S_D:{ *:[v2i64] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 24513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DOTP_S_D),
     /* 24516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24518 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24520 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24522 */     GIR_RootConstrainSelectedInstOperands,
     /* 24523 */     // GIR_Coverage, 654,
     /* 24523 */     GIR_EraseRootFromParent_Done,
     /* 24524 */   // Label 743: @24524
     /* 24524 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(24569), // Rule ID 655 //
     /* 24529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dotp_u_h),
     /* 24537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 24540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 24543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 24546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 24558 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7797:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DOTP_U_H:{ *:[v8i16] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 24558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DOTP_U_H),
     /* 24561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24563 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24565 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24567 */     GIR_RootConstrainSelectedInstOperands,
     /* 24568 */     // GIR_Coverage, 655,
     /* 24568 */     GIR_EraseRootFromParent_Done,
     /* 24569 */   // Label 744: @24569
     /* 24569 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(24614), // Rule ID 656 //
     /* 24574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dotp_u_w),
     /* 24582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 24588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 24591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24603 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7798:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DOTP_U_W:{ *:[v4i32] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 24603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DOTP_U_W),
     /* 24606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24608 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24610 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24612 */     GIR_RootConstrainSelectedInstOperands,
     /* 24613 */     // GIR_Coverage, 656,
     /* 24613 */     GIR_EraseRootFromParent_Done,
     /* 24614 */   // Label 745: @24614
     /* 24614 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(24659), // Rule ID 657 //
     /* 24619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dotp_u_d),
     /* 24627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24648 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7796:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DOTP_U_D:{ *:[v2i64] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 24648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DOTP_U_D),
     /* 24651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24653 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24655 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24657 */     GIR_RootConstrainSelectedInstOperands,
     /* 24658 */     // GIR_Coverage, 657,
     /* 24658 */     GIR_EraseRootFromParent_Done,
     /* 24659 */   // Label 746: @24659
     /* 24659 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(24704), // Rule ID 672 //
     /* 24664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fcaf_w),
     /* 24672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24693 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7836:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FCAF_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 24693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FCAF_W),
     /* 24696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24698 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24700 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24702 */     GIR_RootConstrainSelectedInstOperands,
     /* 24703 */     // GIR_Coverage, 672,
     /* 24703 */     GIR_EraseRootFromParent_Done,
     /* 24704 */   // Label 747: @24704
     /* 24704 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(24749), // Rule ID 673 //
     /* 24709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fcaf_d),
     /* 24717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 24723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 24726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24738 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7835:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FCAF_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 24738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FCAF_D),
     /* 24741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24743 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24745 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24747 */     GIR_RootConstrainSelectedInstOperands,
     /* 24748 */     // GIR_Coverage, 673,
     /* 24748 */     GIR_EraseRootFromParent_Done,
     /* 24749 */   // Label 748: @24749
     /* 24749 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(24794), // Rule ID 698 //
     /* 24754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fexdo_h),
     /* 24762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 24765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 24775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24783 */     // (intrinsic_wo_chain:{ *:[v8f16] } 7861:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FEXDO_H:{ *:[v8f16] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 24783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXDO_H),
     /* 24786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24788 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24790 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24792 */     GIR_RootConstrainSelectedInstOperands,
     /* 24793 */     // GIR_Coverage, 698,
     /* 24793 */     GIR_EraseRootFromParent_Done,
     /* 24794 */   // Label 749: @24794
     /* 24794 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(24839), // Rule ID 699 //
     /* 24799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fexdo_w),
     /* 24807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 24813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 24816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24828 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7862:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FEXDO_W:{ *:[v4f32] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 24828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXDO_W),
     /* 24831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24833 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24835 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24837 */     GIR_RootConstrainSelectedInstOperands,
     /* 24838 */     // GIR_Coverage, 699,
     /* 24838 */     GIR_EraseRootFromParent_Done,
     /* 24839 */   // Label 750: @24839
     /* 24839 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(24884), // Rule ID 726 //
     /* 24844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmax_w),
     /* 24852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24873 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7888:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FMAX_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 24873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMAX_W),
     /* 24876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24878 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24880 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24882 */     GIR_RootConstrainSelectedInstOperands,
     /* 24883 */     // GIR_Coverage, 726,
     /* 24883 */     GIR_EraseRootFromParent_Done,
     /* 24884 */   // Label 751: @24884
     /* 24884 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(24929), // Rule ID 727 //
     /* 24889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmax_d),
     /* 24897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 24903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 24906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 24918 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7887:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FMAX_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 24918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMAX_D),
     /* 24921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24923 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24925 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24927 */     GIR_RootConstrainSelectedInstOperands,
     /* 24928 */     // GIR_Coverage, 727,
     /* 24928 */     GIR_EraseRootFromParent_Done,
     /* 24929 */   // Label 752: @24929
     /* 24929 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(24974), // Rule ID 728 //
     /* 24934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmax_a_w),
     /* 24942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 24945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 24948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 24951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 24963 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7886:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FMAX_A_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 24963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMAX_A_W),
     /* 24966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 24968 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 24970 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 24972 */     GIR_RootConstrainSelectedInstOperands,
     /* 24973 */     // GIR_Coverage, 728,
     /* 24973 */     GIR_EraseRootFromParent_Done,
     /* 24974 */   // Label 753: @24974
     /* 24974 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(25019), // Rule ID 729 //
     /* 24979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 24982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmax_a_d),
     /* 24987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 24990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 24993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 24996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25008 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7885:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FMAX_A_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMAX_A_D),
     /* 25011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25013 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25015 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25017 */     GIR_RootConstrainSelectedInstOperands,
     /* 25018 */     // GIR_Coverage, 729,
     /* 25018 */     GIR_EraseRootFromParent_Done,
     /* 25019 */   // Label 754: @25019
     /* 25019 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(25064), // Rule ID 730 //
     /* 25024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmin_w),
     /* 25032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25053 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7892:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FMIN_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMIN_W),
     /* 25056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25058 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25060 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25062 */     GIR_RootConstrainSelectedInstOperands,
     /* 25063 */     // GIR_Coverage, 730,
     /* 25063 */     GIR_EraseRootFromParent_Done,
     /* 25064 */   // Label 755: @25064
     /* 25064 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(25109), // Rule ID 731 //
     /* 25069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmin_d),
     /* 25077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25098 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7891:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FMIN_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMIN_D),
     /* 25101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25103 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25105 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25107 */     GIR_RootConstrainSelectedInstOperands,
     /* 25108 */     // GIR_Coverage, 731,
     /* 25108 */     GIR_EraseRootFromParent_Done,
     /* 25109 */   // Label 756: @25109
     /* 25109 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(25154), // Rule ID 732 //
     /* 25114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmin_a_w),
     /* 25122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25143 */     // (intrinsic_wo_chain:{ *:[v4f32] } 7890:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FMIN_A_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMIN_A_W),
     /* 25146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25148 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25150 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25152 */     GIR_RootConstrainSelectedInstOperands,
     /* 25153 */     // GIR_Coverage, 732,
     /* 25153 */     GIR_EraseRootFromParent_Done,
     /* 25154 */   // Label 757: @25154
     /* 25154 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(25199), // Rule ID 733 //
     /* 25159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fmin_a_d),
     /* 25167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25188 */     // (intrinsic_wo_chain:{ *:[v2f64] } 7889:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FMIN_A_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMIN_A_D),
     /* 25191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25193 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25195 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25197 */     GIR_RootConstrainSelectedInstOperands,
     /* 25198 */     // GIR_Coverage, 733,
     /* 25198 */     GIR_EraseRootFromParent_Done,
     /* 25199 */   // Label 758: @25199
     /* 25199 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(25244), // Rule ID 744 //
     /* 25204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsaf_w),
     /* 25212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25233 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7904:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSAF_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSAF_W),
     /* 25236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25238 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25240 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25242 */     GIR_RootConstrainSelectedInstOperands,
     /* 25243 */     // GIR_Coverage, 744,
     /* 25243 */     GIR_EraseRootFromParent_Done,
     /* 25244 */   // Label 759: @25244
     /* 25244 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(25289), // Rule ID 745 //
     /* 25249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsaf_d),
     /* 25257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25278 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7903:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSAF_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSAF_D),
     /* 25281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25283 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25285 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25287 */     GIR_RootConstrainSelectedInstOperands,
     /* 25288 */     // GIR_Coverage, 745,
     /* 25288 */     GIR_EraseRootFromParent_Done,
     /* 25289 */   // Label 760: @25289
     /* 25289 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(25334), // Rule ID 746 //
     /* 25294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fseq_w),
     /* 25302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25323 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7906:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSEQ_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSEQ_W),
     /* 25326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25328 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25330 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25332 */     GIR_RootConstrainSelectedInstOperands,
     /* 25333 */     // GIR_Coverage, 746,
     /* 25333 */     GIR_EraseRootFromParent_Done,
     /* 25334 */   // Label 761: @25334
     /* 25334 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(25379), // Rule ID 747 //
     /* 25339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fseq_d),
     /* 25347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25368 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7905:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSEQ_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSEQ_D),
     /* 25371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25373 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25375 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25377 */     GIR_RootConstrainSelectedInstOperands,
     /* 25378 */     // GIR_Coverage, 747,
     /* 25378 */     GIR_EraseRootFromParent_Done,
     /* 25379 */   // Label 762: @25379
     /* 25379 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(25424), // Rule ID 748 //
     /* 25384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsle_w),
     /* 25392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25413 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7908:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSLE_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSLE_W),
     /* 25416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25418 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25420 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25422 */     GIR_RootConstrainSelectedInstOperands,
     /* 25423 */     // GIR_Coverage, 748,
     /* 25423 */     GIR_EraseRootFromParent_Done,
     /* 25424 */   // Label 763: @25424
     /* 25424 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(25469), // Rule ID 749 //
     /* 25429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsle_d),
     /* 25437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25458 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7907:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSLE_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSLE_D),
     /* 25461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25463 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25465 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25467 */     GIR_RootConstrainSelectedInstOperands,
     /* 25468 */     // GIR_Coverage, 749,
     /* 25468 */     GIR_EraseRootFromParent_Done,
     /* 25469 */   // Label 764: @25469
     /* 25469 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(25514), // Rule ID 750 //
     /* 25474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fslt_w),
     /* 25482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25503 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7910:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSLT_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSLT_W),
     /* 25506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25508 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25510 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25512 */     GIR_RootConstrainSelectedInstOperands,
     /* 25513 */     // GIR_Coverage, 750,
     /* 25513 */     GIR_EraseRootFromParent_Done,
     /* 25514 */   // Label 765: @25514
     /* 25514 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(25559), // Rule ID 751 //
     /* 25519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fslt_d),
     /* 25527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25548 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7909:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSLT_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSLT_D),
     /* 25551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25553 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25555 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25557 */     GIR_RootConstrainSelectedInstOperands,
     /* 25558 */     // GIR_Coverage, 751,
     /* 25558 */     GIR_EraseRootFromParent_Done,
     /* 25559 */   // Label 766: @25559
     /* 25559 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(25604), // Rule ID 752 //
     /* 25564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsne_w),
     /* 25572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25593 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7912:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSNE_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSNE_W),
     /* 25596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25598 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25600 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25602 */     GIR_RootConstrainSelectedInstOperands,
     /* 25603 */     // GIR_Coverage, 752,
     /* 25603 */     GIR_EraseRootFromParent_Done,
     /* 25604 */   // Label 767: @25604
     /* 25604 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(25649), // Rule ID 753 //
     /* 25609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsne_d),
     /* 25617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25638 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7911:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSNE_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSNE_D),
     /* 25641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25643 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25645 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25647 */     GIR_RootConstrainSelectedInstOperands,
     /* 25648 */     // GIR_Coverage, 753,
     /* 25648 */     GIR_EraseRootFromParent_Done,
     /* 25649 */   // Label 768: @25649
     /* 25649 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(25694), // Rule ID 754 //
     /* 25654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsor_w),
     /* 25662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25683 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7914:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSOR_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSOR_W),
     /* 25686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25688 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25690 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25692 */     GIR_RootConstrainSelectedInstOperands,
     /* 25693 */     // GIR_Coverage, 754,
     /* 25693 */     GIR_EraseRootFromParent_Done,
     /* 25694 */   // Label 769: @25694
     /* 25694 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(25739), // Rule ID 755 //
     /* 25699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsor_d),
     /* 25707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25728 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7913:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSOR_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSOR_D),
     /* 25731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25733 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25735 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25737 */     GIR_RootConstrainSelectedInstOperands,
     /* 25738 */     // GIR_Coverage, 755,
     /* 25738 */     GIR_EraseRootFromParent_Done,
     /* 25739 */   // Label 770: @25739
     /* 25739 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(25784), // Rule ID 760 //
     /* 25744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsueq_w),
     /* 25752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25773 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7920:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSUEQ_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSUEQ_W),
     /* 25776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25778 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25780 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25782 */     GIR_RootConstrainSelectedInstOperands,
     /* 25783 */     // GIR_Coverage, 760,
     /* 25783 */     GIR_EraseRootFromParent_Done,
     /* 25784 */   // Label 771: @25784
     /* 25784 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(25829), // Rule ID 761 //
     /* 25789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsueq_d),
     /* 25797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25818 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7919:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSUEQ_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSUEQ_D),
     /* 25821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25823 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25825 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25827 */     GIR_RootConstrainSelectedInstOperands,
     /* 25828 */     // GIR_Coverage, 761,
     /* 25828 */     GIR_EraseRootFromParent_Done,
     /* 25829 */   // Label 772: @25829
     /* 25829 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(25874), // Rule ID 762 //
     /* 25834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsule_w),
     /* 25842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25863 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7922:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSULE_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSULE_W),
     /* 25866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25868 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25870 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25872 */     GIR_RootConstrainSelectedInstOperands,
     /* 25873 */     // GIR_Coverage, 762,
     /* 25873 */     GIR_EraseRootFromParent_Done,
     /* 25874 */   // Label 773: @25874
     /* 25874 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(25919), // Rule ID 763 //
     /* 25879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsule_d),
     /* 25887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25908 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7921:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSULE_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSULE_D),
     /* 25911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25913 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25915 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25917 */     GIR_RootConstrainSelectedInstOperands,
     /* 25918 */     // GIR_Coverage, 763,
     /* 25918 */     GIR_EraseRootFromParent_Done,
     /* 25919 */   // Label 774: @25919
     /* 25919 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(25964), // Rule ID 764 //
     /* 25924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsult_w),
     /* 25932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 25935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 25938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 25941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 25953 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7924:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSULT_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 25953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSULT_W),
     /* 25956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 25958 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 25960 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 25962 */     GIR_RootConstrainSelectedInstOperands,
     /* 25963 */     // GIR_Coverage, 764,
     /* 25963 */     GIR_EraseRootFromParent_Done,
     /* 25964 */   // Label 775: @25964
     /* 25964 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(26009), // Rule ID 765 //
     /* 25969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 25972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsult_d),
     /* 25977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 25980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 25983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 25986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 25998 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7923:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSULT_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 25998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSULT_D),
     /* 26001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26003 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26005 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26007 */     GIR_RootConstrainSelectedInstOperands,
     /* 26008 */     // GIR_Coverage, 765,
     /* 26008 */     GIR_EraseRootFromParent_Done,
     /* 26009 */   // Label 776: @26009
     /* 26009 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(26054), // Rule ID 766 //
     /* 26014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsun_w),
     /* 26022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26043 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7926:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSUN_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 26043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSUN_W),
     /* 26046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26048 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26050 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26052 */     GIR_RootConstrainSelectedInstOperands,
     /* 26053 */     // GIR_Coverage, 766,
     /* 26053 */     GIR_EraseRootFromParent_Done,
     /* 26054 */   // Label 777: @26054
     /* 26054 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(26099), // Rule ID 767 //
     /* 26059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsun_d),
     /* 26067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 26070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 26073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 26076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26088 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7925:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSUN_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 26088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSUN_D),
     /* 26091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26093 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26095 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26097 */     GIR_RootConstrainSelectedInstOperands,
     /* 26098 */     // GIR_Coverage, 767,
     /* 26098 */     GIR_EraseRootFromParent_Done,
     /* 26099 */   // Label 778: @26099
     /* 26099 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(26144), // Rule ID 768 //
     /* 26104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsune_w),
     /* 26112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26133 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7928:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSUNE_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 26133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSUNE_W),
     /* 26136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26138 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26140 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26142 */     GIR_RootConstrainSelectedInstOperands,
     /* 26143 */     // GIR_Coverage, 768,
     /* 26143 */     GIR_EraseRootFromParent_Done,
     /* 26144 */   // Label 779: @26144
     /* 26144 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(26189), // Rule ID 769 //
     /* 26149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_fsune_d),
     /* 26157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 26160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 26163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 26166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26178 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7927:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSUNE_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 26178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSUNE_D),
     /* 26181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26183 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26185 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26187 */     GIR_RootConstrainSelectedInstOperands,
     /* 26188 */     // GIR_Coverage, 769,
     /* 26188 */     GIR_EraseRootFromParent_Done,
     /* 26189 */   // Label 780: @26189
     /* 26189 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(26234), // Rule ID 774 //
     /* 26194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ftq_h),
     /* 26202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 26205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26223 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7933:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FTQ_H:{ *:[v8i16] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 26223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FTQ_H),
     /* 26226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26228 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26230 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26232 */     GIR_RootConstrainSelectedInstOperands,
     /* 26233 */     // GIR_Coverage, 774,
     /* 26233 */     GIR_EraseRootFromParent_Done,
     /* 26234 */   // Label 781: @26234
     /* 26234 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(26279), // Rule ID 775 //
     /* 26239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ftq_w),
     /* 26247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 26253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 26256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26268 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7934:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FTQ_W:{ *:[v4i32] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 26268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FTQ_W),
     /* 26271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26273 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26275 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26277 */     GIR_RootConstrainSelectedInstOperands,
     /* 26278 */     // GIR_Coverage, 775,
     /* 26278 */     GIR_EraseRootFromParent_Done,
     /* 26279 */   // Label 782: @26279
     /* 26279 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(26324), // Rule ID 780 //
     /* 26284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hadd_s_h),
     /* 26292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 26295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 26298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 26301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26313 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7940:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (HADD_S_H:{ *:[v8i16] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 26313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HADD_S_H),
     /* 26316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26318 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26320 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26322 */     GIR_RootConstrainSelectedInstOperands,
     /* 26323 */     // GIR_Coverage, 780,
     /* 26323 */     GIR_EraseRootFromParent_Done,
     /* 26324 */   // Label 783: @26324
     /* 26324 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(26369), // Rule ID 781 //
     /* 26329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hadd_s_w),
     /* 26337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 26343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 26346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26358 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7941:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (HADD_S_W:{ *:[v4i32] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 26358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HADD_S_W),
     /* 26361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26363 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26365 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26367 */     GIR_RootConstrainSelectedInstOperands,
     /* 26368 */     // GIR_Coverage, 781,
     /* 26368 */     GIR_EraseRootFromParent_Done,
     /* 26369 */   // Label 784: @26369
     /* 26369 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(26414), // Rule ID 782 //
     /* 26374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hadd_s_d),
     /* 26382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 26385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26403 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7939:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (HADD_S_D:{ *:[v2i64] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 26403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HADD_S_D),
     /* 26406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26408 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26410 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26412 */     GIR_RootConstrainSelectedInstOperands,
     /* 26413 */     // GIR_Coverage, 782,
     /* 26413 */     GIR_EraseRootFromParent_Done,
     /* 26414 */   // Label 785: @26414
     /* 26414 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(26459), // Rule ID 783 //
     /* 26419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hadd_u_h),
     /* 26427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 26430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 26433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 26436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26448 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7943:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (HADD_U_H:{ *:[v8i16] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 26448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HADD_U_H),
     /* 26451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26453 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26455 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26457 */     GIR_RootConstrainSelectedInstOperands,
     /* 26458 */     // GIR_Coverage, 783,
     /* 26458 */     GIR_EraseRootFromParent_Done,
     /* 26459 */   // Label 786: @26459
     /* 26459 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(26504), // Rule ID 784 //
     /* 26464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hadd_u_w),
     /* 26472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 26478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 26481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26493 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7944:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (HADD_U_W:{ *:[v4i32] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 26493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HADD_U_W),
     /* 26496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26498 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26500 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26502 */     GIR_RootConstrainSelectedInstOperands,
     /* 26503 */     // GIR_Coverage, 784,
     /* 26503 */     GIR_EraseRootFromParent_Done,
     /* 26504 */   // Label 787: @26504
     /* 26504 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(26549), // Rule ID 785 //
     /* 26509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hadd_u_d),
     /* 26517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 26520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26538 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7942:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (HADD_U_D:{ *:[v2i64] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 26538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HADD_U_D),
     /* 26541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26543 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26545 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26547 */     GIR_RootConstrainSelectedInstOperands,
     /* 26548 */     // GIR_Coverage, 785,
     /* 26548 */     GIR_EraseRootFromParent_Done,
     /* 26549 */   // Label 788: @26549
     /* 26549 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(26594), // Rule ID 786 //
     /* 26554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hsub_s_h),
     /* 26562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 26565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 26568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 26571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26583 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7946:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (HSUB_S_H:{ *:[v8i16] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 26583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HSUB_S_H),
     /* 26586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26588 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26590 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26592 */     GIR_RootConstrainSelectedInstOperands,
     /* 26593 */     // GIR_Coverage, 786,
     /* 26593 */     GIR_EraseRootFromParent_Done,
     /* 26594 */   // Label 789: @26594
     /* 26594 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(26639), // Rule ID 787 //
     /* 26599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hsub_s_w),
     /* 26607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 26613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 26616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26628 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7947:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (HSUB_S_W:{ *:[v4i32] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 26628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HSUB_S_W),
     /* 26631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26633 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26635 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26637 */     GIR_RootConstrainSelectedInstOperands,
     /* 26638 */     // GIR_Coverage, 787,
     /* 26638 */     GIR_EraseRootFromParent_Done,
     /* 26639 */   // Label 790: @26639
     /* 26639 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(26684), // Rule ID 788 //
     /* 26644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hsub_s_d),
     /* 26652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 26655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26673 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7945:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (HSUB_S_D:{ *:[v2i64] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 26673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HSUB_S_D),
     /* 26676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26678 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26680 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26682 */     GIR_RootConstrainSelectedInstOperands,
     /* 26683 */     // GIR_Coverage, 788,
     /* 26683 */     GIR_EraseRootFromParent_Done,
     /* 26684 */   // Label 791: @26684
     /* 26684 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(26729), // Rule ID 789 //
     /* 26689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hsub_u_h),
     /* 26697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 26700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 26703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 26706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26718 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7949:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (HSUB_U_H:{ *:[v8i16] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 26718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HSUB_U_H),
     /* 26721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26723 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26725 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26727 */     GIR_RootConstrainSelectedInstOperands,
     /* 26728 */     // GIR_Coverage, 789,
     /* 26728 */     GIR_EraseRootFromParent_Done,
     /* 26729 */   // Label 792: @26729
     /* 26729 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(26774), // Rule ID 790 //
     /* 26734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hsub_u_w),
     /* 26742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 26748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 26751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26763 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7950:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (HSUB_U_W:{ *:[v4i32] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 26763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HSUB_U_W),
     /* 26766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26768 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26770 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26772 */     GIR_RootConstrainSelectedInstOperands,
     /* 26773 */     // GIR_Coverage, 790,
     /* 26773 */     GIR_EraseRootFromParent_Done,
     /* 26774 */   // Label 793: @26774
     /* 26774 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(26819), // Rule ID 791 //
     /* 26779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_hsub_u_d),
     /* 26787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 26790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26808 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7948:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (HSUB_U_D:{ *:[v2i64] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 26808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::HSUB_U_D),
     /* 26811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26813 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26815 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26817 */     GIR_RootConstrainSelectedInstOperands,
     /* 26818 */     // GIR_Coverage, 791,
     /* 26818 */     GIR_EraseRootFromParent_Done,
     /* 26819 */   // Label 794: @26819
     /* 26819 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(26864), // Rule ID 844 //
     /* 26824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_max_a_b),
     /* 26832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 26835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 26838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 26841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 26853 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8004:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MAX_A_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 26853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MAX_A_B),
     /* 26856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26858 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26860 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26862 */     GIR_RootConstrainSelectedInstOperands,
     /* 26863 */     // GIR_Coverage, 844,
     /* 26863 */     GIR_EraseRootFromParent_Done,
     /* 26864 */   // Label 795: @26864
     /* 26864 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(26909), // Rule ID 845 //
     /* 26869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_max_a_h),
     /* 26877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 26880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 26883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 26886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 26898 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8006:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MAX_A_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 26898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MAX_A_H),
     /* 26901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26903 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26905 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26907 */     GIR_RootConstrainSelectedInstOperands,
     /* 26908 */     // GIR_Coverage, 845,
     /* 26908 */     GIR_EraseRootFromParent_Done,
     /* 26909 */   // Label 796: @26909
     /* 26909 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(26954), // Rule ID 846 //
     /* 26914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_max_a_w),
     /* 26922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 26925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 26928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 26931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 26943 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8007:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MAX_A_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 26943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MAX_A_W),
     /* 26946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26948 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26950 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26952 */     GIR_RootConstrainSelectedInstOperands,
     /* 26953 */     // GIR_Coverage, 846,
     /* 26953 */     GIR_EraseRootFromParent_Done,
     /* 26954 */   // Label 797: @26954
     /* 26954 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(26999), // Rule ID 847 //
     /* 26959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 26962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_max_a_d),
     /* 26967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 26970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 26973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 26976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 26988 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8005:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MAX_A_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 26988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MAX_A_D),
     /* 26991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 26993 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 26995 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 26997 */     GIR_RootConstrainSelectedInstOperands,
     /* 26998 */     // GIR_Coverage, 847,
     /* 26998 */     GIR_EraseRootFromParent_Done,
     /* 26999 */   // Label 798: @26999
     /* 26999 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(27044), // Rule ID 864 //
     /* 27004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_min_a_b),
     /* 27012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 27015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 27018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 27021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27033 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8024:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MIN_A_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 27033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MIN_A_B),
     /* 27036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27038 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27040 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27042 */     GIR_RootConstrainSelectedInstOperands,
     /* 27043 */     // GIR_Coverage, 864,
     /* 27043 */     GIR_EraseRootFromParent_Done,
     /* 27044 */   // Label 799: @27044
     /* 27044 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(27089), // Rule ID 865 //
     /* 27049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_min_a_h),
     /* 27057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 27060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 27063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 27066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27078 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8026:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MIN_A_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 27078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MIN_A_H),
     /* 27081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27083 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27085 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27087 */     GIR_RootConstrainSelectedInstOperands,
     /* 27088 */     // GIR_Coverage, 865,
     /* 27088 */     GIR_EraseRootFromParent_Done,
     /* 27089 */   // Label 800: @27089
     /* 27089 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(27134), // Rule ID 866 //
     /* 27094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_min_a_w),
     /* 27102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 27105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 27108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 27111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27123 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8027:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MIN_A_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 27123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MIN_A_W),
     /* 27126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27128 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27130 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27132 */     GIR_RootConstrainSelectedInstOperands,
     /* 27133 */     // GIR_Coverage, 866,
     /* 27133 */     GIR_EraseRootFromParent_Done,
     /* 27134 */   // Label 801: @27134
     /* 27134 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(27179), // Rule ID 867 //
     /* 27139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_min_a_d),
     /* 27147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 27150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 27153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 27156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27168 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8025:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MIN_A_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 27168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MIN_A_D),
     /* 27171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27173 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27175 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27177 */     GIR_RootConstrainSelectedInstOperands,
     /* 27178 */     // GIR_Coverage, 867,
     /* 27178 */     GIR_EraseRootFromParent_Done,
     /* 27179 */   // Label 802: @27179
     /* 27179 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(27224), // Rule ID 900 //
     /* 27184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mul_q_h),
     /* 27192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 27195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 27198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 27201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27213 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8066:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MUL_Q_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 27213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MUL_Q_H),
     /* 27216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27218 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27220 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27222 */     GIR_RootConstrainSelectedInstOperands,
     /* 27223 */     // GIR_Coverage, 900,
     /* 27223 */     GIR_EraseRootFromParent_Done,
     /* 27224 */   // Label 803: @27224
     /* 27224 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(27269), // Rule ID 901 //
     /* 27229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mul_q_w),
     /* 27237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 27240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 27243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 27246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27258 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8067:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MUL_Q_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 27258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MUL_Q_W),
     /* 27261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27263 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27265 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27267 */     GIR_RootConstrainSelectedInstOperands,
     /* 27268 */     // GIR_Coverage, 901,
     /* 27268 */     GIR_EraseRootFromParent_Done,
     /* 27269 */   // Label 804: @27269
     /* 27269 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(27314), // Rule ID 902 //
     /* 27274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulr_q_h),
     /* 27282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 27285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 27288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 27291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27303 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8077:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MULR_Q_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 27303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULR_Q_H),
     /* 27306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27308 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27310 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27312 */     GIR_RootConstrainSelectedInstOperands,
     /* 27313 */     // GIR_Coverage, 902,
     /* 27313 */     GIR_EraseRootFromParent_Done,
     /* 27314 */   // Label 805: @27314
     /* 27314 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(27359), // Rule ID 903 //
     /* 27319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulr_q_w),
     /* 27327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 27330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 27333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 27336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27348 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8078:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MULR_Q_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 27348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULR_Q_W),
     /* 27351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27353 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27355 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27357 */     GIR_RootConstrainSelectedInstOperands,
     /* 27358 */     // GIR_Coverage, 903,
     /* 27358 */     GIR_EraseRootFromParent_Done,
     /* 27359 */   // Label 806: @27359
     /* 27359 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(27404), // Rule ID 981 //
     /* 27364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srar_b),
     /* 27372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 27375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 27378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 27381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27393 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8191:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SRAR_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 27393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRAR_B),
     /* 27396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27398 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27400 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27402 */     GIR_RootConstrainSelectedInstOperands,
     /* 27403 */     // GIR_Coverage, 981,
     /* 27403 */     GIR_EraseRootFromParent_Done,
     /* 27404 */   // Label 807: @27404
     /* 27404 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(27449), // Rule ID 982 //
     /* 27409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srar_h),
     /* 27417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 27420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 27423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 27426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27438 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8193:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SRAR_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 27438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRAR_H),
     /* 27441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27443 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27445 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27447 */     GIR_RootConstrainSelectedInstOperands,
     /* 27448 */     // GIR_Coverage, 982,
     /* 27448 */     GIR_EraseRootFromParent_Done,
     /* 27449 */   // Label 808: @27449
     /* 27449 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(27494), // Rule ID 983 //
     /* 27454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srar_w),
     /* 27462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 27465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 27468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 27471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27483 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8194:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SRAR_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 27483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRAR_W),
     /* 27486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27488 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27490 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27492 */     GIR_RootConstrainSelectedInstOperands,
     /* 27493 */     // GIR_Coverage, 983,
     /* 27493 */     GIR_EraseRootFromParent_Done,
     /* 27494 */   // Label 809: @27494
     /* 27494 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(27539), // Rule ID 984 //
     /* 27499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srar_d),
     /* 27507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 27510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 27513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 27516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27528 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8192:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SRAR_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 27528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRAR_D),
     /* 27531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27533 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27535 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27537 */     GIR_RootConstrainSelectedInstOperands,
     /* 27538 */     // GIR_Coverage, 984,
     /* 27538 */     GIR_EraseRootFromParent_Done,
     /* 27539 */   // Label 810: @27539
     /* 27539 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(27584), // Rule ID 997 //
     /* 27544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlr_b),
     /* 27552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 27555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 27558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 27561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27573 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8207:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SRLR_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 27573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLR_B),
     /* 27576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27578 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27580 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27582 */     GIR_RootConstrainSelectedInstOperands,
     /* 27583 */     // GIR_Coverage, 997,
     /* 27583 */     GIR_EraseRootFromParent_Done,
     /* 27584 */   // Label 811: @27584
     /* 27584 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(27629), // Rule ID 998 //
     /* 27589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlr_h),
     /* 27597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 27600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 27603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 27606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27618 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8209:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SRLR_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 27618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLR_H),
     /* 27621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27623 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27625 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27627 */     GIR_RootConstrainSelectedInstOperands,
     /* 27628 */     // GIR_Coverage, 998,
     /* 27628 */     GIR_EraseRootFromParent_Done,
     /* 27629 */   // Label 812: @27629
     /* 27629 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(27674), // Rule ID 999 //
     /* 27634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlr_w),
     /* 27642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 27645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 27648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 27651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27663 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8210:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SRLR_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 27663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLR_W),
     /* 27666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27668 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27670 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27672 */     GIR_RootConstrainSelectedInstOperands,
     /* 27673 */     // GIR_Coverage, 999,
     /* 27673 */     GIR_EraseRootFromParent_Done,
     /* 27674 */   // Label 813: @27674
     /* 27674 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(27719), // Rule ID 1000 //
     /* 27679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_srlr_d),
     /* 27687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 27690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 27693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 27696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27708 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8208:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SRLR_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 27708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRLR_D),
     /* 27711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27713 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27715 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27717 */     GIR_RootConstrainSelectedInstOperands,
     /* 27718 */     // GIR_Coverage, 1000,
     /* 27718 */     GIR_EraseRootFromParent_Done,
     /* 27719 */   // Label 814: @27719
     /* 27719 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(27764), // Rule ID 1009 //
     /* 27724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_s_b),
     /* 27732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 27735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 27738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 27741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27753 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8228:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SUBS_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 27753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_S_B),
     /* 27756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27758 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27760 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27762 */     GIR_RootConstrainSelectedInstOperands,
     /* 27763 */     // GIR_Coverage, 1009,
     /* 27763 */     GIR_EraseRootFromParent_Done,
     /* 27764 */   // Label 815: @27764
     /* 27764 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(27809), // Rule ID 1010 //
     /* 27769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_s_h),
     /* 27777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 27780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 27783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 27786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27798 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8230:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SUBS_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 27798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_S_H),
     /* 27801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27803 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27805 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27807 */     GIR_RootConstrainSelectedInstOperands,
     /* 27808 */     // GIR_Coverage, 1010,
     /* 27808 */     GIR_EraseRootFromParent_Done,
     /* 27809 */   // Label 816: @27809
     /* 27809 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(27854), // Rule ID 1011 //
     /* 27814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_s_w),
     /* 27822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 27825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 27828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 27831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 27843 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8231:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SUBS_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 27843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_S_W),
     /* 27846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27848 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27850 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27852 */     GIR_RootConstrainSelectedInstOperands,
     /* 27853 */     // GIR_Coverage, 1011,
     /* 27853 */     GIR_EraseRootFromParent_Done,
     /* 27854 */   // Label 817: @27854
     /* 27854 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(27899), // Rule ID 1012 //
     /* 27859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_s_d),
     /* 27867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 27870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 27873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 27876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 27888 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8229:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SUBS_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 27888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_S_D),
     /* 27891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27893 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27895 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27897 */     GIR_RootConstrainSelectedInstOperands,
     /* 27898 */     // GIR_Coverage, 1012,
     /* 27898 */     GIR_EraseRootFromParent_Done,
     /* 27899 */   // Label 818: @27899
     /* 27899 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(27944), // Rule ID 1013 //
     /* 27904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_u_b),
     /* 27912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 27915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 27918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 27921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 27933 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8232:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SUBS_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 27933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_U_B),
     /* 27936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27938 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27940 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27942 */     GIR_RootConstrainSelectedInstOperands,
     /* 27943 */     // GIR_Coverage, 1013,
     /* 27943 */     GIR_EraseRootFromParent_Done,
     /* 27944 */   // Label 819: @27944
     /* 27944 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(27989), // Rule ID 1014 //
     /* 27949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_u_h),
     /* 27957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 27960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 27963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 27966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 27978 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8234:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SUBS_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 27978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_U_H),
     /* 27981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 27983 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 27985 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 27987 */     GIR_RootConstrainSelectedInstOperands,
     /* 27988 */     // GIR_Coverage, 1014,
     /* 27988 */     GIR_EraseRootFromParent_Done,
     /* 27989 */   // Label 820: @27989
     /* 27989 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(28034), // Rule ID 1015 //
     /* 27994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 27997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_u_w),
     /* 28002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 28005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 28008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 28011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28023 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8235:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SUBS_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 28023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_U_W),
     /* 28026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28028 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28030 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28032 */     GIR_RootConstrainSelectedInstOperands,
     /* 28033 */     // GIR_Coverage, 1015,
     /* 28033 */     GIR_EraseRootFromParent_Done,
     /* 28034 */   // Label 821: @28034
     /* 28034 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(28079), // Rule ID 1016 //
     /* 28039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subs_u_d),
     /* 28047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 28050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 28053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 28056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28068 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8233:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SUBS_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 28068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBS_U_D),
     /* 28071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28073 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28075 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28077 */     GIR_RootConstrainSelectedInstOperands,
     /* 28078 */     // GIR_Coverage, 1016,
     /* 28078 */     GIR_EraseRootFromParent_Done,
     /* 28079 */   // Label 822: @28079
     /* 28079 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(28124), // Rule ID 1017 //
     /* 28084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsus_u_b),
     /* 28092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 28095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 28098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 28101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 28105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 28109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 28113 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8236:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SUBSUS_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 28113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUS_U_B),
     /* 28116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28118 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28120 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28122 */     GIR_RootConstrainSelectedInstOperands,
     /* 28123 */     // GIR_Coverage, 1017,
     /* 28123 */     GIR_EraseRootFromParent_Done,
     /* 28124 */   // Label 823: @28124
     /* 28124 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(28169), // Rule ID 1018 //
     /* 28129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsus_u_h),
     /* 28137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 28140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 28143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 28146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 28150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 28154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 28158 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8238:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SUBSUS_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 28158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUS_U_H),
     /* 28161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28163 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28165 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28167 */     GIR_RootConstrainSelectedInstOperands,
     /* 28168 */     // GIR_Coverage, 1018,
     /* 28168 */     GIR_EraseRootFromParent_Done,
     /* 28169 */   // Label 824: @28169
     /* 28169 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(28214), // Rule ID 1019 //
     /* 28174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsus_u_w),
     /* 28182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 28185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 28188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 28191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28203 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8239:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SUBSUS_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 28203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUS_U_W),
     /* 28206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28208 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28210 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28212 */     GIR_RootConstrainSelectedInstOperands,
     /* 28213 */     // GIR_Coverage, 1019,
     /* 28213 */     GIR_EraseRootFromParent_Done,
     /* 28214 */   // Label 825: @28214
     /* 28214 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(28259), // Rule ID 1020 //
     /* 28219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsus_u_d),
     /* 28227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 28230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 28233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 28236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28248 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8237:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SUBSUS_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 28248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUS_U_D),
     /* 28251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28253 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28255 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28257 */     GIR_RootConstrainSelectedInstOperands,
     /* 28258 */     // GIR_Coverage, 1020,
     /* 28258 */     GIR_EraseRootFromParent_Done,
     /* 28259 */   // Label 826: @28259
     /* 28259 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(28304), // Rule ID 1021 //
     /* 28264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsuu_s_b),
     /* 28272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 28275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 28278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 28281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 28285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 28289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 28293 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8240:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SUBSUU_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 28293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUU_S_B),
     /* 28296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28298 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28300 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28302 */     GIR_RootConstrainSelectedInstOperands,
     /* 28303 */     // GIR_Coverage, 1021,
     /* 28303 */     GIR_EraseRootFromParent_Done,
     /* 28304 */   // Label 827: @28304
     /* 28304 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(28349), // Rule ID 1022 //
     /* 28309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsuu_s_h),
     /* 28317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 28320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 28323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 28326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 28330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 28334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 28338 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8242:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SUBSUU_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 28338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUU_S_H),
     /* 28341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28343 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28345 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28347 */     GIR_RootConstrainSelectedInstOperands,
     /* 28348 */     // GIR_Coverage, 1022,
     /* 28348 */     GIR_EraseRootFromParent_Done,
     /* 28349 */   // Label 828: @28349
     /* 28349 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(28394), // Rule ID 1023 //
     /* 28354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsuu_s_w),
     /* 28362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 28365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 28368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 28371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 28383 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8243:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SUBSUU_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 28383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUU_S_W),
     /* 28386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28388 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28390 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28392 */     GIR_RootConstrainSelectedInstOperands,
     /* 28393 */     // GIR_Coverage, 1023,
     /* 28393 */     GIR_EraseRootFromParent_Done,
     /* 28394 */   // Label 829: @28394
     /* 28394 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(28439), // Rule ID 1024 //
     /* 28399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 28402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subsuu_s_d),
     /* 28407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 28410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 28413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 28416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 28428 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8241:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SUBSUU_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 28428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBSUU_S_D),
     /* 28431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 28433 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 28435 */     GIR_RootToRootCopy, /*OpIdx*/3, // wt
     /* 28437 */     GIR_RootConstrainSelectedInstOperands,
     /* 28438 */     // GIR_Coverage, 1024,
     /* 28438 */     GIR_EraseRootFromParent_Done,
     /* 28439 */   // Label 830: @28439
     /* 28439 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(28487), // Rule ID 1223 //
     /* 28444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addq_s_ph),
     /* 28452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 28455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 28458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 28461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28473 */     // (intrinsic_wo_chain:{ *:[v2i16] } 7602:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDQ_S_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 28473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQ_S_PH_MM),
     /* 28476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 28485 */     GIR_RootConstrainSelectedInstOperands,
     /* 28486 */     // GIR_Coverage, 1223,
     /* 28486 */     GIR_EraseRootFromParent_Done,
     /* 28487 */   // Label 831: @28487
     /* 28487 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(28535), // Rule ID 1225 //
     /* 28492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addu_s_qb),
     /* 28500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 28503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 28506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 28509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28521 */     // (intrinsic_wo_chain:{ *:[v4i8] } 7624:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (ADDU_S_QB_MM:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 28521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDU_S_QB_MM),
     /* 28524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 28533 */     GIR_RootConstrainSelectedInstOperands,
     /* 28534 */     // GIR_Coverage, 1225,
     /* 28534 */     GIR_EraseRootFromParent_Done,
     /* 28535 */   // Label 832: @28535
     /* 28535 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(28580), // Rule ID 1246 //
     /* 28540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_ph),
     /* 28548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 28551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 28554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 28557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28569 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8152:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHRAV_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 28569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_PH_MM),
     /* 28572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 28576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 28578 */     GIR_RootConstrainSelectedInstOperands,
     /* 28579 */     // GIR_Coverage, 1246,
     /* 28579 */     GIR_EraseRootFromParent_Done,
     /* 28580 */   // Label 833: @28580
     /* 28580 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(28625), // Rule ID 1247 //
     /* 28585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_ph),
     /* 28593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 28596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 28599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 28602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28614 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8154:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHRAV_R_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 28614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_R_PH_MM),
     /* 28617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 28621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 28623 */     GIR_RootConstrainSelectedInstOperands,
     /* 28624 */     // GIR_Coverage, 1247,
     /* 28624 */     GIR_EraseRootFromParent_Done,
     /* 28625 */   // Label 834: @28625
     /* 28625 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(28670), // Rule ID 1248 //
     /* 28630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_w),
     /* 28638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 28641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 28644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 28647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28659 */     // (intrinsic_wo_chain:{ *:[i32] } 8156:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHRAV_R_W_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 28659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_R_W_MM),
     /* 28662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 28666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 28668 */     GIR_RootConstrainSelectedInstOperands,
     /* 28669 */     // GIR_Coverage, 1248,
     /* 28669 */     GIR_EraseRootFromParent_Done,
     /* 28670 */   // Label 835: @28670
     /* 28670 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(28715), // Rule ID 1250 //
     /* 28675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shrl_qb),
     /* 28683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 28686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 28689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 28692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28704 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8158:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHRLV_QB_MM:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 28704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRLV_QB_MM),
     /* 28707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 28711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 28713 */     GIR_RootConstrainSelectedInstOperands,
     /* 28714 */     // GIR_Coverage, 1250,
     /* 28714 */     GIR_EraseRootFromParent_Done,
     /* 28715 */   // Label 836: @28715
     /* 28715 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(28763), // Rule ID 1261 //
     /* 28720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subq_s_ph),
     /* 28728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 28731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 28734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 28737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28749 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8222:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBQ_S_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 28749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQ_S_PH_MM),
     /* 28752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 28761 */     GIR_RootConstrainSelectedInstOperands,
     /* 28762 */     // GIR_Coverage, 1261,
     /* 28762 */     GIR_EraseRootFromParent_Done,
     /* 28763 */   // Label 837: @28763
     /* 28763 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(28811), // Rule ID 1263 //
     /* 28768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subu_s_qb),
     /* 28776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 28779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 28782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 28785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28797 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8247:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (SUBU_S_QB_MM:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 28797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBU_S_QB_MM),
     /* 28800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 28809 */     GIR_RootConstrainSelectedInstOperands,
     /* 28810 */     // GIR_Coverage, 1263,
     /* 28810 */     GIR_EraseRootFromParent_Done,
     /* 28811 */   // Label 838: @28811
     /* 28811 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(28856), // Rule ID 1273 //
     /* 28816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrq_ph_w),
     /* 28824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 28827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 28830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 28833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28845 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8127:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (PRECRQ_PH_W_MM:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 28845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQ_PH_W_MM),
     /* 28848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28854 */     GIR_RootConstrainSelectedInstOperands,
     /* 28855 */     // GIR_Coverage, 1273,
     /* 28855 */     GIR_EraseRootFromParent_Done,
     /* 28856 */   // Label 839: @28856
     /* 28856 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(28901), // Rule ID 1274 //
     /* 28861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrq_qb_ph),
     /* 28869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 28872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 28875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 28878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28890 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8128:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECRQ_QB_PH_MM:{ *:[v4i8] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 28890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQ_QB_PH_MM),
     /* 28893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28899 */     GIR_RootConstrainSelectedInstOperands,
     /* 28900 */     // GIR_Coverage, 1274,
     /* 28900 */     GIR_EraseRootFromParent_Done,
     /* 28901 */   // Label 840: @28901
     /* 28901 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(28946), // Rule ID 1293 //
     /* 28906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_packrl_ph),
     /* 28914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 28917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 28920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 28923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 28935 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8099:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PACKRL_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 28935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PACKRL_PH_MM),
     /* 28938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28944 */     GIR_RootConstrainSelectedInstOperands,
     /* 28945 */     // GIR_Coverage, 1293,
     /* 28945 */     GIR_EraseRootFromParent_Done,
     /* 28946 */   // Label 841: @28946
     /* 28946 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(28991), // Rule ID 1299 //
     /* 28951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 28954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_modsub),
     /* 28959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 28962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 28965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 28968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 28980 */     // (intrinsic_wo_chain:{ *:[i32] } 8052:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MODSUB_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 28980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MODSUB_MM),
     /* 28983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 28985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 28987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 28989 */     GIR_RootConstrainSelectedInstOperands,
     /* 28990 */     // GIR_Coverage, 1299,
     /* 28990 */     GIR_EraseRootFromParent_Done,
     /* 28991 */   // Label 842: @28991
     /* 28991 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(29036), // Rule ID 1312 //
     /* 28996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 28999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_ph),
     /* 29004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 29010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 29013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29025 */     // (intrinsic_wo_chain:{ *:[v2i16] } 7604:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDQH_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 29025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_PH_MMR2),
     /* 29028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29034 */     GIR_RootConstrainSelectedInstOperands,
     /* 29035 */     // GIR_Coverage, 1312,
     /* 29035 */     GIR_EraseRootFromParent_Done,
     /* 29036 */   // Label 843: @29036
     /* 29036 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(29081), // Rule ID 1313 //
     /* 29041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_r_ph),
     /* 29049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 29055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 29058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29070 */     // (intrinsic_wo_chain:{ *:[v2i16] } 7605:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDQH_R_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 29070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_R_PH_MMR2),
     /* 29073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29079 */     GIR_RootConstrainSelectedInstOperands,
     /* 29080 */     // GIR_Coverage, 1313,
     /* 29080 */     GIR_EraseRootFromParent_Done,
     /* 29081 */   // Label 844: @29081
     /* 29081 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(29126), // Rule ID 1314 //
     /* 29086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_w),
     /* 29094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 29097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 29100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29115 */     // (intrinsic_wo_chain:{ *:[i32] } 7607:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDQH_W_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 29115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_W_MMR2),
     /* 29118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29124 */     GIR_RootConstrainSelectedInstOperands,
     /* 29125 */     // GIR_Coverage, 1314,
     /* 29125 */     GIR_EraseRootFromParent_Done,
     /* 29126 */   // Label 845: @29126
     /* 29126 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(29171), // Rule ID 1315 //
     /* 29131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addqh_r_w),
     /* 29139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 29142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 29145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29160 */     // (intrinsic_wo_chain:{ *:[i32] } 7606:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDQH_R_W_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 29160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQH_R_W_MMR2),
     /* 29163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29169 */     GIR_RootConstrainSelectedInstOperands,
     /* 29170 */     // GIR_Coverage, 1315,
     /* 29170 */     GIR_EraseRootFromParent_Done,
     /* 29171 */   // Label 846: @29171
     /* 29171 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(29216), // Rule ID 1318 //
     /* 29176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adduh_qb),
     /* 29184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 29193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29205 */     // (intrinsic_wo_chain:{ *:[v4i8] } 7625:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (ADDUH_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 29205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDUH_QB_MMR2),
     /* 29208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29214 */     GIR_RootConstrainSelectedInstOperands,
     /* 29215 */     // GIR_Coverage, 1318,
     /* 29215 */     GIR_EraseRootFromParent_Done,
     /* 29216 */   // Label 847: @29216
     /* 29216 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(29261), // Rule ID 1319 //
     /* 29221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_adduh_r_qb),
     /* 29229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 29238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29250 */     // (intrinsic_wo_chain:{ *:[v4i8] } 7626:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (ADDUH_R_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 29250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDUH_R_QB_MMR2),
     /* 29253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29259 */     GIR_RootConstrainSelectedInstOperands,
     /* 29260 */     // GIR_Coverage, 1319,
     /* 29260 */     GIR_EraseRootFromParent_Done,
     /* 29261 */   // Label 848: @29261
     /* 29261 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(29306), // Rule ID 1325 //
     /* 29266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_qb),
     /* 29274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29295 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8153:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHRAV_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 29295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_QB_MMR2),
     /* 29298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 29302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 29304 */     GIR_RootConstrainSelectedInstOperands,
     /* 29305 */     // GIR_Coverage, 1325,
     /* 29305 */     GIR_EraseRootFromParent_Done,
     /* 29306 */   // Label 849: @29306
     /* 29306 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(29351), // Rule ID 1326 //
     /* 29311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shra_r_qb),
     /* 29319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29340 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8155:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHRAV_R_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 29340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRAV_R_QB_MMR2),
     /* 29343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 29347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 29349 */     GIR_RootConstrainSelectedInstOperands,
     /* 29350 */     // GIR_Coverage, 1326,
     /* 29350 */     GIR_EraseRootFromParent_Done,
     /* 29351 */   // Label 850: @29351
     /* 29351 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(29396), // Rule ID 1331 //
     /* 29356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shrl_ph),
     /* 29364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 29370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29385 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8157:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHRLV_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 29385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHRLV_PH_MMR2),
     /* 29388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 29392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 29394 */     GIR_RootConstrainSelectedInstOperands,
     /* 29395 */     // GIR_Coverage, 1331,
     /* 29395 */     GIR_EraseRootFromParent_Done,
     /* 29396 */   // Label 851: @29396
     /* 29396 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(29441), // Rule ID 1332 //
     /* 29401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_ph),
     /* 29409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 29415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 29418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29430 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8224:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBQH_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 29430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_PH_MMR2),
     /* 29433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29439 */     GIR_RootConstrainSelectedInstOperands,
     /* 29440 */     // GIR_Coverage, 1332,
     /* 29440 */     GIR_EraseRootFromParent_Done,
     /* 29441 */   // Label 852: @29441
     /* 29441 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(29486), // Rule ID 1333 //
     /* 29446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_r_ph),
     /* 29454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 29460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 29463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29475 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8225:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBQH_R_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 29475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_R_PH_MMR2),
     /* 29478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29484 */     GIR_RootConstrainSelectedInstOperands,
     /* 29485 */     // GIR_Coverage, 1333,
     /* 29485 */     GIR_EraseRootFromParent_Done,
     /* 29486 */   // Label 853: @29486
     /* 29486 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(29531), // Rule ID 1334 //
     /* 29491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_w),
     /* 29499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 29502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 29505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29520 */     // (intrinsic_wo_chain:{ *:[i32] } 8227:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBQH_W_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 29520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_W_MMR2),
     /* 29523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29529 */     GIR_RootConstrainSelectedInstOperands,
     /* 29530 */     // GIR_Coverage, 1334,
     /* 29530 */     GIR_EraseRootFromParent_Done,
     /* 29531 */   // Label 854: @29531
     /* 29531 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(29576), // Rule ID 1335 //
     /* 29536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subqh_r_w),
     /* 29544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 29547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 29550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29565 */     // (intrinsic_wo_chain:{ *:[i32] } 8226:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBQH_R_W_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 29565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQH_R_W_MMR2),
     /* 29568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29574 */     GIR_RootConstrainSelectedInstOperands,
     /* 29575 */     // GIR_Coverage, 1335,
     /* 29575 */     GIR_EraseRootFromParent_Done,
     /* 29576 */   // Label 855: @29576
     /* 29576 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(29621), // Rule ID 1338 //
     /* 29581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subuh_qb),
     /* 29589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 29598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29610 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8248:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (SUBUH_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 29610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBUH_QB_MMR2),
     /* 29613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29619 */     GIR_RootConstrainSelectedInstOperands,
     /* 29620 */     // GIR_Coverage, 1338,
     /* 29620 */     GIR_EraseRootFromParent_Done,
     /* 29621 */   // Label 856: @29621
     /* 29621 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(29666), // Rule ID 1339 //
     /* 29626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 29629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subuh_r_qb),
     /* 29634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 29643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29655 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8249:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (SUBUH_R_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 29655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBUH_R_QB_MMR2),
     /* 29658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 29662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 29664 */     GIR_RootConstrainSelectedInstOperands,
     /* 29665 */     // GIR_Coverage, 1339,
     /* 29665 */     GIR_EraseRootFromParent_Done,
     /* 29666 */   // Label 857: @29666
     /* 29666 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(29706), // Rule ID 1925 //
     /* 29671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 29674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addq_ph),
     /* 29679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 29685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 29688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29692 */     // (intrinsic_wo_chain:{ *:[v2i16] } 7601:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)  =>  (ADDQ_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)
     /* 29692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQ_PH),
     /* 29695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29697 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 29699 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 29701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 29704 */     GIR_RootConstrainSelectedInstOperands,
     /* 29705 */     // GIR_Coverage, 1925,
     /* 29705 */     GIR_EraseRootFromParent_Done,
     /* 29706 */   // Label 858: @29706
     /* 29706 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(29746), // Rule ID 1927 //
     /* 29711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 29714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subq_ph),
     /* 29719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 29725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 29728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29732 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8221:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)  =>  (SUBQ_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)
     /* 29732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQ_PH),
     /* 29735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29737 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 29739 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 29741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 29744 */     GIR_RootConstrainSelectedInstOperands,
     /* 29745 */     // GIR_Coverage, 1927,
     /* 29745 */     GIR_EraseRootFromParent_Done,
     /* 29746 */   // Label 859: @29746
     /* 29746 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(29786), // Rule ID 1931 //
     /* 29751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 29754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addu_qb),
     /* 29759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 29768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29772 */     // (intrinsic_wo_chain:{ *:[v4i8] } 7622:{ *:[iPTR] }, v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)  =>  (ADDU_QB:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)
     /* 29772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDU_QB),
     /* 29775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29777 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 29779 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 29781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 29784 */     GIR_RootConstrainSelectedInstOperands,
     /* 29785 */     // GIR_Coverage, 1931,
     /* 29785 */     GIR_EraseRootFromParent_Done,
     /* 29786 */   // Label 860: @29786
     /* 29786 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(29826), // Rule ID 1933 //
     /* 29791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 29794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subu_qb),
     /* 29799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 29802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 29805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 29808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29812 */     // (intrinsic_wo_chain:{ *:[v4i8] } 8245:{ *:[iPTR] }, v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)  =>  (SUBU_QB:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, v4i8:{ *:[v4i8] }:$b)
     /* 29812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBU_QB),
     /* 29815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 29817 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 29819 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 29821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 29824 */     GIR_RootConstrainSelectedInstOperands,
     /* 29825 */     // GIR_Coverage, 1933,
     /* 29825 */     GIR_EraseRootFromParent_Done,
     /* 29826 */   // Label 861: @29826
     /* 29826 */   GIM_Reject,
     /* 29827 */ // Label 647: @29827
     /* 29827 */ GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(32341),
     /* 29832 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 29835 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(29890), // Rule ID 477 //
     /* 29840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 29843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precr_sra_ph_w),
     /* 29848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 29854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29869 */     // MIs[0] sa
     /* 29869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 29872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 29877 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8125:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (PRECR_SRA_PH_W:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 29877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECR_SRA_PH_W),
     /* 29880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 29882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 29884 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 29886 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 29888 */     GIR_RootConstrainSelectedInstOperands,
     /* 29889 */     // GIR_Coverage, 477,
     /* 29889 */     GIR_EraseRootFromParent_Done,
     /* 29890 */   // Label 863: @29890
     /* 29890 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(29945), // Rule ID 478 //
     /* 29895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 29898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precr_sra_r_ph_w),
     /* 29903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 29906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 29909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 29916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29924 */     // MIs[0] sa
     /* 29924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 29927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 29932 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8126:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (PRECR_SRA_R_PH_W:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 29932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECR_SRA_R_PH_W),
     /* 29935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 29937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 29939 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 29941 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 29943 */     GIR_RootConstrainSelectedInstOperands,
     /* 29944 */     // GIR_Coverage, 478,
     /* 29944 */     GIR_EraseRootFromParent_Done,
     /* 29945 */   // Label 864: @29945
     /* 29945 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(30000), // Rule ID 483 //
     /* 29950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 29953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_append),
     /* 29958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 29961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 29964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 29967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 29979 */     // MIs[0] sa
     /* 29979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 29982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 29987 */     // (intrinsic_wo_chain:{ *:[i32] } 7638:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (APPEND:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 29987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::APPEND),
     /* 29990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 29992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 29994 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 29996 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 29998 */     GIR_RootConstrainSelectedInstOperands,
     /* 29999 */     // GIR_Coverage, 483,
     /* 29999 */     GIR_EraseRootFromParent_Done,
     /* 30000 */   // Label 865: @30000
     /* 30000 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(30055), // Rule ID 484 //
     /* 30005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 30008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_balign),
     /* 30013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 30016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 30019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 30022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30034 */     // MIs[0] sa
     /* 30034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30037 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt2),
     /* 30042 */     // (intrinsic_wo_chain:{ *:[i32] } 7663:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt2>>:$sa)  =>  (BALIGN:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 30042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BALIGN),
     /* 30045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 30047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 30049 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 30051 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 30053 */     GIR_RootConstrainSelectedInstOperands,
     /* 30054 */     // GIR_Coverage, 484,
     /* 30054 */     GIR_EraseRootFromParent_Done,
     /* 30055 */   // Label 866: @30055
     /* 30055 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(30110), // Rule ID 485 //
     /* 30060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 30063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_prepend),
     /* 30068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 30071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 30074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 30077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30089 */     // MIs[0] sa
     /* 30089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 30097 */     // (intrinsic_wo_chain:{ *:[i32] } 8131:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (PREPEND:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 30097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PREPEND),
     /* 30100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 30102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 30104 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 30106 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 30108 */     GIR_RootConstrainSelectedInstOperands,
     /* 30109 */     // GIR_Coverage, 485,
     /* 30109 */     GIR_EraseRootFromParent_Done,
     /* 30110 */   // Label 867: @30110
     /* 30110 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(30165), // Rule ID 953 //
     /* 30115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sldi_b),
     /* 30123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 30126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 30129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 30132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30144 */     // MIs[0] n
     /* 30144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt4),
     /* 30152 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8163:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt4>>:$n)  =>  (SLDI_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, (timm:{ *:[i32] }):$n)
     /* 30152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLDI_B),
     /* 30155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30157 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30159 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30161 */     GIR_RootToRootCopy, /*OpIdx*/4, // n
     /* 30163 */     GIR_RootConstrainSelectedInstOperands,
     /* 30164 */     // GIR_Coverage, 953,
     /* 30164 */     GIR_EraseRootFromParent_Done,
     /* 30165 */   // Label 868: @30165
     /* 30165 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(30220), // Rule ID 954 //
     /* 30170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sldi_h),
     /* 30178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 30181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 30184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 30187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30199 */     // MIs[0] n
     /* 30199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt3),
     /* 30207 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8165:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt3>>:$n)  =>  (SLDI_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, (timm:{ *:[i32] }):$n)
     /* 30207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLDI_H),
     /* 30210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30212 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30214 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30216 */     GIR_RootToRootCopy, /*OpIdx*/4, // n
     /* 30218 */     GIR_RootConstrainSelectedInstOperands,
     /* 30219 */     // GIR_Coverage, 954,
     /* 30219 */     GIR_EraseRootFromParent_Done,
     /* 30220 */   // Label 869: @30220
     /* 30220 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(30275), // Rule ID 955 //
     /* 30225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sldi_w),
     /* 30233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 30236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 30239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 30242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30254 */     // MIs[0] n
     /* 30254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt2),
     /* 30262 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8166:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt2>>:$n)  =>  (SLDI_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, (timm:{ *:[i32] }):$n)
     /* 30262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLDI_W),
     /* 30265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30267 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30269 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30271 */     GIR_RootToRootCopy, /*OpIdx*/4, // n
     /* 30273 */     GIR_RootConstrainSelectedInstOperands,
     /* 30274 */     // GIR_Coverage, 955,
     /* 30274 */     GIR_EraseRootFromParent_Done,
     /* 30275 */   // Label 870: @30275
     /* 30275 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(30330), // Rule ID 956 //
     /* 30280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sldi_d),
     /* 30288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 30291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 30294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 30297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 30301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 30305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 30309 */     // MIs[0] n
     /* 30309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt1),
     /* 30317 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8164:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] })<<P:Predicate_timmZExt1>>:$n)  =>  (SLDI_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, (timm:{ *:[i32] }):$n)
     /* 30317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLDI_D),
     /* 30320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30322 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30324 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30326 */     GIR_RootToRootCopy, /*OpIdx*/4, // n
     /* 30328 */     GIR_RootConstrainSelectedInstOperands,
     /* 30329 */     // GIR_Coverage, 956,
     /* 30329 */     GIR_EraseRootFromParent_Done,
     /* 30330 */   // Label 871: @30330
     /* 30330 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(30385), // Rule ID 1349 //
     /* 30335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 30338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precr_sra_ph_w),
     /* 30343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 30346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 30349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 30352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 30356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30364 */     // MIs[0] sa
     /* 30364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 30372 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8125:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (PRECR_SRA_PH_W_MMR2:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 30372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECR_SRA_PH_W_MMR2),
     /* 30375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 30377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 30379 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 30381 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 30383 */     GIR_RootConstrainSelectedInstOperands,
     /* 30384 */     // GIR_Coverage, 1349,
     /* 30384 */     GIR_EraseRootFromParent_Done,
     /* 30385 */   // Label 872: @30385
     /* 30385 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(30440), // Rule ID 1350 //
     /* 30390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 30393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precr_sra_r_ph_w),
     /* 30398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 30401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 30404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 30407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 30411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30419 */     // MIs[0] sa
     /* 30419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 30427 */     // (intrinsic_wo_chain:{ *:[v2i16] } 8126:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (PRECR_SRA_R_PH_W_MMR2:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 30427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECR_SRA_R_PH_W_MMR2),
     /* 30430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 30432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 30434 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 30436 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 30438 */     GIR_RootConstrainSelectedInstOperands,
     /* 30439 */     // GIR_Coverage, 1350,
     /* 30439 */     GIR_EraseRootFromParent_Done,
     /* 30440 */   // Label 873: @30440
     /* 30440 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(30495), // Rule ID 1351 //
     /* 30445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 30448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_prepend),
     /* 30453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 30456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 30459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 30462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30474 */     // MIs[0] sa
     /* 30474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 30482 */     // (intrinsic_wo_chain:{ *:[i32] } 8131:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (PREPEND_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 30482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PREPEND_MMR2),
     /* 30485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 30487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 30489 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 30491 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 30493 */     GIR_RootConstrainSelectedInstOperands,
     /* 30494 */     // GIR_Coverage, 1351,
     /* 30494 */     GIR_EraseRootFromParent_Done,
     /* 30495 */   // Label 874: @30495
     /* 30495 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(30550), // Rule ID 1352 //
     /* 30500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 30503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_append),
     /* 30508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 30511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 30514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 30517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30529 */     // MIs[0] sa
     /* 30529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 30532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt5),
     /* 30537 */     // (intrinsic_wo_chain:{ *:[i32] } 7638:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt5>>:$sa)  =>  (APPEND_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$sa, GPR32Opnd:{ *:[i32] }:$src)
     /* 30537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::APPEND_MMR2),
     /* 30540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 30542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 30544 */     GIR_RootToRootCopy, /*OpIdx*/4, // sa
     /* 30546 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 30548 */     GIR_RootConstrainSelectedInstOperands,
     /* 30549 */     // GIR_Coverage, 1352,
     /* 30549 */     GIR_EraseRootFromParent_Done,
     /* 30550 */   // Label 875: @30550
     /* 30550 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(30612), // Rule ID 1327 //
     /* 30555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 30558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_balign),
     /* 30563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 30566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 30569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 30572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 30584 */     // MIs[0] bp
     /* 30584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 30588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 30592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt2),
     /* 30596 */     // MIs[1] Operand 1
     /* 30596 */     // No operand predicates
     /* 30596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 30598 */     // (intrinsic_wo_chain:{ *:[i32] } 7663:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt2>>:$bp)  =>  (BALIGN_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] }):$bp, GPR32Opnd:{ *:[i32] }:$src)
     /* 30598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BALIGN_MMR2),
     /* 30601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 30603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 30605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // bp
     /* 30608 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 30610 */     GIR_RootConstrainSelectedInstOperands,
     /* 30611 */     // GIR_Coverage, 1327,
     /* 30611 */     GIR_EraseRootFromParent_Done,
     /* 30612 */   // Label 876: @30612
     /* 30612 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(30666), // Rule ID 552 //
     /* 30617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsl_b),
     /* 30625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 30628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 30631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 30634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 30637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30653 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7672:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (BINSL_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 30653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSL_B),
     /* 30656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30658 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30660 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30662 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 30664 */     GIR_RootConstrainSelectedInstOperands,
     /* 30665 */     // GIR_Coverage, 552,
     /* 30665 */     GIR_EraseRootFromParent_Done,
     /* 30666 */   // Label 877: @30666
     /* 30666 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(30720), // Rule ID 553 //
     /* 30671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsl_h),
     /* 30679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 30682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 30685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 30688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 30691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30707 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7674:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (BINSL_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 30707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSL_H),
     /* 30710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30712 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30714 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30716 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 30718 */     GIR_RootConstrainSelectedInstOperands,
     /* 30719 */     // GIR_Coverage, 553,
     /* 30719 */     GIR_EraseRootFromParent_Done,
     /* 30720 */   // Label 878: @30720
     /* 30720 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(30774), // Rule ID 554 //
     /* 30725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsl_w),
     /* 30733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 30736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 30739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 30742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 30745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30761 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7675:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (BINSL_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 30761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSL_W),
     /* 30764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30766 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30768 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30770 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 30772 */     GIR_RootConstrainSelectedInstOperands,
     /* 30773 */     // GIR_Coverage, 554,
     /* 30773 */     GIR_EraseRootFromParent_Done,
     /* 30774 */   // Label 879: @30774
     /* 30774 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(30828), // Rule ID 555 //
     /* 30779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsl_d),
     /* 30787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 30790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 30793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 30796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 30799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 30803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 30807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 30811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 30815 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7673:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (BINSL_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 30815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSL_D),
     /* 30818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30820 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30822 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30824 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 30826 */     GIR_RootConstrainSelectedInstOperands,
     /* 30827 */     // GIR_Coverage, 555,
     /* 30827 */     GIR_EraseRootFromParent_Done,
     /* 30828 */   // Label 880: @30828
     /* 30828 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(30882), // Rule ID 560 //
     /* 30833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsr_b),
     /* 30841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 30844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 30847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 30850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 30853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 30869 */     // (intrinsic_wo_chain:{ *:[v16i8] } 7680:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (BINSR_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 30869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSR_B),
     /* 30872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30874 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30876 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30878 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 30880 */     GIR_RootConstrainSelectedInstOperands,
     /* 30881 */     // GIR_Coverage, 560,
     /* 30881 */     GIR_EraseRootFromParent_Done,
     /* 30882 */   // Label 881: @30882
     /* 30882 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(30936), // Rule ID 561 //
     /* 30887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsr_h),
     /* 30895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 30898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 30901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 30904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 30907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 30923 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7682:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (BINSR_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 30923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSR_H),
     /* 30926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30928 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30930 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30932 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 30934 */     GIR_RootConstrainSelectedInstOperands,
     /* 30935 */     // GIR_Coverage, 561,
     /* 30935 */     GIR_EraseRootFromParent_Done,
     /* 30936 */   // Label 882: @30936
     /* 30936 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(30990), // Rule ID 562 //
     /* 30941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsr_w),
     /* 30949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 30952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 30955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 30958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 30961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 30977 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7683:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (BINSR_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 30977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSR_W),
     /* 30980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 30982 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 30984 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 30986 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 30988 */     GIR_RootConstrainSelectedInstOperands,
     /* 30989 */     // GIR_Coverage, 562,
     /* 30989 */     GIR_EraseRootFromParent_Done,
     /* 30990 */   // Label 883: @30990
     /* 30990 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(31044), // Rule ID 563 //
     /* 30995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 30998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_binsr_d),
     /* 31003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 31006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 31009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 31012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 31015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31031 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7681:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (BINSR_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 31031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BINSR_D),
     /* 31034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31036 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31038 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31040 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31042 */     GIR_RootConstrainSelectedInstOperands,
     /* 31043 */     // GIR_Coverage, 563,
     /* 31043 */     GIR_EraseRootFromParent_Done,
     /* 31044 */   // Label 884: @31044
     /* 31044 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(31098), // Rule ID 658 //
     /* 31049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpadd_s_h),
     /* 31057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 31060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 31063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 31066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 31069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31085 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7801:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DPADD_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 31085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPADD_S_H),
     /* 31088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31090 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31092 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31094 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31096 */     GIR_RootConstrainSelectedInstOperands,
     /* 31097 */     // GIR_Coverage, 658,
     /* 31097 */     GIR_EraseRootFromParent_Done,
     /* 31098 */   // Label 885: @31098
     /* 31098 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(31152), // Rule ID 659 //
     /* 31103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpadd_s_w),
     /* 31111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 31114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 31117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 31120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 31123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31139 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7802:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DPADD_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 31139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPADD_S_W),
     /* 31142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31144 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31146 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31148 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31150 */     GIR_RootConstrainSelectedInstOperands,
     /* 31151 */     // GIR_Coverage, 659,
     /* 31151 */     GIR_EraseRootFromParent_Done,
     /* 31152 */   // Label 886: @31152
     /* 31152 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(31206), // Rule ID 660 //
     /* 31157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpadd_s_d),
     /* 31165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 31168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 31171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 31174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 31177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31193 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7800:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DPADD_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 31193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPADD_S_D),
     /* 31196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31198 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31200 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31202 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31204 */     GIR_RootConstrainSelectedInstOperands,
     /* 31205 */     // GIR_Coverage, 660,
     /* 31205 */     GIR_EraseRootFromParent_Done,
     /* 31206 */   // Label 887: @31206
     /* 31206 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(31260), // Rule ID 661 //
     /* 31211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpadd_u_h),
     /* 31219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 31222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 31225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 31228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 31231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31247 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7804:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DPADD_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 31247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPADD_U_H),
     /* 31250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31252 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31254 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31256 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31258 */     GIR_RootConstrainSelectedInstOperands,
     /* 31259 */     // GIR_Coverage, 661,
     /* 31259 */     GIR_EraseRootFromParent_Done,
     /* 31260 */   // Label 888: @31260
     /* 31260 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(31314), // Rule ID 662 //
     /* 31265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpadd_u_w),
     /* 31273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 31276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 31279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 31282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 31285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31301 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7805:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DPADD_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 31301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPADD_U_W),
     /* 31304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31306 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31308 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31310 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31312 */     GIR_RootConstrainSelectedInstOperands,
     /* 31313 */     // GIR_Coverage, 662,
     /* 31313 */     GIR_EraseRootFromParent_Done,
     /* 31314 */   // Label 889: @31314
     /* 31314 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(31368), // Rule ID 663 //
     /* 31319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpadd_u_d),
     /* 31327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 31330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 31333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 31336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 31339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31355 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7803:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DPADD_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 31355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPADD_U_D),
     /* 31358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31360 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31362 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31364 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31366 */     GIR_RootConstrainSelectedInstOperands,
     /* 31367 */     // GIR_Coverage, 663,
     /* 31367 */     GIR_EraseRootFromParent_Done,
     /* 31368 */   // Label 890: @31368
     /* 31368 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(31422), // Rule ID 664 //
     /* 31373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpsub_s_h),
     /* 31381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 31384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 31387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 31390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 31393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31409 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7821:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DPSUB_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 31409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPSUB_S_H),
     /* 31412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31414 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31416 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31418 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31420 */     GIR_RootConstrainSelectedInstOperands,
     /* 31421 */     // GIR_Coverage, 664,
     /* 31421 */     GIR_EraseRootFromParent_Done,
     /* 31422 */   // Label 891: @31422
     /* 31422 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(31476), // Rule ID 665 //
     /* 31427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpsub_s_w),
     /* 31435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 31438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 31441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 31444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 31447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31463 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7822:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DPSUB_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 31463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPSUB_S_W),
     /* 31466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31468 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31470 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31472 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31474 */     GIR_RootConstrainSelectedInstOperands,
     /* 31475 */     // GIR_Coverage, 665,
     /* 31475 */     GIR_EraseRootFromParent_Done,
     /* 31476 */   // Label 892: @31476
     /* 31476 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(31530), // Rule ID 666 //
     /* 31481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpsub_s_d),
     /* 31489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 31492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 31495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 31498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 31501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31517 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7820:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DPSUB_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 31517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPSUB_S_D),
     /* 31520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31522 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31524 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31526 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31528 */     GIR_RootConstrainSelectedInstOperands,
     /* 31529 */     // GIR_Coverage, 666,
     /* 31529 */     GIR_EraseRootFromParent_Done,
     /* 31530 */   // Label 893: @31530
     /* 31530 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(31584), // Rule ID 667 //
     /* 31535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpsub_u_h),
     /* 31543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 31546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 31549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 31552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 31555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 31571 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7824:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (DPSUB_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 31571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPSUB_U_H),
     /* 31574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31576 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31578 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31580 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31582 */     GIR_RootConstrainSelectedInstOperands,
     /* 31583 */     // GIR_Coverage, 667,
     /* 31583 */     GIR_EraseRootFromParent_Done,
     /* 31584 */   // Label 894: @31584
     /* 31584 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(31638), // Rule ID 668 //
     /* 31589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpsub_u_w),
     /* 31597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 31600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 31603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 31606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 31609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31625 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7825:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (DPSUB_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 31625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPSUB_U_W),
     /* 31628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31630 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31632 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31634 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31636 */     GIR_RootConstrainSelectedInstOperands,
     /* 31637 */     // GIR_Coverage, 668,
     /* 31637 */     GIR_EraseRootFromParent_Done,
     /* 31638 */   // Label 895: @31638
     /* 31638 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(31692), // Rule ID 669 //
     /* 31643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_dpsub_u_d),
     /* 31651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 31654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 31657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 31660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 31663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 31671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31679 */     // (intrinsic_wo_chain:{ *:[v2i64] } 7823:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (DPSUB_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 31679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DPSUB_U_D),
     /* 31682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31684 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31686 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31688 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31690 */     GIR_RootConstrainSelectedInstOperands,
     /* 31691 */     // GIR_Coverage, 669,
     /* 31691 */     GIR_EraseRootFromParent_Done,
     /* 31692 */   // Label 896: @31692
     /* 31692 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(31746), // Rule ID 836 //
     /* 31697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_madd_q_h),
     /* 31705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 31708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 31711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 31714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 31717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31733 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7991:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MADD_Q_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 31733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_Q_H),
     /* 31736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31738 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31740 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31742 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31744 */     GIR_RootConstrainSelectedInstOperands,
     /* 31745 */     // GIR_Coverage, 836,
     /* 31745 */     GIR_EraseRootFromParent_Done,
     /* 31746 */   // Label 897: @31746
     /* 31746 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(31800), // Rule ID 837 //
     /* 31751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_madd_q_w),
     /* 31759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 31762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 31765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 31768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 31771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31787 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7992:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MADD_Q_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 31787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_Q_W),
     /* 31790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31792 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31794 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31796 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31798 */     GIR_RootConstrainSelectedInstOperands,
     /* 31799 */     // GIR_Coverage, 837,
     /* 31799 */     GIR_EraseRootFromParent_Done,
     /* 31800 */   // Label 898: @31800
     /* 31800 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(31854), // Rule ID 838 //
     /* 31805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_maddr_q_h),
     /* 31813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 31816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 31819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 31822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 31825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31841 */     // (intrinsic_wo_chain:{ *:[v8i16] } 7993:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MADDR_Q_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 31841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDR_Q_H),
     /* 31844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31846 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31848 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31850 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31852 */     GIR_RootConstrainSelectedInstOperands,
     /* 31853 */     // GIR_Coverage, 838,
     /* 31853 */     GIR_EraseRootFromParent_Done,
     /* 31854 */   // Label 899: @31854
     /* 31854 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(31908), // Rule ID 839 //
     /* 31859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_maddr_q_w),
     /* 31867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 31870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 31873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 31876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 31879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31895 */     // (intrinsic_wo_chain:{ *:[v4i32] } 7994:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MADDR_Q_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 31895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADDR_Q_W),
     /* 31898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31900 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31902 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31904 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31906 */     GIR_RootConstrainSelectedInstOperands,
     /* 31907 */     // GIR_Coverage, 839,
     /* 31907 */     GIR_EraseRootFromParent_Done,
     /* 31908 */   // Label 900: @31908
     /* 31908 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(31962), // Rule ID 892 //
     /* 31913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_msub_q_h),
     /* 31921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 31924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 31927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 31930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 31933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 31949 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8055:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MSUB_Q_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 31949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUB_Q_H),
     /* 31952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 31954 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 31956 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 31958 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 31960 */     GIR_RootConstrainSelectedInstOperands,
     /* 31961 */     // GIR_Coverage, 892,
     /* 31961 */     GIR_EraseRootFromParent_Done,
     /* 31962 */   // Label 901: @31962
     /* 31962 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(32016), // Rule ID 893 //
     /* 31967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 31970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_msub_q_w),
     /* 31975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 31978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 31981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 31984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 31987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 31999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32003 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8056:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MSUB_Q_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 32003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUB_Q_W),
     /* 32006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 32008 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 32010 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 32012 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 32014 */     GIR_RootConstrainSelectedInstOperands,
     /* 32015 */     // GIR_Coverage, 893,
     /* 32015 */     GIR_EraseRootFromParent_Done,
     /* 32016 */   // Label 902: @32016
     /* 32016 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(32070), // Rule ID 894 //
     /* 32021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 32024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_msubr_q_h),
     /* 32029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 32032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 32035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 32038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 32041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 32045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 32049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 32053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 32057 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8057:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MSUBR_Q_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 32057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUBR_Q_H),
     /* 32060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 32062 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 32064 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 32066 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 32068 */     GIR_RootConstrainSelectedInstOperands,
     /* 32069 */     // GIR_Coverage, 894,
     /* 32069 */     GIR_EraseRootFromParent_Done,
     /* 32070 */   // Label 903: @32070
     /* 32070 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(32124), // Rule ID 895 //
     /* 32075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 32078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_msubr_q_w),
     /* 32083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 32086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 32089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 32092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 32095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32111 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8058:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MSUBR_Q_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 32111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUBR_Q_W),
     /* 32114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 32116 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 32118 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 32120 */     GIR_RootToRootCopy, /*OpIdx*/4, // wt
     /* 32122 */     GIR_RootConstrainSelectedInstOperands,
     /* 32123 */     // GIR_Coverage, 895,
     /* 32123 */     GIR_EraseRootFromParent_Done,
     /* 32124 */   // Label 904: @32124
     /* 32124 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(32178), // Rule ID 949 //
     /* 32129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 32132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sld_b),
     /* 32137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 32140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 32143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 32146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 32149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 32153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 32157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 32161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32165 */     // (intrinsic_wo_chain:{ *:[v16i8] } 8159:{ *:[iPTR] }, MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SLD_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)
     /* 32165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLD_B),
     /* 32168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 32170 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 32172 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 32174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rt
     /* 32176 */     GIR_RootConstrainSelectedInstOperands,
     /* 32177 */     // GIR_Coverage, 949,
     /* 32177 */     GIR_EraseRootFromParent_Done,
     /* 32178 */   // Label 905: @32178
     /* 32178 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(32232), // Rule ID 950 //
     /* 32183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 32186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sld_h),
     /* 32191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 32194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 32197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 32200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 32203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 32207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 32211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 32215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32219 */     // (intrinsic_wo_chain:{ *:[v8i16] } 8161:{ *:[iPTR] }, MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SLD_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)
     /* 32219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLD_H),
     /* 32222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 32224 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 32226 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 32228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rt
     /* 32230 */     GIR_RootConstrainSelectedInstOperands,
     /* 32231 */     // GIR_Coverage, 950,
     /* 32231 */     GIR_EraseRootFromParent_Done,
     /* 32232 */   // Label 906: @32232
     /* 32232 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(32286), // Rule ID 951 //
     /* 32237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 32240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sld_w),
     /* 32245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 32248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 32251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 32254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 32257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 32269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32273 */     // (intrinsic_wo_chain:{ *:[v4i32] } 8162:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SLD_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)
     /* 32273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLD_W),
     /* 32276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 32278 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 32280 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 32282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rt
     /* 32284 */     GIR_RootConstrainSelectedInstOperands,
     /* 32285 */     // GIR_Coverage, 951,
     /* 32285 */     GIR_EraseRootFromParent_Done,
     /* 32286 */   // Label 907: @32286
     /* 32286 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(32340), // Rule ID 952 //
     /* 32291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 32294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_sld_d),
     /* 32299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 32302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 32305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 32308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 32311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 32315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 32319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 32323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32327 */     // (intrinsic_wo_chain:{ *:[v2i64] } 8160:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SLD_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, GPR32Opnd:{ *:[i32] }:$rt)
     /* 32327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLD_D),
     /* 32330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 32332 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 32334 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 32336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rt
     /* 32338 */     GIR_RootConstrainSelectedInstOperands,
     /* 32339 */     // GIR_Coverage, 952,
     /* 32339 */     GIR_EraseRootFromParent_Done,
     /* 32340 */   // Label 908: @32340
     /* 32340 */   GIM_Reject,
     /* 32341 */ // Label 862: @32341
     /* 32341 */ GIM_Reject,
     /* 32342 */ // Label 30: @32342
     /* 32342 */ GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(32373), // Rule ID 354 //
     /* 32347 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 32350 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_bposge32),
     /* 32355 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 32358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32362 */   // (intrinsic_w_chain:{ *:[i32] } 7706:{ *:[iPTR] })  =>  (BPOSGE32_PSEUDO:{ *:[i32] })
     /* 32362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BPOSGE32_PSEUDO),
     /* 32365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 32367 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32371 */   GIR_RootConstrainSelectedInstOperands,
     /* 32372 */   // GIR_Coverage, 354,
     /* 32372 */   GIR_EraseRootFromParent_Done,
     /* 32373 */ // Label 909: @32373
     /* 32373 */ GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(33310),
     /* 32378 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 32381 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(32422), // Rule ID 441 //
     /* 32386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_rddsp),
     /* 32394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 32397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32401 */     // MIs[0] mask
     /* 32401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 32404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt10),
     /* 32409 */     // (intrinsic_w_chain:{ *:[i32] } 8133:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timmZExt10>>:$mask)  =>  (RDDSP:{ *:[i32] } (timm:{ *:[i32] }):$mask)
     /* 32409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::RDDSP),
     /* 32412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 32414 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 32416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32420 */     GIR_RootConstrainSelectedInstOperands,
     /* 32421 */     // GIR_Coverage, 441,
     /* 32421 */     GIR_EraseRootFromParent_Done,
     /* 32422 */   // Label 911: @32422
     /* 32422 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(32458), // Rule ID 1287 //
     /* 32427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 32430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_rddsp),
     /* 32435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 32438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32442 */     // MIs[0] mask
     /* 32442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 32445 */     // (intrinsic_w_chain:{ *:[i32] } 8133:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timmZExt7>>:$mask)  =>  (RDDSP_MM:{ *:[i32] } (timm:{ *:[i32] }):$mask)
     /* 32445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::RDDSP_MM),
     /* 32448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 32450 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 32452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32456 */     GIR_RootConstrainSelectedInstOperands,
     /* 32457 */     // GIR_Coverage, 1287,
     /* 32457 */     GIR_EraseRootFromParent_Done,
     /* 32458 */   // Label 912: @32458
     /* 32458 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(32499), // Rule ID 442 //
     /* 32463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_NotInMicroMips),
     /* 32466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_wrdsp),
     /* 32471 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 32474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32478 */     // MIs[0] mask
     /* 32478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 32481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timmZExt10),
     /* 32486 */     // (intrinsic_void 8262:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] })<<P:Predicate_timmZExt10>>:$mask)  =>  (WRDSP GPR32Opnd:{ *:[i32] }:$rs, (timm:{ *:[i32] }):$mask)
     /* 32486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::WRDSP),
     /* 32489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 32491 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 32493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32497 */     GIR_RootConstrainSelectedInstOperands,
     /* 32498 */     // GIR_Coverage, 442,
     /* 32498 */     GIR_EraseRootFromParent_Done,
     /* 32499 */   // Label 913: @32499
     /* 32499 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(32535), // Rule ID 1298 //
     /* 32504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 32507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_wrdsp),
     /* 32512 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 32515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32519 */     // MIs[0] mask
     /* 32519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 32522 */     // (intrinsic_void 8262:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt, (timm:{ *:[i32] })<<P:Predicate_timmZExt7>>:$mask)  =>  (WRDSP_MM GPR32Opnd:{ *:[i32] }:$rt, (timm:{ *:[i32] }):$mask)
     /* 32522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::WRDSP_MM),
     /* 32525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 32527 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 32529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32533 */     GIR_RootConstrainSelectedInstOperands,
     /* 32534 */     // GIR_Coverage, 1298,
     /* 32534 */     GIR_EraseRootFromParent_Done,
     /* 32535 */   // Label 914: @32535
     /* 32535 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(32578), // Rule ID 363 //
     /* 32540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_absq_s_ph),
     /* 32548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 32551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 32554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32562 */     // (intrinsic_w_chain:{ *:[v2i16] } 7594:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ABSQ_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt)
     /* 32562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ABSQ_S_PH),
     /* 32565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 32567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 32572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32576 */     GIR_RootConstrainSelectedInstOperands,
     /* 32577 */     // GIR_Coverage, 363,
     /* 32577 */     GIR_EraseRootFromParent_Done,
     /* 32578 */   // Label 915: @32578
     /* 32578 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(32621), // Rule ID 364 //
     /* 32583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_absq_s_w),
     /* 32591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 32594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 32597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32605 */     // (intrinsic_w_chain:{ *:[i32] } 7596:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ABSQ_S_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 32605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ABSQ_S_W),
     /* 32608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 32610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 32615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32619 */     GIR_RootConstrainSelectedInstOperands,
     /* 32620 */     // GIR_Coverage, 364,
     /* 32620 */     GIR_EraseRootFromParent_Done,
     /* 32621 */   // Label 916: @32621
     /* 32621 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(32664), // Rule ID 450 //
     /* 32626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 32629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_absq_s_qb),
     /* 32634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 32637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 32640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32648 */     // (intrinsic_w_chain:{ *:[v4i8] } 7595:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (ABSQ_S_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt)
     /* 32648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ABSQ_S_QB),
     /* 32651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 32653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 32658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32662 */     GIR_RootConstrainSelectedInstOperands,
     /* 32663 */     // GIR_Coverage, 450,
     /* 32663 */     GIR_EraseRootFromParent_Done,
     /* 32664 */   // Label 917: @32664
     /* 32664 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(32707), // Rule ID 1230 //
     /* 32669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 32672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_absq_s_ph),
     /* 32677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 32680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 32683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32691 */     // (intrinsic_w_chain:{ *:[v2i16] } 7594:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs)  =>  (ABSQ_S_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs)
     /* 32691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ABSQ_S_PH_MM),
     /* 32694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 32696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 32698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 32701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32705 */     GIR_RootConstrainSelectedInstOperands,
     /* 32706 */     // GIR_Coverage, 1230,
     /* 32706 */     GIR_EraseRootFromParent_Done,
     /* 32707 */   // Label 918: @32707
     /* 32707 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(32750), // Rule ID 1231 //
     /* 32712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 32715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_absq_s_w),
     /* 32720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 32723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 32726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 32734 */     // (intrinsic_w_chain:{ *:[i32] } 7596:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs)  =>  (ABSQ_S_W_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 32734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ABSQ_S_W_MM),
     /* 32737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 32739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 32741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 32744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32748 */     GIR_RootConstrainSelectedInstOperands,
     /* 32749 */     // GIR_Coverage, 1231,
     /* 32749 */     GIR_EraseRootFromParent_Done,
     /* 32750 */   // Label 919: @32750
     /* 32750 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(32793), // Rule ID 1311 //
     /* 32755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 32758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_absq_s_qb),
     /* 32763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 32766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 32769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32777 */     // (intrinsic_w_chain:{ *:[v4i8] } 7595:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs)  =>  (ABSQ_S_QB_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs)
     /* 32777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ABSQ_S_QB_MMR2),
     /* 32780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 32782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 32784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 32787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32791 */     GIR_RootConstrainSelectedInstOperands,
     /* 32792 */     // GIR_Coverage, 1311,
     /* 32792 */     GIR_EraseRootFromParent_Done,
     /* 32793 */   // Label 920: @32793
     /* 32793 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(32836), // Rule ID 417 //
     /* 32798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmpu_eq_qb),
     /* 32806 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /* 32809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 32812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32820 */     // (intrinsic_void 7772:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPU_EQ_QB DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 32820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPU_EQ_QB),
     /* 32823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 32825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 32830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32834 */     GIR_RootConstrainSelectedInstOperands,
     /* 32835 */     // GIR_Coverage, 417,
     /* 32835 */     GIR_EraseRootFromParent_Done,
     /* 32836 */   // Label 921: @32836
     /* 32836 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(32879), // Rule ID 418 //
     /* 32841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmpu_lt_qb),
     /* 32849 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /* 32852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 32855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32863 */     // (intrinsic_void 7774:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPU_LT_QB DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 32863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPU_LT_QB),
     /* 32866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 32868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 32873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32877 */     GIR_RootConstrainSelectedInstOperands,
     /* 32878 */     // GIR_Coverage, 418,
     /* 32878 */     GIR_EraseRootFromParent_Done,
     /* 32879 */   // Label 922: @32879
     /* 32879 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(32922), // Rule ID 419 //
     /* 32884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmpu_le_qb),
     /* 32892 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /* 32895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 32898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32906 */     // (intrinsic_void 7773:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPU_LE_QB DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 32906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPU_LE_QB),
     /* 32909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 32911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 32916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32920 */     GIR_RootConstrainSelectedInstOperands,
     /* 32921 */     // GIR_Coverage, 419,
     /* 32921 */     GIR_EraseRootFromParent_Done,
     /* 32922 */   // Label 923: @32922
     /* 32922 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(32965), // Rule ID 423 //
     /* 32927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmp_eq_ph),
     /* 32935 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 32938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 32941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32949 */     // (intrinsic_void 7763:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (CMP_EQ_PH DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 32949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_PH),
     /* 32952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 32954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 32959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 32963 */     GIR_RootConstrainSelectedInstOperands,
     /* 32964 */     // GIR_Coverage, 423,
     /* 32964 */     GIR_EraseRootFromParent_Done,
     /* 32965 */   // Label 924: @32965
     /* 32965 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(33008), // Rule ID 424 //
     /* 32970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 32973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmp_lt_ph),
     /* 32978 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 32981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 32984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 32992 */     // (intrinsic_void 7765:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (CMP_LT_PH DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 32992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LT_PH),
     /* 32995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 32997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 32999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33006 */     GIR_RootConstrainSelectedInstOperands,
     /* 33007 */     // GIR_Coverage, 424,
     /* 33007 */     GIR_EraseRootFromParent_Done,
     /* 33008 */   // Label 925: @33008
     /* 33008 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(33051), // Rule ID 425 //
     /* 33013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmp_le_ph),
     /* 33021 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 33024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33035 */     // (intrinsic_void 7764:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (CMP_LE_PH DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 33035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LE_PH),
     /* 33038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 33040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33049 */     GIR_RootConstrainSelectedInstOperands,
     /* 33050 */     // GIR_Coverage, 425,
     /* 33050 */     GIR_EraseRootFromParent_Done,
     /* 33051 */   // Label 926: @33051
     /* 33051 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(33094), // Rule ID 1302 //
     /* 33056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmp_eq_ph),
     /* 33064 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 33067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33078 */     // (intrinsic_void 7763:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (CMP_EQ_PH_MM DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 33078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_PH_MM),
     /* 33081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 33083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33092 */     GIR_RootConstrainSelectedInstOperands,
     /* 33093 */     // GIR_Coverage, 1302,
     /* 33093 */     GIR_EraseRootFromParent_Done,
     /* 33094 */   // Label 927: @33094
     /* 33094 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(33137), // Rule ID 1303 //
     /* 33099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmp_lt_ph),
     /* 33107 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 33110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33121 */     // (intrinsic_void 7765:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (CMP_LT_PH_MM DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 33121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LT_PH_MM),
     /* 33124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 33126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33135 */     GIR_RootConstrainSelectedInstOperands,
     /* 33136 */     // GIR_Coverage, 1303,
     /* 33136 */     GIR_EraseRootFromParent_Done,
     /* 33137 */   // Label 928: @33137
     /* 33137 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(33180), // Rule ID 1304 //
     /* 33142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmp_le_ph),
     /* 33150 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 33153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33164 */     // (intrinsic_void 7764:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (CMP_LE_PH_MM DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 33164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LE_PH_MM),
     /* 33167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 33169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33178 */     GIR_RootConstrainSelectedInstOperands,
     /* 33179 */     // GIR_Coverage, 1304,
     /* 33179 */     GIR_EraseRootFromParent_Done,
     /* 33180 */   // Label 929: @33180
     /* 33180 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(33223), // Rule ID 1308 //
     /* 33185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmpu_eq_qb),
     /* 33193 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /* 33196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 33199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33207 */     // (intrinsic_void 7772:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPU_EQ_QB_MM DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 33207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPU_EQ_QB_MM),
     /* 33210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 33212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33221 */     GIR_RootConstrainSelectedInstOperands,
     /* 33222 */     // GIR_Coverage, 1308,
     /* 33222 */     GIR_EraseRootFromParent_Done,
     /* 33223 */   // Label 930: @33223
     /* 33223 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(33266), // Rule ID 1309 //
     /* 33228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmpu_lt_qb),
     /* 33236 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /* 33239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 33242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33250 */     // (intrinsic_void 7774:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPU_LT_QB_MM DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 33250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPU_LT_QB_MM),
     /* 33253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 33255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33264 */     GIR_RootConstrainSelectedInstOperands,
     /* 33265 */     // GIR_Coverage, 1309,
     /* 33265 */     GIR_EraseRootFromParent_Done,
     /* 33266 */   // Label 931: @33266
     /* 33266 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(33309), // Rule ID 1310 //
     /* 33271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_cmpu_le_qb),
     /* 33279 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s8,
     /* 33282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 33285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33293 */     // (intrinsic_void 7773:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPU_LE_QB_MM DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 33293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPU_LE_QB_MM),
     /* 33296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 33298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 33303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33307 */     GIR_RootConstrainSelectedInstOperands,
     /* 33308 */     // GIR_Coverage, 1310,
     /* 33308 */     GIR_EraseRootFromParent_Done,
     /* 33309 */   // Label 932: @33309
     /* 33309 */   GIM_Reject,
     /* 33310 */ // Label 910: @33310
     /* 33310 */ GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(37435),
     /* 33315 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 33318 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(33382), // Rule ID 382 //
     /* 33323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_ph),
     /* 33331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 33334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 33352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 33356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 33360 */     // MIs[1] Operand 1
     /* 33360 */     // No operand predicates
     /* 33360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 33362 */     // (intrinsic_w_chain:{ *:[v2i16] } 8150:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$rs_sa)  =>  (SHLL_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, (imm:{ *:[i32] }):$rs_sa)
     /* 33362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLL_S_PH),
     /* 33365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs_sa
     /* 33372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 33380 */     GIR_RootConstrainSelectedInstOperands,
     /* 33381 */     // GIR_Coverage, 382,
     /* 33381 */     GIR_EraseRootFromParent_Done,
     /* 33382 */   // Label 934: @33382
     /* 33382 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(33446), // Rule ID 387 //
     /* 33387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_w),
     /* 33395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 33398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 33401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 33416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 33420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 33424 */     // MIs[1] Operand 1
     /* 33424 */     // No operand predicates
     /* 33424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 33426 */     // (intrinsic_w_chain:{ *:[i32] } 8151:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$rs_sa)  =>  (SHLL_S_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$rs_sa)
     /* 33426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLL_S_W),
     /* 33429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs_sa
     /* 33436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 33444 */     GIR_RootConstrainSelectedInstOperands,
     /* 33445 */     // GIR_Coverage, 387,
     /* 33445 */     GIR_EraseRootFromParent_Done,
     /* 33446 */   // Label 935: @33446
     /* 33446 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(33510), // Rule ID 1239 //
     /* 33451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_ph),
     /* 33459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 33462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 33480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 33484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 33488 */     // MIs[1] Operand 1
     /* 33488 */     // No operand predicates
     /* 33488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 33490 */     // (intrinsic_w_chain:{ *:[v2i16] } 8150:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$sa)  =>  (SHLL_S_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, (imm:{ *:[i32] }):$sa)
     /* 33490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLL_S_PH_MM),
     /* 33493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 33495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 33497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // sa
     /* 33500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 33508 */     GIR_RootConstrainSelectedInstOperands,
     /* 33509 */     // GIR_Coverage, 1239,
     /* 33509 */     GIR_EraseRootFromParent_Done,
     /* 33510 */   // Label 936: @33510
     /* 33510 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(33574), // Rule ID 1244 //
     /* 33515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 33518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_w),
     /* 33523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 33526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 33529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 33544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 33548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 33552 */     // MIs[1] Operand 1
     /* 33552 */     // No operand predicates
     /* 33552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 33554 */     // (intrinsic_w_chain:{ *:[i32] } 8151:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$sa)  =>  (SHLL_S_W_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, (imm:{ *:[i32] }):$sa)
     /* 33554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLL_S_W_MM),
     /* 33557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 33559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 33561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // sa
     /* 33564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 33572 */     GIR_RootConstrainSelectedInstOperands,
     /* 33573 */     // GIR_Coverage, 1244,
     /* 33573 */     GIR_EraseRootFromParent_Done,
     /* 33574 */   // Label 937: @33574
     /* 33574 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(33629), // Rule ID 1942 //
     /* 33579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_ph),
     /* 33587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 33590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 33604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 33608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 33612 */     // MIs[1] Operand 1
     /* 33612 */     // No operand predicates
     /* 33612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 33614 */     // (intrinsic_w_chain:{ *:[v2i16] } 8148:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$shamt)  =>  (SHLL_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$shamt)
     /* 33614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLL_PH),
     /* 33617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33619 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 33621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 33624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33627 */     GIR_RootConstrainSelectedInstOperands,
     /* 33628 */     // GIR_Coverage, 1942,
     /* 33628 */     GIR_EraseRootFromParent_Done,
     /* 33629 */   // Label 938: @33629
     /* 33629 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(33684), // Rule ID 1948 //
     /* 33634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_qb),
     /* 33642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 33645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 33648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 33659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 33663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt3),
     /* 33667 */     // MIs[1] Operand 1
     /* 33667 */     // No operand predicates
     /* 33667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 33669 */     // (intrinsic_w_chain:{ *:[v4i8] } 8149:{ *:[iPTR] }, v4i8:{ *:[v4i8] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$shamt)  =>  (SHLL_QB:{ *:[v4i8] } v4i8:{ *:[v4i8] }:$a, (imm:{ *:[i32] })<<P:Predicate_immZExt3>>:$shamt)
     /* 33669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLL_QB),
     /* 33672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33674 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 33676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 33679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33682 */     GIR_RootConstrainSelectedInstOperands,
     /* 33683 */     // GIR_Coverage, 1948,
     /* 33683 */     GIR_EraseRootFromParent_Done,
     /* 33684 */   // Label 939: @33684
     /* 33684 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(33736), // Rule ID 359 //
     /* 33689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addq_s_w),
     /* 33697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 33700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 33703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33718 */     // (intrinsic_w_chain:{ *:[i32] } 7603:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDQ_S_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 33718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQ_S_W),
     /* 33721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 33725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 33727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 33730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33734 */     GIR_RootConstrainSelectedInstOperands,
     /* 33735 */     // GIR_Coverage, 359,
     /* 33735 */     GIR_EraseRootFromParent_Done,
     /* 33736 */   // Label 940: @33736
     /* 33736 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(33788), // Rule ID 360 //
     /* 33741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subq_s_w),
     /* 33749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 33752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 33755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33770 */     // (intrinsic_w_chain:{ *:[i32] } 8223:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBQ_S_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 33770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQ_S_W),
     /* 33773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 33777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 33779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 33782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33786 */     GIR_RootConstrainSelectedInstOperands,
     /* 33787 */     // GIR_Coverage, 360,
     /* 33787 */     GIR_EraseRootFromParent_Done,
     /* 33788 */   // Label 941: @33788
     /* 33788 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(33840), // Rule ID 367 //
     /* 33793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrq_rs_ph_w),
     /* 33801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 33804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 33807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33822 */     // (intrinsic_w_chain:{ *:[v2i16] } 8129:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (PRECRQ_RS_PH_W:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 33822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQ_RS_PH_W),
     /* 33825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 33829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 33831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33838 */     GIR_RootConstrainSelectedInstOperands,
     /* 33839 */     // GIR_Coverage, 367,
     /* 33839 */     GIR_EraseRootFromParent_Done,
     /* 33840 */   // Label 942: @33840
     /* 33840 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(33892), // Rule ID 368 //
     /* 33845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrqu_s_qb_ph),
     /* 33853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 33856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 33862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33874 */     // (intrinsic_w_chain:{ *:[v4i8] } 8130:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECRQU_S_QB_PH:{ *:[v4i8] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 33874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQU_S_QB_PH),
     /* 33877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 33881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 33883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33890 */     GIR_RootConstrainSelectedInstOperands,
     /* 33891 */     // GIR_Coverage, 368,
     /* 33891 */     GIR_EraseRootFromParent_Done,
     /* 33892 */   // Label 943: @33892
     /* 33892 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(33944), // Rule ID 379 //
     /* 33897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_qb),
     /* 33905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 33908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 33911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33926 */     // (intrinsic_w_chain:{ *:[v4i8] } 8149:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHLLV_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 33926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_QB),
     /* 33929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 33935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33942 */     GIR_RootConstrainSelectedInstOperands,
     /* 33943 */     // GIR_Coverage, 379,
     /* 33943 */     GIR_EraseRootFromParent_Done,
     /* 33944 */   // Label 944: @33944
     /* 33944 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(33996), // Rule ID 381 //
     /* 33949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 33952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_ph),
     /* 33957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 33960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 33963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 33966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 33974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 33978 */     // (intrinsic_w_chain:{ *:[v2i16] } 8148:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHLLV_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 33978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_PH),
     /* 33981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 33983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 33985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 33987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 33990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 33994 */     GIR_RootConstrainSelectedInstOperands,
     /* 33995 */     // GIR_Coverage, 381,
     /* 33995 */     GIR_EraseRootFromParent_Done,
     /* 33996 */   // Label 945: @33996
     /* 33996 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(34048), // Rule ID 383 //
     /* 34001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_ph),
     /* 34009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 34018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34030 */     // (intrinsic_w_chain:{ *:[v2i16] } 8150:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHLLV_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 34030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_S_PH),
     /* 34033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 34037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 34039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 34042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34046 */     GIR_RootConstrainSelectedInstOperands,
     /* 34047 */     // GIR_Coverage, 383,
     /* 34047 */     GIR_EraseRootFromParent_Done,
     /* 34048 */   // Label 946: @34048
     /* 34048 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(34100), // Rule ID 388 //
     /* 34053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_w),
     /* 34061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 34067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 34070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34082 */     // (intrinsic_w_chain:{ *:[i32] } 8151:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)  =>  (SHLLV_S_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs_sa)
     /* 34082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_S_W),
     /* 34085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 34089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs_sa
     /* 34091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 34094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34098 */     GIR_RootConstrainSelectedInstOperands,
     /* 34099 */     // GIR_Coverage, 388,
     /* 34099 */     GIR_EraseRootFromParent_Done,
     /* 34100 */   // Label 947: @34100
     /* 34100 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(34152), // Rule ID 391 //
     /* 34105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleu_s_ph_qbl),
     /* 34113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34134 */     // (intrinsic_w_chain:{ *:[v2i16] } 8071:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEU_S_PH_QBL:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEU_S_PH_QBL),
     /* 34137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 34146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34150 */     GIR_RootConstrainSelectedInstOperands,
     /* 34151 */     // GIR_Coverage, 391,
     /* 34151 */     GIR_EraseRootFromParent_Done,
     /* 34152 */   // Label 948: @34152
     /* 34152 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(34204), // Rule ID 392 //
     /* 34157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleu_s_ph_qbr),
     /* 34165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34186 */     // (intrinsic_w_chain:{ *:[v2i16] } 8072:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEU_S_PH_QBR:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEU_S_PH_QBR),
     /* 34189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 34198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34202 */     GIR_RootConstrainSelectedInstOperands,
     /* 34203 */     // GIR_Coverage, 392,
     /* 34203 */     GIR_EraseRootFromParent_Done,
     /* 34204 */   // Label 949: @34204
     /* 34204 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(34256), // Rule ID 393 //
     /* 34209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleq_s_w_phl),
     /* 34217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34238 */     // (intrinsic_w_chain:{ *:[i32] } 8069:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEQ_S_W_PHL:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEQ_S_W_PHL),
     /* 34241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 34250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34254 */     GIR_RootConstrainSelectedInstOperands,
     /* 34255 */     // GIR_Coverage, 393,
     /* 34255 */     GIR_EraseRootFromParent_Done,
     /* 34256 */   // Label 950: @34256
     /* 34256 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(34308), // Rule ID 394 //
     /* 34261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleq_s_w_phr),
     /* 34269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34290 */     // (intrinsic_w_chain:{ *:[i32] } 8070:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEQ_S_W_PHR:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEQ_S_W_PHR),
     /* 34293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 34302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34306 */     GIR_RootConstrainSelectedInstOperands,
     /* 34307 */     // GIR_Coverage, 394,
     /* 34307 */     GIR_EraseRootFromParent_Done,
     /* 34308 */   // Label 951: @34308
     /* 34308 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(34360), // Rule ID 395 //
     /* 34313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_rs_ph),
     /* 34321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34342 */     // (intrinsic_w_chain:{ *:[v2i16] } 8073:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULQ_RS_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_RS_PH),
     /* 34345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 34354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34358 */     GIR_RootConstrainSelectedInstOperands,
     /* 34359 */     // GIR_Coverage, 395,
     /* 34359 */     GIR_EraseRootFromParent_Done,
     /* 34360 */   // Label 952: @34360
     /* 34360 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(34409), // Rule ID 420 //
     /* 34365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgu_eq_qb),
     /* 34373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 34382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34394 */     // (intrinsic_w_chain:{ *:[i32] } 7769:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGU_EQ_QB:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 34394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGU_EQ_QB),
     /* 34397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34407 */     GIR_RootConstrainSelectedInstOperands,
     /* 34408 */     // GIR_Coverage, 420,
     /* 34408 */     GIR_EraseRootFromParent_Done,
     /* 34409 */   // Label 953: @34409
     /* 34409 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(34458), // Rule ID 421 //
     /* 34414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgu_lt_qb),
     /* 34422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 34431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34443 */     // (intrinsic_w_chain:{ *:[i32] } 7771:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGU_LT_QB:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 34443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGU_LT_QB),
     /* 34446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34456 */     GIR_RootConstrainSelectedInstOperands,
     /* 34457 */     // GIR_Coverage, 421,
     /* 34457 */     GIR_EraseRootFromParent_Done,
     /* 34458 */   // Label 954: @34458
     /* 34458 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(34507), // Rule ID 422 //
     /* 34463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgu_le_qb),
     /* 34471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 34480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34492 */     // (intrinsic_w_chain:{ *:[i32] } 7770:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGU_LE_QB:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 34492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGU_LE_QB),
     /* 34495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34505 */     GIR_RootConstrainSelectedInstOperands,
     /* 34506 */     // GIR_Coverage, 422,
     /* 34506 */     GIR_EraseRootFromParent_Done,
     /* 34507 */   // Label 955: @34507
     /* 34507 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(34556), // Rule ID 432 //
     /* 34512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_pick_qb),
     /* 34520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 34523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 34529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34541 */     // (intrinsic_w_chain:{ *:[v4i8] } 8113:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PICK_QB:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 34541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PICK_QB),
     /* 34544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34550 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34554 */     GIR_RootConstrainSelectedInstOperands,
     /* 34555 */     // GIR_Coverage, 432,
     /* 34555 */     GIR_EraseRootFromParent_Done,
     /* 34556 */   // Label 956: @34556
     /* 34556 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(34605), // Rule ID 433 //
     /* 34561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_pick_ph),
     /* 34569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34590 */     // (intrinsic_w_chain:{ *:[v2i16] } 8112:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PICK_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PICK_PH),
     /* 34593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34603 */     GIR_RootConstrainSelectedInstOperands,
     /* 34604 */     // GIR_Coverage, 433,
     /* 34604 */     GIR_EraseRootFromParent_Done,
     /* 34605 */   // Label 957: @34605
     /* 34605 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(34654), // Rule ID 437 //
     /* 34610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 34613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_insv),
     /* 34618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 34624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 34627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34639 */     // (intrinsic_w_chain:{ *:[i32] } 7971:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs)  =>  (INSV:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs)
     /* 34639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSV),
     /* 34642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 34644 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 34646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 34648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34652 */     GIR_RootConstrainSelectedInstOperands,
     /* 34653 */     // GIR_Coverage, 437,
     /* 34653 */     GIR_EraseRootFromParent_Done,
     /* 34654 */   // Label 958: @34654
     /* 34654 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(34706), // Rule ID 443 //
     /* 34659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 34662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addu_ph),
     /* 34667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34688 */     // (intrinsic_w_chain:{ *:[v2i16] } 7621:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDU_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDU_PH),
     /* 34691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 34700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34704 */     GIR_RootConstrainSelectedInstOperands,
     /* 34705 */     // GIR_Coverage, 443,
     /* 34705 */     GIR_EraseRootFromParent_Done,
     /* 34706 */   // Label 959: @34706
     /* 34706 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(34758), // Rule ID 444 //
     /* 34711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 34714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addu_s_ph),
     /* 34719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34740 */     // (intrinsic_w_chain:{ *:[v2i16] } 7623:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDU_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDU_S_PH),
     /* 34743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 34752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34756 */     GIR_RootConstrainSelectedInstOperands,
     /* 34757 */     // GIR_Coverage, 444,
     /* 34757 */     GIR_EraseRootFromParent_Done,
     /* 34758 */   // Label 960: @34758
     /* 34758 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(34810), // Rule ID 445 //
     /* 34763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 34766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subu_ph),
     /* 34771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34792 */     // (intrinsic_w_chain:{ *:[v2i16] } 8244:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBU_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBU_PH),
     /* 34795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 34804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34808 */     GIR_RootConstrainSelectedInstOperands,
     /* 34809 */     // GIR_Coverage, 445,
     /* 34809 */     GIR_EraseRootFromParent_Done,
     /* 34810 */   // Label 961: @34810
     /* 34810 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(34862), // Rule ID 446 //
     /* 34815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 34818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subu_s_ph),
     /* 34823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 34826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 34829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 34832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34844 */     // (intrinsic_w_chain:{ *:[v2i16] } 8246:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBU_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 34844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBU_S_PH),
     /* 34847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 34856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34860 */     GIR_RootConstrainSelectedInstOperands,
     /* 34861 */     // GIR_Coverage, 446,
     /* 34861 */     GIR_EraseRootFromParent_Done,
     /* 34862 */   // Label 962: @34862
     /* 34862 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(34914), // Rule ID 447 //
     /* 34867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 34870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgdu_eq_qb),
     /* 34875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 34884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34896 */     // (intrinsic_w_chain:{ *:[i32] } 7766:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGDU_EQ_QB:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 34896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGDU_EQ_QB),
     /* 34899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 34908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34912 */     GIR_RootConstrainSelectedInstOperands,
     /* 34913 */     // GIR_Coverage, 447,
     /* 34913 */     GIR_EraseRootFromParent_Done,
     /* 34914 */   // Label 963: @34914
     /* 34914 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(34966), // Rule ID 448 //
     /* 34919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 34922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgdu_lt_qb),
     /* 34927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 34936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34948 */     // (intrinsic_w_chain:{ *:[i32] } 7768:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGDU_LT_QB:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 34948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGDU_LT_QB),
     /* 34951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 34953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 34955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 34957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 34960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 34964 */     GIR_RootConstrainSelectedInstOperands,
     /* 34965 */     // GIR_Coverage, 448,
     /* 34965 */     GIR_EraseRootFromParent_Done,
     /* 34966 */   // Label 964: @34966
     /* 34966 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(35018), // Rule ID 449 //
     /* 34971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 34974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgdu_le_qb),
     /* 34979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 34982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 34985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 34988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 34992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 34996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35000 */     // (intrinsic_w_chain:{ *:[i32] } 7767:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGDU_LE_QB:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 35000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGDU_LE_QB),
     /* 35003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 35012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35016 */     GIR_RootConstrainSelectedInstOperands,
     /* 35017 */     // GIR_Coverage, 449,
     /* 35017 */     GIR_EraseRootFromParent_Done,
     /* 35018 */   // Label 965: @35018
     /* 35018 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(35070), // Rule ID 463 //
     /* 35023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 35026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mul_s_ph),
     /* 35031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35052 */     // (intrinsic_w_chain:{ *:[v2i16] } 8068:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MUL_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MUL_S_PH),
     /* 35055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35068 */     GIR_RootConstrainSelectedInstOperands,
     /* 35069 */     // GIR_Coverage, 463,
     /* 35069 */     GIR_EraseRootFromParent_Done,
     /* 35070 */   // Label 966: @35070
     /* 35070 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(35122), // Rule ID 464 //
     /* 35075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 35078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_s_w),
     /* 35083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 35089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35104 */     // (intrinsic_w_chain:{ *:[i32] } 8076:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MULQ_S_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 35104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_S_W),
     /* 35107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35120 */     GIR_RootConstrainSelectedInstOperands,
     /* 35121 */     // GIR_Coverage, 464,
     /* 35121 */     GIR_EraseRootFromParent_Done,
     /* 35122 */   // Label 967: @35122
     /* 35122 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(35174), // Rule ID 465 //
     /* 35127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 35130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_rs_w),
     /* 35135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 35141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35156 */     // (intrinsic_w_chain:{ *:[i32] } 8074:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MULQ_RS_W:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 35156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_RS_W),
     /* 35159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35172 */     GIR_RootConstrainSelectedInstOperands,
     /* 35173 */     // GIR_Coverage, 465,
     /* 35173 */     GIR_EraseRootFromParent_Done,
     /* 35174 */   // Label 968: @35174
     /* 35174 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(35226), // Rule ID 466 //
     /* 35179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 35182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_s_ph),
     /* 35187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35208 */     // (intrinsic_w_chain:{ *:[v2i16] } 8075:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULQ_S_PH:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_S_PH),
     /* 35211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35224 */     GIR_RootConstrainSelectedInstOperands,
     /* 35225 */     // GIR_Coverage, 466,
     /* 35225 */     GIR_EraseRootFromParent_Done,
     /* 35226 */   // Label 969: @35226
     /* 35226 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(35275), // Rule ID 476 //
     /* 35231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 35234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precr_qb_ph),
     /* 35239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 35242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35260 */     // (intrinsic_w_chain:{ *:[v4i8] } 8124:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECR_QB_PH:{ *:[v4i8] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECR_QB_PH),
     /* 35263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35273 */     GIR_RootConstrainSelectedInstOperands,
     /* 35274 */     // GIR_Coverage, 476,
     /* 35274 */     GIR_EraseRootFromParent_Done,
     /* 35275 */   // Label 970: @35275
     /* 35275 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(35327), // Rule ID 1224 //
     /* 35280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addq_s_w),
     /* 35288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 35294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35309 */     // (intrinsic_w_chain:{ *:[i32] } 7603:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (ADDQ_S_W_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 35309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDQ_S_W_MM),
     /* 35312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 35321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35325 */     GIR_RootConstrainSelectedInstOperands,
     /* 35326 */     // GIR_Coverage, 1224,
     /* 35326 */     GIR_EraseRootFromParent_Done,
     /* 35327 */   // Label 971: @35327
     /* 35327 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(35376), // Rule ID 1232 //
     /* 35332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_insv),
     /* 35340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 35346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35361 */     // (intrinsic_w_chain:{ *:[i32] } 7971:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs)  =>  (INSV_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$src, GPR32Opnd:{ *:[i32] }:$rs)
     /* 35361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSV_MM),
     /* 35364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 35366 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 35368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 35370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35374 */     GIR_RootConstrainSelectedInstOperands,
     /* 35375 */     // GIR_Coverage, 1232,
     /* 35375 */     GIR_EraseRootFromParent_Done,
     /* 35376 */   // Label 972: @35376
     /* 35376 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(35428), // Rule ID 1240 //
     /* 35381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_ph),
     /* 35389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35410 */     // (intrinsic_w_chain:{ *:[v2i16] } 8148:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHLLV_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 35410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_PH_MM),
     /* 35413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 35417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 35419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 35422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35426 */     GIR_RootConstrainSelectedInstOperands,
     /* 35427 */     // GIR_Coverage, 1240,
     /* 35427 */     GIR_EraseRootFromParent_Done,
     /* 35428 */   // Label 973: @35428
     /* 35428 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(35480), // Rule ID 1241 //
     /* 35433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_ph),
     /* 35441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35462 */     // (intrinsic_w_chain:{ *:[v2i16] } 8150:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHLLV_S_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 35462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_S_PH_MM),
     /* 35465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 35469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 35471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 35474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35478 */     GIR_RootConstrainSelectedInstOperands,
     /* 35479 */     // GIR_Coverage, 1241,
     /* 35479 */     GIR_EraseRootFromParent_Done,
     /* 35480 */   // Label 974: @35480
     /* 35480 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(35532), // Rule ID 1242 //
     /* 35485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_qb),
     /* 35493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 35496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 35499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35514 */     // (intrinsic_w_chain:{ *:[v4i8] } 8149:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHLLV_QB_MM:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 35514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_QB_MM),
     /* 35517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 35521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 35523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 35526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35530 */     GIR_RootConstrainSelectedInstOperands,
     /* 35531 */     // GIR_Coverage, 1242,
     /* 35531 */     GIR_EraseRootFromParent_Done,
     /* 35532 */   // Label 975: @35532
     /* 35532 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(35584), // Rule ID 1243 //
     /* 35537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_shll_s_w),
     /* 35545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 35551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35566 */     // (intrinsic_w_chain:{ *:[i32] } 8151:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SHLLV_S_W_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 35566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SHLLV_S_W_MM),
     /* 35569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rt
     /* 35573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs
     /* 35575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 35578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35582 */     GIR_RootConstrainSelectedInstOperands,
     /* 35583 */     // GIR_Coverage, 1243,
     /* 35583 */     GIR_EraseRootFromParent_Done,
     /* 35584 */   // Label 976: @35584
     /* 35584 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(35636), // Rule ID 1262 //
     /* 35589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subq_s_w),
     /* 35597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 35603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35618 */     // (intrinsic_w_chain:{ *:[i32] } 8223:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (SUBQ_S_W_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 35618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBQ_S_W_MM),
     /* 35621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 35630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35634 */     GIR_RootConstrainSelectedInstOperands,
     /* 35635 */     // GIR_Coverage, 1262,
     /* 35635 */     GIR_EraseRootFromParent_Done,
     /* 35636 */   // Label 977: @35636
     /* 35636 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(35688), // Rule ID 1268 //
     /* 35641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleq_s_w_phl),
     /* 35649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35670 */     // (intrinsic_w_chain:{ *:[i32] } 8069:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEQ_S_W_PHL_MM:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEQ_S_W_PHL_MM),
     /* 35673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35686 */     GIR_RootConstrainSelectedInstOperands,
     /* 35687 */     // GIR_Coverage, 1268,
     /* 35687 */     GIR_EraseRootFromParent_Done,
     /* 35688 */   // Label 978: @35688
     /* 35688 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(35740), // Rule ID 1269 //
     /* 35693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleq_s_w_phr),
     /* 35701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 35704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35722 */     // (intrinsic_w_chain:{ *:[i32] } 8070:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEQ_S_W_PHR_MM:{ *:[i32] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEQ_S_W_PHR_MM),
     /* 35725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35738 */     GIR_RootConstrainSelectedInstOperands,
     /* 35739 */     // GIR_Coverage, 1269,
     /* 35739 */     GIR_EraseRootFromParent_Done,
     /* 35740 */   // Label 979: @35740
     /* 35740 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(35792), // Rule ID 1270 //
     /* 35745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleu_s_ph_qbl),
     /* 35753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 35759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35774 */     // (intrinsic_w_chain:{ *:[v2i16] } 8071:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEU_S_PH_QBL_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEU_S_PH_QBL_MM),
     /* 35777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35790 */     GIR_RootConstrainSelectedInstOperands,
     /* 35791 */     // GIR_Coverage, 1270,
     /* 35791 */     GIR_EraseRootFromParent_Done,
     /* 35792 */   // Label 980: @35792
     /* 35792 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(35844), // Rule ID 1271 //
     /* 35797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_muleu_s_ph_qbr),
     /* 35805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 35811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35826 */     // (intrinsic_w_chain:{ *:[v2i16] } 8072:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULEU_S_PH_QBR_MM:{ *:[v2i16] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULEU_S_PH_QBR_MM),
     /* 35829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35842 */     GIR_RootConstrainSelectedInstOperands,
     /* 35843 */     // GIR_Coverage, 1271,
     /* 35843 */     GIR_EraseRootFromParent_Done,
     /* 35844 */   // Label 981: @35844
     /* 35844 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(35896), // Rule ID 1272 //
     /* 35849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_rs_ph),
     /* 35857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35878 */     // (intrinsic_w_chain:{ *:[v2i16] } 8073:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULQ_RS_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_RS_PH_MM),
     /* 35881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 35890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35894 */     GIR_RootConstrainSelectedInstOperands,
     /* 35895 */     // GIR_Coverage, 1272,
     /* 35895 */     GIR_EraseRootFromParent_Done,
     /* 35896 */   // Label 982: @35896
     /* 35896 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(35948), // Rule ID 1275 //
     /* 35901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrqu_s_qb_ph),
     /* 35909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 35912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 35915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 35918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35930 */     // (intrinsic_w_chain:{ *:[v4i8] } 8130:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECRQU_S_QB_PH_MM:{ *:[v4i8] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 35930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQU_S_QB_PH_MM),
     /* 35933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 35942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35946 */     GIR_RootConstrainSelectedInstOperands,
     /* 35947 */     // GIR_Coverage, 1275,
     /* 35947 */     GIR_EraseRootFromParent_Done,
     /* 35948 */   // Label 983: @35948
     /* 35948 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(36000), // Rule ID 1276 //
     /* 35953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 35956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precrq_rs_ph_w),
     /* 35961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 35964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 35967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 35970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 35974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 35982 */     // (intrinsic_w_chain:{ *:[v2i16] } 8129:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (PRECRQ_RS_PH_W_MM:{ *:[v2i16] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 35982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECRQ_RS_PH_W_MM),
     /* 35985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 35987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 35989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 35991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag22*/0,
     /* 35994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 35998 */     GIR_RootConstrainSelectedInstOperands,
     /* 35999 */     // GIR_Coverage, 1276,
     /* 35999 */     GIR_EraseRootFromParent_Done,
     /* 36000 */   // Label 984: @36000
     /* 36000 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(36049), // Rule ID 1294 //
     /* 36005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 36008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_pick_ph),
     /* 36013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36034 */     // (intrinsic_w_chain:{ *:[v2i16] } 8112:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PICK_PH_MM:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PICK_PH_MM),
     /* 36037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36047 */     GIR_RootConstrainSelectedInstOperands,
     /* 36048 */     // GIR_Coverage, 1294,
     /* 36048 */     GIR_EraseRootFromParent_Done,
     /* 36049 */   // Label 985: @36049
     /* 36049 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(36098), // Rule ID 1295 //
     /* 36054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 36057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_pick_qb),
     /* 36062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 36065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 36068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 36071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36083 */     // (intrinsic_w_chain:{ *:[v4i8] } 8113:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (PICK_QB_MM:{ *:[v4i8] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 36083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PICK_QB_MM),
     /* 36086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36096 */     GIR_RootConstrainSelectedInstOperands,
     /* 36097 */     // GIR_Coverage, 1295,
     /* 36097 */     GIR_EraseRootFromParent_Done,
     /* 36098 */   // Label 986: @36098
     /* 36098 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(36147), // Rule ID 1305 //
     /* 36103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 36106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgu_eq_qb),
     /* 36111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 36117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 36120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36132 */     // (intrinsic_w_chain:{ *:[i32] } 7769:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGU_EQ_QB_MM:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 36132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGU_EQ_QB_MM),
     /* 36135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36145 */     GIR_RootConstrainSelectedInstOperands,
     /* 36146 */     // GIR_Coverage, 1305,
     /* 36146 */     GIR_EraseRootFromParent_Done,
     /* 36147 */   // Label 987: @36147
     /* 36147 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(36196), // Rule ID 1306 //
     /* 36152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 36155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgu_lt_qb),
     /* 36160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 36166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 36169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36181 */     // (intrinsic_w_chain:{ *:[i32] } 7771:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGU_LT_QB_MM:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 36181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGU_LT_QB_MM),
     /* 36184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36194 */     GIR_RootConstrainSelectedInstOperands,
     /* 36195 */     // GIR_Coverage, 1306,
     /* 36195 */     GIR_EraseRootFromParent_Done,
     /* 36196 */   // Label 988: @36196
     /* 36196 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(36245), // Rule ID 1307 //
     /* 36201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 36204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgu_le_qb),
     /* 36209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 36215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 36218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36230 */     // (intrinsic_w_chain:{ *:[i32] } 7770:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGU_LE_QB_MM:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 36230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGU_LE_QB_MM),
     /* 36233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36243 */     GIR_RootConstrainSelectedInstOperands,
     /* 36244 */     // GIR_Coverage, 1307,
     /* 36244 */     GIR_EraseRootFromParent_Done,
     /* 36245 */   // Label 989: @36245
     /* 36245 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(36297), // Rule ID 1316 //
     /* 36250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addu_ph),
     /* 36258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36279 */     // (intrinsic_w_chain:{ *:[v2i16] } 7621:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDU_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDU_PH_MMR2),
     /* 36282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 36291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36295 */     GIR_RootConstrainSelectedInstOperands,
     /* 36296 */     // GIR_Coverage, 1316,
     /* 36296 */     GIR_EraseRootFromParent_Done,
     /* 36297 */   // Label 990: @36297
     /* 36297 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(36349), // Rule ID 1317 //
     /* 36302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addu_s_ph),
     /* 36310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36331 */     // (intrinsic_w_chain:{ *:[v2i16] } 7623:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (ADDU_S_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDU_S_PH_MMR2),
     /* 36334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 36343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36347 */     GIR_RootConstrainSelectedInstOperands,
     /* 36348 */     // GIR_Coverage, 1317,
     /* 36348 */     GIR_EraseRootFromParent_Done,
     /* 36349 */   // Label 991: @36349
     /* 36349 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(36401), // Rule ID 1328 //
     /* 36354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgdu_eq_qb),
     /* 36362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 36368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 36371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36383 */     // (intrinsic_w_chain:{ *:[i32] } 7766:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGDU_EQ_QB_MMR2:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 36383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGDU_EQ_QB_MMR2),
     /* 36386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 36395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36399 */     GIR_RootConstrainSelectedInstOperands,
     /* 36400 */     // GIR_Coverage, 1328,
     /* 36400 */     GIR_EraseRootFromParent_Done,
     /* 36401 */   // Label 992: @36401
     /* 36401 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(36453), // Rule ID 1329 //
     /* 36406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgdu_lt_qb),
     /* 36414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 36420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 36423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36435 */     // (intrinsic_w_chain:{ *:[i32] } 7768:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGDU_LT_QB_MMR2:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 36435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGDU_LT_QB_MMR2),
     /* 36438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 36447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36451 */     GIR_RootConstrainSelectedInstOperands,
     /* 36452 */     // GIR_Coverage, 1329,
     /* 36452 */     GIR_EraseRootFromParent_Done,
     /* 36453 */   // Label 993: @36453
     /* 36453 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(36505), // Rule ID 1330 //
     /* 36458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_cmpgdu_le_qb),
     /* 36466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s8,
     /* 36472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s8,
     /* 36475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36487 */     // (intrinsic_w_chain:{ *:[i32] } 7767:{ *:[iPTR] }, DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)  =>  (CMPGDU_LE_QB_MMR2:{ *:[i32] } DSPROpnd:{ *:[v4i8] }:$rs, DSPROpnd:{ *:[v4i8] }:$rt)
     /* 36487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMPGDU_LE_QB_MMR2),
     /* 36490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCCond*/0,
     /* 36499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36503 */     GIR_RootConstrainSelectedInstOperands,
     /* 36504 */     // GIR_Coverage, 1330,
     /* 36504 */     GIR_EraseRootFromParent_Done,
     /* 36505 */   // Label 994: @36505
     /* 36505 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(36557), // Rule ID 1336 //
     /* 36510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subu_ph),
     /* 36518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36539 */     // (intrinsic_w_chain:{ *:[v2i16] } 8244:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBU_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBU_PH_MMR2),
     /* 36542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 36551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36555 */     GIR_RootConstrainSelectedInstOperands,
     /* 36556 */     // GIR_Coverage, 1336,
     /* 36556 */     GIR_EraseRootFromParent_Done,
     /* 36557 */   // Label 995: @36557
     /* 36557 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(36609), // Rule ID 1337 //
     /* 36562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_subu_s_ph),
     /* 36570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36591 */     // (intrinsic_w_chain:{ *:[v2i16] } 8246:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (SUBU_S_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SUBU_S_PH_MMR2),
     /* 36594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 36603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36607 */     GIR_RootConstrainSelectedInstOperands,
     /* 36608 */     // GIR_Coverage, 1337,
     /* 36608 */     GIR_EraseRootFromParent_Done,
     /* 36609 */   // Label 996: @36609
     /* 36609 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(36661), // Rule ID 1344 //
     /* 36614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mul_s_ph),
     /* 36622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36643 */     // (intrinsic_w_chain:{ *:[v2i16] } 8068:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MUL_S_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MUL_S_PH_MMR2),
     /* 36646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 36655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36659 */     GIR_RootConstrainSelectedInstOperands,
     /* 36660 */     // GIR_Coverage, 1344,
     /* 36660 */     GIR_EraseRootFromParent_Done,
     /* 36661 */   // Label 997: @36661
     /* 36661 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(36713), // Rule ID 1345 //
     /* 36666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_rs_w),
     /* 36674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 36680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 36683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36695 */     // (intrinsic_w_chain:{ *:[i32] } 8074:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MULQ_RS_W_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 36695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_RS_W_MMR2),
     /* 36698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 36707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36711 */     GIR_RootConstrainSelectedInstOperands,
     /* 36712 */     // GIR_Coverage, 1345,
     /* 36712 */     GIR_EraseRootFromParent_Done,
     /* 36713 */   // Label 998: @36713
     /* 36713 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(36765), // Rule ID 1346 //
     /* 36718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_s_ph),
     /* 36726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36747 */     // (intrinsic_w_chain:{ *:[v2i16] } 8075:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (MULQ_S_PH_MMR2:{ *:[v2i16] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_S_PH_MMR2),
     /* 36750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 36759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36763 */     GIR_RootConstrainSelectedInstOperands,
     /* 36764 */     // GIR_Coverage, 1346,
     /* 36764 */     GIR_EraseRootFromParent_Done,
     /* 36765 */   // Label 999: @36765
     /* 36765 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(36817), // Rule ID 1347 //
     /* 36770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mulq_s_w),
     /* 36778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 36784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 36787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36799 */     // (intrinsic_w_chain:{ *:[i32] } 8076:{ *:[iPTR] }, GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MULQ_S_W_MMR2:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 36799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MULQ_S_W_MMR2),
     /* 36802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 36811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36815 */     GIR_RootConstrainSelectedInstOperands,
     /* 36816 */     // GIR_Coverage, 1347,
     /* 36816 */     GIR_EraseRootFromParent_Done,
     /* 36817 */   // Label 1000: @36817
     /* 36817 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(36866), // Rule ID 1348 //
     /* 36822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2_InMicroMips),
     /* 36825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_precr_qb_ph),
     /* 36830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s8,
     /* 36833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36851 */     // (intrinsic_w_chain:{ *:[v4i8] } 8124:{ *:[iPTR] }, DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)  =>  (PRECR_QB_PH_MMR2:{ *:[v4i8] } DSPROpnd:{ *:[v2i16] }:$rs, DSPROpnd:{ *:[v2i16] }:$rt)
     /* 36851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::PRECR_QB_PH_MMR2),
     /* 36854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 36858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 36860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36864 */     GIR_RootConstrainSelectedInstOperands,
     /* 36865 */     // GIR_Coverage, 1348,
     /* 36865 */     GIR_EraseRootFromParent_Done,
     /* 36866 */   // Label 1001: @36866
     /* 36866 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(36910), // Rule ID 1929 //
     /* 36871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSPR2),
     /* 36874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_mul_ph),
     /* 36879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 36882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 36885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 36888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::DSPRRegClassID),
     /* 36892 */     // (intrinsic_w_chain:{ *:[v2i16] } 8065:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)  =>  (MUL_PH:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a, v2i16:{ *:[v2i16] }:$b)
     /* 36892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MUL_PH),
     /* 36895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36897 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 36899 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 36901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag21*/0,
     /* 36904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36908 */     GIR_RootConstrainSelectedInstOperands,
     /* 36909 */     // GIR_Coverage, 1929,
     /* 36909 */     GIR_EraseRootFromParent_Done,
     /* 36910 */   // Label 1002: @36910
     /* 36910 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(36954), // Rule ID 1935 //
     /* 36915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 36918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addsc),
     /* 36923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 36929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 36932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36936 */     // (intrinsic_w_chain:{ *:[i32] } 7620:{ *:[iPTR] }, i32:{ *:[i32] }:$a, i32:{ *:[i32] }:$b)  =>  (ADDSC:{ *:[i32] } i32:{ *:[i32] }:$a, i32:{ *:[i32] }:$b)
     /* 36936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDSC),
     /* 36939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36941 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 36943 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 36945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPCarry*/0,
     /* 36948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36952 */     GIR_RootConstrainSelectedInstOperands,
     /* 36953 */     // GIR_Coverage, 1935,
     /* 36953 */     GIR_EraseRootFromParent_Done,
     /* 36954 */   // Label 1003: @36954
     /* 36954 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(36998), // Rule ID 1937 //
     /* 36959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 36962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_addwc),
     /* 36967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 36970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 36973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 36976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 36980 */     // (intrinsic_w_chain:{ *:[i32] } 7635:{ *:[iPTR] }, i32:{ *:[i32] }:$a, i32:{ *:[i32] }:$b)  =>  (ADDWC:{ *:[i32] } i32:{ *:[i32] }:$a, i32:{ *:[i32] }:$b)
     /* 36980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ADDWC),
     /* 36983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 36985 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 36987 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 36989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for Mips::DSPOutFlag20*/0,
     /* 36992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 36996 */     GIR_RootConstrainSelectedInstOperands,
     /* 36997 */     // GIR_Coverage, 1937,
     /* 36997 */     GIR_EraseRootFromParent_Done,
     /* 36998 */   // Label 1004: @36998
     /* 36998 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(37044), // Rule ID 487 //
     /* 37003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 37006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ldr_d),
     /* 37011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 37014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 37021 */     // MIs[0] ptr
     /* 37021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37029 */     // (intrinsic_w_chain:{ *:[v2i64] } 7985:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)  =>  (LDR_D:{ *:[v2i64] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)
     /* 37029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LDR_D),
     /* 37032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 37034 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 37036 */     GIR_RootToRootCopy, /*OpIdx*/3, // imm
     /* 37038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37042 */     GIR_RootConstrainSelectedInstOperands,
     /* 37043 */     // GIR_Coverage, 487,
     /* 37043 */     GIR_EraseRootFromParent_Done,
     /* 37044 */   // Label 1005: @37044
     /* 37044 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(37090), // Rule ID 488 //
     /* 37049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 37052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_ldr_w),
     /* 37057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 37060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 37067 */     // MIs[0] ptr
     /* 37067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37075 */     // (intrinsic_w_chain:{ *:[v4i32] } 7986:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)  =>  (LDR_W:{ *:[v4i32] } iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)
     /* 37075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LDR_W),
     /* 37078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 37080 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 37082 */     GIR_RootToRootCopy, /*OpIdx*/3, // imm
     /* 37084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37088 */     GIR_RootConstrainSelectedInstOperands,
     /* 37089 */     // GIR_Coverage, 488,
     /* 37089 */     GIR_EraseRootFromParent_Done,
     /* 37090 */   // Label 1006: @37090
     /* 37090 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(37132), // Rule ID 434 //
     /* 37095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 37098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_lwx),
     /* 37103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37113 */     // MIs[0] base
     /* 37113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37117 */     // (intrinsic_w_chain:{ *:[i32] } 7989:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)  =>  (LWX:{ *:[i32] } iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)
     /* 37117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LWX),
     /* 37120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37122 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 37124 */     GIR_RootToRootCopy, /*OpIdx*/3, // index
     /* 37126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37130 */     GIR_RootConstrainSelectedInstOperands,
     /* 37131 */     // GIR_Coverage, 434,
     /* 37131 */     GIR_EraseRootFromParent_Done,
     /* 37132 */   // Label 1007: @37132
     /* 37132 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(37174), // Rule ID 435 //
     /* 37137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 37140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_lhx),
     /* 37145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37155 */     // MIs[0] base
     /* 37155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37159 */     // (intrinsic_w_chain:{ *:[i32] } 7987:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)  =>  (LHX:{ *:[i32] } iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)
     /* 37159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LHX),
     /* 37162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37164 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 37166 */     GIR_RootToRootCopy, /*OpIdx*/3, // index
     /* 37168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37172 */     GIR_RootConstrainSelectedInstOperands,
     /* 37173 */     // GIR_Coverage, 435,
     /* 37173 */     GIR_EraseRootFromParent_Done,
     /* 37174 */   // Label 1008: @37174
     /* 37174 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(37216), // Rule ID 436 //
     /* 37179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP),
     /* 37182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_lbux),
     /* 37187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37197 */     // MIs[0] base
     /* 37197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37201 */     // (intrinsic_w_chain:{ *:[i32] } 7976:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)  =>  (LBUX:{ *:[i32] } iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)
     /* 37201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LBUX),
     /* 37204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37206 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 37208 */     GIR_RootToRootCopy, /*OpIdx*/3, // index
     /* 37210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37214 */     GIR_RootConstrainSelectedInstOperands,
     /* 37215 */     // GIR_Coverage, 436,
     /* 37215 */     GIR_EraseRootFromParent_Done,
     /* 37216 */   // Label 1009: @37216
     /* 37216 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(37258), // Rule ID 1277 //
     /* 37221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 37224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_lbux),
     /* 37229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37239 */     // MIs[0] base
     /* 37239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37243 */     // (intrinsic_w_chain:{ *:[i32] } 7976:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)  =>  (LBUX_MM:{ *:[i32] } iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)
     /* 37243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LBUX_MM),
     /* 37246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37248 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 37250 */     GIR_RootToRootCopy, /*OpIdx*/3, // index
     /* 37252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37256 */     GIR_RootConstrainSelectedInstOperands,
     /* 37257 */     // GIR_Coverage, 1277,
     /* 37257 */     GIR_EraseRootFromParent_Done,
     /* 37258 */   // Label 1010: @37258
     /* 37258 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(37300), // Rule ID 1278 //
     /* 37263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 37266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_lhx),
     /* 37271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37281 */     // MIs[0] base
     /* 37281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37285 */     // (intrinsic_w_chain:{ *:[i32] } 7987:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)  =>  (LHX_MM:{ *:[i32] } iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)
     /* 37285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LHX_MM),
     /* 37288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37290 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 37292 */     GIR_RootToRootCopy, /*OpIdx*/3, // index
     /* 37294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37298 */     GIR_RootConstrainSelectedInstOperands,
     /* 37299 */     // GIR_Coverage, 1278,
     /* 37299 */     GIR_EraseRootFromParent_Done,
     /* 37300 */   // Label 1011: @37300
     /* 37300 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(37342), // Rule ID 1279 //
     /* 37305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDSP_InMicroMips),
     /* 37308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::mips_lwx),
     /* 37313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37323 */     // MIs[0] base
     /* 37323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37327 */     // (intrinsic_w_chain:{ *:[i32] } 7989:{ *:[iPTR] }, iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)  =>  (LWX_MM:{ *:[i32] } iPTR:{ *:[iPTR] }:$base, iPTR:{ *:[i32] }:$index)
     /* 37327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LWX_MM),
     /* 37330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37332 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 37334 */     GIR_RootToRootCopy, /*OpIdx*/3, // index
     /* 37336 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37340 */     GIR_RootConstrainSelectedInstOperands,
     /* 37341 */     // GIR_Coverage, 1279,
     /* 37341 */     GIR_EraseRootFromParent_Done,
     /* 37342 */   // Label 1012: @37342
     /* 37342 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(37388), // Rule ID 489 //
     /* 37347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 37350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_str_d),
     /* 37355 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 37358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 37365 */     // MIs[0] ptr
     /* 37365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37373 */     // (intrinsic_void 8219:{ *:[iPTR] }, MSA128DOpnd:{ *:[v2i64] }:$dst, iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)  =>  (STR_D MSA128DOpnd:{ *:[v2i64] }:$dst, iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)
     /* 37373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::STR_D),
     /* 37376 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 37378 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 37380 */     GIR_RootToRootCopy, /*OpIdx*/3, // imm
     /* 37382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37386 */     GIR_RootConstrainSelectedInstOperands,
     /* 37387 */     // GIR_Coverage, 489,
     /* 37387 */     GIR_EraseRootFromParent_Done,
     /* 37388 */   // Label 1013: @37388
     /* 37388 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(37434), // Rule ID 490 //
     /* 37393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotInMips16Mode),
     /* 37396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::mips_str_w),
     /* 37401 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 37404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 37407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 37411 */     // MIs[0] ptr
     /* 37411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 37415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37419 */     // (intrinsic_void 8220:{ *:[iPTR] }, MSA128WOpnd:{ *:[v4i32] }:$dst, iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)  =>  (STR_W MSA128WOpnd:{ *:[v4i32] }:$dst, iPTR:{ *:[iPTR] }:$ptr, GPR32:{ *:[i32] }:$imm)
     /* 37419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::STR_W),
     /* 37422 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 37424 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 37426 */     GIR_RootToRootCopy, /*OpIdx*/3, // imm
     /* 37428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 37432 */     GIR_RootConstrainSelectedInstOperands,
     /* 37433 */     // GIR_Coverage, 490,
     /* 37433 */     GIR_EraseRootFromParent_Done,
     /* 37434 */   // Label 1014: @37434
     /* 37434 */   GIM_Reject,
     /* 37435 */ // Label 933: @37435
     /* 37435 */ GIM_Reject,
     /* 37436 */ // Label 31: @37436
     /* 37436 */ GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(37501), // Rule ID 1582 //
     /* 37441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 37444 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 37447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 37450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37458 */   // (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] })
     /* 37458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 37461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 37465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 37472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 37475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 37477 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 37480 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 37482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 37485 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37490 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37495 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37500 */   // GIR_Coverage, 1582,
     /* 37500 */   GIR_EraseRootFromParent_Done,
     /* 37501 */ // Label 1015: @37501
     /* 37501 */ GIM_Reject,
     /* 37502 */ // Label 32: @37502
     /* 37502 */ GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(37565), // Rule ID 1575 //
     /* 37507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 37510 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 37516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37524 */   // (trunc:{ *:[i32] } GPR64:{ *:[i64] }:$src)  =>  (SLL:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$src, sub_32:{ *:[i32] }), 0:{ *:[i32] })
     /* 37524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 37527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 37531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37536 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 37542 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /* 37547 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL),
     /* 37555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37557 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 37560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 37563 */   GIR_RootConstrainSelectedInstOperands,
     /* 37564 */   // GIR_Coverage, 1575,
     /* 37564 */   GIR_EraseRootFromParent_Done,
     /* 37565 */ // Label 1016: @37565
     /* 37565 */ GIM_Reject,
     /* 37566 */ // Label 33: @37566
     /* 37566 */ GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(37626),
     /* 37571 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 37574 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(37600), // Rule ID 2162 //
     /* 37579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 37582 */     GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immLi16),
     /* 37586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /* 37590 */     // MIs[0] Operand 1
     /* 37590 */     // No operand predicates
     /* 37590 */     // (imm:{ *:[i32] })<<P:Predicate_immLi16>>:$imm  =>  (LI16_MM:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_immLi16>>:$imm)
     /* 37590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LI16_MM),
     /* 37593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 37595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 37598 */     GIR_RootConstrainSelectedInstOperands,
     /* 37599 */     // GIR_Coverage, 2162,
     /* 37599 */     GIR_EraseRootFromParent_Done,
     /* 37600 */   // Label 1018: @37600
     /* 37600 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(37625), // Rule ID 1853 //
     /* 37605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 37608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 37612 */     // MIs[0] Operand 1
     /* 37612 */     // No operand predicates
     /* 37612 */     // (imm:{ *:[i32] }):$imm  =>  (LwConstant32:{ *:[i32] } (imm:{ *:[i32] }):$imm, -1:{ *:[i32] })
     /* 37612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::LwConstant32),
     /* 37615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /* 37617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 37620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 37623 */     GIR_RootConstrainSelectedInstOperands,
     /* 37624 */     // GIR_Coverage, 1853,
     /* 37624 */     GIR_EraseRootFromParent_Done,
     /* 37625 */   // Label 1019: @37625
     /* 37625 */   GIM_Reject,
     /* 37626 */ // Label 1017: @37626
     /* 37626 */ GIM_Reject,
     /* 37627 */ // Label 34: @37627
     /* 37627 */ GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(39090),
     /* 37632 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 37635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 37638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37642 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(37747), // Rule ID 1631 //
     /* 37647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 37651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 37655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 37659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 37663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 37672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 37676 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 37680 */     // MIs[2] Operand 1
     /* 37680 */     // No operand predicates
     /* 37680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 37682 */     // (sext:{ *:[i64] } (sra:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm5))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (SRA:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm5), sub_32:{ *:[i32] })
     /* 37682 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 37685 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SRA),
     /* 37689 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37694 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 37698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/2, // imm5
     /* 37701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 37703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 37706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 37710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 37717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 37720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 37722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 37725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 37728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 37731 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37736 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37741 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37746 */     // GIR_Coverage, 1631,
     /* 37746 */     GIR_EraseRootFromParent_Done,
     /* 37747 */   // Label 1021: @37747
     /* 37747 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(37852), // Rule ID 1627 //
     /* 37752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 37756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 37760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 37764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 37768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 37777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 37781 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 37785 */     // MIs[2] Operand 1
     /* 37785 */     // No operand predicates
     /* 37785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 37787 */     // (sext:{ *:[i64] } (srl:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm5))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (SRL:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm5), sub_32:{ *:[i32] })
     /* 37787 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 37790 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SRL),
     /* 37794 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37799 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 37803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/2, // imm5
     /* 37806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 37808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 37811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 37815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 37822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 37825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 37827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 37830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 37833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 37836 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37841 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37846 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37851 */     // GIR_Coverage, 1627,
     /* 37851 */     GIR_EraseRootFromParent_Done,
     /* 37852 */   // Label 1022: @37852
     /* 37852 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(37957), // Rule ID 1623 //
     /* 37857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 37861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 37865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 37869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 37873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 37882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 37886 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 37890 */     // MIs[2] Operand 1
     /* 37890 */     // No operand predicates
     /* 37890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 37892 */     // (sext:{ *:[i64] } (shl:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm5))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (SLL:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm5), sub_32:{ *:[i32] })
     /* 37892 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 37895 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SLL),
     /* 37899 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37904 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 37908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/2, // imm5
     /* 37911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 37913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 37916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 37920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 37925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 37927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 37930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 37932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 37935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 37938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 37941 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37946 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 37951 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37956 */     // GIR_Coverage, 1623,
     /* 37956 */     GIR_EraseRootFromParent_Done,
     /* 37957 */   // Label 1023: @37957
     /* 37957 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(38056), // Rule ID 1613 //
     /* 37962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 37966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 37970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 37974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 37978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 37988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 37990 */     // (sext:{ *:[i64] } (add:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (ADDu:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 37990 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 37993 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::ADDu),
     /* 37997 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38002 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38006 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38050 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38055 */     // GIR_Coverage, 1613,
     /* 38055 */     GIR_EraseRootFromParent_Done,
     /* 38056 */   // Label 1024: @38056
     /* 38056 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(38155), // Rule ID 1633 //
     /* 38061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 38069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38089 */     // (sext:{ *:[i64] } (sra:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (SRAV:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38089 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38092 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SRAV),
     /* 38096 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38101 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38105 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38139 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38144 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38149 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38154 */     // GIR_Coverage, 1633,
     /* 38154 */     GIR_EraseRootFromParent_Done,
     /* 38155 */   // Label 1025: @38155
     /* 38155 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(38254), // Rule ID 1629 //
     /* 38160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 38168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38188 */     // (sext:{ *:[i64] } (srl:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (SRLV:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38188 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38191 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SRLV),
     /* 38195 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38200 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38204 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38238 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38243 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38248 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38253 */     // GIR_Coverage, 1629,
     /* 38253 */     GIR_EraseRootFromParent_Done,
     /* 38254 */   // Label 1026: @38254
     /* 38254 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(38362), // Rule ID 1617 //
     /* 38259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32_HasStdEnc_NotMips32r6_NotMips64r6),
     /* 38262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 38270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38290 */     // (sext:{ *:[i64] } (mul:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (MUL:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38290 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38293 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::MUL),
     /* 38297 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38302 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38306 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38310 */     GIR_SetImplicitDefDead, /*InsnID*/2, /*OpIdx for Mips::HI0*/0,
     /* 38313 */     GIR_SetImplicitDefDead, /*InsnID*/2, /*OpIdx for Mips::LO0*/1,
     /* 38316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38346 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38351 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38356 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38361 */     // GIR_Coverage, 1617,
     /* 38361 */     GIR_EraseRootFromParent_Done,
     /* 38362 */   // Label 1027: @38362
     /* 38362 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(38464), // Rule ID 1820 //
     /* 38367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc),
     /* 38370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 38378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38398 */     // (sext:{ *:[i64] } (mul:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (MUL_R6:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38398 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38401 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::MUL_R6),
     /* 38405 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38410 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38414 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38448 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38453 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38458 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38463 */     // GIR_Coverage, 1820,
     /* 38463 */     GIR_EraseRootFromParent_Done,
     /* 38464 */   // Label 1028: @38464
     /* 38464 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(38566), // Rule ID 1821 //
     /* 38469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc),
     /* 38472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SDIV),
     /* 38480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38500 */     // (sext:{ *:[i64] } (sdiv:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (DIV:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38500 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38503 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::DIV),
     /* 38507 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38512 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38516 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38550 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38555 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38560 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38565 */     // GIR_Coverage, 1821,
     /* 38565 */     GIR_EraseRootFromParent_Done,
     /* 38566 */   // Label 1029: @38566
     /* 38566 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(38665), // Rule ID 1625 //
     /* 38571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 38579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38599 */     // (sext:{ *:[i64] } (shl:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (SLLV:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38599 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38602 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SLLV),
     /* 38606 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38611 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38615 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38649 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38664 */     // GIR_Coverage, 1625,
     /* 38664 */     GIR_EraseRootFromParent_Done,
     /* 38665 */   // Label 1030: @38665
     /* 38665 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(38767), // Rule ID 1823 //
     /* 38670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc),
     /* 38673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SREM),
     /* 38681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38701 */     // (sext:{ *:[i64] } (srem:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (MOD:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38701 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38704 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::MOD),
     /* 38708 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38713 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38717 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38761 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38766 */     // GIR_Coverage, 1823,
     /* 38766 */     GIR_EraseRootFromParent_Done,
     /* 38767 */   // Label 1031: @38767
     /* 38767 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(38866), // Rule ID 1615 //
     /* 38772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 38780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38800 */     // (sext:{ *:[i64] } (sub:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (SUBu:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38800 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38803 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SUBu),
     /* 38807 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38812 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38816 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38850 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38855 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38860 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38865 */     // GIR_Coverage, 1615,
     /* 38865 */     GIR_EraseRootFromParent_Done,
     /* 38866 */   // Label 1032: @38866
     /* 38866 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(38968), // Rule ID 1822 //
     /* 38871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc),
     /* 38874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UDIV),
     /* 38882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 38902 */     // (sext:{ *:[i64] } (udiv:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (DIVU:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 38902 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 38905 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::DIVU),
     /* 38909 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38914 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 38918 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 38922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 38924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 38927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 38931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 38936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 38938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 38941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 38943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 38946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 38949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 38952 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38957 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 38962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38967 */     // GIR_Coverage, 1822,
     /* 38967 */     GIR_EraseRootFromParent_Done,
     /* 38968 */   // Label 1033: @38968
     /* 38968 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(39070), // Rule ID 1824 //
     /* 38973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc),
     /* 38976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 38980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UREM),
     /* 38984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 38988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 38992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 38997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39004 */     // (sext:{ *:[i64] } (urem:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2))  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (MODU:{ *:[i32] } GPR32:{ *:[i32] }:$src, GPR32:{ *:[i32] }:$src2), sub_32:{ *:[i32] })
     /* 39004 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 39007 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::MODU),
     /* 39011 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 39016 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 39020 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 39024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 39026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 39029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 39033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 39038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 39040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 39043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 39045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 39048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 39051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 39054 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39059 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39064 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39069 */     // GIR_Coverage, 1824,
     /* 39069 */     GIR_EraseRootFromParent_Done,
     /* 39070 */   // Label 1034: @39070
     /* 39070 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(39089), // Rule ID 1585 //
     /* 39075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 39078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39082 */     // (sext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (SLL64_32:{ *:[i64] } GPR32:{ *:[i32] }:$src)
     /* 39082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SLL64_32),
     /* 39087 */     GIR_RootConstrainSelectedInstOperands,
     /* 39088 */     // GIR_Coverage, 1585,
     /* 39088 */     GIR_Done,
     /* 39089 */   // Label 1035: @39089
     /* 39089 */   GIM_Reject,
     /* 39090 */ // Label 1020: @39090
     /* 39090 */ GIM_Reject,
     /* 39091 */ // Label 35: @39091
     /* 39091 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1038*/ GIMT_Encode4(39438),
     /* 39102 */ /*GILLT_s32*//*Label 1036*/ GIMT_Encode4(39110),
     /* 39106 */ /*GILLT_s64*//*Label 1037*/ GIMT_Encode4(39336),
     /* 39110 */ // Label 1036: @39110
     /* 39110 */ GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(39335),
     /* 39115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 39118 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(39154), // Rule ID 106 //
     /* 39123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r2_HasStdEnc_NotInMicroMips),
     /* 39126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39134 */     // MIs[0] Operand 2
     /* 39134 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 39145 */     // (sext_inreg:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, i8:{ *:[Other] })  =>  (SEB:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 39145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEB),
     /* 39148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39152 */     GIR_RootConstrainSelectedInstOperands,
     /* 39153 */     // GIR_Coverage, 106,
     /* 39153 */     GIR_EraseRootFromParent_Done,
     /* 39154 */   // Label 1040: @39154
     /* 39154 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(39190), // Rule ID 107 //
     /* 39159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r2_HasStdEnc_NotInMicroMips),
     /* 39162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39170 */     // MIs[0] Operand 2
     /* 39170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 39181 */     // (sext_inreg:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, i16:{ *:[Other] })  =>  (SEH:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 39181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEH),
     /* 39184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39188 */     GIR_RootConstrainSelectedInstOperands,
     /* 39189 */     // GIR_Coverage, 107,
     /* 39189 */     GIR_EraseRootFromParent_Done,
     /* 39190 */   // Label 1041: @39190
     /* 39190 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(39226), // Rule ID 1101 //
     /* 39195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 39198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39206 */     // MIs[0] Operand 2
     /* 39206 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 39217 */     // (sext_inreg:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, i8:{ *:[Other] })  =>  (SEB_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 39217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEB_MM),
     /* 39220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39224 */     GIR_RootConstrainSelectedInstOperands,
     /* 39225 */     // GIR_Coverage, 1101,
     /* 39225 */     GIR_EraseRootFromParent_Done,
     /* 39226 */   // Label 1042: @39226
     /* 39226 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(39262), // Rule ID 1102 //
     /* 39231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 39234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39242 */     // MIs[0] Operand 2
     /* 39242 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 39253 */     // (sext_inreg:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, i16:{ *:[Other] })  =>  (SEH_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt)
     /* 39253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEH_MM),
     /* 39256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39260 */     GIR_RootConstrainSelectedInstOperands,
     /* 39261 */     // GIR_Coverage, 1102,
     /* 39261 */     GIR_EraseRootFromParent_Done,
     /* 39262 */   // Label 1043: @39262
     /* 39262 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(39298), // Rule ID 1911 //
     /* 39267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 39270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39278 */     // MIs[0] Operand 2
     /* 39278 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 39289 */     // (sext_inreg:{ *:[i32] } CPU16Regs:{ *:[i32] }:$val, i8:{ *:[Other] })  =>  (SebRx16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$val)
     /* 39289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SebRx16),
     /* 39292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /* 39294 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 39296 */     GIR_RootConstrainSelectedInstOperands,
     /* 39297 */     // GIR_Coverage, 1911,
     /* 39297 */     GIR_EraseRootFromParent_Done,
     /* 39298 */   // Label 1044: @39298
     /* 39298 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(39334), // Rule ID 1912 //
     /* 39303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 39306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39314 */     // MIs[0] Operand 2
     /* 39314 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 39325 */     // (sext_inreg:{ *:[i32] } CPU16Regs:{ *:[i32] }:$val, i16:{ *:[Other] })  =>  (SehRx16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$val)
     /* 39325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SehRx16),
     /* 39328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /* 39330 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 39332 */     GIR_RootConstrainSelectedInstOperands,
     /* 39333 */     // GIR_Coverage, 1912,
     /* 39333 */     GIR_EraseRootFromParent_Done,
     /* 39334 */   // Label 1045: @39334
     /* 39334 */   GIM_Reject,
     /* 39335 */ // Label 1039: @39335
     /* 39335 */ GIM_Reject,
     /* 39336 */ // Label 1037: @39336
     /* 39336 */ GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(39437),
     /* 39341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 39344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39352 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(39380), // Rule ID 261 //
     /* 39357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r2_HasStdEnc_IsGP64bit),
     /* 39360 */     // MIs[0] Operand 2
     /* 39360 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 39371 */     // (sext_inreg:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, i8:{ *:[Other] })  =>  (SEB64:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt)
     /* 39371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEB64),
     /* 39374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39378 */     GIR_RootConstrainSelectedInstOperands,
     /* 39379 */     // GIR_Coverage, 261,
     /* 39379 */     GIR_EraseRootFromParent_Done,
     /* 39380 */   // Label 1047: @39380
     /* 39380 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(39408), // Rule ID 262 //
     /* 39385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r2_HasStdEnc_IsGP64bit),
     /* 39388 */     // MIs[0] Operand 2
     /* 39388 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 39399 */     // (sext_inreg:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, i16:{ *:[Other] })  =>  (SEH64:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt)
     /* 39399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEH64),
     /* 39402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39406 */     GIR_RootConstrainSelectedInstOperands,
     /* 39407 */     // GIR_Coverage, 262,
     /* 39407 */     GIR_EraseRootFromParent_Done,
     /* 39408 */   // Label 1048: @39408
     /* 39408 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(39436), // Rule ID 1588 //
     /* 39413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 39416 */     // MIs[0] Operand 2
     /* 39416 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 39427 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i32:{ *:[Other] })  =>  (SLL64_64:{ *:[i64] } GPR64:{ *:[i64] }:$src)
     /* 39427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL64_64),
     /* 39430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39432 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 39434 */     GIR_RootConstrainSelectedInstOperands,
     /* 39435 */     // GIR_Coverage, 1588,
     /* 39435 */     GIR_EraseRootFromParent_Done,
     /* 39436 */   // Label 1049: @39436
     /* 39436 */   GIM_Reject,
     /* 39437 */ // Label 1046: @39437
     /* 39437 */ GIM_Reject,
     /* 39438 */ // Label 1038: @39438
     /* 39438 */ GIM_Reject,
     /* 39439 */ // Label 36: @39439
     /* 39439 */ GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(39639),
     /* 39444 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 39447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 39450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39454 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(39510), // Rule ID 280 //
     /* 39459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 39462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 39466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 39470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 39474 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 39478 */     // MIs[1] Operand 1
     /* 39478 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 39483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39495 */     // (zext:{ *:[i64] } (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, SETEQ:{ *:[Other] }))  =>  (SEQ:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /* 39495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEQ),
     /* 39498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 39504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 39508 */     GIR_RootConstrainSelectedInstOperands,
     /* 39509 */     // GIR_Coverage, 280,
     /* 39509 */     GIR_EraseRootFromParent_Done,
     /* 39510 */   // Label 1051: @39510
     /* 39510 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(39566), // Rule ID 282 //
     /* 39515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 39518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 39522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 39526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 39530 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 39534 */     // MIs[1] Operand 1
     /* 39534 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 39539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39551 */     // (zext:{ *:[i64] } (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, SETNE:{ *:[Other] }))  =>  (SNE:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /* 39551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SNE),
     /* 39554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs
     /* 39560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rt
     /* 39564 */     GIR_RootConstrainSelectedInstOperands,
     /* 39565 */     // GIR_Coverage, 282,
     /* 39565 */     GIR_EraseRootFromParent_Done,
     /* 39566 */   // Label 1052: @39566
     /* 39566 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(39638),
     /* 39571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39575 */     GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(39614), // Rule ID 1583 //
     /* 39580 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 39583 */       // (zext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (DSRL:{ *:[i64] } (DSLL64_32:{ *:[i64] } GPR32:{ *:[i32] }:$src), 32:{ *:[i32] })
     /* 39583 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 39586 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::DSLL64_32),
     /* 39590 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 39595 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 39599 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 39601 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSRL),
     /* 39604 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39606 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 39609 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 39612 */       GIR_RootConstrainSelectedInstOperands,
     /* 39613 */       // GIR_Coverage, 1583,
     /* 39613 */       GIR_EraseRootFromParent_Done,
     /* 39614 */     // Label 1054: @39614
     /* 39614 */     GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(39637), // Rule ID 1586 //
     /* 39619 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r2_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 39622 */       // (zext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (DEXT64_32:{ *:[i64] } GPR32:{ *:[i32] }:$src, 0:{ *:[i32] }, 32:{ *:[i32] })
     /* 39622 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DEXT64_32),
     /* 39625 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 39627 */       GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 39629 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 39632 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 39635 */       GIR_RootConstrainSelectedInstOperands,
     /* 39636 */       // GIR_Coverage, 1586,
     /* 39636 */       GIR_EraseRootFromParent_Done,
     /* 39637 */     // Label 1055: @39637
     /* 39637 */     GIM_Reject,
     /* 39638 */   // Label 1053: @39638
     /* 39638 */   GIM_Reject,
     /* 39639 */ // Label 1050: @39639
     /* 39639 */ GIM_Reject,
     /* 39640 */ // Label 37: @39640
     /* 39640 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 1062*/ GIMT_Encode4(41436),
     /* 39651 */ /*GILLT_s32*//*Label 1056*/ GIMT_Encode4(39683),
     /* 39655 */ /*GILLT_s64*//*Label 1057*/ GIMT_Encode4(39945), GIMT_Encode4(0),
     /* 39663 */ /*GILLT_v2s64*//*Label 1058*/ GIMT_Encode4(40086), GIMT_Encode4(0),
     /* 39671 */ /*GILLT_v4s32*//*Label 1059*/ GIMT_Encode4(40120),
     /* 39675 */ /*GILLT_v8s16*//*Label 1060*/ GIMT_Encode4(40388),
     /* 39679 */ /*GILLT_v16s8*//*Label 1061*/ GIMT_Encode4(40784),
     /* 39683 */ // Label 1056: @39683
     /* 39683 */ GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(39944),
     /* 39688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 39691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 39694 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(39736), // Rule ID 55 //
     /* 39699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 39702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 39714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 39718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 39722 */     // MIs[1] Operand 1
     /* 39722 */     // No operand predicates
     /* 39722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39724 */     // (shl:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$shamt)  =>  (SLL:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 39724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL),
     /* 39727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 39734 */     GIR_RootConstrainSelectedInstOperands,
     /* 39735 */     // GIR_Coverage, 55,
     /* 39735 */     GIR_EraseRootFromParent_Done,
     /* 39736 */   // Label 1064: @39736
     /* 39736 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(39778), // Rule ID 1835 //
     /* 39741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 39744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 39756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 39760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 39764 */     // MIs[1] Operand 1
     /* 39764 */     // No operand predicates
     /* 39764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39766 */     // (shl:{ *:[i32] } CPU16Regs:{ *:[i32] }:$in, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)  =>  (SllX16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$in, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)
     /* 39766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SllX16),
     /* 39769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /* 39771 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /* 39773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 39776 */     GIR_RootConstrainSelectedInstOperands,
     /* 39777 */     // GIR_Coverage, 1835,
     /* 39777 */     GIR_EraseRootFromParent_Done,
     /* 39778 */   // Label 1065: @39778
     /* 39778 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(39820), // Rule ID 2174 //
     /* 39783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 39786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /* 39790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /* 39794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 39798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 39802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt2Shift),
     /* 39806 */     // MIs[1] Operand 1
     /* 39806 */     // No operand predicates
     /* 39806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39808 */     // (shl:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt2Shift>>:$imm)  =>  (SLL16_MM:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt2Shift>>:$imm)
     /* 39808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL16_MM),
     /* 39811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39813 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 39815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 39818 */     GIR_RootConstrainSelectedInstOperands,
     /* 39819 */     // GIR_Coverage, 2174,
     /* 39819 */     GIR_EraseRootFromParent_Done,
     /* 39820 */   // Label 1066: @39820
     /* 39820 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(39862), // Rule ID 2175 //
     /* 39825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 39828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 39840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 39844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 39848 */     // MIs[1] Operand 1
     /* 39848 */     // No operand predicates
     /* 39848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39850 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)  =>  (SLL_MM:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)
     /* 39850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL_MM),
     /* 39853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39855 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 39857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 39860 */     GIR_RootConstrainSelectedInstOperands,
     /* 39861 */     // GIR_Coverage, 2175,
     /* 39861 */     GIR_EraseRootFromParent_Done,
     /* 39862 */   // Label 1067: @39862
     /* 39862 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(39889), // Rule ID 61 //
     /* 39867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 39870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39882 */     // (shl:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SLLV:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 39882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SLLV),
     /* 39887 */     GIR_RootConstrainSelectedInstOperands,
     /* 39888 */     // GIR_Coverage, 61,
     /* 39888 */     GIR_Done,
     /* 39889 */   // Label 1068: @39889
     /* 39889 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(39916), // Rule ID 1838 //
     /* 39894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 39897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 39909 */     // (shl:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r, CPU16Regs:{ *:[i32] }:$ra)  =>  (SllvRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r, CPU16Regs:{ *:[i32] }:$ra)
     /* 39909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SllvRxRy16),
     /* 39914 */     GIR_RootConstrainSelectedInstOperands,
     /* 39915 */     // GIR_Coverage, 1838,
     /* 39915 */     GIR_Done,
     /* 39916 */   // Label 1069: @39916
     /* 39916 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(39943), // Rule ID 2176 //
     /* 39921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 39924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 39936 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs)  =>  (SLLV_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs)
     /* 39936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SLLV_MM),
     /* 39941 */     GIR_RootConstrainSelectedInstOperands,
     /* 39942 */     // GIR_Coverage, 2176,
     /* 39942 */     GIR_Done,
     /* 39943 */   // Label 1070: @39943
     /* 39943 */   GIM_Reject,
     /* 39944 */ // Label 1063: @39944
     /* 39944 */ GIM_Reject,
     /* 39945 */ // Label 1057: @39945
     /* 39945 */ GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(40085),
     /* 39950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 39953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 39956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 39964 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(39998), // Rule ID 210 //
     /* 39969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /* 39972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 39976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 39980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt6),
     /* 39984 */     // MIs[1] Operand 1
     /* 39984 */     // No operand predicates
     /* 39984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 39986 */     // (shl:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt6>>:$shamt)  =>  (DSLL:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 39986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSLL),
     /* 39989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 39991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 39993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 39996 */     GIR_RootConstrainSelectedInstOperands,
     /* 39997 */     // GIR_Coverage, 210,
     /* 39997 */     GIR_EraseRootFromParent_Done,
     /* 39998 */   // Label 1072: @39998
     /* 39998 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(40065), // Rule ID 1576 //
     /* 40003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 40006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 40010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 40014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 40018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 40023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 40025 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (trunc:{ *:[i32] } GPR64:{ *:[i64] }:$rs))  =>  (DSLLV:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$rs, sub_32:{ *:[i32] }))
     /* 40025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 40028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 40032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 40037 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // rs
     /* 40043 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /* 40048 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 40053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSLLV),
     /* 40056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 40058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 40060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 40063 */     GIR_RootConstrainSelectedInstOperands,
     /* 40064 */     // GIR_Coverage, 1576,
     /* 40064 */     GIR_EraseRootFromParent_Done,
     /* 40065 */   // Label 1073: @40065
     /* 40065 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(40084), // Rule ID 216 //
     /* 40070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /* 40073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 40077 */     // (shl:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (DSLLV:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 40077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DSLLV),
     /* 40082 */     GIR_RootConstrainSelectedInstOperands,
     /* 40083 */     // GIR_Coverage, 216,
     /* 40083 */     GIR_Done,
     /* 40084 */   // Label 1074: @40084
     /* 40084 */   GIM_Reject,
     /* 40085 */ // Label 1071: @40085
     /* 40085 */ GIM_Reject,
     /* 40086 */ // Label 1058: @40086
     /* 40086 */ GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(40119), // Rule ID 960 //
     /* 40091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 40094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 40097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 40100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 40104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 40108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 40112 */   // (shl:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SLL_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 40112 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SLL_D),
     /* 40117 */   GIR_RootConstrainSelectedInstOperands,
     /* 40118 */   // GIR_Coverage, 960,
     /* 40118 */   GIR_Done,
     /* 40119 */ // Label 1075: @40119
     /* 40119 */ GIM_Reject,
     /* 40120 */ // Label 1059: @40120
     /* 40120 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(40387),
     /* 40125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 40128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 40131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 40135 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(40249), // Rule ID 2466 //
     /* 40140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 40143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 40147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 40151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 40155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 40159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 40163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 40167 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/5,
     /* 40170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 40174 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 40178 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 40182 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 40186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 40190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40194 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40198 */     // MIs[3] Operand 1
     /* 40198 */     // No operand predicates
     /* 40198 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 40202 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40206 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40210 */     // MIs[4] Operand 1
     /* 40210 */     // No operand predicates
     /* 40210 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 40214 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40218 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40222 */     // MIs[5] Operand 1
     /* 40222 */     // No operand predicates
     /* 40222 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 40226 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40230 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40234 */     // MIs[6] Operand 1
     /* 40234 */     // No operand predicates
     /* 40234 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /* 40236 */     // (shl:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, (and:{ *:[v4i32] } (build_vector:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>), v4i32:{ *:[v4i32] }:$wt))  =>  (SLL_W:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, v4i32:{ *:[v4i32] }:$wt)
     /* 40236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL_W),
     /* 40239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 40241 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 40243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 40247 */     GIR_RootConstrainSelectedInstOperands,
     /* 40248 */     // GIR_Coverage, 2466,
     /* 40248 */     GIR_EraseRootFromParent_Done,
     /* 40249 */   // Label 1077: @40249
     /* 40249 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(40363), // Rule ID 2075 //
     /* 40254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 40257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 40261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 40265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 40269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 40273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 40277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 40281 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/5,
     /* 40284 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 40288 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 40292 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 40296 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 40300 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 40304 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40308 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40312 */     // MIs[3] Operand 1
     /* 40312 */     // No operand predicates
     /* 40312 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 40316 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40320 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40324 */     // MIs[4] Operand 1
     /* 40324 */     // No operand predicates
     /* 40324 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 40328 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40332 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40336 */     // MIs[5] Operand 1
     /* 40336 */     // No operand predicates
     /* 40336 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 40340 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40344 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 40348 */     // MIs[6] Operand 1
     /* 40348 */     // No operand predicates
     /* 40348 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /* 40350 */     // (shl:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, (and:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$wt, (build_vector:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>)))  =>  (SLL_W:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, v4i32:{ *:[v4i32] }:$wt)
     /* 40350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL_W),
     /* 40353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 40355 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 40357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 40361 */     GIR_RootConstrainSelectedInstOperands,
     /* 40362 */     // GIR_Coverage, 2075,
     /* 40362 */     GIR_EraseRootFromParent_Done,
     /* 40363 */   // Label 1078: @40363
     /* 40363 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(40386), // Rule ID 959 //
     /* 40368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 40371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 40375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 40379 */     // (shl:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SLL_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 40379 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SLL_W),
     /* 40384 */     GIR_RootConstrainSelectedInstOperands,
     /* 40385 */     // GIR_Coverage, 959,
     /* 40385 */     GIR_Done,
     /* 40386 */   // Label 1079: @40386
     /* 40386 */   GIM_Reject,
     /* 40387 */ // Label 1076: @40387
     /* 40387 */ GIM_Reject,
     /* 40388 */ // Label 1060: @40388
     /* 40388 */ GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(40783),
     /* 40393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 40396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 40399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 40403 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(40581), // Rule ID 2465 //
     /* 40408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 40411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 40415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 40419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 40423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 40427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 40431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 40435 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/9,
     /* 40438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 40442 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 40446 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 40450 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 40454 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 40458 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 40462 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 40466 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 40470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 40474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40478 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40482 */     // MIs[3] Operand 1
     /* 40482 */     // No operand predicates
     /* 40482 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 40486 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40490 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40494 */     // MIs[4] Operand 1
     /* 40494 */     // No operand predicates
     /* 40494 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 40498 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40502 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40506 */     // MIs[5] Operand 1
     /* 40506 */     // No operand predicates
     /* 40506 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 40510 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40514 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40518 */     // MIs[6] Operand 1
     /* 40518 */     // No operand predicates
     /* 40518 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 40522 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40526 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40530 */     // MIs[7] Operand 1
     /* 40530 */     // No operand predicates
     /* 40530 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 40534 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40538 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40542 */     // MIs[8] Operand 1
     /* 40542 */     // No operand predicates
     /* 40542 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 40546 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40550 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40554 */     // MIs[9] Operand 1
     /* 40554 */     // No operand predicates
     /* 40554 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 40558 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40562 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40566 */     // MIs[10] Operand 1
     /* 40566 */     // No operand predicates
     /* 40566 */     GIM_CheckIsSafeToFold, /*NumInsns*/10,
     /* 40568 */     // (shl:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, (and:{ *:[v8i16] } (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>), v8i16:{ *:[v8i16] }:$wt))  =>  (SLL_H:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, v8i16:{ *:[v8i16] }:$wt)
     /* 40568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL_H),
     /* 40571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 40573 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 40575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 40579 */     GIR_RootConstrainSelectedInstOperands,
     /* 40580 */     // GIR_Coverage, 2465,
     /* 40580 */     GIR_EraseRootFromParent_Done,
     /* 40581 */   // Label 1081: @40581
     /* 40581 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(40759), // Rule ID 2074 //
     /* 40586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 40589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 40593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 40597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 40601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 40605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 40609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 40613 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/9,
     /* 40616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 40620 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 40624 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 40628 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 40632 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 40636 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 40640 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 40644 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 40648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 40652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40656 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40660 */     // MIs[3] Operand 1
     /* 40660 */     // No operand predicates
     /* 40660 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 40664 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40668 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40672 */     // MIs[4] Operand 1
     /* 40672 */     // No operand predicates
     /* 40672 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 40676 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40680 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40684 */     // MIs[5] Operand 1
     /* 40684 */     // No operand predicates
     /* 40684 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 40688 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40692 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40696 */     // MIs[6] Operand 1
     /* 40696 */     // No operand predicates
     /* 40696 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 40700 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40704 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40708 */     // MIs[7] Operand 1
     /* 40708 */     // No operand predicates
     /* 40708 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 40712 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40716 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40720 */     // MIs[8] Operand 1
     /* 40720 */     // No operand predicates
     /* 40720 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 40724 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40728 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40732 */     // MIs[9] Operand 1
     /* 40732 */     // No operand predicates
     /* 40732 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 40736 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40740 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 40744 */     // MIs[10] Operand 1
     /* 40744 */     // No operand predicates
     /* 40744 */     GIM_CheckIsSafeToFold, /*NumInsns*/10,
     /* 40746 */     // (shl:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, (and:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$wt, (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>)))  =>  (SLL_H:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, v8i16:{ *:[v8i16] }:$wt)
     /* 40746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL_H),
     /* 40749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 40751 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 40753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 40757 */     GIR_RootConstrainSelectedInstOperands,
     /* 40758 */     // GIR_Coverage, 2074,
     /* 40758 */     GIR_EraseRootFromParent_Done,
     /* 40759 */   // Label 1082: @40759
     /* 40759 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(40782), // Rule ID 958 //
     /* 40764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 40767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 40771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 40775 */     // (shl:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SLL_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 40775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SLL_H),
     /* 40780 */     GIR_RootConstrainSelectedInstOperands,
     /* 40781 */     // GIR_Coverage, 958,
     /* 40781 */     GIR_Done,
     /* 40782 */   // Label 1083: @40782
     /* 40782 */   GIM_Reject,
     /* 40783 */ // Label 1080: @40783
     /* 40783 */ GIM_Reject,
     /* 40784 */ // Label 1061: @40784
     /* 40784 */ GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(41435),
     /* 40789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 40792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 40795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 40799 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(41105), // Rule ID 2464 //
     /* 40804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 40807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 40811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 40815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 40819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 40823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 40827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 40831 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/17,
     /* 40834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 40838 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 40842 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 40846 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 40850 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 40854 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 40858 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 40862 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 40866 */     GIM_CheckType, /*MI*/2, /*Op*/9, /*Type*/GILLT_s32,
     /* 40870 */     GIM_CheckType, /*MI*/2, /*Op*/10, /*Type*/GILLT_s32,
     /* 40874 */     GIM_CheckType, /*MI*/2, /*Op*/11, /*Type*/GILLT_s32,
     /* 40878 */     GIM_CheckType, /*MI*/2, /*Op*/12, /*Type*/GILLT_s32,
     /* 40882 */     GIM_CheckType, /*MI*/2, /*Op*/13, /*Type*/GILLT_s32,
     /* 40886 */     GIM_CheckType, /*MI*/2, /*Op*/14, /*Type*/GILLT_s32,
     /* 40890 */     GIM_CheckType, /*MI*/2, /*Op*/15, /*Type*/GILLT_s32,
     /* 40894 */     GIM_CheckType, /*MI*/2, /*Op*/16, /*Type*/GILLT_s32,
     /* 40898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 40902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40906 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40910 */     // MIs[3] Operand 1
     /* 40910 */     // No operand predicates
     /* 40910 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 40914 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40918 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40922 */     // MIs[4] Operand 1
     /* 40922 */     // No operand predicates
     /* 40922 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 40926 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40930 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40934 */     // MIs[5] Operand 1
     /* 40934 */     // No operand predicates
     /* 40934 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 40938 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40942 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40946 */     // MIs[6] Operand 1
     /* 40946 */     // No operand predicates
     /* 40946 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 40950 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40954 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40958 */     // MIs[7] Operand 1
     /* 40958 */     // No operand predicates
     /* 40958 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 40962 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40966 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40970 */     // MIs[8] Operand 1
     /* 40970 */     // No operand predicates
     /* 40970 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 40974 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40978 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40982 */     // MIs[9] Operand 1
     /* 40982 */     // No operand predicates
     /* 40982 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 40986 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 40990 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 40994 */     // MIs[10] Operand 1
     /* 40994 */     // No operand predicates
     /* 40994 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/2, /*OpIdx*/9, // MIs[11]
     /* 40998 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41002 */     GIM_CheckI64ImmPredicate, /*MI*/11, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41006 */     // MIs[11] Operand 1
     /* 41006 */     // No operand predicates
     /* 41006 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/2, /*OpIdx*/10, // MIs[12]
     /* 41010 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41014 */     GIM_CheckI64ImmPredicate, /*MI*/12, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41018 */     // MIs[12] Operand 1
     /* 41018 */     // No operand predicates
     /* 41018 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/2, /*OpIdx*/11, // MIs[13]
     /* 41022 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41026 */     GIM_CheckI64ImmPredicate, /*MI*/13, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41030 */     // MIs[13] Operand 1
     /* 41030 */     // No operand predicates
     /* 41030 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/2, /*OpIdx*/12, // MIs[14]
     /* 41034 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41038 */     GIM_CheckI64ImmPredicate, /*MI*/14, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41042 */     // MIs[14] Operand 1
     /* 41042 */     // No operand predicates
     /* 41042 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/2, /*OpIdx*/13, // MIs[15]
     /* 41046 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41050 */     GIM_CheckI64ImmPredicate, /*MI*/15, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41054 */     // MIs[15] Operand 1
     /* 41054 */     // No operand predicates
     /* 41054 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/2, /*OpIdx*/14, // MIs[16]
     /* 41058 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41062 */     GIM_CheckI64ImmPredicate, /*MI*/16, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41066 */     // MIs[16] Operand 1
     /* 41066 */     // No operand predicates
     /* 41066 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/2, /*OpIdx*/15, // MIs[17]
     /* 41070 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41074 */     GIM_CheckI64ImmPredicate, /*MI*/17, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41078 */     // MIs[17] Operand 1
     /* 41078 */     // No operand predicates
     /* 41078 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/2, /*OpIdx*/16, // MIs[18]
     /* 41082 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41086 */     GIM_CheckI64ImmPredicate, /*MI*/18, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41090 */     // MIs[18] Operand 1
     /* 41090 */     // No operand predicates
     /* 41090 */     GIM_CheckIsSafeToFold, /*NumInsns*/18,
     /* 41092 */     // (shl:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, (and:{ *:[v16i8] } (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>), v16i8:{ *:[v16i8] }:$wt))  =>  (SLL_B:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, v16i8:{ *:[v16i8] }:$wt)
     /* 41092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL_B),
     /* 41095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 41097 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 41099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 41103 */     GIR_RootConstrainSelectedInstOperands,
     /* 41104 */     // GIR_Coverage, 2464,
     /* 41104 */     GIR_EraseRootFromParent_Done,
     /* 41105 */   // Label 1085: @41105
     /* 41105 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(41411), // Rule ID 2073 //
     /* 41110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 41113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 41121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 41125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 41129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 41133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 41137 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/17,
     /* 41140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 41144 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 41148 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 41152 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 41156 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 41160 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 41164 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 41168 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 41172 */     GIM_CheckType, /*MI*/2, /*Op*/9, /*Type*/GILLT_s32,
     /* 41176 */     GIM_CheckType, /*MI*/2, /*Op*/10, /*Type*/GILLT_s32,
     /* 41180 */     GIM_CheckType, /*MI*/2, /*Op*/11, /*Type*/GILLT_s32,
     /* 41184 */     GIM_CheckType, /*MI*/2, /*Op*/12, /*Type*/GILLT_s32,
     /* 41188 */     GIM_CheckType, /*MI*/2, /*Op*/13, /*Type*/GILLT_s32,
     /* 41192 */     GIM_CheckType, /*MI*/2, /*Op*/14, /*Type*/GILLT_s32,
     /* 41196 */     GIM_CheckType, /*MI*/2, /*Op*/15, /*Type*/GILLT_s32,
     /* 41200 */     GIM_CheckType, /*MI*/2, /*Op*/16, /*Type*/GILLT_s32,
     /* 41204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 41208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41212 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41216 */     // MIs[3] Operand 1
     /* 41216 */     // No operand predicates
     /* 41216 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 41220 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41224 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41228 */     // MIs[4] Operand 1
     /* 41228 */     // No operand predicates
     /* 41228 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 41232 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41236 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41240 */     // MIs[5] Operand 1
     /* 41240 */     // No operand predicates
     /* 41240 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 41244 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41248 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41252 */     // MIs[6] Operand 1
     /* 41252 */     // No operand predicates
     /* 41252 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 41256 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41260 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41264 */     // MIs[7] Operand 1
     /* 41264 */     // No operand predicates
     /* 41264 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 41268 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41272 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41276 */     // MIs[8] Operand 1
     /* 41276 */     // No operand predicates
     /* 41276 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 41280 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41284 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41288 */     // MIs[9] Operand 1
     /* 41288 */     // No operand predicates
     /* 41288 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 41292 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41296 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41300 */     // MIs[10] Operand 1
     /* 41300 */     // No operand predicates
     /* 41300 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/2, /*OpIdx*/9, // MIs[11]
     /* 41304 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41308 */     GIM_CheckI64ImmPredicate, /*MI*/11, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41312 */     // MIs[11] Operand 1
     /* 41312 */     // No operand predicates
     /* 41312 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/2, /*OpIdx*/10, // MIs[12]
     /* 41316 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41320 */     GIM_CheckI64ImmPredicate, /*MI*/12, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41324 */     // MIs[12] Operand 1
     /* 41324 */     // No operand predicates
     /* 41324 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/2, /*OpIdx*/11, // MIs[13]
     /* 41328 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41332 */     GIM_CheckI64ImmPredicate, /*MI*/13, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41336 */     // MIs[13] Operand 1
     /* 41336 */     // No operand predicates
     /* 41336 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/2, /*OpIdx*/12, // MIs[14]
     /* 41340 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41344 */     GIM_CheckI64ImmPredicate, /*MI*/14, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41348 */     // MIs[14] Operand 1
     /* 41348 */     // No operand predicates
     /* 41348 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/2, /*OpIdx*/13, // MIs[15]
     /* 41352 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41356 */     GIM_CheckI64ImmPredicate, /*MI*/15, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41360 */     // MIs[15] Operand 1
     /* 41360 */     // No operand predicates
     /* 41360 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/2, /*OpIdx*/14, // MIs[16]
     /* 41364 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41368 */     GIM_CheckI64ImmPredicate, /*MI*/16, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41372 */     // MIs[16] Operand 1
     /* 41372 */     // No operand predicates
     /* 41372 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/2, /*OpIdx*/15, // MIs[17]
     /* 41376 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41380 */     GIM_CheckI64ImmPredicate, /*MI*/17, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41384 */     // MIs[17] Operand 1
     /* 41384 */     // No operand predicates
     /* 41384 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/2, /*OpIdx*/16, // MIs[18]
     /* 41388 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41392 */     GIM_CheckI64ImmPredicate, /*MI*/18, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 41396 */     // MIs[18] Operand 1
     /* 41396 */     // No operand predicates
     /* 41396 */     GIM_CheckIsSafeToFold, /*NumInsns*/18,
     /* 41398 */     // (shl:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, (and:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$wt, (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>)))  =>  (SLL_B:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, v16i8:{ *:[v16i8] }:$wt)
     /* 41398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLL_B),
     /* 41401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 41403 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 41405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 41409 */     GIR_RootConstrainSelectedInstOperands,
     /* 41410 */     // GIR_Coverage, 2073,
     /* 41410 */     GIR_EraseRootFromParent_Done,
     /* 41411 */   // Label 1086: @41411
     /* 41411 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(41434), // Rule ID 957 //
     /* 41416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 41419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 41423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 41427 */     // (shl:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SLL_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 41427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SLL_B),
     /* 41432 */     GIR_RootConstrainSelectedInstOperands,
     /* 41433 */     // GIR_Coverage, 957,
     /* 41433 */     GIR_Done,
     /* 41434 */   // Label 1087: @41434
     /* 41434 */   GIM_Reject,
     /* 41435 */ // Label 1084: @41435
     /* 41435 */ GIM_Reject,
     /* 41436 */ // Label 1062: @41436
     /* 41436 */ GIM_Reject,
     /* 41437 */ // Label 38: @41437
     /* 41437 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 1094*/ GIMT_Encode4(43233),
     /* 41448 */ /*GILLT_s32*//*Label 1088*/ GIMT_Encode4(41480),
     /* 41452 */ /*GILLT_s64*//*Label 1089*/ GIMT_Encode4(41742), GIMT_Encode4(0),
     /* 41460 */ /*GILLT_v2s64*//*Label 1090*/ GIMT_Encode4(41883), GIMT_Encode4(0),
     /* 41468 */ /*GILLT_v4s32*//*Label 1091*/ GIMT_Encode4(41917),
     /* 41472 */ /*GILLT_v8s16*//*Label 1092*/ GIMT_Encode4(42185),
     /* 41476 */ /*GILLT_v16s8*//*Label 1093*/ GIMT_Encode4(42581),
     /* 41480 */ // Label 1088: @41480
     /* 41480 */ GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(41741),
     /* 41485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 41488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 41491 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(41533), // Rule ID 57 //
     /* 41496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 41499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 41519 */     // MIs[1] Operand 1
     /* 41519 */     // No operand predicates
     /* 41519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 41521 */     // (srl:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$shamt)  =>  (SRL:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 41521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL),
     /* 41524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 41526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 41528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 41531 */     GIR_RootConstrainSelectedInstOperands,
     /* 41532 */     // GIR_Coverage, 57,
     /* 41532 */     GIR_EraseRootFromParent_Done,
     /* 41533 */   // Label 1096: @41533
     /* 41533 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(41575), // Rule ID 1836 //
     /* 41538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 41541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 41545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 41549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 41561 */     // MIs[1] Operand 1
     /* 41561 */     // No operand predicates
     /* 41561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 41563 */     // (srl:{ *:[i32] } CPU16Regs:{ *:[i32] }:$in, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)  =>  (SrlX16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$in, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)
     /* 41563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SrlX16),
     /* 41566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /* 41568 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /* 41570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 41573 */     GIR_RootConstrainSelectedInstOperands,
     /* 41574 */     // GIR_Coverage, 1836,
     /* 41574 */     GIR_EraseRootFromParent_Done,
     /* 41575 */   // Label 1097: @41575
     /* 41575 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(41617), // Rule ID 2177 //
     /* 41580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 41583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /* 41587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPRMM16RegClassID),
     /* 41591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt2Shift),
     /* 41603 */     // MIs[1] Operand 1
     /* 41603 */     // No operand predicates
     /* 41603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 41605 */     // (srl:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt2Shift>>:$imm)  =>  (SRL16_MM:{ *:[i32] } GPRMM16:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt2Shift>>:$imm)
     /* 41605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL16_MM),
     /* 41608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 41610 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 41612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 41615 */     GIR_RootConstrainSelectedInstOperands,
     /* 41616 */     // GIR_Coverage, 2177,
     /* 41616 */     GIR_EraseRootFromParent_Done,
     /* 41617 */   // Label 1098: @41617
     /* 41617 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(41659), // Rule ID 2178 //
     /* 41622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 41625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 41645 */     // MIs[1] Operand 1
     /* 41645 */     // No operand predicates
     /* 41645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 41647 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)  =>  (SRL_MM:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)
     /* 41647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL_MM),
     /* 41650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 41652 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 41654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 41657 */     GIR_RootConstrainSelectedInstOperands,
     /* 41658 */     // GIR_Coverage, 2178,
     /* 41658 */     GIR_EraseRootFromParent_Done,
     /* 41659 */   // Label 1099: @41659
     /* 41659 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(41686), // Rule ID 63 //
     /* 41664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 41667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41679 */     // (srl:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SRLV:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 41679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRLV),
     /* 41684 */     GIR_RootConstrainSelectedInstOperands,
     /* 41685 */     // GIR_Coverage, 63,
     /* 41685 */     GIR_Done,
     /* 41686 */   // Label 1100: @41686
     /* 41686 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(41713), // Rule ID 1840 //
     /* 41691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 41694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 41698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 41702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 41706 */     // (srl:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r, CPU16Regs:{ *:[i32] }:$ra)  =>  (SrlvRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r, CPU16Regs:{ *:[i32] }:$ra)
     /* 41706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SrlvRxRy16),
     /* 41711 */     GIR_RootConstrainSelectedInstOperands,
     /* 41712 */     // GIR_Coverage, 1840,
     /* 41712 */     GIR_Done,
     /* 41713 */   // Label 1101: @41713
     /* 41713 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(41740), // Rule ID 2179 //
     /* 41718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 41721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41733 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs)  =>  (SRLV_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs)
     /* 41733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRLV_MM),
     /* 41738 */     GIR_RootConstrainSelectedInstOperands,
     /* 41739 */     // GIR_Coverage, 2179,
     /* 41739 */     GIR_Done,
     /* 41740 */   // Label 1102: @41740
     /* 41740 */   GIM_Reject,
     /* 41741 */ // Label 1095: @41741
     /* 41741 */ GIM_Reject,
     /* 41742 */ // Label 1089: @41742
     /* 41742 */ GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(41882),
     /* 41747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 41750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 41753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 41757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 41761 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(41795), // Rule ID 212 //
     /* 41766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /* 41769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt6),
     /* 41781 */     // MIs[1] Operand 1
     /* 41781 */     // No operand predicates
     /* 41781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 41783 */     // (srl:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt6>>:$shamt)  =>  (DSRL:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 41783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSRL),
     /* 41786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 41788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 41790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 41793 */     GIR_RootConstrainSelectedInstOperands,
     /* 41794 */     // GIR_Coverage, 212,
     /* 41794 */     GIR_EraseRootFromParent_Done,
     /* 41795 */   // Label 1104: @41795
     /* 41795 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(41862), // Rule ID 1577 //
     /* 41800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 41803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 41811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 41815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 41820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 41822 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (trunc:{ *:[i32] } GPR64:{ *:[i64] }:$rs))  =>  (DSRLV:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$rs, sub_32:{ *:[i32] }))
     /* 41822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 41825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 41829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 41834 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // rs
     /* 41840 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /* 41845 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 41850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSRLV),
     /* 41853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 41855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 41857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 41860 */     GIR_RootConstrainSelectedInstOperands,
     /* 41861 */     // GIR_Coverage, 1577,
     /* 41861 */     GIR_EraseRootFromParent_Done,
     /* 41862 */   // Label 1105: @41862
     /* 41862 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(41881), // Rule ID 220 //
     /* 41867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /* 41870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 41874 */     // (srl:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (DSRLV:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 41874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DSRLV),
     /* 41879 */     GIR_RootConstrainSelectedInstOperands,
     /* 41880 */     // GIR_Coverage, 220,
     /* 41880 */     GIR_Done,
     /* 41881 */   // Label 1106: @41881
     /* 41881 */   GIM_Reject,
     /* 41882 */ // Label 1103: @41882
     /* 41882 */ GIM_Reject,
     /* 41883 */ // Label 1090: @41883
     /* 41883 */ GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(41916), // Rule ID 992 //
     /* 41888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 41891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 41894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 41897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 41901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 41905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 41909 */   // (srl:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SRL_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 41909 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRL_D),
     /* 41914 */   GIR_RootConstrainSelectedInstOperands,
     /* 41915 */   // GIR_Coverage, 992,
     /* 41915 */   GIR_Done,
     /* 41916 */ // Label 1107: @41916
     /* 41916 */ GIM_Reject,
     /* 41917 */ // Label 1091: @41917
     /* 41917 */ GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(42184),
     /* 41922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 41925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 41928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 41932 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(42046), // Rule ID 2482 //
     /* 41937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 41940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 41944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 41948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 41952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 41956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 41960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 41964 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/5,
     /* 41967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 41971 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 41975 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 41979 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 41983 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 41987 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 41991 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 41995 */     // MIs[3] Operand 1
     /* 41995 */     // No operand predicates
     /* 41995 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 41999 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42003 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 42007 */     // MIs[4] Operand 1
     /* 42007 */     // No operand predicates
     /* 42007 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 42011 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42015 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 42019 */     // MIs[5] Operand 1
     /* 42019 */     // No operand predicates
     /* 42019 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 42023 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42027 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 42031 */     // MIs[6] Operand 1
     /* 42031 */     // No operand predicates
     /* 42031 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /* 42033 */     // (srl:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, (and:{ *:[v4i32] } (build_vector:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>), v4i32:{ *:[v4i32] }:$wt))  =>  (SRL_W:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, v4i32:{ *:[v4i32] }:$wt)
     /* 42033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL_W),
     /* 42036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 42038 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 42040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 42044 */     GIR_RootConstrainSelectedInstOperands,
     /* 42045 */     // GIR_Coverage, 2482,
     /* 42045 */     GIR_EraseRootFromParent_Done,
     /* 42046 */   // Label 1109: @42046
     /* 42046 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(42160), // Rule ID 2083 //
     /* 42051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 42054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 42058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 42062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 42066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 42070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 42074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 42078 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/5,
     /* 42081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 42085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 42089 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 42093 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 42097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 42101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42105 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 42109 */     // MIs[3] Operand 1
     /* 42109 */     // No operand predicates
     /* 42109 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 42113 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42117 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 42121 */     // MIs[4] Operand 1
     /* 42121 */     // No operand predicates
     /* 42121 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 42125 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42129 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 42133 */     // MIs[5] Operand 1
     /* 42133 */     // No operand predicates
     /* 42133 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 42137 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42141 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 42145 */     // MIs[6] Operand 1
     /* 42145 */     // No operand predicates
     /* 42145 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /* 42147 */     // (srl:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, (and:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$wt, (build_vector:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>)))  =>  (SRL_W:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, v4i32:{ *:[v4i32] }:$wt)
     /* 42147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL_W),
     /* 42150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 42152 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 42154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 42158 */     GIR_RootConstrainSelectedInstOperands,
     /* 42159 */     // GIR_Coverage, 2083,
     /* 42159 */     GIR_EraseRootFromParent_Done,
     /* 42160 */   // Label 1110: @42160
     /* 42160 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(42183), // Rule ID 991 //
     /* 42165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 42168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 42172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 42176 */     // (srl:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SRL_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 42176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRL_W),
     /* 42181 */     GIR_RootConstrainSelectedInstOperands,
     /* 42182 */     // GIR_Coverage, 991,
     /* 42182 */     GIR_Done,
     /* 42183 */   // Label 1111: @42183
     /* 42183 */   GIM_Reject,
     /* 42184 */ // Label 1108: @42184
     /* 42184 */ GIM_Reject,
     /* 42185 */ // Label 1092: @42185
     /* 42185 */ GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(42580),
     /* 42190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 42193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 42196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 42200 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(42378), // Rule ID 2481 //
     /* 42205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 42208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 42212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 42216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 42220 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 42224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 42228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 42232 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/9,
     /* 42235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 42239 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 42243 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 42247 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 42251 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 42255 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 42259 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 42263 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 42267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 42271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42275 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42279 */     // MIs[3] Operand 1
     /* 42279 */     // No operand predicates
     /* 42279 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 42283 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42287 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42291 */     // MIs[4] Operand 1
     /* 42291 */     // No operand predicates
     /* 42291 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 42295 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42299 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42303 */     // MIs[5] Operand 1
     /* 42303 */     // No operand predicates
     /* 42303 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 42307 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42311 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42315 */     // MIs[6] Operand 1
     /* 42315 */     // No operand predicates
     /* 42315 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 42319 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42323 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42327 */     // MIs[7] Operand 1
     /* 42327 */     // No operand predicates
     /* 42327 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 42331 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42335 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42339 */     // MIs[8] Operand 1
     /* 42339 */     // No operand predicates
     /* 42339 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 42343 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42347 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42351 */     // MIs[9] Operand 1
     /* 42351 */     // No operand predicates
     /* 42351 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 42355 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42359 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42363 */     // MIs[10] Operand 1
     /* 42363 */     // No operand predicates
     /* 42363 */     GIM_CheckIsSafeToFold, /*NumInsns*/10,
     /* 42365 */     // (srl:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, (and:{ *:[v8i16] } (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>), v8i16:{ *:[v8i16] }:$wt))  =>  (SRL_H:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, v8i16:{ *:[v8i16] }:$wt)
     /* 42365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL_H),
     /* 42368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 42370 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 42372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 42376 */     GIR_RootConstrainSelectedInstOperands,
     /* 42377 */     // GIR_Coverage, 2481,
     /* 42377 */     GIR_EraseRootFromParent_Done,
     /* 42378 */   // Label 1113: @42378
     /* 42378 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(42556), // Rule ID 2082 //
     /* 42383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 42386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 42390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 42394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 42398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 42402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 42406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 42410 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/9,
     /* 42413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 42417 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 42421 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 42425 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 42429 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 42433 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 42437 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 42441 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 42445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 42449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42453 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42457 */     // MIs[3] Operand 1
     /* 42457 */     // No operand predicates
     /* 42457 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 42461 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42465 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42469 */     // MIs[4] Operand 1
     /* 42469 */     // No operand predicates
     /* 42469 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 42473 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42477 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42481 */     // MIs[5] Operand 1
     /* 42481 */     // No operand predicates
     /* 42481 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 42485 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42489 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42493 */     // MIs[6] Operand 1
     /* 42493 */     // No operand predicates
     /* 42493 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 42497 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42501 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42505 */     // MIs[7] Operand 1
     /* 42505 */     // No operand predicates
     /* 42505 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 42509 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42513 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42517 */     // MIs[8] Operand 1
     /* 42517 */     // No operand predicates
     /* 42517 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 42521 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42525 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42529 */     // MIs[9] Operand 1
     /* 42529 */     // No operand predicates
     /* 42529 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 42533 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42537 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 42541 */     // MIs[10] Operand 1
     /* 42541 */     // No operand predicates
     /* 42541 */     GIM_CheckIsSafeToFold, /*NumInsns*/10,
     /* 42543 */     // (srl:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, (and:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$wt, (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>)))  =>  (SRL_H:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, v8i16:{ *:[v8i16] }:$wt)
     /* 42543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL_H),
     /* 42546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 42548 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 42550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 42554 */     GIR_RootConstrainSelectedInstOperands,
     /* 42555 */     // GIR_Coverage, 2082,
     /* 42555 */     GIR_EraseRootFromParent_Done,
     /* 42556 */   // Label 1114: @42556
     /* 42556 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(42579), // Rule ID 990 //
     /* 42561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 42564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 42568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 42572 */     // (srl:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SRL_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 42572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRL_H),
     /* 42577 */     GIR_RootConstrainSelectedInstOperands,
     /* 42578 */     // GIR_Coverage, 990,
     /* 42578 */     GIR_Done,
     /* 42579 */   // Label 1115: @42579
     /* 42579 */   GIM_Reject,
     /* 42580 */ // Label 1112: @42580
     /* 42580 */ GIM_Reject,
     /* 42581 */ // Label 1093: @42581
     /* 42581 */ GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(43232),
     /* 42586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 42589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 42592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 42596 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(42902), // Rule ID 2480 //
     /* 42601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 42604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 42608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 42612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 42616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 42620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 42624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 42628 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/17,
     /* 42631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 42635 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 42639 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 42643 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 42647 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 42651 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 42655 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 42659 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 42663 */     GIM_CheckType, /*MI*/2, /*Op*/9, /*Type*/GILLT_s32,
     /* 42667 */     GIM_CheckType, /*MI*/2, /*Op*/10, /*Type*/GILLT_s32,
     /* 42671 */     GIM_CheckType, /*MI*/2, /*Op*/11, /*Type*/GILLT_s32,
     /* 42675 */     GIM_CheckType, /*MI*/2, /*Op*/12, /*Type*/GILLT_s32,
     /* 42679 */     GIM_CheckType, /*MI*/2, /*Op*/13, /*Type*/GILLT_s32,
     /* 42683 */     GIM_CheckType, /*MI*/2, /*Op*/14, /*Type*/GILLT_s32,
     /* 42687 */     GIM_CheckType, /*MI*/2, /*Op*/15, /*Type*/GILLT_s32,
     /* 42691 */     GIM_CheckType, /*MI*/2, /*Op*/16, /*Type*/GILLT_s32,
     /* 42695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 42699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42703 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42707 */     // MIs[3] Operand 1
     /* 42707 */     // No operand predicates
     /* 42707 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 42711 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42715 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42719 */     // MIs[4] Operand 1
     /* 42719 */     // No operand predicates
     /* 42719 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 42723 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42727 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42731 */     // MIs[5] Operand 1
     /* 42731 */     // No operand predicates
     /* 42731 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 42735 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42739 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42743 */     // MIs[6] Operand 1
     /* 42743 */     // No operand predicates
     /* 42743 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 42747 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42751 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42755 */     // MIs[7] Operand 1
     /* 42755 */     // No operand predicates
     /* 42755 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 42759 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42763 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42767 */     // MIs[8] Operand 1
     /* 42767 */     // No operand predicates
     /* 42767 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 42771 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42775 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42779 */     // MIs[9] Operand 1
     /* 42779 */     // No operand predicates
     /* 42779 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 42783 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42787 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42791 */     // MIs[10] Operand 1
     /* 42791 */     // No operand predicates
     /* 42791 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/2, /*OpIdx*/9, // MIs[11]
     /* 42795 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42799 */     GIM_CheckI64ImmPredicate, /*MI*/11, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42803 */     // MIs[11] Operand 1
     /* 42803 */     // No operand predicates
     /* 42803 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/2, /*OpIdx*/10, // MIs[12]
     /* 42807 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42811 */     GIM_CheckI64ImmPredicate, /*MI*/12, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42815 */     // MIs[12] Operand 1
     /* 42815 */     // No operand predicates
     /* 42815 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/2, /*OpIdx*/11, // MIs[13]
     /* 42819 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42823 */     GIM_CheckI64ImmPredicate, /*MI*/13, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42827 */     // MIs[13] Operand 1
     /* 42827 */     // No operand predicates
     /* 42827 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/2, /*OpIdx*/12, // MIs[14]
     /* 42831 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42835 */     GIM_CheckI64ImmPredicate, /*MI*/14, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42839 */     // MIs[14] Operand 1
     /* 42839 */     // No operand predicates
     /* 42839 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/2, /*OpIdx*/13, // MIs[15]
     /* 42843 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42847 */     GIM_CheckI64ImmPredicate, /*MI*/15, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42851 */     // MIs[15] Operand 1
     /* 42851 */     // No operand predicates
     /* 42851 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/2, /*OpIdx*/14, // MIs[16]
     /* 42855 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42859 */     GIM_CheckI64ImmPredicate, /*MI*/16, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42863 */     // MIs[16] Operand 1
     /* 42863 */     // No operand predicates
     /* 42863 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/2, /*OpIdx*/15, // MIs[17]
     /* 42867 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42871 */     GIM_CheckI64ImmPredicate, /*MI*/17, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42875 */     // MIs[17] Operand 1
     /* 42875 */     // No operand predicates
     /* 42875 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/2, /*OpIdx*/16, // MIs[18]
     /* 42879 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 42883 */     GIM_CheckI64ImmPredicate, /*MI*/18, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 42887 */     // MIs[18] Operand 1
     /* 42887 */     // No operand predicates
     /* 42887 */     GIM_CheckIsSafeToFold, /*NumInsns*/18,
     /* 42889 */     // (srl:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, (and:{ *:[v16i8] } (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>), v16i8:{ *:[v16i8] }:$wt))  =>  (SRL_B:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, v16i8:{ *:[v16i8] }:$wt)
     /* 42889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL_B),
     /* 42892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 42894 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 42896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 42900 */     GIR_RootConstrainSelectedInstOperands,
     /* 42901 */     // GIR_Coverage, 2480,
     /* 42901 */     GIR_EraseRootFromParent_Done,
     /* 42902 */   // Label 1117: @42902
     /* 42902 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(43208), // Rule ID 2081 //
     /* 42907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 42910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 42914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 42918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 42922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 42926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 42930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 42934 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/17,
     /* 42937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 42941 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 42945 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 42949 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 42953 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 42957 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 42961 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 42965 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 42969 */     GIM_CheckType, /*MI*/2, /*Op*/9, /*Type*/GILLT_s32,
     /* 42973 */     GIM_CheckType, /*MI*/2, /*Op*/10, /*Type*/GILLT_s32,
     /* 42977 */     GIM_CheckType, /*MI*/2, /*Op*/11, /*Type*/GILLT_s32,
     /* 42981 */     GIM_CheckType, /*MI*/2, /*Op*/12, /*Type*/GILLT_s32,
     /* 42985 */     GIM_CheckType, /*MI*/2, /*Op*/13, /*Type*/GILLT_s32,
     /* 42989 */     GIM_CheckType, /*MI*/2, /*Op*/14, /*Type*/GILLT_s32,
     /* 42993 */     GIM_CheckType, /*MI*/2, /*Op*/15, /*Type*/GILLT_s32,
     /* 42997 */     GIM_CheckType, /*MI*/2, /*Op*/16, /*Type*/GILLT_s32,
     /* 43001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 43005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43009 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43013 */     // MIs[3] Operand 1
     /* 43013 */     // No operand predicates
     /* 43013 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 43017 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43021 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43025 */     // MIs[4] Operand 1
     /* 43025 */     // No operand predicates
     /* 43025 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 43029 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43033 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43037 */     // MIs[5] Operand 1
     /* 43037 */     // No operand predicates
     /* 43037 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 43041 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43045 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43049 */     // MIs[6] Operand 1
     /* 43049 */     // No operand predicates
     /* 43049 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 43053 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43057 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43061 */     // MIs[7] Operand 1
     /* 43061 */     // No operand predicates
     /* 43061 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 43065 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43069 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43073 */     // MIs[8] Operand 1
     /* 43073 */     // No operand predicates
     /* 43073 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 43077 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43081 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43085 */     // MIs[9] Operand 1
     /* 43085 */     // No operand predicates
     /* 43085 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 43089 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43093 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43097 */     // MIs[10] Operand 1
     /* 43097 */     // No operand predicates
     /* 43097 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/2, /*OpIdx*/9, // MIs[11]
     /* 43101 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43105 */     GIM_CheckI64ImmPredicate, /*MI*/11, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43109 */     // MIs[11] Operand 1
     /* 43109 */     // No operand predicates
     /* 43109 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/2, /*OpIdx*/10, // MIs[12]
     /* 43113 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43117 */     GIM_CheckI64ImmPredicate, /*MI*/12, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43121 */     // MIs[12] Operand 1
     /* 43121 */     // No operand predicates
     /* 43121 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/2, /*OpIdx*/11, // MIs[13]
     /* 43125 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43129 */     GIM_CheckI64ImmPredicate, /*MI*/13, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43133 */     // MIs[13] Operand 1
     /* 43133 */     // No operand predicates
     /* 43133 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/2, /*OpIdx*/12, // MIs[14]
     /* 43137 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43141 */     GIM_CheckI64ImmPredicate, /*MI*/14, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43145 */     // MIs[14] Operand 1
     /* 43145 */     // No operand predicates
     /* 43145 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/2, /*OpIdx*/13, // MIs[15]
     /* 43149 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43153 */     GIM_CheckI64ImmPredicate, /*MI*/15, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43157 */     // MIs[15] Operand 1
     /* 43157 */     // No operand predicates
     /* 43157 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/2, /*OpIdx*/14, // MIs[16]
     /* 43161 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43165 */     GIM_CheckI64ImmPredicate, /*MI*/16, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43169 */     // MIs[16] Operand 1
     /* 43169 */     // No operand predicates
     /* 43169 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/2, /*OpIdx*/15, // MIs[17]
     /* 43173 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43177 */     GIM_CheckI64ImmPredicate, /*MI*/17, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43181 */     // MIs[17] Operand 1
     /* 43181 */     // No operand predicates
     /* 43181 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/2, /*OpIdx*/16, // MIs[18]
     /* 43185 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43189 */     GIM_CheckI64ImmPredicate, /*MI*/18, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 43193 */     // MIs[18] Operand 1
     /* 43193 */     // No operand predicates
     /* 43193 */     GIM_CheckIsSafeToFold, /*NumInsns*/18,
     /* 43195 */     // (srl:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, (and:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$wt, (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>)))  =>  (SRL_B:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, v16i8:{ *:[v16i8] }:$wt)
     /* 43195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRL_B),
     /* 43198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 43200 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 43202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 43206 */     GIR_RootConstrainSelectedInstOperands,
     /* 43207 */     // GIR_Coverage, 2081,
     /* 43207 */     GIR_EraseRootFromParent_Done,
     /* 43208 */   // Label 1118: @43208
     /* 43208 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(43231), // Rule ID 989 //
     /* 43213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 43216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 43220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 43224 */     // (srl:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SRL_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 43224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRL_B),
     /* 43229 */     GIR_RootConstrainSelectedInstOperands,
     /* 43230 */     // GIR_Coverage, 989,
     /* 43230 */     GIR_Done,
     /* 43231 */   // Label 1119: @43231
     /* 43231 */   GIM_Reject,
     /* 43232 */ // Label 1116: @43232
     /* 43232 */ GIM_Reject,
     /* 43233 */ // Label 1094: @43233
     /* 43233 */ GIM_Reject,
     /* 43234 */ // Label 39: @43234
     /* 43234 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 1126*/ GIMT_Encode4(44988),
     /* 43245 */ /*GILLT_s32*//*Label 1120*/ GIMT_Encode4(43277),
     /* 43249 */ /*GILLT_s64*//*Label 1121*/ GIMT_Encode4(43497), GIMT_Encode4(0),
     /* 43257 */ /*GILLT_v2s64*//*Label 1122*/ GIMT_Encode4(43638), GIMT_Encode4(0),
     /* 43265 */ /*GILLT_v4s32*//*Label 1123*/ GIMT_Encode4(43672),
     /* 43269 */ /*GILLT_v8s16*//*Label 1124*/ GIMT_Encode4(43940),
     /* 43273 */ /*GILLT_v16s8*//*Label 1125*/ GIMT_Encode4(44336),
     /* 43277 */ // Label 1120: @43277
     /* 43277 */ GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(43496),
     /* 43282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 43285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 43288 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(43330), // Rule ID 59 //
     /* 43293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 43296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 43316 */     // MIs[1] Operand 1
     /* 43316 */     // No operand predicates
     /* 43316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 43318 */     // (sra:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$shamt)  =>  (SRA:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 43318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA),
     /* 43321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 43323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 43325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 43328 */     GIR_RootConstrainSelectedInstOperands,
     /* 43329 */     // GIR_Coverage, 59,
     /* 43329 */     GIR_EraseRootFromParent_Done,
     /* 43330 */   // Label 1128: @43330
     /* 43330 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(43372), // Rule ID 1837 //
     /* 43335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 43338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 43342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 43346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 43358 */     // MIs[1] Operand 1
     /* 43358 */     // No operand predicates
     /* 43358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 43360 */     // (sra:{ *:[i32] } CPU16Regs:{ *:[i32] }:$in, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)  =>  (SraX16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$in, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)
     /* 43360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SraX16),
     /* 43363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rx]
     /* 43365 */     GIR_RootToRootCopy, /*OpIdx*/1, // in
     /* 43367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 43370 */     GIR_RootConstrainSelectedInstOperands,
     /* 43371 */     // GIR_Coverage, 1837,
     /* 43371 */     GIR_EraseRootFromParent_Done,
     /* 43372 */   // Label 1129: @43372
     /* 43372 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(43414), // Rule ID 2180 //
     /* 43377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 43380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 43400 */     // MIs[1] Operand 1
     /* 43400 */     // No operand predicates
     /* 43400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 43402 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)  =>  (SRA_MM:{ *:[i32] } GPR32:{ *:[i32] }:$src, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$imm)
     /* 43402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA_MM),
     /* 43405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 43407 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 43409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 43412 */     GIR_RootConstrainSelectedInstOperands,
     /* 43413 */     // GIR_Coverage, 2180,
     /* 43413 */     GIR_EraseRootFromParent_Done,
     /* 43414 */   // Label 1130: @43414
     /* 43414 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(43441), // Rule ID 65 //
     /* 43419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 43422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43434 */     // (sra:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (SRAV:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 43434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRAV),
     /* 43439 */     GIR_RootConstrainSelectedInstOperands,
     /* 43440 */     // GIR_Coverage, 65,
     /* 43440 */     GIR_Done,
     /* 43441 */   // Label 1131: @43441
     /* 43441 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(43468), // Rule ID 1839 //
     /* 43446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 43449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 43453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 43457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 43461 */     // (sra:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r, CPU16Regs:{ *:[i32] }:$ra)  =>  (SravRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$r, CPU16Regs:{ *:[i32] }:$ra)
     /* 43461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SravRxRy16),
     /* 43466 */     GIR_RootConstrainSelectedInstOperands,
     /* 43467 */     // GIR_Coverage, 1839,
     /* 43467 */     GIR_Done,
     /* 43468 */   // Label 1132: @43468
     /* 43468 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(43495), // Rule ID 2181 //
     /* 43473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 43476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43488 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs)  =>  (SRAV_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs)
     /* 43488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRAV_MM),
     /* 43493 */     GIR_RootConstrainSelectedInstOperands,
     /* 43494 */     // GIR_Coverage, 2181,
     /* 43494 */     GIR_Done,
     /* 43495 */   // Label 1133: @43495
     /* 43495 */   GIM_Reject,
     /* 43496 */ // Label 1127: @43496
     /* 43496 */ GIM_Reject,
     /* 43497 */ // Label 1121: @43497
     /* 43497 */ GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(43637),
     /* 43502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 43505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 43508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 43512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 43516 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(43550), // Rule ID 214 //
     /* 43521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /* 43524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt6),
     /* 43536 */     // MIs[1] Operand 1
     /* 43536 */     // No operand predicates
     /* 43536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 43538 */     // (sra:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt6>>:$shamt)  =>  (DSRA:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 43538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSRA),
     /* 43541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 43543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 43545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 43548 */     GIR_RootConstrainSelectedInstOperands,
     /* 43549 */     // GIR_Coverage, 214,
     /* 43549 */     GIR_EraseRootFromParent_Done,
     /* 43550 */   // Label 1135: @43550
     /* 43550 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(43617), // Rule ID 1578 //
     /* 43555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 43558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 43566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 43570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 43575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 43577 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (trunc:{ *:[i32] } GPR64:{ *:[i64] }:$rs))  =>  (DSRAV:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$rs, sub_32:{ *:[i32] }))
     /* 43577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 43580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 43584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 43589 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // rs
     /* 43595 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /* 43600 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 43605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSRAV),
     /* 43608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 43610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 43612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 43615 */     GIR_RootConstrainSelectedInstOperands,
     /* 43616 */     // GIR_Coverage, 1578,
     /* 43616 */     GIR_EraseRootFromParent_Done,
     /* 43617 */   // Label 1136: @43617
     /* 43617 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(43636), // Rule ID 218 //
     /* 43622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_NotInMicroMips),
     /* 43625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 43629 */     // (sra:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (DSRAV:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 43629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DSRAV),
     /* 43634 */     GIR_RootConstrainSelectedInstOperands,
     /* 43635 */     // GIR_Coverage, 218,
     /* 43635 */     GIR_Done,
     /* 43636 */   // Label 1137: @43636
     /* 43636 */   GIM_Reject,
     /* 43637 */ // Label 1134: @43637
     /* 43637 */ GIM_Reject,
     /* 43638 */ // Label 1122: @43638
     /* 43638 */ GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(43671), // Rule ID 976 //
     /* 43643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 43646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 43649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 43652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 43656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 43660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 43664 */   // (sra:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (SRA_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 43664 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRA_D),
     /* 43669 */   GIR_RootConstrainSelectedInstOperands,
     /* 43670 */   // GIR_Coverage, 976,
     /* 43670 */   GIR_Done,
     /* 43671 */ // Label 1138: @43671
     /* 43671 */ GIM_Reject,
     /* 43672 */ // Label 1123: @43672
     /* 43672 */ GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(43939),
     /* 43677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 43680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 43683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 43687 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(43801), // Rule ID 2486 //
     /* 43692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 43695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 43703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 43707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 43711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 43715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 43719 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/5,
     /* 43722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 43726 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 43730 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 43734 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 43738 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 43742 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43746 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43750 */     // MIs[3] Operand 1
     /* 43750 */     // No operand predicates
     /* 43750 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 43754 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43758 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43762 */     // MIs[4] Operand 1
     /* 43762 */     // No operand predicates
     /* 43762 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 43766 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43770 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43774 */     // MIs[5] Operand 1
     /* 43774 */     // No operand predicates
     /* 43774 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 43778 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43782 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43786 */     // MIs[6] Operand 1
     /* 43786 */     // No operand predicates
     /* 43786 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /* 43788 */     // (sra:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, (and:{ *:[v4i32] } (build_vector:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>), v4i32:{ *:[v4i32] }:$wt))  =>  (SRA_W:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, v4i32:{ *:[v4i32] }:$wt)
     /* 43788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA_W),
     /* 43791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 43793 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 43795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 43799 */     GIR_RootConstrainSelectedInstOperands,
     /* 43800 */     // GIR_Coverage, 2486,
     /* 43800 */     GIR_EraseRootFromParent_Done,
     /* 43801 */   // Label 1140: @43801
     /* 43801 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(43915), // Rule ID 2087 //
     /* 43806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 43809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 43817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 43821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 43825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 43829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 43833 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/5,
     /* 43836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 43840 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 43844 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 43848 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 43852 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 43856 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43860 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43864 */     // MIs[3] Operand 1
     /* 43864 */     // No operand predicates
     /* 43864 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 43868 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43872 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43876 */     // MIs[4] Operand 1
     /* 43876 */     // No operand predicates
     /* 43876 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 43880 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43884 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43888 */     // MIs[5] Operand 1
     /* 43888 */     // No operand predicates
     /* 43888 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 43892 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 43896 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst31),
     /* 43900 */     // MIs[6] Operand 1
     /* 43900 */     // No operand predicates
     /* 43900 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /* 43902 */     // (sra:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, (and:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$wt, (build_vector:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst31>>)))  =>  (SRA_W:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$ws, v4i32:{ *:[v4i32] }:$wt)
     /* 43902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA_W),
     /* 43905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 43907 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 43909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 43913 */     GIR_RootConstrainSelectedInstOperands,
     /* 43914 */     // GIR_Coverage, 2087,
     /* 43914 */     GIR_EraseRootFromParent_Done,
     /* 43915 */   // Label 1141: @43915
     /* 43915 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(43938), // Rule ID 975 //
     /* 43920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 43923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 43927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 43931 */     // (sra:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (SRA_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 43931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRA_W),
     /* 43936 */     GIR_RootConstrainSelectedInstOperands,
     /* 43937 */     // GIR_Coverage, 975,
     /* 43937 */     GIR_Done,
     /* 43938 */   // Label 1142: @43938
     /* 43938 */   GIM_Reject,
     /* 43939 */ // Label 1139: @43939
     /* 43939 */ GIM_Reject,
     /* 43940 */ // Label 1124: @43940
     /* 43940 */ GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(44335),
     /* 43945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 43948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 43951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 43955 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(44133), // Rule ID 2485 //
     /* 43960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 43963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 43967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 43971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 43975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 43979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 43983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 43987 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/9,
     /* 43990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 43994 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 43998 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 44002 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 44006 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 44010 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 44014 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 44018 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 44022 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 44026 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44030 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44034 */     // MIs[3] Operand 1
     /* 44034 */     // No operand predicates
     /* 44034 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 44038 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44042 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44046 */     // MIs[4] Operand 1
     /* 44046 */     // No operand predicates
     /* 44046 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 44050 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44054 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44058 */     // MIs[5] Operand 1
     /* 44058 */     // No operand predicates
     /* 44058 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 44062 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44066 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44070 */     // MIs[6] Operand 1
     /* 44070 */     // No operand predicates
     /* 44070 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 44074 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44078 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44082 */     // MIs[7] Operand 1
     /* 44082 */     // No operand predicates
     /* 44082 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 44086 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44090 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44094 */     // MIs[8] Operand 1
     /* 44094 */     // No operand predicates
     /* 44094 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 44098 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44102 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44106 */     // MIs[9] Operand 1
     /* 44106 */     // No operand predicates
     /* 44106 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 44110 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44114 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44118 */     // MIs[10] Operand 1
     /* 44118 */     // No operand predicates
     /* 44118 */     GIM_CheckIsSafeToFold, /*NumInsns*/10,
     /* 44120 */     // (sra:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, (and:{ *:[v8i16] } (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>), v8i16:{ *:[v8i16] }:$wt))  =>  (SRA_H:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, v8i16:{ *:[v8i16] }:$wt)
     /* 44120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA_H),
     /* 44123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 44125 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 44127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 44131 */     GIR_RootConstrainSelectedInstOperands,
     /* 44132 */     // GIR_Coverage, 2485,
     /* 44132 */     GIR_EraseRootFromParent_Done,
     /* 44133 */   // Label 1144: @44133
     /* 44133 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(44311), // Rule ID 2086 //
     /* 44138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 44141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 44145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 44149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 44153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 44157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 44161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 44165 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/9,
     /* 44168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 44172 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 44176 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 44180 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 44184 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 44188 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 44192 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 44196 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 44200 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 44204 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44208 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44212 */     // MIs[3] Operand 1
     /* 44212 */     // No operand predicates
     /* 44212 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 44216 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44220 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44224 */     // MIs[4] Operand 1
     /* 44224 */     // No operand predicates
     /* 44224 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 44228 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44232 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44236 */     // MIs[5] Operand 1
     /* 44236 */     // No operand predicates
     /* 44236 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 44240 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44244 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44248 */     // MIs[6] Operand 1
     /* 44248 */     // No operand predicates
     /* 44248 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 44252 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44256 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44260 */     // MIs[7] Operand 1
     /* 44260 */     // No operand predicates
     /* 44260 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 44264 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44268 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44272 */     // MIs[8] Operand 1
     /* 44272 */     // No operand predicates
     /* 44272 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 44276 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44280 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44284 */     // MIs[9] Operand 1
     /* 44284 */     // No operand predicates
     /* 44284 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 44288 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44292 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst15),
     /* 44296 */     // MIs[10] Operand 1
     /* 44296 */     // No operand predicates
     /* 44296 */     GIM_CheckIsSafeToFold, /*NumInsns*/10,
     /* 44298 */     // (sra:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, (and:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$wt, (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst15>>)))  =>  (SRA_H:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$ws, v8i16:{ *:[v8i16] }:$wt)
     /* 44298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA_H),
     /* 44301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 44303 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 44305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 44309 */     GIR_RootConstrainSelectedInstOperands,
     /* 44310 */     // GIR_Coverage, 2086,
     /* 44310 */     GIR_EraseRootFromParent_Done,
     /* 44311 */   // Label 1145: @44311
     /* 44311 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(44334), // Rule ID 974 //
     /* 44316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 44319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 44323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 44327 */     // (sra:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (SRA_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 44327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRA_H),
     /* 44332 */     GIR_RootConstrainSelectedInstOperands,
     /* 44333 */     // GIR_Coverage, 974,
     /* 44333 */     GIR_Done,
     /* 44334 */   // Label 1146: @44334
     /* 44334 */   GIM_Reject,
     /* 44335 */ // Label 1143: @44335
     /* 44335 */ GIM_Reject,
     /* 44336 */ // Label 1125: @44336
     /* 44336 */ GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(44987),
     /* 44341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 44344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 44347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 44351 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(44657), // Rule ID 2484 //
     /* 44356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 44359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 44363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 44367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 44371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 44375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 44379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 44383 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/17,
     /* 44386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 44390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 44394 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 44398 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 44402 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 44406 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 44410 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 44414 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 44418 */     GIM_CheckType, /*MI*/2, /*Op*/9, /*Type*/GILLT_s32,
     /* 44422 */     GIM_CheckType, /*MI*/2, /*Op*/10, /*Type*/GILLT_s32,
     /* 44426 */     GIM_CheckType, /*MI*/2, /*Op*/11, /*Type*/GILLT_s32,
     /* 44430 */     GIM_CheckType, /*MI*/2, /*Op*/12, /*Type*/GILLT_s32,
     /* 44434 */     GIM_CheckType, /*MI*/2, /*Op*/13, /*Type*/GILLT_s32,
     /* 44438 */     GIM_CheckType, /*MI*/2, /*Op*/14, /*Type*/GILLT_s32,
     /* 44442 */     GIM_CheckType, /*MI*/2, /*Op*/15, /*Type*/GILLT_s32,
     /* 44446 */     GIM_CheckType, /*MI*/2, /*Op*/16, /*Type*/GILLT_s32,
     /* 44450 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 44454 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44458 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44462 */     // MIs[3] Operand 1
     /* 44462 */     // No operand predicates
     /* 44462 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 44466 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44470 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44474 */     // MIs[4] Operand 1
     /* 44474 */     // No operand predicates
     /* 44474 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 44478 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44482 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44486 */     // MIs[5] Operand 1
     /* 44486 */     // No operand predicates
     /* 44486 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 44490 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44494 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44498 */     // MIs[6] Operand 1
     /* 44498 */     // No operand predicates
     /* 44498 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 44502 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44506 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44510 */     // MIs[7] Operand 1
     /* 44510 */     // No operand predicates
     /* 44510 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 44514 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44518 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44522 */     // MIs[8] Operand 1
     /* 44522 */     // No operand predicates
     /* 44522 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 44526 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44530 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44534 */     // MIs[9] Operand 1
     /* 44534 */     // No operand predicates
     /* 44534 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 44538 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44542 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44546 */     // MIs[10] Operand 1
     /* 44546 */     // No operand predicates
     /* 44546 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/2, /*OpIdx*/9, // MIs[11]
     /* 44550 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44554 */     GIM_CheckI64ImmPredicate, /*MI*/11, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44558 */     // MIs[11] Operand 1
     /* 44558 */     // No operand predicates
     /* 44558 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/2, /*OpIdx*/10, // MIs[12]
     /* 44562 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44566 */     GIM_CheckI64ImmPredicate, /*MI*/12, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44570 */     // MIs[12] Operand 1
     /* 44570 */     // No operand predicates
     /* 44570 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/2, /*OpIdx*/11, // MIs[13]
     /* 44574 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44578 */     GIM_CheckI64ImmPredicate, /*MI*/13, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44582 */     // MIs[13] Operand 1
     /* 44582 */     // No operand predicates
     /* 44582 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/2, /*OpIdx*/12, // MIs[14]
     /* 44586 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44590 */     GIM_CheckI64ImmPredicate, /*MI*/14, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44594 */     // MIs[14] Operand 1
     /* 44594 */     // No operand predicates
     /* 44594 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/2, /*OpIdx*/13, // MIs[15]
     /* 44598 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44602 */     GIM_CheckI64ImmPredicate, /*MI*/15, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44606 */     // MIs[15] Operand 1
     /* 44606 */     // No operand predicates
     /* 44606 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/2, /*OpIdx*/14, // MIs[16]
     /* 44610 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44614 */     GIM_CheckI64ImmPredicate, /*MI*/16, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44618 */     // MIs[16] Operand 1
     /* 44618 */     // No operand predicates
     /* 44618 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/2, /*OpIdx*/15, // MIs[17]
     /* 44622 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44626 */     GIM_CheckI64ImmPredicate, /*MI*/17, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44630 */     // MIs[17] Operand 1
     /* 44630 */     // No operand predicates
     /* 44630 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/2, /*OpIdx*/16, // MIs[18]
     /* 44634 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44638 */     GIM_CheckI64ImmPredicate, /*MI*/18, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44642 */     // MIs[18] Operand 1
     /* 44642 */     // No operand predicates
     /* 44642 */     GIM_CheckIsSafeToFold, /*NumInsns*/18,
     /* 44644 */     // (sra:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, (and:{ *:[v16i8] } (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>), v16i8:{ *:[v16i8] }:$wt))  =>  (SRA_B:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, v16i8:{ *:[v16i8] }:$wt)
     /* 44644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA_B),
     /* 44647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 44649 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 44651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 44655 */     GIR_RootConstrainSelectedInstOperands,
     /* 44656 */     // GIR_Coverage, 2484,
     /* 44656 */     GIR_EraseRootFromParent_Done,
     /* 44657 */   // Label 1148: @44657
     /* 44657 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(44963), // Rule ID 2085 //
     /* 44662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 44665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 44669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 44673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 44677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 44681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 44685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 44689 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/17,
     /* 44692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 44696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 44700 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /* 44704 */     GIM_CheckType, /*MI*/2, /*Op*/4, /*Type*/GILLT_s32,
     /* 44708 */     GIM_CheckType, /*MI*/2, /*Op*/5, /*Type*/GILLT_s32,
     /* 44712 */     GIM_CheckType, /*MI*/2, /*Op*/6, /*Type*/GILLT_s32,
     /* 44716 */     GIM_CheckType, /*MI*/2, /*Op*/7, /*Type*/GILLT_s32,
     /* 44720 */     GIM_CheckType, /*MI*/2, /*Op*/8, /*Type*/GILLT_s32,
     /* 44724 */     GIM_CheckType, /*MI*/2, /*Op*/9, /*Type*/GILLT_s32,
     /* 44728 */     GIM_CheckType, /*MI*/2, /*Op*/10, /*Type*/GILLT_s32,
     /* 44732 */     GIM_CheckType, /*MI*/2, /*Op*/11, /*Type*/GILLT_s32,
     /* 44736 */     GIM_CheckType, /*MI*/2, /*Op*/12, /*Type*/GILLT_s32,
     /* 44740 */     GIM_CheckType, /*MI*/2, /*Op*/13, /*Type*/GILLT_s32,
     /* 44744 */     GIM_CheckType, /*MI*/2, /*Op*/14, /*Type*/GILLT_s32,
     /* 44748 */     GIM_CheckType, /*MI*/2, /*Op*/15, /*Type*/GILLT_s32,
     /* 44752 */     GIM_CheckType, /*MI*/2, /*Op*/16, /*Type*/GILLT_s32,
     /* 44756 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 44760 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44764 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44768 */     // MIs[3] Operand 1
     /* 44768 */     // No operand predicates
     /* 44768 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/2, // MIs[4]
     /* 44772 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44776 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44780 */     // MIs[4] Operand 1
     /* 44780 */     // No operand predicates
     /* 44780 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /* 44784 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44788 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44792 */     // MIs[5] Operand 1
     /* 44792 */     // No operand predicates
     /* 44792 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/2, /*OpIdx*/4, // MIs[6]
     /* 44796 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44800 */     GIM_CheckI64ImmPredicate, /*MI*/6, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44804 */     // MIs[6] Operand 1
     /* 44804 */     // No operand predicates
     /* 44804 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/5, // MIs[7]
     /* 44808 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44812 */     GIM_CheckI64ImmPredicate, /*MI*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44816 */     // MIs[7] Operand 1
     /* 44816 */     // No operand predicates
     /* 44816 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/6, // MIs[8]
     /* 44820 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44824 */     GIM_CheckI64ImmPredicate, /*MI*/8, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44828 */     // MIs[8] Operand 1
     /* 44828 */     // No operand predicates
     /* 44828 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/2, /*OpIdx*/7, // MIs[9]
     /* 44832 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44836 */     GIM_CheckI64ImmPredicate, /*MI*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44840 */     // MIs[9] Operand 1
     /* 44840 */     // No operand predicates
     /* 44840 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/2, /*OpIdx*/8, // MIs[10]
     /* 44844 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44848 */     GIM_CheckI64ImmPredicate, /*MI*/10, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44852 */     // MIs[10] Operand 1
     /* 44852 */     // No operand predicates
     /* 44852 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/2, /*OpIdx*/9, // MIs[11]
     /* 44856 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44860 */     GIM_CheckI64ImmPredicate, /*MI*/11, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44864 */     // MIs[11] Operand 1
     /* 44864 */     // No operand predicates
     /* 44864 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/2, /*OpIdx*/10, // MIs[12]
     /* 44868 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44872 */     GIM_CheckI64ImmPredicate, /*MI*/12, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44876 */     // MIs[12] Operand 1
     /* 44876 */     // No operand predicates
     /* 44876 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/2, /*OpIdx*/11, // MIs[13]
     /* 44880 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44884 */     GIM_CheckI64ImmPredicate, /*MI*/13, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44888 */     // MIs[13] Operand 1
     /* 44888 */     // No operand predicates
     /* 44888 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/2, /*OpIdx*/12, // MIs[14]
     /* 44892 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44896 */     GIM_CheckI64ImmPredicate, /*MI*/14, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44900 */     // MIs[14] Operand 1
     /* 44900 */     // No operand predicates
     /* 44900 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/2, /*OpIdx*/13, // MIs[15]
     /* 44904 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44908 */     GIM_CheckI64ImmPredicate, /*MI*/15, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44912 */     // MIs[15] Operand 1
     /* 44912 */     // No operand predicates
     /* 44912 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/2, /*OpIdx*/14, // MIs[16]
     /* 44916 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44920 */     GIM_CheckI64ImmPredicate, /*MI*/16, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44924 */     // MIs[16] Operand 1
     /* 44924 */     // No operand predicates
     /* 44924 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/2, /*OpIdx*/15, // MIs[17]
     /* 44928 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44932 */     GIM_CheckI64ImmPredicate, /*MI*/17, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44936 */     // MIs[17] Operand 1
     /* 44936 */     // No operand predicates
     /* 44936 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/2, /*OpIdx*/16, // MIs[18]
     /* 44940 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 44944 */     GIM_CheckI64ImmPredicate, /*MI*/18, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immi32Cst7),
     /* 44948 */     // MIs[18] Operand 1
     /* 44948 */     // No operand predicates
     /* 44948 */     GIM_CheckIsSafeToFold, /*NumInsns*/18,
     /* 44950 */     // (sra:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, (and:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$wt, (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>, (imm:{ *:[i32] })<<P:Predicate_immi32Cst7>>)))  =>  (SRA_B:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$ws, v16i8:{ *:[v16i8] }:$wt)
     /* 44950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SRA_B),
     /* 44953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 44955 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 44957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 44961 */     GIR_RootConstrainSelectedInstOperands,
     /* 44962 */     // GIR_Coverage, 2085,
     /* 44962 */     GIR_EraseRootFromParent_Done,
     /* 44963 */   // Label 1149: @44963
     /* 44963 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(44986), // Rule ID 973 //
     /* 44968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 44971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 44975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 44979 */     // (sra:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (SRA_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 44979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::SRA_B),
     /* 44984 */     GIR_RootConstrainSelectedInstOperands,
     /* 44985 */     // GIR_Coverage, 973,
     /* 44985 */     GIR_Done,
     /* 44986 */   // Label 1150: @44986
     /* 44986 */   GIM_Reject,
     /* 44987 */ // Label 1147: @44987
     /* 44987 */ GIM_Reject,
     /* 44988 */ // Label 1126: @44988
     /* 44988 */ GIM_Reject,
     /* 44989 */ // Label 40: @44989
     /* 44989 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1153*/ GIMT_Encode4(45276),
     /* 45000 */ /*GILLT_s32*//*Label 1151*/ GIMT_Encode4(45008),
     /* 45004 */ /*GILLT_s64*//*Label 1152*/ GIMT_Encode4(45135),
     /* 45008 */ // Label 1151: @45008
     /* 45008 */ GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(45134),
     /* 45013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 45016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 45019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45027 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(45061), // Rule ID 67 //
     /* 45032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r2_HasStdEnc_NotInMicroMips),
     /* 45035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 45039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 45043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 45047 */     // MIs[1] Operand 1
     /* 45047 */     // No operand predicates
     /* 45047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 45049 */     // (rotr:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$shamt)  =>  (ROTR:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 45049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ROTR),
     /* 45052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 45056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 45059 */     GIR_RootConstrainSelectedInstOperands,
     /* 45060 */     // GIR_Coverage, 67,
     /* 45060 */     GIR_EraseRootFromParent_Done,
     /* 45061 */   // Label 1155: @45061
     /* 45061 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(45095), // Rule ID 1081 //
     /* 45066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 45069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 45073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 45077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt5),
     /* 45081 */     // MIs[1] Operand 1
     /* 45081 */     // No operand predicates
     /* 45081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 45083 */     // (rotr:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt5>>:$shamt)  =>  (ROTR_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 45083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ROTR_MM),
     /* 45086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 45090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 45093 */     GIR_RootConstrainSelectedInstOperands,
     /* 45094 */     // GIR_Coverage, 1081,
     /* 45094 */     GIR_EraseRootFromParent_Done,
     /* 45095 */   // Label 1156: @45095
     /* 45095 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(45114), // Rule ID 68 //
     /* 45100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r2_HasStdEnc_NotInMicroMips),
     /* 45103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45107 */     // (rotr:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (ROTRV:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 45107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ROTRV),
     /* 45112 */     GIR_RootConstrainSelectedInstOperands,
     /* 45113 */     // GIR_Coverage, 68,
     /* 45113 */     GIR_Done,
     /* 45114 */   // Label 1157: @45114
     /* 45114 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(45133), // Rule ID 1082 //
     /* 45119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 45122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45126 */     // (rotr:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (ROTRV_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 45126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::ROTRV_MM),
     /* 45131 */     GIR_RootConstrainSelectedInstOperands,
     /* 45132 */     // GIR_Coverage, 1082,
     /* 45132 */     GIR_Done,
     /* 45133 */   // Label 1158: @45133
     /* 45133 */   GIM_Reject,
     /* 45134 */ // Label 1154: @45134
     /* 45134 */ GIM_Reject,
     /* 45135 */ // Label 1152: @45135
     /* 45135 */ GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(45275),
     /* 45140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 45143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 45146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45154 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(45188), // Rule ID 222 //
     /* 45159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r2_HasStdEnc_NotInMicroMips),
     /* 45162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 45166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 45170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt6),
     /* 45174 */     // MIs[1] Operand 1
     /* 45174 */     // No operand predicates
     /* 45174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 45176 */     // (rotr:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] })<<P:Predicate_immZExt6>>:$shamt)  =>  (DROTR:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, (imm:{ *:[i32] }):$shamt)
     /* 45176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DROTR),
     /* 45179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 45183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 45186 */     GIR_RootConstrainSelectedInstOperands,
     /* 45187 */     // GIR_Coverage, 222,
     /* 45187 */     GIR_EraseRootFromParent_Done,
     /* 45188 */   // Label 1160: @45188
     /* 45188 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(45255), // Rule ID 1579 //
     /* 45193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit),
     /* 45196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 45200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 45204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 45208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 45215 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (trunc:{ *:[i32] } GPR64:{ *:[i64] }:$rs))  =>  (DROTRV:{ *:[i64] } GPR64:{ *:[i64] }:$rt, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$rs, sub_32:{ *:[i32] }))
     /* 45215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 45218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 45222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 45227 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // rs
     /* 45233 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(Mips::DSPRRegClassID),
     /* 45238 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DROTRV),
     /* 45246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rt
     /* 45250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 45253 */     GIR_RootConstrainSelectedInstOperands,
     /* 45254 */     // GIR_Coverage, 1579,
     /* 45254 */     GIR_EraseRootFromParent_Done,
     /* 45255 */   // Label 1161: @45255
     /* 45255 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(45274), // Rule ID 223 //
     /* 45260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r2_HasStdEnc_NotInMicroMips),
     /* 45263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45267 */     // (rotr:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)  =>  (DROTRV:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rt, GPR32Opnd:{ *:[i32] }:$rs)
     /* 45267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DROTRV),
     /* 45272 */     GIR_RootConstrainSelectedInstOperands,
     /* 45273 */     // GIR_Coverage, 223,
     /* 45273 */     GIR_Done,
     /* 45274 */   // Label 1162: @45274
     /* 45274 */   GIM_Reject,
     /* 45275 */ // Label 1159: @45275
     /* 45275 */ GIM_Reject,
     /* 45276 */ // Label 1153: @45276
     /* 45276 */ GIM_Reject,
     /* 45277 */ // Label 41: @45277
     /* 45277 */ GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(47807),
     /* 45282 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 45285 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1166*/ GIMT_Encode4(45470),
     /* 45296 */   /*GILLT_s32*//*Label 1164*/ GIMT_Encode4(45304),
     /* 45300 */   /*GILLT_s64*//*Label 1165*/ GIMT_Encode4(45387),
     /* 45304 */   // Label 1164: @45304
     /* 45304 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(45386),
     /* 45309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 45312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45316 */     GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(45349), // Rule ID 1415 //
     /* 45321 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 45324 */       // MIs[0] Operand 1
     /* 45324 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 45329 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45333 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 45337 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTiu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 1:{ *:[i32] })
     /* 45337 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTiu),
     /* 45340 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 45342 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 45344 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 45347 */       GIR_RootConstrainSelectedInstOperands,
     /* 45348 */       // GIR_Coverage, 1415,
     /* 45348 */       GIR_EraseRootFromParent_Done,
     /* 45349 */     // Label 1168: @45349
     /* 45349 */     GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(45385), // Rule ID 1416 //
     /* 45354 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 45357 */       // MIs[0] Operand 1
     /* 45357 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 45362 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45366 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 45370 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTu:{ *:[i32] } ZERO:{ *:[i32] }, GPR32:{ *:[i32] }:$lhs)
     /* 45370 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 45373 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45375 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 45381 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 45383 */       GIR_RootConstrainSelectedInstOperands,
     /* 45384 */       // GIR_Coverage, 1416,
     /* 45384 */       GIR_EraseRootFromParent_Done,
     /* 45385 */     // Label 1169: @45385
     /* 45385 */     GIM_Reject,
     /* 45386 */   // Label 1167: @45386
     /* 45386 */   GIM_Reject,
     /* 45387 */   // Label 1165: @45387
     /* 45387 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(45469),
     /* 45392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 45395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45399 */     GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(45432), // Rule ID 1561 //
     /* 45404 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 45407 */       // MIs[0] Operand 1
     /* 45407 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 45412 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45416 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 45420 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTiu64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 1:{ *:[i64] })
     /* 45420 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTiu64),
     /* 45423 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 45425 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 45427 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 45430 */       GIR_RootConstrainSelectedInstOperands,
     /* 45431 */       // GIR_Coverage, 1561,
     /* 45431 */       GIR_EraseRootFromParent_Done,
     /* 45432 */     // Label 1171: @45432
     /* 45432 */     GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(45468), // Rule ID 1562 //
     /* 45437 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 45440 */       // MIs[0] Operand 1
     /* 45440 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 45445 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45449 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 45453 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTu64:{ *:[i32] } ZERO_64:{ *:[i64] }, GPR64:{ *:[i64] }:$lhs)
     /* 45453 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 45456 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45458 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO_64), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 45464 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 45466 */       GIR_RootConstrainSelectedInstOperands,
     /* 45467 */       // GIR_Coverage, 1562,
     /* 45467 */       GIR_EraseRootFromParent_Done,
     /* 45468 */     // Label 1172: @45468
     /* 45468 */     GIM_Reject,
     /* 45469 */   // Label 1170: @45469
     /* 45469 */   GIM_Reject,
     /* 45470 */   // Label 1166: @45470
     /* 45470 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1175*/ GIMT_Encode4(45853),
     /* 45481 */   /*GILLT_s32*//*Label 1173*/ GIMT_Encode4(45489),
     /* 45485 */   /*GILLT_s64*//*Label 1174*/ GIMT_Encode4(45775),
     /* 45489 */   // Label 1173: @45489
     /* 45489 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(45774),
     /* 45494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 45497 */     GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(45534), // Rule ID 1887 //
     /* 45502 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 45505 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 45509 */       // MIs[0] Operand 1
     /* 45509 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 45514 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 45518 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 45522 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SltiuCCRxImmX16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, 1:{ *:[i32] })
     /* 45522 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SltiuCCRxImmX16),
     /* 45525 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[cc]
     /* 45527 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 45529 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 45532 */       GIR_RootConstrainSelectedInstOperands,
     /* 45533 */       // GIR_Coverage, 1887,
     /* 45533 */       GIR_EraseRootFromParent_Done,
     /* 45534 */     // Label 1177: @45534
     /* 45534 */     GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(45624), // Rule ID 1889 //
     /* 45539 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 45542 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 45546 */       // MIs[0] Operand 1
     /* 45546 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 45551 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 45555 */       GIM_CheckConstantInt, /*MI*/0, /*Op*/3, GIMT_Encode8(-32769),
     /* 45566 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, -32769:{ *:[i32] }, SETGT:{ *:[Other] })  =>  (XorRxRxRy16:{ *:[i32] } (SltiCCRxImmX16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, -32768:{ *:[i32] }), (LiRxImmX16:{ *:[i32] } 1:{ *:[i32] }))
     /* 45566 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 45569 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::LiRxImmX16),
     /* 45573 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 45578 */       GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 45581 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 45583 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 45586 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SltiCCRxImmX16),
     /* 45590 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 45595 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 45599 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(-32768),
     /* 45609 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 45611 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /* 45614 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rz]
     /* 45616 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 45619 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 45622 */       GIR_RootConstrainSelectedInstOperands,
     /* 45623 */       // GIR_Coverage, 1889,
     /* 45623 */       GIR_EraseRootFromParent_Done,
     /* 45624 */     // Label 1178: @45624
     /* 45624 */     GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(45661), // Rule ID 2208 //
     /* 45629 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 45632 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45636 */       // MIs[0] Operand 1
     /* 45636 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 45641 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45645 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 45649 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTiu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 1:{ *:[i32] })
     /* 45649 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTiu_MM),
     /* 45652 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 45654 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 45656 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 45659 */       GIR_RootConstrainSelectedInstOperands,
     /* 45660 */       // GIR_Coverage, 2208,
     /* 45660 */       GIR_EraseRootFromParent_Done,
     /* 45661 */     // Label 1179: @45661
     /* 45661 */     GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(45701), // Rule ID 2209 //
     /* 45666 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 45669 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45673 */       // MIs[0] Operand 1
     /* 45673 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 45678 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45682 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 45686 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTu_MM:{ *:[i32] } ZERO:{ *:[i32] }, GPR32:{ *:[i32] }:$lhs)
     /* 45686 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 45689 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45691 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 45697 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 45699 */       GIR_RootConstrainSelectedInstOperands,
     /* 45700 */       // GIR_Coverage, 2209,
     /* 45700 */       GIR_EraseRootFromParent_Done,
     /* 45701 */     // Label 1180: @45701
     /* 45701 */     GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(45737), // Rule ID 49 //
     /* 45706 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 45709 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45713 */       // MIs[0] Operand 1
     /* 45713 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 45718 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45722 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45726 */       // (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 45726 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 45729 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45731 */       GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 45733 */       GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 45735 */       GIR_RootConstrainSelectedInstOperands,
     /* 45736 */       // GIR_Coverage, 49,
     /* 45736 */       GIR_EraseRootFromParent_Done,
     /* 45737 */     // Label 1181: @45737
     /* 45737 */     GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(45773), // Rule ID 50 //
     /* 45742 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 45745 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45749 */       // MIs[0] Operand 1
     /* 45749 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 45754 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45758 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45762 */       // (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETULT:{ *:[Other] })  =>  (SLTu:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 45762 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 45765 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45767 */       GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 45769 */       GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 45771 */       GIR_RootConstrainSelectedInstOperands,
     /* 45772 */       // GIR_Coverage, 50,
     /* 45772 */       GIR_EraseRootFromParent_Done,
     /* 45773 */     // Label 1182: @45773
     /* 45773 */     GIM_Reject,
     /* 45774 */   // Label 1176: @45774
     /* 45774 */   GIM_Reject,
     /* 45775 */   // Label 1174: @45775
     /* 45775 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(45852),
     /* 45780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 45783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45787 */     GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(45819), // Rule ID 204 //
     /* 45792 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 45795 */       // MIs[0] Operand 1
     /* 45795 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 45800 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45804 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45808 */       // (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, SETLT:{ *:[Other] })  =>  (SLT64:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /* 45808 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 45811 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45813 */       GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 45815 */       GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 45817 */       GIR_RootConstrainSelectedInstOperands,
     /* 45818 */       // GIR_Coverage, 204,
     /* 45818 */       GIR_EraseRootFromParent_Done,
     /* 45819 */     // Label 1184: @45819
     /* 45819 */     GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(45851), // Rule ID 205 //
     /* 45824 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsGP64bit_NotInMips16Mode),
     /* 45827 */       // MIs[0] Operand 1
     /* 45827 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 45832 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45836 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 45840 */       // (setcc:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt, SETULT:{ *:[Other] })  =>  (SLTu64:{ *:[i32] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /* 45840 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 45843 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45845 */       GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 45847 */       GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 45849 */       GIR_RootConstrainSelectedInstOperands,
     /* 45850 */       // GIR_Coverage, 205,
     /* 45850 */       GIR_EraseRootFromParent_Done,
     /* 45851 */     // Label 1185: @45851
     /* 45851 */     GIM_Reject,
     /* 45852 */   // Label 1183: @45852
     /* 45852 */   GIM_Reject,
     /* 45853 */   // Label 1175: @45853
     /* 45853 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1188*/ GIMT_Encode4(46770),
     /* 45864 */   /*GILLT_s32*//*Label 1186*/ GIMT_Encode4(45872),
     /* 45868 */   /*GILLT_s64*//*Label 1187*/ GIMT_Encode4(46353),
     /* 45872 */   // Label 1186: @45872
     /* 45872 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(46352),
     /* 45877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 45880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45884 */     GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(45916), // Rule ID 1075 //
     /* 45889 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 45892 */       // MIs[0] Operand 1
     /* 45892 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 45897 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45901 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45905 */       // (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETLT:{ *:[Other] })  =>  (SLT_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 45905 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 45908 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45910 */       GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 45912 */       GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 45914 */       GIR_RootConstrainSelectedInstOperands,
     /* 45915 */       // GIR_Coverage, 1075,
     /* 45915 */       GIR_EraseRootFromParent_Done,
     /* 45916 */     // Label 1190: @45916
     /* 45916 */     GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(45948), // Rule ID 1076 //
     /* 45921 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 45924 */       // MIs[0] Operand 1
     /* 45924 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 45929 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45933 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45937 */       // (setcc:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt, SETULT:{ *:[Other] })  =>  (SLTu_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 45937 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 45940 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 45942 */       GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /* 45944 */       GIR_RootToRootCopy, /*OpIdx*/3, // rt
     /* 45946 */       GIR_RootConstrainSelectedInstOperands,
     /* 45947 */       // GIR_Coverage, 1076,
     /* 45947 */       GIR_EraseRootFromParent_Done,
     /* 45948 */     // Label 1191: @45948
     /* 45948 */     GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(46004), // Rule ID 1417 //
     /* 45953 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 45956 */       // MIs[0] Operand 1
     /* 45956 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 45961 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45965 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 45969 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] })  =>  (SLTiu:{ *:[i32] } (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), 1:{ *:[i32] })
     /* 45969 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 45972 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 45976 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 45981 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 45985 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 45989 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 45991 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTiu),
     /* 45994 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 45996 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 45999 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46002 */       GIR_RootConstrainSelectedInstOperands,
     /* 46003 */       // GIR_Coverage, 1417,
     /* 46003 */       GIR_EraseRootFromParent_Done,
     /* 46004 */     // Label 1192: @46004
     /* 46004 */     GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(46063), // Rule ID 1418 //
     /* 46009 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 46012 */       // MIs[0] Operand 1
     /* 46012 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 46017 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46021 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46025 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] })  =>  (SLTu:{ *:[i32] } ZERO:{ *:[i32] }, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs))
     /* 46025 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46028 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 46032 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46037 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46041 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46045 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46047 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 46050 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 46052 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 46058 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46061 */       GIR_RootConstrainSelectedInstOperands,
     /* 46062 */       // GIR_Coverage, 1418,
     /* 46062 */       GIR_EraseRootFromParent_Done,
     /* 46063 */     // Label 1193: @46063
     /* 46063 */     GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(46119), // Rule ID 1419 //
     /* 46068 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 46071 */       // MIs[0] Operand 1
     /* 46071 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 46076 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46080 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46084 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), 1:{ *:[i32] })
     /* 46084 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46087 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 46091 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46096 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46100 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46104 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46106 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46109 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46111 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46114 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46117 */       GIR_RootConstrainSelectedInstOperands,
     /* 46118 */       // GIR_Coverage, 1419,
     /* 46118 */       GIR_EraseRootFromParent_Done,
     /* 46119 */     // Label 1194: @46119
     /* 46119 */     GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(46175), // Rule ID 1420 //
     /* 46124 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 46127 */       // MIs[0] Operand 1
     /* 46127 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 46132 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46136 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46140 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), 1:{ *:[i32] })
     /* 46140 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46143 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 46147 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46152 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46156 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46160 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46162 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46165 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46167 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46170 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46173 */       GIR_RootConstrainSelectedInstOperands,
     /* 46174 */       // GIR_Coverage, 1420,
     /* 46174 */       GIR_EraseRootFromParent_Done,
     /* 46175 */     // Label 1195: @46175
     /* 46175 */     GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(46207), // Rule ID 1421 //
     /* 46180 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 46183 */       // MIs[0] Operand 1
     /* 46183 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 46188 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46192 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46196 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs)
     /* 46196 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 46199 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 46201 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 46203 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 46205 */       GIR_RootConstrainSelectedInstOperands,
     /* 46206 */       // GIR_Coverage, 1421,
     /* 46206 */       GIR_EraseRootFromParent_Done,
     /* 46207 */     // Label 1196: @46207
     /* 46207 */     GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(46239), // Rule ID 1422 //
     /* 46212 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 46215 */       // MIs[0] Operand 1
     /* 46215 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 46220 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46224 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46228 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGT:{ *:[Other] })  =>  (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs)
     /* 46228 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 46231 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 46233 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 46235 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 46237 */       GIR_RootConstrainSelectedInstOperands,
     /* 46238 */       // GIR_Coverage, 1422,
     /* 46238 */       GIR_EraseRootFromParent_Done,
     /* 46239 */     // Label 1197: @46239
     /* 46239 */     GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(46295), // Rule ID 1423 //
     /* 46244 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 46247 */       // MIs[0] Operand 1
     /* 46247 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 46252 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46256 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46260 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), 1:{ *:[i32] })
     /* 46260 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46263 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 46267 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46272 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46276 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46280 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46282 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46285 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46287 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46290 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46293 */       GIR_RootConstrainSelectedInstOperands,
     /* 46294 */       // GIR_Coverage, 1423,
     /* 46294 */       GIR_EraseRootFromParent_Done,
     /* 46295 */     // Label 1198: @46295
     /* 46295 */     GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(46351), // Rule ID 1424 //
     /* 46300 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 46303 */       // MIs[0] Operand 1
     /* 46303 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 46308 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46312 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46316 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), 1:{ *:[i32] })
     /* 46316 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46319 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 46323 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46328 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46332 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46336 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46338 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46341 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46343 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46346 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46349 */       GIR_RootConstrainSelectedInstOperands,
     /* 46350 */       // GIR_Coverage, 1424,
     /* 46350 */       GIR_EraseRootFromParent_Done,
     /* 46351 */     // Label 1199: @46351
     /* 46351 */     GIM_Reject,
     /* 46352 */   // Label 1189: @46352
     /* 46352 */   GIM_Reject,
     /* 46353 */   // Label 1187: @46353
     /* 46353 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(46769),
     /* 46358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 46361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 46365 */     GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(46421), // Rule ID 1563 //
     /* 46370 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46373 */       // MIs[0] Operand 1
     /* 46373 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 46378 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46382 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46386 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] })  =>  (SLTiu64:{ *:[i32] } (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), 1:{ *:[i64] })
     /* 46386 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 46389 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 46393 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46398 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46402 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46406 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46408 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTiu64),
     /* 46411 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46413 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46416 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46419 */       GIR_RootConstrainSelectedInstOperands,
     /* 46420 */       // GIR_Coverage, 1563,
     /* 46420 */       GIR_EraseRootFromParent_Done,
     /* 46421 */     // Label 1201: @46421
     /* 46421 */     GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(46480), // Rule ID 1564 //
     /* 46426 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46429 */       // MIs[0] Operand 1
     /* 46429 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 46434 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46438 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46442 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] })  =>  (SLTu64:{ *:[i32] } ZERO_64:{ *:[i64] }, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs))
     /* 46442 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 46445 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 46449 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46454 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46458 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46462 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46464 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 46467 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 46469 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO_64), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 46475 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46478 */       GIR_RootConstrainSelectedInstOperands,
     /* 46479 */       // GIR_Coverage, 1564,
     /* 46479 */       GIR_EraseRootFromParent_Done,
     /* 46480 */     // Label 1202: @46480
     /* 46480 */     GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(46536), // Rule ID 1565 //
     /* 46485 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46488 */       // MIs[0] Operand 1
     /* 46488 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 46493 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46497 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46501 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), 1:{ *:[i32] })
     /* 46501 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46504 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 46508 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46513 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46517 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46521 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46523 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46526 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46528 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46531 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46534 */       GIR_RootConstrainSelectedInstOperands,
     /* 46535 */       // GIR_Coverage, 1565,
     /* 46535 */       GIR_EraseRootFromParent_Done,
     /* 46536 */     // Label 1203: @46536
     /* 46536 */     GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(46592), // Rule ID 1566 //
     /* 46541 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46544 */       // MIs[0] Operand 1
     /* 46544 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 46549 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46553 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46557 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), 1:{ *:[i32] })
     /* 46557 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46560 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 46564 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46569 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46573 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46577 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46579 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46582 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46584 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46587 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46590 */       GIR_RootConstrainSelectedInstOperands,
     /* 46591 */       // GIR_Coverage, 1566,
     /* 46591 */       GIR_EraseRootFromParent_Done,
     /* 46592 */     // Label 1204: @46592
     /* 46592 */     GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(46624), // Rule ID 1567 //
     /* 46597 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46600 */       // MIs[0] Operand 1
     /* 46600 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 46605 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46609 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46613 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETGT:{ *:[Other] })  =>  (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs)
     /* 46613 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 46616 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 46618 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 46620 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 46622 */       GIR_RootConstrainSelectedInstOperands,
     /* 46623 */       // GIR_Coverage, 1567,
     /* 46623 */       GIR_EraseRootFromParent_Done,
     /* 46624 */     // Label 1205: @46624
     /* 46624 */     GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(46656), // Rule ID 1568 //
     /* 46629 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46632 */       // MIs[0] Operand 1
     /* 46632 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 46637 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46641 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46645 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETUGT:{ *:[Other] })  =>  (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs)
     /* 46645 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 46648 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 46650 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 46652 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 46654 */       GIR_RootConstrainSelectedInstOperands,
     /* 46655 */       // GIR_Coverage, 1568,
     /* 46655 */       GIR_EraseRootFromParent_Done,
     /* 46656 */     // Label 1206: @46656
     /* 46656 */     GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(46712), // Rule ID 1569 //
     /* 46661 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46664 */       // MIs[0] Operand 1
     /* 46664 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 46669 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46673 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46677 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), 1:{ *:[i32] })
     /* 46677 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46680 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 46684 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46689 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46693 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46697 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46699 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46702 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46704 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46707 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46710 */       GIR_RootConstrainSelectedInstOperands,
     /* 46711 */       // GIR_Coverage, 1569,
     /* 46711 */       GIR_EraseRootFromParent_Done,
     /* 46712 */     // Label 1207: @46712
     /* 46712 */     GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(46768), // Rule ID 1570 //
     /* 46717 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips3_HasStdEnc_IsGP64bit_NotInMicroMips),
     /* 46720 */       // MIs[0] Operand 1
     /* 46720 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 46725 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46729 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 46733 */       // (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] })  =>  (XORi:{ *:[i32] } (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), 1:{ *:[i32] })
     /* 46733 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46736 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 46740 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46745 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46749 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46753 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46755 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi),
     /* 46758 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 46760 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46763 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46766 */       GIR_RootConstrainSelectedInstOperands,
     /* 46767 */       // GIR_Coverage, 1570,
     /* 46767 */       GIR_EraseRootFromParent_Done,
     /* 46768 */     // Label 1208: @46768
     /* 46768 */     GIM_Reject,
     /* 46769 */   // Label 1200: @46769
     /* 46769 */   GIM_Reject,
     /* 46770 */   // Label 1188: @46770
     /* 46770 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(47806),
     /* 46775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 46778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 46781 */     GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(46841), // Rule ID 1886 //
     /* 46786 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 46789 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46793 */       // MIs[0] Operand 1
     /* 46793 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 46798 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46802 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46806 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] })  =>  (SltiuCCRxImmX16:{ *:[i32] } (XorRxRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs), 1:{ *:[i32] })
     /* 46806 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46809 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /* 46813 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46818 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46822 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46826 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46828 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SltiuCCRxImmX16),
     /* 46831 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[cc]
     /* 46833 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46836 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 46839 */       GIR_RootConstrainSelectedInstOperands,
     /* 46840 */       // GIR_Coverage, 1886,
     /* 46840 */       GIR_EraseRootFromParent_Done,
     /* 46841 */     // Label 1210: @46841
     /* 46841 */     GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(46918), // Rule ID 1888 //
     /* 46846 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 46849 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46853 */       // MIs[0] Operand 1
     /* 46853 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 46858 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46862 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46866 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETGE:{ *:[Other] })  =>  (XorRxRxRy16:{ *:[i32] } (SltCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs), (LiRxImmX16:{ *:[i32] } 1:{ *:[i32] }))
     /* 46866 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 46869 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::LiRxImmX16),
     /* 46873 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46878 */       GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 46881 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 46883 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46886 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SltCCRxRy16),
     /* 46890 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46895 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 46899 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 46903 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 46905 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /* 46908 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rz]
     /* 46910 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 46913 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 46916 */       GIR_RootConstrainSelectedInstOperands,
     /* 46917 */       // GIR_Coverage, 1888,
     /* 46917 */       GIR_EraseRootFromParent_Done,
     /* 46918 */     // Label 1211: @46918
     /* 46918 */     GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(46954), // Rule ID 1890 //
     /* 46923 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 46926 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46930 */       // MIs[0] Operand 1
     /* 46930 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 46935 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46939 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46943 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETGT:{ *:[Other] })  =>  (SltCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rhs, CPU16Regs:{ *:[i32] }:$lhs)
     /* 46943 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SltCCRxRy16),
     /* 46946 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[cc]
     /* 46948 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 46950 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 46952 */       GIR_RootConstrainSelectedInstOperands,
     /* 46953 */       // GIR_Coverage, 1890,
     /* 46953 */       GIR_EraseRootFromParent_Done,
     /* 46954 */     // Label 1212: @46954
     /* 46954 */     GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(47031), // Rule ID 1891 //
     /* 46959 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 46962 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46966 */       // MIs[0] Operand 1
     /* 46966 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 46971 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46975 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 46979 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETLE:{ *:[Other] })  =>  (XorRxRxRy16:{ *:[i32] } (SltCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rhs, CPU16Regs:{ *:[i32] }:$lhs), (LiRxImm16:{ *:[i32] } 1:{ *:[i32] }))
     /* 46979 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 46982 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::LiRxImm16),
     /* 46986 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 46991 */       GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 46994 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 46996 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 46999 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SltCCRxRy16),
     /* 47003 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47008 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47012 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47016 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47018 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /* 47021 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rz]
     /* 47023 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47026 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 47029 */       GIR_RootConstrainSelectedInstOperands,
     /* 47030 */       // GIR_Coverage, 1891,
     /* 47030 */       GIR_EraseRootFromParent_Done,
     /* 47031 */     // Label 1213: @47031
     /* 47031 */     GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(47067), // Rule ID 1892 //
     /* 47036 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 47039 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47043 */       // MIs[0] Operand 1
     /* 47043 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 47048 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47052 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47056 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETLT:{ *:[Other] })  =>  (SltCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry)
     /* 47056 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SltCCRxRy16),
     /* 47059 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[cc]
     /* 47061 */       GIR_RootToRootCopy, /*OpIdx*/2, // rx
     /* 47063 */       GIR_RootToRootCopy, /*OpIdx*/3, // ry
     /* 47065 */       GIR_RootConstrainSelectedInstOperands,
     /* 47066 */       // GIR_Coverage, 1892,
     /* 47066 */       GIR_EraseRootFromParent_Done,
     /* 47067 */     // Label 1214: @47067
     /* 47067 */     GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(47144), // Rule ID 1894 //
     /* 47072 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 47075 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47079 */       // MIs[0] Operand 1
     /* 47079 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 47084 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47088 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47092 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETNE:{ *:[Other] })  =>  (SltuCCRxRy16:{ *:[i32] } (LiRxImmX16:{ *:[i32] } 0:{ *:[i32] }), (XorRxRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs))
     /* 47092 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 47095 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /* 47099 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47104 */       GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47108 */       GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47112 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 47114 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47117 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::LiRxImmX16),
     /* 47121 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47126 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 47129 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47131 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SltuCCRxRy16),
     /* 47134 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[cc]
     /* 47136 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47139 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 47142 */       GIR_RootConstrainSelectedInstOperands,
     /* 47143 */       // GIR_Coverage, 1894,
     /* 47143 */       GIR_EraseRootFromParent_Done,
     /* 47144 */     // Label 1215: @47144
     /* 47144 */     GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(47221), // Rule ID 1895 //
     /* 47149 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 47152 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47156 */       // MIs[0] Operand 1
     /* 47156 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 47161 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47165 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47169 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] })  =>  (XorRxRxRy16:{ *:[i32] } (SltuCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs), (LiRxImmX16:{ *:[i32] } 1:{ *:[i32] }))
     /* 47169 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 47172 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::LiRxImmX16),
     /* 47176 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47181 */       GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 47184 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 47186 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47189 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SltuCCRxRy16),
     /* 47193 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47198 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47202 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47206 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47208 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /* 47211 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rz]
     /* 47213 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47216 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 47219 */       GIR_RootConstrainSelectedInstOperands,
     /* 47220 */       // GIR_Coverage, 1895,
     /* 47220 */       GIR_EraseRootFromParent_Done,
     /* 47221 */     // Label 1216: @47221
     /* 47221 */     GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(47257), // Rule ID 1896 //
     /* 47226 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 47229 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47233 */       // MIs[0] Operand 1
     /* 47233 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 47238 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47242 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47246 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETUGT:{ *:[Other] })  =>  (SltuCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rhs, CPU16Regs:{ *:[i32] }:$lhs)
     /* 47246 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SltuCCRxRy16),
     /* 47249 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[cc]
     /* 47251 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 47253 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 47255 */       GIR_RootConstrainSelectedInstOperands,
     /* 47256 */       // GIR_Coverage, 1896,
     /* 47256 */       GIR_EraseRootFromParent_Done,
     /* 47257 */     // Label 1217: @47257
     /* 47257 */     GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(47334), // Rule ID 1897 //
     /* 47262 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 47265 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47269 */       // MIs[0] Operand 1
     /* 47269 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 47274 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47278 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47282 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$lhs, CPU16Regs:{ *:[i32] }:$rhs, SETULE:{ *:[Other] })  =>  (XorRxRxRy16:{ *:[i32] } (SltuCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rhs, CPU16Regs:{ *:[i32] }:$lhs), (LiRxImmX16:{ *:[i32] } 1:{ *:[i32] }))
     /* 47282 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 47285 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::LiRxImmX16),
     /* 47289 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47294 */       GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 47297 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 47299 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47302 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SltuCCRxRy16),
     /* 47306 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47311 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47315 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47319 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47321 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XorRxRxRy16),
     /* 47324 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rz]
     /* 47326 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47329 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 47332 */       GIR_RootConstrainSelectedInstOperands,
     /* 47333 */       // GIR_Coverage, 1897,
     /* 47333 */       GIR_EraseRootFromParent_Done,
     /* 47334 */     // Label 1218: @47334
     /* 47334 */     GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(47370), // Rule ID 1898 //
     /* 47339 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 47342 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47346 */       // MIs[0] Operand 1
     /* 47346 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 47351 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47355 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 47359 */       // (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry, SETULT:{ *:[Other] })  =>  (SltuCCRxRy16:{ *:[i32] } CPU16Regs:{ *:[i32] }:$rx, CPU16Regs:{ *:[i32] }:$ry)
     /* 47359 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SltuCCRxRy16),
     /* 47362 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[cc]
     /* 47364 */       GIR_RootToRootCopy, /*OpIdx*/2, // rx
     /* 47366 */       GIR_RootToRootCopy, /*OpIdx*/3, // ry
     /* 47368 */       GIR_RootConstrainSelectedInstOperands,
     /* 47369 */       // GIR_Coverage, 1898,
     /* 47369 */       GIR_EraseRootFromParent_Done,
     /* 47370 */     // Label 1219: @47370
     /* 47370 */     GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(47430), // Rule ID 2210 //
     /* 47375 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47378 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47382 */       // MIs[0] Operand 1
     /* 47382 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 47387 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47391 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47395 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] })  =>  (SLTiu_MM:{ *:[i32] } (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), 1:{ *:[i32] })
     /* 47395 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47398 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 47402 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47407 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47411 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47415 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47417 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTiu_MM),
     /* 47420 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 47422 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47425 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 47428 */       GIR_RootConstrainSelectedInstOperands,
     /* 47429 */       // GIR_Coverage, 2210,
     /* 47429 */       GIR_EraseRootFromParent_Done,
     /* 47430 */     // Label 1220: @47430
     /* 47430 */     GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(47493), // Rule ID 2211 //
     /* 47435 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47438 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47442 */       // MIs[0] Operand 1
     /* 47442 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 47447 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47451 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47455 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] })  =>  (SLTu_MM:{ *:[i32] } ZERO:{ *:[i32] }, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs))
     /* 47455 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47458 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 47462 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47467 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47471 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47475 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47477 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 47480 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 47482 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 47488 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47491 */       GIR_RootConstrainSelectedInstOperands,
     /* 47492 */       // GIR_Coverage, 2211,
     /* 47492 */       GIR_EraseRootFromParent_Done,
     /* 47493 */     // Label 1221: @47493
     /* 47493 */     GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(47553), // Rule ID 2212 //
     /* 47498 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47501 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47505 */       // MIs[0] Operand 1
     /* 47505 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 47510 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47514 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47518 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] })  =>  (XORi_MM:{ *:[i32] } (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), 1:{ *:[i32] })
     /* 47518 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47521 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 47525 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47530 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47534 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47538 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47540 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi_MM),
     /* 47543 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 47545 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47548 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 47551 */       GIR_RootConstrainSelectedInstOperands,
     /* 47552 */       // GIR_Coverage, 2212,
     /* 47552 */       GIR_EraseRootFromParent_Done,
     /* 47553 */     // Label 1222: @47553
     /* 47553 */     GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(47613), // Rule ID 2213 //
     /* 47558 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47561 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47565 */       // MIs[0] Operand 1
     /* 47565 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 47570 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47574 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47578 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] })  =>  (XORi_MM:{ *:[i32] } (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), 1:{ *:[i32] })
     /* 47578 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47581 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 47585 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47590 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47594 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47598 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47600 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi_MM),
     /* 47603 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 47605 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47608 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 47611 */       GIR_RootConstrainSelectedInstOperands,
     /* 47612 */       // GIR_Coverage, 2213,
     /* 47612 */       GIR_EraseRootFromParent_Done,
     /* 47613 */     // Label 1223: @47613
     /* 47613 */     GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(47649), // Rule ID 2214 //
     /* 47618 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47621 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47625 */       // MIs[0] Operand 1
     /* 47625 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 47630 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47634 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47638 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGT:{ *:[Other] })  =>  (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs)
     /* 47638 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 47641 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 47643 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 47645 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 47647 */       GIR_RootConstrainSelectedInstOperands,
     /* 47648 */       // GIR_Coverage, 2214,
     /* 47648 */       GIR_EraseRootFromParent_Done,
     /* 47649 */     // Label 1224: @47649
     /* 47649 */     GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(47685), // Rule ID 2215 //
     /* 47654 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47657 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47661 */       // MIs[0] Operand 1
     /* 47661 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 47666 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47670 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47674 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGT:{ *:[Other] })  =>  (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs)
     /* 47674 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 47677 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 47679 */       GIR_RootToRootCopy, /*OpIdx*/3, // rhs
     /* 47681 */       GIR_RootToRootCopy, /*OpIdx*/2, // lhs
     /* 47683 */       GIR_RootConstrainSelectedInstOperands,
     /* 47684 */       // GIR_Coverage, 2215,
     /* 47684 */       GIR_EraseRootFromParent_Done,
     /* 47685 */     // Label 1225: @47685
     /* 47685 */     GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(47745), // Rule ID 2216 //
     /* 47690 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47693 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47697 */       // MIs[0] Operand 1
     /* 47697 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 47702 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47706 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47710 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] })  =>  (XORi_MM:{ *:[i32] } (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), 1:{ *:[i32] })
     /* 47710 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47713 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 47717 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47722 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47726 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47730 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47732 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi_MM),
     /* 47735 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 47737 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47740 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 47743 */       GIR_RootConstrainSelectedInstOperands,
     /* 47744 */       // GIR_Coverage, 2216,
     /* 47744 */       GIR_EraseRootFromParent_Done,
     /* 47745 */     // Label 1226: @47745
     /* 47745 */     GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(47805), // Rule ID 2217 //
     /* 47750 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 47753 */       GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47757 */       // MIs[0] Operand 1
     /* 47757 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 47762 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47766 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 47770 */       // (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] })  =>  (XORi_MM:{ *:[i32] } (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), 1:{ *:[i32] })
     /* 47770 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 47773 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 47777 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 47782 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 47786 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 47790 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 47792 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::XORi_MM),
     /* 47795 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rt]
     /* 47797 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 47800 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 47803 */       GIR_RootConstrainSelectedInstOperands,
     /* 47804 */       // GIR_Coverage, 2217,
     /* 47804 */       GIR_EraseRootFromParent_Done,
     /* 47805 */     // Label 1227: @47805
     /* 47805 */     GIM_Reject,
     /* 47806 */   // Label 1209: @47806
     /* 47806 */   GIM_Reject,
     /* 47807 */ // Label 1163: @47807
     /* 47807 */ GIM_Reject,
     /* 47808 */ // Label 42: @47808
     /* 47808 */ GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(49513),
     /* 47813 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 47816 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1231*/ GIMT_Encode4(48311),
     /* 47827 */   /*GILLT_s32*//*Label 1229*/ GIMT_Encode4(47835),
     /* 47831 */   /*GILLT_s64*//*Label 1230*/ GIMT_Encode4(48073),
     /* 47835 */   // Label 1229: @47835
     /* 47835 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(48072),
     /* 47840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 47843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGRCCRegClassID),
     /* 47847 */     GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(47879), // Rule ID 312 //
     /* 47852 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 47855 */       // MIs[0] Operand 1
     /* 47855 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 47860 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47864 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47868 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETUO:{ *:[Other] })  =>  (CMP_UN_S:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 47868 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_S),
     /* 47871 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 47873 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 47875 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 47877 */       GIR_RootConstrainSelectedInstOperands,
     /* 47878 */       // GIR_Coverage, 312,
     /* 47878 */       GIR_EraseRootFromParent_Done,
     /* 47879 */     // Label 1233: @47879
     /* 47879 */     GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(47911), // Rule ID 313 //
     /* 47884 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 47887 */       // MIs[0] Operand 1
     /* 47887 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 47892 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47896 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47900 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETOEQ:{ *:[Other] })  =>  (CMP_EQ_S:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 47900 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_S),
     /* 47903 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 47905 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 47907 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 47909 */       GIR_RootConstrainSelectedInstOperands,
     /* 47910 */       // GIR_Coverage, 313,
     /* 47910 */       GIR_EraseRootFromParent_Done,
     /* 47911 */     // Label 1234: @47911
     /* 47911 */     GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(47943), // Rule ID 314 //
     /* 47916 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 47919 */       // MIs[0] Operand 1
     /* 47919 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 47924 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47928 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47932 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETUEQ:{ *:[Other] })  =>  (CMP_UEQ_S:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 47932 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_S),
     /* 47935 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 47937 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 47939 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 47941 */       GIR_RootConstrainSelectedInstOperands,
     /* 47942 */       // GIR_Coverage, 314,
     /* 47942 */       GIR_EraseRootFromParent_Done,
     /* 47943 */     // Label 1235: @47943
     /* 47943 */     GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(47975), // Rule ID 315 //
     /* 47948 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 47951 */       // MIs[0] Operand 1
     /* 47951 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 47956 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47960 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47964 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETOLT:{ *:[Other] })  =>  (CMP_LT_S:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 47964 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LT_S),
     /* 47967 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 47969 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 47971 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 47973 */       GIR_RootConstrainSelectedInstOperands,
     /* 47974 */       // GIR_Coverage, 315,
     /* 47974 */       GIR_EraseRootFromParent_Done,
     /* 47975 */     // Label 1236: @47975
     /* 47975 */     GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(48007), // Rule ID 316 //
     /* 47980 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 47983 */       // MIs[0] Operand 1
     /* 47983 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 47988 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47992 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 47996 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETULT:{ *:[Other] })  =>  (CMP_ULT_S:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 47996 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULT_S),
     /* 47999 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48001 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48003 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48005 */       GIR_RootConstrainSelectedInstOperands,
     /* 48006 */       // GIR_Coverage, 316,
     /* 48006 */       GIR_EraseRootFromParent_Done,
     /* 48007 */     // Label 1237: @48007
     /* 48007 */     GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(48039), // Rule ID 317 //
     /* 48012 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48015 */       // MIs[0] Operand 1
     /* 48015 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 48020 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48024 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48028 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETOLE:{ *:[Other] })  =>  (CMP_LE_S:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48028 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LE_S),
     /* 48031 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48033 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48035 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48037 */       GIR_RootConstrainSelectedInstOperands,
     /* 48038 */       // GIR_Coverage, 317,
     /* 48038 */       GIR_EraseRootFromParent_Done,
     /* 48039 */     // Label 1238: @48039
     /* 48039 */     GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(48071), // Rule ID 318 //
     /* 48044 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48047 */       // MIs[0] Operand 1
     /* 48047 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 48052 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48056 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48060 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETULE:{ *:[Other] })  =>  (CMP_ULE_S:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48060 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULE_S),
     /* 48063 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48065 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48067 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48069 */       GIR_RootConstrainSelectedInstOperands,
     /* 48070 */       // GIR_Coverage, 318,
     /* 48070 */       GIR_EraseRootFromParent_Done,
     /* 48071 */     // Label 1239: @48071
     /* 48071 */     GIM_Reject,
     /* 48072 */   // Label 1232: @48072
     /* 48072 */   GIM_Reject,
     /* 48073 */   // Label 1230: @48073
     /* 48073 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(48310),
     /* 48078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 48081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGRCCRegClassID),
     /* 48085 */     GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(48117), // Rule ID 319 //
     /* 48090 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48093 */       // MIs[0] Operand 1
     /* 48093 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 48098 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48102 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48106 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETUO:{ *:[Other] })  =>  (CMP_UN_D:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48106 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_D),
     /* 48109 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48111 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48113 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48115 */       GIR_RootConstrainSelectedInstOperands,
     /* 48116 */       // GIR_Coverage, 319,
     /* 48116 */       GIR_EraseRootFromParent_Done,
     /* 48117 */     // Label 1241: @48117
     /* 48117 */     GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(48149), // Rule ID 320 //
     /* 48122 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48125 */       // MIs[0] Operand 1
     /* 48125 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 48130 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48134 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48138 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETOEQ:{ *:[Other] })  =>  (CMP_EQ_D:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48138 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_D),
     /* 48141 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48143 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48145 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48147 */       GIR_RootConstrainSelectedInstOperands,
     /* 48148 */       // GIR_Coverage, 320,
     /* 48148 */       GIR_EraseRootFromParent_Done,
     /* 48149 */     // Label 1242: @48149
     /* 48149 */     GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(48181), // Rule ID 321 //
     /* 48154 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48157 */       // MIs[0] Operand 1
     /* 48157 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 48162 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48166 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48170 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETUEQ:{ *:[Other] })  =>  (CMP_UEQ_D:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48170 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_D),
     /* 48173 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48175 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48177 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48179 */       GIR_RootConstrainSelectedInstOperands,
     /* 48180 */       // GIR_Coverage, 321,
     /* 48180 */       GIR_EraseRootFromParent_Done,
     /* 48181 */     // Label 1243: @48181
     /* 48181 */     GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(48213), // Rule ID 322 //
     /* 48186 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48189 */       // MIs[0] Operand 1
     /* 48189 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 48194 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48198 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48202 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETOLT:{ *:[Other] })  =>  (CMP_LT_D:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48202 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LT_D),
     /* 48205 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48207 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48209 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48211 */       GIR_RootConstrainSelectedInstOperands,
     /* 48212 */       // GIR_Coverage, 322,
     /* 48212 */       GIR_EraseRootFromParent_Done,
     /* 48213 */     // Label 1244: @48213
     /* 48213 */     GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(48245), // Rule ID 323 //
     /* 48218 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48221 */       // MIs[0] Operand 1
     /* 48221 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 48226 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48230 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48234 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETULT:{ *:[Other] })  =>  (CMP_ULT_D:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48234 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULT_D),
     /* 48237 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48239 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48241 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48243 */       GIR_RootConstrainSelectedInstOperands,
     /* 48244 */       // GIR_Coverage, 323,
     /* 48244 */       GIR_EraseRootFromParent_Done,
     /* 48245 */     // Label 1245: @48245
     /* 48245 */     GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(48277), // Rule ID 324 //
     /* 48250 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48253 */       // MIs[0] Operand 1
     /* 48253 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 48258 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48262 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48266 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETOLE:{ *:[Other] })  =>  (CMP_LE_D:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48266 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LE_D),
     /* 48269 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48271 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48273 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48275 */       GIR_RootConstrainSelectedInstOperands,
     /* 48276 */       // GIR_Coverage, 324,
     /* 48276 */       GIR_EraseRootFromParent_Done,
     /* 48277 */     // Label 1246: @48277
     /* 48277 */     GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(48309), // Rule ID 325 //
     /* 48282 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 48285 */       // MIs[0] Operand 1
     /* 48285 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 48290 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48294 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48298 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETULE:{ *:[Other] })  =>  (CMP_ULE_D:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48298 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULE_D),
     /* 48301 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48303 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48305 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48307 */       GIR_RootConstrainSelectedInstOperands,
     /* 48308 */       // GIR_Coverage, 325,
     /* 48308 */       GIR_EraseRootFromParent_Done,
     /* 48309 */     // Label 1247: @48309
     /* 48309 */     GIM_Reject,
     /* 48310 */   // Label 1240: @48310
     /* 48310 */   GIM_Reject,
     /* 48311 */   // Label 1231: @48311
     /* 48311 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1250*/ GIMT_Encode4(48806),
     /* 48322 */   /*GILLT_s32*//*Label 1248*/ GIMT_Encode4(48330),
     /* 48326 */   /*GILLT_s64*//*Label 1249*/ GIMT_Encode4(48568),
     /* 48330 */   // Label 1248: @48330
     /* 48330 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(48567),
     /* 48335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 48338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGRCCRegClassID),
     /* 48342 */     GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(48374), // Rule ID 1193 //
     /* 48347 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48350 */       // MIs[0] Operand 1
     /* 48350 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 48355 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48359 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48363 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETUO:{ *:[Other] })  =>  (CMP_UN_S_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48363 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_S_MMR6),
     /* 48366 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48368 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48370 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48372 */       GIR_RootConstrainSelectedInstOperands,
     /* 48373 */       // GIR_Coverage, 1193,
     /* 48373 */       GIR_EraseRootFromParent_Done,
     /* 48374 */     // Label 1252: @48374
     /* 48374 */     GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(48406), // Rule ID 1194 //
     /* 48379 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48382 */       // MIs[0] Operand 1
     /* 48382 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 48387 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48391 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48395 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETOEQ:{ *:[Other] })  =>  (CMP_EQ_S_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48395 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_S_MMR6),
     /* 48398 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48400 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48402 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48404 */       GIR_RootConstrainSelectedInstOperands,
     /* 48405 */       // GIR_Coverage, 1194,
     /* 48405 */       GIR_EraseRootFromParent_Done,
     /* 48406 */     // Label 1253: @48406
     /* 48406 */     GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(48438), // Rule ID 1195 //
     /* 48411 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48414 */       // MIs[0] Operand 1
     /* 48414 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 48419 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48423 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48427 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETUEQ:{ *:[Other] })  =>  (CMP_UEQ_S_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48427 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_S_MMR6),
     /* 48430 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48432 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48434 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48436 */       GIR_RootConstrainSelectedInstOperands,
     /* 48437 */       // GIR_Coverage, 1195,
     /* 48437 */       GIR_EraseRootFromParent_Done,
     /* 48438 */     // Label 1254: @48438
     /* 48438 */     GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(48470), // Rule ID 1196 //
     /* 48443 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48446 */       // MIs[0] Operand 1
     /* 48446 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 48451 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48455 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48459 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETOLT:{ *:[Other] })  =>  (CMP_LT_S_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48459 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LT_S_MMR6),
     /* 48462 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48464 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48466 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48468 */       GIR_RootConstrainSelectedInstOperands,
     /* 48469 */       // GIR_Coverage, 1196,
     /* 48469 */       GIR_EraseRootFromParent_Done,
     /* 48470 */     // Label 1255: @48470
     /* 48470 */     GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(48502), // Rule ID 1197 //
     /* 48475 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48478 */       // MIs[0] Operand 1
     /* 48478 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 48483 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48487 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48491 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETULT:{ *:[Other] })  =>  (CMP_ULT_S_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48491 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULT_S_MMR6),
     /* 48494 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48496 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48498 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48500 */       GIR_RootConstrainSelectedInstOperands,
     /* 48501 */       // GIR_Coverage, 1197,
     /* 48501 */       GIR_EraseRootFromParent_Done,
     /* 48502 */     // Label 1256: @48502
     /* 48502 */     GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(48534), // Rule ID 1198 //
     /* 48507 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48510 */       // MIs[0] Operand 1
     /* 48510 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 48515 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48519 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48523 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETOLE:{ *:[Other] })  =>  (CMP_LE_S_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48523 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LE_S_MMR6),
     /* 48526 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48528 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48530 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48532 */       GIR_RootConstrainSelectedInstOperands,
     /* 48533 */       // GIR_Coverage, 1198,
     /* 48533 */       GIR_EraseRootFromParent_Done,
     /* 48534 */     // Label 1257: @48534
     /* 48534 */     GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(48566), // Rule ID 1199 //
     /* 48539 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48542 */       // MIs[0] Operand 1
     /* 48542 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 48547 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48551 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 48555 */       // (setcc:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft, SETULE:{ *:[Other] })  =>  (CMP_ULE_S_MMR6:{ *:[i32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 48555 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULE_S_MMR6),
     /* 48558 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48560 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48562 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48564 */       GIR_RootConstrainSelectedInstOperands,
     /* 48565 */       // GIR_Coverage, 1199,
     /* 48565 */       GIR_EraseRootFromParent_Done,
     /* 48566 */     // Label 1258: @48566
     /* 48566 */     GIM_Reject,
     /* 48567 */   // Label 1251: @48567
     /* 48567 */   GIM_Reject,
     /* 48568 */   // Label 1249: @48568
     /* 48568 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(48805),
     /* 48573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 48576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGRCCRegClassID),
     /* 48580 */     GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(48612), // Rule ID 1200 //
     /* 48585 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48588 */       // MIs[0] Operand 1
     /* 48588 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 48593 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48597 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48601 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETUO:{ *:[Other] })  =>  (CMP_UN_D_MMR6:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48601 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_D_MMR6),
     /* 48604 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48606 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48608 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48610 */       GIR_RootConstrainSelectedInstOperands,
     /* 48611 */       // GIR_Coverage, 1200,
     /* 48611 */       GIR_EraseRootFromParent_Done,
     /* 48612 */     // Label 1260: @48612
     /* 48612 */     GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(48644), // Rule ID 1201 //
     /* 48617 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48620 */       // MIs[0] Operand 1
     /* 48620 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 48625 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48629 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48633 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETOEQ:{ *:[Other] })  =>  (CMP_EQ_D_MMR6:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48633 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_D_MMR6),
     /* 48636 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48638 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48640 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48642 */       GIR_RootConstrainSelectedInstOperands,
     /* 48643 */       // GIR_Coverage, 1201,
     /* 48643 */       GIR_EraseRootFromParent_Done,
     /* 48644 */     // Label 1261: @48644
     /* 48644 */     GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(48676), // Rule ID 1202 //
     /* 48649 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48652 */       // MIs[0] Operand 1
     /* 48652 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 48657 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48661 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48665 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETUEQ:{ *:[Other] })  =>  (CMP_UEQ_D_MMR6:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48665 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_D_MMR6),
     /* 48668 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48670 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48672 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48674 */       GIR_RootConstrainSelectedInstOperands,
     /* 48675 */       // GIR_Coverage, 1202,
     /* 48675 */       GIR_EraseRootFromParent_Done,
     /* 48676 */     // Label 1262: @48676
     /* 48676 */     GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(48708), // Rule ID 1203 //
     /* 48681 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48684 */       // MIs[0] Operand 1
     /* 48684 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 48689 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48693 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48697 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETOLT:{ *:[Other] })  =>  (CMP_LT_D_MMR6:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48697 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LT_D_MMR6),
     /* 48700 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48702 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48704 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48706 */       GIR_RootConstrainSelectedInstOperands,
     /* 48707 */       // GIR_Coverage, 1203,
     /* 48707 */       GIR_EraseRootFromParent_Done,
     /* 48708 */     // Label 1263: @48708
     /* 48708 */     GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(48740), // Rule ID 1204 //
     /* 48713 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48716 */       // MIs[0] Operand 1
     /* 48716 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 48721 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48725 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48729 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETULT:{ *:[Other] })  =>  (CMP_ULT_D_MMR6:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48729 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULT_D_MMR6),
     /* 48732 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48734 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48736 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48738 */       GIR_RootConstrainSelectedInstOperands,
     /* 48739 */       // GIR_Coverage, 1204,
     /* 48739 */       GIR_EraseRootFromParent_Done,
     /* 48740 */     // Label 1264: @48740
     /* 48740 */     GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(48772), // Rule ID 1205 //
     /* 48745 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48748 */       // MIs[0] Operand 1
     /* 48748 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 48753 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48757 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48761 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETOLE:{ *:[Other] })  =>  (CMP_LE_D_MMR6:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48761 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_LE_D_MMR6),
     /* 48764 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48766 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48768 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48770 */       GIR_RootConstrainSelectedInstOperands,
     /* 48771 */       // GIR_Coverage, 1205,
     /* 48771 */       GIR_EraseRootFromParent_Done,
     /* 48772 */     // Label 1265: @48772
     /* 48772 */     GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(48804), // Rule ID 1206 //
     /* 48777 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 48780 */       // MIs[0] Operand 1
     /* 48780 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 48785 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48789 */       GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 48793 */       // (setcc:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft, SETULE:{ *:[Other] })  =>  (CMP_ULE_D_MMR6:{ *:[i32] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 48793 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CMP_ULE_D_MMR6),
     /* 48796 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 48798 */       GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 48800 */       GIR_RootToRootCopy, /*OpIdx*/3, // ft
     /* 48802 */       GIR_RootConstrainSelectedInstOperands,
     /* 48803 */       // GIR_Coverage, 1206,
     /* 48803 */       GIR_EraseRootFromParent_Done,
     /* 48804 */     // Label 1266: @48804
     /* 48804 */     GIM_Reject,
     /* 48805 */   // Label 1259: @48805
     /* 48805 */   GIM_Reject,
     /* 48806 */   // Label 1250: @48806
     /* 48806 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1269*/ GIMT_Encode4(49159),
     /* 48817 */   /*GILLT_s32*//*Label 1267*/ GIMT_Encode4(48825),
     /* 48821 */   /*GILLT_s64*//*Label 1268*/ GIMT_Encode4(48992),
     /* 48825 */   // Label 1267: @48825
     /* 48825 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(48991),
     /* 48830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 48833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 48837 */     GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(48888), // Rule ID 1755 //
     /* 48842 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 48845 */       // MIs[0] Operand 1
     /* 48845 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 48850 */       // (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETONE:{ *:[Other] })  =>  (NOR:{ *:[i32] } (CMP_UEQ_S:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs), ZERO:{ *:[i32] })
     /* 48850 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 48853 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_S),
     /* 48857 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 48862 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 48866 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 48870 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 48872 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /* 48875 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 48877 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 48880 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 48886 */       GIR_RootConstrainSelectedInstOperands,
     /* 48887 */       // GIR_Coverage, 1755,
     /* 48887 */       GIR_EraseRootFromParent_Done,
     /* 48888 */     // Label 1271: @48888
     /* 48888 */     GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(48939), // Rule ID 1756 //
     /* 48893 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 48896 */       // MIs[0] Operand 1
     /* 48896 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 48901 */       // (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETO:{ *:[Other] })  =>  (NOR:{ *:[i32] } (CMP_UN_S:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs), ZERO:{ *:[i32] })
     /* 48901 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 48904 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_S),
     /* 48908 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 48913 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 48917 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 48921 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 48923 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /* 48926 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 48928 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 48931 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 48937 */       GIR_RootConstrainSelectedInstOperands,
     /* 48938 */       // GIR_Coverage, 1756,
     /* 48938 */       GIR_EraseRootFromParent_Done,
     /* 48939 */     // Label 1272: @48939
     /* 48939 */     GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(48990), // Rule ID 1757 //
     /* 48944 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 48947 */       // MIs[0] Operand 1
     /* 48947 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 48952 */       // (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETUNE:{ *:[Other] })  =>  (NOR:{ *:[i32] } (CMP_EQ_S:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs), ZERO:{ *:[i32] })
     /* 48952 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 48955 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_S),
     /* 48959 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 48964 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 48968 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 48972 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 48974 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /* 48977 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 48979 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 48982 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 48988 */       GIR_RootConstrainSelectedInstOperands,
     /* 48989 */       // GIR_Coverage, 1757,
     /* 48989 */       GIR_EraseRootFromParent_Done,
     /* 48990 */     // Label 1273: @48990
     /* 48990 */     GIM_Reject,
     /* 48991 */   // Label 1270: @48991
     /* 48991 */   GIM_Reject,
     /* 48992 */   // Label 1268: @48992
     /* 48992 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(49158),
     /* 48997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 49000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49004 */     GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(49055), // Rule ID 1764 //
     /* 49009 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 49012 */       // MIs[0] Operand 1
     /* 49012 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 49017 */       // (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETONE:{ *:[Other] })  =>  (NOR:{ *:[i32] } (CMP_UEQ_D:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs), ZERO:{ *:[i32] })
     /* 49017 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49020 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_D),
     /* 49024 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49029 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49033 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49037 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49039 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /* 49042 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49044 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49047 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49053 */       GIR_RootConstrainSelectedInstOperands,
     /* 49054 */       // GIR_Coverage, 1764,
     /* 49054 */       GIR_EraseRootFromParent_Done,
     /* 49055 */     // Label 1275: @49055
     /* 49055 */     GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(49106), // Rule ID 1765 //
     /* 49060 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 49063 */       // MIs[0] Operand 1
     /* 49063 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 49068 */       // (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETO:{ *:[Other] })  =>  (NOR:{ *:[i32] } (CMP_UN_D:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs), ZERO:{ *:[i32] })
     /* 49068 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49071 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_D),
     /* 49075 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49080 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49084 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49088 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49090 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /* 49093 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49095 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49098 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49104 */       GIR_RootConstrainSelectedInstOperands,
     /* 49105 */       // GIR_Coverage, 1765,
     /* 49105 */       GIR_EraseRootFromParent_Done,
     /* 49106 */     // Label 1276: @49106
     /* 49106 */     GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(49157), // Rule ID 1766 //
     /* 49111 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 49114 */       // MIs[0] Operand 1
     /* 49114 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 49119 */       // (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETUNE:{ *:[Other] })  =>  (NOR:{ *:[i32] } (CMP_EQ_D:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs), ZERO:{ *:[i32] })
     /* 49119 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49122 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_D),
     /* 49126 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49131 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49135 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49139 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49141 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR),
     /* 49144 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49146 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49149 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49155 */       GIR_RootConstrainSelectedInstOperands,
     /* 49156 */       // GIR_Coverage, 1766,
     /* 49156 */       GIR_EraseRootFromParent_Done,
     /* 49157 */     // Label 1277: @49157
     /* 49157 */     GIM_Reject,
     /* 49158 */   // Label 1274: @49158
     /* 49158 */   GIM_Reject,
     /* 49159 */   // Label 1269: @49159
     /* 49159 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1280*/ GIMT_Encode4(49512),
     /* 49170 */   /*GILLT_s32*//*Label 1278*/ GIMT_Encode4(49178),
     /* 49174 */   /*GILLT_s64*//*Label 1279*/ GIMT_Encode4(49345),
     /* 49178 */   // Label 1278: @49178
     /* 49178 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(49344),
     /* 49183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 49186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49190 */     GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(49241), // Rule ID 2309 //
     /* 49195 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 49198 */       // MIs[0] Operand 1
     /* 49198 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 49203 */       // (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETONE:{ *:[Other] })  =>  (NOR_MMR6:{ *:[i32] } (CMP_UEQ_S_MMR6:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs), ZERO:{ *:[i32] })
     /* 49203 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49206 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_S_MMR6),
     /* 49210 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49215 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49219 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49223 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49225 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /* 49228 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49230 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49233 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49239 */       GIR_RootConstrainSelectedInstOperands,
     /* 49240 */       // GIR_Coverage, 2309,
     /* 49240 */       GIR_EraseRootFromParent_Done,
     /* 49241 */     // Label 1282: @49241
     /* 49241 */     GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(49292), // Rule ID 2310 //
     /* 49246 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 49249 */       // MIs[0] Operand 1
     /* 49249 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 49254 */       // (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETO:{ *:[Other] })  =>  (NOR_MMR6:{ *:[i32] } (CMP_UN_S_MMR6:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs), ZERO:{ *:[i32] })
     /* 49254 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49257 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_S_MMR6),
     /* 49261 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49266 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49270 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49274 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49276 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /* 49279 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49281 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49284 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49290 */       GIR_RootConstrainSelectedInstOperands,
     /* 49291 */       // GIR_Coverage, 2310,
     /* 49291 */       GIR_EraseRootFromParent_Done,
     /* 49292 */     // Label 1283: @49292
     /* 49292 */     GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(49343), // Rule ID 2311 //
     /* 49297 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 49300 */       // MIs[0] Operand 1
     /* 49300 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 49305 */       // (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETUNE:{ *:[Other] })  =>  (NOR_MMR6:{ *:[i32] } (CMP_EQ_S_MMR6:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs), ZERO:{ *:[i32] })
     /* 49305 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49308 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_S_MMR6),
     /* 49312 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49317 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49321 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49325 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49327 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /* 49330 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49332 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49335 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49341 */       GIR_RootConstrainSelectedInstOperands,
     /* 49342 */       // GIR_Coverage, 2311,
     /* 49342 */       GIR_EraseRootFromParent_Done,
     /* 49343 */     // Label 1284: @49343
     /* 49343 */     GIM_Reject,
     /* 49344 */   // Label 1281: @49344
     /* 49344 */   GIM_Reject,
     /* 49345 */   // Label 1279: @49345
     /* 49345 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(49511),
     /* 49350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 49353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49357 */     GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(49408), // Rule ID 2318 //
     /* 49362 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 49365 */       // MIs[0] Operand 1
     /* 49365 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 49370 */       // (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETONE:{ *:[Other] })  =>  (NOR_MMR6:{ *:[i32] } (CMP_UEQ_D_MMR6:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs), ZERO:{ *:[i32] })
     /* 49370 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49373 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UEQ_D_MMR6),
     /* 49377 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49382 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49386 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49390 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49392 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /* 49395 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49397 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49400 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49406 */       GIR_RootConstrainSelectedInstOperands,
     /* 49407 */       // GIR_Coverage, 2318,
     /* 49407 */       GIR_EraseRootFromParent_Done,
     /* 49408 */     // Label 1286: @49408
     /* 49408 */     GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(49459), // Rule ID 2319 //
     /* 49413 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 49416 */       // MIs[0] Operand 1
     /* 49416 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 49421 */       // (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETO:{ *:[Other] })  =>  (NOR_MMR6:{ *:[i32] } (CMP_UN_D_MMR6:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs), ZERO:{ *:[i32] })
     /* 49421 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49424 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_UN_D_MMR6),
     /* 49428 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49433 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49437 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49441 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49443 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /* 49446 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49448 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49451 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49457 */       GIR_RootConstrainSelectedInstOperands,
     /* 49458 */       // GIR_Coverage, 2319,
     /* 49458 */       GIR_EraseRootFromParent_Done,
     /* 49459 */     // Label 1287: @49459
     /* 49459 */     GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(49510), // Rule ID 2320 //
     /* 49464 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 49467 */       // MIs[0] Operand 1
     /* 49467 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 49472 */       // (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETUNE:{ *:[Other] })  =>  (NOR_MMR6:{ *:[i32] } (CMP_EQ_D_MMR6:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs), ZERO:{ *:[i32] })
     /* 49472 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 49475 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::CMP_EQ_D_MMR6),
     /* 49479 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 49484 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // lhs
     /* 49488 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rhs
     /* 49492 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 49494 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NOR_MMR6),
     /* 49497 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49499 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 49502 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(Mips::ZERO), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 49508 */       GIR_RootConstrainSelectedInstOperands,
     /* 49509 */       // GIR_Coverage, 2320,
     /* 49509 */       GIR_EraseRootFromParent_Done,
     /* 49510 */     // Label 1288: @49510
     /* 49510 */     GIM_Reject,
     /* 49511 */   // Label 1285: @49511
     /* 49511 */   GIM_Reject,
     /* 49512 */   // Label 1280: @49512
     /* 49512 */   GIM_Reject,
     /* 49513 */ // Label 1228: @49513
     /* 49513 */ GIM_Reject,
     /* 49514 */ // Label 43: @49514
     /* 49514 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 1295*/ GIMT_Encode4(61551),
     /* 49525 */ /*GILLT_s32*//*Label 1289*/ GIMT_Encode4(49557),
     /* 49529 */ /*GILLT_s64*//*Label 1290*/ GIMT_Encode4(56234), GIMT_Encode4(0),
     /* 49537 */ /*GILLT_v2s64*//*Label 1291*/ GIMT_Encode4(61261), GIMT_Encode4(0),
     /* 49545 */ /*GILLT_v4s32*//*Label 1292*/ GIMT_Encode4(61335),
     /* 49549 */ /*GILLT_v8s16*//*Label 1293*/ GIMT_Encode4(61409),
     /* 49553 */ /*GILLT_v16s8*//*Label 1294*/ GIMT_Encode4(61456),
     /* 49557 */ // Label 1289: @49557
     /* 49557 */ GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(49633), // Rule ID 1643 //
     /* 49562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 49565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 49568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 49571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 49574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49578 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 49582 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 49586 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 49590 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 49594 */   // MIs[1] Operand 1
     /* 49594 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 49599 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49604 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 49608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49616 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 49618 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 49618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 49621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49623 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 49625 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 49629 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 49631 */   GIR_RootConstrainSelectedInstOperands,
     /* 49632 */   // GIR_Coverage, 1643,
     /* 49632 */   GIR_EraseRootFromParent_Done,
     /* 49633 */ // Label 1296: @49633
     /* 49633 */ GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(49709), // Rule ID 1647 //
     /* 49638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 49641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 49644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 49647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 49650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49654 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 49658 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 49662 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 49666 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 49670 */   // MIs[1] Operand 1
     /* 49670 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 49675 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49680 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 49684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49688 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49692 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 49694 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 49694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_I),
     /* 49697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49699 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 49701 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 49705 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 49707 */   GIR_RootConstrainSelectedInstOperands,
     /* 49708 */   // GIR_Coverage, 1647,
     /* 49708 */   GIR_EraseRootFromParent_Done,
     /* 49709 */ // Label 1297: @49709
     /* 49709 */ GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(49785), // Rule ID 1675 //
     /* 49714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 49717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 49720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 49723 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 49726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49730 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 49734 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 49738 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 49742 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 49746 */   // MIs[1] Operand 1
     /* 49746 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 49751 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 49756 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 49760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49768 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 49770 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I64_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR64:{ *:[i64] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 49770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_I),
     /* 49773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49775 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 49777 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 49781 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 49783 */   GIR_RootConstrainSelectedInstOperands,
     /* 49784 */   // GIR_Coverage, 1675,
     /* 49784 */   GIR_EraseRootFromParent_Done,
     /* 49785 */ // Label 1298: @49785
     /* 49785 */ GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(49861), // Rule ID 1686 //
     /* 49790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 49793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 49796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 49799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 49802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49806 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 49810 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 49814 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 49818 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 49822 */   // MIs[1] Operand 1
     /* 49822 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 49827 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 49832 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 49836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49844 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 49846 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I64_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR64:{ *:[i64] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 49846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_I),
     /* 49849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 49851 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 49853 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 49857 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 49859 */   GIR_RootConstrainSelectedInstOperands,
     /* 49860 */   // GIR_Coverage, 1686,
     /* 49860 */   GIR_EraseRootFromParent_Done,
     /* 49861 */ // Label 1299: @49861
     /* 49861 */ GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(49937), // Rule ID 1699 //
     /* 49866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 49869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 49872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 49875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 49878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 49882 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 49886 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 49890 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 49894 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 49898 */   // MIs[1] Operand 1
     /* 49898 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 49903 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49908 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 49912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 49916 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 49920 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 49922 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR32:{ *:[i32] }:$lhs, FGR32:{ *:[f32] }:$F)
     /* 49922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 49925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 49927 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 49929 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 49933 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 49935 */   GIR_RootConstrainSelectedInstOperands,
     /* 49936 */   // GIR_Coverage, 1699,
     /* 49936 */   GIR_EraseRootFromParent_Done,
     /* 49937 */ // Label 1300: @49937
     /* 49937 */ GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(50013), // Rule ID 1702 //
     /* 49942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 49945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 49948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 49951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 49954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 49958 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 49962 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 49966 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 49970 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 49974 */   // MIs[1] Operand 1
     /* 49974 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 49979 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 49984 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 49988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 49992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 49996 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 49998 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR32:{ *:[i32] }:$lhs, FGR32:{ *:[f32] }:$F)
     /* 49998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_S),
     /* 50001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 50003 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50005 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50009 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50011 */   GIR_RootConstrainSelectedInstOperands,
     /* 50012 */   // GIR_Coverage, 1702,
     /* 50012 */   GIR_EraseRootFromParent_Done,
     /* 50013 */ // Label 1301: @50013
     /* 50013 */ GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(50089), // Rule ID 1712 //
     /* 50018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 50021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50034 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50038 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50042 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 50046 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 50050 */   // MIs[1] Operand 1
     /* 50050 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 50055 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 50060 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50072 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50074 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETEQ:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I64_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR64:{ *:[i64] }:$lhs, FGR32:{ *:[f32] }:$F)
     /* 50074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_S),
     /* 50077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 50079 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50081 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50085 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50087 */   GIR_RootConstrainSelectedInstOperands,
     /* 50088 */   // GIR_Coverage, 1712,
     /* 50088 */   GIR_EraseRootFromParent_Done,
     /* 50089 */ // Label 1302: @50089
     /* 50089 */ GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(50165), // Rule ID 1715 //
     /* 50094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 50097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50110 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50114 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50118 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 50122 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 50126 */   // MIs[1] Operand 1
     /* 50126 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 50131 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 50136 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50148 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50150 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETNE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I64_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR64:{ *:[i64] }:$lhs, FGR32:{ *:[f32] }:$F)
     /* 50150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_S),
     /* 50153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 50155 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50157 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50161 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50163 */   GIR_RootConstrainSelectedInstOperands,
     /* 50164 */   // GIR_Coverage, 1715,
     /* 50164 */   GIR_EraseRootFromParent_Done,
     /* 50165 */ // Label 1303: @50165
     /* 50165 */ GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(50241), // Rule ID 1880 //
     /* 50170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 50173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50186 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50190 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50194 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50198 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50202 */   // MIs[1] Operand 1
     /* 50202 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 50207 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50212 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50224 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50226 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelBeqZ:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$a)
     /* 50226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelBeqZ),
     /* 50229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 50231 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 50233 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 50235 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 50239 */   GIR_RootConstrainSelectedInstOperands,
     /* 50240 */   // GIR_Coverage, 1880,
     /* 50240 */   GIR_EraseRootFromParent_Done,
     /* 50241 */ // Label 1304: @50241
     /* 50241 */ GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(50317), // Rule ID 1883 //
     /* 50246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 50249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50255 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50262 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50266 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50270 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50274 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50278 */   // MIs[1] Operand 1
     /* 50278 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 50283 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50288 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 50300 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50302 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, 0:{ *:[i32] }, SETNE:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelBneZ:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$a)
     /* 50302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelBneZ),
     /* 50305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 50307 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 50309 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 50311 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 50315 */   GIR_RootConstrainSelectedInstOperands,
     /* 50316 */   // GIR_Coverage, 1883,
     /* 50316 */   GIR_EraseRootFromParent_Done,
     /* 50317 */ // Label 1305: @50317
     /* 50317 */ GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(50393), // Rule ID 2229 //
     /* 50322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 50325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50338 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50342 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50346 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50350 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50354 */   // MIs[1] Operand 1
     /* 50354 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 50359 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50364 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50376 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50378 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 50378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 50381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 50383 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50385 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50389 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50391 */   GIR_RootConstrainSelectedInstOperands,
     /* 50392 */   // GIR_Coverage, 2229,
     /* 50392 */   GIR_EraseRootFromParent_Done,
     /* 50393 */ // Label 1306: @50393
     /* 50393 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(50469), // Rule ID 2233 //
     /* 50398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotMips32r6_NotMips64r6),
     /* 50401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50414 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50418 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50422 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50426 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50430 */   // MIs[1] Operand 1
     /* 50430 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 50435 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50440 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50448 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50452 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50454 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 50454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_MM),
     /* 50457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 50459 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50461 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50465 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50467 */   GIR_RootConstrainSelectedInstOperands,
     /* 50468 */   // GIR_Coverage, 2233,
     /* 50468 */   GIR_EraseRootFromParent_Done,
     /* 50469 */ // Label 1307: @50469
     /* 50469 */ GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(50545), // Rule ID 2243 //
     /* 50474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 50477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50483 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50490 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50494 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50498 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50502 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50506 */   // MIs[1] Operand 1
     /* 50506 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 50511 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50516 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50528 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50530 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 50530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 50533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 50535 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50537 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50541 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50543 */   GIR_RootConstrainSelectedInstOperands,
     /* 50544 */   // GIR_Coverage, 2243,
     /* 50544 */   GIR_EraseRootFromParent_Done,
     /* 50545 */ // Label 1308: @50545
     /* 50545 */ GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(50621), // Rule ID 2247 //
     /* 50550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 50553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50566 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50570 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50574 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50578 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50582 */   // MIs[1] Operand 1
     /* 50582 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 50587 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50592 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50604 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50606 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$F)
     /* 50606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_MM),
     /* 50609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 50611 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50613 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50617 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50619 */   GIR_RootConstrainSelectedInstOperands,
     /* 50620 */   // GIR_Coverage, 2247,
     /* 50620 */   GIR_EraseRootFromParent_Done,
     /* 50621 */ // Label 1309: @50621
     /* 50621 */ GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(50697), // Rule ID 2277 //
     /* 50626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 50629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50642 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50646 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50650 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50654 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50658 */   // MIs[1] Operand 1
     /* 50658 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 50663 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50668 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50680 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50682 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR32:{ *:[i32] }:$lhs, FGR32:{ *:[f32] }:$F)
     /* 50682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S_MM),
     /* 50685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 50687 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50689 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50693 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50695 */   GIR_RootConstrainSelectedInstOperands,
     /* 50696 */   // GIR_Coverage, 2277,
     /* 50696 */   GIR_EraseRootFromParent_Done,
     /* 50697 */ // Label 1310: @50697
     /* 50697 */ GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(50773), // Rule ID 2280 //
     /* 50702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 50705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50718 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50722 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50726 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50730 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50734 */   // MIs[1] Operand 1
     /* 50734 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 50739 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50744 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 50748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 50756 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50758 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR32:{ *:[i32] }:$lhs, FGR32:{ *:[f32] }:$F)
     /* 50758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_S_MM),
     /* 50761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 50763 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50765 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50769 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50771 */   GIR_RootConstrainSelectedInstOperands,
     /* 50772 */   // GIR_Coverage, 2280,
     /* 50772 */   GIR_EraseRootFromParent_Done,
     /* 50773 */ // Label 1311: @50773
     /* 50773 */ GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(50871), // Rule ID 1634 //
     /* 50778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 50781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50794 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50798 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50802 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50806 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50810 */   // MIs[1] Operand 1
     /* 50810 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 50815 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50820 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50833 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50835 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 50835 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 50838 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 50842 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 50847 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50851 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 50855 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 50857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 50860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 50862 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 50867 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50869 */   GIR_RootConstrainSelectedInstOperands,
     /* 50870 */   // GIR_Coverage, 1634,
     /* 50870 */   GIR_EraseRootFromParent_Done,
     /* 50871 */ // Label 1312: @50871
     /* 50871 */ GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(50969), // Rule ID 1635 //
     /* 50876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 50879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50892 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50896 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50900 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 50904 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 50908 */   // MIs[1] Operand 1
     /* 50908 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 50913 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50918 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50931 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 50933 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 50933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 50936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 50940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 50945 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 50949 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 50953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 50955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 50958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 50960 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 50962 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 50965 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 50967 */   GIR_RootConstrainSelectedInstOperands,
     /* 50968 */   // GIR_Coverage, 1635,
     /* 50968 */   GIR_EraseRootFromParent_Done,
     /* 50969 */ // Label 1313: @50969
     /* 50969 */ GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(51067), // Rule ID 1638 //
     /* 50974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 50977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 50980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 50983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 50986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 50990 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 50994 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 50998 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 51002 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 51006 */   // MIs[1] Operand 1
     /* 51006 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 51011 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51016 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51029 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51031 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 51031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 51038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51043 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51047 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 51056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51058 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51063 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51065 */   GIR_RootConstrainSelectedInstOperands,
     /* 51066 */   // GIR_Coverage, 1638,
     /* 51066 */   GIR_EraseRootFromParent_Done,
     /* 51067 */ // Label 1314: @51067
     /* 51067 */ GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(51165), // Rule ID 1639 //
     /* 51072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51088 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51092 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51096 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 51100 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 51104 */   // MIs[1] Operand 1
     /* 51104 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 51109 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51114 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51123 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51127 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51129 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 51129 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51132 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 51136 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51141 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51145 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 51154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51156 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51161 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51163 */   GIR_RootConstrainSelectedInstOperands,
     /* 51164 */   // GIR_Coverage, 1639,
     /* 51164 */   GIR_EraseRootFromParent_Done,
     /* 51165 */ // Label 1315: @51165
     /* 51165 */ GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(51263), // Rule ID 1642 //
     /* 51170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51186 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51190 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51194 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 51198 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 51202 */   // MIs[1] Operand 1
     /* 51202 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 51207 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51212 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51225 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51227 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 51227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 51234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51239 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51243 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 51252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51254 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51259 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51261 */   GIR_RootConstrainSelectedInstOperands,
     /* 51262 */   // GIR_Coverage, 1642,
     /* 51262 */   GIR_EraseRootFromParent_Done,
     /* 51263 */ // Label 1316: @51263
     /* 51263 */ GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(51361), // Rule ID 1645 //
     /* 51268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51284 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51288 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51292 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 51296 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 51300 */   // MIs[1] Operand 1
     /* 51300 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 51305 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51310 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51323 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51325 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 51325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 51332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51337 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51341 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_I),
     /* 51350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51352 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51357 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51359 */   GIR_RootConstrainSelectedInstOperands,
     /* 51360 */   // GIR_Coverage, 1645,
     /* 51360 */   GIR_EraseRootFromParent_Done,
     /* 51361 */ // Label 1317: @51361
     /* 51361 */ GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(51459), // Rule ID 1656 //
     /* 51366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51382 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51386 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51390 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 51394 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 51398 */   // MIs[1] Operand 1
     /* 51398 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 51403 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51408 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51421 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51423 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 51423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 51430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51435 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51439 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 51448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51450 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51455 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51457 */   GIR_RootConstrainSelectedInstOperands,
     /* 51458 */   // GIR_Coverage, 1656,
     /* 51458 */   GIR_EraseRootFromParent_Done,
     /* 51459 */ // Label 1318: @51459
     /* 51459 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(51557), // Rule ID 1657 //
     /* 51464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51480 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51484 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51488 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 51492 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 51496 */   // MIs[1] Operand 1
     /* 51496 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 51501 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51506 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51519 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51521 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 51521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 51528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51533 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51537 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 51546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51548 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51550 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51553 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51555 */   GIR_RootConstrainSelectedInstOperands,
     /* 51556 */   // GIR_Coverage, 1657,
     /* 51556 */   GIR_EraseRootFromParent_Done,
     /* 51557 */ // Label 1319: @51557
     /* 51557 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(51655), // Rule ID 1660 //
     /* 51562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51578 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51582 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51586 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 51590 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 51594 */   // MIs[1] Operand 1
     /* 51594 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 51599 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51604 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51617 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51619 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 51619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 51626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51631 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51635 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 51644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51646 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51651 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51653 */   GIR_RootConstrainSelectedInstOperands,
     /* 51654 */   // GIR_Coverage, 1660,
     /* 51654 */   GIR_EraseRootFromParent_Done,
     /* 51655 */ // Label 1320: @51655
     /* 51655 */ GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(51753), // Rule ID 1661 //
     /* 51660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51684 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 51688 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 51692 */   // MIs[1] Operand 1
     /* 51692 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 51697 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51702 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51715 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51717 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 51717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 51720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 51724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51729 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51733 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I),
     /* 51742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51744 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51749 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51751 */   GIR_RootConstrainSelectedInstOperands,
     /* 51752 */   // GIR_Coverage, 1661,
     /* 51752 */   GIR_EraseRootFromParent_Done,
     /* 51753 */ // Label 1321: @51753
     /* 51753 */ GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(51851), // Rule ID 1674 //
     /* 51758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51774 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51778 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51782 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 51786 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 51790 */   // MIs[1] Operand 1
     /* 51790 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 51795 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51800 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51813 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51815 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I64_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 51815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 51818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 51822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51827 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51831 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_I),
     /* 51840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51842 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51847 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51849 */   GIR_RootConstrainSelectedInstOperands,
     /* 51850 */   // GIR_Coverage, 1674,
     /* 51850 */   GIR_EraseRootFromParent_Done,
     /* 51851 */ // Label 1322: @51851
     /* 51851 */ GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(51949), // Rule ID 1684 //
     /* 51856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51872 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51876 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51880 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 51884 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 51888 */   // MIs[1] Operand 1
     /* 51888 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 51893 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51898 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 51903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51911 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 51913 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I64_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 51913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 51916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 51920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 51925 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 51929 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 51933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 51935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_I),
     /* 51938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 51940 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 51942 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 51945 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 51947 */   GIR_RootConstrainSelectedInstOperands,
     /* 51948 */   // GIR_Coverage, 1684,
     /* 51948 */   GIR_EraseRootFromParent_Done,
     /* 51949 */ // Label 1323: @51949
     /* 51949 */ GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(52047), // Rule ID 1690 //
     /* 51954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 51957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 51960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 51963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 51966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 51970 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 51974 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 51978 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 51982 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 51986 */   // MIs[1] Operand 1
     /* 51986 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 51991 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 51996 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52009 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52011 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 52011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 52018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52023 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52027 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52038 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52040 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52043 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52045 */   GIR_RootConstrainSelectedInstOperands,
     /* 52046 */   // GIR_Coverage, 1690,
     /* 52046 */   GIR_EraseRootFromParent_Done,
     /* 52047 */ // Label 1324: @52047
     /* 52047 */ GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(52145), // Rule ID 1691 //
     /* 52052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52068 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52072 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52076 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 52080 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 52084 */   // MIs[1] Operand 1
     /* 52084 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 52089 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52094 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52107 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52109 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 52109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 52116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52121 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52125 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52136 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52141 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52143 */   GIR_RootConstrainSelectedInstOperands,
     /* 52144 */   // GIR_Coverage, 1691,
     /* 52144 */   GIR_EraseRootFromParent_Done,
     /* 52145 */ // Label 1325: @52145
     /* 52145 */ GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(52243), // Rule ID 1694 //
     /* 52150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52166 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52170 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52174 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 52178 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 52182 */   // MIs[1] Operand 1
     /* 52182 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 52187 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52192 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52205 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52207 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), FGR32:{ *:[f32] }:$F)
     /* 52207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 52214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52219 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52223 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52234 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52236 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52239 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52241 */   GIR_RootConstrainSelectedInstOperands,
     /* 52242 */   // GIR_Coverage, 1694,
     /* 52242 */   GIR_EraseRootFromParent_Done,
     /* 52243 */ // Label 1326: @52243
     /* 52243 */ GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(52341), // Rule ID 1695 //
     /* 52248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52264 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52268 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52272 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 52276 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 52280 */   // MIs[1] Operand 1
     /* 52280 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 52285 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52290 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52303 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52305 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), FGR32:{ *:[f32] }:$F)
     /* 52305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 52312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52317 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52321 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52332 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52337 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52339 */   GIR_RootConstrainSelectedInstOperands,
     /* 52340 */   // GIR_Coverage, 1695,
     /* 52340 */   GIR_EraseRootFromParent_Done,
     /* 52341 */ // Label 1327: @52341
     /* 52341 */ GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(52439), // Rule ID 1698 //
     /* 52346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52362 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52366 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52370 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 52374 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 52378 */   // MIs[1] Operand 1
     /* 52378 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 52383 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52388 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52401 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52403 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 52403 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52406 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 52410 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52415 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52419 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52423 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52430 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52435 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52437 */   GIR_RootConstrainSelectedInstOperands,
     /* 52438 */   // GIR_Coverage, 1698,
     /* 52438 */   GIR_EraseRootFromParent_Done,
     /* 52439 */ // Label 1328: @52439
     /* 52439 */ GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(52537), // Rule ID 1700 //
     /* 52444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52460 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52464 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52468 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 52472 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 52476 */   // MIs[1] Operand 1
     /* 52476 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 52481 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52486 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 52491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52499 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52501 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 52501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 52508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52513 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52517 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_S),
     /* 52526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52528 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52533 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52535 */   GIR_RootConstrainSelectedInstOperands,
     /* 52536 */   // GIR_Coverage, 1700,
     /* 52536 */   GIR_EraseRootFromParent_Done,
     /* 52537 */ // Label 1329: @52537
     /* 52537 */ GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(52635), // Rule ID 1703 //
     /* 52542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52558 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52562 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52566 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 52570 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 52574 */   // MIs[1] Operand 1
     /* 52574 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 52579 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52584 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52597 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52599 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 52599 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52602 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 52606 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52611 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52615 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52626 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52631 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52633 */   GIR_RootConstrainSelectedInstOperands,
     /* 52634 */   // GIR_Coverage, 1703,
     /* 52634 */   GIR_EraseRootFromParent_Done,
     /* 52635 */ // Label 1330: @52635
     /* 52635 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(52733), // Rule ID 1704 //
     /* 52640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52656 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52660 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52664 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 52668 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 52672 */   // MIs[1] Operand 1
     /* 52672 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 52677 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52682 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52691 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52695 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52697 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 52697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 52704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52709 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52713 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52724 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52726 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52729 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52731 */   GIR_RootConstrainSelectedInstOperands,
     /* 52732 */   // GIR_Coverage, 1704,
     /* 52732 */   GIR_EraseRootFromParent_Done,
     /* 52733 */ // Label 1331: @52733
     /* 52733 */ GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(52831), // Rule ID 1707 //
     /* 52738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52754 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52758 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52762 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 52766 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 52770 */   // MIs[1] Operand 1
     /* 52770 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 52775 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52780 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52793 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52795 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), FGR32:{ *:[f32] }:$F)
     /* 52795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 52802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52807 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52811 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52822 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52824 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52827 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52829 */   GIR_RootConstrainSelectedInstOperands,
     /* 52830 */   // GIR_Coverage, 1707,
     /* 52830 */   GIR_EraseRootFromParent_Done,
     /* 52831 */ // Label 1332: @52831
     /* 52831 */ GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(52929), // Rule ID 1708 //
     /* 52836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52852 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52856 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52860 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 52864 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 52868 */   // MIs[1] Operand 1
     /* 52868 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 52873 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52878 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52891 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52893 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), FGR32:{ *:[f32] }:$F)
     /* 52893 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 52896 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 52900 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 52905 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 52909 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 52913 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 52915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S),
     /* 52918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 52920 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 52922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 52925 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 52927 */   GIR_RootConstrainSelectedInstOperands,
     /* 52928 */   // GIR_Coverage, 1708,
     /* 52928 */   GIR_EraseRootFromParent_Done,
     /* 52929 */ // Label 1333: @52929
     /* 52929 */ GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(53027), // Rule ID 1711 //
     /* 52934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 52937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 52940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 52943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 52946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52950 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 52954 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 52958 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 52962 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 52966 */   // MIs[1] Operand 1
     /* 52966 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 52971 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52976 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 52981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 52989 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 52991 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I64_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 52991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 52994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 52998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 53003 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 53007 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 53011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 53013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_S),
     /* 53016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 53018 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 53020 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 53023 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 53025 */   GIR_RootConstrainSelectedInstOperands,
     /* 53026 */   // GIR_Coverage, 1711,
     /* 53026 */   GIR_EraseRootFromParent_Done,
     /* 53027 */ // Label 1334: @53027
     /* 53027 */ GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(53125), // Rule ID 1713 //
     /* 53032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 53035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 53048 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53052 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53056 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 53060 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 53064 */   // MIs[1] Operand 1
     /* 53064 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 53069 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 53074 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 53079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 53083 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 53087 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53089 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I64_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 53089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 53092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 53096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 53101 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 53105 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 53109 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 53111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_S),
     /* 53114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 53116 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 53118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 53121 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 53123 */   GIR_RootConstrainSelectedInstOperands,
     /* 53124 */   // GIR_Coverage, 1713,
     /* 53124 */   GIR_EraseRootFromParent_Done,
     /* 53125 */ // Label 1335: @53125
     /* 53125 */ GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(53206), // Rule ID 1872 //
     /* 53130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53146 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53150 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53154 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53158 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53162 */   // MIs[1] Operand 1
     /* 53162 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 53167 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53172 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53185 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53187 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETGE:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBteqZSlt:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b)
     /* 53187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBteqZSlt),
     /* 53190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53192 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53194 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53196 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53200 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53204 */   GIR_RootConstrainSelectedInstOperands,
     /* 53205 */   // GIR_Coverage, 1872,
     /* 53205 */   GIR_EraseRootFromParent_Done,
     /* 53206 */ // Label 1336: @53206
     /* 53206 */ GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(53287), // Rule ID 1873 //
     /* 53211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53227 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53231 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53235 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53239 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53243 */   // MIs[1] Operand 1
     /* 53243 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 53248 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53253 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53262 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53266 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53268 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETGT:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBtneZSlt:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$b, CPU16Regs:{ *:[i32] }:$a)
     /* 53268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBtneZSlt),
     /* 53271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53273 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53275 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53277 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53281 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53285 */   GIR_RootConstrainSelectedInstOperands,
     /* 53286 */   // GIR_Coverage, 1873,
     /* 53286 */   GIR_EraseRootFromParent_Done,
     /* 53287 */ // Label 1337: @53287
     /* 53287 */ GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(53368), // Rule ID 1874 //
     /* 53292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53308 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53312 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53316 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53320 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53324 */   // MIs[1] Operand 1
     /* 53324 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 53329 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53334 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53343 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53347 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53349 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETUGE:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBteqZSltu:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b)
     /* 53349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBteqZSltu),
     /* 53352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53354 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53356 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53358 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53362 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53366 */   GIR_RootConstrainSelectedInstOperands,
     /* 53367 */   // GIR_Coverage, 1874,
     /* 53367 */   GIR_EraseRootFromParent_Done,
     /* 53368 */ // Label 1338: @53368
     /* 53368 */ GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(53449), // Rule ID 1875 //
     /* 53373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53389 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53393 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53397 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53401 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53405 */   // MIs[1] Operand 1
     /* 53405 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 53410 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53415 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53424 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53428 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53430 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETUGT:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBtneZSltu:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$b, CPU16Regs:{ *:[i32] }:$a)
     /* 53430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBtneZSltu),
     /* 53433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53435 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53437 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53439 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53443 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53447 */   GIR_RootConstrainSelectedInstOperands,
     /* 53448 */   // GIR_Coverage, 1875,
     /* 53448 */   GIR_EraseRootFromParent_Done,
     /* 53449 */ // Label 1339: @53449
     /* 53449 */ GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(53530), // Rule ID 1877 //
     /* 53454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53470 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53474 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53478 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53482 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53486 */   // MIs[1] Operand 1
     /* 53486 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 53491 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53496 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53509 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53511 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETLE:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBteqZSlt:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$b, CPU16Regs:{ *:[i32] }:$a)
     /* 53511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBteqZSlt),
     /* 53514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53516 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53518 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53520 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53524 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53528 */   GIR_RootConstrainSelectedInstOperands,
     /* 53529 */   // GIR_Coverage, 1877,
     /* 53529 */   GIR_EraseRootFromParent_Done,
     /* 53530 */ // Label 1340: @53530
     /* 53530 */ GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(53611), // Rule ID 1878 //
     /* 53535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53551 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53555 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53559 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53563 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53567 */   // MIs[1] Operand 1
     /* 53567 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 53572 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53577 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53590 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53592 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETULE:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBteqZSltu:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$b, CPU16Regs:{ *:[i32] }:$a)
     /* 53592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBteqZSltu),
     /* 53595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53597 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53599 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53601 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53605 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53609 */   GIR_RootConstrainSelectedInstOperands,
     /* 53610 */   // GIR_Coverage, 1878,
     /* 53610 */   GIR_EraseRootFromParent_Done,
     /* 53611 */ // Label 1341: @53611
     /* 53611 */ GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(53692), // Rule ID 1879 //
     /* 53616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53632 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53636 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53640 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53644 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53648 */   // MIs[1] Operand 1
     /* 53648 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 53653 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53658 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53671 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53673 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETEQ:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBteqZCmp:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$b, CPU16Regs:{ *:[i32] }:$a)
     /* 53673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBteqZCmp),
     /* 53676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53678 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53680 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53682 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53686 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53690 */   GIR_RootConstrainSelectedInstOperands,
     /* 53691 */   // GIR_Coverage, 1879,
     /* 53691 */   GIR_EraseRootFromParent_Done,
     /* 53692 */ // Label 1342: @53692
     /* 53692 */ GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(53773), // Rule ID 1882 //
     /* 53697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 53700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53713 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53717 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53721 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53725 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53729 */   // MIs[1] Operand 1
     /* 53729 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 53734 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53739 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 53752 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53754 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$b, SETNE:{ *:[Other] }), CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelTBtneZCmp:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$b, CPU16Regs:{ *:[i32] }:$a)
     /* 53754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelTBtneZCmp),
     /* 53757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 53759 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 53761 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 53763 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // b
     /* 53767 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /* 53771 */   GIR_RootConstrainSelectedInstOperands,
     /* 53772 */   // GIR_Coverage, 1882,
     /* 53772 */   GIR_EraseRootFromParent_Done,
     /* 53773 */ // Label 1343: @53773
     /* 53773 */ GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(53871), // Rule ID 2220 //
     /* 53778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 53781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53794 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53798 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53802 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53806 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53810 */   // MIs[1] Operand 1
     /* 53810 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 53815 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53820 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53833 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53835 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 53835 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 53838 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 53842 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 53847 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 53851 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 53855 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 53857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 53860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 53862 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 53864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 53867 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 53869 */   GIR_RootConstrainSelectedInstOperands,
     /* 53870 */   // GIR_Coverage, 2220,
     /* 53870 */   GIR_EraseRootFromParent_Done,
     /* 53871 */ // Label 1344: @53871
     /* 53871 */ GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(53969), // Rule ID 2221 //
     /* 53876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 53879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53892 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53896 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53900 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 53904 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 53908 */   // MIs[1] Operand 1
     /* 53908 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 53913 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53918 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53931 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 53933 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 53933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 53936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 53940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 53945 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 53949 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 53953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 53955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 53958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 53960 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 53962 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 53965 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 53967 */   GIR_RootConstrainSelectedInstOperands,
     /* 53968 */   // GIR_Coverage, 2221,
     /* 53968 */   GIR_EraseRootFromParent_Done,
     /* 53969 */ // Label 1345: @53969
     /* 53969 */ GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(54067), // Rule ID 2224 //
     /* 53974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 53977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 53980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 53983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 53986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 53990 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 53994 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 53998 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54002 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54006 */   // MIs[1] Operand 1
     /* 54006 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 54011 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54016 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54029 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54031 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 54031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 54038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54043 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54047 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54058 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54063 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54065 */   GIR_RootConstrainSelectedInstOperands,
     /* 54066 */   // GIR_Coverage, 2224,
     /* 54066 */   GIR_EraseRootFromParent_Done,
     /* 54067 */ // Label 1346: @54067
     /* 54067 */ GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(54165), // Rule ID 2225 //
     /* 54072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54088 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54092 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54096 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54100 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54104 */   // MIs[1] Operand 1
     /* 54104 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 54109 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54114 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54123 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54127 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54129 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 54129 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54132 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 54136 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54141 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54145 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54156 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54161 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54163 */   GIR_RootConstrainSelectedInstOperands,
     /* 54164 */   // GIR_Coverage, 2225,
     /* 54164 */   GIR_EraseRootFromParent_Done,
     /* 54165 */ // Label 1347: @54165
     /* 54165 */ GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(54263), // Rule ID 2228 //
     /* 54170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54186 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54190 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54194 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54198 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54202 */   // MIs[1] Operand 1
     /* 54202 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 54207 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54212 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54225 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54227 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 54227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 54234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54239 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54243 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54254 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54259 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54261 */   GIR_RootConstrainSelectedInstOperands,
     /* 54262 */   // GIR_Coverage, 2228,
     /* 54262 */   GIR_EraseRootFromParent_Done,
     /* 54263 */ // Label 1348: @54263
     /* 54263 */ GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(54361), // Rule ID 2231 //
     /* 54268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotMips32r6_NotMips64r6),
     /* 54271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54284 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54288 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54292 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54296 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54300 */   // MIs[1] Operand 1
     /* 54300 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 54305 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54310 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54323 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54325 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 54325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 54332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54337 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54341 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_MM),
     /* 54350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54352 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54357 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54359 */   GIR_RootConstrainSelectedInstOperands,
     /* 54360 */   // GIR_Coverage, 2231,
     /* 54360 */   GIR_EraseRootFromParent_Done,
     /* 54361 */ // Label 1349: @54361
     /* 54361 */ GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(54459), // Rule ID 2234 //
     /* 54366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54382 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54386 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54390 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54394 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54398 */   // MIs[1] Operand 1
     /* 54398 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 54403 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54408 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54421 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54423 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 54423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 54430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54435 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54439 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54450 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54455 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54457 */   GIR_RootConstrainSelectedInstOperands,
     /* 54458 */   // GIR_Coverage, 2234,
     /* 54458 */   GIR_EraseRootFromParent_Done,
     /* 54459 */ // Label 1350: @54459
     /* 54459 */ GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(54557), // Rule ID 2235 //
     /* 54464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54480 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54484 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54488 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54492 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54496 */   // MIs[1] Operand 1
     /* 54496 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 54501 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54506 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54519 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54521 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 54521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 54528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54533 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54537 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54548 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54550 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54553 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54555 */   GIR_RootConstrainSelectedInstOperands,
     /* 54556 */   // GIR_Coverage, 2235,
     /* 54556 */   GIR_EraseRootFromParent_Done,
     /* 54557 */ // Label 1351: @54557
     /* 54557 */ GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(54655), // Rule ID 2238 //
     /* 54562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54578 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54582 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54586 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54590 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54594 */   // MIs[1] Operand 1
     /* 54594 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 54599 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54604 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54617 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54619 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 54619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 54626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54631 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54635 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54646 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54651 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54653 */   GIR_RootConstrainSelectedInstOperands,
     /* 54654 */   // GIR_Coverage, 2238,
     /* 54654 */   GIR_EraseRootFromParent_Done,
     /* 54655 */ // Label 1352: @54655
     /* 54655 */ GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(54753), // Rule ID 2239 //
     /* 54660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54684 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54688 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54692 */   // MIs[1] Operand 1
     /* 54692 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 54697 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54702 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54715 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54717 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR32:{ *:[i32] }:$F)
     /* 54717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 54724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54729 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54733 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54744 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54749 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54751 */   GIR_RootConstrainSelectedInstOperands,
     /* 54752 */   // GIR_Coverage, 2239,
     /* 54752 */   GIR_EraseRootFromParent_Done,
     /* 54753 */ // Label 1353: @54753
     /* 54753 */ GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(54851), // Rule ID 2242 //
     /* 54758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54774 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54778 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54782 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54786 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54790 */   // MIs[1] Operand 1
     /* 54790 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 54795 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54800 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54813 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54815 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVZ_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 54815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 54822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54827 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54831 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_MM),
     /* 54840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54842 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54847 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54849 */   GIR_RootConstrainSelectedInstOperands,
     /* 54850 */   // GIR_Coverage, 2242,
     /* 54850 */   GIR_EraseRootFromParent_Done,
     /* 54851 */ // Label 1354: @54851
     /* 54851 */ GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(54949), // Rule ID 2245 //
     /* 54856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54872 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54876 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54880 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54884 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54888 */   // MIs[1] Operand 1
     /* 54888 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 54893 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54898 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54911 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 54913 */   // (select:{ *:[i32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR32:{ *:[i32] }:$F)
     /* 54913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 54916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 54920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 54925 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 54929 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 54933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 54935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_MM),
     /* 54938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 54940 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 54942 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 54945 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 54947 */   GIR_RootConstrainSelectedInstOperands,
     /* 54948 */   // GIR_Coverage, 2245,
     /* 54948 */   GIR_EraseRootFromParent_Done,
     /* 54949 */ // Label 1355: @54949
     /* 54949 */ GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(55047), // Rule ID 2268 //
     /* 54954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 54957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 54960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 54963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 54966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 54970 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 54974 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 54978 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 54982 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 54986 */   // MIs[1] Operand 1
     /* 54986 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 54991 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 54996 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55009 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 55011 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 55011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 55014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 55018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 55023 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 55027 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 55031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 55033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S_MM),
     /* 55036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55038 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55040 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 55043 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55045 */   GIR_RootConstrainSelectedInstOperands,
     /* 55046 */   // GIR_Coverage, 2268,
     /* 55046 */   GIR_EraseRootFromParent_Done,
     /* 55047 */ // Label 1356: @55047
     /* 55047 */ GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(55145), // Rule ID 2269 //
     /* 55052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 55055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55068 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 55072 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 55076 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 55080 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 55084 */   // MIs[1] Operand 1
     /* 55084 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 55089 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55094 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55107 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 55109 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 55109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 55112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 55116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 55121 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 55125 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 55129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 55131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S_MM),
     /* 55134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55136 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 55141 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55143 */   GIR_RootConstrainSelectedInstOperands,
     /* 55144 */   // GIR_Coverage, 2269,
     /* 55144 */   GIR_EraseRootFromParent_Done,
     /* 55145 */ // Label 1357: @55145
     /* 55145 */ GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(55243), // Rule ID 2272 //
     /* 55150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 55153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55166 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 55170 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 55174 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 55178 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 55182 */   // MIs[1] Operand 1
     /* 55182 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 55187 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55192 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55205 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 55207 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), FGR32:{ *:[f32] }:$F)
     /* 55207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 55210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 55214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 55219 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 55223 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 55227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 55229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S_MM),
     /* 55232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55234 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55236 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 55239 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55241 */   GIR_RootConstrainSelectedInstOperands,
     /* 55242 */   // GIR_Coverage, 2272,
     /* 55242 */   GIR_EraseRootFromParent_Done,
     /* 55243 */ // Label 1358: @55243
     /* 55243 */ GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(55341), // Rule ID 2273 //
     /* 55248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 55251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55264 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 55268 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 55272 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 55276 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 55280 */   // MIs[1] Operand 1
     /* 55280 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 55285 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55290 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55303 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 55305 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), FGR32:{ *:[f32] }:$F)
     /* 55305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 55308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 55312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 55317 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 55321 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 55325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 55327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S_MM),
     /* 55330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55332 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 55337 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55339 */   GIR_RootConstrainSelectedInstOperands,
     /* 55340 */   // GIR_Coverage, 2273,
     /* 55340 */   GIR_EraseRootFromParent_Done,
     /* 55341 */ // Label 1359: @55341
     /* 55341 */ GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(55439), // Rule ID 2276 //
     /* 55346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 55349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55362 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 55366 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 55370 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 55374 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 55378 */   // MIs[1] Operand 1
     /* 55378 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 55383 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55388 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55401 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 55403 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVZ_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 55403 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 55406 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 55410 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 55415 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 55419 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 55423 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 55425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_S_MM),
     /* 55428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55430 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 55435 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55437 */   GIR_RootConstrainSelectedInstOperands,
     /* 55438 */   // GIR_Coverage, 2276,
     /* 55438 */   GIR_EraseRootFromParent_Done,
     /* 55439 */ // Label 1360: @55439
     /* 55439 */ GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(55537), // Rule ID 2278 //
     /* 55444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 55447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55460 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 55464 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 55468 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 55472 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 55476 */   // MIs[1] Operand 1
     /* 55476 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 55481 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55486 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55499 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 55501 */   // (select:{ *:[f32] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR32:{ *:[f32] }:$F)
     /* 55501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 55504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 55508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 55513 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 55517 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 55521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 55523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_S_MM),
     /* 55526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55528 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 55533 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55535 */   GIR_RootConstrainSelectedInstOperands,
     /* 55536 */   // GIR_Coverage, 2278,
     /* 55536 */   GIR_EraseRootFromParent_Done,
     /* 55537 */ // Label 1361: @55537
     /* 55537 */ GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(55577), // Rule ID 295 //
     /* 55542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotMips4_32),
     /* 55545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55570 */   // (select:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$cond, GPR32Opnd:{ *:[i32] }:$T, GPR32Opnd:{ *:[i32] }:$F)  =>  (PseudoSELECT_I:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$cond, GPR32Opnd:{ *:[i32] }:$T, GPR32Opnd:{ *:[i32] }:$F)
     /* 55570 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoSELECT_I),
     /* 55575 */   GIR_RootConstrainSelectedInstOperands,
     /* 55576 */   // GIR_Coverage, 295,
     /* 55576 */   GIR_Done,
     /* 55577 */ // Label 1362: @55577
     /* 55577 */ GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(55617), // Rule ID 297 //
     /* 55582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotMips4_32),
     /* 55585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55610 */   // (select:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$cond, FGR32Opnd:{ *:[f32] }:$T, FGR32Opnd:{ *:[f32] }:$F)  =>  (PseudoSELECT_S:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$cond, FGR32Opnd:{ *:[f32] }:$T, FGR32Opnd:{ *:[f32] }:$F)
     /* 55610 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoSELECT_S),
     /* 55615 */   GIR_RootConstrainSelectedInstOperands,
     /* 55616 */   // GIR_Coverage, 297,
     /* 55616 */   GIR_Done,
     /* 55617 */ // Label 1363: @55617
     /* 55617 */ GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(55663), // Rule ID 334 //
     /* 55622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 55625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGRCCRegClassID),
     /* 55642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55646 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55650 */   // (select:{ *:[f32] } FGRCCOpnd:{ *:[i32] }:$fd_in, FGR32Opnd:{ *:[f32] }:$ft, FGR32Opnd:{ *:[f32] }:$fs)  =>  (SEL_S:{ *:[f32] } FGRCCOpnd:{ *:[i32] }:$fd_in, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 55650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEL_S),
     /* 55653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55655 */   GIR_RootToRootCopy, /*OpIdx*/1, // fd_in
     /* 55657 */   GIR_RootToRootCopy, /*OpIdx*/3, // fs
     /* 55659 */   GIR_RootToRootCopy, /*OpIdx*/2, // ft
     /* 55661 */   GIR_RootConstrainSelectedInstOperands,
     /* 55662 */   // GIR_Coverage, 334,
     /* 55662 */   GIR_EraseRootFromParent_Done,
     /* 55663 */ // Label 1364: @55663
     /* 55663 */ GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(55709), // Rule ID 1213 //
     /* 55668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 55671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGRCCRegClassID),
     /* 55688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55696 */   // (select:{ *:[f32] } FGRCCOpnd:{ *:[i32] }:$fd_in, FGR32Opnd:{ *:[f32] }:$ft, FGR32Opnd:{ *:[f32] }:$fs)  =>  (SEL_S_MMR6:{ *:[f32] } FGRCCOpnd:{ *:[i32] }:$fd_in, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 55696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SEL_S_MMR6),
     /* 55699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55701 */   GIR_RootToRootCopy, /*OpIdx*/1, // fd_in
     /* 55703 */   GIR_RootToRootCopy, /*OpIdx*/3, // fs
     /* 55705 */   GIR_RootToRootCopy, /*OpIdx*/2, // ft
     /* 55707 */   GIR_RootConstrainSelectedInstOperands,
     /* 55708 */   // GIR_Coverage, 1213,
     /* 55708 */   GIR_EraseRootFromParent_Done,
     /* 55709 */ // Label 1365: @55709
     /* 55709 */ GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(55755), // Rule ID 1646 //
     /* 55714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 55717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55723 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55742 */   // (select:{ *:[i32] } GPR32:{ *:[i32] }:$cond, GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$cond, GPR32:{ *:[i32] }:$F)
     /* 55742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_I),
     /* 55745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 55747 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55749 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 55751 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55753 */   GIR_RootConstrainSelectedInstOperands,
     /* 55754 */   // GIR_Coverage, 1646,
     /* 55754 */   GIR_EraseRootFromParent_Done,
     /* 55755 */ // Label 1366: @55755
     /* 55755 */ GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(55801), // Rule ID 1685 //
     /* 55760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 55763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 55766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 55780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55784 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55788 */   // (select:{ *:[i32] } GPR64:{ *:[i64] }:$cond, GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I64_I:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR64:{ *:[i64] }:$cond, GPR32:{ *:[i32] }:$F)
     /* 55788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_I),
     /* 55791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 55793 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55795 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 55797 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55799 */   GIR_RootConstrainSelectedInstOperands,
     /* 55800 */   // GIR_Coverage, 1685,
     /* 55800 */   GIR_EraseRootFromParent_Done,
     /* 55801 */ // Label 1367: @55801
     /* 55801 */ GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(55847), // Rule ID 1701 //
     /* 55806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 55809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55830 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55834 */   // (select:{ *:[f32] } GPR32:{ *:[i32] }:$cond, FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR32:{ *:[i32] }:$cond, FGR32:{ *:[f32] }:$F)
     /* 55834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_S),
     /* 55837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55839 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55841 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 55843 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55845 */   GIR_RootConstrainSelectedInstOperands,
     /* 55846 */   // GIR_Coverage, 1701,
     /* 55846 */   GIR_EraseRootFromParent_Done,
     /* 55847 */ // Label 1368: @55847
     /* 55847 */ GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(55893), // Rule ID 1714 //
     /* 55852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 55855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 55858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55861 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 55872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 55880 */   // (select:{ *:[f32] } GPR64:{ *:[i64] }:$cond, FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I64_S:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR64:{ *:[i64] }:$cond, FGR32:{ *:[f32] }:$F)
     /* 55880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_S),
     /* 55883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 55885 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55887 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 55889 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55891 */   GIR_RootConstrainSelectedInstOperands,
     /* 55892 */   // GIR_Coverage, 1714,
     /* 55892 */   GIR_EraseRootFromParent_Done,
     /* 55893 */ // Label 1369: @55893
     /* 55893 */ GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(55939), // Rule ID 1884 //
     /* 55898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 55901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 55914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 55918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 55922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::CPU16RegsRegClassID),
     /* 55926 */   // (select:{ *:[i32] } CPU16Regs:{ *:[i32] }:$a, CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y)  =>  (SelBneZ:{ *:[i32] } CPU16Regs:{ *:[i32] }:$x, CPU16Regs:{ *:[i32] }:$y, CPU16Regs:{ *:[i32] }:$a)
     /* 55926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::SelBneZ),
     /* 55929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_]
     /* 55931 */   GIR_RootToRootCopy, /*OpIdx*/2, // x
     /* 55933 */   GIR_RootToRootCopy, /*OpIdx*/3, // y
     /* 55935 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 55937 */   GIR_RootConstrainSelectedInstOperands,
     /* 55938 */   // GIR_Coverage, 1884,
     /* 55938 */   GIR_EraseRootFromParent_Done,
     /* 55939 */ // Label 1370: @55939
     /* 55939 */ GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(55985), // Rule ID 2232 //
     /* 55944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotMips32r6_NotMips64r6),
     /* 55947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 55956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 55972 */   // (select:{ *:[i32] } GPR32:{ *:[i32] }:$cond, GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$cond, GPR32:{ *:[i32] }:$F)
     /* 55972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_MM),
     /* 55975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 55977 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 55979 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 55981 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 55983 */   GIR_RootConstrainSelectedInstOperands,
     /* 55984 */   // GIR_Coverage, 2232,
     /* 55984 */   GIR_EraseRootFromParent_Done,
     /* 55985 */ // Label 1371: @55985
     /* 55985 */ GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(56031), // Rule ID 2246 //
     /* 55990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 55993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 55996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 55999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 56002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56018 */   // (select:{ *:[i32] } GPR32:{ *:[i32] }:$cond, GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$F)  =>  (MOVN_I_MM:{ *:[i32] } GPR32:{ *:[i32] }:$T, GPR32:{ *:[i32] }:$cond, GPR32:{ *:[i32] }:$F)
     /* 56018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_MM),
     /* 56021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 56023 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56025 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 56027 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56029 */   GIR_RootConstrainSelectedInstOperands,
     /* 56030 */   // GIR_Coverage, 2246,
     /* 56030 */   GIR_EraseRootFromParent_Done,
     /* 56031 */ // Label 1372: @56031
     /* 56031 */ GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(56077), // Rule ID 2279 //
     /* 56036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6),
     /* 56039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 56045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 56048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 56052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 56060 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 56064 */   // (select:{ *:[f32] } GPR32:{ *:[i32] }:$cond, FGR32:{ *:[f32] }:$T, FGR32:{ *:[f32] }:$F)  =>  (MOVN_I_S_MM:{ *:[f32] } FGR32:{ *:[f32] }:$T, GPR32:{ *:[i32] }:$cond, FGR32:{ *:[f32] }:$F)
     /* 56064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_S_MM),
     /* 56067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 56069 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56071 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 56073 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56075 */   GIR_RootConstrainSelectedInstOperands,
     /* 56076 */   // GIR_Coverage, 2279,
     /* 56076 */   GIR_EraseRootFromParent_Done,
     /* 56077 */ // Label 1373: @56077
     /* 56077 */ GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(56155), // Rule ID 1783 //
     /* 56082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 56085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 56091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 56094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56098 */   // (select:{ *:[i32] } i32:{ *:[i32] }:$cond, i32:{ *:[i32] }:$t, i32:{ *:[i32] }:$f)  =>  (OR:{ *:[i32] } (SELNEZ:{ *:[i32] } i32:{ *:[i32] }:$t, i32:{ *:[i32] }:$cond), (SELEQZ:{ *:[i32] } i32:{ *:[i32] }:$f, i32:{ *:[i32] }:$cond))
     /* 56098 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 56101 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SELEQZ),
     /* 56105 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 56110 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // f
     /* 56114 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 56118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 56120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 56123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SELNEZ),
     /* 56127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 56132 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // t
     /* 56136 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 56140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 56142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::OR),
     /* 56145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 56147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 56150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 56153 */   GIR_RootConstrainSelectedInstOperands,
     /* 56154 */   // GIR_Coverage, 1783,
     /* 56154 */   GIR_EraseRootFromParent_Done,
     /* 56155 */ // Label 1374: @56155
     /* 56155 */ GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(56233), // Rule ID 2296 //
     /* 56160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 56163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 56169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 56172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56176 */   // (select:{ *:[i32] } i32:{ *:[i32] }:$cond, i32:{ *:[i32] }:$t, i32:{ *:[i32] }:$f)  =>  (OR_MM:{ *:[i32] } (SELNEZ_MMR6:{ *:[i32] } i32:{ *:[i32] }:$t, i32:{ *:[i32] }:$cond), (SELEQZ_MMR6:{ *:[i32] } i32:{ *:[i32] }:$f, i32:{ *:[i32] }:$cond))
     /* 56176 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 56179 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SELEQZ_MMR6),
     /* 56183 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 56188 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // f
     /* 56192 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 56196 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 56198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 56201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SELNEZ_MMR6),
     /* 56205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 56210 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // t
     /* 56214 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 56218 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 56220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::OR_MM),
     /* 56223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 56225 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 56228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 56231 */   GIR_RootConstrainSelectedInstOperands,
     /* 56232 */   // GIR_Coverage, 2296,
     /* 56232 */   GIR_EraseRootFromParent_Done,
     /* 56233 */ // Label 1375: @56233
     /* 56233 */ GIM_Reject,
     /* 56234 */ // Label 1290: @56234
     /* 56234 */ GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(56310), // Rule ID 1673 //
     /* 56239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56255 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56259 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56263 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 56267 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 56271 */   // MIs[1] Operand 1
     /* 56271 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 56276 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56281 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56289 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56293 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56295 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, GPR32:{ *:[i32] }:$lhs, GPR64:{ *:[i64] }:$F)
     /* 56295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 56298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 56300 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56302 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56306 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56308 */   GIR_RootConstrainSelectedInstOperands,
     /* 56309 */   // GIR_Coverage, 1673,
     /* 56309 */   GIR_EraseRootFromParent_Done,
     /* 56310 */ // Label 1376: @56310
     /* 56310 */ GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(56386), // Rule ID 1677 //
     /* 56315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56331 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56335 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56339 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 56343 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 56347 */   // MIs[1] Operand 1
     /* 56347 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 56352 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56357 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56369 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56371 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETEQ:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I64_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$F)
     /* 56371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_I64),
     /* 56374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 56376 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56378 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56382 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56384 */   GIR_RootConstrainSelectedInstOperands,
     /* 56385 */   // GIR_Coverage, 1677,
     /* 56385 */   GIR_EraseRootFromParent_Done,
     /* 56386 */ // Label 1377: @56386
     /* 56386 */ GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(56462), // Rule ID 1683 //
     /* 56391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56407 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56411 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56415 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 56419 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 56423 */   // MIs[1] Operand 1
     /* 56423 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 56428 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56433 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56445 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56447 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVN_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, GPR32:{ *:[i32] }:$lhs, GPR64:{ *:[i64] }:$F)
     /* 56447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_I64),
     /* 56450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 56452 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56454 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56458 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56460 */   GIR_RootConstrainSelectedInstOperands,
     /* 56461 */   // GIR_Coverage, 1683,
     /* 56461 */   GIR_EraseRootFromParent_Done,
     /* 56462 */ // Label 1378: @56462
     /* 56462 */ GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(56538), // Rule ID 1689 //
     /* 56467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56483 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56487 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56491 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 56495 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 56499 */   // MIs[1] Operand 1
     /* 56499 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 56504 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56509 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56521 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56523 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETNE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVN_I64_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$F)
     /* 56523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_I64),
     /* 56526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 56528 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56530 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56534 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56536 */   GIR_RootConstrainSelectedInstOperands,
     /* 56537 */   // GIR_Coverage, 1689,
     /* 56537 */   GIR_EraseRootFromParent_Done,
     /* 56538 */ // Label 1379: @56538
     /* 56538 */ GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(56614), // Rule ID 1725 //
     /* 56543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 56559 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56563 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56567 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 56571 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 56575 */   // MIs[1] Operand 1
     /* 56575 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 56580 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56585 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 56593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 56597 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56599 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$lhs, AFGR64:{ *:[f64] }:$F)
     /* 56599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32),
     /* 56602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 56604 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56606 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56610 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56612 */   GIR_RootConstrainSelectedInstOperands,
     /* 56613 */   // GIR_Coverage, 1725,
     /* 56613 */   GIR_EraseRootFromParent_Done,
     /* 56614 */ // Label 1380: @56614
     /* 56614 */ GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(56690), // Rule ID 1728 //
     /* 56619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 56635 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56639 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56643 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 56647 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 56651 */   // MIs[1] Operand 1
     /* 56651 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 56656 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56661 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 56669 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 56673 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56675 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$lhs, AFGR64:{ *:[f64] }:$F)
     /* 56675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D32),
     /* 56678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 56680 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56682 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56686 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56688 */   GIR_RootConstrainSelectedInstOperands,
     /* 56689 */   // GIR_Coverage, 1728,
     /* 56689 */   GIR_EraseRootFromParent_Done,
     /* 56690 */ // Label 1381: @56690
     /* 56690 */ GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(56766), // Rule ID 1746 //
     /* 56695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56711 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56715 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56719 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 56723 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 56727 */   // MIs[1] Operand 1
     /* 56727 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 56732 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56737 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56749 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56751 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$lhs, FGR64:{ *:[f64] }:$F)
     /* 56751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 56754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 56756 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56758 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56762 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56764 */   GIR_RootConstrainSelectedInstOperands,
     /* 56765 */   // GIR_Coverage, 1746,
     /* 56765 */   GIR_EraseRootFromParent_Done,
     /* 56766 */ // Label 1382: @56766
     /* 56766 */ GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(56842), // Rule ID 1748 //
     /* 56771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56787 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56791 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56795 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 56799 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 56803 */   // MIs[1] Operand 1
     /* 56803 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 56808 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56813 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56821 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56825 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56827 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETEQ:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I64_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, GPR64:{ *:[i64] }:$lhs, FGR64:{ *:[f64] }:$F)
     /* 56827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_D64),
     /* 56830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 56832 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56834 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56838 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56840 */   GIR_RootConstrainSelectedInstOperands,
     /* 56841 */   // GIR_Coverage, 1748,
     /* 56841 */   GIR_EraseRootFromParent_Done,
     /* 56842 */ // Label 1383: @56842
     /* 56842 */ GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(56918), // Rule ID 1751 //
     /* 56847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56863 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56867 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56871 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 56875 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 56879 */   // MIs[1] Operand 1
     /* 56879 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 56884 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 56889 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56901 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56903 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$lhs, FGR64:{ *:[f64] }:$F)
     /* 56903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D64),
     /* 56906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 56908 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56910 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56914 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56916 */   GIR_RootConstrainSelectedInstOperands,
     /* 56917 */   // GIR_Coverage, 1751,
     /* 56917 */   GIR_EraseRootFromParent_Done,
     /* 56918 */ // Label 1384: @56918
     /* 56918 */ GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(56994), // Rule ID 1754 //
     /* 56923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 56926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 56929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 56932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 56935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56939 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 56943 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 56947 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 56951 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 56955 */   // MIs[1] Operand 1
     /* 56955 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 56960 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 56965 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 56969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56973 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 56977 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 56979 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, 0:{ *:[i64] }, SETNE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVN_I64_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, GPR64:{ *:[i64] }:$lhs, FGR64:{ *:[f64] }:$F)
     /* 56979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_D64),
     /* 56982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 56984 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 56986 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 56990 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 56992 */   GIR_RootConstrainSelectedInstOperands,
     /* 56993 */   // GIR_Coverage, 1754,
     /* 56993 */   GIR_EraseRootFromParent_Done,
     /* 56994 */ // Label 1385: @56994
     /* 56994 */ GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(57070), // Rule ID 2290 //
     /* 56999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 57002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 57015 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57019 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57023 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 57027 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 57031 */   // MIs[1] Operand 1
     /* 57031 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 57036 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57041 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 57045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 57049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 57053 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57055 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$lhs, AFGR64:{ *:[f64] }:$F)
     /* 57055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32_MM),
     /* 57058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 57060 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57062 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57066 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57068 */   GIR_RootConstrainSelectedInstOperands,
     /* 57069 */   // GIR_Coverage, 2290,
     /* 57069 */   GIR_EraseRootFromParent_Done,
     /* 57070 */ // Label 1386: @57070
     /* 57070 */ GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(57146), // Rule ID 2293 //
     /* 57075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 57078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 57091 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57095 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57099 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 57103 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 57107 */   // MIs[1] Operand 1
     /* 57107 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 57112 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57117 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 57121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 57125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 57129 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57131 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, 0:{ *:[i32] }, SETNE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$lhs, AFGR64:{ *:[f64] }:$F)
     /* 57131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D32_MM),
     /* 57134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 57136 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57138 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57142 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57144 */   GIR_RootConstrainSelectedInstOperands,
     /* 57145 */   // GIR_Coverage, 2293,
     /* 57145 */   GIR_EraseRootFromParent_Done,
     /* 57146 */ // Label 1387: @57146
     /* 57146 */ GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(57244), // Rule ID 1648 //
     /* 57151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57167 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57171 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57175 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 57179 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 57183 */   // MIs[1] Operand 1
     /* 57183 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 57188 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57193 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57206 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57208 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 57208 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57211 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 57215 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57220 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57224 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57235 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57237 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57240 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57242 */   GIR_RootConstrainSelectedInstOperands,
     /* 57243 */   // GIR_Coverage, 1648,
     /* 57243 */   GIR_EraseRootFromParent_Done,
     /* 57244 */ // Label 1388: @57244
     /* 57244 */ GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(57342), // Rule ID 1649 //
     /* 57249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57265 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57269 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57273 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 57277 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 57281 */   // MIs[1] Operand 1
     /* 57281 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 57286 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57291 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57300 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57304 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57306 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 57306 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57309 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 57313 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57318 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57322 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57333 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57335 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57338 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57340 */   GIR_RootConstrainSelectedInstOperands,
     /* 57341 */   // GIR_Coverage, 1649,
     /* 57341 */   GIR_EraseRootFromParent_Done,
     /* 57342 */ // Label 1389: @57342
     /* 57342 */ GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(57440), // Rule ID 1652 //
     /* 57347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57363 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57367 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57371 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 57375 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 57379 */   // MIs[1] Operand 1
     /* 57379 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 57384 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57389 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57402 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57404 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR64:{ *:[i64] }:$F)
     /* 57404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 57411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57416 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57420 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57431 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57436 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57438 */   GIR_RootConstrainSelectedInstOperands,
     /* 57439 */   // GIR_Coverage, 1652,
     /* 57439 */   GIR_EraseRootFromParent_Done,
     /* 57440 */ // Label 1390: @57440
     /* 57440 */ GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(57538), // Rule ID 1653 //
     /* 57445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57461 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57465 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57469 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 57473 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 57477 */   // MIs[1] Operand 1
     /* 57477 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 57482 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57487 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57496 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57500 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57502 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), GPR64:{ *:[i64] }:$F)
     /* 57502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 57509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57514 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57518 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57529 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57534 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57536 */   GIR_RootConstrainSelectedInstOperands,
     /* 57537 */   // GIR_Coverage, 1653,
     /* 57537 */   GIR_EraseRootFromParent_Done,
     /* 57538 */ // Label 1391: @57538
     /* 57538 */ GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(57636), // Rule ID 1664 //
     /* 57543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57559 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57563 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57567 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 57571 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 57575 */   // MIs[1] Operand 1
     /* 57575 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 57580 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57585 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57598 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57600 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 57600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 57607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57612 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57616 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57627 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57629 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57632 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57634 */   GIR_RootConstrainSelectedInstOperands,
     /* 57635 */   // GIR_Coverage, 1664,
     /* 57635 */   GIR_EraseRootFromParent_Done,
     /* 57636 */ // Label 1392: @57636
     /* 57636 */ GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(57734), // Rule ID 1665 //
     /* 57641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57657 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57661 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57665 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 57669 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 57673 */   // MIs[1] Operand 1
     /* 57673 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 57678 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57683 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57696 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57698 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 57698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 57705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57710 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57714 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57725 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57730 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57732 */   GIR_RootConstrainSelectedInstOperands,
     /* 57733 */   // GIR_Coverage, 1665,
     /* 57733 */   GIR_EraseRootFromParent_Done,
     /* 57734 */ // Label 1393: @57734
     /* 57734 */ GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(57832), // Rule ID 1668 //
     /* 57739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57755 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57759 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57763 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 57767 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 57771 */   // MIs[1] Operand 1
     /* 57771 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 57776 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57781 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57790 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57794 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57796 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), GPR64:{ *:[i64] }:$F)
     /* 57796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 57803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57808 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57812 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57823 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57828 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57830 */   GIR_RootConstrainSelectedInstOperands,
     /* 57831 */   // GIR_Coverage, 1668,
     /* 57831 */   GIR_EraseRootFromParent_Done,
     /* 57832 */ // Label 1394: @57832
     /* 57832 */ GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(57930), // Rule ID 1669 //
     /* 57837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57853 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57857 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57861 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 57865 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 57869 */   // MIs[1] Operand 1
     /* 57869 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 57874 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57879 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57892 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57894 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), GPR64:{ *:[i64] }:$F)
     /* 57894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 57901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 57906 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 57910 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 57914 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 57916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 57919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 57921 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 57923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 57926 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 57928 */   GIR_RootConstrainSelectedInstOperands,
     /* 57929 */   // GIR_Coverage, 1669,
     /* 57929 */   GIR_EraseRootFromParent_Done,
     /* 57930 */ // Label 1395: @57930
     /* 57930 */ GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(58028), // Rule ID 1672 //
     /* 57935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 57938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 57941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 57944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 57947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57951 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 57955 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 57959 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 57963 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 57967 */   // MIs[1] Operand 1
     /* 57967 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 57972 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57977 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 57982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 57990 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 57992 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 57992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 57995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 57999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58004 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58008 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58012 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_I64),
     /* 58017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 58019 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58024 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58026 */   GIR_RootConstrainSelectedInstOperands,
     /* 58027 */   // GIR_Coverage, 1672,
     /* 58027 */   GIR_EraseRootFromParent_Done,
     /* 58028 */ // Label 1396: @58028
     /* 58028 */ GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(58126), // Rule ID 1676 //
     /* 58033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58049 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58053 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58057 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 58061 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 58065 */   // MIs[1] Operand 1
     /* 58065 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 58070 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58075 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58088 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58090 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVZ_I64_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 58090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 58093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 58097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58102 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58106 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_I64),
     /* 58115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 58117 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58119 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58122 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58124 */   GIR_RootConstrainSelectedInstOperands,
     /* 58125 */   // GIR_Coverage, 1676,
     /* 58125 */   GIR_EraseRootFromParent_Done,
     /* 58126 */ // Label 1397: @58126
     /* 58126 */ GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(58224), // Rule ID 1681 //
     /* 58131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58147 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58151 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58155 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58159 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58163 */   // MIs[1] Operand 1
     /* 58163 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 58168 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58173 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58182 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58186 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58188 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVN_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 58188 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58191 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 58195 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58200 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58204 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_I64),
     /* 58213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 58215 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58220 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58222 */   GIR_RootConstrainSelectedInstOperands,
     /* 58223 */   // GIR_Coverage, 1681,
     /* 58223 */   GIR_EraseRootFromParent_Done,
     /* 58224 */ // Label 1398: @58224
     /* 58224 */ GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(58322), // Rule ID 1687 //
     /* 58229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58245 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58249 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58253 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 58257 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 58261 */   // MIs[1] Operand 1
     /* 58261 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 58266 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58271 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 58284 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58286 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }), GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVN_I64_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), GPR64:{ *:[i64] }:$F)
     /* 58286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 58289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 58293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58298 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58302 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_I64),
     /* 58311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 58313 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58318 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58320 */   GIR_RootConstrainSelectedInstOperands,
     /* 58321 */   // GIR_Coverage, 1687,
     /* 58321 */   GIR_EraseRootFromParent_Done,
     /* 58322 */ // Label 1399: @58322
     /* 58322 */ GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(58420), // Rule ID 1716 //
     /* 58327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58343 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58347 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58351 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58355 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58359 */   // MIs[1] Operand 1
     /* 58359 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 58364 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58369 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58382 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58384 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 58384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 58391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58396 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58400 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32),
     /* 58409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 58411 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58413 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58416 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58418 */   GIR_RootConstrainSelectedInstOperands,
     /* 58419 */   // GIR_Coverage, 1716,
     /* 58419 */   GIR_EraseRootFromParent_Done,
     /* 58420 */ // Label 1400: @58420
     /* 58420 */ GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(58518), // Rule ID 1717 //
     /* 58425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58441 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58445 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58449 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58453 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58457 */   // MIs[1] Operand 1
     /* 58457 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 58462 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58467 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58480 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58482 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 58482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 58489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58494 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58498 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32),
     /* 58507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 58509 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58514 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58516 */   GIR_RootConstrainSelectedInstOperands,
     /* 58517 */   // GIR_Coverage, 1717,
     /* 58517 */   GIR_EraseRootFromParent_Done,
     /* 58518 */ // Label 1401: @58518
     /* 58518 */ GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(58616), // Rule ID 1720 //
     /* 58523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58539 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58543 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58547 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58551 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58555 */   // MIs[1] Operand 1
     /* 58555 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 58560 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58565 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58578 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58580 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), AFGR64:{ *:[f64] }:$F)
     /* 58580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 58587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58592 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58596 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32),
     /* 58605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 58607 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58609 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58612 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58614 */   GIR_RootConstrainSelectedInstOperands,
     /* 58615 */   // GIR_Coverage, 1720,
     /* 58615 */   GIR_EraseRootFromParent_Done,
     /* 58616 */ // Label 1402: @58616
     /* 58616 */ GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(58714), // Rule ID 1721 //
     /* 58621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58630 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58637 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58641 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58645 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58649 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58653 */   // MIs[1] Operand 1
     /* 58653 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 58658 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58663 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58676 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58678 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), AFGR64:{ *:[f64] }:$F)
     /* 58678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 58685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58690 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58694 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58698 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32),
     /* 58703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 58705 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58707 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58710 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58712 */   GIR_RootConstrainSelectedInstOperands,
     /* 58713 */   // GIR_Coverage, 1721,
     /* 58713 */   GIR_EraseRootFromParent_Done,
     /* 58714 */ // Label 1403: @58714
     /* 58714 */ GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(58812), // Rule ID 1724 //
     /* 58719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58735 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58739 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58743 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58747 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58751 */   // MIs[1] Operand 1
     /* 58751 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 58756 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58761 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58774 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58776 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 58776 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58779 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 58783 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58788 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58792 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58796 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32),
     /* 58801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 58803 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58805 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58808 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58810 */   GIR_RootConstrainSelectedInstOperands,
     /* 58811 */   // GIR_Coverage, 1724,
     /* 58811 */   GIR_EraseRootFromParent_Done,
     /* 58812 */ // Label 1404: @58812
     /* 58812 */ GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(58910), // Rule ID 1726 //
     /* 58817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58833 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58837 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58841 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58845 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58849 */   // MIs[1] Operand 1
     /* 58849 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 58854 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58859 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58868 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 58872 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58874 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 58874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 58881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58886 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58890 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D32),
     /* 58899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 58901 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 58903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 58906 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 58908 */   GIR_RootConstrainSelectedInstOperands,
     /* 58909 */   // GIR_Coverage, 1726,
     /* 58909 */   GIR_EraseRootFromParent_Done,
     /* 58910 */ // Label 1405: @58910
     /* 58910 */ GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(59008), // Rule ID 1729 //
     /* 58915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 58918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 58921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 58924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 58927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 58931 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 58935 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 58939 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 58943 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 58947 */   // MIs[1] Operand 1
     /* 58947 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 58952 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58957 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 58962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 58966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 58970 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 58972 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 58972 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 58975 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 58979 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 58984 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 58988 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 58992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 58994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 58997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 58999 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59001 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59004 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59006 */   GIR_RootConstrainSelectedInstOperands,
     /* 59007 */   // GIR_Coverage, 1729,
     /* 59007 */   GIR_EraseRootFromParent_Done,
     /* 59008 */ // Label 1406: @59008
     /* 59008 */ GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(59106), // Rule ID 1730 //
     /* 59013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59029 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59033 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59037 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 59041 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 59045 */   // MIs[1] Operand 1
     /* 59045 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 59050 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59055 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59068 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59070 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 59070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 59077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59082 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59086 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59090 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59097 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59099 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59102 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59104 */   GIR_RootConstrainSelectedInstOperands,
     /* 59105 */   // GIR_Coverage, 1730,
     /* 59105 */   GIR_EraseRootFromParent_Done,
     /* 59106 */ // Label 1407: @59106
     /* 59106 */ GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(59204), // Rule ID 1733 //
     /* 59111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59127 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59135 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 59139 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 59143 */   // MIs[1] Operand 1
     /* 59143 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 59148 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59153 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59166 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59168 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLT:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), FGR64:{ *:[f64] }:$F)
     /* 59168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT),
     /* 59175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59180 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59184 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59195 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59200 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59202 */   GIR_RootConstrainSelectedInstOperands,
     /* 59203 */   // GIR_Coverage, 1733,
     /* 59203 */   GIR_EraseRootFromParent_Done,
     /* 59204 */ // Label 1408: @59204
     /* 59204 */ GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(59302), // Rule ID 1734 //
     /* 59209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59225 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59229 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59233 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 59237 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 59241 */   // MIs[1] Operand 1
     /* 59241 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 59246 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59251 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59264 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59266 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLTu:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), FGR64:{ *:[f64] }:$F)
     /* 59266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu),
     /* 59273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59278 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59282 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59286 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59293 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59298 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59300 */   GIR_RootConstrainSelectedInstOperands,
     /* 59301 */   // GIR_Coverage, 1734,
     /* 59301 */   GIR_EraseRootFromParent_Done,
     /* 59302 */ // Label 1409: @59302
     /* 59302 */ GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(59400), // Rule ID 1737 //
     /* 59307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59323 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59327 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59331 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 59335 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 59339 */   // MIs[1] Operand 1
     /* 59339 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 59344 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59349 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59358 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59362 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59364 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 59364 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59367 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 59371 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59376 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59380 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59384 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59391 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59396 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59398 */   GIR_RootConstrainSelectedInstOperands,
     /* 59399 */   // GIR_Coverage, 1737,
     /* 59399 */   GIR_EraseRootFromParent_Done,
     /* 59400 */ // Label 1410: @59400
     /* 59400 */ GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(59498), // Rule ID 1738 //
     /* 59405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59421 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59425 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59429 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 59433 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 59437 */   // MIs[1] Operand 1
     /* 59437 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 59442 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59447 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59460 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59462 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 59462 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59465 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 59469 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59474 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59478 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59489 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59491 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59494 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59496 */   GIR_RootConstrainSelectedInstOperands,
     /* 59497 */   // GIR_Coverage, 1738,
     /* 59497 */   GIR_EraseRootFromParent_Done,
     /* 59498 */ // Label 1411: @59498
     /* 59498 */ GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(59596), // Rule ID 1741 //
     /* 59503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59519 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59523 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59527 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 59531 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 59535 */   // MIs[1] Operand 1
     /* 59535 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 59540 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59545 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59554 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59558 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59560 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLT64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), FGR64:{ *:[f64] }:$F)
     /* 59560 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59563 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT64),
     /* 59567 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59572 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59576 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59587 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59589 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59592 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59594 */   GIR_RootConstrainSelectedInstOperands,
     /* 59595 */   // GIR_Coverage, 1741,
     /* 59595 */   GIR_EraseRootFromParent_Done,
     /* 59596 */ // Label 1412: @59596
     /* 59596 */ GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(59694), // Rule ID 1742 //
     /* 59601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59617 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59621 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59625 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 59629 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 59633 */   // MIs[1] Operand 1
     /* 59633 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 59638 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59643 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59656 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59658 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (SLTu64:{ *:[i32] } GPR64:{ *:[i64] }:$rhs, GPR64:{ *:[i64] }:$lhs), FGR64:{ *:[f64] }:$F)
     /* 59658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu64),
     /* 59665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59670 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59674 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59685 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59690 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59692 */   GIR_RootConstrainSelectedInstOperands,
     /* 59693 */   // GIR_Coverage, 1742,
     /* 59693 */   GIR_EraseRootFromParent_Done,
     /* 59694 */ // Label 1413: @59694
     /* 59694 */ GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(59792), // Rule ID 1745 //
     /* 59699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59708 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59715 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59719 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59723 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 59727 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 59731 */   // MIs[1] Operand 1
     /* 59731 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 59736 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59741 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59750 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59754 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59756 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 59756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 59763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59768 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59772 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59776 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D64),
     /* 59781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59783 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59788 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59790 */   GIR_RootConstrainSelectedInstOperands,
     /* 59791 */   // GIR_Coverage, 1745,
     /* 59791 */   GIR_EraseRootFromParent_Done,
     /* 59792 */ // Label 1414: @59792
     /* 59792 */ GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(59890), // Rule ID 1747 //
     /* 59797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59813 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59817 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59821 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 59825 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 59829 */   // MIs[1] Operand 1
     /* 59829 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 59834 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59839 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 59844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59852 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59854 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVZ_I64_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 59854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 59857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 59861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59866 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59870 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I64_D64),
     /* 59879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59881 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59883 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59886 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59888 */   GIR_RootConstrainSelectedInstOperands,
     /* 59889 */   // GIR_Coverage, 1747,
     /* 59889 */   GIR_EraseRootFromParent_Done,
     /* 59890 */ // Label 1415: @59890
     /* 59890 */ GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(59988), // Rule ID 1749 //
     /* 59895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 59904 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 59907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59911 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 59915 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 59919 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 59923 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 59927 */   // MIs[1] Operand 1
     /* 59927 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 59932 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59937 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 59942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 59950 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 59952 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (XOR:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 59952 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 59955 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR),
     /* 59959 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 59964 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 59968 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 59972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 59974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D64),
     /* 59977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 59979 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 59981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 59984 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 59986 */   GIR_RootConstrainSelectedInstOperands,
     /* 59987 */   // GIR_Coverage, 1749,
     /* 59987 */   GIR_EraseRootFromParent_Done,
     /* 59988 */ // Label 1416: @59988
     /* 59988 */ GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(60086), // Rule ID 1752 //
     /* 59993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 59996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 59999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60009 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 60013 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 60017 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 60021 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 60025 */   // MIs[1] Operand 1
     /* 60025 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 60030 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60035 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60048 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 60050 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }), FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVN_I64_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, (XOR64:{ *:[i64] } GPR64:{ *:[i64] }:$lhs, GPR64:{ *:[i64] }:$rhs), FGR64:{ *:[f64] }:$F)
     /* 60050 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 60053 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR64),
     /* 60057 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 60062 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 60066 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 60070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 60072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_D64),
     /* 60075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60077 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 60082 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60084 */   GIR_RootConstrainSelectedInstOperands,
     /* 60085 */   // GIR_Coverage, 1752,
     /* 60085 */   GIR_EraseRootFromParent_Done,
     /* 60086 */ // Label 1417: @60086
     /* 60086 */ GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(60184), // Rule ID 2281 //
     /* 60091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 60094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60107 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 60111 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 60115 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 60119 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 60123 */   // MIs[1] Operand 1
     /* 60123 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 60128 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60133 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60142 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60146 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 60148 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 60148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 60151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 60155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 60160 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 60164 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 60168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 60170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32_MM),
     /* 60173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60175 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 60180 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60182 */   GIR_RootConstrainSelectedInstOperands,
     /* 60183 */   // GIR_Coverage, 2281,
     /* 60183 */   GIR_EraseRootFromParent_Done,
     /* 60184 */ // Label 1418: @60184
     /* 60184 */ GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(60282), // Rule ID 2282 //
     /* 60189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 60192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60205 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 60209 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 60213 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 60217 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 60221 */   // MIs[1] Operand 1
     /* 60221 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 60226 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60231 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60244 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 60246 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 60246 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 60249 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 60253 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 60258 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 60262 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 60266 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 60268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32_MM),
     /* 60271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60273 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60275 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 60278 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60280 */   GIR_RootConstrainSelectedInstOperands,
     /* 60281 */   // GIR_Coverage, 2282,
     /* 60281 */   GIR_EraseRootFromParent_Done,
     /* 60282 */ // Label 1419: @60282
     /* 60282 */ GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(60380), // Rule ID 2285 //
     /* 60287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 60290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60303 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 60307 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 60311 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 60315 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 60319 */   // MIs[1] Operand 1
     /* 60319 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 60324 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60329 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60342 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 60344 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLT_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), AFGR64:{ *:[f64] }:$F)
     /* 60344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 60347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLT_MM),
     /* 60351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 60356 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 60360 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 60364 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 60366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32_MM),
     /* 60369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60371 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60373 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 60376 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60378 */   GIR_RootConstrainSelectedInstOperands,
     /* 60379 */   // GIR_Coverage, 2285,
     /* 60379 */   GIR_EraseRootFromParent_Done,
     /* 60380 */ // Label 1420: @60380
     /* 60380 */ GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(60478), // Rule ID 2286 //
     /* 60385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 60388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60401 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 60405 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 60409 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 60413 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 60417 */   // MIs[1] Operand 1
     /* 60417 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 60422 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60427 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60440 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 60442 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (SLTu_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rhs, GPR32:{ *:[i32] }:$lhs), AFGR64:{ *:[f64] }:$F)
     /* 60442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 60445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SLTu_MM),
     /* 60449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 60454 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 60458 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 60462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 60464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32_MM),
     /* 60467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60469 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 60474 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60476 */   GIR_RootConstrainSelectedInstOperands,
     /* 60477 */   // GIR_Coverage, 2286,
     /* 60477 */   GIR_EraseRootFromParent_Done,
     /* 60478 */ // Label 1421: @60478
     /* 60478 */ GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(60576), // Rule ID 2289 //
     /* 60483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 60486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60499 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 60503 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 60507 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 60511 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 60515 */   // MIs[1] Operand 1
     /* 60515 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 60520 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60525 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60538 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 60540 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVZ_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 60540 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 60543 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 60547 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 60552 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 60556 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 60560 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 60562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVZ_I_D32_MM),
     /* 60565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60567 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60569 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 60572 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60574 */   GIR_RootConstrainSelectedInstOperands,
     /* 60575 */   // GIR_Coverage, 2289,
     /* 60575 */   GIR_EraseRootFromParent_Done,
     /* 60576 */ // Label 1422: @60576
     /* 60576 */ GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(60674), // Rule ID 2291 //
     /* 60581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 60584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60597 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 60601 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 60605 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 60609 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 60613 */   // MIs[1] Operand 1
     /* 60613 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 60618 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60623 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60636 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 60638 */   // (select:{ *:[f64] } (setcc:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }), AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, (XOR_MM:{ *:[i32] } GPR32:{ *:[i32] }:$lhs, GPR32:{ *:[i32] }:$rhs), AFGR64:{ *:[f64] }:$F)
     /* 60638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 60641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::XOR_MM),
     /* 60645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 60650 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // lhs
     /* 60654 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // rhs
     /* 60658 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 60660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D32_MM),
     /* 60663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60665 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 60670 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60672 */   GIR_RootConstrainSelectedInstOperands,
     /* 60673 */   // GIR_Coverage, 2291,
     /* 60673 */   GIR_EraseRootFromParent_Done,
     /* 60674 */ // Label 1423: @60674
     /* 60674 */ GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(60714), // Rule ID 296 //
     /* 60679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotMips4_32),
     /* 60682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60703 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60707 */   // (select:{ *:[i64] } GPR32Opnd:{ *:[i32] }:$cond, GPR64Opnd:{ *:[i64] }:$T, GPR64Opnd:{ *:[i64] }:$F)  =>  (PseudoSELECT_I64:{ *:[i64] } GPR32Opnd:{ *:[i32] }:$cond, GPR64Opnd:{ *:[i64] }:$T, GPR64Opnd:{ *:[i64] }:$F)
     /* 60707 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoSELECT_I64),
     /* 60712 */   GIR_RootConstrainSelectedInstOperands,
     /* 60713 */   // GIR_Coverage, 296,
     /* 60713 */   GIR_Done,
     /* 60714 */ // Label 1424: @60714
     /* 60714 */ GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(60754), // Rule ID 298 //
     /* 60719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotFP64bit_NotMips4_32),
     /* 60722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60743 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60747 */   // (select:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$cond, AFGR64Opnd:{ *:[f64] }:$T, AFGR64Opnd:{ *:[f64] }:$F)  =>  (PseudoSELECT_D32:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$cond, AFGR64Opnd:{ *:[f64] }:$T, AFGR64Opnd:{ *:[f64] }:$F)
     /* 60747 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoSELECT_D32),
     /* 60752 */   GIR_RootConstrainSelectedInstOperands,
     /* 60753 */   // GIR_Coverage, 298,
     /* 60753 */   GIR_Done,
     /* 60754 */ // Label 1425: @60754
     /* 60754 */ GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(60794), // Rule ID 299 //
     /* 60759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_NotMips4_32),
     /* 60762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60787 */   // (select:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$cond, FGR64Opnd:{ *:[f64] }:$T, FGR64Opnd:{ *:[f64] }:$F)  =>  (PseudoSELECT_D64:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$cond, FGR64Opnd:{ *:[f64] }:$T, FGR64Opnd:{ *:[f64] }:$F)
     /* 60787 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoSELECT_D64),
     /* 60792 */   GIR_RootConstrainSelectedInstOperands,
     /* 60793 */   // GIR_Coverage, 299,
     /* 60793 */   GIR_Done,
     /* 60794 */ // Label 1426: @60794
     /* 60794 */ GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(60840), // Rule ID 1682 //
     /* 60799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 60802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60808 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60823 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60827 */   // (select:{ *:[i64] } GPR32:{ *:[i32] }:$cond, GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVN_I_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, GPR32:{ *:[i32] }:$cond, GPR64:{ *:[i64] }:$F)
     /* 60827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_I64),
     /* 60830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 60832 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60834 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 60836 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60838 */   GIR_RootConstrainSelectedInstOperands,
     /* 60839 */   // GIR_Coverage, 1682,
     /* 60839 */   GIR_EraseRootFromParent_Done,
     /* 60840 */ // Label 1427: @60840
     /* 60840 */ GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(60886), // Rule ID 1688 //
     /* 60845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 60848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 60851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60869 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 60873 */   // (select:{ *:[i64] } GPR64:{ *:[i64] }:$cond, GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$F)  =>  (MOVN_I64_I64:{ *:[i64] } GPR64:{ *:[i64] }:$T, GPR64:{ *:[i64] }:$cond, GPR64:{ *:[i64] }:$F)
     /* 60873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_I64),
     /* 60876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 60878 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60880 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 60882 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60884 */   GIR_RootConstrainSelectedInstOperands,
     /* 60885 */   // GIR_Coverage, 1688,
     /* 60885 */   GIR_EraseRootFromParent_Done,
     /* 60886 */ // Label 1428: @60886
     /* 60886 */ GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(60932), // Rule ID 1727 //
     /* 60891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 60894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60900 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 60919 */   // (select:{ *:[f64] } GPR32:{ *:[i32] }:$cond, AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D32:{ *:[f64] } AFGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$cond, AFGR64:{ *:[f64] }:$F)
     /* 60919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D32),
     /* 60922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60924 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60926 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 60928 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60930 */   GIR_RootConstrainSelectedInstOperands,
     /* 60931 */   // GIR_Coverage, 1727,
     /* 60931 */   GIR_EraseRootFromParent_Done,
     /* 60932 */ // Label 1429: @60932
     /* 60932 */ GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(60978), // Rule ID 1750 //
     /* 60937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 60940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 60943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 60957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60961 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60965 */   // (select:{ *:[f64] } GPR32:{ *:[i32] }:$cond, FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$cond, FGR64:{ *:[f64] }:$F)
     /* 60965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D64),
     /* 60968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 60970 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 60972 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 60974 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 60976 */   GIR_RootConstrainSelectedInstOperands,
     /* 60977 */   // GIR_Coverage, 1750,
     /* 60977 */   GIR_EraseRootFromParent_Done,
     /* 60978 */ // Label 1430: @60978
     /* 60978 */ GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(61024), // Rule ID 1753 //
     /* 60983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips4_32_HasStdEnc_IsFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 60986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 60989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 60992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 60995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 60999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 61007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 61011 */   // (select:{ *:[f64] } GPR64:{ *:[i64] }:$cond, FGR64:{ *:[f64] }:$T, FGR64:{ *:[f64] }:$F)  =>  (MOVN_I64_D64:{ *:[f64] } FGR64:{ *:[f64] }:$T, GPR64:{ *:[i64] }:$cond, FGR64:{ *:[f64] }:$F)
     /* 61011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I64_D64),
     /* 61014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 61016 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 61018 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 61020 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 61022 */   GIR_RootConstrainSelectedInstOperands,
     /* 61023 */   // GIR_Coverage, 1753,
     /* 61023 */   GIR_EraseRootFromParent_Done,
     /* 61024 */ // Label 1431: @61024
     /* 61024 */ GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(61070), // Rule ID 2292 //
     /* 61029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit_NotMips32r6),
     /* 61032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 61035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 61038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 61041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 61045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 61049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 61053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 61057 */   // (select:{ *:[f64] } GPR32:{ *:[i32] }:$cond, AFGR64:{ *:[f64] }:$T, AFGR64:{ *:[f64] }:$F)  =>  (MOVN_I_D32_MM:{ *:[f64] } AFGR64:{ *:[f64] }:$T, GPR32:{ *:[i32] }:$cond, AFGR64:{ *:[f64] }:$F)
     /* 61057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MOVN_I_D32_MM),
     /* 61060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 61062 */   GIR_RootToRootCopy, /*OpIdx*/2, // T
     /* 61064 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 61066 */   GIR_RootToRootCopy, /*OpIdx*/3, // F
     /* 61068 */   GIR_RootConstrainSelectedInstOperands,
     /* 61069 */   // GIR_Coverage, 2292,
     /* 61069 */   GIR_EraseRootFromParent_Done,
     /* 61070 */ // Label 1432: @61070
     /* 61070 */ GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(61148), // Rule ID 1798 //
     /* 61075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc),
     /* 61078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 61081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 61084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 61087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61091 */   // (select:{ *:[i64] } i64:{ *:[i64] }:$cond, i64:{ *:[i64] }:$t, i64:{ *:[i64] }:$f)  =>  (OR64:{ *:[i64] } (SELNEZ64:{ *:[i64] } i64:{ *:[i64] }:$t, i64:{ *:[i64] }:$cond), (SELEQZ64:{ *:[i64] } i64:{ *:[i64] }:$f, i64:{ *:[i64] }:$cond))
     /* 61091 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 61094 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SELEQZ64),
     /* 61098 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 61103 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // f
     /* 61107 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 61111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 61113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 61116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SELNEZ64),
     /* 61120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 61125 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // t
     /* 61129 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 61133 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 61135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::OR64),
     /* 61138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 61140 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 61143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 61146 */   GIR_RootConstrainSelectedInstOperands,
     /* 61147 */   // GIR_Coverage, 1798,
     /* 61147 */   GIR_EraseRootFromParent_Done,
     /* 61148 */ // Label 1433: @61148
     /* 61148 */ GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(61260), // Rule ID 1809 //
     /* 61153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc),
     /* 61156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 61159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 61162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 61165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61169 */   // (select:{ *:[i64] } i32:{ *:[i32] }:$cond, i64:{ *:[i64] }:$t, i64:{ *:[i64] }:$f)  =>  (OR64:{ *:[i64] } (SELNEZ64:{ *:[i64] } i64:{ *:[i64] }:$t, (SLL64_32:{ *:[i64] } i32:{ *:[i32] }:$cond)), (SELEQZ64:{ *:[i64] } i64:{ *:[i64] }:$f, (SLL64_32:{ *:[i64] } i32:{ *:[i32] }:$cond)))
     /* 61169 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 61172 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(Mips::SLL64_32),
     /* 61176 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 61181 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 61185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 61187 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 61190 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(Mips::SELEQZ64),
     /* 61194 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 61199 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // f
     /* 61203 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 61206 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 61208 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 61211 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(Mips::SLL64_32),
     /* 61215 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 61220 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // cond
     /* 61224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 61226 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 61229 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::SELNEZ64),
     /* 61233 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 61238 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // t
     /* 61242 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 61245 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 61247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::OR64),
     /* 61250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 61252 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 61255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 61258 */   GIR_RootConstrainSelectedInstOperands,
     /* 61259 */   // GIR_Coverage, 1809,
     /* 61259 */   GIR_EraseRootFromParent_Done,
     /* 61260 */ // Label 1434: @61260
     /* 61260 */ GIM_Reject,
     /* 61261 */ // Label 1291: @61261
     /* 61261 */ GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(61334),
     /* 61266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 61269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 61272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 61275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 61279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 61283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 61287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 61291 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(61312), // Rule ID 583 //
     /* 61296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61299 */     // (vselect:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$wt, MSA128DOpnd:{ *:[v2i64] }:$ws)  =>  (BSEL_D_PSEUDO:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 61299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BSEL_D_PSEUDO),
     /* 61302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61304 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 61306 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 61308 */     GIR_RootToRootCopy, /*OpIdx*/2, // wt
     /* 61310 */     GIR_RootConstrainSelectedInstOperands,
     /* 61311 */     // GIR_Coverage, 583,
     /* 61311 */     GIR_EraseRootFromParent_Done,
     /* 61312 */   // Label 1436: @61312
     /* 61312 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(61333), // Rule ID 585 //
     /* 61317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61320 */     // (vselect:{ *:[v2f64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2f64] }:$wt, MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (BSEL_FD_PSEUDO:{ *:[v2f64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 61320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BSEL_FD_PSEUDO),
     /* 61323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61325 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 61327 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 61329 */     GIR_RootToRootCopy, /*OpIdx*/2, // wt
     /* 61331 */     GIR_RootConstrainSelectedInstOperands,
     /* 61332 */     // GIR_Coverage, 585,
     /* 61332 */     GIR_EraseRootFromParent_Done,
     /* 61333 */   // Label 1437: @61333
     /* 61333 */   GIM_Reject,
     /* 61334 */ // Label 1435: @61334
     /* 61334 */ GIM_Reject,
     /* 61335 */ // Label 1292: @61335
     /* 61335 */ GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(61408),
     /* 61340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 61343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 61346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 61349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 61353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 61357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 61361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 61365 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(61386), // Rule ID 582 //
     /* 61370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61373 */     // (vselect:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$wt, MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (BSEL_W_PSEUDO:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 61373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BSEL_W_PSEUDO),
     /* 61376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61378 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 61380 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 61382 */     GIR_RootToRootCopy, /*OpIdx*/2, // wt
     /* 61384 */     GIR_RootConstrainSelectedInstOperands,
     /* 61385 */     // GIR_Coverage, 582,
     /* 61385 */     GIR_EraseRootFromParent_Done,
     /* 61386 */   // Label 1439: @61386
     /* 61386 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(61407), // Rule ID 584 //
     /* 61391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61394 */     // (vselect:{ *:[v4f32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4f32] }:$wt, MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (BSEL_FW_PSEUDO:{ *:[v4f32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 61394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BSEL_FW_PSEUDO),
     /* 61397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61399 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 61401 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 61403 */     GIR_RootToRootCopy, /*OpIdx*/2, // wt
     /* 61405 */     GIR_RootConstrainSelectedInstOperands,
     /* 61406 */     // GIR_Coverage, 584,
     /* 61406 */     GIR_EraseRootFromParent_Done,
     /* 61407 */   // Label 1440: @61407
     /* 61407 */   GIM_Reject,
     /* 61408 */ // Label 1438: @61408
     /* 61408 */ GIM_Reject,
     /* 61409 */ // Label 1293: @61409
     /* 61409 */ GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(61455), // Rule ID 581 //
     /* 61414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 61420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 61423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 61426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 61430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 61434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 61438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 61442 */   // (vselect:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$wt, MSA128HOpnd:{ *:[v8i16] }:$ws)  =>  (BSEL_H_PSEUDO:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 61442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BSEL_H_PSEUDO),
     /* 61445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61447 */   GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 61449 */   GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 61451 */   GIR_RootToRootCopy, /*OpIdx*/2, // wt
     /* 61453 */   GIR_RootConstrainSelectedInstOperands,
     /* 61454 */   // GIR_Coverage, 581,
     /* 61454 */   GIR_EraseRootFromParent_Done,
     /* 61455 */ // Label 1441: @61455
     /* 61455 */ GIM_Reject,
     /* 61456 */ // Label 1294: @61456
     /* 61456 */ GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(61550),
     /* 61461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 61464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 61467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 61470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 61474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 61478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 61482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 61486 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(61507), // Rule ID 568 //
     /* 61491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61494 */     // (vselect:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wt, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wd_in)  =>  (BMNZ_V:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 61494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BMNZ_V),
     /* 61497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61499 */     GIR_RootToRootCopy, /*OpIdx*/3, // wd_in
     /* 61501 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 61503 */     GIR_RootToRootCopy, /*OpIdx*/1, // wt
     /* 61505 */     GIR_RootConstrainSelectedInstOperands,
     /* 61506 */     // GIR_Coverage, 568,
     /* 61506 */     GIR_EraseRootFromParent_Done,
     /* 61507 */   // Label 1443: @61507
     /* 61507 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(61528), // Rule ID 570 //
     /* 61512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61515 */     // (vselect:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wt, MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws)  =>  (BMZ_V:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 61515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BMZ_V),
     /* 61518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61520 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd_in
     /* 61522 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 61524 */     GIR_RootToRootCopy, /*OpIdx*/1, // wt
     /* 61526 */     GIR_RootConstrainSelectedInstOperands,
     /* 61527 */     // GIR_Coverage, 570,
     /* 61527 */     GIR_EraseRootFromParent_Done,
     /* 61528 */   // Label 1444: @61528
     /* 61528 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(61549), // Rule ID 580 //
     /* 61533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 61536 */     // (vselect:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$wt, MSA128BOpnd:{ *:[v16i8] }:$ws)  =>  (BSEL_V:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 61536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::BSEL_V),
     /* 61539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 61541 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 61543 */     GIR_RootToRootCopy, /*OpIdx*/3, // ws
     /* 61545 */     GIR_RootToRootCopy, /*OpIdx*/2, // wt
     /* 61547 */     GIR_RootConstrainSelectedInstOperands,
     /* 61548 */     // GIR_Coverage, 580,
     /* 61548 */     GIR_EraseRootFromParent_Done,
     /* 61549 */   // Label 1445: @61549
     /* 61549 */   GIM_Reject,
     /* 61550 */ // Label 1442: @61550
     /* 61550 */ GIM_Reject,
     /* 61551 */ // Label 1295: @61551
     /* 61551 */ GIM_Reject,
     /* 61552 */ // Label 44: @61552
     /* 61552 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1448*/ GIMT_Encode4(61660),
     /* 61563 */ /*GILLT_s32*//*Label 1446*/ GIMT_Encode4(61571),
     /* 61567 */ /*GILLT_s64*//*Label 1447*/ GIMT_Encode4(61626),
     /* 61571 */ // Label 1446: @61571
     /* 61571 */ GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(61625),
     /* 61576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 61579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 61582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 61586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 61590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 61594 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(61609), // Rule ID 331 //
     /* 61599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 61602 */     // (mulhu:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUHU:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 61602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUHU),
     /* 61607 */     GIR_RootConstrainSelectedInstOperands,
     /* 61608 */     // GIR_Coverage, 331,
     /* 61608 */     GIR_Done,
     /* 61609 */   // Label 1450: @61609
     /* 61609 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(61624), // Rule ID 1181 //
     /* 61614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 61617 */     // (mulhu:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUHU_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 61617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUHU_MMR6),
     /* 61622 */     GIR_RootConstrainSelectedInstOperands,
     /* 61623 */     // GIR_Coverage, 1181,
     /* 61623 */     GIR_Done,
     /* 61624 */   // Label 1451: @61624
     /* 61624 */   GIM_Reject,
     /* 61625 */ // Label 1449: @61625
     /* 61625 */ GIM_Reject,
     /* 61626 */ // Label 1447: @61626
     /* 61626 */ GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(61659), // Rule ID 346 //
     /* 61631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /* 61634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 61637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 61640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61652 */   // (mulhu:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DMUHU:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /* 61652 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMUHU),
     /* 61657 */   GIR_RootConstrainSelectedInstOperands,
     /* 61658 */   // GIR_Coverage, 346,
     /* 61658 */   GIR_Done,
     /* 61659 */ // Label 1452: @61659
     /* 61659 */ GIM_Reject,
     /* 61660 */ // Label 1448: @61660
     /* 61660 */ GIM_Reject,
     /* 61661 */ // Label 45: @61661
     /* 61661 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1455*/ GIMT_Encode4(61769),
     /* 61672 */ /*GILLT_s32*//*Label 1453*/ GIMT_Encode4(61680),
     /* 61676 */ /*GILLT_s64*//*Label 1454*/ GIMT_Encode4(61735),
     /* 61680 */ // Label 1453: @61680
     /* 61680 */ GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(61734),
     /* 61685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 61688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 61691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 61695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 61699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 61703 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(61718), // Rule ID 330 //
     /* 61708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 61711 */     // (mulhs:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUH:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 61711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUH),
     /* 61716 */     GIR_RootConstrainSelectedInstOperands,
     /* 61717 */     // GIR_Coverage, 330,
     /* 61717 */     GIR_Done,
     /* 61718 */   // Label 1457: @61718
     /* 61718 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(61733), // Rule ID 1180 //
     /* 61723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 61726 */     // (mulhs:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)  =>  (MUH_MMR6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, GPR32Opnd:{ *:[i32] }:$rt)
     /* 61726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MUH_MMR6),
     /* 61731 */     GIR_RootConstrainSelectedInstOperands,
     /* 61732 */     // GIR_Coverage, 1180,
     /* 61732 */     GIR_Done,
     /* 61733 */   // Label 1458: @61733
     /* 61733 */   GIM_Reject,
     /* 61734 */ // Label 1456: @61734
     /* 61734 */ GIM_Reject,
     /* 61735 */ // Label 1454: @61735
     /* 61735 */ GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(61768), // Rule ID 345 //
     /* 61740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /* 61743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 61746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 61749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 61761 */   // (mulhs:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)  =>  (DMUH:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, GPR64Opnd:{ *:[i64] }:$rt)
     /* 61761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DMUH),
     /* 61766 */   GIR_RootConstrainSelectedInstOperands,
     /* 61767 */   // GIR_Coverage, 345,
     /* 61767 */   GIR_Done,
     /* 61768 */ // Label 1459: @61768
     /* 61768 */ GIM_Reject,
     /* 61769 */ // Label 1455: @61769
     /* 61769 */ GIM_Reject,
     /* 61770 */ // Label 46: @61770
     /* 61770 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(7), /*)*//*default:*//*Label 1464*/ GIMT_Encode4(62682),
     /* 61781 */ /*GILLT_s32*//*Label 1460*/ GIMT_Encode4(61805),
     /* 61785 */ /*GILLT_s64*//*Label 1461*/ GIMT_Encode4(62009), GIMT_Encode4(0),
     /* 61793 */ /*GILLT_v2s64*//*Label 1462*/ GIMT_Encode4(62374), GIMT_Encode4(0),
     /* 61801 */ /*GILLT_v4s32*//*Label 1463*/ GIMT_Encode4(62528),
     /* 61805 */ // Label 1460: @61805
     /* 61805 */ GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(62008),
     /* 61810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 61813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 61816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61820 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(61877), // Rule ID 163 //
     /* 61825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 61828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 61832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 61836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 61840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 61844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 61860 */     // (fadd:{ *:[f32] } (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft), FGR32Opnd:{ *:[f32] }:$fr)  =>  (MADD_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 61860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_S),
     /* 61863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 61865 */     GIR_RootToRootCopy, /*OpIdx*/2, // fr
     /* 61867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 61871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 61875 */     GIR_RootConstrainSelectedInstOperands,
     /* 61876 */     // GIR_Coverage, 163,
     /* 61876 */     GIR_EraseRootFromParent_Done,
     /* 61877 */   // Label 1466: @61877
     /* 61877 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(61934), // Rule ID 2356 //
     /* 61882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 61885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 61893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 61897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 61901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 61905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 61917 */     // (fadd:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft))  =>  (MADD_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 61917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_S),
     /* 61920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 61922 */     GIR_RootToRootCopy, /*OpIdx*/1, // fr
     /* 61924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 61928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 61932 */     GIR_RootConstrainSelectedInstOperands,
     /* 61933 */     // GIR_Coverage, 2356,
     /* 61933 */     GIR_EraseRootFromParent_Done,
     /* 61934 */   // Label 1467: @61934
     /* 61934 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(61957), // Rule ID 151 //
     /* 61939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 61942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61950 */     // (fadd:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FADD_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 61950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_S),
     /* 61955 */     GIR_RootConstrainSelectedInstOperands,
     /* 61956 */     // GIR_Coverage, 151,
     /* 61956 */     GIR_Done,
     /* 61957 */   // Label 1468: @61957
     /* 61957 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(61980), // Rule ID 1130 //
     /* 61962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /* 61965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61973 */     // (fadd:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FADD_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 61973 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_S_MM),
     /* 61978 */     GIR_RootConstrainSelectedInstOperands,
     /* 61979 */     // GIR_Coverage, 1130,
     /* 61979 */     GIR_Done,
     /* 61980 */   // Label 1469: @61980
     /* 61980 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(62007), // Rule ID 1188 //
     /* 61985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 61988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 61996 */     // (fadd:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FADD_S_MMR6:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$ft, FGR32Opnd:{ *:[f32] }:$fs)
     /* 61996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FADD_S_MMR6),
     /* 61999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62001 */     GIR_RootToRootCopy, /*OpIdx*/2, // ft
     /* 62003 */     GIR_RootToRootCopy, /*OpIdx*/1, // fs
     /* 62005 */     GIR_RootConstrainSelectedInstOperands,
     /* 62006 */     // GIR_Coverage, 1188,
     /* 62006 */     GIR_EraseRootFromParent_Done,
     /* 62007 */   // Label 1470: @62007
     /* 62007 */   GIM_Reject,
     /* 62008 */ // Label 1465: @62008
     /* 62008 */ GIM_Reject,
     /* 62009 */ // Label 1461: @62009
     /* 62009 */ GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(62373),
     /* 62014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 62017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 62020 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(62081), // Rule ID 165 //
     /* 62025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 62028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 62036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 62044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 62048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62064 */     // (fadd:{ *:[f64] } (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft), AFGR64Opnd:{ *:[f64] }:$fr)  =>  (MADD_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 62064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_D32),
     /* 62067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62069 */     GIR_RootToRootCopy, /*OpIdx*/2, // fr
     /* 62071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 62075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 62079 */     GIR_RootConstrainSelectedInstOperands,
     /* 62080 */     // GIR_Coverage, 165,
     /* 62080 */     GIR_EraseRootFromParent_Done,
     /* 62081 */   // Label 1472: @62081
     /* 62081 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(62142), // Rule ID 167 //
     /* 62086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 62089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 62097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 62105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 62109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62125 */     // (fadd:{ *:[f64] } (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft), FGR64Opnd:{ *:[f64] }:$fr)  =>  (MADD_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 62125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_D64),
     /* 62128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62130 */     GIR_RootToRootCopy, /*OpIdx*/2, // fr
     /* 62132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 62136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 62140 */     GIR_RootConstrainSelectedInstOperands,
     /* 62141 */     // GIR_Coverage, 167,
     /* 62141 */     GIR_EraseRootFromParent_Done,
     /* 62142 */   // Label 1473: @62142
     /* 62142 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(62203), // Rule ID 2357 //
     /* 62147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 62150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 62162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 62170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 62174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62186 */     // (fadd:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft))  =>  (MADD_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 62186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_D32),
     /* 62189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62191 */     GIR_RootToRootCopy, /*OpIdx*/1, // fr
     /* 62193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 62197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 62201 */     GIR_RootConstrainSelectedInstOperands,
     /* 62202 */     // GIR_Coverage, 2357,
     /* 62202 */     GIR_EraseRootFromParent_Done,
     /* 62203 */   // Label 1474: @62203
     /* 62203 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(62264), // Rule ID 2358 //
     /* 62208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 62211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 62223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 62231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 62235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62247 */     // (fadd:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft))  =>  (MADD_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 62247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MADD_D64),
     /* 62250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62252 */     GIR_RootToRootCopy, /*OpIdx*/1, // fr
     /* 62254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 62258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 62262 */     GIR_RootConstrainSelectedInstOperands,
     /* 62263 */     // GIR_Coverage, 2358,
     /* 62263 */     GIR_EraseRootFromParent_Done,
     /* 62264 */   // Label 1475: @62264
     /* 62264 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(62291), // Rule ID 152 //
     /* 62269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips),
     /* 62272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62284 */     // (fadd:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FADD_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 62284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_D32),
     /* 62289 */     GIR_RootConstrainSelectedInstOperands,
     /* 62290 */     // GIR_Coverage, 152,
     /* 62290 */     GIR_Done,
     /* 62291 */   // Label 1476: @62291
     /* 62291 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(62318), // Rule ID 153 //
     /* 62296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips),
     /* 62299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62311 */     // (fadd:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FADD_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 62311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_D64),
     /* 62316 */     GIR_RootConstrainSelectedInstOperands,
     /* 62317 */     // GIR_Coverage, 153,
     /* 62317 */     GIR_Done,
     /* 62318 */   // Label 1477: @62318
     /* 62318 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(62345), // Rule ID 1134 //
     /* 62323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit),
     /* 62326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62338 */     // (fadd:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FADD_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 62338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_D32_MM),
     /* 62343 */     GIR_RootConstrainSelectedInstOperands,
     /* 62344 */     // GIR_Coverage, 1134,
     /* 62344 */     GIR_Done,
     /* 62345 */   // Label 1478: @62345
     /* 62345 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(62372), // Rule ID 1135 //
     /* 62350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat),
     /* 62353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62365 */     // (fadd:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FADD_D64_MM:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 62365 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_D64_MM),
     /* 62370 */     GIR_RootConstrainSelectedInstOperands,
     /* 62371 */     // GIR_Coverage, 1135,
     /* 62371 */     GIR_Done,
     /* 62372 */   // Label 1479: @62372
     /* 62372 */   GIM_Reject,
     /* 62373 */ // Label 1471: @62373
     /* 62373 */ GIM_Reject,
     /* 62374 */ // Label 1462: @62374
     /* 62374 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(62527),
     /* 62379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 62382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 62385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62389 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(62446), // Rule ID 2463 //
     /* 62394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowFPOpFusion_HasMSA_HasStdEnc),
     /* 62397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 62401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 62409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 62413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62429 */     // (fadd:{ *:[v2f64] } (fmul:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt), MSA128DOpnd:{ *:[v2f64] }:$wd)  =>  (FMADD_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 62429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMADD_D),
     /* 62432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 62434 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd
     /* 62436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /* 62440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 62444 */     GIR_RootConstrainSelectedInstOperands,
     /* 62445 */     // GIR_Coverage, 2463,
     /* 62445 */     GIR_EraseRootFromParent_Done,
     /* 62446 */   // Label 1481: @62446
     /* 62446 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(62503), // Rule ID 1993 //
     /* 62451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowFPOpFusion_HasMSA_HasStdEnc),
     /* 62454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 62462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 62470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 62474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62486 */     // (fadd:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd, (fmul:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt))  =>  (FMADD_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 62486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMADD_D),
     /* 62489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 62491 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd
     /* 62493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /* 62497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 62501 */     GIR_RootConstrainSelectedInstOperands,
     /* 62502 */     // GIR_Coverage, 1993,
     /* 62502 */     GIR_EraseRootFromParent_Done,
     /* 62503 */   // Label 1482: @62503
     /* 62503 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(62526), // Rule ID 671 //
     /* 62508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 62511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 62519 */     // (fadd:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FADD_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 62519 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_D),
     /* 62524 */     GIR_RootConstrainSelectedInstOperands,
     /* 62525 */     // GIR_Coverage, 671,
     /* 62525 */     GIR_Done,
     /* 62526 */   // Label 1483: @62526
     /* 62526 */   GIM_Reject,
     /* 62527 */ // Label 1480: @62527
     /* 62527 */ GIM_Reject,
     /* 62528 */ // Label 1463: @62528
     /* 62528 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(62681),
     /* 62533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 62536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 62539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62543 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(62600), // Rule ID 2462 //
     /* 62548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowFPOpFusion_HasMSA_HasStdEnc),
     /* 62551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 62555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 62563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 62567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62583 */     // (fadd:{ *:[v4f32] } (fmul:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt), MSA128WOpnd:{ *:[v4f32] }:$wd)  =>  (FMADD_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 62583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMADD_W),
     /* 62586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 62588 */     GIR_RootToRootCopy, /*OpIdx*/2, // wd
     /* 62590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /* 62594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 62598 */     GIR_RootConstrainSelectedInstOperands,
     /* 62599 */     // GIR_Coverage, 2462,
     /* 62599 */     GIR_EraseRootFromParent_Done,
     /* 62600 */   // Label 1485: @62600
     /* 62600 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(62657), // Rule ID 1992 //
     /* 62605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowFPOpFusion_HasMSA_HasStdEnc),
     /* 62608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 62616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 62624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 62628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62640 */     // (fadd:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd, (fmul:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt))  =>  (FMADD_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 62640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMADD_W),
     /* 62643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 62645 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd
     /* 62647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /* 62651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 62655 */     GIR_RootConstrainSelectedInstOperands,
     /* 62656 */     // GIR_Coverage, 1992,
     /* 62656 */     GIR_EraseRootFromParent_Done,
     /* 62657 */   // Label 1486: @62657
     /* 62657 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(62680), // Rule ID 670 //
     /* 62662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 62665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 62673 */     // (fadd:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FADD_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 62673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FADD_W),
     /* 62678 */     GIR_RootConstrainSelectedInstOperands,
     /* 62679 */     // GIR_Coverage, 670,
     /* 62679 */     GIR_Done,
     /* 62680 */   // Label 1487: @62680
     /* 62680 */   GIM_Reject,
     /* 62681 */ // Label 1484: @62681
     /* 62681 */ GIM_Reject,
     /* 62682 */ // Label 1464: @62682
     /* 62682 */ GIM_Reject,
     /* 62683 */ // Label 47: @62683
     /* 62683 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(7), /*)*//*default:*//*Label 1492*/ GIMT_Encode4(63294),
     /* 62694 */ /*GILLT_s32*//*Label 1488*/ GIMT_Encode4(62718),
     /* 62698 */ /*GILLT_s64*//*Label 1489*/ GIMT_Encode4(62865), GIMT_Encode4(0),
     /* 62706 */ /*GILLT_v2s64*//*Label 1490*/ GIMT_Encode4(63108), GIMT_Encode4(0),
     /* 62714 */ /*GILLT_v4s32*//*Label 1491*/ GIMT_Encode4(63201),
     /* 62718 */ // Label 1488: @62718
     /* 62718 */ GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(62864),
     /* 62723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 62726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 62729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62733 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(62790), // Rule ID 164 //
     /* 62738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 62741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 62745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 62753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 62757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62773 */     // (fsub:{ *:[f32] } (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft), FGR32Opnd:{ *:[f32] }:$fr)  =>  (MSUB_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 62773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUB_S),
     /* 62776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62778 */     GIR_RootToRootCopy, /*OpIdx*/2, // fr
     /* 62780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 62784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 62788 */     GIR_RootConstrainSelectedInstOperands,
     /* 62789 */     // GIR_Coverage, 164,
     /* 62789 */     GIR_EraseRootFromParent_Done,
     /* 62790 */   // Label 1494: @62790
     /* 62790 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(62813), // Rule ID 160 //
     /* 62795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 62798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62806 */     // (fsub:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FSUB_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 62806 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_S),
     /* 62811 */     GIR_RootConstrainSelectedInstOperands,
     /* 62812 */     // GIR_Coverage, 160,
     /* 62812 */     GIR_Done,
     /* 62813 */   // Label 1495: @62813
     /* 62813 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(62836), // Rule ID 1133 //
     /* 62818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /* 62821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62829 */     // (fsub:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FSUB_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 62829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_S_MM),
     /* 62834 */     GIR_RootConstrainSelectedInstOperands,
     /* 62835 */     // GIR_Coverage, 1133,
     /* 62835 */     GIR_Done,
     /* 62836 */   // Label 1496: @62836
     /* 62836 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(62863), // Rule ID 1189 //
     /* 62841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 62844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 62852 */     // (fsub:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FSUB_S_MMR6:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$ft, FGR32Opnd:{ *:[f32] }:$fs)
     /* 62852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FSUB_S_MMR6),
     /* 62855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62857 */     GIR_RootToRootCopy, /*OpIdx*/2, // ft
     /* 62859 */     GIR_RootToRootCopy, /*OpIdx*/1, // fs
     /* 62861 */     GIR_RootConstrainSelectedInstOperands,
     /* 62862 */     // GIR_Coverage, 1189,
     /* 62862 */     GIR_EraseRootFromParent_Done,
     /* 62863 */   // Label 1497: @62863
     /* 62863 */   GIM_Reject,
     /* 62864 */ // Label 1493: @62864
     /* 62864 */ GIM_Reject,
     /* 62865 */ // Label 1489: @62865
     /* 62865 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(63107),
     /* 62870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 62873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 62876 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(62937), // Rule ID 166 //
     /* 62881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 62884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 62892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 62900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 62904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 62918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62920 */     // (fsub:{ *:[f64] } (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft), AFGR64Opnd:{ *:[f64] }:$fr)  =>  (MSUB_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 62920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUB_D32),
     /* 62923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62925 */     GIR_RootToRootCopy, /*OpIdx*/2, // fr
     /* 62927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 62931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 62935 */     GIR_RootConstrainSelectedInstOperands,
     /* 62936 */     // GIR_Coverage, 166,
     /* 62936 */     GIR_EraseRootFromParent_Done,
     /* 62937 */   // Label 1499: @62937
     /* 62937 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(62998), // Rule ID 168 //
     /* 62942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 62945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 62953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 62957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 62961 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 62965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 62979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 62981 */     // (fsub:{ *:[f64] } (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft), FGR64Opnd:{ *:[f64] }:$fr)  =>  (MSUB_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 62981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MSUB_D64),
     /* 62984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 62986 */     GIR_RootToRootCopy, /*OpIdx*/2, // fr
     /* 62988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fs
     /* 62992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // ft
     /* 62996 */     GIR_RootConstrainSelectedInstOperands,
     /* 62997 */     // GIR_Coverage, 168,
     /* 62997 */     GIR_EraseRootFromParent_Done,
     /* 62998 */   // Label 1500: @62998
     /* 62998 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(63025), // Rule ID 161 //
     /* 63003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips),
     /* 63006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63018 */     // (fsub:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FSUB_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 63018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_D32),
     /* 63023 */     GIR_RootConstrainSelectedInstOperands,
     /* 63024 */     // GIR_Coverage, 161,
     /* 63024 */     GIR_Done,
     /* 63025 */   // Label 1501: @63025
     /* 63025 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(63052), // Rule ID 162 //
     /* 63030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips),
     /* 63033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63045 */     // (fsub:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FSUB_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 63045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_D64),
     /* 63050 */     GIR_RootConstrainSelectedInstOperands,
     /* 63051 */     // GIR_Coverage, 162,
     /* 63051 */     GIR_Done,
     /* 63052 */   // Label 1502: @63052
     /* 63052 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(63079), // Rule ID 1140 //
     /* 63057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit),
     /* 63060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63072 */     // (fsub:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FSUB_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 63072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_D32_MM),
     /* 63077 */     GIR_RootConstrainSelectedInstOperands,
     /* 63078 */     // GIR_Coverage, 1140,
     /* 63078 */     GIR_Done,
     /* 63079 */   // Label 1503: @63079
     /* 63079 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(63106), // Rule ID 1141 //
     /* 63084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat),
     /* 63087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63099 */     // (fsub:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FSUB_D64_MM:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 63099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_D64_MM),
     /* 63104 */     GIR_RootConstrainSelectedInstOperands,
     /* 63105 */     // GIR_Coverage, 1141,
     /* 63105 */     GIR_Done,
     /* 63106 */   // Label 1504: @63106
     /* 63106 */   GIM_Reject,
     /* 63107 */ // Label 1498: @63107
     /* 63107 */ GIM_Reject,
     /* 63108 */ // Label 1490: @63108
     /* 63108 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(63200),
     /* 63113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 63116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 63119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63127 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(63180), // Rule ID 1991 //
     /* 63132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowFPOpFusion_HasMSA_HasStdEnc),
     /* 63135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 63139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 63143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 63147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 63151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 63163 */     // (fsub:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd, (fmul:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt))  =>  (FMSUB_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 63163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMSUB_D),
     /* 63166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 63168 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd
     /* 63170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /* 63174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 63178 */     GIR_RootConstrainSelectedInstOperands,
     /* 63179 */     // GIR_Coverage, 1991,
     /* 63179 */     GIR_EraseRootFromParent_Done,
     /* 63180 */   // Label 1506: @63180
     /* 63180 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(63199), // Rule ID 759 //
     /* 63185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63192 */     // (fsub:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FSUB_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 63192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_D),
     /* 63197 */     GIR_RootConstrainSelectedInstOperands,
     /* 63198 */     // GIR_Coverage, 759,
     /* 63198 */     GIR_Done,
     /* 63199 */   // Label 1507: @63199
     /* 63199 */   GIM_Reject,
     /* 63200 */ // Label 1505: @63200
     /* 63200 */ GIM_Reject,
     /* 63201 */ // Label 1491: @63201
     /* 63201 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(63293),
     /* 63206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 63209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 63212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63220 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(63273), // Rule ID 1990 //
     /* 63225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowFPOpFusion_HasMSA_HasStdEnc),
     /* 63228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 63232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 63236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 63240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 63244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 63256 */     // (fsub:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd, (fmul:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt))  =>  (FMSUB_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 63256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMSUB_W),
     /* 63259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 63261 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd
     /* 63263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // ws
     /* 63267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // wt
     /* 63271 */     GIR_RootConstrainSelectedInstOperands,
     /* 63272 */     // GIR_Coverage, 1990,
     /* 63272 */     GIR_EraseRootFromParent_Done,
     /* 63273 */   // Label 1509: @63273
     /* 63273 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(63292), // Rule ID 758 //
     /* 63278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63285 */     // (fsub:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FSUB_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 63285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSUB_W),
     /* 63290 */     GIR_RootConstrainSelectedInstOperands,
     /* 63291 */     // GIR_Coverage, 758,
     /* 63291 */     GIR_Done,
     /* 63292 */   // Label 1510: @63292
     /* 63292 */   GIM_Reject,
     /* 63293 */ // Label 1508: @63293
     /* 63293 */ GIM_Reject,
     /* 63294 */ // Label 1492: @63294
     /* 63294 */ GIM_Reject,
     /* 63295 */ // Label 48: @63295
     /* 63295 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(7), /*)*//*default:*//*Label 1515*/ GIMT_Encode4(63781),
     /* 63306 */ /*GILLT_s32*//*Label 1511*/ GIMT_Encode4(63330),
     /* 63310 */ /*GILLT_s64*//*Label 1512*/ GIMT_Encode4(63404), GIMT_Encode4(0),
     /* 63318 */ /*GILLT_v2s64*//*Label 1513*/ GIMT_Encode4(63525), GIMT_Encode4(0),
     /* 63326 */ /*GILLT_v4s32*//*Label 1514*/ GIMT_Encode4(63653),
     /* 63330 */ // Label 1511: @63330
     /* 63330 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(63403),
     /* 63335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 63338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 63341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 63345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 63349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 63353 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(63368), // Rule ID 157 //
     /* 63358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 63361 */     // (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FMUL_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 63361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_S),
     /* 63366 */     GIR_RootConstrainSelectedInstOperands,
     /* 63367 */     // GIR_Coverage, 157,
     /* 63367 */     GIR_Done,
     /* 63368 */   // Label 1517: @63368
     /* 63368 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(63383), // Rule ID 1132 //
     /* 63373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /* 63376 */     // (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FMUL_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 63376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_S_MM),
     /* 63381 */     GIR_RootConstrainSelectedInstOperands,
     /* 63382 */     // GIR_Coverage, 1132,
     /* 63382 */     GIR_Done,
     /* 63383 */   // Label 1518: @63383
     /* 63383 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(63402), // Rule ID 1190 //
     /* 63388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 63391 */     // (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FMUL_S_MMR6:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$ft, FGR32Opnd:{ *:[f32] }:$fs)
     /* 63391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FMUL_S_MMR6),
     /* 63394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 63396 */     GIR_RootToRootCopy, /*OpIdx*/2, // ft
     /* 63398 */     GIR_RootToRootCopy, /*OpIdx*/1, // fs
     /* 63400 */     GIR_RootConstrainSelectedInstOperands,
     /* 63401 */     // GIR_Coverage, 1190,
     /* 63401 */     GIR_EraseRootFromParent_Done,
     /* 63402 */   // Label 1519: @63402
     /* 63402 */   GIM_Reject,
     /* 63403 */ // Label 1516: @63403
     /* 63403 */ GIM_Reject,
     /* 63404 */ // Label 1512: @63404
     /* 63404 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(63524),
     /* 63409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 63412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 63415 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(63442), // Rule ID 158 //
     /* 63420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips),
     /* 63423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63435 */     // (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FMUL_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 63435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_D32),
     /* 63440 */     GIR_RootConstrainSelectedInstOperands,
     /* 63441 */     // GIR_Coverage, 158,
     /* 63441 */     GIR_Done,
     /* 63442 */   // Label 1521: @63442
     /* 63442 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(63469), // Rule ID 159 //
     /* 63447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips),
     /* 63450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63462 */     // (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FMUL_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 63462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_D64),
     /* 63467 */     GIR_RootConstrainSelectedInstOperands,
     /* 63468 */     // GIR_Coverage, 159,
     /* 63468 */     GIR_Done,
     /* 63469 */   // Label 1522: @63469
     /* 63469 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(63496), // Rule ID 1138 //
     /* 63474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit),
     /* 63477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 63489 */     // (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FMUL_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 63489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_D32_MM),
     /* 63494 */     GIR_RootConstrainSelectedInstOperands,
     /* 63495 */     // GIR_Coverage, 1138,
     /* 63495 */     GIR_Done,
     /* 63496 */   // Label 1523: @63496
     /* 63496 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(63523), // Rule ID 1139 //
     /* 63501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat),
     /* 63504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 63516 */     // (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FMUL_D64_MM:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 63516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_D64_MM),
     /* 63521 */     GIR_RootConstrainSelectedInstOperands,
     /* 63522 */     // GIR_Coverage, 1139,
     /* 63522 */     GIR_Done,
     /* 63523 */   // Label 1524: @63523
     /* 63523 */   GIM_Reject,
     /* 63524 */ // Label 1520: @63524
     /* 63524 */ GIM_Reject,
     /* 63525 */ // Label 1513: @63525
     /* 63525 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(63652),
     /* 63530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 63533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 63536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63540 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(63584), // Rule ID 2399 //
     /* 63545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 63552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FEXP2),
     /* 63556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 63560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 63571 */     // (fmul:{ *:[v2f64] } (fexp2:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wt), MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FEXP2_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 63571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXP2_D),
     /* 63574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 63576 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 63578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 63582 */     GIR_RootConstrainSelectedInstOperands,
     /* 63583 */     // GIR_Coverage, 2399,
     /* 63583 */     GIR_EraseRootFromParent_Done,
     /* 63584 */   // Label 1526: @63584
     /* 63584 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(63628), // Rule ID 701 //
     /* 63589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 63600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FEXP2),
     /* 63604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 63608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 63615 */     // (fmul:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, (fexp2:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wt))  =>  (FEXP2_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 63615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXP2_D),
     /* 63618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 63620 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 63622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 63626 */     GIR_RootConstrainSelectedInstOperands,
     /* 63627 */     // GIR_Coverage, 701,
     /* 63627 */     GIR_EraseRootFromParent_Done,
     /* 63628 */   // Label 1527: @63628
     /* 63628 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(63651), // Rule ID 737 //
     /* 63633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63644 */     // (fmul:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FMUL_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 63644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_D),
     /* 63649 */     GIR_RootConstrainSelectedInstOperands,
     /* 63650 */     // GIR_Coverage, 737,
     /* 63650 */     GIR_Done,
     /* 63651 */   // Label 1528: @63651
     /* 63651 */   GIM_Reject,
     /* 63652 */ // Label 1525: @63652
     /* 63652 */ GIM_Reject,
     /* 63653 */ // Label 1514: @63653
     /* 63653 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(63780),
     /* 63658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 63661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 63664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63668 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(63712), // Rule ID 2398 //
     /* 63673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 63680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FEXP2),
     /* 63684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 63688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 63699 */     // (fmul:{ *:[v4f32] } (fexp2:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wt), MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FEXP2_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 63699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXP2_W),
     /* 63702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 63704 */     GIR_RootToRootCopy, /*OpIdx*/2, // ws
     /* 63706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 63710 */     GIR_RootConstrainSelectedInstOperands,
     /* 63711 */     // GIR_Coverage, 2398,
     /* 63711 */     GIR_EraseRootFromParent_Done,
     /* 63712 */   // Label 1530: @63712
     /* 63712 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(63756), // Rule ID 700 //
     /* 63717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 63728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FEXP2),
     /* 63732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 63736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 63743 */     // (fmul:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, (fexp2:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wt))  =>  (FEXP2_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 63743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FEXP2_W),
     /* 63746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 63748 */     GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 63750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // wt
     /* 63754 */     GIR_RootConstrainSelectedInstOperands,
     /* 63755 */     // GIR_Coverage, 700,
     /* 63755 */     GIR_EraseRootFromParent_Done,
     /* 63756 */   // Label 1531: @63756
     /* 63756 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(63779), // Rule ID 736 //
     /* 63761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63772 */     // (fmul:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FMUL_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 63772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMUL_W),
     /* 63777 */     GIR_RootConstrainSelectedInstOperands,
     /* 63778 */     // GIR_Coverage, 736,
     /* 63778 */     GIR_Done,
     /* 63779 */   // Label 1532: @63779
     /* 63779 */   GIM_Reject,
     /* 63780 */ // Label 1529: @63780
     /* 63780 */ GIM_Reject,
     /* 63781 */ // Label 1515: @63781
     /* 63781 */ GIM_Reject,
     /* 63782 */ // Label 49: @63782
     /* 63782 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(7), /*)*//*default:*//*Label 1535*/ GIMT_Encode4(63887),
     /* 63793 */ /*GILLT_v2s64*//*Label 1533*/ GIMT_Encode4(63805), GIMT_Encode4(0),
     /* 63801 */ /*GILLT_v4s32*//*Label 1534*/ GIMT_Encode4(63846),
     /* 63805 */ // Label 1533: @63805
     /* 63805 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(63845), // Rule ID 725 //
     /* 63810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 63816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 63819 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 63822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 63838 */   // (fma:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd_in, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FMADD_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd_in, MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 63838 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMADD_D),
     /* 63843 */   GIR_RootConstrainSelectedInstOperands,
     /* 63844 */   // GIR_Coverage, 725,
     /* 63844 */   GIR_Done,
     /* 63845 */ // Label 1536: @63845
     /* 63845 */ GIM_Reject,
     /* 63846 */ // Label 1534: @63846
     /* 63846 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(63886), // Rule ID 724 //
     /* 63851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 63854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 63857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 63860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 63863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 63879 */   // (fma:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd_in, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FMADD_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd_in, MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 63879 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FMADD_W),
     /* 63884 */   GIR_RootConstrainSelectedInstOperands,
     /* 63885 */   // GIR_Coverage, 724,
     /* 63885 */   GIR_Done,
     /* 63886 */ // Label 1537: @63886
     /* 63886 */ GIM_Reject,
     /* 63887 */ // Label 1535: @63887
     /* 63887 */ GIM_Reject,
     /* 63888 */ // Label 50: @63888
     /* 63888 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(7), /*)*//*default:*//*Label 1542*/ GIMT_Encode4(64186),
     /* 63899 */ /*GILLT_s32*//*Label 1538*/ GIMT_Encode4(63923),
     /* 63903 */ /*GILLT_s64*//*Label 1539*/ GIMT_Encode4(63997), GIMT_Encode4(0),
     /* 63911 */ /*GILLT_v2s64*//*Label 1540*/ GIMT_Encode4(64118), GIMT_Encode4(0),
     /* 63919 */ /*GILLT_v4s32*//*Label 1541*/ GIMT_Encode4(64152),
     /* 63923 */ // Label 1538: @63923
     /* 63923 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(63996),
     /* 63928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 63931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 63934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 63938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 63942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 63946 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(63961), // Rule ID 154 //
     /* 63951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 63954 */     // (fdiv:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FDIV_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 63954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_S),
     /* 63959 */     GIR_RootConstrainSelectedInstOperands,
     /* 63960 */     // GIR_Coverage, 154,
     /* 63960 */     GIR_Done,
     /* 63961 */   // Label 1544: @63961
     /* 63961 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(63976), // Rule ID 1131 //
     /* 63966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /* 63969 */     // (fdiv:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FDIV_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 63969 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_S_MM),
     /* 63974 */     GIR_RootConstrainSelectedInstOperands,
     /* 63975 */     // GIR_Coverage, 1131,
     /* 63975 */     GIR_Done,
     /* 63976 */   // Label 1545: @63976
     /* 63976 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(63995), // Rule ID 1191 //
     /* 63981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 63984 */     // (fdiv:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)  =>  (FDIV_S_MMR6:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$ft, FGR32Opnd:{ *:[f32] }:$fs)
     /* 63984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::FDIV_S_MMR6),
     /* 63987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 63989 */     GIR_RootToRootCopy, /*OpIdx*/2, // ft
     /* 63991 */     GIR_RootToRootCopy, /*OpIdx*/1, // fs
     /* 63993 */     GIR_RootConstrainSelectedInstOperands,
     /* 63994 */     // GIR_Coverage, 1191,
     /* 63994 */     GIR_EraseRootFromParent_Done,
     /* 63995 */   // Label 1546: @63995
     /* 63995 */   GIM_Reject,
     /* 63996 */ // Label 1543: @63996
     /* 63996 */ GIM_Reject,
     /* 63997 */ // Label 1539: @63997
     /* 63997 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(64117),
     /* 64002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 64005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 64008 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(64035), // Rule ID 155 //
     /* 64013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips),
     /* 64016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64028 */     // (fdiv:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FDIV_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 64028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_D32),
     /* 64033 */     GIR_RootConstrainSelectedInstOperands,
     /* 64034 */     // GIR_Coverage, 155,
     /* 64034 */     GIR_Done,
     /* 64035 */   // Label 1548: @64035
     /* 64035 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(64062), // Rule ID 156 //
     /* 64040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips),
     /* 64043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 64047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 64051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 64055 */     // (fdiv:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FDIV_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 64055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_D64),
     /* 64060 */     GIR_RootConstrainSelectedInstOperands,
     /* 64061 */     // GIR_Coverage, 156,
     /* 64061 */     GIR_Done,
     /* 64062 */   // Label 1549: @64062
     /* 64062 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(64089), // Rule ID 1136 //
     /* 64067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit),
     /* 64070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64082 */     // (fdiv:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)  =>  (FDIV_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 64082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_D32_MM),
     /* 64087 */     GIR_RootConstrainSelectedInstOperands,
     /* 64088 */     // GIR_Coverage, 1136,
     /* 64088 */     GIR_Done,
     /* 64089 */   // Label 1550: @64089
     /* 64089 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(64116), // Rule ID 1137 //
     /* 64094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat),
     /* 64097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 64101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 64105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 64109 */     // (fdiv:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)  =>  (FDIV_D64_MM:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 64109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_D64_MM),
     /* 64114 */     GIR_RootConstrainSelectedInstOperands,
     /* 64115 */     // GIR_Coverage, 1137,
     /* 64115 */     GIR_Done,
     /* 64116 */   // Label 1551: @64116
     /* 64116 */   GIM_Reject,
     /* 64117 */ // Label 1547: @64117
     /* 64117 */ GIM_Reject,
     /* 64118 */ // Label 1540: @64118
     /* 64118 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(64151), // Rule ID 697 //
     /* 64123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 64126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 64129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 64132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 64136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 64140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 64144 */   // (fdiv:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)  =>  (FDIV_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws, MSA128DOpnd:{ *:[v2f64] }:$wt)
     /* 64144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_D),
     /* 64149 */   GIR_RootConstrainSelectedInstOperands,
     /* 64150 */   // GIR_Coverage, 697,
     /* 64150 */   GIR_Done,
     /* 64151 */ // Label 1552: @64151
     /* 64151 */ GIM_Reject,
     /* 64152 */ // Label 1541: @64152
     /* 64152 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(64185), // Rule ID 696 //
     /* 64157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 64160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 64163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 64166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 64170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 64174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 64178 */   // (fdiv:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)  =>  (FDIV_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws, MSA128WOpnd:{ *:[v4f32] }:$wt)
     /* 64178 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FDIV_W),
     /* 64183 */   GIR_RootConstrainSelectedInstOperands,
     /* 64184 */   // GIR_Coverage, 696,
     /* 64184 */   GIR_Done,
     /* 64185 */ // Label 1553: @64185
     /* 64185 */ GIM_Reject,
     /* 64186 */ // Label 1542: @64186
     /* 64186 */ GIM_Reject,
     /* 64187 */ // Label 51: @64187
     /* 64187 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(7), /*)*//*default:*//*Label 1556*/ GIMT_Encode4(64264),
     /* 64198 */ /*GILLT_v2s64*//*Label 1554*/ GIMT_Encode4(64210), GIMT_Encode4(0),
     /* 64206 */ /*GILLT_v4s32*//*Label 1555*/ GIMT_Encode4(64237),
     /* 64210 */ // Label 1554: @64210
     /* 64210 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(64236), // Rule ID 703 //
     /* 64215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 64218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 64221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 64225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 64229 */   // (fexp2:{ *:[v2f64] } MSA128D:{ *:[v2f64] }:$ws)  =>  (FEXP2_D_1_PSEUDO:{ *:[v2f64] } MSA128D:{ *:[v2f64] }:$ws)
     /* 64229 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FEXP2_D_1_PSEUDO),
     /* 64234 */   GIR_RootConstrainSelectedInstOperands,
     /* 64235 */   // GIR_Coverage, 703,
     /* 64235 */   GIR_Done,
     /* 64236 */ // Label 1557: @64236
     /* 64236 */ GIM_Reject,
     /* 64237 */ // Label 1555: @64237
     /* 64237 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(64263), // Rule ID 702 //
     /* 64242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 64245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 64248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 64252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 64256 */   // (fexp2:{ *:[v4f32] } MSA128W:{ *:[v4f32] }:$ws)  =>  (FEXP2_W_1_PSEUDO:{ *:[v4f32] } MSA128W:{ *:[v4f32] }:$ws)
     /* 64256 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FEXP2_W_1_PSEUDO),
     /* 64261 */   GIR_RootConstrainSelectedInstOperands,
     /* 64262 */   // GIR_Coverage, 702,
     /* 64262 */   GIR_Done,
     /* 64263 */ // Label 1558: @64263
     /* 64263 */ GIM_Reject,
     /* 64264 */ // Label 1556: @64264
     /* 64264 */ GIM_Reject,
     /* 64265 */ // Label 52: @64265
     /* 64265 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(7), /*)*//*default:*//*Label 1561*/ GIMT_Encode4(64342),
     /* 64276 */ /*GILLT_v2s64*//*Label 1559*/ GIMT_Encode4(64288), GIMT_Encode4(0),
     /* 64284 */ /*GILLT_v4s32*//*Label 1560*/ GIMT_Encode4(64315),
     /* 64288 */ // Label 1559: @64288
     /* 64288 */ GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(64314), // Rule ID 723 //
     /* 64293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 64296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 64299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 64303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 64307 */   // (flog2:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FLOG2_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 64307 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FLOG2_D),
     /* 64312 */   GIR_RootConstrainSelectedInstOperands,
     /* 64313 */   // GIR_Coverage, 723,
     /* 64313 */   GIR_Done,
     /* 64314 */ // Label 1562: @64314
     /* 64314 */ GIM_Reject,
     /* 64315 */ // Label 1560: @64315
     /* 64315 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(64341), // Rule ID 722 //
     /* 64320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 64323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 64326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 64330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 64334 */   // (flog2:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FLOG2_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 64334 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FLOG2_W),
     /* 64339 */   GIR_RootConstrainSelectedInstOperands,
     /* 64340 */   // GIR_Coverage, 722,
     /* 64340 */   GIR_Done,
     /* 64341 */ // Label 1563: @64341
     /* 64341 */ GIM_Reject,
     /* 64342 */ // Label 1561: @64342
     /* 64342 */ GIM_Reject,
     /* 64343 */ // Label 53: @64343
     /* 64343 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1566*/ GIMT_Encode4(65711),
     /* 64354 */ /*GILLT_s32*//*Label 1564*/ GIMT_Encode4(64362),
     /* 64358 */ /*GILLT_s64*//*Label 1565*/ GIMT_Encode4(64889),
     /* 64362 */ // Label 1564: @64362
     /* 64362 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(64888),
     /* 64367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 64370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64374 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(64450), // Rule ID 1460 //
     /* 64379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 64382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 64390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 64394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 64398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 64402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 64406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 64410 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 64414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 64431 */     // (fneg:{ *:[f32] } (fadd:{ *:[f32] } (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft), FGR32Opnd:{ *:[f32] }:$fr))  =>  (NMADD_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 64431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_S),
     /* 64434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 64436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 64440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 64444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 64448 */     GIR_RootConstrainSelectedInstOperands,
     /* 64449 */     // GIR_Coverage, 1460,
     /* 64449 */     GIR_EraseRootFromParent_Done,
     /* 64450 */   // Label 1568: @64450
     /* 64450 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(64526), // Rule ID 2248 //
     /* 64455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotMips32r6),
     /* 64458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 64466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 64470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 64474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 64478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 64482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 64486 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 64490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 64507 */     // (fneg:{ *:[f32] } (fadd:{ *:[f32] } (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft), FGR32Opnd:{ *:[f32] }:$fr))  =>  (NMADD_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 64507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_S_MM),
     /* 64510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 64512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 64516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 64520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 64524 */     GIR_RootConstrainSelectedInstOperands,
     /* 64525 */     // GIR_Coverage, 2248,
     /* 64525 */     GIR_EraseRootFromParent_Done,
     /* 64526 */   // Label 1569: @64526
     /* 64526 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(64602), // Rule ID 2434 //
     /* 64531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 64534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 64542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 64546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 64550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 64559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 64563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 64567 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 64571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 64583 */     // (fneg:{ *:[f32] } (fadd:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)))  =>  (NMADD_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 64583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_S),
     /* 64586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 64588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fr
     /* 64592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 64596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 64600 */     GIR_RootConstrainSelectedInstOperands,
     /* 64601 */     // GIR_Coverage, 2434,
     /* 64601 */     GIR_EraseRootFromParent_Done,
     /* 64602 */   // Label 1570: @64602
     /* 64602 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(64678), // Rule ID 2520 //
     /* 64607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotMips32r6),
     /* 64610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 64618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 64622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 64626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 64635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 64639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 64643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 64647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 64659 */     // (fneg:{ *:[f32] } (fadd:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)))  =>  (NMADD_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 64659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_S_MM),
     /* 64662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 64664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fr
     /* 64668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 64672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 64676 */     GIR_RootConstrainSelectedInstOperands,
     /* 64677 */     // GIR_Coverage, 2520,
     /* 64677 */     GIR_EraseRootFromParent_Done,
     /* 64678 */   // Label 1571: @64678
     /* 64678 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(64754), // Rule ID 1461 //
     /* 64683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 64686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 64694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 64698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 64702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 64706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 64710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 64714 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 64718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 64735 */     // (fneg:{ *:[f32] } (fsub:{ *:[f32] } (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft), FGR32Opnd:{ *:[f32] }:$fr))  =>  (NMSUB_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 64735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMSUB_S),
     /* 64738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 64740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 64744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 64748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 64752 */     GIR_RootConstrainSelectedInstOperands,
     /* 64753 */     // GIR_Coverage, 1461,
     /* 64753 */     GIR_EraseRootFromParent_Done,
     /* 64754 */   // Label 1572: @64754
     /* 64754 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(64830), // Rule ID 2249 //
     /* 64759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotMips32r6),
     /* 64762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 64770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 64774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 64778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 64782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 64786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 64790 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 64794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 64811 */     // (fneg:{ *:[f32] } (fsub:{ *:[f32] } (fmul:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft), FGR32Opnd:{ *:[f32] }:$fr))  =>  (NMSUB_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fr, FGR32Opnd:{ *:[f32] }:$fs, FGR32Opnd:{ *:[f32] }:$ft)
     /* 64811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMSUB_S_MM),
     /* 64814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 64816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 64820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 64824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 64828 */     GIR_RootConstrainSelectedInstOperands,
     /* 64829 */     // GIR_Coverage, 2249,
     /* 64829 */     GIR_EraseRootFromParent_Done,
     /* 64830 */   // Label 1573: @64830
     /* 64830 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(64849), // Rule ID 129 //
     /* 64835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat),
     /* 64838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64842 */     // (fneg:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (FNEG_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 64842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FNEG_S),
     /* 64847 */     GIR_RootConstrainSelectedInstOperands,
     /* 64848 */     // GIR_Coverage, 129,
     /* 64848 */     GIR_Done,
     /* 64849 */   // Label 1574: @64849
     /* 64849 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(64868), // Rule ID 1153 //
     /* 64854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /* 64857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64861 */     // (fneg:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (FNEG_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 64861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FNEG_S_MM),
     /* 64866 */     GIR_RootConstrainSelectedInstOperands,
     /* 64867 */     // GIR_Coverage, 1153,
     /* 64867 */     GIR_Done,
     /* 64868 */   // Label 1575: @64868
     /* 64868 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(64887), // Rule ID 1192 //
     /* 64873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips_IsNotSoftFloat),
     /* 64876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 64880 */     // (fneg:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (FNEG_S_MMR6:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 64880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FNEG_S_MMR6),
     /* 64885 */     GIR_RootConstrainSelectedInstOperands,
     /* 64886 */     // GIR_Coverage, 1192,
     /* 64886 */     GIR_Done,
     /* 64887 */   // Label 1576: @64887
     /* 64887 */   GIM_Reject,
     /* 64888 */ // Label 1567: @64888
     /* 64888 */ GIM_Reject,
     /* 64889 */ // Label 1565: @64889
     /* 64889 */ GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(65710),
     /* 64894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 64897 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(64977), // Rule ID 1462 //
     /* 64902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 64905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 64917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 64921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 64925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 64929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 64933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 64937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 64941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 64956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 64958 */     // (fneg:{ *:[f64] } (fadd:{ *:[f64] } (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft), AFGR64Opnd:{ *:[f64] }:$fr))  =>  (NMADD_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 64958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_D32),
     /* 64961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 64963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 64967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 64971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 64975 */     GIR_RootConstrainSelectedInstOperands,
     /* 64976 */     // GIR_Coverage, 1462,
     /* 64976 */     GIR_EraseRootFromParent_Done,
     /* 64977 */   // Label 1578: @64977
     /* 64977 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(65057), // Rule ID 1464 //
     /* 64982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 64985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 64989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 64993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 64997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 65009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65017 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65038 */     // (fneg:{ *:[f64] } (fadd:{ *:[f64] } (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft), FGR64Opnd:{ *:[f64] }:$fr))  =>  (NMADD_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 65038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_D64),
     /* 65041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 65047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65055 */     GIR_RootConstrainSelectedInstOperands,
     /* 65056 */     // GIR_Coverage, 1464,
     /* 65056 */     GIR_EraseRootFromParent_Done,
     /* 65057 */   // Label 1579: @65057
     /* 65057 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(65137), // Rule ID 2250 //
     /* 65062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotFP64bit_NotMips32r6),
     /* 65065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 65073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 65077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 65089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65097 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65118 */     // (fneg:{ *:[f64] } (fadd:{ *:[f64] } (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft), AFGR64Opnd:{ *:[f64] }:$fr))  =>  (NMADD_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 65118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_D32_MM),
     /* 65121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 65127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65135 */     GIR_RootConstrainSelectedInstOperands,
     /* 65136 */     // GIR_Coverage, 2250,
     /* 65136 */     GIR_EraseRootFromParent_Done,
     /* 65137 */   // Label 1580: @65137
     /* 65137 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(65217), // Rule ID 2435 //
     /* 65142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 65145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 65153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 65157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 65174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65182 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65198 */     // (fneg:{ *:[f64] } (fadd:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)))  =>  (NMADD_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 65198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_D32),
     /* 65201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fr
     /* 65207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65215 */     GIR_RootConstrainSelectedInstOperands,
     /* 65216 */     // GIR_Coverage, 2435,
     /* 65216 */     GIR_EraseRootFromParent_Done,
     /* 65217 */   // Label 1581: @65217
     /* 65217 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(65297), // Rule ID 2436 //
     /* 65222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 65225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 65233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 65237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 65254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65262 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65278 */     // (fneg:{ *:[f64] } (fadd:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)))  =>  (NMADD_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 65278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_D64),
     /* 65281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fr
     /* 65287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65295 */     GIR_RootConstrainSelectedInstOperands,
     /* 65296 */     // GIR_Coverage, 2436,
     /* 65296 */     GIR_EraseRootFromParent_Done,
     /* 65297 */   // Label 1582: @65297
     /* 65297 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(65377), // Rule ID 2521 //
     /* 65302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotFP64bit_NotMips32r6),
     /* 65305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 65313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FADD),
     /* 65317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 65334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65358 */     // (fneg:{ *:[f64] } (fadd:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)))  =>  (NMADD_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 65358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMADD_D32_MM),
     /* 65361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // fr
     /* 65367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65375 */     GIR_RootConstrainSelectedInstOperands,
     /* 65376 */     // GIR_Coverage, 2521,
     /* 65376 */     GIR_EraseRootFromParent_Done,
     /* 65377 */   // Label 1583: @65377
     /* 65377 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(65457), // Rule ID 1463 //
     /* 65382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_NoNaNsFPMath_NotFP64bit_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 65385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 65393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 65397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 65409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65417 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65438 */     // (fneg:{ *:[f64] } (fsub:{ *:[f64] } (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft), AFGR64Opnd:{ *:[f64] }:$fr))  =>  (NMSUB_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 65438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMSUB_D32),
     /* 65441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 65447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65455 */     GIR_RootConstrainSelectedInstOperands,
     /* 65456 */     // GIR_Coverage, 1463,
     /* 65456 */     GIR_EraseRootFromParent_Done,
     /* 65457 */   // Label 1584: @65457
     /* 65457 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(65537), // Rule ID 1465 //
     /* 65462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_HasMips4_32r2_HasStdEnc_IsFP64bit_NoNaNsFPMath_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 65465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 65473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 65477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65481 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 65489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65497 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65518 */     // (fneg:{ *:[f64] } (fsub:{ *:[f64] } (fmul:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft), FGR64Opnd:{ *:[f64] }:$fr))  =>  (NMSUB_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fr, FGR64Opnd:{ *:[f64] }:$fs, FGR64Opnd:{ *:[f64] }:$ft)
     /* 65518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMSUB_D64),
     /* 65521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 65527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65535 */     GIR_RootConstrainSelectedInstOperands,
     /* 65536 */     // GIR_Coverage, 1465,
     /* 65536 */     GIR_EraseRootFromParent_Done,
     /* 65537 */   // Label 1585: @65537
     /* 65537 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(65617), // Rule ID 2251 //
     /* 65542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadd4_InMicroMips_NoNaNsFPMath_NotFP64bit_NotMips32r6),
     /* 65545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 65553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 65557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 65561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 65565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 65569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 65573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 65577 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 65581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 65598 */     // (fneg:{ *:[f64] } (fsub:{ *:[f64] } (fmul:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft), AFGR64Opnd:{ *:[f64] }:$fr))  =>  (NMSUB_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fr, AFGR64Opnd:{ *:[f64] }:$fs, AFGR64Opnd:{ *:[f64] }:$ft)
     /* 65598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::NMSUB_D32_MM),
     /* 65601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 65603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // fr
     /* 65607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // fs
     /* 65611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // ft
     /* 65615 */     GIR_RootConstrainSelectedInstOperands,
     /* 65616 */     // GIR_Coverage, 2251,
     /* 65616 */     GIR_EraseRootFromParent_Done,
     /* 65617 */   // Label 1586: @65617
     /* 65617 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(65640), // Rule ID 130 //
     /* 65622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips),
     /* 65625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65633 */     // (fneg:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)  =>  (FNEG_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)
     /* 65633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FNEG_D32),
     /* 65638 */     GIR_RootConstrainSelectedInstOperands,
     /* 65639 */     // GIR_Coverage, 130,
     /* 65639 */     GIR_Done,
     /* 65640 */   // Label 1587: @65640
     /* 65640 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(65663), // Rule ID 131 //
     /* 65645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips),
     /* 65648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65656 */     // (fneg:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (FNEG_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)
     /* 65656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FNEG_D64),
     /* 65661 */     GIR_RootConstrainSelectedInstOperands,
     /* 65662 */     // GIR_Coverage, 131,
     /* 65662 */     GIR_Done,
     /* 65663 */   // Label 1588: @65663
     /* 65663 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(65686), // Rule ID 1154 //
     /* 65668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit),
     /* 65671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65679 */     // (fneg:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)  =>  (FNEG_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)
     /* 65679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FNEG_D32_MM),
     /* 65684 */     GIR_RootConstrainSelectedInstOperands,
     /* 65685 */     // GIR_Coverage, 1154,
     /* 65685 */     GIR_Done,
     /* 65686 */   // Label 1589: @65686
     /* 65686 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(65709), // Rule ID 1155 //
     /* 65691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat),
     /* 65694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65702 */     // (fneg:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (FNEG_D64_MM:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)
     /* 65702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FNEG_D64_MM),
     /* 65707 */     GIR_RootConstrainSelectedInstOperands,
     /* 65708 */     // GIR_Coverage, 1155,
     /* 65708 */     GIR_Done,
     /* 65709 */   // Label 1590: @65709
     /* 65709 */   GIM_Reject,
     /* 65710 */ // Label 1577: @65710
     /* 65710 */ GIM_Reject,
     /* 65711 */ // Label 1566: @65711
     /* 65711 */ GIM_Reject,
     /* 65712 */ // Label 54: @65712
     /* 65712 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1593*/ GIMT_Encode4(65889),
     /* 65723 */ /*GILLT_s32*//*Label 1591*/ GIMT_Encode4(65731),
     /* 65727 */ /*GILLT_s64*//*Label 1592*/ GIMT_Encode4(65758),
     /* 65731 */ // Label 1591: @65731
     /* 65731 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(65757), // Rule ID 1056 //
     /* 65736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 65739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 65742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 65746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128F16RegClassID),
     /* 65750 */   // (fpextend:{ *:[f32] } MSA128F16:{ *:[f16] }:$ws)  =>  (MSA_FP_EXTEND_W_PSEUDO:{ *:[f32] } MSA128F16:{ *:[f16] }:$ws)
     /* 65750 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MSA_FP_EXTEND_W_PSEUDO),
     /* 65755 */   GIR_RootConstrainSelectedInstOperands,
     /* 65756 */   // GIR_Coverage, 1056,
     /* 65756 */   GIR_Done,
     /* 65757 */ // Label 1594: @65757
     /* 65757 */ GIM_Reject,
     /* 65758 */ // Label 1592: @65758
     /* 65758 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(65784), // Rule ID 1058 //
     /* 65763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 65766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 65769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128F16RegClassID),
     /* 65777 */   // (fpextend:{ *:[f64] } MSA128F16:{ *:[f16] }:$ws)  =>  (MSA_FP_EXTEND_D_PSEUDO:{ *:[f64] } MSA128F16:{ *:[f16] }:$ws)
     /* 65777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MSA_FP_EXTEND_D_PSEUDO),
     /* 65782 */   GIR_RootConstrainSelectedInstOperands,
     /* 65783 */   // GIR_Coverage, 1058,
     /* 65783 */   GIR_Done,
     /* 65784 */ // Label 1595: @65784
     /* 65784 */ GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(65810), // Rule ID 1449 //
     /* 65789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotFP64bit_NotInMicroMips),
     /* 65792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 65795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 65803 */   // (fpextend:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)  =>  (CVT_D32_S:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)
     /* 65803 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_D32_S),
     /* 65808 */   GIR_RootConstrainSelectedInstOperands,
     /* 65809 */   // GIR_Coverage, 1449,
     /* 65809 */   GIR_Done,
     /* 65810 */ // Label 1596: @65810
     /* 65810 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(65836), // Rule ID 1459 //
     /* 65815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_NotInMicroMips),
     /* 65818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 65821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 65829 */   // (fpextend:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)  =>  (CVT_D64_S:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)
     /* 65829 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_D64_S),
     /* 65834 */   GIR_RootConstrainSelectedInstOperands,
     /* 65835 */   // GIR_Coverage, 1459,
     /* 65835 */   GIR_Done,
     /* 65836 */ // Label 1597: @65836
     /* 65836 */ GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(65862), // Rule ID 2262 //
     /* 65841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit),
     /* 65844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 65847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 65855 */   // (fpextend:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)  =>  (CVT_D64_S_MM:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)
     /* 65855 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_D64_S_MM),
     /* 65860 */   GIR_RootConstrainSelectedInstOperands,
     /* 65861 */   // GIR_Coverage, 2262,
     /* 65861 */   GIR_Done,
     /* 65862 */ // Label 1598: @65862
     /* 65862 */ GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(65888), // Rule ID 2264 //
     /* 65867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit),
     /* 65870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 65873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 65881 */   // (fpextend:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)  =>  (CVT_D32_S_MM:{ *:[f64] } FGR32Opnd:{ *:[f32] }:$src)
     /* 65881 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_D32_S_MM),
     /* 65886 */   GIR_RootConstrainSelectedInstOperands,
     /* 65887 */   // GIR_Coverage, 2264,
     /* 65887 */   GIR_Done,
     /* 65888 */ // Label 1599: @65888
     /* 65888 */ GIM_Reject,
     /* 65889 */ // Label 1593: @65889
     /* 65889 */ GIM_Reject,
     /* 65890 */ // Label 55: @65890
     /* 65890 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(2), /*)*//*default:*//*Label 1602*/ GIMT_Encode4(66052),
     /* 65901 */ /*GILLT_s16*//*Label 1600*/ GIMT_Encode4(65909),
     /* 65905 */ /*GILLT_s32*//*Label 1601*/ GIMT_Encode4(65962),
     /* 65909 */ // Label 1600: @65909
     /* 65909 */ GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(65935), // Rule ID 1057 //
     /* 65914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 65917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 65920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128F16RegClassID),
     /* 65924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 65928 */   // (fpround:{ *:[f16] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (MSA_FP_ROUND_W_PSEUDO:{ *:[f16] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 65928 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MSA_FP_ROUND_W_PSEUDO),
     /* 65933 */   GIR_RootConstrainSelectedInstOperands,
     /* 65934 */   // GIR_Coverage, 1057,
     /* 65934 */   GIR_Done,
     /* 65935 */ // Label 1603: @65935
     /* 65935 */ GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(65961), // Rule ID 1059 //
     /* 65940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 65943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 65946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128F16RegClassID),
     /* 65950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 65954 */   // (fpround:{ *:[f16] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (MSA_FP_ROUND_D_PSEUDO:{ *:[f16] } FGR64Opnd:{ *:[f64] }:$fs)
     /* 65954 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MSA_FP_ROUND_D_PSEUDO),
     /* 65959 */   GIR_RootConstrainSelectedInstOperands,
     /* 65960 */   // GIR_Coverage, 1059,
     /* 65960 */   GIR_Done,
     /* 65961 */ // Label 1604: @65961
     /* 65961 */ GIM_Reject,
     /* 65962 */ // Label 1601: @65962
     /* 65962 */ GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(66051),
     /* 65967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 65970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 65974 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(65993), // Rule ID 1448 //
     /* 65979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotFP64bit_NotInMicroMips),
     /* 65982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 65986 */     // (fpround:{ *:[f32] } AFGR64Opnd:{ *:[f64] }:$src)  =>  (CVT_S_D32:{ *:[f32] } AFGR64Opnd:{ *:[f64] }:$src)
     /* 65986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_S_D32),
     /* 65991 */     GIR_RootConstrainSelectedInstOperands,
     /* 65992 */     // GIR_Coverage, 1448,
     /* 65992 */     GIR_Done,
     /* 65993 */   // Label 1606: @65993
     /* 65993 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(66012), // Rule ID 1458 //
     /* 65998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_NotInMicroMips),
     /* 66001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66005 */     // (fpround:{ *:[f32] } FGR64Opnd:{ *:[f64] }:$src)  =>  (CVT_S_D64:{ *:[f32] } FGR64Opnd:{ *:[f64] }:$src)
     /* 66005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_S_D64),
     /* 66010 */     GIR_RootConstrainSelectedInstOperands,
     /* 66011 */     // GIR_Coverage, 1458,
     /* 66011 */     GIR_Done,
     /* 66012 */   // Label 1607: @66012
     /* 66012 */   GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(66031), // Rule ID 2261 //
     /* 66017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit),
     /* 66020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66024 */     // (fpround:{ *:[f32] } FGR64Opnd:{ *:[f64] }:$src)  =>  (CVT_S_D64_MM:{ *:[f32] } FGR64Opnd:{ *:[f64] }:$src)
     /* 66024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_S_D64_MM),
     /* 66029 */     GIR_RootConstrainSelectedInstOperands,
     /* 66030 */     // GIR_Coverage, 2261,
     /* 66030 */     GIR_Done,
     /* 66031 */   // Label 1608: @66031
     /* 66031 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(66050), // Rule ID 2263 //
     /* 66036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotFP64bit),
     /* 66039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 66043 */     // (fpround:{ *:[f32] } AFGR64Opnd:{ *:[f64] }:$src)  =>  (CVT_S_D32_MM:{ *:[f32] } AFGR64Opnd:{ *:[f64] }:$src)
     /* 66043 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CVT_S_D32_MM),
     /* 66048 */     GIR_RootConstrainSelectedInstOperands,
     /* 66049 */     // GIR_Coverage, 2263,
     /* 66049 */     GIR_Done,
     /* 66050 */   // Label 1609: @66050
     /* 66050 */   GIM_Reject,
     /* 66051 */ // Label 1605: @66051
     /* 66051 */ GIM_Reject,
     /* 66052 */ // Label 1602: @66052
     /* 66052 */ GIM_Reject,
     /* 66053 */ // Label 56: @66053
     /* 66053 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(7), /*)*//*default:*//*Label 1612*/ GIMT_Encode4(66130),
     /* 66064 */ /*GILLT_v2s64*//*Label 1610*/ GIMT_Encode4(66076), GIMT_Encode4(0),
     /* 66072 */ /*GILLT_v4s32*//*Label 1611*/ GIMT_Encode4(66103),
     /* 66076 */ // Label 1610: @66076
     /* 66076 */ GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(66102), // Rule ID 777 //
     /* 66081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 66087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66095 */   // (fp_to_sint:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FTRUNC_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 66095 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FTRUNC_S_D),
     /* 66100 */   GIR_RootConstrainSelectedInstOperands,
     /* 66101 */   // GIR_Coverage, 777,
     /* 66101 */   GIR_Done,
     /* 66102 */ // Label 1613: @66102
     /* 66102 */ GIM_Reject,
     /* 66103 */ // Label 1611: @66103
     /* 66103 */ GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(66129), // Rule ID 776 //
     /* 66108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 66114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66122 */   // (fp_to_sint:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FTRUNC_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 66122 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FTRUNC_S_W),
     /* 66127 */   GIR_RootConstrainSelectedInstOperands,
     /* 66128 */   // GIR_Coverage, 776,
     /* 66128 */   GIR_Done,
     /* 66129 */ // Label 1614: @66129
     /* 66129 */ GIM_Reject,
     /* 66130 */ // Label 1612: @66130
     /* 66130 */ GIM_Reject,
     /* 66131 */ // Label 57: @66131
     /* 66131 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(7), /*)*//*default:*//*Label 1617*/ GIMT_Encode4(66208),
     /* 66142 */ /*GILLT_v2s64*//*Label 1615*/ GIMT_Encode4(66154), GIMT_Encode4(0),
     /* 66150 */ /*GILLT_v4s32*//*Label 1616*/ GIMT_Encode4(66181),
     /* 66154 */ // Label 1615: @66154
     /* 66154 */ GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(66180), // Rule ID 779 //
     /* 66159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 66165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66173 */   // (fp_to_uint:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FTRUNC_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 66173 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FTRUNC_U_D),
     /* 66178 */   GIR_RootConstrainSelectedInstOperands,
     /* 66179 */   // GIR_Coverage, 779,
     /* 66179 */   GIR_Done,
     /* 66180 */ // Label 1618: @66180
     /* 66180 */ GIM_Reject,
     /* 66181 */ // Label 1616: @66181
     /* 66181 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(66207), // Rule ID 778 //
     /* 66186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 66192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66200 */   // (fp_to_uint:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FTRUNC_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 66200 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FTRUNC_U_W),
     /* 66205 */   GIR_RootConstrainSelectedInstOperands,
     /* 66206 */   // GIR_Coverage, 778,
     /* 66206 */   GIR_Done,
     /* 66207 */ // Label 1619: @66207
     /* 66207 */ GIM_Reject,
     /* 66208 */ // Label 1617: @66208
     /* 66208 */ GIM_Reject,
     /* 66209 */ // Label 58: @66209
     /* 66209 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(7), /*)*//*default:*//*Label 1624*/ GIMT_Encode4(66461),
     /* 66220 */ /*GILLT_s32*//*Label 1620*/ GIMT_Encode4(66244),
     /* 66224 */ /*GILLT_s64*//*Label 1621*/ GIMT_Encode4(66328), GIMT_Encode4(0),
     /* 66232 */ /*GILLT_v2s64*//*Label 1622*/ GIMT_Encode4(66407), GIMT_Encode4(0),
     /* 66240 */ /*GILLT_v4s32*//*Label 1623*/ GIMT_Encode4(66434),
     /* 66244 */ // Label 1620: @66244
     /* 66244 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(66267), // Rule ID 1443 //
     /* 66249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 66252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 66260 */   // (sint_to_fp:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$src)  =>  (PseudoCVT_S_W:{ *:[f32] } GPR32Opnd:{ *:[i32] }:$src)
     /* 66260 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoCVT_S_W),
     /* 66265 */   GIR_RootConstrainSelectedInstOperands,
     /* 66266 */   // GIR_Coverage, 1443,
     /* 66266 */   GIR_Done,
     /* 66267 */ // Label 1625: @66267
     /* 66267 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(66327), // Rule ID 1453 //
     /* 66272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsFP64bit),
     /* 66275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 66278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 66286 */   // (sint_to_fp:{ *:[f32] } GPR64Opnd:{ *:[i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[f32] } (PseudoCVT_S_L:{ *:[f64] } GPR64Opnd:{ *:[i64] }:$src), sub_lo:{ *:[i32] })
     /* 66286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 66289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::PseudoCVT_S_L),
     /* 66293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 66298 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 66302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 66304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 66307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 66309 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(Mips::sub_lo),
     /* 66316 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66321 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66326 */   // GIR_Coverage, 1453,
     /* 66326 */   GIR_EraseRootFromParent_Done,
     /* 66327 */ // Label 1626: @66327
     /* 66327 */ GIM_Reject,
     /* 66328 */ // Label 1621: @66328
     /* 66328 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(66354), // Rule ID 1446 //
     /* 66333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotFP64bit),
     /* 66336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 66339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 66343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 66347 */   // (sint_to_fp:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$src)  =>  (PseudoCVT_D32_W:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$src)
     /* 66347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoCVT_D32_W),
     /* 66352 */   GIR_RootConstrainSelectedInstOperands,
     /* 66353 */   // GIR_Coverage, 1446,
     /* 66353 */   GIR_Done,
     /* 66354 */ // Label 1627: @66354
     /* 66354 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(66380), // Rule ID 1452 //
     /* 66359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsFP64bit),
     /* 66362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 66365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 66373 */   // (sint_to_fp:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$src)  =>  (PseudoCVT_D64_W:{ *:[f64] } GPR32Opnd:{ *:[i32] }:$src)
     /* 66373 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoCVT_D64_W),
     /* 66378 */   GIR_RootConstrainSelectedInstOperands,
     /* 66379 */   // GIR_Coverage, 1452,
     /* 66379 */   GIR_Done,
     /* 66380 */ // Label 1628: @66380
     /* 66380 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(66406), // Rule ID 1454 //
     /* 66385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsFP64bit),
     /* 66388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 66391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 66399 */   // (sint_to_fp:{ *:[f64] } GPR64Opnd:{ *:[i64] }:$src)  =>  (PseudoCVT_D64_L:{ *:[f64] } GPR64Opnd:{ *:[i64] }:$src)
     /* 66399 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PseudoCVT_D64_L),
     /* 66404 */   GIR_RootConstrainSelectedInstOperands,
     /* 66405 */   // GIR_Coverage, 1454,
     /* 66405 */   GIR_Done,
     /* 66406 */ // Label 1629: @66406
     /* 66406 */ GIM_Reject,
     /* 66407 */ // Label 1622: @66407
     /* 66407 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(66433), // Rule ID 709 //
     /* 66412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 66418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66426 */   // (sint_to_fp:{ *:[v2f64] } MSA128DOpnd:{ *:[v2i64] }:$ws)  =>  (FFINT_S_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2i64] }:$ws)
     /* 66426 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FFINT_S_D),
     /* 66431 */   GIR_RootConstrainSelectedInstOperands,
     /* 66432 */   // GIR_Coverage, 709,
     /* 66432 */   GIR_Done,
     /* 66433 */ // Label 1630: @66433
     /* 66433 */ GIM_Reject,
     /* 66434 */ // Label 1623: @66434
     /* 66434 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(66460), // Rule ID 708 //
     /* 66439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 66445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66453 */   // (sint_to_fp:{ *:[v4f32] } MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (FFINT_S_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4i32] }:$ws)
     /* 66453 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FFINT_S_W),
     /* 66458 */   GIR_RootConstrainSelectedInstOperands,
     /* 66459 */   // GIR_Coverage, 708,
     /* 66459 */   GIR_Done,
     /* 66460 */ // Label 1631: @66460
     /* 66460 */ GIM_Reject,
     /* 66461 */ // Label 1624: @66461
     /* 66461 */ GIM_Reject,
     /* 66462 */ // Label 59: @66462
     /* 66462 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(7), /*)*//*default:*//*Label 1634*/ GIMT_Encode4(66539),
     /* 66473 */ /*GILLT_v2s64*//*Label 1632*/ GIMT_Encode4(66485), GIMT_Encode4(0),
     /* 66481 */ /*GILLT_v4s32*//*Label 1633*/ GIMT_Encode4(66512),
     /* 66485 */ // Label 1632: @66485
     /* 66485 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(66511), // Rule ID 711 //
     /* 66490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 66496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66504 */   // (uint_to_fp:{ *:[v2f64] } MSA128DOpnd:{ *:[v2i64] }:$ws)  =>  (FFINT_U_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2i64] }:$ws)
     /* 66504 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FFINT_U_D),
     /* 66509 */   GIR_RootConstrainSelectedInstOperands,
     /* 66510 */   // GIR_Coverage, 711,
     /* 66510 */   GIR_Done,
     /* 66511 */ // Label 1635: @66511
     /* 66511 */ GIM_Reject,
     /* 66512 */ // Label 1633: @66512
     /* 66512 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(66538), // Rule ID 710 //
     /* 66517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 66523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66531 */   // (uint_to_fp:{ *:[v4f32] } MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (FFINT_U_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4i32] }:$ws)
     /* 66531 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FFINT_U_W),
     /* 66536 */   GIR_RootConstrainSelectedInstOperands,
     /* 66537 */   // GIR_Coverage, 710,
     /* 66537 */   GIR_Done,
     /* 66538 */ // Label 1636: @66538
     /* 66538 */ GIM_Reject,
     /* 66539 */ // Label 1634: @66539
     /* 66539 */ GIM_Reject,
     /* 66540 */ // Label 60: @66540
     /* 66540 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(7), /*)*//*default:*//*Label 1641*/ GIMT_Encode4(66779),
     /* 66551 */ /*GILLT_s32*//*Label 1637*/ GIMT_Encode4(66575),
     /* 66555 */ /*GILLT_s64*//*Label 1638*/ GIMT_Encode4(66623), GIMT_Encode4(0),
     /* 66563 */ /*GILLT_v2s64*//*Label 1639*/ GIMT_Encode4(66725), GIMT_Encode4(0),
     /* 66571 */ /*GILLT_v4s32*//*Label 1640*/ GIMT_Encode4(66752),
     /* 66575 */ // Label 1637: @66575
     /* 66575 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(66622),
     /* 66580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 66583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66591 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(66606), // Rule ID 126 //
     /* 66596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotInMicroMips_UseAbs),
     /* 66599 */     // (fabs:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (FABS_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 66599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_S),
     /* 66604 */     GIR_RootConstrainSelectedInstOperands,
     /* 66605 */     // GIR_Coverage, 126,
     /* 66605 */     GIR_Done,
     /* 66606 */   // Label 1643: @66606
     /* 66606 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(66621), // Rule ID 1152 //
     /* 66611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_UseAbs),
     /* 66614 */     // (fabs:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (FABS_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 66614 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_S_MM),
     /* 66619 */     GIR_RootConstrainSelectedInstOperands,
     /* 66620 */     // GIR_Coverage, 1152,
     /* 66620 */     GIR_Done,
     /* 66621 */   // Label 1644: @66621
     /* 66621 */   GIM_Reject,
     /* 66622 */ // Label 1642: @66622
     /* 66622 */ GIM_Reject,
     /* 66623 */ // Label 1638: @66623
     /* 66623 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(66724),
     /* 66628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 66631 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(66654), // Rule ID 127 //
     /* 66636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips_UseAbs),
     /* 66639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 66643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 66647 */     // (fabs:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)  =>  (FABS_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)
     /* 66647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_D32),
     /* 66652 */     GIR_RootConstrainSelectedInstOperands,
     /* 66653 */     // GIR_Coverage, 127,
     /* 66653 */     GIR_Done,
     /* 66654 */   // Label 1646: @66654
     /* 66654 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(66677), // Rule ID 128 //
     /* 66659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips_UseAbs),
     /* 66662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66670 */     // (fabs:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (FABS_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)
     /* 66670 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_D64),
     /* 66675 */     GIR_RootConstrainSelectedInstOperands,
     /* 66676 */     // GIR_Coverage, 128,
     /* 66676 */     GIR_Done,
     /* 66677 */   // Label 1647: @66677
     /* 66677 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(66700), // Rule ID 1150 //
     /* 66682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit),
     /* 66685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 66689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 66693 */     // (fabs:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)  =>  (FABS_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)
     /* 66693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_D32_MM),
     /* 66698 */     GIR_RootConstrainSelectedInstOperands,
     /* 66699 */     // GIR_Coverage, 1150,
     /* 66699 */     GIR_Done,
     /* 66700 */   // Label 1648: @66700
     /* 66700 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(66723), // Rule ID 1151 //
     /* 66705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat),
     /* 66708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66716 */     // (fabs:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (FABS_D64_MM:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)
     /* 66716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_D64_MM),
     /* 66721 */     GIR_RootConstrainSelectedInstOperands,
     /* 66722 */     // GIR_Coverage, 1151,
     /* 66722 */     GIR_Done,
     /* 66723 */   // Label 1649: @66723
     /* 66723 */   GIM_Reject,
     /* 66724 */ // Label 1645: @66724
     /* 66724 */ GIM_Reject,
     /* 66725 */ // Label 1639: @66725
     /* 66725 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(66751), // Rule ID 1043 //
     /* 66730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 66736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 66744 */   // (fabs:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FABS_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 66744 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_D),
     /* 66749 */   GIR_RootConstrainSelectedInstOperands,
     /* 66750 */   // GIR_Coverage, 1043,
     /* 66750 */   GIR_Done,
     /* 66751 */ // Label 1650: @66751
     /* 66751 */ GIM_Reject,
     /* 66752 */ // Label 1640: @66752
     /* 66752 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(66778), // Rule ID 1042 //
     /* 66757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 66760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 66763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 66771 */   // (fabs:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FABS_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 66771 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FABS_W),
     /* 66776 */   GIR_RootConstrainSelectedInstOperands,
     /* 66777 */   // GIR_Coverage, 1042,
     /* 66777 */   GIR_Done,
     /* 66778 */ // Label 1651: @66778
     /* 66778 */ GIM_Reject,
     /* 66779 */ // Label 1641: @66779
     /* 66779 */ GIM_Reject,
     /* 66780 */ // Label 61: @66780
     /* 66780 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1654*/ GIMT_Encode4(66853),
     /* 66791 */ /*GILLT_s32*//*Label 1652*/ GIMT_Encode4(66799),
     /* 66795 */ /*GILLT_s64*//*Label 1653*/ GIMT_Encode4(66826),
     /* 66799 */ // Label 1652: @66799
     /* 66799 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(66825), // Rule ID 1794 //
     /* 66804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 66807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 66810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66814 */   // (fcanonicalize:{ *:[f32] } f32:{ *:[f32] }:$src)  =>  (MIN_S:{ *:[f32] } f32:{ *:[f32] }:$src, f32:{ *:[f32] }:$src)
     /* 66814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MIN_S),
     /* 66817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 66819 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 66821 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 66823 */   GIR_RootConstrainSelectedInstOperands,
     /* 66824 */   // GIR_Coverage, 1794,
     /* 66824 */   GIR_EraseRootFromParent_Done,
     /* 66825 */ // Label 1655: @66825
     /* 66825 */ GIM_Reject,
     /* 66826 */ // Label 1653: @66826
     /* 66826 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(66852), // Rule ID 1795 //
     /* 66831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 66834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 66837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66841 */   // (fcanonicalize:{ *:[f64] } f64:{ *:[f64] }:$src)  =>  (MIN_D:{ *:[f64] } f64:{ *:[f64] }:$src, f64:{ *:[f64] }:$src)
     /* 66841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::MIN_D),
     /* 66844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[fd]
     /* 66846 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 66848 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 66850 */   GIR_RootConstrainSelectedInstOperands,
     /* 66851 */   // GIR_Coverage, 1795,
     /* 66851 */   GIR_EraseRootFromParent_Done,
     /* 66852 */ // Label 1656: @66852
     /* 66852 */ GIM_Reject,
     /* 66853 */ // Label 1654: @66853
     /* 66853 */ GIM_Reject,
     /* 66854 */ // Label 62: @66854
     /* 66854 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1659*/ GIMT_Encode4(66925),
     /* 66865 */ /*GILLT_s32*//*Label 1657*/ GIMT_Encode4(66873),
     /* 66869 */ /*GILLT_s64*//*Label 1658*/ GIMT_Encode4(66899),
     /* 66873 */ // Label 1657: @66873
     /* 66873 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(66898), // Rule ID 1791 //
     /* 66878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 66881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 66884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 66887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66891 */   // (fminnum:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)  =>  (MIN_S:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
     /* 66891 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_S),
     /* 66896 */   GIR_RootConstrainSelectedInstOperands,
     /* 66897 */   // GIR_Coverage, 1791,
     /* 66897 */   GIR_Done,
     /* 66898 */ // Label 1660: @66898
     /* 66898 */ GIM_Reject,
     /* 66899 */ // Label 1658: @66899
     /* 66899 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(66924), // Rule ID 1793 //
     /* 66904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 66907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 66910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 66913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66917 */   // (fminnum:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)  =>  (MIN_D:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
     /* 66917 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_D),
     /* 66922 */   GIR_RootConstrainSelectedInstOperands,
     /* 66923 */   // GIR_Coverage, 1793,
     /* 66923 */   GIR_Done,
     /* 66924 */ // Label 1661: @66924
     /* 66924 */ GIM_Reject,
     /* 66925 */ // Label 1659: @66925
     /* 66925 */ GIM_Reject,
     /* 66926 */ // Label 63: @66926
     /* 66926 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1664*/ GIMT_Encode4(66997),
     /* 66937 */ /*GILLT_s32*//*Label 1662*/ GIMT_Encode4(66945),
     /* 66941 */ /*GILLT_s64*//*Label 1663*/ GIMT_Encode4(66971),
     /* 66945 */ // Label 1662: @66945
     /* 66945 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(66970), // Rule ID 1787 //
     /* 66950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 66953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 66956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 66959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 66963 */   // (fmaxnum:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)  =>  (MAX_S:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
     /* 66963 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_S),
     /* 66968 */   GIR_RootConstrainSelectedInstOperands,
     /* 66969 */   // GIR_Coverage, 1787,
     /* 66969 */   GIR_Done,
     /* 66970 */ // Label 1665: @66970
     /* 66970 */ GIM_Reject,
     /* 66971 */ // Label 1663: @66971
     /* 66971 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(66996), // Rule ID 1789 //
     /* 66976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 66979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 66982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 66985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 66989 */   // (fmaxnum:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)  =>  (MAX_D:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
     /* 66989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_D),
     /* 66994 */   GIR_RootConstrainSelectedInstOperands,
     /* 66995 */   // GIR_Coverage, 1789,
     /* 66995 */   GIR_Done,
     /* 66996 */ // Label 1666: @66996
     /* 66996 */ GIM_Reject,
     /* 66997 */ // Label 1664: @66997
     /* 66997 */ GIM_Reject,
     /* 66998 */ // Label 64: @66998
     /* 66998 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1669*/ GIMT_Encode4(67069),
     /* 67009 */ /*GILLT_s32*//*Label 1667*/ GIMT_Encode4(67017),
     /* 67013 */ /*GILLT_s64*//*Label 1668*/ GIMT_Encode4(67043),
     /* 67017 */ // Label 1667: @67017
     /* 67017 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(67042), // Rule ID 1790 //
     /* 67022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 67025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 67028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 67031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 67035 */   // (fminnum_ieee:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)  =>  (MIN_S:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
     /* 67035 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_S),
     /* 67040 */   GIR_RootConstrainSelectedInstOperands,
     /* 67041 */   // GIR_Coverage, 1790,
     /* 67041 */   GIR_Done,
     /* 67042 */ // Label 1670: @67042
     /* 67042 */ GIM_Reject,
     /* 67043 */ // Label 1668: @67043
     /* 67043 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(67068), // Rule ID 1792 //
     /* 67048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 67051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 67054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 67057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 67061 */   // (fminnum_ieee:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)  =>  (MIN_D:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
     /* 67061 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_D),
     /* 67066 */   GIR_RootConstrainSelectedInstOperands,
     /* 67067 */   // GIR_Coverage, 1792,
     /* 67067 */   GIR_Done,
     /* 67068 */ // Label 1671: @67068
     /* 67068 */ GIM_Reject,
     /* 67069 */ // Label 1669: @67069
     /* 67069 */ GIM_Reject,
     /* 67070 */ // Label 65: @67070
     /* 67070 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1674*/ GIMT_Encode4(67141),
     /* 67081 */ /*GILLT_s32*//*Label 1672*/ GIMT_Encode4(67089),
     /* 67085 */ /*GILLT_s64*//*Label 1673*/ GIMT_Encode4(67115),
     /* 67089 */ // Label 1672: @67089
     /* 67089 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(67114), // Rule ID 1786 //
     /* 67094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 67097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 67100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 67103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 67107 */   // (fmaxnum_ieee:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)  =>  (MAX_S:{ *:[f32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
     /* 67107 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_S),
     /* 67112 */   GIR_RootConstrainSelectedInstOperands,
     /* 67113 */   // GIR_Coverage, 1786,
     /* 67113 */   GIR_Done,
     /* 67114 */ // Label 1675: @67114
     /* 67114 */ GIM_Reject,
     /* 67115 */ // Label 1673: @67115
     /* 67115 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(67140), // Rule ID 1788 //
     /* 67120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc_NotInMicroMips),
     /* 67123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 67126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 67129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 67133 */   // (fmaxnum_ieee:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)  =>  (MAX_D:{ *:[f64] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
     /* 67133 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_D),
     /* 67138 */   GIR_RootConstrainSelectedInstOperands,
     /* 67139 */   // GIR_Coverage, 1788,
     /* 67139 */   GIR_Done,
     /* 67140 */ // Label 1676: @67140
     /* 67140 */ GIM_Reject,
     /* 67141 */ // Label 1674: @67141
     /* 67141 */ GIM_Reject,
     /* 67142 */ // Label 66: @67142
     /* 67142 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(9), /*)*//*default:*//*Label 1681*/ GIMT_Encode4(67309),
     /* 67153 */ /*GILLT_v2s64*//*Label 1677*/ GIMT_Encode4(67173), GIMT_Encode4(0),
     /* 67161 */ /*GILLT_v4s32*//*Label 1678*/ GIMT_Encode4(67207),
     /* 67165 */ /*GILLT_v8s16*//*Label 1679*/ GIMT_Encode4(67241),
     /* 67169 */ /*GILLT_v16s8*//*Label 1680*/ GIMT_Encode4(67275),
     /* 67173 */ // Label 1677: @67173
     /* 67173 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(67206), // Rule ID 871 //
     /* 67178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 67184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 67187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67199 */   // (smin:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MIN_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 67199 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_S_D),
     /* 67204 */   GIR_RootConstrainSelectedInstOperands,
     /* 67205 */   // GIR_Coverage, 871,
     /* 67205 */   GIR_Done,
     /* 67206 */ // Label 1682: @67206
     /* 67206 */ GIM_Reject,
     /* 67207 */ // Label 1678: @67207
     /* 67207 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(67240), // Rule ID 870 //
     /* 67212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 67218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 67221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67233 */   // (smin:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MIN_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 67233 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_S_W),
     /* 67238 */   GIR_RootConstrainSelectedInstOperands,
     /* 67239 */   // GIR_Coverage, 870,
     /* 67239 */   GIR_Done,
     /* 67240 */ // Label 1683: @67240
     /* 67240 */ GIM_Reject,
     /* 67241 */ // Label 1679: @67241
     /* 67241 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(67274), // Rule ID 869 //
     /* 67246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 67252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 67255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67267 */   // (smin:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MIN_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 67267 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_S_H),
     /* 67272 */   GIR_RootConstrainSelectedInstOperands,
     /* 67273 */   // GIR_Coverage, 869,
     /* 67273 */   GIR_Done,
     /* 67274 */ // Label 1684: @67274
     /* 67274 */ GIM_Reject,
     /* 67275 */ // Label 1680: @67275
     /* 67275 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(67308), // Rule ID 868 //
     /* 67280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 67286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 67289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67301 */   // (smin:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MIN_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 67301 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_S_B),
     /* 67306 */   GIR_RootConstrainSelectedInstOperands,
     /* 67307 */   // GIR_Coverage, 868,
     /* 67307 */   GIR_Done,
     /* 67308 */ // Label 1685: @67308
     /* 67308 */ GIM_Reject,
     /* 67309 */ // Label 1681: @67309
     /* 67309 */ GIM_Reject,
     /* 67310 */ // Label 67: @67310
     /* 67310 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(9), /*)*//*default:*//*Label 1690*/ GIMT_Encode4(67477),
     /* 67321 */ /*GILLT_v2s64*//*Label 1686*/ GIMT_Encode4(67341), GIMT_Encode4(0),
     /* 67329 */ /*GILLT_v4s32*//*Label 1687*/ GIMT_Encode4(67375),
     /* 67333 */ /*GILLT_v8s16*//*Label 1688*/ GIMT_Encode4(67409),
     /* 67337 */ /*GILLT_v16s8*//*Label 1689*/ GIMT_Encode4(67443),
     /* 67341 */ // Label 1686: @67341
     /* 67341 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(67374), // Rule ID 851 //
     /* 67346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 67352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 67355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67367 */   // (smax:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MAX_S_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 67367 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_S_D),
     /* 67372 */   GIR_RootConstrainSelectedInstOperands,
     /* 67373 */   // GIR_Coverage, 851,
     /* 67373 */   GIR_Done,
     /* 67374 */ // Label 1691: @67374
     /* 67374 */ GIM_Reject,
     /* 67375 */ // Label 1687: @67375
     /* 67375 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(67408), // Rule ID 850 //
     /* 67380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 67386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 67389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67401 */   // (smax:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MAX_S_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 67401 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_S_W),
     /* 67406 */   GIR_RootConstrainSelectedInstOperands,
     /* 67407 */   // GIR_Coverage, 850,
     /* 67407 */   GIR_Done,
     /* 67408 */ // Label 1692: @67408
     /* 67408 */ GIM_Reject,
     /* 67409 */ // Label 1688: @67409
     /* 67409 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(67442), // Rule ID 849 //
     /* 67414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 67420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 67423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67435 */   // (smax:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MAX_S_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 67435 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_S_H),
     /* 67440 */   GIR_RootConstrainSelectedInstOperands,
     /* 67441 */   // GIR_Coverage, 849,
     /* 67441 */   GIR_Done,
     /* 67442 */ // Label 1693: @67442
     /* 67442 */ GIM_Reject,
     /* 67443 */ // Label 1689: @67443
     /* 67443 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(67476), // Rule ID 848 //
     /* 67448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 67454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 67457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67469 */   // (smax:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MAX_S_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 67469 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_S_B),
     /* 67474 */   GIR_RootConstrainSelectedInstOperands,
     /* 67475 */   // GIR_Coverage, 848,
     /* 67475 */   GIR_Done,
     /* 67476 */ // Label 1694: @67476
     /* 67476 */ GIM_Reject,
     /* 67477 */ // Label 1690: @67477
     /* 67477 */ GIM_Reject,
     /* 67478 */ // Label 68: @67478
     /* 67478 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(9), /*)*//*default:*//*Label 1699*/ GIMT_Encode4(67645),
     /* 67489 */ /*GILLT_v2s64*//*Label 1695*/ GIMT_Encode4(67509), GIMT_Encode4(0),
     /* 67497 */ /*GILLT_v4s32*//*Label 1696*/ GIMT_Encode4(67543),
     /* 67501 */ /*GILLT_v8s16*//*Label 1697*/ GIMT_Encode4(67577),
     /* 67505 */ /*GILLT_v16s8*//*Label 1698*/ GIMT_Encode4(67611),
     /* 67509 */ // Label 1695: @67509
     /* 67509 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(67542), // Rule ID 875 //
     /* 67514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 67520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 67523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67535 */   // (umin:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MIN_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 67535 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_U_D),
     /* 67540 */   GIR_RootConstrainSelectedInstOperands,
     /* 67541 */   // GIR_Coverage, 875,
     /* 67541 */   GIR_Done,
     /* 67542 */ // Label 1700: @67542
     /* 67542 */ GIM_Reject,
     /* 67543 */ // Label 1696: @67543
     /* 67543 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(67576), // Rule ID 874 //
     /* 67548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 67554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 67557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67569 */   // (umin:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MIN_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 67569 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_U_W),
     /* 67574 */   GIR_RootConstrainSelectedInstOperands,
     /* 67575 */   // GIR_Coverage, 874,
     /* 67575 */   GIR_Done,
     /* 67576 */ // Label 1701: @67576
     /* 67576 */ GIM_Reject,
     /* 67577 */ // Label 1697: @67577
     /* 67577 */ GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(67610), // Rule ID 873 //
     /* 67582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 67588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 67591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67603 */   // (umin:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MIN_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 67603 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_U_H),
     /* 67608 */   GIR_RootConstrainSelectedInstOperands,
     /* 67609 */   // GIR_Coverage, 873,
     /* 67609 */   GIR_Done,
     /* 67610 */ // Label 1702: @67610
     /* 67610 */ GIM_Reject,
     /* 67611 */ // Label 1698: @67611
     /* 67611 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(67644), // Rule ID 872 //
     /* 67616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 67622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 67625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67637 */   // (umin:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MIN_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 67637 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MIN_U_B),
     /* 67642 */   GIR_RootConstrainSelectedInstOperands,
     /* 67643 */   // GIR_Coverage, 872,
     /* 67643 */   GIR_Done,
     /* 67644 */ // Label 1703: @67644
     /* 67644 */ GIM_Reject,
     /* 67645 */ // Label 1699: @67645
     /* 67645 */ GIM_Reject,
     /* 67646 */ // Label 69: @67646
     /* 67646 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(9), /*)*//*default:*//*Label 1708*/ GIMT_Encode4(67813),
     /* 67657 */ /*GILLT_v2s64*//*Label 1704*/ GIMT_Encode4(67677), GIMT_Encode4(0),
     /* 67665 */ /*GILLT_v4s32*//*Label 1705*/ GIMT_Encode4(67711),
     /* 67669 */ /*GILLT_v8s16*//*Label 1706*/ GIMT_Encode4(67745),
     /* 67673 */ /*GILLT_v16s8*//*Label 1707*/ GIMT_Encode4(67779),
     /* 67677 */ // Label 1704: @67677
     /* 67677 */ GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(67710), // Rule ID 855 //
     /* 67682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 67688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 67691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67703 */   // (umax:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)  =>  (MAX_U_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws, MSA128DOpnd:{ *:[v2i64] }:$wt)
     /* 67703 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_U_D),
     /* 67708 */   GIR_RootConstrainSelectedInstOperands,
     /* 67709 */   // GIR_Coverage, 855,
     /* 67709 */   GIR_Done,
     /* 67710 */ // Label 1709: @67710
     /* 67710 */ GIM_Reject,
     /* 67711 */ // Label 1705: @67711
     /* 67711 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(67744), // Rule ID 854 //
     /* 67716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 67722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 67725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 67737 */   // (umax:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)  =>  (MAX_U_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws, MSA128WOpnd:{ *:[v4i32] }:$wt)
     /* 67737 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_U_W),
     /* 67742 */   GIR_RootConstrainSelectedInstOperands,
     /* 67743 */   // GIR_Coverage, 854,
     /* 67743 */   GIR_Done,
     /* 67744 */ // Label 1710: @67744
     /* 67744 */ GIM_Reject,
     /* 67745 */ // Label 1706: @67745
     /* 67745 */ GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(67778), // Rule ID 853 //
     /* 67750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 67756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 67759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 67771 */   // (umax:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)  =>  (MAX_U_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws, MSA128HOpnd:{ *:[v8i16] }:$wt)
     /* 67771 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_U_H),
     /* 67776 */   GIR_RootConstrainSelectedInstOperands,
     /* 67777 */   // GIR_Coverage, 853,
     /* 67777 */   GIR_Done,
     /* 67778 */ // Label 1711: @67778
     /* 67778 */ GIM_Reject,
     /* 67779 */ // Label 1707: @67779
     /* 67779 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(67812), // Rule ID 852 //
     /* 67784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 67790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 67793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 67805 */   // (umax:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)  =>  (MAX_U_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws, MSA128BOpnd:{ *:[v16i8] }:$wt)
     /* 67805 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::MAX_U_B),
     /* 67810 */   GIR_RootConstrainSelectedInstOperands,
     /* 67811 */   // GIR_Coverage, 852,
     /* 67811 */   GIR_Done,
     /* 67812 */ // Label 1712: @67812
     /* 67812 */ GIM_Reject,
     /* 67813 */ // Label 1708: @67813
     /* 67813 */ GIM_Reject,
     /* 67814 */ // Label 70: @67814
     /* 67814 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(67937),
     /* 67819 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 67822 */   GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(67843), // Rule ID 91 //
     /* 67827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips_RelocNotPIC),
     /* 67830 */     // (br (bb:{ *:[Other] }):$target)  =>  (J (bb:{ *:[Other] }):$target)
     /* 67830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::J),
     /* 67835 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::AT), GIMT_Encode2(RegState::Dead),
     /* 67841 */     GIR_RootConstrainSelectedInstOperands,
     /* 67842 */     // GIR_Coverage, 91,
     /* 67842 */     GIR_Done,
     /* 67843 */   // Label 1714: @67843
     /* 67843 */   GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(67864), // Rule ID 98 //
     /* 67848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 67851 */     // (br (bb:{ *:[Other] }):$offset)  =>  (B (bb:{ *:[Other] }):$offset)
     /* 67851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::B),
     /* 67856 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::AT), GIMT_Encode2(RegState::Dead),
     /* 67862 */     GIR_RootConstrainSelectedInstOperands,
     /* 67863 */     // GIR_Coverage, 98,
     /* 67863 */     GIR_Done,
     /* 67864 */   // Label 1715: @67864
     /* 67864 */   GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(67885), // Rule ID 1104 //
     /* 67869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6_RelocNotPIC),
     /* 67872 */     // (br (bb:{ *:[Other] }):$target)  =>  (J_MM (bb:{ *:[Other] }):$target)
     /* 67872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::J_MM),
     /* 67877 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::AT), GIMT_Encode2(RegState::Dead),
     /* 67883 */     GIR_RootConstrainSelectedInstOperands,
     /* 67884 */     // GIR_Coverage, 1104,
     /* 67884 */     GIR_Done,
     /* 67885 */   // Label 1716: @67885
     /* 67885 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(67906), // Rule ID 1113 //
     /* 67890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_NotMips32r6_RelocPIC),
     /* 67893 */     // (br (bb:{ *:[Other] }):$offset)  =>  (B_MM (bb:{ *:[Other] }):$offset)
     /* 67893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::B_MM),
     /* 67898 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(Mips::AT), GIMT_Encode2(RegState::Dead),
     /* 67904 */     GIR_RootConstrainSelectedInstOperands,
     /* 67905 */     // GIR_Coverage, 1113,
     /* 67905 */     GIR_Done,
     /* 67906 */   // Label 1717: @67906
     /* 67906 */   GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(67921), // Rule ID 1171 //
     /* 67911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_InMicroMips),
     /* 67914 */     // (br (bb:{ *:[Other] }):$offset)  =>  (BC_MMR6 (bb:{ *:[Other] }):$offset)
     /* 67914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::BC_MMR6),
     /* 67919 */     GIR_RootConstrainSelectedInstOperands,
     /* 67920 */     // GIR_Coverage, 1171,
     /* 67920 */     GIR_Done,
     /* 67921 */   // Label 1718: @67921
     /* 67921 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(67936), // Rule ID 1867 //
     /* 67926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 67929 */     // (br (bb:{ *:[Other] }):$imm16)  =>  (Bimm16 (bb:{ *:[Other] }):$imm16)
     /* 67929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::Bimm16),
     /* 67934 */     GIR_RootConstrainSelectedInstOperands,
     /* 67935 */     // GIR_Coverage, 1867,
     /* 67935 */     GIR_Done,
     /* 67936 */   // Label 1719: @67936
     /* 67936 */   GIM_Reject,
     /* 67937 */ // Label 1713: @67937
     /* 67937 */ GIM_Reject,
     /* 67938 */ // Label 71: @67938
     /* 67938 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(9), /*)*//*default:*//*Label 1724*/ GIMT_Encode4(68501),
     /* 67949 */ /*GILLT_v2s64*//*Label 1720*/ GIMT_Encode4(67969), GIMT_Encode4(0),
     /* 67957 */ /*GILLT_v4s32*//*Label 1721*/ GIMT_Encode4(68142),
     /* 67961 */ /*GILLT_v8s16*//*Label 1722*/ GIMT_Encode4(68315),
     /* 67965 */ /*GILLT_v16s8*//*Label 1723*/ GIMT_Encode4(68408),
     /* 67969 */ // Label 1720: @67969
     /* 67969 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(68141),
     /* 67974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 67977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 67980 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(68020), // Rule ID 821 //
     /* 67985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 67988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 67991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 67999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68007 */     // (vector_insert:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, GPR64Opnd:{ *:[i64] }:$fs, GPR32Opnd:{ *:[i32] }:$n)  =>  (INSERT_D_VIDX_PSEUDO:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, GPR32Opnd:{ *:[i32] }:$n, GPR64Opnd:{ *:[i64] }:$fs)
     /* 68007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_D_VIDX_PSEUDO),
     /* 68010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68012 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68014 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68016 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68018 */     GIR_RootConstrainSelectedInstOperands,
     /* 68019 */     // GIR_Coverage, 821,
     /* 68019 */     GIR_EraseRootFromParent_Done,
     /* 68020 */   // Label 1726: @68020
     /* 68020 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(68060), // Rule ID 823 //
     /* 68025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 68031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 68043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68047 */     // (vector_insert:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd_in, FGR64Opnd:{ *:[f64] }:$fs, GPR32Opnd:{ *:[i32] }:$n)  =>  (INSERT_FD_VIDX_PSEUDO:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd_in, GPR32Opnd:{ *:[i32] }:$n, FGR64Opnd:{ *:[f64] }:$fs)
     /* 68047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_FD_VIDX_PSEUDO),
     /* 68050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68052 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68054 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68056 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68058 */     GIR_RootConstrainSelectedInstOperands,
     /* 68059 */     // GIR_Coverage, 823,
     /* 68059 */     GIR_EraseRootFromParent_Done,
     /* 68060 */   // Label 1727: @68060
     /* 68060 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(68100), // Rule ID 827 //
     /* 68065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 68071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68087 */     // (vector_insert:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, GPR64Opnd:{ *:[i64] }:$fs, GPR64Opnd:{ *:[i64] }:$n)  =>  (INSERT_D_VIDX64_PSEUDO:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$wd_in, GPR64Opnd:{ *:[i64] }:$n, GPR64Opnd:{ *:[i64] }:$fs)
     /* 68087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_D_VIDX64_PSEUDO),
     /* 68090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68092 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68094 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68096 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68098 */     GIR_RootConstrainSelectedInstOperands,
     /* 68099 */     // GIR_Coverage, 827,
     /* 68099 */     GIR_EraseRootFromParent_Done,
     /* 68100 */   // Label 1728: @68100
     /* 68100 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(68140), // Rule ID 829 //
     /* 68105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 68111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 68123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68127 */     // (vector_insert:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd_in, FGR64Opnd:{ *:[f64] }:$fs, GPR64Opnd:{ *:[i64] }:$n)  =>  (INSERT_FD_VIDX64_PSEUDO:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$wd_in, GPR64Opnd:{ *:[i64] }:$n, FGR64Opnd:{ *:[f64] }:$fs)
     /* 68127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_FD_VIDX64_PSEUDO),
     /* 68130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68132 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68134 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68136 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68138 */     GIR_RootConstrainSelectedInstOperands,
     /* 68139 */     // GIR_Coverage, 829,
     /* 68139 */     GIR_EraseRootFromParent_Done,
     /* 68140 */   // Label 1729: @68140
     /* 68140 */   GIM_Reject,
     /* 68141 */ // Label 1725: @68141
     /* 68141 */ GIM_Reject,
     /* 68142 */ // Label 1721: @68142
     /* 68142 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(68314),
     /* 68147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 68150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 68153 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(68193), // Rule ID 820 //
     /* 68158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 68164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68180 */     // (vector_insert:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, GPR32Opnd:{ *:[i32] }:$fs, GPR32Opnd:{ *:[i32] }:$n)  =>  (INSERT_W_VIDX_PSEUDO:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, GPR32Opnd:{ *:[i32] }:$n, GPR32Opnd:{ *:[i32] }:$fs)
     /* 68180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_W_VIDX_PSEUDO),
     /* 68183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68185 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68187 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68189 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68191 */     GIR_RootConstrainSelectedInstOperands,
     /* 68192 */     // GIR_Coverage, 820,
     /* 68192 */     GIR_EraseRootFromParent_Done,
     /* 68193 */   // Label 1731: @68193
     /* 68193 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(68233), // Rule ID 822 //
     /* 68198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 68204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 68216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68220 */     // (vector_insert:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd_in, FGR32Opnd:{ *:[f32] }:$fs, GPR32Opnd:{ *:[i32] }:$n)  =>  (INSERT_FW_VIDX_PSEUDO:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd_in, GPR32Opnd:{ *:[i32] }:$n, FGR32Opnd:{ *:[f32] }:$fs)
     /* 68220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_FW_VIDX_PSEUDO),
     /* 68223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68225 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68227 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68229 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68231 */     GIR_RootConstrainSelectedInstOperands,
     /* 68232 */     // GIR_Coverage, 822,
     /* 68232 */     GIR_EraseRootFromParent_Done,
     /* 68233 */   // Label 1732: @68233
     /* 68233 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(68273), // Rule ID 826 //
     /* 68238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 68244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68260 */     // (vector_insert:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, GPR32Opnd:{ *:[i32] }:$fs, GPR64Opnd:{ *:[i64] }:$n)  =>  (INSERT_W_VIDX64_PSEUDO:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$wd_in, GPR64Opnd:{ *:[i64] }:$n, GPR32Opnd:{ *:[i32] }:$fs)
     /* 68260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_W_VIDX64_PSEUDO),
     /* 68263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68265 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68267 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68269 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68271 */     GIR_RootConstrainSelectedInstOperands,
     /* 68272 */     // GIR_Coverage, 826,
     /* 68272 */     GIR_EraseRootFromParent_Done,
     /* 68273 */   // Label 1733: @68273
     /* 68273 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(68313), // Rule ID 828 //
     /* 68278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 68284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 68296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68300 */     // (vector_insert:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd_in, FGR32Opnd:{ *:[f32] }:$fs, GPR64Opnd:{ *:[i64] }:$n)  =>  (INSERT_FW_VIDX64_PSEUDO:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$wd_in, GPR64Opnd:{ *:[i64] }:$n, FGR32Opnd:{ *:[f32] }:$fs)
     /* 68300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_FW_VIDX64_PSEUDO),
     /* 68303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68305 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68307 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68309 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68311 */     GIR_RootConstrainSelectedInstOperands,
     /* 68312 */     // GIR_Coverage, 828,
     /* 68312 */     GIR_EraseRootFromParent_Done,
     /* 68313 */   // Label 1734: @68313
     /* 68313 */   GIM_Reject,
     /* 68314 */ // Label 1730: @68314
     /* 68314 */ GIM_Reject,
     /* 68315 */ // Label 1722: @68315
     /* 68315 */ GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(68407),
     /* 68320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 68323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 68326 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(68366), // Rule ID 819 //
     /* 68331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 68337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 68341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 68345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68353 */     // (vector_insert:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, GPR32Opnd:{ *:[i32] }:$fs, GPR32Opnd:{ *:[i32] }:$n)  =>  (INSERT_H_VIDX_PSEUDO:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, GPR32Opnd:{ *:[i32] }:$n, GPR32Opnd:{ *:[i32] }:$fs)
     /* 68353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_H_VIDX_PSEUDO),
     /* 68356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68358 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68360 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68362 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68364 */     GIR_RootConstrainSelectedInstOperands,
     /* 68365 */     // GIR_Coverage, 819,
     /* 68365 */     GIR_EraseRootFromParent_Done,
     /* 68366 */   // Label 1736: @68366
     /* 68366 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(68406), // Rule ID 825 //
     /* 68371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 68377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 68381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 68385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68393 */     // (vector_insert:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, GPR32Opnd:{ *:[i32] }:$fs, GPR64Opnd:{ *:[i64] }:$n)  =>  (INSERT_H_VIDX64_PSEUDO:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$wd_in, GPR64Opnd:{ *:[i64] }:$n, GPR32Opnd:{ *:[i32] }:$fs)
     /* 68393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_H_VIDX64_PSEUDO),
     /* 68396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68398 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68400 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68402 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68404 */     GIR_RootConstrainSelectedInstOperands,
     /* 68405 */     // GIR_Coverage, 825,
     /* 68405 */     GIR_EraseRootFromParent_Done,
     /* 68406 */   // Label 1737: @68406
     /* 68406 */   GIM_Reject,
     /* 68407 */ // Label 1735: @68407
     /* 68407 */ GIM_Reject,
     /* 68408 */ // Label 1723: @68408
     /* 68408 */ GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(68500),
     /* 68413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 68416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 68419 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(68459), // Rule ID 818 //
     /* 68424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 68430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 68434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 68438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68446 */     // (vector_insert:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, GPR32Opnd:{ *:[i32] }:$fs, GPR32Opnd:{ *:[i32] }:$n)  =>  (INSERT_B_VIDX_PSEUDO:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, GPR32Opnd:{ *:[i32] }:$n, GPR32Opnd:{ *:[i32] }:$fs)
     /* 68446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_B_VIDX_PSEUDO),
     /* 68449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68451 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68453 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68455 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68457 */     GIR_RootConstrainSelectedInstOperands,
     /* 68458 */     // GIR_Coverage, 818,
     /* 68458 */     GIR_EraseRootFromParent_Done,
     /* 68459 */   // Label 1739: @68459
     /* 68459 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(68499), // Rule ID 824 //
     /* 68464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 68470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 68474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 68478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68486 */     // (vector_insert:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, GPR32Opnd:{ *:[i32] }:$fs, GPR64Opnd:{ *:[i64] }:$n)  =>  (INSERT_B_VIDX64_PSEUDO:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$wd_in, GPR64Opnd:{ *:[i64] }:$n, GPR32Opnd:{ *:[i32] }:$fs)
     /* 68486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::INSERT_B_VIDX64_PSEUDO),
     /* 68489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[wd]
     /* 68491 */     GIR_RootToRootCopy, /*OpIdx*/1, // wd_in
     /* 68493 */     GIR_RootToRootCopy, /*OpIdx*/3, // n
     /* 68495 */     GIR_RootToRootCopy, /*OpIdx*/2, // fs
     /* 68497 */     GIR_RootConstrainSelectedInstOperands,
     /* 68498 */     // GIR_Coverage, 824,
     /* 68498 */     GIR_EraseRootFromParent_Done,
     /* 68499 */   // Label 1740: @68499
     /* 68499 */   GIM_Reject,
     /* 68500 */ // Label 1738: @68500
     /* 68500 */ GIM_Reject,
     /* 68501 */ // Label 1724: @68501
     /* 68501 */ GIM_Reject,
     /* 68502 */ // Label 72: @68502
     /* 68502 */ GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(68553), // Rule ID 1994 //
     /* 68507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA),
     /* 68510 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 68513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 68516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 68519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68527 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 68531 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 68535 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_immZExt4),
     /* 68539 */   // MIs[1] Operand 1
     /* 68539 */   // No operand predicates
     /* 68539 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 68541 */   // (extractelt:{ *:[i32] } MSA128W:{ *:[v4i32] }:$ws, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$idx)  =>  (COPY_S_W:{ *:[i32] } MSA128W:{ *:[v4i32] }:$ws, (imm:{ *:[i32] })<<P:Predicate_immZExt4>>:$idx)
     /* 68541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::COPY_S_W),
     /* 68544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 68546 */   GIR_RootToRootCopy, /*OpIdx*/1, // ws
     /* 68548 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 68551 */   GIR_RootConstrainSelectedInstOperands,
     /* 68552 */   // GIR_Coverage, 1994,
     /* 68552 */   GIR_EraseRootFromParent_Done,
     /* 68553 */ // Label 1741: @68553
     /* 68553 */ GIM_Reject,
     /* 68554 */ // Label 73: @68554
     /* 68554 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 1748*/ GIMT_Encode4(69058),
     /* 68565 */ /*GILLT_s32*//*Label 1742*/ GIMT_Encode4(68597),
     /* 68569 */ /*GILLT_s64*//*Label 1743*/ GIMT_Encode4(68806), GIMT_Encode4(0),
     /* 68577 */ /*GILLT_v2s64*//*Label 1744*/ GIMT_Encode4(68950), GIMT_Encode4(0),
     /* 68585 */ /*GILLT_v4s32*//*Label 1745*/ GIMT_Encode4(68977),
     /* 68589 */ /*GILLT_v8s16*//*Label 1746*/ GIMT_Encode4(69004),
     /* 68593 */ /*GILLT_v16s8*//*Label 1747*/ GIMT_Encode4(69031),
     /* 68597 */ // Label 1742: @68597
     /* 68597 */ GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(68805),
     /* 68602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 68605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68609 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(68655), // Rule ID 109 //
     /* 68614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 68617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 68621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 68625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 68629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 68633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68638 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 68642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 68644 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, -1:{ *:[i32] }))  =>  (CLO:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 68644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CLO),
     /* 68647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 68649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 68653 */     GIR_RootConstrainSelectedInstOperands,
     /* 68654 */     // GIR_Coverage, 109,
     /* 68654 */     GIR_EraseRootFromParent_Done,
     /* 68655 */   // Label 1750: @68655
     /* 68655 */   GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(68701), // Rule ID 310 //
     /* 68660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc),
     /* 68663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 68667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 68671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 68675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 68679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68684 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 68688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 68690 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, -1:{ *:[i32] }))  =>  (CLO_R6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 68690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CLO_R6),
     /* 68693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 68695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 68699 */     GIR_RootConstrainSelectedInstOperands,
     /* 68700 */     // GIR_Coverage, 310,
     /* 68700 */     GIR_EraseRootFromParent_Done,
     /* 68701 */   // Label 1751: @68701
     /* 68701 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(68747), // Rule ID 1100 //
     /* 68706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 68709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 68713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 68717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 68721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 68725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68730 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 68734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 68736 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs, -1:{ *:[i32] }))  =>  (CLO_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 68736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::CLO_MM),
     /* 68739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 68741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 68745 */     GIR_RootConstrainSelectedInstOperands,
     /* 68746 */     // GIR_Coverage, 1100,
     /* 68746 */     GIR_EraseRootFromParent_Done,
     /* 68747 */   // Label 1752: @68747
     /* 68747 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(68766), // Rule ID 108 //
     /* 68752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32_HasStdEnc_NotInMicroMips_NotMips32r6_NotMips64r6),
     /* 68755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68759 */     // (ctlz:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)  =>  (CLZ:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 68759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CLZ),
     /* 68764 */     GIR_RootConstrainSelectedInstOperands,
     /* 68765 */     // GIR_Coverage, 108,
     /* 68765 */     GIR_Done,
     /* 68766 */   // Label 1753: @68766
     /* 68766 */   GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(68785), // Rule ID 311 //
     /* 68771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r6_HasStdEnc),
     /* 68774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68778 */     // (ctlz:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)  =>  (CLZ_R6:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 68778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CLZ_R6),
     /* 68783 */     GIR_RootConstrainSelectedInstOperands,
     /* 68784 */     // GIR_Coverage, 311,
     /* 68784 */     GIR_Done,
     /* 68785 */   // Label 1754: @68785
     /* 68785 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(68804), // Rule ID 1099 //
     /* 68790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 68793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 68797 */     // (ctlz:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)  =>  (CLZ_MM:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 68797 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::CLZ_MM),
     /* 68802 */     GIR_RootConstrainSelectedInstOperands,
     /* 68803 */     // GIR_Coverage, 1099,
     /* 68803 */     GIR_Done,
     /* 68804 */   // Label 1755: @68804
     /* 68804 */   GIM_Reject,
     /* 68805 */ // Label 1749: @68805
     /* 68805 */ GIM_Reject,
     /* 68806 */ // Label 1743: @68806
     /* 68806 */ GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(68949),
     /* 68811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 68814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68818 */   GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(68864), // Rule ID 264 //
     /* 68823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips64r6),
     /* 68826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 68830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 68834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 68838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 68842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68847 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 68851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 68853 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, -1:{ *:[i64] }))  =>  (DCLO:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)
     /* 68853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DCLO),
     /* 68856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 68858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 68862 */     GIR_RootConstrainSelectedInstOperands,
     /* 68863 */     // GIR_Coverage, 264,
     /* 68863 */     GIR_EraseRootFromParent_Done,
     /* 68864 */   // Label 1757: @68864
     /* 68864 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(68910), // Rule ID 339 //
     /* 68869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /* 68872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 68876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 68880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 68884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 68888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68893 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 68897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 68899 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs, -1:{ *:[i64] }))  =>  (DCLO_R6:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)
     /* 68899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DCLO_R6),
     /* 68902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 68904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 68908 */     GIR_RootConstrainSelectedInstOperands,
     /* 68909 */     // GIR_Coverage, 339,
     /* 68909 */     GIR_EraseRootFromParent_Done,
     /* 68910 */   // Label 1758: @68910
     /* 68910 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(68929), // Rule ID 263 //
     /* 68915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64_HasStdEnc_IsGP64bit_NotInMicroMips_NotMips64r6),
     /* 68918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68922 */     // (ctlz:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)  =>  (DCLZ:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)
     /* 68922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DCLZ),
     /* 68927 */     GIR_RootConstrainSelectedInstOperands,
     /* 68928 */     // GIR_Coverage, 263,
     /* 68928 */     GIR_Done,
     /* 68929 */   // Label 1759: @68929
     /* 68929 */   GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(68948), // Rule ID 340 //
     /* 68934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r6_HasStdEnc_NotInMicroMips),
     /* 68937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 68941 */     // (ctlz:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)  =>  (DCLZ_R6:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)
     /* 68941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DCLZ_R6),
     /* 68946 */     GIR_RootConstrainSelectedInstOperands,
     /* 68947 */     // GIR_Coverage, 340,
     /* 68947 */     GIR_Done,
     /* 68948 */   // Label 1760: @68948
     /* 68948 */   GIM_Reject,
     /* 68949 */ // Label 1756: @68949
     /* 68949 */ GIM_Reject,
     /* 68950 */ // Label 1744: @68950
     /* 68950 */ GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(68976), // Rule ID 915 //
     /* 68955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 68961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 68969 */   // (ctlz:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws)  =>  (NLZC_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws)
     /* 68969 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::NLZC_D),
     /* 68974 */   GIR_RootConstrainSelectedInstOperands,
     /* 68975 */   // GIR_Coverage, 915,
     /* 68975 */   GIR_Done,
     /* 68976 */ // Label 1761: @68976
     /* 68976 */ GIM_Reject,
     /* 68977 */ // Label 1745: @68977
     /* 68977 */ GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(69003), // Rule ID 914 //
     /* 68982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 68985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 68988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 68996 */   // (ctlz:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (NLZC_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws)
     /* 68996 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::NLZC_W),
     /* 69001 */   GIR_RootConstrainSelectedInstOperands,
     /* 69002 */   // GIR_Coverage, 914,
     /* 69002 */   GIR_Done,
     /* 69003 */ // Label 1762: @69003
     /* 69003 */ GIM_Reject,
     /* 69004 */ // Label 1746: @69004
     /* 69004 */ GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(69030), // Rule ID 913 //
     /* 69009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 69015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 69019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 69023 */   // (ctlz:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws)  =>  (NLZC_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws)
     /* 69023 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::NLZC_H),
     /* 69028 */   GIR_RootConstrainSelectedInstOperands,
     /* 69029 */   // GIR_Coverage, 913,
     /* 69029 */   GIR_Done,
     /* 69030 */ // Label 1763: @69030
     /* 69030 */ GIM_Reject,
     /* 69031 */ // Label 1747: @69031
     /* 69031 */ GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(69057), // Rule ID 912 //
     /* 69036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 69042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 69046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 69050 */   // (ctlz:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws)  =>  (NLZC_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws)
     /* 69050 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::NLZC_B),
     /* 69055 */   GIR_RootConstrainSelectedInstOperands,
     /* 69056 */   // GIR_Coverage, 912,
     /* 69056 */   GIR_Done,
     /* 69057 */ // Label 1764: @69057
     /* 69057 */ GIM_Reject,
     /* 69058 */ // Label 1748: @69058
     /* 69058 */ GIM_Reject,
     /* 69059 */ // Label 74: @69059
     /* 69059 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(9), /*)*//*default:*//*Label 1771*/ GIMT_Encode4(69264),
     /* 69070 */ /*GILLT_s32*//*Label 1765*/ GIMT_Encode4(69102),
     /* 69074 */ /*GILLT_s64*//*Label 1766*/ GIMT_Encode4(69129), GIMT_Encode4(0),
     /* 69082 */ /*GILLT_v2s64*//*Label 1767*/ GIMT_Encode4(69156), GIMT_Encode4(0),
     /* 69090 */ /*GILLT_v4s32*//*Label 1768*/ GIMT_Encode4(69183),
     /* 69094 */ /*GILLT_v8s16*//*Label 1769*/ GIMT_Encode4(69210),
     /* 69098 */ /*GILLT_v16s8*//*Label 1770*/ GIMT_Encode4(69237),
     /* 69102 */ // Label 1765: @69102
     /* 69102 */ GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(69128), // Rule ID 278 //
     /* 69107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 69110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 69113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 69117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 69121 */   // (ctpop:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)  =>  (POP:{ *:[i32] } GPR32Opnd:{ *:[i32] }:$rs)
     /* 69121 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::POP),
     /* 69126 */   GIR_RootConstrainSelectedInstOperands,
     /* 69127 */   // GIR_Coverage, 278,
     /* 69127 */   GIR_Done,
     /* 69128 */ // Label 1772: @69128
     /* 69128 */ GIM_Reject,
     /* 69129 */ // Label 1766: @69129
     /* 69129 */ GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(69155), // Rule ID 279 //
     /* 69134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCnMips),
     /* 69137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 69140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 69144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 69148 */   // (ctpop:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)  =>  (DPOP:{ *:[i64] } GPR64Opnd:{ *:[i64] }:$rs)
     /* 69148 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::DPOP),
     /* 69153 */   GIR_RootConstrainSelectedInstOperands,
     /* 69154 */   // GIR_Coverage, 279,
     /* 69154 */   GIR_Done,
     /* 69155 */ // Label 1773: @69155
     /* 69155 */ GIM_Reject,
     /* 69156 */ // Label 1767: @69156
     /* 69156 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(69182), // Rule ID 937 //
     /* 69161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 69167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 69171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 69175 */   // (ctpop:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws)  =>  (PCNT_D:{ *:[v2i64] } MSA128DOpnd:{ *:[v2i64] }:$ws)
     /* 69175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PCNT_D),
     /* 69180 */   GIR_RootConstrainSelectedInstOperands,
     /* 69181 */   // GIR_Coverage, 937,
     /* 69181 */   GIR_Done,
     /* 69182 */ // Label 1774: @69182
     /* 69182 */ GIM_Reject,
     /* 69183 */ // Label 1768: @69183
     /* 69183 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(69209), // Rule ID 936 //
     /* 69188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 69194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 69198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 69202 */   // (ctpop:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws)  =>  (PCNT_W:{ *:[v4i32] } MSA128WOpnd:{ *:[v4i32] }:$ws)
     /* 69202 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PCNT_W),
     /* 69207 */   GIR_RootConstrainSelectedInstOperands,
     /* 69208 */   // GIR_Coverage, 936,
     /* 69208 */   GIR_Done,
     /* 69209 */ // Label 1775: @69209
     /* 69209 */ GIM_Reject,
     /* 69210 */ // Label 1769: @69210
     /* 69210 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(69236), // Rule ID 935 //
     /* 69215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 69221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 69225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128HRegClassID),
     /* 69229 */   // (ctpop:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws)  =>  (PCNT_H:{ *:[v8i16] } MSA128HOpnd:{ *:[v8i16] }:$ws)
     /* 69229 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PCNT_H),
     /* 69234 */   GIR_RootConstrainSelectedInstOperands,
     /* 69235 */   // GIR_Coverage, 935,
     /* 69235 */   GIR_Done,
     /* 69236 */ // Label 1776: @69236
     /* 69236 */ GIM_Reject,
     /* 69237 */ // Label 1770: @69237
     /* 69237 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(69263), // Rule ID 934 //
     /* 69242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 69248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 69252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128BRegClassID),
     /* 69256 */   // (ctpop:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws)  =>  (PCNT_B:{ *:[v16i8] } MSA128BOpnd:{ *:[v16i8] }:$ws)
     /* 69256 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::PCNT_B),
     /* 69261 */   GIR_RootConstrainSelectedInstOperands,
     /* 69262 */   // GIR_Coverage, 934,
     /* 69262 */   GIR_Done,
     /* 69263 */ // Label 1777: @69263
     /* 69263 */ GIM_Reject,
     /* 69264 */ // Label 1771: @69264
     /* 69264 */ GIM_Reject,
     /* 69265 */ // Label 75: @69265
     /* 69265 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(3), /*)*//*default:*//*Label 1780*/ GIMT_Encode4(69428),
     /* 69276 */ /*GILLT_s32*//*Label 1778*/ GIMT_Encode4(69284),
     /* 69280 */ /*GILLT_s64*//*Label 1779*/ GIMT_Encode4(69380),
     /* 69284 */ // Label 1778: @69284
     /* 69284 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(69379),
     /* 69289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 69292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 69296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR32RegClassID),
     /* 69300 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(69339), // Rule ID 1427 //
     /* 69305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips32r2_HasStdEnc_NotInMicroMips),
     /* 69308 */     // (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$rt)  =>  (ROTR:{ *:[i32] } (WSBH:{ *:[i32] } GPR32:{ *:[i32] }:$rt), 16:{ *:[i32] })
     /* 69308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 69311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::WSBH),
     /* 69315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 69320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rt
     /* 69324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 69326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ROTR),
     /* 69329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 69331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 69334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 69337 */     GIR_RootConstrainSelectedInstOperands,
     /* 69338 */     // GIR_Coverage, 1427,
     /* 69338 */     GIR_EraseRootFromParent_Done,
     /* 69339 */   // Label 1782: @69339
     /* 69339 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(69378), // Rule ID 2191 //
     /* 69344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 69347 */     // (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$rt)  =>  (ROTR_MM:{ *:[i32] } (WSBH_MM:{ *:[i32] } GPR32:{ *:[i32] }:$rt), 16:{ *:[i32] })
     /* 69347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 69350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::WSBH_MM),
     /* 69354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 69359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rt
     /* 69363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 69365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::ROTR_MM),
     /* 69368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 69370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 69373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 69376 */     GIR_RootConstrainSelectedInstOperands,
     /* 69377 */     // GIR_Coverage, 2191,
     /* 69377 */     GIR_EraseRootFromParent_Done,
     /* 69378 */   // Label 1783: @69378
     /* 69378 */   GIM_Reject,
     /* 69379 */ // Label 1781: @69379
     /* 69379 */ GIM_Reject,
     /* 69380 */ // Label 1779: @69380
     /* 69380 */ GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(69427), // Rule ID 1589 //
     /* 69385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips64r2_HasStdEnc),
     /* 69388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 69391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 69395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::GPR64RegClassID),
     /* 69399 */   // (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$rt)  =>  (DSHD:{ *:[i64] } (DSBH:{ *:[i64] } GPR64:{ *:[i64] }:$rt))
     /* 69399 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 69402 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(Mips::DSBH),
     /* 69406 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 69411 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rt
     /* 69415 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 69417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(Mips::DSHD),
     /* 69420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 69422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 69425 */   GIR_RootConstrainSelectedInstOperands,
     /* 69426 */   // GIR_Coverage, 1589,
     /* 69426 */   GIR_EraseRootFromParent_Done,
     /* 69427 */ // Label 1784: @69427
     /* 69427 */ GIM_Reject,
     /* 69428 */ // Label 1780: @69428
     /* 69428 */ GIM_Reject,
     /* 69429 */ // Label 76: @69429
     /* 69429 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(7), /*)*//*default:*//*Label 1789*/ GIMT_Encode4(69668),
     /* 69440 */ /*GILLT_s32*//*Label 1785*/ GIMT_Encode4(69464),
     /* 69444 */ /*GILLT_s64*//*Label 1786*/ GIMT_Encode4(69512), GIMT_Encode4(0),
     /* 69452 */ /*GILLT_v2s64*//*Label 1787*/ GIMT_Encode4(69614), GIMT_Encode4(0),
     /* 69460 */ /*GILLT_v4s32*//*Label 1788*/ GIMT_Encode4(69641),
     /* 69464 */ // Label 1785: @69464
     /* 69464 */ GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(69511),
     /* 69469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 69472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 69476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR32RegClassID),
     /* 69480 */   GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(69495), // Rule ID 132 //
     /* 69485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips2_HasStdEnc_IsNotSoftFloat_NotInMicroMips),
     /* 69488 */     // (fsqrt:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (FSQRT_S:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 69488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_S),
     /* 69493 */     GIR_RootConstrainSelectedInstOperands,
     /* 69494 */     // GIR_Coverage, 132,
     /* 69494 */     GIR_Done,
     /* 69495 */   // Label 1791: @69495
     /* 69495 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(69510), // Rule ID 1162 //
     /* 69500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat),
     /* 69503 */     // (fsqrt:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)  =>  (FSQRT_S_MM:{ *:[f32] } FGR32Opnd:{ *:[f32] }:$fs)
     /* 69503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_S_MM),
     /* 69508 */     GIR_RootConstrainSelectedInstOperands,
     /* 69509 */     // GIR_Coverage, 1162,
     /* 69509 */     GIR_Done,
     /* 69510 */   // Label 1792: @69510
     /* 69510 */   GIM_Reject,
     /* 69511 */ // Label 1790: @69511
     /* 69511 */ GIM_Reject,
     /* 69512 */ // Label 1786: @69512
     /* 69512 */ GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(69613),
     /* 69517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 69520 */   GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(69543), // Rule ID 133 //
     /* 69525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips2_HasStdEnc_IsNotSoftFloat_NotFP64bit_NotInMicroMips),
     /* 69528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 69532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 69536 */     // (fsqrt:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)  =>  (FSQRT_D32:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)
     /* 69536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_D32),
     /* 69541 */     GIR_RootConstrainSelectedInstOperands,
     /* 69542 */     // GIR_Coverage, 133,
     /* 69542 */     GIR_Done,
     /* 69543 */   // Label 1794: @69543
     /* 69543 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(69566), // Rule ID 134 //
     /* 69548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMips2_HasStdEnc_IsFP64bit_IsNotSoftFloat_NotInMicroMips),
     /* 69551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 69555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 69559 */     // (fsqrt:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (FSQRT_D64:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)
     /* 69559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_D64),
     /* 69564 */     GIR_RootConstrainSelectedInstOperands,
     /* 69565 */     // GIR_Coverage, 134,
     /* 69565 */     GIR_Done,
     /* 69566 */   // Label 1795: @69566
     /* 69566 */   GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(69589), // Rule ID 1148 //
     /* 69571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsNotSoftFloat_NotFP64bit),
     /* 69574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 69578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::AFGR64RegClassID),
     /* 69582 */     // (fsqrt:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)  =>  (FSQRT_D32_MM:{ *:[f64] } AFGR64Opnd:{ *:[f64] }:$fs)
     /* 69582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_D32_MM),
     /* 69587 */     GIR_RootConstrainSelectedInstOperands,
     /* 69588 */     // GIR_Coverage, 1148,
     /* 69588 */     GIR_Done,
     /* 69589 */   // Label 1796: @69589
     /* 69589 */   GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(69612), // Rule ID 1149 //
     /* 69594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips_IsFP64bit_IsNotSoftFloat),
     /* 69597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 69601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::FGR64RegClassID),
     /* 69605 */     // (fsqrt:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)  =>  (FSQRT_D64_MM:{ *:[f64] } FGR64Opnd:{ *:[f64] }:$fs)
     /* 69605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_D64_MM),
     /* 69610 */     GIR_RootConstrainSelectedInstOperands,
     /* 69611 */     // GIR_Coverage, 1149,
     /* 69611 */     GIR_Done,
     /* 69612 */   // Label 1797: @69612
     /* 69612 */   GIM_Reject,
     /* 69613 */ // Label 1793: @69613
     /* 69613 */ GIM_Reject,
     /* 69614 */ // Label 1787: @69614
     /* 69614 */ GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(69640), // Rule ID 757 //
     /* 69619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 69625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 69629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 69633 */   // (fsqrt:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FSQRT_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 69633 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_D),
     /* 69638 */   GIR_RootConstrainSelectedInstOperands,
     /* 69639 */   // GIR_Coverage, 757,
     /* 69639 */   GIR_Done,
     /* 69640 */ // Label 1798: @69640
     /* 69640 */ GIM_Reject,
     /* 69641 */ // Label 1788: @69641
     /* 69641 */ GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(69667), // Rule ID 756 //
     /* 69646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 69652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 69656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 69660 */   // (fsqrt:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FSQRT_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 69660 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FSQRT_W),
     /* 69665 */   GIR_RootConstrainSelectedInstOperands,
     /* 69666 */   // GIR_Coverage, 756,
     /* 69666 */   GIR_Done,
     /* 69667 */ // Label 1799: @69667
     /* 69667 */ GIM_Reject,
     /* 69668 */ // Label 1789: @69668
     /* 69668 */ GIM_Reject,
     /* 69669 */ // Label 77: @69669
     /* 69669 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(7), /*)*//*default:*//*Label 1802*/ GIMT_Encode4(69746),
     /* 69680 */ /*GILLT_v2s64*//*Label 1800*/ GIMT_Encode4(69692), GIMT_Encode4(0),
     /* 69688 */ /*GILLT_v4s32*//*Label 1801*/ GIMT_Encode4(69719),
     /* 69692 */ // Label 1800: @69692
     /* 69692 */ GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(69718), // Rule ID 739 //
     /* 69697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 69703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 69707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128DRegClassID),
     /* 69711 */   // (frint:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)  =>  (FRINT_D:{ *:[v2f64] } MSA128DOpnd:{ *:[v2f64] }:$ws)
     /* 69711 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FRINT_D),
     /* 69716 */   GIR_RootConstrainSelectedInstOperands,
     /* 69717 */   // GIR_Coverage, 739,
     /* 69717 */   GIR_Done,
     /* 69718 */ // Label 1803: @69718
     /* 69718 */ GIM_Reject,
     /* 69719 */ // Label 1801: @69719
     /* 69719 */ GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(69745), // Rule ID 738 //
     /* 69724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMSA_HasStdEnc),
     /* 69727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 69730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 69734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(Mips::MSA128WRegClassID),
     /* 69738 */   // (frint:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)  =>  (FRINT_W:{ *:[v4f32] } MSA128WOpnd:{ *:[v4f32] }:$ws)
     /* 69738 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::FRINT_W),
     /* 69743 */   GIR_RootConstrainSelectedInstOperands,
     /* 69744 */   // GIR_Coverage, 738,
     /* 69744 */   GIR_Done,
     /* 69745 */ // Label 1804: @69745
     /* 69745 */ GIM_Reject,
     /* 69746 */ // Label 1802: @69746
     /* 69746 */ GIM_Reject,
     /* 69747 */ // Label 78: @69747
     /* 69747 */ GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(69762), // Rule ID 90 //
     /* 69752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdEnc_NotInMicroMips),
     /* 69755 */   // (trap)  =>  (TRAP)
     /* 69755 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::TRAP),
     /* 69760 */   GIR_RootConstrainSelectedInstOperands,
     /* 69761 */   // GIR_Coverage, 90,
     /* 69761 */   GIR_Done,
     /* 69762 */ // Label 1805: @69762
     /* 69762 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(69777), // Rule ID 1115 //
     /* 69767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMicroMips),
     /* 69770 */   // (trap)  =>  (TRAP_MM)
     /* 69770 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::TRAP_MM),
     /* 69775 */   GIR_RootConstrainSelectedInstOperands,
     /* 69776 */   // GIR_Coverage, 1115,
     /* 69776 */   GIR_Done,
     /* 69777 */ // Label 1806: @69777
     /* 69777 */ GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(69792), // Rule ID 1910 //
     /* 69782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_InMips16Mode),
     /* 69785 */   // (trap)  =>  (Break16)
     /* 69785 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(Mips::Break16),
     /* 69790 */   GIR_RootConstrainSelectedInstOperands,
     /* 69791 */   // GIR_Coverage, 1910,
     /* 69791 */   GIR_Done,
     /* 69792 */ // Label 1807: @69792
     /* 69792 */ GIM_Reject,
     /* 69793 */ // Label 79: @69793
     /* 69793 */ GIM_Reject,
     /* 69794 */ }; // Size: 69794 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const MipsSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const MipsSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
